prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_190100 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2019.03.31'
,p_release=>'19.1.0.00.16'
,p_default_workspace_id=>13972817073677350
,p_default_application_id=>261
,p_default_owner=>'JOHN'
);
end;
/
 
prompt APPLICATION 261 - IG Cookbook v5
--
-- Application Export:
--   Application:     261
--   Name:            IG Cookbook v5
--   Date and Time:   09:31 Saturday March 30, 2019
--   Exported By:     JOHN
--   Flashback:       0
--   Export Type:     Application Export
--   Version:         19.1.0.00.16
--   Instance ID:     248235791476790
--

-- Application Statistics:
--   Pages:                     40
--     Items:                   91
--     Validations:             13
--     Processes:               38
--     Regions:                119
--     Buttons:                 46
--     Dynamic Actions:         70
--   Shared Components:
--     Logic:
--     Navigation:
--       Lists:                  2
--       Breadcrumbs:            1
--         Entries:              1
--     Security:
--       Authentication:         1
--     User Interface:
--       Themes:                 1
--       Templates:
--         Page:                10
--         Region:              18
--         Label:                7
--         List:                12
--         Popup LOV:            1
--         Calendar:             1
--         Breadcrumb:           1
--         Button:               3
--         Report:              10
--       LOVs:                   5
--       Plug-ins:               3
--     Globalization:
--       Messages:              11
--     Reports:
--     E-Mail:
--   Supporting Objects:  Included
--     Install scripts:          1
--     Validations:              1

prompt --application/delete_application
begin
wwv_flow_api.remove_flow(wwv_flow.g_flow_id);
end;
/
prompt --application/create_application
begin
wwv_flow_api.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_owner=>nvl(wwv_flow_application_install.get_schema,'JOHN')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'IG Cookbook v5')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'F_102680861771398107')
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'39B4B8D314CDAE47CBAA335B84F04B71E112E6FA1A79C3AB2307A9F8F94AB206'
,p_bookmark_checksum_function=>'MD5'
,p_compatibility_mode=>'19.1'
,p_flow_language=>'en'
,p_flow_language_derived_from=>'0'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_authentication=>'PLUGIN'
,p_authentication_id=>wwv_flow_api.id(31643850294739161576)
,p_populate_roles=>'A'
,p_application_tab_set=>1
,p_logo_image=>'TEXT:IG Cookbook'
,p_public_user=>'APEX_PUBLIC_USER'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'release 5.0'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_flow_unavailable_text=>'This application is currently unavailable at this time.'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_browser_frame=>'D'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190329182258'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>16
,p_ui_type_name => null
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(31643797879604161473)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31643851404034161588)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Home'
,p_list_item_link_target=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.:'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'1'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31644355176732240187)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'Basic Editable IG on EMP'
,p_list_item_link_target=>'f?p=&APP_ID.:2:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'2'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31648309798279302840)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Basic IG Report on EMP'
,p_list_item_link_target=>'f?p=&APP_ID.:3:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'3'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31648954030242405441)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Hide Report Settings Area'
,p_list_item_link_target=>'f?p=&APP_ID.:4:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'4'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31661687177618728597)
,p_list_item_display_sequence=>60
,p_list_item_link_text=>'Windows List View Style'
,p_list_item_link_target=>'f?p=&APP_ID.:6:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'6'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31741692011115816052)
,p_list_item_display_sequence=>70
,p_list_item_link_text=>'Rows Per Page on Toolbar'
,p_list_item_link_target=>'f?p=&APP_ID.:7:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'7'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31797228139522793110)
,p_list_item_display_sequence=>80
,p_list_item_link_text=>'Custom Row Height with Image'
,p_list_item_link_target=>'f?p=&APP_ID.:8:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'8'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(32026659232317963126)
,p_list_item_display_sequence=>85
,p_list_item_link_text=>'Variable Height Rows'
,p_list_item_link_target=>'f?p=&APP_ID.:10:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'10'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31874212446328807835)
,p_list_item_display_sequence=>90
,p_list_item_link_text=>'Update Selection'
,p_list_item_link_target=>'f?p=&APP_ID.:9:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'9'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31654069418029963066)
,p_list_item_display_sequence=>95
,p_list_item_link_text=>'Dynamic Column Total'
,p_list_item_link_target=>'f?p=&APP_ID.:5:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'5'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(27214875892194729388)
,p_list_item_display_sequence=>120
,p_list_item_link_text=>'Cell Style Based on Data'
,p_list_item_link_target=>'f?p=&APP_ID.:12:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'12'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(653962882663850913)
,p_list_item_display_sequence=>125
,p_list_item_link_text=>'Simple Cell Style'
,p_list_item_link_target=>'f?p=&APP_ID.:36:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'36'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(27587134490794015113)
,p_list_item_display_sequence=>130
,p_list_item_link_text=>'Report Checkbox Column'
,p_list_item_link_target=>'f?p=&APP_ID.:13:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'13'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(28066140945885225421)
,p_list_item_display_sequence=>150
,p_list_item_link_text=>'Double Grid'
,p_list_item_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'15'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(28066346760859286071)
,p_list_item_display_sequence=>160
,p_list_item_link_text=>'Split Grid and Form Multi-edit'
,p_list_item_link_target=>'f?p=&APP_ID.:17:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'17'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(28072045517034371116)
,p_list_item_display_sequence=>170
,p_list_item_link_text=>'Edit in Dialog'
,p_list_item_link_target=>'f?p=&APP_ID.:18:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'18'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(28080672694291485568)
,p_list_item_display_sequence=>180
,p_list_item_link_text=>'IG Cards'
,p_list_item_link_target=>'f?p=&APP_ID.:20:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'20'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(24286937743441283273)
,p_list_item_display_sequence=>190
,p_list_item_link_text=>'Simple Control'
,p_list_item_link_target=>'f?p=&APP_ID.:16:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'16'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(24287198743391919709)
,p_list_item_display_sequence=>200
,p_list_item_link_text=>'Copy Down'
,p_list_item_link_target=>'f?p=&APP_ID.:19:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'19'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(24287262264691316392)
,p_list_item_display_sequence=>210
,p_list_item_link_text=>'Spinner'
,p_list_item_link_target=>'f?p=&APP_ID.:21:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'21'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(26000856279356989333)
,p_list_item_display_sequence=>220
,p_list_item_link_text=>'Tasks (reorder, checkbox)'
,p_list_item_link_target=>'f?p=&APP_ID.:11:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'11'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(5232811739178561739)
,p_list_item_display_sequence=>230
,p_list_item_link_text=>'Always Edit'
,p_list_item_link_target=>'f?p=&APP_ID.:22:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'22'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(5348606172512323200)
,p_list_item_display_sequence=>240
,p_list_item_link_text=>'Rich Text and Custom Popup'
,p_list_item_link_target=>'f?p=&APP_ID.:24:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'24'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(663733389727960717)
,p_list_item_display_sequence=>250
,p_list_item_link_text=>'Column Help'
,p_list_item_link_target=>'f?p=&APP_ID.:14:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'14'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(740994656545770622)
,p_list_item_display_sequence=>260
,p_list_item_link_text=>'Wide Report'
,p_list_item_link_target=>'f?p=&APP_ID.:23:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'23'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(744112386576789881)
,p_list_item_display_sequence=>270
,p_list_item_link_text=>'Master Detail Dialog (close)'
,p_list_item_link_target=>'f?p=&APP_ID.:25:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'25'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(744343452978280459)
,p_list_item_display_sequence=>280
,p_list_item_link_text=>'Master Detail Dialog (save)'
,p_list_item_link_target=>'f?p=&APP_ID.:26:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'26'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(744390290451149836)
,p_list_item_display_sequence=>290
,p_list_item_link_text=>'Lazy Tabs (page scroll)'
,p_list_item_link_target=>'f?p=&APP_ID.:27:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'27'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(744440586756982520)
,p_list_item_display_sequence=>300
,p_list_item_link_text=>'Lazy Tabs (fit page)'
,p_list_item_link_target=>'f?p=&APP_ID.:28:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'28'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(744468516633842890)
,p_list_item_display_sequence=>310
,p_list_item_link_text=>'Tabbed Record Editing'
,p_list_item_link_target=>'f?p=&APP_ID.:29:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'29'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(430798379500753895)
,p_list_item_display_sequence=>320
,p_list_item_link_text=>'Simple Grid'
,p_list_item_link_target=>'f?p=&APP_ID.:31:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'31'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(549019844244382897)
,p_list_item_display_sequence=>330
,p_list_item_link_text=>'Custom Progress'
,p_list_item_link_target=>'f?p=&APP_ID.:30:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'30'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(549044141230922208)
,p_list_item_display_sequence=>340
,p_list_item_link_text=>'Nested Table In Cell'
,p_list_item_link_target=>'f?p=&APP_ID.:32:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'32'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(549056976277304552)
,p_list_item_display_sequence=>350
,p_list_item_link_text=>'Spark Chart Cells'
,p_list_item_link_target=>'f?p=&APP_ID.:33:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'33'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(549086455295107556)
,p_list_item_display_sequence=>360
,p_list_item_link_text=>'Shared Model'
,p_list_item_link_target=>'f?p=&APP_ID.:34:&SESSION.::&DEBUG.'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'34'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
wwv_flow_api.create_list(
 p_id=>wwv_flow_api.id(31643849952410161573)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
wwv_flow_api.create_list_item(
 p_id=>wwv_flow_api.id(31643850130076161575)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Log Out'
,p_list_item_link_target=>'&LOGOUT_URL.'
,p_list_item_current_for_pages=>'&LOGOUT_URL.'
);
end;
/
prompt --application/shared_components/files/tasks_css
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A20437573746F6D204353532072756C657320666F72207461736B732070616765202A2F0D0A0D0A2F2A2072656D6F76652067726964206C696E6573202A2F0D0A237461736B73202E612D47562D7461626C65202E612D47562D63656C6C207B0D0A20';
wwv_flow_api.g_varchar2_table(2) := '202020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A237461736B73202E612D47562D772D66726F7A656E202E612D47562D7461626C65207B0D0A20202020626F726465722D72696768743A206E6F6E653B0D0A7D0D0A23';
wwv_flow_api.g_varchar2_table(3) := '7461736B73202E612D47562D7461626C652074722E69732D686F766572202E612D47562D63656C6C2C0D0A237461736B73202E612D47562D7461626C652074722E69732D686F7665722E69732D73656C6563746564202E612D47562D63656C6C207B0D0A';
wwv_flow_api.g_varchar2_table(4) := '202020206261636B67726F756E642D636F6C6F723A20236632663666663B0D0A7D0D0A237461736B73202E612D47562D7461626C652074722E69732D73656C6563746564202E612D47562D63656C6C2C0D0A237461736B73202E612D47562D7461626C65';
wwv_flow_api.g_varchar2_table(5) := '2074722E69732D686F7665722E69732D73656C6563746564202E612D47562D63656C6C207B0D0A202020206261636B67726F756E642D636F6C6F723A20236462653866663B0D0A7D0D0A237461736B73202E612D47562D686472207B0D0A202020206261';
wwv_flow_api.g_varchar2_table(6) := '636B67726F756E642D636F6C6F723A20236663666366633B0D0A7D0D0A2E612D49472D636F6E74656E74436F6E7461696E6572207B0D0A202020206D617267696E2D746F703A20303B0D0A7D0D0A0D0A2F2A206D616B65207468696E6773206120626974';
wwv_flow_api.g_varchar2_table(7) := '20626967676572202A2F0D0A237461736B73202E612D4947207461626C65207B0D0A20202020666F6E742D73697A653A20313670783B0D0A202020206C696E652D6865696768743A20323070783B0D0A7D0D0A0D0A237461736B73202E612D47562D6865';
wwv_flow_api.g_varchar2_table(8) := '616465722C20237461736B73202E612D47562D68656164657247726F7570207B0D0A202020206865696768743A20343870783B0D0A7D0D0A237461736B73202E612D47562D63656C6C207B0D0A202020206865696768743A20343270783B0D0A7D0D0A0D';
wwv_flow_api.g_varchar2_table(9) := '0A237461736B73202E612D47562D63656C6C202E612D47562D636F6C756D6E4974656D20696E7075743A6E6F74285B747970653D22726164696F225D293A6E6F74285B747970653D22636865636B626F78225D292C0D0A237461736B73202E612D47562D';
wwv_flow_api.g_varchar2_table(10) := '63656C6C202E612D47562D636F6C756D6E4974656D2073656C6563745B73697A653D2231225D207B0D0A202020206865696768743A20343070783B0D0A20202020666F6E742D73697A653A20313670783B0D0A202020206C696E652D6865696768743A20';
wwv_flow_api.g_varchar2_table(11) := '323070783B0D0A7D0D0A0D0A2F2A20636865636B626F7820747269636B3A0D0A207768656E20636865636B537461746559657320757365207468652069636F6E20666F722066612D636865636B2D7371756172652D6F0D0A20746869732069732073656E';
wwv_flow_api.g_varchar2_table(12) := '73697469766520746F207468652073776974636820646973706C61792076616C7565206C6F63616C697A65642074657874202259657322206164642072756C657320666F72206F74686572206C616E677561676573206966206E6565646564202A2F0D0A';
wwv_flow_api.g_varchar2_table(13) := '2E636865636B53746174655965732E66612D7371756172652D6F3A3A6265666F7265207B0D0A20202020636F6E74656E743A20225C66303436223B0D0A7D0D0A2F2A207468697320757365732069732D726561646F6E6C7920736F207468617420636865';
wwv_flow_api.g_varchar2_table(14) := '636B626F7820776F726B73206576656E20696E2065646974206D6F6465206279206E6F742070757474696E67207468652063656C6C20696E2065646974206D6F646520627574206D616B696E670D0A206974206E6F74206C6F6F6B20726561646F6E6C79';
wwv_flow_api.g_varchar2_table(15) := '202A2F0D0A2E612D47562D2D656469744D6F6465202E612D47562D63656C6C2E646F6E65436865636B626F782E69732D726561646F6E6C792C202E612D47562D2D656469744D6F6465202E612D47562D726F772E69732D726561646F6E6C79202E612D47';
wwv_flow_api.g_varchar2_table(16) := '562D63656C6C2E646F6E65436865636B426F78207B0D0A202020206261636B67726F756E642D636F6C6F723A20696E697469616C3B0D0A20202020636F6C6F723A20233430343034303B0D0A7D0D0A2F2A20746865736520636F6C6F7273206E65656420';
wwv_flow_api.g_varchar2_table(17) := '746F206265206B65707420696E2073796E63207769746820746865205554207468656D65207374796C65202A2F0D0A2E612D47562D726F772E69732D64656C65746564202E612D47562D63656C6C2E646F6E65436865636B626F78207B0D0A2020202062';
wwv_flow_api.g_varchar2_table(18) := '61636B67726F756E642D636F6C6F723A207267626128302C302C302C2E303235293B0D0A7D0D0A2E612D47562D726F772E69732D75706461746564202E612D47562D63656C6C2E646F6E65436865636B626F78207B0D0A202020206261636B67726F756E';
wwv_flow_api.g_varchar2_table(19) := '642D636F6C6F723A207267626128352C3131342C3230362C2E3035293B0D0A7D0D0A2E612D47562D726F772E69732D696E736572746564202E612D47562D63656C6C2E646F6E65436865636B626F78207B0D0A202020206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(20) := '6C6F723A20726762612837362C3231372C3130302C2E31293B0D0A7D';
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(434002199149334392)
,p_file_name=>'Tasks.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/tasks_js
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A205461736B732070616765202A2F0D0A2F2F206372656174652061206E616D65737061636520666F72207461736B73207061676520636F64650D0A766172207461736B73203D207B7D3B0D0A0D0A2866756E6374696F6E28242C206C616E672C206D';
wwv_flow_api.g_varchar2_table(2) := '6573736167652C20726567696F6E2C207461736B7329207B0D0A0D0A202020202F2F20746F646F20636F756C64206D6F7665207468652064796E616D696320616374696F6E204A61766153637269707420636F646520696E20746F20746869732066696C';
wwv_flow_api.g_varchar2_table(3) := '652E0D0A0D0A202020202F2F205461736B20494720496E697469616C697A6174696F6E20636F64650D0A202020202F2F20507574207461736B732E696E69745461736B73494720696E20416476616E6365643A204A61766153637269707420496E697469';
wwv_flow_api.g_varchar2_table(4) := '616C697A6174696F6E20436F64650D0A202020207461736B732E696E69745461736B734947203D2066756E6374696F6E28636F6E66696729207B0D0A20202020202020207661722024203D20617065782E6A51756572792C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(5) := '2020746F6F6C62617244617461203D20242E617065782E696E746572616374697665477269642E636F707944656661756C74546F6F6C62617228292C0D0A202020202020202020202020746F6F6C62617247726F7570203D20746F6F6C62617244617461';
wwv_flow_api.g_varchar2_table(6) := '2E746F6F6C62617246696E642822616374696F6E733322292C202F2F207468652067726F757020776974682061646420726F7720627574746F6E0D0A20202020202020202020202061646442746E203D20746F6F6C62617247726F75702E636F6E74726F';
wwv_flow_api.g_varchar2_table(7) := '6C735B305D3B202F2F20617373756D652061646420726F7720627574746F6E20697320666972737420616E64206F6E6C7920696E20746869732067726F75700D0A0D0A20202020202020202F2F2043616E2073657420746865206C6162656C20666F7220';
wwv_flow_api.g_varchar2_table(8) := '7468652061646420726F7720627574746F6E206275742063616E277420696E636C756465206D61726B757020666F722069636F6E73206574632E0D0A20202020202020202F2F20536F207570646174652074686520627574746F6E2070726F7065727469';
wwv_flow_api.g_varchar2_table(9) := '657320696E2074686520746F6F6C6261720D0A202020202020202061646442746E2E69636F6E203D2022742D49636F6E2066612066612D706C7573223B0D0A202020202020202061646442746E2E69636F6E4265666F72654C6162656C203D2074727565';
wwv_flow_api.g_varchar2_table(10) := '3B0D0A20202020202020202F2F206F7220747279207468697320696E20706C616365206F662069636F6E4265666F72654C6162656C0D0A20202020202020202F2F61646442746E2E69636F6E4F6E6C79203D20747275653B0D0A0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(11) := '2F2F2061646420746865206D6F76652075702F646F776E20627574746F6E732073656520616374696F6E7320646566696E65642062656C6F770D0A2020202020202020746F6F6C62617247726F75702E636F6E74726F6C732E756E7368696674287B0D0A';
wwv_flow_api.g_varchar2_table(12) := '202020202020202020202020747970653A2022425554544F4E222C0D0A20202020202020202020202069636F6E4F6E6C793A20747275652C0D0A20202020202020202020202069636F6E3A202269636F6E2D75702D63686576726F6E222C0D0A20202020';
wwv_flow_api.g_varchar2_table(13) := '2020202020202020616374696F6E3A202273656C656374696F6E2D6D6F76652D7570220D0A20202020202020207D20293B0D0A2020202020202020746F6F6C62617247726F75702E636F6E74726F6C732E756E7368696674287B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(14) := '20202020747970653A2022425554544F4E222C0D0A20202020202020202020202069636F6E4F6E6C793A20747275652C0D0A20202020202020202020202069636F6E3A202269636F6E2D646F776E2D63686576726F6E222C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(15) := '2020616374696F6E3A202273656C656374696F6E2D6D6F76652D646F776E220D0A20202020202020207D293B0D0A0D0A20202020202020202F2F206265636175736520616374696F6E7320636F6C756D6E2069732072656D6F7665642074686973206275';
wwv_flow_api.g_varchar2_table(16) := '74746F6E20697320612077617920746F20676F20696E746F2073696E676C6520726F7720766965772E0D0A2020202020202020746F6F6C626172446174612E746F6F6C62617246696E642822616374696F6E733422292E636F6E74726F6C732E756E7368';
wwv_flow_api.g_varchar2_table(17) := '696674287B0D0A202020202020202020202020747970653A2022425554544F4E222C0D0A202020202020202020202020616374696F6E3A202273696E676C652D726F772D76696577220D0A20202020202020207D293B0D0A0D0A20202020202020202F2F';
wwv_flow_api.g_varchar2_table(18) := '20446F2077616E7420746865207361766520616374696F6E2062757420646F6E27742077616E742074686520627574746F6E20696E2074686520746F6F6C6261720D0A2020202020202020746F6F6C626172446174612E746F6F6C62617252656D6F7665';
wwv_flow_api.g_varchar2_table(19) := '28227361766522293B0D0A20202020202020202F2F2053616D6520666F72207265736574207265706F72742077616E742074686520616374696F6E20286F6E20746865207265706F727420737562206D656E752920627574206E6F74206F6E2074686520';
wwv_flow_api.g_varchar2_table(20) := '746F6F6C6261720D0A2020202020202020746F6F6C626172446174612E746F6F6C62617252656D6F7665282272657365742D7265706F727422293B0D0A0D0A2020202020202020636F6E6669672E746F6F6C62617244617461203D20746F6F6C62617244';
wwv_flow_api.g_varchar2_table(21) := '6174613B0D0A0D0A2020202020202020636F6E6669672E696E6974416374696F6E73203D2066756E6374696F6E28616374696F6E7329207B0D0A202020202020202020202020616374696F6E732E61646428205B0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(22) := '20207B0D0A20202020202020202020202020202020202020206E616D653A202273656C656374696F6E2D6D6F76652D7570222C0D0A20202020202020202020202020202020202020206C6162656C4B65793A20225441534B535F4D4F56455F5550222C0D';
wwv_flow_api.g_varchar2_table(23) := '0A202020202020202020202020202020202020202073686F72746375743A2022416C742B5570222C0D0A2020202020202020202020202020202020202020616374696F6E3A2066756E6374696F6E286576656E7429207B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(24) := '20202020202020202020202020766172206166746572242C0D0A202020202020202020202020202020202020202020202020202020206166746572203D206E756C6C2C0D0A20202020202020202020202020202020202020202020202020202020666F63';
wwv_flow_api.g_varchar2_table(25) := '7573203D206576656E742E74797065203D3D3D20226B6579646F776E222C0D0A2020202020202020202020202020202020202020202020202020202076696577203D202428616374696F6E732E636F6E74657874292E696E746572616374697665477269';
wwv_flow_api.g_varchar2_table(26) := '642822676574566965777322292E677269643B0D0A202020202020202020202020202020202020202020202020202020206772696424203D20766965772E76696577242C0D0A202020202020202020202020202020202020202020202020202020206D6F';
wwv_flow_api.g_varchar2_table(27) := '64656C203D20766965772E6D6F64656C2C0D0A20202020202020202020202020202020202020202020202020202020726F7773203D2067726964242E6772696428202267657453656C656374696F6E2220292C0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(28) := '202020202020202020202020206974656D73203D2067726964242E6772696428202267657453656C65637465645265636F7264732220293B0D0A0D0A2020202020202020202020202020202020202020202020206966202820726F77735B305D2E707265';
wwv_flow_api.g_varchar2_table(29) := '7628292E6C656E6774682029207B0D0A20202020202020202020202020202020202020202020202020202020616674657224203D20726F77735B305D2E7072657628292E7072657628293B0D0A2020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(30) := '202020202069662028206166746572242E6C656E6774682029207B0D0A20202020202020202020202020202020202020202020202020202020202020206166746572203D2067726964242E677269642820226765745265636F726473222C205B61667465';
wwv_flow_api.g_varchar2_table(31) := '72245D20295B305D3B0D0A202020202020202020202020202020202020202020202020202020207D0D0A202020202020202020202020202020202020202020202020202020206D6F64656C2E6D6F76655265636F72647328206974656D732C206E756C6C';
wwv_flow_api.g_varchar2_table(32) := '2C20616674657220293B0D0A2020202020202020202020202020202020202020202020202020202067726964242E6772696428202273657453656C65637465645265636F726473222C206974656D732C20666F63757320293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(33) := '2020202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020206966202820666F6375732029207B0D0A2020202020202020202020202020202020202020202020202020202072657475726E20747275653B202F';
wwv_flow_api.g_varchar2_table(34) := '2F20646F6E2774206368616E67652074686520666F63757320666F72206B6579206576656E74730D0A2020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020207D0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(35) := '202020202020207D2C0D0A202020202020202020202020202020207B0D0A20202020202020202020202020202020202020206E616D653A202273656C656374696F6E2D6D6F76652D646F776E222C0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(36) := '6C6162656C4B65793A20225441534B535F4D4F56455F444F574E222C0D0A202020202020202020202020202020202020202073686F72746375743A2022416C742B446F776E222C0D0A2020202020202020202020202020202020202020616374696F6E3A';
wwv_flow_api.g_varchar2_table(37) := '2066756E6374696F6E286576656E7429207B0D0A202020202020202020202020202020202020202020202020766172206166746572242C0D0A202020202020202020202020202020202020202020202020202020206166746572203D206E756C6C2C0D0A';
wwv_flow_api.g_varchar2_table(38) := '20202020202020202020202020202020202020202020202020202020666F637573203D206576656E742E74797065203D3D3D20226B6579646F776E222C0D0A2020202020202020202020202020202020202020202020202020202076696577203D202428';
wwv_flow_api.g_varchar2_table(39) := '616374696F6E732E636F6E74657874292E696E746572616374697665477269642822676574566965777322292E677269643B0D0A202020202020202020202020202020202020202020202020202020206772696424203D20766965772E76696577242C0D';
wwv_flow_api.g_varchar2_table(40) := '0A202020202020202020202020202020202020202020202020202020206D6F64656C203D20766965772E6D6F64656C2C0D0A20202020202020202020202020202020202020202020202020202020726F7773203D2067726964242E677269642820226765';
wwv_flow_api.g_varchar2_table(41) := '7453656C656374696F6E2220292C0D0A202020202020202020202020202020202020202020202020202020206974656D73203D2067726964242E6772696428202267657453656C65637465645265636F7264732220293B0D0A0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(42) := '202020202020202020202020202020616674657224203D20726F77735B726F77732E6C656E677468202D20315D2E6E65787428293B0D0A20202020202020202020202020202020202020202020202069662028206166746572242E6C656E677468202920';
wwv_flow_api.g_varchar2_table(43) := '7B0D0A202020202020202020202020202020202020202020202020202020206166746572203D2067726964242E677269642820226765745265636F726473222C205B6166746572245D20295B305D3B0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(44) := '2020202020202020206D6F64656C2E6D6F76655265636F72647328206974656D732C206E756C6C2C20616674657220293B0D0A2020202020202020202020202020202020202020202020202020202067726964242E6772696428202273657453656C6563';
wwv_flow_api.g_varchar2_table(45) := '7465645265636F726473222C206974656D732C20666F63757320293B0D0A2020202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020206966202820666F6375732029207B0D0A202020';
wwv_flow_api.g_varchar2_table(46) := '2020202020202020202020202020202020202020202020202072657475726E20747275653B202F2F20646F6E2774206368616E67652074686520666F63757320666F72206B6579206576656E74730D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(47) := '202020207D0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D2C0D0A202020202020202020202020202020207B0D0A20202020202020202020202020202020202020206E616D653A202273656C65';
wwv_flow_api.g_varchar2_table(48) := '6374696F6E2D636F6D706C657465222C0D0A20202020202020202020202020202020202020206C6162656C4B65793A20225441534B535F4D41524B5F434F4D504C455445222C0D0A202020202020202020202020202020202020202073686F7274637574';
wwv_flow_api.g_varchar2_table(49) := '3A20224374726C2B2F2C43222C0D0A2020202020202020202020202020202020202020616374696F6E3A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020202020202020202076617220692C0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(50) := '202020202020202020202020202020202076696577203D202428616374696F6E732E636F6E74657874292E696E746572616374697665477269642822676574566965777322292E677269642C0D0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(51) := '2020202020206772696424203D20766965772E76696577242C0D0A202020202020202020202020202020202020202020202020202020206D6F64656C203D20766965772E6D6F64656C2C0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(52) := '202020207265636F726473203D2067726964242E6772696428202267657453656C65637465645265636F7264732220293B0D0A0D0A202020202020202020202020202020202020202020202020666F7220282069203D20303B2069203C207265636F7264';
wwv_flow_api.g_varchar2_table(53) := '732E6C656E6774683B20692B2B2029207B0D0A202020202020202020202020202020202020202020202020202020206D6F64656C2E73657456616C756528207265636F7264735B695D2C2022444F4E45222C2022592220293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(54) := '2020202020202020202020202020207D0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A2020202020202020202020205D20293B0D0A0D0A2020202020202020202020202F2F206164642073';
wwv_flow_api.g_varchar2_table(55) := '6F6D6520637573746F6D2073686F7274637574206B6579730D0A202020202020202020202020616374696F6E732E6C6F6F6B757028227361766522292E73686F7274637574203D20224374726C2B2F2C53223B0D0A202020202020202020202020616374';
wwv_flow_api.g_varchar2_table(56) := '696F6E732E6C6F6F6B7570282273656C656374696F6E2D6164642D726F7722292E73686F7274637574203D20224374726C2B2F2C4E223B0D0A202020202020202020202020616374696F6E732E6C6F6F6B7570282273656C656374696F6E2D6164642D72';
wwv_flow_api.g_varchar2_table(57) := '6F7722292E69636F6E203D202269636F6E2D69672D6164642D726F77223B0D0A202020202020202020202020616374696F6E732E6C6F6F6B7570282273656C656374696F6E2D6475706C696361746522292E73686F7274637574203D20224374726C2B2F';
wwv_flow_api.g_varchar2_table(58) := '2C44223B0D0A2020202020202020202020202F2F20626563617365207468652061626F766520616374696F6E73207765726520616C726561647920646566696E6564206279204947206E65656420746F2063616C6C207570646174650D0A202020202020';
wwv_flow_api.g_varchar2_table(59) := '202020202020616374696F6E732E75706461746528227361766522293B0D0A202020202020202020202020616374696F6E732E757064617465282273656C656374696F6E2D6164642D726F7722293B0D0A202020202020202020202020616374696F6E73';
wwv_flow_api.g_varchar2_table(60) := '2E757064617465282273656C656374696F6E2D6475706C696361746522293B0D0A0D0A2020202020202020202020202F2F2072656E616D6520736F6D65207468696E67730D0A202020202020202020202020616374696F6E732E6C6F6F6B757028227365';
wwv_flow_api.g_varchar2_table(61) := '6C656374696F6E2D6475706C696361746522292E6C6162656C203D206C616E672E6765744D65737361676528225441534B535F4455505F5441534B5322293B0D0A202020202020202020202020616374696F6E732E6C6F6F6B7570282273656C65637469';
wwv_flow_api.g_varchar2_table(62) := '6F6E2D64656C65746522292E6C6162656C203D206C616E672E6765744D65737361676528225441534B535F44454C4554455F5441534B5322293B0D0A202020202020202020202020616374696F6E732E6C6F6F6B7570282273696E676C652D726F772D76';
wwv_flow_api.g_varchar2_table(63) := '69657722292E6C6162656C203D206C616E672E6765744D65737361676528225441534B5F5649455722293B0D0A0D0A2020202020202020202020202428616374696F6E732E636F6E74657874292E6F6E2822696E7465726163746976656772696473656C';
wwv_flow_api.g_varchar2_table(64) := '656374696F6E6368616E6765222C2066756E6374696F6E286576656E742C206461746129207B0D0A20202020202020202020202020202020766172206D6574686F64203D2022656E61626C65223B0D0A2020202020202020202020202020202069662028';
wwv_flow_api.g_varchar2_table(65) := '20646174612E73656C65637465645265636F7264732E6C656E677468203D3D3D20302029207B0D0A20202020202020202020202020202020202020206D6574686F64203D202264697361626C65223B0D0A202020202020202020202020202020207D0D0A';
wwv_flow_api.g_varchar2_table(66) := '20202020202020202020202020202020616374696F6E735B6D6574686F645D282273656C656374696F6E2D636F6D706C65746522293B0D0A20202020202020202020202020202020616374696F6E735B6D6574686F645D282273656C656374696F6E2D6D';
wwv_flow_api.g_varchar2_table(67) := '6F76652D646F776E22293B0D0A20202020202020202020202020202020616374696F6E735B6D6574686F645D282273656C656374696F6E2D6D6F76652D757022293B0D0A2020202020202020202020207D293B0D0A20202020202020207D3B0D0A0D0A20';
wwv_flow_api.g_varchar2_table(68) := '202020202020202F2F206C657420746865206D6F64656C206D616E616765207468652073657175656E636520636F6C756D6E0D0A2020202020202020636F6E6669672E64656661756C744D6F64656C4F7074696F6E73203D207B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(69) := '2020202073657175656E63654669656C643A2022534551222C0D0A20202020202020202020202073657175656E6365537465703A2031300D0A20202020202020207D3B0D0A0D0A20202020202020202F2F20637265617465206120636F6E74657874206D';
wwv_flow_api.g_varchar2_table(70) := '656E75206173207468652073656C656374696F6E20616374696F6E206D656E750D0A2020202020202020636F6E6669672E64656661756C7447726964566965774F7074696F6E73203D207B0D0A2020202020202020202020202F2F207468697320776173';
wwv_flow_api.g_varchar2_table(71) := '206D656E74696F6E656420696E206D7920626C6F673A20687474703A2F2F686172646C696B65736F6674776172652E636F6D2F7765626C6F672F323031372F30312F32342F686F772D746F2D6861636B2D617065782D696E7465726163746976652D6772';
wwv_flow_api.g_varchar2_table(72) := '69642D706172742D322F236D6F72652D3533370D0A2020202020202020202020202F2F2072656C696573206F6E20696E7465726E616C2064657461696C206F66206D656E752069642067656E65726174696F6E20627574206E6F206F7468657220776179';
wwv_flow_api.g_varchar2_table(73) := '20746F2067657420746869730D0A202020202020202020202020636F6E746578744D656E7549643A20227461736B735F69675F73656C656374696F6E5F616374696F6E735F6D656E75222C0D0A20202020202020202020202073656C656374696F6E5374';
wwv_flow_api.g_varchar2_table(74) := '617475734D6573736167654B65793A20225441534B535F53454C4543544544220D0A20202020202020207D3B0D0A202020202020202072657475726E20636F6E6669673B0D0A202020207D0D0A0D0A202020202F2F20646F207468697320616674657220';
wwv_flow_api.g_varchar2_table(75) := '7468652070616765206C6F61647320627574206265666F72652074686520494720697320696E697469616C697A656420746F2063617463682074686520696E697469616C206576656E74730D0A20202020242866756E6374696F6E2829207B0D0A202020';
wwv_flow_api.g_varchar2_table(76) := '2020202020766172207461736B7324203D20242822237461736B7322293B0D0A0D0A20202020202020202F2F20746865207361766520627574746F6E207768696368206973206F7574736964652074686520494720616374696F6E7320636F6E74657874';
wwv_flow_api.g_varchar2_table(77) := '2063616E277420626520616E20616374696F6E20627574746F6E207265666572656E63696E6720746865204947207361766520616374696F6E0D0A20202020202020202F2F20286D65616E696E6720646174612D616374696F6E3D22736176652220776F';
wwv_flow_api.g_varchar2_table(78) := '756C646E277420776F726B292E20536F20646566696E65206120676C6F62616C2070616765206C6576656C20636F6E7465787420616374696F6E20746861742064656C65676174657320746F207468650D0A20202020202020202F2F2067726964207361';
wwv_flow_api.g_varchar2_table(79) := '766520616374696F6E2E2054686973207761792077652063616E2068617665207468652073616D652073686F72746375742C20636F6D70616972656420746F206A757374207573696E6720612044412E0D0A2020202020202020617065782E616374696F';
wwv_flow_api.g_varchar2_table(80) := '6E732E616464287B0D0A2020202020202020202020206E616D653A20227461736B732D69672D73617665222C0D0A20202020202020202020202073686F72746375743A20224374726C2B2F2C53222C0D0A202020202020202020202020616374696F6E3A';
wwv_flow_api.g_varchar2_table(81) := '2066756E6374696F6E2829207B0D0A20202020202020202020202020202020726567696F6E28227461736B7322292E63616C6C2822676574416374696F6E7322292E696E766F6B6528227361766522293B0D0A2020202020202020202020207D0D0A2020';
wwv_flow_api.g_varchar2_table(82) := '2020202020207D293B0D0A0D0A20202020202020202F2F0D0A20202020202020202F2F2054686973206973207468652067656E6572616C207061747465726E20666F7220616464696E6720746F207468652067726964207669657720726F77206F722073';
wwv_flow_api.g_varchar2_table(83) := '656C656374696F6E206D656E75730D0A20202020202020202F2F20666F7220636F6465206F6E20746865207061676520796F752063616E206A75737420646F2074686973206F6E2070616765206C6F61642062757420636F646520696E20612066696C65';
wwv_flow_api.g_varchar2_table(84) := '2077696C6C2072756E206265666F72650D0A20202020202020202F2F207468652049472077696467657420697320696E697469616C697A656420736F207761697420666F722074686520637265617465206576656E740D0A20202020202020202F2F0D0A';
wwv_flow_api.g_varchar2_table(85) := '20202020202020207461736B73242E6F6E2822696E74657261637469766567726964637265617465222C2066756E6374696F6E2829207B0D0A202020202020202020202020766172206974656D732C0D0A20202020202020202020202020202020766965';
wwv_flow_api.g_varchar2_table(86) := '77203D20726567696F6E28227461736B7322292E63616C6C28226765745669657773222C20226772696422292C0D0A202020202020202020202020202020206D656E7524203D20766965772E73656C416374696F6E4D656E75243B0D0A0D0A2020202020';
wwv_flow_api.g_varchar2_table(87) := '202020202020202F2F206E6F7720616464206974656D7320746F20746865206D656E752074686174207265666572656E636520616374696F6E7320616464656420746F207468652049470D0A2020202020202020202020202F2F20736565204947206174';
wwv_flow_api.g_varchar2_table(88) := '7472696275746520416476616E636564204A61766153637269707420436F64650D0A2020202020202020202020206974656D73203D206D656E75242E6D656E752820226F7074696F6E2220292E6974656D733B0D0A2020202020202020202020202F2F20';
wwv_flow_api.g_varchar2_table(89) := '696E7365727420616464207461736B206974656D206A757374206265666F726520746865206475706C6963617465206974656D2E20312069732074686520696E646578206A757374206265666F7265206475706C69636174652E2030206D65616E732064';
wwv_flow_api.g_varchar2_table(90) := '656C657465206E6F7468696E672E0D0A2020202020202020202020206974656D732E73706C6963652820312C20302C207B0D0A20202020202020202020202020202020747970653A2022616374696F6E222C0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(91) := '616374696F6E3A202273656C656374696F6E2D6164642D726F77220D0A2020202020202020202020207D20293B0D0A2020202020202020202020206974656D732E7075736828207B0D0A20202020202020202020202020202020747970653A2022736570';
wwv_flow_api.g_varchar2_table(92) := '617261746F72220D0A2020202020202020202020207D20293B0D0A2020202020202020202020206974656D732E7075736828207B0D0A20202020202020202020202020202020747970653A2022616374696F6E222C0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(93) := '202020616374696F6E3A202273656C656374696F6E2D6D6F76652D7570220D0A2020202020202020202020207D20293B0D0A2020202020202020202020206974656D732E7075736828207B0D0A20202020202020202020202020202020747970653A2022';
wwv_flow_api.g_varchar2_table(94) := '616374696F6E222C0D0A20202020202020202020202020202020616374696F6E3A202273656C656374696F6E2D6D6F76652D646F776E220D0A2020202020202020202020207D20293B0D0A2020202020202020202020206974656D732E7075736828207B';
wwv_flow_api.g_varchar2_table(95) := '0D0A2020202020202020202020202020202069643A2022636F6D706C657465222C0D0A20202020202020202020202020202020747970653A2022616374696F6E222C0D0A20202020202020202020202020202020616374696F6E3A202273656C65637469';
wwv_flow_api.g_varchar2_table(96) := '6F6E2D636F6D706C657465220D0A2020202020202020202020207D20293B0D0A0D0A2020202020202020202020202F2F20776F756C64206265206E696365206966207468657265207765726520616E206F7074696F6E20746F20636F6E74726F6C207369';
wwv_flow_api.g_varchar2_table(97) := '6E676C6520726F772076696577206F6E6C792073686F7720646973706C6179656420636F6C756D6E730D0A2020202020202020202020202F2F206275742074686572652069736E277420736F20696E766F6B65207468697320616374696F6E2E0D0A2020';
wwv_flow_api.g_varchar2_table(98) := '20202020202020202020617065782E726567696F6E28227461736B7322292E63616C6C2822676574416374696F6E7322292E73657428226578636C7564652D68696464656E222C2074727565290D0A20202020202020207D293B0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(99) := '202066756E6374696F6E20646F6E6556616C75652876616C756529207B0D0A20202020202020202020202072657475726E207B763A2076616C75652C20643A20617065782E6974656D2822435F444F4E4522292E646973706C617956616C7565466F7228';
wwv_flow_api.g_varchar2_table(100) := '76616C7565297D3B0D0A20202020202020207D0D0A0D0A20202020202020202F2F20746865206D6F64656C20676574732072656C656173656420616E64206372656174656420617420766172696F75732074696D65732073756368206173207768656E20';
wwv_flow_api.g_varchar2_table(101) := '746865207265706F7274206368616E6765730D0A20202020202020202F2F206C697374656E20666F72206D6F64656C2063726561746564206576656E747320736F20746861742077652063616E2073756273637269626520746F206D6F64656C206E6F74';
wwv_flow_api.g_varchar2_table(102) := '696669636174696F6E730D0A20202020202020207461736B73242E6F6E2822696E74657261637469766567726964766965776D6F64656C637265617465222C2066756E6374696F6E286576656E742C20756929207B0D0A20202020202020202020202076';
wwv_flow_api.g_varchar2_table(103) := '6172206D6F64656C203D2075692E6D6F64656C3B0D0A0D0A2020202020202020202020202F2F20776F726B2061726F756E6420616E20494720697373756520776974682064656661756C747320666F7220636F6C756D6E73207468617420686176652061';
wwv_flow_api.g_varchar2_table(104) := '20646973706C61792076616C75650D0A2020202020202020202020206D6F64656C2E6765744F7074696F6E28226669656C647322292E444F4E452E64656661756C7456616C7565203D20646F6E6556616C756528224E22293B0D0A0D0A20202020202020';
wwv_flow_api.g_varchar2_table(105) := '20202020202F2F2052656F72646572696E6720617373756D657320746861742074686520636C69656E742068617320616C6C20746865206461746120736F2063616C6C206665746368416C6C207768656E20746865206D6F64656C206973206372656174';
wwv_flow_api.g_varchar2_table(106) := '65642E0D0A2020202020202020202020202F2F2055736520776974682063617574696F6E20736F207468617420746F6F206D75636820646174612069736E2774206C6F616465642E0D0A2020202020202020202020202F2F204E6F746520746869732069';
wwv_flow_api.g_varchar2_table(107) := '73206F6E6C7920646F6E6520666F7220746865206772696420766569772E2057686963682073686F756C6420626520746865206F6E6C7920766965770D0A202020202020202020202020696620282075692E766965774964203D3D3D2022677269642220';
wwv_flow_api.g_varchar2_table(108) := '29207B0D0A202020202020202020202020202020202F2F2043616E2072656D6F766520696620646174612077696C6C20616C77617973206265206C657373207468616E203530207265636F7264730D0A202020202020202020202020202020206D6F6465';
wwv_flow_api.g_varchar2_table(109) := '6C2E6665746368416C6C2866756E6374696F6E2829207B7D293B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A0D0A20202020202020202F2A0D0A2020202020202020202A20436865636B626F7820636F6C756D6E0D0A2020';
wwv_flow_api.g_varchar2_table(110) := '202020202020202A20486F7720697420776F726B732E0D0A2020202020202020202A202D20417373756D65206120636F6C756D6E207769746820626F6F6C65616E2027592720274E272076616C7565732E0D0A2020202020202020202A202D2044656669';
wwv_flow_api.g_varchar2_table(111) := '6E652074686520636F6C756D6E20747970652061732053776974636820736F20746861742069732077686174206973207573656420696E2053696E676C6520526F7720566965770D0A2020202020202020202A202D20476976652074686520636F6C756D';
wwv_flow_api.g_varchar2_table(112) := '6E2043535320436C617373657320646F6E65436865636B626F782069732D726561646F6E6C792E20436C61737320646F6E65436865636B626F7820656E61626C65732074686520666F6C6C6F77696E67206576656E742068616E646C6572730D0A202020';
wwv_flow_api.g_varchar2_table(113) := '2020202020202A202020616E6420736F6D65204353532072756C65732E205468652069732D726561646F6E6C7920636C617373206B65657073207468652063656C6C2066726F6D206265696E672065646974656420696E2065646974206D6F646520736F';
wwv_flow_api.g_varchar2_table(114) := '2074686174207468652070736575646F0D0A2020202020202020202A202020636865636B626F78206973207374696C6C207573656420726174686572207468616E20746865207377697463682E0D0A2020202020202020202A202D2050726F6261626C79';
wwv_flow_api.g_varchar2_table(115) := '2077616E7420746F207573652063656E74657220636F6C756D6E20616C69676E6D656E740D0A2020202020202020202A202D205365742056616C7565205265717572696564203D204E6F0D0A2020202020202020202A202D20496E636C75646520696E20';
wwv_flow_api.g_varchar2_table(116) := '4A61766153637269707420696E6974696C697A6174696F6E20636F64653A0D0A2020202020202020202A20202020636F6E6669672E64656661756C7447726964436F6C756D6E4F7074696F6E73203D207B0D0A2020202020202020202A20202020202020';
wwv_flow_api.g_varchar2_table(117) := '2063656C6C54656D706C6174653A20223C7370616E20636C6173733D2766612066612D7371756172652D6F20636865636B537461746526444F4E452E2720617269612D68696464656E3D2774727565273E3C2F7370616E3E3C7370616E20636C6173733D';
wwv_flow_api.g_varchar2_table(118) := '27752D7668273E26444F4E452E3C2F7370616E3E220D0A2020202020202020202A202020207D3B0D0A2020202020202020202A2020204E6F746520746861742074686973206973206C616E67756167652073656E73697469766520626563617573652026';
wwv_flow_api.g_varchar2_table(119) := '444F4E452E206973207265706C6163656420776974682074686520646973706C61792074657874206E6F74207468652076616C75652E0D0A2020202020202020202A202020576F756C64206265206E696365206966207468652074656D706C6174652073';
wwv_flow_api.g_varchar2_table(120) := '796E7461782068616420612077617920746F207370656369667920746F20757365207468652076616C756520726174686572207468616E20746865206C6F63616C697A656420646973706C61792076616C75652E0D0A2020202020202020202A202D2054';
wwv_flow_api.g_varchar2_table(121) := '686520666F6C6C6F77696E672074776F206576656E742068616E646C6572732070726F766964652074686520636865636B626F78206265686176696F7220616E642075706461746520746865206D6F64656C2E0D0A2020202020202020202A2F0D0A2020';
wwv_flow_api.g_varchar2_table(122) := '20202020202066756E6374696F6E20636865636B626F78546F67676C65286576656E742C20726567696F6E2C20636F6C756D6E29207B0D0A2020202020202020202020207661722076616C75652C0D0A2020202020202020202020202020202076696577';
wwv_flow_api.g_varchar2_table(123) := '203D20726567696F6E2E63616C6C2822676574566965777322292E677269642C0D0A202020202020202020202020202020206D6F64656C203D20766965772E6D6F64656C2C0D0A202020202020202020202020202020207265636F7264203D2076696577';
wwv_flow_api.g_varchar2_table(124) := '2E676574436F6E746578745265636F7264286576656E742E746172676574295B305D3B0D0A0D0A2020202020202020202020202F2F204D616B652073757265207265636F72642063616E206265206564697465642E20417373756D65206966207265636F';
wwv_flow_api.g_varchar2_table(125) := '72642063616E206265207468656E20736F2063616E2074686520636865636B626F7820636F6C756D6E0D0A202020202020202020202020696620286D6F64656C2E616C6C6F7745646974287265636F72642929207B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(126) := '20202076616C7565203D206D6F64656C2E67657456616C756528207265636F72642C20636F6C756D6E20293B0D0A202020202020202020202020202020206D6F64656C2E73657456616C756528207265636F72642C20636F6C756D6E2C2076616C75652E';
wwv_flow_api.g_varchar2_table(127) := '76203D3D3D20225922203F20646F6E6556616C75652820224E222029203A20646F6E6556616C75652820225922202920293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A20202020202020207461736B73242E6F6E2822636C69';
wwv_flow_api.g_varchar2_table(128) := '636B222C20222E646F6E65436865636B626F78222C2066756E6374696F6E286576656E7429207B0D0A202020202020202020202020636865636B626F78546F67676C65286576656E742C20726567696F6E28227461736B7322292C2022444F4E4522293B';
wwv_flow_api.g_varchar2_table(129) := '0D0A20202020202020207D292E6F6E28226B6579646F776E222C20222E646F6E65436865636B626F78222C2066756E6374696F6E286576656E7429207B0D0A2020202020202020202020202F2F2068616E646C6520756E6D6F6469666965642073706163';
wwv_flow_api.g_varchar2_table(130) := '65206B65790D0A202020202020202020202020696620286576656E742E7768696368203D3D3D20242E75692E6B6579436F64652E535041434520262620216576656E742E616C744B657920262620216576656E742E6374726C4B657929207B0D0A202020';
wwv_flow_api.g_varchar2_table(131) := '20202020202020202020202020636865636B626F78546F67676C65286576656E742C20726567696F6E28227461736B7322292C2022444F4E4522293B0D0A202020202020202020202020202020206576656E742E70726576656E7444656661756C742829';
wwv_flow_api.g_varchar2_table(132) := '3B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A0D0A202020207D293B0D0A0D0A7D2928617065782E6A51756572792C20617065782E6C616E672C20617065782E6D6573736167652C20617065782E726567696F6E2C207461';
wwv_flow_api.g_varchar2_table(133) := '736B73293B0D0A';
null;
end;
/
begin
wwv_flow_api.create_app_static_file(
 p_id=>wwv_flow_api.id(434002430529334413)
,p_file_name=>'Tasks.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/plugin_settings
begin
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(1030536627768956629)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_RICH_TEXT_EDITOR'
,p_attribute_01=>'N'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31643797299218161473)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_COLOR_PICKER'
,p_attribute_01=>'modern'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31643797380665161473)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_YES_NO'
,p_attribute_01=>'Y'
,p_attribute_03=>'N'
,p_attribute_05=>'SWITCH'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31643797425218161473)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_CSS_CALENDAR'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31643797564118161473)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'Y'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31643797684051161473)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31643797765926161473)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IR'
,p_attribute_01=>'IG'
);
wwv_flow_api.create_plugin_setting(
 p_id=>wwv_flow_api.id(31648625257214720017)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_attribute_01=>'Clear Rating'
,p_attribute_02=>'red'
,p_attribute_03=>'lightgray'
,p_attribute_04=>'fa-star'
);
end;
/
prompt --application/shared_components/navigation/navigation_bar
begin
null;
end;
/
prompt --application/shared_components/logic/application_items
begin
null;
end;
/
prompt --application/shared_components/logic/application_computations
begin
null;
end;
/
prompt --application/shared_components/logic/application_settings
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/standard
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/parent
begin
null;
end;
/
prompt --application/shared_components/user_interface/lovs/emp_jobs
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_name=>'EMP_JOBS'
,p_lov_query=>'.'||wwv_flow_api.id(28066362110306461822)||'.'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066362398375461834)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'Clerk'
,p_lov_return_value=>'CLERK'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066362870168461837)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>'Salesman'
,p_lov_return_value=>'SALESMAN'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066363269503461837)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'President'
,p_lov_return_value=>'PRESIDENT'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066363660551461837)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>'Manager'
,p_lov_return_value=>'MANAGER'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066364010309461837)
,p_lov_disp_sequence=>5
,p_lov_disp_value=>'Analyst'
,p_lov_return_value=>'ANALYST'
);
end;
/
prompt --application/shared_components/user_interface/lovs/filter_types
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(646196531533982802)
,p_lov_name=>'FILTER_TYPES'
,p_lov_query=>'.'||wwv_flow_api.id(646196531533982802)||'.'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646196891011982802)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'Equals'
,p_lov_return_value=>'1'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646197249625982807)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>'Not Equals'
,p_lov_return_value=>'2'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646197622889982807)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'Greater Than'
,p_lov_return_value=>'3'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646198004641982807)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>'Greater Or Equal'
,p_lov_return_value=>'4'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646198483226982807)
,p_lov_disp_sequence=>5
,p_lov_disp_value=>'Less Than'
,p_lov_return_value=>'5'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646198845437982809)
,p_lov_disp_sequence=>6
,p_lov_disp_value=>'Less Or Equal'
,p_lov_return_value=>'6'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646199223674982809)
,p_lov_disp_sequence=>7
,p_lov_disp_value=>'Is Null'
,p_lov_return_value=>'7'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646199601509982809)
,p_lov_disp_sequence=>8
,p_lov_disp_value=>'Is Not Null'
,p_lov_return_value=>'8'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646200010510982810)
,p_lov_disp_sequence=>9
,p_lov_disp_value=>'Starts With'
,p_lov_return_value=>'9'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646200416536982810)
,p_lov_disp_sequence=>10
,p_lov_disp_value=>'Does Not Start With'
,p_lov_return_value=>'10'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646200840591982810)
,p_lov_disp_sequence=>11
,p_lov_disp_value=>'Ends With'
,p_lov_return_value=>'11'
,p_lov_disp_cond_type=>'NEVER'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646201242999982810)
,p_lov_disp_sequence=>12
,p_lov_disp_value=>'Does Not End With'
,p_lov_return_value=>'12'
,p_lov_disp_cond_type=>'NEVER'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646201611558982811)
,p_lov_disp_sequence=>13
,p_lov_disp_value=>'Contains'
,p_lov_return_value=>'13'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646202019702982811)
,p_lov_disp_sequence=>14
,p_lov_disp_value=>'Does Not Contain'
,p_lov_return_value=>'14'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646202413847982811)
,p_lov_disp_sequence=>15
,p_lov_disp_value=>'In'
,p_lov_return_value=>'15'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646202907119985655)
,p_lov_disp_sequence=>16
,p_lov_disp_value=>'Not In'
,p_lov_return_value=>'16'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646567553497261599)
,p_lov_disp_sequence=>17
,p_lov_disp_value=>'Between'
,p_lov_return_value=>'17'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646567827063266165)
,p_lov_disp_sequence=>18
,p_lov_disp_value=>'Not Between'
,p_lov_return_value=>'18'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(646568147675272279)
,p_lov_disp_sequence=>19
,p_lov_disp_value=>'Regular Expression'
,p_lov_return_value=>'19'
);
end;
/
prompt --application/shared_components/user_interface/lovs/people_categories
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(28066364364516461838)
,p_lov_name=>'PEOPLE_CATEGORIES'
,p_lov_query=>'.'||wwv_flow_api.id(28066364364516461838)||'.'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066364700195461838)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'Science & Technology'
,p_lov_return_value=>'S_T'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066365170078461839)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>'Arts'
,p_lov_return_value=>'A'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066365522878461839)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'Business & Law'
,p_lov_return_value=>'B_L'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066365892677461839)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>'Politics'
,p_lov_return_value=>'P'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066366367672461839)
,p_lov_disp_sequence=>5
,p_lov_disp_value=>'Sports'
,p_lov_return_value=>'S'
);
end;
/
prompt --application/shared_components/user_interface/lovs/people_gender
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_name=>'PEOPLE_GENDER'
,p_lov_query=>'.'||wwv_flow_api.id(28066366599641461840)||'.'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066367042886461840)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'Male'
,p_lov_return_value=>'M'
);
wwv_flow_api.create_static_lov_data(
 p_id=>wwv_flow_api.id(28066367451808461840)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>'Female'
,p_lov_return_value=>'F'
);
end;
/
prompt --application/shared_components/user_interface/lovs/workspace_schemas
begin
wwv_flow_api.create_list_of_values(
 p_id=>wwv_flow_api.id(560009843645829305)
,p_lov_name=>'WORKSPACE_SCHEMAS'
,p_lov_query=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select schema as d, schema as r',
'from apex_workspace_schemas',
'order by 1'))
);
end;
/
prompt --application/pages/page_groups
begin
null;
end;
/
prompt --application/comments
begin
null;
end;
/
prompt --application/shared_components/navigation/breadcrumbs/breadcrumb
begin
wwv_flow_api.create_menu(
 p_id=>wwv_flow_api.id(31643851307370161584)
,p_name=>' Breadcrumb'
);
wwv_flow_api.create_menu_option(
 p_id=>wwv_flow_api.id(31643851784108161589)
,p_parent_id=>0
,p_short_name=>'Home'
,p_link=>'f?p=&APP_ID.:1:&APP_SESSION.::&DEBUG.'
,p_page_id=>1
);
end;
/
prompt --application/shared_components/user_interface/templates/page/fit_to_window
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(28066376276103754067)
,p_theme_id=>42
,p_name=>'Fit to Window'
,p_internal_name=>'FIT_TO_WINDOW'
,p_is_popup=>false
,p_javascript_file_urls=>'#IMAGE_PREFIX#/libraries/apex/#MIN_DIRECTORY#widget.splitter#MIN#.js'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$(".t-BodyFit").height($(window).height());',
'$(".t-BodyFit").css("width", "100%");',
'',
'apex.theme42.initializePage.noSideCol();',
'var sideNav$ = $("#t_Body_nav");',
'if ( sideNav$.length ) {',
'    // add a splitter for left tree nav',
'    sideNav$.parent().splitter({',
'        orientation: "horizontal",',
'        position: 300',
'    });',
'}',
'$(".t-Region.resize").find(".t-Region-body,.t-Region-bodyWrap").addClass("resize");',
'apex.theme.pageResizeInit();',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.t-PageBody--fitWindow .t-Body-nav,',
'.t-PageBody--fitWindow .t-Body-actions, ',
'.t-PageBody--fitWindow .t-Body-title {',
'    top: 0 !important;',
'}',
'.t-FooterFit {',
'    padding: 0;',
'}',
'.t-Body-contentInner {',
'    padding: 0px;',
'}'))
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>',
'</head>',
'<body class="t-PageBody t-PageBody--hideActions t-PageBody--fitWindow no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'#FORM_OPEN#',
'<header class="t-HeaderFit" id="t_HeaderFit"><!-- xxx not using t-Header causes style issues for top nav menu also for logout link? -->',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'      <!-- xxx consider enable and control splitter',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"></span></button>',
'    </div>',
'      -->',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-BodyFit resize">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-BodyFit-main resize">',
'      <div class="t-BodyFit-title" id="t_BodyFit_title">',
'        #REGION_POSITION_01#',
'      </div>',
'      <div class="t-BodyFit-content resize" id="t_BodyFit_content">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-BodyFit-contentInner resize">',
'          #BODY#',
'        </div>',
'        <footer class="t-FooterFit">',
'          <div class="t-FooterFit-body">',
'            <div class="t-FooterFit-content">#REGION_POSITION_05#</div>',
'          </div>',
'        </footer>',
'      </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">',
'  #REGION_POSITION_04#',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">',
'          #MESSAGE#',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'        <span class="t-Icon a-Icon icon-user"></span>',
'        <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'      <span class="t-Icon #IMAGE#"></span>',
'      <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>false
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>',
'#CONTENT#',
'</div>'))
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066376632152754084)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066377179186754088)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066377622028754089)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066378154990754089)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066378646287754089)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066379100458754090)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066379666962754090)
,p_page_template_id=>wwv_flow_api.id(28066376276103754067)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643797966981161481)
,p_theme_id=>42
,p_name=>'Left Side Column'
,p_internal_name=>'LEFT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.leftSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525196570560608698
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653666393237514069)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653666877203514069)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653667334913514070)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653667819060514070)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653668389628514070)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653668814026514070)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653669338379514071)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653669801214514071)
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_and_right_side_columns
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643798811001161486)
,p_theme_id=>42
,p_name=>'Left and Right Side Columns'
,p_internal_name=>'LEFT_AND_RIGHT_SIDE_COLUMNS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.bothSideCols();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">  ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'#SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525203692562657055
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653674555967514074)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653675037266514074)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653675553981514074)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653676089181514074)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>3
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653676581756514074)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653677038529514075)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653677546473514075)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653678052979514075)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653678529041514075)
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>6
);
end;
/
prompt --application/shared_components/user_interface/templates/page/login
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643799838122161487)
,p_theme_id=>42
,p_name=>'Login'
,p_internal_name=>'LOGIN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.appLogin();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody--login no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #REGION_POSITION_01#',
'  #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'  <div class="t-Body-wrap">',
'    <div class="t-Body-col t-Body-col--main">',
'      <div class="t-Login-container" role="main">#BODY#</div>',
'    </div>',
'  </div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>6
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2099711150063350616
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653680416098514077)
,p_page_template_id=>wwv_flow_api.id(31643799838122161487)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653680959771514077)
,p_page_template_id=>wwv_flow_api.id(31643799838122161487)
,p_name=>'Body Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/master_detail
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643800144277161488)
,p_theme_id=>42
,p_name=>'Marquee'
,p_internal_name=>'MASTER_DETAIL'
,p_is_popup=>false
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyTableHeader#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'))
,p_javascript_code_onload=>'apex.theme42.initializePage.masterDetail();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--masterDetail t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-info" id="t_Body_info">#REGION_POSITION_02#</div>',
'        <div class="t-Body-contentInner" role="main">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1996914646461572319
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653685376826514079)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653685814177514080)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653686353758514080)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Master Detail'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653686866677514080)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Right Side Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653687333267514080)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653687803830514080)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653688303515514081)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653688896999514081)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653689385046514081)
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/minimal_no_navigation
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643801162683161489)
,p_theme_id=>42
,p_name=>'Minimal (No Navigation)'
,p_internal_name=>'MINIMAL_NO_NAVIGATION'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES# t-PageBody--noNav" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">',
'      #NAVIGATION_BAR#',
'    </div>',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>4
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2977628563533209425
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653693276658514084)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653693770955514084)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653694237370514084)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653694755112514084)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653695228550514084)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653695763247514085)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653696274836514085)
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/page/modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643801972030161490)
,p_theme_id=>42
,p_name=>'Modal Dialog'
,p_internal_name=>'MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--standard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        #BODY#',
'      </div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--standard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2098960803539086924
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653698549975514086)
,p_page_template_id=>wwv_flow_api.id(31643801972030161490)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653699096668514086)
,p_page_template_id=>wwv_flow_api.id(31643801972030161490)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653699551949514087)
,p_page_template_id=>wwv_flow_api.id(31643801972030161490)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/right_side_column
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643802496484161492)
,p_theme_id=>42
,p_name=>'Right Side Column'
,p_internal_name=>'RIGHT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.rightSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8"> ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" aria-label="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button'
||'>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525200116240651575
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653704182951514090)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653704679232514090)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653705120271514090)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653705685475514090)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653706104100514090)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653706612621514091)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653707116413514091)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653707620606514091)
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643803401376161492)
,p_theme_id=>42
,p_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding" role="banner">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Header-controlsIcon" aria-hidden="t'
||'rue"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'    </div>',
'    <div class="t-Header-navBar">#NAVIGATION_BAR#</div>',
'  </div>',
'  <div class="t-Header-nav">',
'    #TOP_GLOBAL_NAVIGATION_LIST#',
'    #REGION_POSITION_06#',
'  </div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton"><span class="a-Icon icon-up-chevron"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>4070909157481059304
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653711570785514098)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653712017110514098)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653712544674514099)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Inline Dialogs'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653713071189514099)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653713527548514099)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Page Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653714046307514099)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Page Header'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653714515584514100)
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_name=>'Before Content Body'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/page/wizard_modal_dialog
begin
wwv_flow_api.create_template(
 p_id=>wwv_flow_api.id(31643804102198161493)
,p_theme_id=>42
,p_name=>'Wizard Modal Dialog'
,p_internal_name=>'WIZARD_MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.wizardModal();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--wizard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        #BODY#',
'      </div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h3>#MESSAGE#</h3>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'alpha'
,p_grid_last_column_attributes=>'omega'
,p_dialog_js_init_code=>'apex.navigation.dialog(#PAGE_URL#,{title:#TITLE#,height:#DIALOG_HEIGHT#,width:#DIALOG_WIDTH#,maxWidth:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,#DIALOG_ATTRIBUTES#},''t-Dialog-page--wizard ''+#DIALOG_CSS_CLASSES#,#TRIGGERING_ELEMENT#);'
,p_dialog_js_close_code=>'apex.navigation.dialog.close(#IS_MODAL#,#TARGET#);'
,p_dialog_js_cancel_code=>'apex.navigation.dialog.cancel(#IS_MODAL#);'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2120348229686426515
,p_translate_this_template=>'N'
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653716833305514101)
,p_page_template_id=>wwv_flow_api.id(31643804102198161493)
,p_name=>'Wizard Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653717374908514101)
,p_page_template_id=>wwv_flow_api.id(31643804102198161493)
,p_name=>'Wizard Progress Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_page_tmpl_display_point(
 p_id=>wwv_flow_api.id(653717827418514102)
,p_page_template_id=>wwv_flow_api.id(31643804102198161493)
,p_name=>'Wizard Buttons'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/button/icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(31643839184700161549)
,p_template_name=>'Icon'
,p_internal_name=>'ICON'
,p_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"><'
||'/span></button>'
,p_hot_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL#" aria-label="#LABEL#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-h'
||'idden="true"></span></button>'
,p_reference_id=>2347660919680321258
,p_translate_this_template=>'N'
,p_theme_class_id=>5
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(31643839236577161549)
,p_template_name=>'Text'
,p_internal_name=>'TEXT'
,p_template=>'<button onclick="#JAVASCRIPT#" class="t-Button #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_hot_template=>'<button onclick="#JAVASCRIPT#" class="t-Button t-Button--hot #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_reference_id=>4070916158035059322
,p_translate_this_template=>'N'
,p_theme_class_id=>1
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text_with_icon
begin
wwv_flow_api.create_button_templates(
 p_id=>wwv_flow_api.id(31643839365856161549)
,p_template_name=>'Text with Icon'
,p_internal_name=>'TEXT_WITH_ICON'
,p_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-label">#LABEL#'
||'</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-'
||'label">#LABEL#</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_reference_id=>2081382742158699622
,p_translate_this_template=>'N'
,p_theme_class_id=>4
,p_preset_template_options=>'t-Button--iconRight'
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_popup
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(659831297558836131)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#"  class="t-DialogRegion #REGION_CSS_CLASSES# js-regionPopup" #REGION_ATTRIBUTES# style="display:none" title="#TITLE#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Popup'
,p_internal_name=>'INLINE_POPUP'
,p_theme_id=>42
,p_theme_class_id=>24
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1483922538999385230
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653778834578514149)
,p_plug_template_id=>wwv_flow_api.id(659831297558836131)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/jquery_tabs
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(744485289772560521)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="a-TabsContainer #REGION_CSS_CLASSES#" #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  <div class="a-Tabs-toolbar a-Toolbar">',
'    #SUB_REGION_HEADERS#',
'    <div class="a-Toolbar-items a-Toolbar-items--right">#NEXT#</div>',
'  </div>',
'  #SUB_REGIONS#',
'</div>',
''))
,p_sub_plug_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul>',
'#ENTRIES#',
'</ul>',
''))
,p_sub_plug_header_entry_templ=>'<li><a href="##SUB_REGION_ID#">#SUB_REGION_TITLE#</a></li>'
,p_sub_plug_template=>'#SUB_REGION#'
,p_page_plug_template_name=>'jQueryUI Tabs'
,p_internal_name=>'JQUERY_TABS'
,p_javascript_file_urls=>'#JQUERYUI_DIRECTORY#ui/widgets/tabs.js'
,p_javascript_code_onload=>'$("##REGION_STATIC_ID#").tabs({})'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(763662129082227841)
,p_plug_template_id=>wwv_flow_api.id(744485289772560521)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(763662519146227847)
,p_plug_template_id=>wwv_flow_api.id(744485289772560521)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/splitter
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(28066370677187565146)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="resize #REGION_CSS_CLASSES#"> ',
'#BODY#',
'<div id="#REGION_STATIC_ID#_content" class="resize" style="height: 400px;width:400px;">',
'#SUB_REGIONS#',
'</div>',
'</div>',
''))
,p_page_plug_template_name=>'Splitter'
,p_internal_name=>'SPLITTER'
,p_javascript_file_urls=>'#IMAGE_PREFIX#/libraries/apex/#MIN_DIRECTORY#widget.splitter#MIN#.js'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var orientation = "horizontal";',
'var positionedFrom = "begin";',
'var e = apex.jQuery("##REGION_STATIC_ID#", apex.gPageContext$);',
'',
'if (e.hasClass("js-vertical")) {',
'    orientation = "vertical";',
'}',
'if (e.hasClass("js-toEnd")) {',
'    positionedFrom = "end";',
'}',
'',
'apex.jQuery("##REGION_STATIC_ID#_content").splitter({',
'    orientation: orientation,',
'    positionedFrom: positionedFrom,',
'    position: 300',
'});',
''))
,p_theme_id=>42
,p_theme_class_id=>19
,p_preset_template_options=>'margin-bottom-none'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(28066374544929642629)
,p_plug_template_id=>wwv_flow_api.id(28066370677187565146)
,p_name=>'Two Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/alert
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643804678700161494)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">#BODY#</div>',
'    </div>',
'    <div class="t-Alert-buttons">#PREVIOUS##CLOSE##CREATE##NEXT#</div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Alert'
,p_internal_name=>'ALERT'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2039236646100190748
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653719692129514103)
,p_plug_template_id=>wwv_flow_api.id(31643804678700161494)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643806492316161500)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4499993862448380551
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes_no_grid
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643806541173161500)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="#REGION_CSS_CLASSES#"> ',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Blank with Attributes (No Grid)'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES_NO_GRID'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3369790999010910123
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653728448805514109)
,p_plug_template_id=>wwv_flow_api.id(31643806541173161500)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653728933385514110)
,p_plug_template_id=>wwv_flow_api.id(31643806541173161500)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/buttons_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643806817042161501)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ButtonRegion t-Form--floatLeft #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ButtonRegion-wrap">',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##CLOSE##DELETE#</div></div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--content">',
'      <h2 class="t-ButtonRegion-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'      #BODY#',
'      <div class="t-ButtonRegion-buttons">#CHANGE#</div>',
'    </div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Buttons Container'
,p_internal_name=>'BUTTONS_CONTAINER'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>17
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2124982336649579661
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653730531709514111)
,p_plug_template_id=>wwv_flow_api.id(31643806817042161501)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653731039087514111)
,p_plug_template_id=>wwv_flow_api.id(31643806817042161501)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/carousel_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643807755640161502)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--carousel #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'   <div class="t-Region-carouselRegions">',
'     #SUB_REGIONS#',
'   </div>',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Carousel Container'
,p_internal_name=>'CAROUSEL_CONTAINER'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#',
'#IMAGE_PREFIX#plugins/com.oracle.apex.carousel/1.1/com.oracle.apex.carousel#MIN#.js?v=#APEX_VERSION#'))
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-Region--showCarouselControls'
,p_preset_template_options=>'t-Region--hiddenOverflow'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2865840475322558786
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653735314802514114)
,p_plug_template_id=>wwv_flow_api.id(31643807755640161502)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653735824188514115)
,p_plug_template_id=>wwv_flow_api.id(31643807755640161502)
,p_name=>'Slides'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/collapsible
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643811190226161507)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--hideShow #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems  t-Region-headerItems--controls"><button class="t-Button t-Button--icon t-Button--hideShow" type="button"></button></div>',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <h2 class="t-Region-title">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#EDIT#</div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#CLOSE#</div>',
'    <div class="t-Region-buttons-right">#CREATE#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #COPY#',
'     #BODY#',
'     #SUB_REGIONS#',
'     #CHANGE#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
' </div>',
'</div>'))
,p_page_plug_template_name=>'Collapsible'
,p_internal_name=>'COLLAPSIBLE'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>1
,p_preset_template_options=>'is-expanded:t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2662888092628347716
,p_translate_this_template=>'N'
,p_template_comment=>'Red Theme'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653751423878514130)
,p_plug_template_id=>wwv_flow_api.id(31643811190226161507)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653751959611514130)
,p_plug_template_id=>wwv_flow_api.id(31643811190226161507)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/content_block
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643813391525161509)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContentBlock #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-ContentBlock-header">',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--title">',
'      <span class="t-ContentBlock-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'      <h1 class="t-ContentBlock-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h1>',
'      #EDIT#',
'    </div>',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--buttons">#CHANGE#</div>',
'  </div>',
'  <div class="t-ContentBlock-body">#BODY#</div>',
'  <div class="t-ContentBlock-buttons">#PREVIOUS##NEXT#</div>',
'</div>',
''))
,p_page_plug_template_name=>'Content Block'
,p_internal_name=>'CONTENT_BLOCK'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ContentBlock--h1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2320668864738842174
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/hero
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643814263074161510)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-HeroRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-HeroRegion-wrap">',
'    <div class="t-HeroRegion-col t-HeroRegion-col--left"><span class="t-HeroRegion-icon t-Icon #ICON_CSS_CLASSES#"></span></div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--content">',
'      <h1 class="t-HeroRegion-title">#TITLE#</h1>',
'      #BODY#',
'    </div>',
'    <div class="t-HeroRegion-col t-HeroRegion-col--right"><div class="t-HeroRegion-form">#SUB_REGIONS#</div><div class="t-HeroRegion-buttons">#NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Hero'
,p_internal_name=>'HERO'
,p_theme_id=>42
,p_theme_class_id=>22
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672571031438297268
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653768451158514142)
,p_plug_template_id=>wwv_flow_api.id(31643814263074161510)
,p_name=>'Region Body'
,p_placeholder=>'#BODY#'
,p_has_grid_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_dialog
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643814967046161511)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#"  class="t-DialogRegion #REGION_CSS_CLASSES# js-regionDialog" #REGION_ATTRIBUTES# style="display:none" title="#TITLE#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Dialog'
,p_internal_name=>'INLINE_DIALOG'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal:js-draggable:js-resizable'
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2671226943886536762
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653774360531514146)
,p_plug_template_id=>wwv_flow_api.id(31643814967046161511)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/interactive_report
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643815979975161511)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-IRR-region #REGION_CSS_CLASSES#">',
'  <h2 class="u-VisuallyHidden" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'#PREVIOUS##BODY##SUB_REGIONS##NEXT#',
'</div>'))
,p_page_plug_template_name=>'Interactive Report'
,p_internal_name=>'INTERACTIVE_REPORT'
,p_theme_id=>42
,p_theme_class_id=>9
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2099079838218790610
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/login
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643816266957161512)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-region t-Form--stretchInputs t-Form--labelsAbove #REGION_CSS_CLASSES#" id="#REGION_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Login-header">',
'    <span class="t-Login-logo #ICON_CSS_CLASSES#"></span>',
'    <h1 class="t-Login-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h1>',
'  </div>',
'  <div class="t-Login-body">',
'    #BODY#',
'  </div>',
'  <div class="t-Login-buttons">',
'    #NEXT#',
'  </div>',
'  <div class="t-Login-links">',
'    #EDIT##CREATE#',
'  </div>',
'  #SUB_REGIONS#',
'</div>'))
,p_page_plug_template_name=>'Login'
,p_internal_name=>'LOGIN'
,p_theme_id=>42
,p_theme_class_id=>23
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2672711194551076376
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653784247225514153)
,p_plug_template_id=>wwv_flow_api.id(31643816266957161512)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/standard
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643816495903161512)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading">#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     #BODY#',
'     #SUB_REGIONS#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>',
''))
,p_page_plug_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4070912133526059312
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653785889400514154)
,p_plug_template_id=>wwv_flow_api.id(31643816495903161512)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653786332218514155)
,p_plug_template_id=>wwv_flow_api.id(31643816495903161512)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/tabs_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643819619236161515)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-TabsRegion #REGION_CSS_CLASSES# apex-tabs-region" #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  #BODY#',
'  <div class="t-TabsRegion-items">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Tabs Container'
,p_internal_name=>'TABS_CONTAINER'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>5
,p_preset_template_options=>'t-TabsRegion-mod--simple'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3221725015618492759
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653805078097514172)
,p_plug_template_id=>wwv_flow_api.id(31643819619236161515)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_glv_new_row=>true
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653805583509514172)
,p_plug_template_id=>wwv_flow_api.id(31643819619236161515)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/title_bar
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643820811518161516)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES# class="t-BreadcrumbRegion #REGION_CSS_CLASSES#"> ',
'  <div class="t-BreadcrumbRegion-body">',
'    <div class="t-BreadcrumbRegion-breadcrumb">',
'      #BODY#',
'    </div>',
'    <div class="t-BreadcrumbRegion-title">',
'      <h1 class="t-BreadcrumbRegion-titleText">#TITLE#</h1>',
'    </div>',
'  </div>',
'  <div class="t-BreadcrumbRegion-buttons">#PREVIOUS##CLOSE##DELETE##HELP##CHANGE##EDIT##COPY##CREATE##NEXT#</div>',
'</div>'))
,p_page_plug_template_name=>'Title Bar'
,p_internal_name=>'TITLE_BAR'
,p_theme_id=>42
,p_theme_class_id=>6
,p_default_template_options=>'t-BreadcrumbRegion--showBreadcrumb'
,p_preset_template_options=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2530016523834132090
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/region/wizard_container
begin
wwv_flow_api.create_plug_template(
 p_id=>wwv_flow_api.id(31643821285969161516)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Wizard #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>',
'  <div class="t-Wizard-header">',
'    <h1 class="t-Wizard-title">#TITLE#</h1>',
'    <div class="u-Table t-Wizard-controls">',
'      <div class="u-Table-fit t-Wizard-buttons">#PREVIOUS##CLOSE#</div>',
'      <div class="u-Table-fill t-Wizard-steps">',
'        #BODY#',
'      </div>',
'      <div class="u-Table-fit t-Wizard-buttons">#NEXT#</div>',
'    </div>',
'  </div>',
'  <div class="t-Wizard-body">',
'    #SUB_REGIONS#',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Wizard Container'
,p_internal_name=>'WIZARD_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Wizard--hideStepsXSmall'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2117602213152591491
,p_translate_this_template=>'N'
);
wwv_flow_api.create_plug_tmpl_display_point(
 p_id=>wwv_flow_api.id(653812138660514176)
,p_plug_template_id=>wwv_flow_api.id(31643821285969161516)
,p_name=>'Wizard Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(622017700972853682)
,p_list_template_current=>'<li class="t-NavTabs-item #A03# is-active" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class'
||'="t-NavTabs-badge #A05#">#A02#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-NavTabs-item #A03#" id="#A01#"><a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-NavTabs-label">#TEXT_ESC_SC#</span><span class="t-NavTab'
||'s-badge #A05#">#A02#</span></a></li>'
,p_list_template_name=>'Top Navigation Tabs'
,p_internal_name=>'TOP_NAVIGATION_TABS'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-NavTabs--inlineLabels-lg:t-NavTabs--displayLabels-sm'
,p_list_template_before_rows=>'<ul class="t-NavTabs #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_navtabs">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a02_label=>'Badge Value'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_a05_label=>'Badge Class'
,p_reference_id=>1453011561172885578
);
end;
/
prompt --application/shared_components/user_interface/templates/list/badge_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643829876078161532)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'  <span class="t-BadgeList-label">#TEXT#</span>',
'  <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_theme_id=>42
,p_theme_class_id=>3
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--cols t-BadgeList--3cols:t-BadgeList--circular'
,p_list_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Value'
,p_a02_label=>'List item CSS Classes'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'Link Classes'
,p_reference_id=>2062482847268086664
,p_list_template_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A01: Large Number',
'A02: List Item Classes',
'A03: Link Attributes'))
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643831551150161537)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#TEXT#</h3><h4 class="t-Card-subtitle">#A07#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_reference_id=>2885322685880632508
);
end;
/
prompt --application/shared_components/user_interface/templates/list/links_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643833970904161539)
,p_list_template_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_list_template_name=>'Links List'
,p_internal_name=>'LINKS_LIST'
,p_theme_id=>42
,p_theme_class_id=>18
,p_list_template_before_rows=>'<ul class="t-LinksList #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<ul class="t-LinksList-list">'
,p_after_sub_list=>'</ul>'
,p_sub_list_item_current=>'<li class="t-LinksList-item is-current #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-b'
||'adge">#A01#</span></a></li>'
,p_sub_list_item_noncurrent=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_item_templ_curr_w_child=>'<li class="t-LinksList-item is-current is-expanded #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t'
||'-LinksList-badge">#A01#</span></a>#SUB_LISTS#</li>'
,p_item_templ_noncurr_w_child=>'<li class="t-LinksList-item #A03#"><a href="#LINK#" class="t-LinksList-link" #A02#><span class="t-LinksList-icon"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span><span class="t-LinksList-label">#TEXT#</span><span class="t-LinksList-badge">#A01#'
||'</span></a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'Link Attributes'
,p_a03_label=>'List Item CSS Classes'
,p_reference_id=>4070914341144059318
);
end;
/
prompt --application/shared_components/user_interface/templates/list/media_list
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643834794942161540)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item is-active #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item  #A04#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#TEXT#</h3>',
'            <p class="t-MediaList-desc">#A01#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#A02#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_list_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_list_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Class'
,p_a06_label=>'Icon Color Class'
,p_reference_id=>2066548068783481421
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643835983833161541)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Menu Bar'
,p_internal_name=>'MENU_BAR'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  iconType: ''fa'',',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-showSubMenuIcons'
,p_list_template_before_rows=>'<div class="t-MenuBar #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_reference_id=>2008709236185638887
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_popup
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643836457594161542)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_name=>'Menu Popup'
,p_internal_name=>'MENU_POPUP'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menu", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({ slide: e.hasClass("js-slide"), iconType: ''fa''});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<div id="#PARENT_STATIC_ID#_menu" class="#COMPONENT_CSS_CLASSES#" style="display:none;"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Data ID'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut'
,p_reference_id=>3492264004432431646
);
end;
/
prompt --application/shared_components/user_interface/templates/list/navigation_bar
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643836589815161543)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Navigation Bar'
,p_internal_name=>'NAVIGATION_BAR'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<ul class="t-NavigationBar #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<div class="t-NavigationBar-menu" style="display: none" id="menu_#PARENT_LIST_ITEM_ID#"><ul>'
,p_after_sub_list=>'</ul></div></li>'
,p_sub_list_item_current=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar js-menuButton" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow"></span>',
'  </button>'))
,p_sub_templ_curr_w_child=>'<li data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_sub_templ_noncurr_w_child=>'<li data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#">#TEXT_ESC_SC#</a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'List  Item CSS Classes'
,p_reference_id=>2846096252961119197
);
end;
/
prompt --application/shared_components/user_interface/templates/list/side_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643836619930161543)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Side Navigation Menu'
,p_internal_name=>'SIDE_NAVIGATION_MENU'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.treeView#MIN#.js?v=#APEX_VERSION#'
,p_javascript_code_onload=>'apex.jQuery(''body'').addClass(''t-PageBody--leftNav'');'
,p_theme_id=>42
,p_theme_class_id=>19
,p_preset_template_options=>'t-TreeNav--styleA'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-nav" id="t_Body_nav" role="navigation" aria-label="&APP_TITLE!ATTR.">',
'<div class="t-TreeNav #COMPONENT_CSS_CLASSES#" id="t_TreeNav" data-id="#PARENT_STATIC_ID#_tree" aria-label="&APP_TITLE!ATTR."><ul style="display:none">'))
,p_list_template_after_rows=>'</ul></div></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True/False'
,p_a04_label=>'Title'
,p_reference_id=>2466292414354694776
);
end;
/
prompt --application/shared_components/user_interface/templates/list/tabs
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643836800379161544)
,p_list_template_current=>'<li class="t-Tabs-item is-active"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_noncurrent=>'<li class="t-Tabs-item"><a href="#LINK#" class="t-Tabs-link"><span class="t-Icon #ICON_CSS_CLASSES#"></span><span class="t-Tabs-label">#TEXT#</span></a></li>'
,p_list_template_name=>'Tabs'
,p_internal_name=>'TABS'
,p_javascript_file_urls=>'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Tabs--simple'
,p_list_template_before_rows=>'<ul class="t-Tabs #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>3288206686691809997
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_menu
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643837596753161545)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Top Navigation Menu'
,p_internal_name=>'TOP_NAVIGATION_MENU'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  if ( apex.actions ) {',
'    apex.actions.addFromMarkup( e );',
'  } else {',
'    apex.debug.warn("Include actions.js to support menu shortcuts");',
'  }',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  slide: e.hasClass("js-slide"),',
'  menubar: true,',
'  menubarOverflow: true',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-tabLike'
,p_list_template_before_rows=>'<div class="t-Header-nav-list #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul style="display:none">'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled True / False'
,p_a03_label=>'Hide'
,p_a04_label=>'Title Attribute'
,p_a05_label=>'Shortcut Key'
,p_reference_id=>2525307901300239072
);
end;
/
prompt --application/shared_components/user_interface/templates/list/wizard_progress
begin
wwv_flow_api.create_list_template(
 p_id=>wwv_flow_api.id(31643838017931161545)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step is-active" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap" data-link="#LINK#"><span class="t-WizardSteps-marker"></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"></span></span></'
||'div></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step" id="#LIST_ITEM_ID#"><div class="t-WizardSteps-wrap" data-link="#LINK#"><span class="t-WizardSteps-marker"></span><span class="t-WizardSteps-label">#TEXT# <span class="t-WizardSteps-labelState"></span></span></div></li>',
''))
,p_list_template_name=>'Wizard Progress'
,p_internal_name=>'WIZARD_PROGRESS'
,p_javascript_code_onload=>'apex.theme.initWizardProgressBar();'
,p_theme_id=>42
,p_theme_class_id=>17
,p_preset_template_options=>'t-WizardSteps--displayLabels'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<h2 class="u-VisuallyHidden">#CURRENT_PROGRESS#</h2>',
'<ul class="t-WizardSteps #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'))
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>2008702338707394488
);
end;
/
prompt --application/shared_components/user_interface/templates/report/media_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(622063200436853720)
,p_row_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'    <a href="#LINK#" class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'        <div class="t-MediaList-iconWrap">',
'            <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'        </div>',
'        <div class="t-MediaList-body">',
'            <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'            <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'        </div>',
'        <div class="t-MediaList-badgeWrap">',
'            <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'        </div>',
'    </a>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_default_template_options=>'t-MediaList--showDesc:t-MediaList--showIcons'
,p_preset_template_options=>'t-MediaList--stack'
,p_reference_id=>2092157460408299055
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/alerts
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643821854452161517)
,p_row_template_name=>'Alerts'
,p_internal_name=>'ALERTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--horizontal t-Alert--colorBG t-Alert--defaultIcons t-Alert--#ALERT_TYPE#" role="alert">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title">#ALERT_TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">',
'        #ALERT_DESC#',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      #ALERT_ACTION#',
'    </div>',
'  </div>',
'</div>'))
,p_row_template_before_rows=>'<div class="t-Alerts #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_alerts" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>14
,p_reference_id=>2881456138952347027
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/badge_list
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643821932372161518)
,p_row_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item">',
' <span class="t-BadgeList-wrap u-color">',
'  <span class="t-BadgeList-label">#COLUMN_HEADER#</span>',
'  <span class="t-BadgeList-value">#COLUMN_VALUE#</span>',
' </span>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--fixed:t-BadgeList--circular'
,p_reference_id=>2103197159775914759
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/cards
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643823692631161520)
,p_row_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <a href="#CARD_LINK#" class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':CARD_LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <div class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_cards" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_reference_id=>2973535649510699732
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/comments
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643825994842161527)
,p_row_template_name=>'Comments'
,p_internal_name=>'COMMENTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item #COMMENT_MODIFIERS#">',
'    <div class="t-Comments-icon">',
'        <div class="t-Comments-userIcon #ICON_MODIFIER#" aria-hidden="true">#USER_ICON#</div>',
'    </div>',
'    <div class="t-Comments-body">',
'        <div class="t-Comments-info">',
'            #USER_NAME# <span class="t-Comments-date">#COMMENT_DATE#</span> <span class="t-Comments-actions">#ACTIONS#</span>',
'        </div>',
'        <div class="t-Comments-comment">',
'            #COMMENT_TEXT##ATTRIBUTE_1##ATTRIBUTE_2##ATTRIBUTE_3##ATTRIBUTE_4#',
'        </div>',
'    </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Comments #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>',
''))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Comments--chat'
,p_reference_id=>2611722012730764232
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/search_results
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643826333269161527)
,p_row_template_name=>'Search Results'
,p_internal_name=>'SEARCH_RESULTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition1=>':LABEL_02 is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition2=>':LABEL_03 is null'
,p_row_template3=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition3=>':LABEL_04 is null'
,p_row_template4=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'      <span class="t-SearchResults-misc">#LABEL_04#: #VALUE_04#</span>',
'    </div>',
'  </li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-SearchResults #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">',
'<ul class="t-SearchResults-list">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>',
'</div>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'NOT_CONDITIONAL'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070913431524059316
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/standard
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643826447390161527)
,p_row_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_row_template1=>'<td class="t-Report-cell" #ALIGNMENT# headers="#COLUMN_HEADER_NAME#">#COLUMN_VALUE#</td>'
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Report #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">',
'  <div class="t-Report-wrap">',
'    <table class="t-Report-pagination" role="presentation">#TOP_PAGINATION#</table>',
'    <div class="t-Report-tableWrap">',
'    <table class="t-Report-report" aria-label="#REGION_TITLE#">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      </tbody>',
'    </table>',
'    </div>',
'    <div class="t-Report-links">#EXTERNAL_LINK##CSV_LINK#</div>',
'    <table class="t-Report-pagination t-Report-pagination--bottom" role="presentation">#PAGINATION#</table>',
'  </div>',
'</div>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_before_column_heading=>'<thead>'
,p_column_heading_template=>'<th class="t-Report-colHead" #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>'
,p_after_column_heading=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</thead>',
'<tbody>'))
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Report--altRowsDefault:t-Report--rowHighlight'
,p_reference_id=>2537207537838287671
,p_translate_this_template=>'N'
);
begin
wwv_flow_api.create_row_template_patch(
 p_id=>wwv_flow_api.id(31643826447390161527)
,p_row_template_before_first=>'<tr>'
,p_row_template_after_last=>'</tr>'
);
exception when others then null;
end;
end;
/
prompt --application/shared_components/user_interface/templates/report/timeline
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643827796621161529)
,p_row_template_name=>'Timeline'
,p_internal_name=>'TIMELINE'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':EVENT_LINK is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <a href="#EVENT_LINK#" class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </a>',
'</li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_timeline" data-region-id="#REGION_STATIC_ID#">',
''))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_reference_id=>1513373588340069864
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_column
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643827957201161529)
,p_row_template_name=>'Value Attribute Pairs - Column'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_COLUMN'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #COLUMN_HEADER#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #COLUMN_VALUE#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068636272681754
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_row
begin
wwv_flow_api.create_row_template(
 p_id=>wwv_flow_api.id(31643828905447161530)
,p_row_template_name=>'Value Attribute Pairs - Row'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #1#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #2#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068321678681753
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(622069053235853723)
,p_template_name=>'Optional - Floating'
,p_internal_name=>'OPTIONAL_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>1607675164727151865
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_floating
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(622069323002853724)
,p_template_name=>'Required - Floating'
,p_internal_name=>'REQUIRED_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1607675344320152883
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/hidden
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(31643838645028161546)
,p_template_name=>'Hidden'
,p_internal_name=>'HIDDEN'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer t-Form-labelContainer--hiddenLabel col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label u-VisuallyHidden">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--hiddenLabel rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>13
,p_reference_id=>2039339104148359505
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(31643838758531161548)
,p_template_name=>'Optional'
,p_internal_name=>'OPTIONAL'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>',
''))
,p_before_item=>'<div class="t-Form-fieldContainer rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>2317154212072806530
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(31643838831227161548)
,p_template_name=>'Optional - Above'
,p_internal_name=>'OPTIONAL_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>#HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>3030114864004968404
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(31643838921825161548)
,p_template_name=>'Required'
,p_internal_name=>'REQUIRED'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer is-required rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>2525313812251712801
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_above
begin
wwv_flow_api.create_field_template(
 p_id=>wwv_flow_api.id(31643839061538161548)
,p_template_name=>'Required - Above'
,p_internal_name=>'REQUIRED_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
' <span class="u-VisuallyHidden">(#VALUE_REQUIRED#)</span></label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>3030115129444970113
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/breadcrumb/breadcrumb
begin
wwv_flow_api.create_menu_template(
 p_id=>wwv_flow_api.id(31643839741896161550)
,p_name=>'Breadcrumb'
,p_internal_name=>'BREADCRUMB'
,p_before_first=>'<ul class="t-Breadcrumb #COMPONENT_CSS_CLASSES#">'
,p_current_page_option=>'<li class="t-Breadcrumb-item is-active"><h1 class="t-Breadcrumb-label">#NAME#</h1></li>'
,p_non_current_page_option=>'<li class="t-Breadcrumb-item"><a href="#LINK#" class="t-Breadcrumb-label">#NAME#</a></li>'
,p_after_last=>'</ul>'
,p_max_levels=>6
,p_start_with_node=>'PARENT_TO_LEAF'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916542570059325
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/popuplov
begin
wwv_flow_api.create_popup_lov_template(
 p_id=>wwv_flow_api.id(31643839906188161554)
,p_page_name=>'winlov'
,p_page_title=>'Search Dialog'
,p_page_html_head=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html lang="&BROWSER_LANGUAGE.">',
'<head>',
'<title>#TITLE#</title>',
'#APEX_CSS#',
'#THEME_CSS#',
'#THEME_STYLE_CSS#',
'#FAVICONS#',
'#APEX_JAVASCRIPT#',
'#THEME_JAVASCRIPT#',
'<meta name="viewport" content="width=device-width,initial-scale=1.0" />',
'</head>'))
,p_page_body_attr=>'onload="first_field()" class="t-Page t-Page--popupLOV"'
,p_before_field_text=>'<div class="t-PopupLOV-actions t-Form--large">'
,p_filter_width=>'20'
,p_filter_max_width=>'100'
,p_filter_text_attr=>'class="apex-item-text"'
,p_find_button_text=>'Search'
,p_find_button_attr=>'class="t-Button t-Button--hot t-Button--padLeft"'
,p_close_button_text=>'Close'
,p_close_button_attr=>'class="t-Button u-pullRight"'
,p_next_button_text=>'Next &gt;'
,p_next_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_prev_button_text=>'&lt; Previous'
,p_prev_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_after_field_text=>'</div>'
,p_scrollbars=>'1'
,p_resizable=>'1'
,p_width=>'380'
,p_result_row_x_of_y=>'<div class="t-PopupLOV-pagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>'
,p_result_rows_per_pg=>100
,p_before_result_set=>'<div class="t-PopupLOV-links">'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>2885398517835871876
,p_translate_this_template=>'N'
,p_after_result_set=>'</div>'
);
end;
/
prompt --application/shared_components/user_interface/templates/calendar/calendar
begin
wwv_flow_api.create_calendar_template(
 p_id=>wwv_flow_api.id(31643839817248161553)
,p_cal_template_name=>'Calendar'
,p_internal_name=>'CALENDAR'
,p_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>',
''))
,p_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_day_close_format=>'</td>'
,p_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_close_format=>'</td>'
,p_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_nonday_close_format=>'</td>'
,p_week_open_format=>'<tr>'
,p_week_close_format=>'</tr> '
,p_daily_title_format=>'<table cellspacing="0" cellpadding="0" border="0" summary="" class="t1DayCalendarHolder"> <tr> <td class="t1MonthTitle">#IMONTH# #DD#, #YYYY#</td> </tr> <tr> <td>'
,p_daily_open_format=>'<tr>'
,p_daily_close_format=>'</tr>'
,p_weekly_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--weekly">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_weekly_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_weekly_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_weekly_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_weekly_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_day_close_format=>'</div></td>'
,p_weekly_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_close_format=>'</div></td>'
,p_weekly_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_weekly_time_close_format=>'</th>'
,p_weekly_time_title_format=>'#TIME#'
,p_weekly_hour_open_format=>'<tr>'
,p_weekly_hour_close_format=>'</tr>'
,p_daily_day_of_week_format=>'<th scope="col" id="#DY#" class="t-ClassicCalendar-dayColumn">#IDAY#</th>'
,p_daily_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--daily">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #DD#, #YYYY#</h1>'))
,p_daily_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL#" class="t-ClassicCalendar-calendar">'
,p_daily_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_daily_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_day_close_format=>'</div></td>'
,p_daily_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol" id="#TIME#">'
,p_daily_time_close_format=>'</th>'
,p_daily_time_title_format=>'#TIME#'
,p_daily_hour_open_format=>'<tr>'
,p_daily_hour_close_format=>'</tr>'
,p_cust_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_cust_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_cust_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_cust_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_week_open_format=>'<tr>'
,p_cust_week_close_format=>'</tr> '
,p_cust_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_day_close_format=>'</td>'
,p_cust_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">'
,p_cust_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_cust_nonday_close_format=>'</td>'
,p_cust_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">'
,p_cust_weekend_close_format=>'</td>'
,p_cust_hour_open_format=>'<tr>'
,p_cust_hour_close_format=>'</tr>'
,p_cust_time_title_format=>'#TIME#'
,p_cust_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_cust_time_close_format=>'</th>'
,p_cust_wk_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_cust_wk_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_cust_wk_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_cust_wk_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_wk_week_open_format=>'<tr>'
,p_cust_wk_week_close_format=>'</tr> '
,p_cust_wk_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_day_close_format=>'</div></td>'
,p_cust_wk_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_weekend_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_wk_weekend_close_format=>'</td>'
,p_agenda_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--list">',
'  <div class="t-ClassicCalendar-title">#IMONTH# #YYYY#</div>',
'  <ul class="t-ClassicCalendar-list">',
'    #DAYS#',
'  </ul>',
'</div>'))
,p_agenda_past_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-past">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_today_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-today">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_future_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-future">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_past_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-past">#DATA#</li>'
,p_agenda_today_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-today">#DATA#</li>'
,p_agenda_future_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-future">#DATA#</li>'
,p_month_data_format=>'#DAYS#'
,p_month_data_entry_format=>'<span class="t-ClassicCalendar-event">#DATA#</span>'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916747979059326
);
end;
/
prompt --application/shared_components/user_interface/themes
begin
wwv_flow_api.create_theme(
 p_id=>wwv_flow_api.id(31643840570033161563)
,p_theme_id=>42
,p_theme_name=>'Universal Theme'
,p_theme_internal_name=>'UNIVERSAL_THEME'
,p_ui_type_name=>'DESKTOP'
,p_navigation_type=>'L'
,p_nav_bar_type=>'LIST'
,p_reference_id=>4070917134413059350
,p_is_locked=>false
,p_default_page_template=>wwv_flow_api.id(31643803401376161492)
,p_default_dialog_template=>wwv_flow_api.id(31643801972030161490)
,p_error_template=>wwv_flow_api.id(31643799838122161487)
,p_printer_friendly_template=>wwv_flow_api.id(31643803401376161492)
,p_breadcrumb_display_point=>'REGION_POSITION_01'
,p_sidebar_display_point=>'REGION_POSITION_02'
,p_login_template=>wwv_flow_api.id(31643799838122161487)
,p_default_button_template=>wwv_flow_api.id(31643839236577161549)
,p_default_region_template=>wwv_flow_api.id(31643816495903161512)
,p_default_chart_template=>wwv_flow_api.id(31643816495903161512)
,p_default_form_template=>wwv_flow_api.id(31643816495903161512)
,p_default_reportr_template=>wwv_flow_api.id(31643816495903161512)
,p_default_tabform_template=>wwv_flow_api.id(31643816495903161512)
,p_default_wizard_template=>wwv_flow_api.id(31643816495903161512)
,p_default_menur_template=>wwv_flow_api.id(31643820811518161516)
,p_default_listr_template=>wwv_flow_api.id(31643816495903161512)
,p_default_irr_template=>wwv_flow_api.id(31643815979975161511)
,p_default_report_template=>wwv_flow_api.id(31643826447390161527)
,p_default_label_template=>wwv_flow_api.id(31643838758531161548)
,p_default_menu_template=>wwv_flow_api.id(31643839741896161550)
,p_default_calendar_template=>wwv_flow_api.id(31643839817248161553)
,p_default_list_template=>wwv_flow_api.id(31643833970904161539)
,p_default_nav_list_template=>wwv_flow_api.id(31643837596753161545)
,p_default_top_nav_list_temp=>wwv_flow_api.id(31643837596753161545)
,p_default_side_nav_list_temp=>wwv_flow_api.id(31643836619930161543)
,p_default_nav_list_position=>'SIDE'
,p_default_dialogbtnr_template=>wwv_flow_api.id(31643806817042161501)
,p_default_dialogr_template=>wwv_flow_api.id(31643806492316161500)
,p_default_option_label=>wwv_flow_api.id(31643838758531161548)
,p_default_required_label=>wwv_flow_api.id(31643838921825161548)
,p_default_page_transition=>'NONE'
,p_default_popup_transition=>'NONE'
,p_default_navbar_list_template=>wwv_flow_api.id(31643836589815161543)
,p_file_prefix => nvl(wwv_flow_application_install.get_static_theme_file_prefix(42),'#IMAGE_PREFIX#themes/theme_42/1.3/')
,p_files_version=>62
,p_icon_library=>'FONTAPEX'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js?v=#APEX_VERSION#',
'#THEME_IMAGES#js/theme42#MIN#.js?v=#APEX_VERSION#'))
,p_css_file_urls=>'#THEME_IMAGES#css/Core#MIN#.css?v=#APEX_VERSION#'
);
end;
/
prompt --application/shared_components/user_interface/theme_style
begin
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(653442896984513926)
,p_theme_id=>42
,p_name=>'Vista'
,p_css_file_urls=>'#THEME_IMAGES#css/Vista#MIN#.css?v=#APEX_VERSION#'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_read_only=>true
,p_reference_id=>4007676303523989775
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(653443263763513926)
,p_theme_id=>42
,p_name=>'Vita'
,p_is_current=>true
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2719875314571594493
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(653443689147513926)
,p_theme_id=>42
,p_name=>'Vita - Dark'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Dark.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Dark#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3543348412015319650
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(653444089341513926)
,p_theme_id=>42
,p_name=>'Vita - Red'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Red.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Red#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>1938457712423918173
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(653444418946513927)
,p_theme_id=>42
,p_name=>'Vita - Slate'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita-Slate.less'
,p_theme_roller_output_file_url=>'#THEME_IMAGES#css/Vita-Slate#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3291983347983194966
);
wwv_flow_api.create_theme_style(
 p_id=>wwv_flow_api.id(744374923523662628)
,p_theme_id=>42
,p_name=>'Vita (Copy)'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_IMAGES#less/theme/Vita.less'
,p_theme_roller_config=>'{"customCSS":"","vars":{"@Nav-Exp":"250px"}}'
,p_theme_roller_output_file_url=>'#THEME_DB_IMAGES#313677767639427542.css'
,p_theme_roller_read_only=>false
);
end;
/
prompt --application/shared_components/user_interface/theme_files
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A200D0A202A20566974610D0A202A20202020284F7261636C65204170706C69636174696F6E2045787072657373205468656D65205374796C65290D0A202A200D0A202A2054686973204353532066696C65207761732067656E657261746564207573';
wwv_flow_api.g_varchar2_table(2) := '696E6720746865204F7261636C65204170706C69636174696F6E204578707265737320352E30205468656D6520526F6C6C65722E200D0A202A200D0A202A2F0D0A0D0A2E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F723A2023363436';
wwv_flow_api.g_varchar2_table(3) := '3436343B0D0A7D0D0A2E742D426F64792D696E666F202E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D526567696F6E202E742D4156504C6973742D76616C7565207B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(4) := '723A20233636363636363B0D0A7D0D0A2E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20233462346234623B0D0A7D0D0A2E742D426F64792D696E666F202E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(5) := '233464346434643B0D0A7D0D0A2E742D526567696F6E202E742D4156504C6973742D6C6162656C207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A0D0A2E742D416C6572742D2D77697A6172642C0D0A2E742D416C6572742D2D686F7269';
wwv_flow_api.g_varchar2_table(6) := '7A6F6E74616C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D7761726E696E672C0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D';
wwv_flow_api.g_varchar2_table(7) := '79656C6C6F77207B0D0A20206261636B67726F756E642D636F6C6F723A20236665663765303B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D73756363657373207B0D0A';
wwv_flow_api.g_varchar2_table(8) := '20206261636B67726F756E642D636F6C6F723A20236635666166343B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D2D64616E6765722C0D0A2E742D416C6572742D2D636F';
wwv_flow_api.g_varchar2_table(9) := '6C6F7242472E742D416C6572742D2D726564207B0D0A20206261636B67726F756E642D636F6C6F723A20236666663866373B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D2D636F6C6F7242472E742D416C6572742D';
wwv_flow_api.g_varchar2_table(10) := '2D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20236564663666663B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D416C6572742D69636F6E202E742D49636F6E207B0D0A2020636F6C6F723A20234646463B';
wwv_flow_api.g_varchar2_table(11) := '0D0A7D0D0A0D0A2E742D416C6572742D2D7761726E696E67202E742D416C6572742D69636F6E202E742D49636F6E2C0D0A2E742D416C6572742D2D79656C6C6F77202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(12) := '756E642D636F6C6F723A20236662636534613B0D0A7D0D0A2E742D416C6572742D2D7761726E696E672E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E2C0D0A2E742D416C6572742D2D79656C6C6F772E742D416C65';
wwv_flow_api.g_varchar2_table(13) := '72742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235312C203230362C2037342C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D737563636573';
wwv_flow_api.g_varchar2_table(14) := '73202E742D416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A2E742D416C6572742D2D737563636573732E742D416C6572742D2D686F72697A6F6E74616C202E74';
wwv_flow_api.g_varchar2_table(15) := '2D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612835392C203137302C2034342C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D696E666F202E742D416C6572742D69636F6E202E742D4963';
wwv_flow_api.g_varchar2_table(16) := '6F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D416C6572742D2D696E666F2E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(17) := '756E642D636F6C6F723A207267626128352C203131342C203230362C20302E3135293B0D0A7D0D0A0D0A2E742D416C6572742D2D64616E676572202E742D416C6572742D69636F6E202E742D49636F6E2C0D0A2E742D416C6572742D2D726564202E742D';
wwv_flow_api.g_varchar2_table(18) := '416C6572742D69636F6E202E742D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A2E742D416C6572742D2D64616E6765722E742D416C6572742D2D686F72697A6F6E74616C202E742D416C657274';
wwv_flow_api.g_varchar2_table(19) := '2D69636F6E2C0D0A2E742D416C6572742D2D7265642E742D416C6572742D2D686F72697A6F6E74616C202E742D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283234342C2036372C2035342C20302E31';
wwv_flow_api.g_varchar2_table(20) := '35293B0D0A7D0D0A2E742D416C6572742D2D77697A617264202E742D416C6572742D696E736574207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D416C6572742D2D686F72697A6F6E74616C2C0D0A2E742D416C657274';
wwv_flow_api.g_varchar2_table(21) := '2D2D77697A617264207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D73756363657373207B0D0A20';
wwv_flow_api.g_varchar2_table(22) := '206261636B67726F756E642D636F6C6F723A20726762612835392C203137302C2034342C20302E39293B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D73756363657373202E74';
wwv_flow_api.g_varchar2_table(23) := '2D416C6572742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D7375636365';
wwv_flow_api.g_varchar2_table(24) := '7373202E742D427574746F6E2D2D636C6F7365416C657274207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D416C6572742D2D706167652E742D416C6572742D2D73756363657373202E742D416C6572';
wwv_flow_api.g_varchar2_table(25) := '742D636F6E74656E74207B0D0A202070616464696E672D72696768743A20303B0D0A202070616464696E672D6C6566743A20303B0D0A7D0D0A0D0A2E742D42616467654C6973742C0D0A2E742D42616467654C6973743A6E6F74282E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(26) := '292061202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C7565207B0D0A2020626F782D73';
wwv_flow_api.g_varchar2_table(27) := '6861646F773A2030203020302031707820726762612836342C2036342C2036342C20302E312920696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D63697263756C';
wwv_flow_api.g_varchar2_table(28) := '617220612E742D42616467654C6973742D777261703A686F766572202E742D42616467654C6973742D76616C7565207B0D0A2020626F782D736861646F773A20302030203020347078202330353732636520696E7365743B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(29) := '6E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D6461736820612E742D42616467654C6973742D777261703A666F6375732C0D0A2E742D42616467654C697374';
wwv_flow_api.g_varchar2_table(30) := '2D2D64617368202E742D42616467654C6973742D777261703A666F6375732D77697468696E2C0D0A2E742D42616467654C6973742D2D63697263756C617220612E742D42616467654C6973742D777261703A666F637573202E742D42616467654C697374';
wwv_flow_api.g_varchar2_table(31) := '2D76616C75652C0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C756520613A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C';
wwv_flow_api.g_varchar2_table(32) := '20302030203020327078202366666666666620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D42616467654C6973742D2D64617368202E74';
wwv_flow_api.g_varchar2_table(33) := '2D42616467654C6973742D777261703A666F6375732D77697468696E2C0D0A2E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D76616C756520613A686F766572207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(34) := '6F723A20233035373263652021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D42616467654C6973742D2D64617368202E742D42616467654C6973742D76616C756520613A666F';
wwv_flow_api.g_varchar2_table(35) := '6375732C0D0A2E742D42616467654C6973742D2D6461736820612E742D42616467654C6973742D777261703A666F6375732D77697468696E202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D';
wwv_flow_api.g_varchar2_table(36) := '0A0D0A2E742D42616467654C6973742E752D636F6C6F72732E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D777261703A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F723A202366666666';
wwv_flow_api.g_varchar2_table(37) := '66663B0D0A7D0D0A2E742D42616467654C6973742E752D636F6C6F72732E742D42616467654C6973742D2D63697263756C6172202E742D42616467654C6973742D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D42';
wwv_flow_api.g_varchar2_table(38) := '616467654C6973742E752D636F6C6F7273202E742D42616467654C6973742D76616C75652061207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E612D4261724368617274202E612D42617243686172742D6974656D3A686F766572207B';
wwv_flow_api.g_varchar2_table(39) := '0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D426F6479202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(40) := '3A20233765376537653B0D0A7D0D0A2E742D426F64792D7469746C65202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D';
wwv_flow_api.g_varchar2_table(41) := '0A2E742D426F64792D696E666F202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D42';
wwv_flow_api.g_varchar2_table(42) := '61724368617274202E612D42617243686172742D6974656D202E612D42617243686172742D76616C75652C0D0A2E742D427574746F6E526567696F6E202E612D4261724368617274202E612D42617243686172742D6974656D202E612D42617243686172';
wwv_flow_api.g_varchar2_table(43) := '742D76616C7565207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E612D4261724368617274202E612D42617243686172742D6974656D20696D67207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4261';
wwv_flow_api.g_varchar2_table(44) := '724368617274202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E303235293B0D0A7D0D0A2E612D42617243686172742D2D636C6173736963202E612D42617243';
wwv_flow_api.g_varchar2_table(45) := '686172742D6261722C0D0A2E612D42617243686172742D2D636C6173736963202E612D42617243686172742D66696C6C6564207B0D0A2020626F726465722D7261646975733A203170783B0D0A7D0D0A2E612D42617243686172742D2D636C6173736963';
wwv_flow_api.g_varchar2_table(46) := '202E612D42617243686172742D6974656D3A686F766572202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E612D42617243686172742D';
wwv_flow_api.g_varchar2_table(47) := '2D6D6F6465726E202E612D42617243686172742D6261722C0D0A2E612D42617243686172742D2D6D6F6465726E202E612D42617243686172742D66696C6C6564207B0D0A2020626F726465722D7261646975733A203170783B0D0A7D0D0A2E612D426172';
wwv_flow_api.g_varchar2_table(48) := '43686172742D2D6D6F6465726E202E612D42617243686172742D6974656D3A686F766572202E612D42617243686172742D626172207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D';
wwv_flow_api.g_varchar2_table(49) := '0A2E612D42617243686172742D66696C6C6564207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A0D0A626F6479207B0D0A20206261636B67726F756E643A20236664666466643B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(50) := '3365336533653B0D0A7D0D0A61207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A2E742D426F64792D616374696F6E73207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D6C6566';
wwv_flow_api.g_varchar2_table(51) := '743A2031707820736F6C6964207267626128302C20302C20302C20302E303735293B0D0A7D0D0A2E742D426F64792D7469746C65207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3929';
wwv_flow_api.g_varchar2_table(52) := '3B0D0A2020636F6C6F723A20233430343034303B0D0A20202D7765626B69742D6261636B64726F702D66696C7465723A20736174757261746528313830252920626C757228387078293B0D0A7D0D0A2E75692D7769646765742D636F6E74656E74207B0D';
wwv_flow_api.g_varchar2_table(53) := '0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C6520';
wwv_flow_api.g_varchar2_table(54) := '2E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D';
wwv_flow_api.g_varchar2_table(55) := '0A2E742D526567696F6E202E75692D7769646765742D636F6E74656E742C0D0A2E742D427574746F6E526567696F6E202E75692D7769646765742D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D';
wwv_flow_api.g_varchar2_table(56) := '73696465207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E617065782D7264732D636F6E7461696E6572207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(57) := '723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D696E666F202E617065782D7264732D636F6E7461696E6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D696E66';
wwv_flow_api.g_varchar2_table(58) := '6F202E617065782D7264732D636F6E7461696E65722E69732D737475636B207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20202D7765626B69742D6261636B64726F70';
wwv_flow_api.g_varchar2_table(59) := '2D66696C7465723A20626C757228347078293B0D0A7D0D0A2E742D426F64792D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F64792D7469746C652E6A732D68696465427265616463';
wwv_flow_api.g_varchar2_table(60) := '72756D6273207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3935293B0D0A7D0D0A2E742D426F64792D746F70427574746F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A20';
wwv_flow_api.g_varchar2_table(61) := '206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665363B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A666F637573207B0D0A2020626F782D736861646F773A203020302030203170';
wwv_flow_api.g_varchar2_table(62) := '78202330353732636520696E7365742C20302031707820327078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A686F7665722C0D0A2E742D426F64792D746F70427574746F6E3A666F6375';
wwv_flow_api.g_varchar2_table(63) := '73207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D426F64792D746F70427574746F6E3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665';
wwv_flow_api.g_varchar2_table(64) := '363B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67207B0D0A20206865696768743A20343870783B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6F7261636C65207B0D0A20206C696E652D6865696768743A20343870783B0D0A7D0D';
wwv_flow_api.g_varchar2_table(65) := '0A2E742D4865616465722D6C6F676F2D6F7261636C653A6265666F7265207B0D0A20206865696768743A20343870783B0D0A7D0D0A0D0A2E617065782D736964652D6E6176202E742D426F64792D6E61762C0D0A2E617065782D736964652D6E6176202E';
wwv_flow_api.g_varchar2_table(66) := '742D426F64792D616374696F6E732C0D0A2E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A2020746F703A20343870783B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A';
wwv_flow_api.g_varchar2_table(67) := '20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032353070783B0D0A20207D0D0A20202E752D52544C202E617065782D73696465';
wwv_flow_api.g_varchar2_table(68) := '2D6E6176202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032353070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A20202020726967';
wwv_flow_api.g_varchar2_table(69) := '68743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E642028';
wwv_flow_api.g_varchar2_table(70) := '6D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E6176202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032353070783B0D0A20207D0D0A';
wwv_flow_api.g_varchar2_table(71) := '20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032353070783B0D0A20207D0D0A7D0D0A3A6E6F74282E752D52544C29202E617065782D73696465';
wwv_flow_api.g_varchar2_table(72) := '2D6E6176202E742D426F64792D6D61696E207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E6176202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20303B0D';
wwv_flow_api.g_varchar2_table(73) := '0A7D0D0A0D0A2E617065782D746F702D6E6176202E742D426F64792D616374696F6E73207B0D0A2020746F703A20383870783B0D0A7D0D0A2E617065782D746F702D6E6176202E742D426F64792D7469746C65207B0D0A2020746F703A20383870783B0D';
wwv_flow_api.g_varchar2_table(74) := '0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20363430707829207B0D0A20202E617065782D746F702D6E61762E6A732D6D656E754E6176436F6C6C6170736564202E742D4865616465722D6E6176207B';
wwv_flow_api.g_varchar2_table(75) := '0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746559282D31303025293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C61746559282D31303025293B0D0A202020207472616E73666F726D3A2074';
wwv_flow_api.g_varchar2_table(76) := '72616E736C61746559282D31303025293B0D0A20207D0D0A7D0D0A0D0A2E742D426F64792D6E6176207B0D0A202077696474683A2032353070783B0D0A7D0D0A0D0A2E742D426F64792D616374696F6E73207B0D0A202077696474683A2032303070783B';
wwv_flow_api.g_varchar2_table(77) := '0D0A7D0D0A3A6E6F74282E752D52544C29202E742D426F64792D616374696F6E73202E742D427574746F6E2D2D686561646572207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D343070782C20302C203029';
wwv_flow_api.g_varchar2_table(78) := '3B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D34307078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D343070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D426F64792D616374';
wwv_flow_api.g_varchar2_table(79) := '696F6E73202E742D427574746F6E2D2D686561646572207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C617465336428343070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C61746528';
wwv_flow_api.g_varchar2_table(80) := '34307078293B0D0A20207472616E73666F726D3A207472616E736C617465336428343070782C20302C2030293B0D0A7D0D0A0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20202E';
wwv_flow_api.g_varchar2_table(81) := '742D426F64792D73696465207B0D0A2020202077696474683A2032343070783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C';
wwv_flow_api.g_varchar2_table(82) := '29202E617065782D736964652D6E6176202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E6176202E742D426F64792D73696465207B0D0A2020202072';
wwv_flow_api.g_varchar2_table(83) := '696768743A20343870783B0D0A20207D0D0A7D0D0A0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D6C6566743A20343870';
wwv_flow_api.g_varchar2_table(84) := '783B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20343870783B0D0A7D0D0A3A6E6F74282E752D52544C29202E';
wwv_flow_api.g_varchar2_table(85) := '617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303270782C20302C2030293B0D0A20202D6D732D74';
wwv_flow_api.g_varchar2_table(86) := '72616E73666F726D3A207472616E736C617465283230327078293B0D0A20207472616E73666F726D3A207472616E736C61746533642832303270782C20302C2030293B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176';
wwv_flow_api.g_varchar2_table(87) := '457870616E646564202E742D426F64792D6D61696E207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303270782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465';
wwv_flow_api.g_varchar2_table(88) := '282D3230327078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D32303270782C20302C2030293B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A';
wwv_flow_api.g_varchar2_table(89) := '20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D7469746C652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870';
wwv_flow_api.g_varchar2_table(90) := '616E646564202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C656674';
wwv_flow_api.g_varchar2_table(91) := '3A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D7469746C652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E617645787061';
wwv_flow_api.g_varchar2_table(92) := '6E646564202E742D426F64792D736964652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A20303B0D0A';
wwv_flow_api.g_varchar2_table(93) := '20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C';
wwv_flow_api.g_varchar2_table(94) := '202E617065782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D';
wwv_flow_api.g_varchar2_table(95) := '6E61762E6A732D6E6176457870616E646564202E742D426F64792D6D61696E207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832353070782C20302C2030293B0D0A202020202D6D732D7472616E73666F';
wwv_flow_api.g_varchar2_table(96) := '726D3A207472616E736C617465283235307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832353070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176';
wwv_flow_api.g_varchar2_table(97) := '457870616E646564202E742D426F64792D6D61696E207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32353070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E73';
wwv_flow_api.g_varchar2_table(98) := '6C617465282D3235307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32353070782C20302C2030293B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A';
wwv_flow_api.g_varchar2_table(99) := '20363431707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C652C0D0A20202E617065782D736964652D6E61762E6A732D';
wwv_flow_api.g_varchar2_table(100) := '6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E742C0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C';
wwv_flow_api.g_varchar2_table(101) := '656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F';
wwv_flow_api.g_varchar2_table(102) := '64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032353070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F';
wwv_flow_api.g_varchar2_table(103) := '64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032353070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E74';
wwv_flow_api.g_varchar2_table(104) := '2D50616765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D5061';
wwv_flow_api.g_varchar2_table(105) := '6765426F64792D2D686964654C656674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D';
wwv_flow_api.g_varchar2_table(106) := '50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032303270783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E61764578';
wwv_flow_api.g_varchar2_table(107) := '70616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032303270783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D73';
wwv_flow_api.g_varchar2_table(108) := '6964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E61';
wwv_flow_api.g_varchar2_table(109) := '7065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20343870783B0D0A20207D0D0A20202E6170';
wwv_flow_api.g_varchar2_table(110) := '65782D736964652D6E61762E6A732D6E6176457870616E646564202E742D426F64792D73696465207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832353070782C20302C2030293B0D0A202020202D6D73';
wwv_flow_api.g_varchar2_table(111) := '2D7472616E73666F726D3A207472616E736C617465283235307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832353070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61';
wwv_flow_api.g_varchar2_table(112) := '762E6A732D6E6176457870616E646564202E742D426F64792D73696465207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32353070782C20302C2030293B0D0A202020202D6D732D7472616E73666F72';
wwv_flow_api.g_varchar2_table(113) := '6D3A207472616E736C617465282D3235307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32353070782C20302C2030293B0D0A20207D0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E64';
wwv_flow_api.g_varchar2_table(114) := '65642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D';
wwv_flow_api.g_varchar2_table(115) := '6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A';
wwv_flow_api.g_varchar2_table(116) := '732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D73';
wwv_flow_api.g_varchar2_table(117) := '6964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E';
wwv_flow_api.g_varchar2_table(118) := '61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D73696465';
wwv_flow_api.g_varchar2_table(119) := '2D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032383870783B0D0A20207D0D0A20202E752D52544C202E';
wwv_flow_api.g_varchar2_table(120) := '617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032383870783B0D0A20207D0D0A';
wwv_flow_api.g_varchar2_table(121) := '20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D747261';
wwv_flow_api.g_varchar2_table(122) := '6E73666F726D3A207472616E736C61746533642832303270782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465283230327078293B0D0A202020207472616E73666F726D3A207472616E736C617465336428';
wwv_flow_api.g_varchar2_table(123) := '32303270782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A20';
wwv_flow_api.g_varchar2_table(124) := '2020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303270782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465282D3230327078293B0D0A202020207472616E73666F';
wwv_flow_api.g_varchar2_table(125) := '726D3A207472616E736C6174653364282D32303270782C20302C2030293B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C65';
wwv_flow_api.g_varchar2_table(126) := '6674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E';
wwv_flow_api.g_varchar2_table(127) := '742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C6566';
wwv_flow_api.g_varchar2_table(128) := '74202E742D426F64792D7469746C65207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832353070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465283235';
wwv_flow_api.g_varchar2_table(129) := '307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832353070782C20302C2030293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D5061676542';
wwv_flow_api.g_varchar2_table(130) := '6F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32353070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A';
wwv_flow_api.g_varchar2_table(131) := '207472616E736C617465282D3235307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32353070782C20302C2030293B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D';
wwv_flow_api.g_varchar2_table(132) := '77696474683A20393933707829207B0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D3A';
wwv_flow_api.g_varchar2_table(133) := '206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D';
wwv_flow_api.g_varchar2_table(134) := '617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020';
wwv_flow_api.g_varchar2_table(135) := '206D617267696E2D72696768743A20303B0D0A20207D0D0A20202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C65207B0D0A202020207472';
wwv_flow_api.g_varchar2_table(136) := '616E73666F726D3A206E6F6E652021696D706F7274616E743B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E74';
wwv_flow_api.g_varchar2_table(137) := '2D426F64792D7469746C65207B0D0A202020206D617267696E2D6C6566743A2032353070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F77';
wwv_flow_api.g_varchar2_table(138) := '4C656674202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D72696768743A2032353070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176457870616E6465642E742D';
wwv_flow_api.g_varchar2_table(139) := '50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2034393070783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E61764578';
wwv_flow_api.g_varchar2_table(140) := '70616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2034393070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D73';
wwv_flow_api.g_varchar2_table(141) := '6964652D6E61762E6A732D6E6176457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E742C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176457870616E646564';
wwv_flow_api.g_varchar2_table(142) := '2E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A7D0D0A0D0A2E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170';
wwv_flow_api.g_varchar2_table(143) := '736564202E742D426F64792D6E61762C0D0A2E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176202E742D547265654E6176207B0D0A202077696474683A20343870783B0D0A7D0D0A3A6E6F74282E';
wwv_flow_api.g_varchar2_table(144) := '752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E742C0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C617073656420';
wwv_flow_api.g_varchar2_table(145) := '2E742D426F64792D7469746C652C0D0A3A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A20206D617267696E2D6C6566743A20343870783B0D0A7D0D';
wwv_flow_api.g_varchar2_table(146) := '0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E742C0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F';
wwv_flow_api.g_varchar2_table(147) := '64792D7469746C652C0D0A2E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A20206D617267696E2D72696768743A20343870783B0D0A7D0D0A3A6E6F74282E752D52';
wwv_flow_api.g_varchar2_table(148) := '544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C652E69732D737475636B207B0D0A20206C6566743A20303B0D0A7D0D0A2E752D52544C202E617065782D736964652D6E61762E6A73';
wwv_flow_api.g_varchar2_table(149) := '2D6E6176436F6C6C6170736564202E742D426F64792D7469746C652E69732D737475636B207B0D0A202072696768743A20303B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D';
wwv_flow_api.g_varchar2_table(150) := '0A20202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A202020202D6D732D';
wwv_flow_api.g_varchar2_table(151) := '7472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A202020207472616E73666F726D3A207472616E736C61746558282D34387078293B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E61';
wwv_flow_api.g_varchar2_table(152) := '76436F6C6C6170736564202E742D426F64792D6E6176207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C617465582834387078293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C61746558283438';
wwv_flow_api.g_varchar2_table(153) := '7078293B0D0A202020207472616E73666F726D3A207472616E736C617465582834387078293B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D74';
wwv_flow_api.g_varchar2_table(154) := '69746C652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A73';
wwv_flow_api.g_varchar2_table(155) := '2D6E6176436F6C6C6170736564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E';
wwv_flow_api.g_varchar2_table(156) := '742D426F64792D7469746C652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D736964652C0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176';
wwv_flow_api.g_varchar2_table(157) := '436F6C6C6170736564202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20363430707829';
wwv_flow_api.g_varchar2_table(158) := '207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E207B0D0A202020206D61';
wwv_flow_api.g_varchar2_table(159) := '7267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E';
wwv_flow_api.g_varchar2_table(160) := '207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E617065782D';
wwv_flow_api.g_varchar2_table(161) := '736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F';
wwv_flow_api.g_varchar2_table(162) := '6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E74';
wwv_flow_api.g_varchar2_table(163) := '2D426F64792D7469746C65207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202020207269';
wwv_flow_api.g_varchar2_table(164) := '6768743A20343870783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A';
wwv_flow_api.g_varchar2_table(165) := '202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7369646520';
wwv_flow_api.g_varchar2_table(166) := '7B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D';
wwv_flow_api.g_varchar2_table(167) := '426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032383870783B0D0A20207D0D0A20202E752D52544C202E617065782D736964652D6E61762E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D7368';
wwv_flow_api.g_varchar2_table(168) := '6F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D72696768743A2032383870783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A203939337078';
wwv_flow_api.g_varchar2_table(169) := '29207B0D0A20203A6E6F74282E752D52544C29202E617065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E61';
wwv_flow_api.g_varchar2_table(170) := '7065782D736964652D6E61762E6A732D6E6176436F6C6C6170736564202E742D426F64792D73696465207B0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A0D0A2E742D50616765426F64792E6A732D7269676874457870616E6465';
wwv_flow_api.g_varchar2_table(171) := '64202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A20303B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E2C0D0A3A6E';
wwv_flow_api.g_varchar2_table(172) := '6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6E6176207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030';
wwv_flow_api.g_varchar2_table(173) := '293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A20207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D5061676542';
wwv_flow_api.g_varchar2_table(174) := '6F64792E6A732D7269676874457870616E646564202E742D426F64792D6D61696E2C0D0A2E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E646564202E742D426F64792D6E6176207B0D0A20202D7765626B69742D747261';
wwv_flow_api.g_varchar2_table(175) := '6E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465283230307078293B0D0A20207472616E73666F726D3A207472616E736C61746533642832303070';
wwv_flow_api.g_varchar2_table(176) := '782C20302C2030293B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F6479';
wwv_flow_api.g_varchar2_table(177) := '2D2D686964654C656674202E742D426F64792D6D61696E2C0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6E6176207B0D0A20202020747261';
wwv_flow_api.g_varchar2_table(178) := '6E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D61696E207B0D';
wwv_flow_api.g_varchar2_table(179) := '0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C656674202E742D426F64792D6D';
wwv_flow_api.g_varchar2_table(180) := '61696E207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C6566';
wwv_flow_api.g_varchar2_table(181) := '74202E742D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D686964654C6566';
wwv_flow_api.g_varchar2_table(182) := '74202E742D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D7368';
wwv_flow_api.g_varchar2_table(183) := '6F774C656674202E742D426F64792D7469746C65207B0D0A2020202072696768743A20303B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C65';
wwv_flow_api.g_varchar2_table(184) := '6674202E742D426F64792D7469746C65207B0D0A202020206C6566743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E74';
wwv_flow_api.g_varchar2_table(185) := '2D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A20303B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E';
wwv_flow_api.g_varchar2_table(186) := '6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D72696768743A20303B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D5061';
wwv_flow_api.g_varchar2_table(187) := '6765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20303B0D0A20207D0D0A20202E75';
wwv_flow_api.g_varchar2_table(188) := '2D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20303B';
wwv_flow_api.g_varchar2_table(189) := '0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20393933707829207B0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E74';
wwv_flow_api.g_varchar2_table(190) := '2D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D72696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D726967687445787061';
wwv_flow_api.g_varchar2_table(191) := '6E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020206D617267696E2D6C6566743A2032303070783B0D0A20207D0D0A20202E742D50616765426F64792E6A732D7269676874457870616E64';
wwv_flow_api.g_varchar2_table(192) := '65642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E2C0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6E';
wwv_flow_api.g_varchar2_table(193) := '6176207B0D0A202020207472616E73666F726D3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E74';
wwv_flow_api.g_varchar2_table(194) := '2D426F64792D7469746C65207B0D0A2020202072696768743A2032303070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E74';
wwv_flow_api.g_varchar2_table(195) := '2D426F64792D7469746C65207B0D0A202020206C6566743A2032303070783B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E6176436F6C6C61707365642E742D';
wwv_flow_api.g_varchar2_table(196) := '50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206C6566743A20343870783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E6A732D6E61';
wwv_flow_api.g_varchar2_table(197) := '76436F6C6C61707365642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A2020202072696768743A20343870783B0D0A20207D0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61';
wwv_flow_api.g_varchar2_table(198) := '782D77696474683A20393932707829207B0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D6D61696E207B0D0A202020207472616E73666F726D';
wwv_flow_api.g_varchar2_table(199) := '3A206E6F6E653B0D0A20207D0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C652C0D0A20203A6E6F';
wwv_flow_api.g_varchar2_table(200) := '74282E752D52544C29202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D736964652C0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64';
wwv_flow_api.g_varchar2_table(201) := '792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C6174653364282D3230307078';
wwv_flow_api.g_varchar2_table(202) := '2C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A202020207472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20207D0D0A20202E';
wwv_flow_api.g_varchar2_table(203) := '752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D7469746C652C0D0A20202E752D52544C202E742D50616765426F64792E6A732D72696768';
wwv_flow_api.g_varchar2_table(204) := '74457870616E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D736964652C0D0A20202E752D52544C202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F64792D2D73686F77';
wwv_flow_api.g_varchar2_table(205) := '4C656674202E742D426F64792D636F6E74656E74207B0D0A202020202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A202020202D6D732D7472616E73666F726D3A207472616E736C61';
wwv_flow_api.g_varchar2_table(206) := '7465283230307078293B0D0A202020207472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20207D0D0A20202E742D50616765426F64792E6A732D7269676874457870616E6465642E742D50616765426F6479';
wwv_flow_api.g_varchar2_table(207) := '2D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A20343870782021696D706F7274616E743B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792E6A732D726967687445787061';
wwv_flow_api.g_varchar2_table(208) := '6E6465642E742D50616765426F64792D2D73686F774C656674202E742D426F64792D73696465207B0D0A202020206D617267696E2D6C6566743A203070782021696D706F7274616E743B0D0A2020202072696768743A20343870782021696D706F727461';
wwv_flow_api.g_varchar2_table(209) := '6E743B0D0A20207D0D0A7D0D0A0D0A2E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D6D61696E207B0D0A20206D617267696E2D72696768743A203070783B0D0A7D0D0A2E742D50616765426F64792E6A73';
wwv_flow_api.g_varchar2_table(210) := '2D7269676874436F6C6C6170736564202E742D426F64792D7469746C65207B0D0A202072696768743A203070783B0D0A7D0D0A3A6E6F74282E752D52544C29202E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64';
wwv_flow_api.g_varchar2_table(211) := '792D616374696F6E73207B0D0A20202D7765626B69742D7472616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465283230307078293B0D0A202074';
wwv_flow_api.g_varchar2_table(212) := '72616E73666F726D3A207472616E736C61746533642832303070782C20302C2030293B0D0A7D0D0A2E752D52544C202E742D50616765426F64792E6A732D7269676874436F6C6C6170736564202E742D426F64792D616374696F6E73207B0D0A20202D77';
wwv_flow_api.g_varchar2_table(213) := '65626B69742D7472616E73666F726D3A207472616E736C6174653364282D32303070782C20302C2030293B0D0A20202D6D732D7472616E73666F726D3A207472616E736C617465282D3230307078293B0D0A20207472616E73666F726D3A207472616E73';
wwv_flow_api.g_varchar2_table(214) := '6C6174653364282D32303070782C20302C2030293B0D0A7D0D0A0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20363431707829207B0D0A20203A6E6F74282E752D52544C29202E742D50616765426F64792D';
wwv_flow_api.g_varchar2_table(215) := '2D73686F774C656674202E742D426F64792D636F6E74656E74207B0D0A202020206D617267696E2D6C6566743A2032343070783B0D0A20207D0D0A20202E752D52544C202E742D50616765426F64792D2D73686F774C656674202E742D426F64792D636F';
wwv_flow_api.g_varchar2_table(216) := '6E74656E74207B0D0A202020206D617267696E2D72696768743A2032343070783B0D0A20207D0D0A7D0D0A0D0A2E742D426F64792D636F6E74656E74496E6E6572207B0D0A20206D617267696E3A2030206175746F3B0D0A20206D61782D77696474683A';
wwv_flow_api.g_varchar2_table(217) := '20313030253B0D0A7D0D0A0D0A2E742D42726561646372756D622D6974656D3A6166746572207B0D0A2020636F6C6F723A20726762612836322C2036322C2036322C20302E3735293B0D0A7D0D0A2E742D42726561646372756D622D6974656D2C0D0A2E';
wwv_flow_api.g_varchar2_table(218) := '742D42726561646372756D622D6974656D2061207B0D0A2020636F6C6F723A20233537353735373B0D0A7D0D0A2E742D42726561646372756D622D6974656D20613A686F7665722C0D0A2E742D42726561646372756D622D6974656D20613A666F637573';
wwv_flow_api.g_varchar2_table(219) := '207B0D0A2020636F6C6F723A20233035366162663B0D0A2020746578742D6465636F726174696F6E3A20756E6465726C696E653B0D0A20206F75746C696E653A206E6F6E653B0D0A7D0D0A2E742D426F64792D7469746C652D736872696E6B202E742D42';
wwv_flow_api.g_varchar2_table(220) := '726561646372756D62526567696F6E2D2D75736542726561646372756D625469746C65202E742D42726561646372756D622D6974656D2E69732D6163746976652C0D0A2E742D426F64792D7469746C652D736872696E6B202E742D42726561646372756D';
wwv_flow_api.g_varchar2_table(221) := '62526567696F6E2D2D757365526567696F6E5469746C65202E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E';
wwv_flow_api.g_varchar2_table(222) := '6420286D61782D77696474683A20363430707829207B0D0A20202E742D42726561646372756D62526567696F6E2D2D757365526567696F6E5469746C65202E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020202063';
wwv_flow_api.g_varchar2_table(223) := '6F6C6F723A20233365336533653B0D0A20207D0D0A7D0D0A2E742D42726561646372756D622D6974656D202E742D49636F6E3A686F766572207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D42726561646372756D62526567696F';
wwv_flow_api.g_varchar2_table(224) := '6E2D2D75736542726561646372756D625469746C65202E742D42726561646372756D622D6974656D2E69732D6163746976652C0D0A2E742D42726561646372756D62526567696F6E2D7469746C6554657874207B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(225) := '34303B0D0A7D0D0A0D0A2E742D427574746F6E2C0D0A2E612D427574746F6E2C0D0A2E75692D627574746F6E207B0D0A2020626F726465723A206E6F6E653B0D0A2020746578742D736861646F773A206E6F6E653B0D0A2020626F726465722D72616469';
wwv_flow_api.g_varchar2_table(226) := '75733A203270783B0D0A20207472616E736974696F6E3A206261636B67726F756E642D636F6C6F7220302E327320656173652C20626F782D736861646F7720302E327320656173652C20636F6C6F7220302E327320656173653B0D0A7D0D0A2E742D4275';
wwv_flow_api.g_varchar2_table(227) := '74746F6E202E742D49636F6E2C0D0A2E612D427574746F6E202E742D49636F6E2C0D0A2E75692D627574746F6E202E742D49636F6E207B0D0A20207472616E736974696F6E3A20696E68657269743B0D0A7D0D0A2E742D427574746F6E3A686F7665722C';
wwv_flow_api.g_varchar2_table(228) := '0D0A2E612D427574746F6E3A686F7665722C0D0A2E75692D627574746F6E3A686F7665722C0D0A2E742D427574746F6E3A666F6375732C0D0A2E612D427574746F6E3A666F6375732C0D0A2E75692D627574746F6E3A666F637573207B0D0A20207A2D69';
wwv_flow_api.g_varchar2_table(229) := '6E6465783A203130303B0D0A20206F75746C696E653A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E3A666F6375733A6265666F72652C0D0A2E612D427574746F6E3A666F6375733A6265666F72652C0D0A2E75692D6275';
wwv_flow_api.g_varchar2_table(230) := '74746F6E3A666F6375733A6265666F72652C0D0A2E742D427574746F6E2E69732D6163746976653A666F6375733A6265666F72652C0D0A2E612D427574746F6E2E69732D6163746976653A666F6375733A6265666F72652C0D0A2E75692D627574746F6E';
wwv_flow_api.g_varchar2_table(231) := '2E69732D6163746976653A666F6375733A6265666F7265207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742021696D706F7274616E743B0D0A20206F7061636974793A20313B0D0A7D0D0A2E742D42';
wwv_flow_api.g_varchar2_table(232) := '7574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E612D427574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E75692D627574746F6E3A666F6375733A6163746976653A6265666F72652C0D0A2E742D42757474';
wwv_flow_api.g_varchar2_table(233) := '6F6E2E69732D6163746976653A666F6375733A6163746976653A6265666F72652C0D0A2E612D427574746F6E2E69732D6163746976653A666F6375733A6163746976653A6265666F72652C0D0A2E75692D627574746F6E2E69732D6163746976653A666F';
wwv_flow_api.g_varchar2_table(234) := '6375733A6163746976653A6265666F7265207B0D0A20206F7061636974793A20303B0D0A7D0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A6E6F74282E742D427574746F6E2D2D686561646572293A6163746976652C';
wwv_flow_api.g_varchar2_table(235) := '0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A6E6F74282E742D427574746F6E2D2D686561646572292E69732D616374697665207B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C';
wwv_flow_api.g_varchar2_table(236) := '20302C20302C20302E31352920696E7365742C20302032707820327078207267626128302C20302C20302C20302E312920696E7365742021696D706F7274616E743B0D0A7D0D0A0D0A2E612D427574746F6E3A6265666F72652C0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(237) := '6E3A6265666F72652C0D0A2E75692D627574746F6E3A6265666F72652C0D0A2E612D427574746F6E3A61667465722C0D0A2E742D427574746F6E3A61667465722C0D0A2E75692D627574746F6E3A6166746572207B0D0A2020636F6E74656E743A202727';
wwv_flow_api.g_varchar2_table(238) := '3B0D0A2020706F736974696F6E3A206162736F6C7574653B0D0A2020746F703A20303B0D0A20206C6566743A20303B0D0A202077696474683A20313030253B0D0A20206865696768743A20313030253B0D0A2020626F726465722D7261646975733A2069';
wwv_flow_api.g_varchar2_table(239) := '6E68657269743B0D0A20206F7061636974793A20303B0D0A20207472616E736974696F6E3A202E327320656173653B0D0A7D0D0A2E612D427574746F6E3A6265666F72652C0D0A2E742D427574746F6E3A6265666F72652C0D0A2E75692D627574746F6E';
wwv_flow_api.g_varchar2_table(240) := '3A6265666F7265207B0D0A20207A2D696E6465783A20313B0D0A7D0D0A2E612D427574746F6E3A61667465722C0D0A2E742D427574746F6E3A61667465722C0D0A2E75692D627574746F6E3A6166746572207B0D0A20207A2D696E6465783A202D313B0D';
wwv_flow_api.g_varchar2_table(241) := '0A2020626F782D736861646F773A20302032707820317078207267626128302C20302C20302C20302E303735293B0D0A20207472616E73666F726D3A207472616E736C61746559282D327078293B0D0A7D0D0A2E612D427574746F6E3A666F6375733A61';
wwv_flow_api.g_varchar2_table(242) := '667465722C0D0A2E742D427574746F6E3A666F6375733A61667465722C0D0A2E75692D627574746F6E3A666F6375733A61667465722C0D0A2E612D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A61667465722C0D';
wwv_flow_api.g_varchar2_table(243) := '0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A61667465722C0D0A2E75692D627574746F6E3A6E6F74282E742D427574746F6E2D2D6C696E6B293A686F7665723A6166746572207B0D0A20206F70616369';
wwv_flow_api.g_varchar2_table(244) := '74793A20313B0D0A20207472616E73666F726D3A207472616E736C617465592830293B0D0A7D0D0A2E612D427574746F6E3A666F6375733A6163746976653A61667465722C0D0A2E742D427574746F6E3A666F6375733A6163746976653A61667465722C';
wwv_flow_api.g_varchar2_table(245) := '0D0A2E75692D627574746F6E3A666F6375733A6163746976653A6166746572207B0D0A20206F7061636974793A20303B0D0A20207472616E73666F726D3A207472616E736C61746559282D327078293B0D0A7D0D0A2E612D427574746F6E3A666F637573';
wwv_flow_api.g_varchar2_table(246) := '3A61667465722C0D0A2E742D427574746F6E3A666F6375733A61667465722C0D0A2E75692D627574746F6E3A666F6375733A6166746572207B0D0A20207472616E73666F726D3A207472616E736C617465592830293B0D0A2020626F782D736861646F77';
wwv_flow_api.g_varchar2_table(247) := '3A203020302031707820317078207267626128352C203131342C203230362C20302E3235293B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F';
wwv_flow_api.g_varchar2_table(248) := '75702D2D726320696E707574202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C2C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65292C0D0A2E75692D627574';
wwv_flow_api.g_varchar2_table(249) := '746F6E2C0D0A2E612D427574746F6E207B0D0A2020636F6C6F723A20233338333833383B0D0A20206261636B67726F756E642D636F6C6F723A20236638663866383B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20';
wwv_flow_api.g_varchar2_table(250) := '302C20302C20302E3132352920696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A';
wwv_flow_api.g_varchar2_table(251) := '686F7665722C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A686F7665722C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A686F7665722C0D0A2E75692D627574746F6E';
wwv_flow_api.g_varchar2_table(252) := '3A686F7665722C0D0A2E612D427574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20302C20302C20302E3135';
wwv_flow_api.g_varchar2_table(253) := '2920696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A666F6375732C0D0A2E6170';
wwv_flow_api.g_varchar2_table(254) := '65782D627574746F6E2D67726F757020696E707574202B206C6162656C3A666F6375732C0D0A2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A666F6375732C0D0A2E75692D627574746F6E3A666F6375732C0D0A2E61';
wwv_flow_api.g_varchar2_table(255) := '2D427574746F6E3A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D697465';
wwv_flow_api.g_varchar2_table(256) := '6D2D67726F75702D2D726320696E707574202B206C6162656C2E69732D6163746976652C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C2E69732D6163746976652C0D0A2E742D427574746F6E3A6E6F74282E742D';
wwv_flow_api.g_varchar2_table(257) := '427574746F6E2D2D73696D706C65292E69732D6163746976652C0D0A2E75692D627574746F6E2E69732D6163746976652C0D0A2E612D427574746F6E2E69732D6163746976652C0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164';
wwv_flow_api.g_varchar2_table(258) := '696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E707574202B206C6162656C3A6163746976652C0D0A2E617065782D627574746F6E2D67726F757020696E707574202B206C6162656C3A6163746976652C0D0A';
wwv_flow_api.g_varchar2_table(259) := '2E742D427574746F6E3A6E6F74282E742D427574746F6E2D2D73696D706C65293A6163746976652C0D0A2E75692D627574746F6E3A6163746976652C0D0A2E612D427574746F6E3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(260) := '3A20236465646564653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964207B0D0A20206261636B67726F756E642D636F6C6F723A202364386438';
wwv_flow_api.g_varchar2_table(261) := '64383B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A61';
wwv_flow_api.g_varchar2_table(262) := '6374697665202B206C6162656C2C0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A666F6375733A6E6F74283A636865636B';
wwv_flow_api.g_varchar2_table(263) := '656429202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A616374697665202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A666F6375733A6E6F74283A636865636B656429';
wwv_flow_api.g_varchar2_table(264) := '202B206C6162656C207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C20302030203020327078202366396639663920696E7365742021696D706F7274616E743B0D0A20206F75746C696E653A206E';
wwv_flow_api.g_varchar2_table(265) := '6F6E653B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666662021696D706F7274616E743B0D0A2020636F6C6F723A20233338333833382021696D706F7274616E74';
wwv_flow_api.g_varchar2_table(266) := '3B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A636865636B65643A666F637573202B206C6162656C2C0D0A2E61';
wwv_flow_api.g_varchar2_table(267) := '7065782D627574746F6E2D67726F757020696E7075743A636865636B65643A666F637573202B206C6162656C207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C2030203020302032707820236639';
wwv_flow_api.g_varchar2_table(268) := '6639663920696E7365742021696D706F7274616E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726F75702D2D726320696E7075743A636865636B';
wwv_flow_api.g_varchar2_table(269) := '6564202B206C6162656C2C0D0A2E617065782D627574746F6E2D67726F757020696E7075743A636865636B6564202B206C6162656C207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(270) := '723A20233035373263653B0D0A2020636F6C6F723A20236639663966393B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A0D0A2E612D427574746F6E2D2D686F742C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574';
wwv_flow_api.g_varchar2_table(271) := '746F6E2D2D73696D706C65292C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F742C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D617279207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(272) := '67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D427574746F6E2D2D686F743A686F7665722C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73';
wwv_flow_api.g_varchar2_table(273) := '696D706C65293A686F7665722C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A686F7665722C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D6172793A686F76';
wwv_flow_api.g_varchar2_table(274) := '65722C0D0A2E612D427574746F6E2D2D686F743A6E6F74283A616374697665293A666F6375732C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74283A616374697665293A666F6375732C0D0A';
wwv_flow_api.g_varchar2_table(275) := '626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A6E6F74283A616374697665293A666F6375732C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D6172793A6E6F74283A';
wwv_flow_api.g_varchar2_table(276) := '616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233036383065373B0D0A7D0D0A2E612D427574746F6E2D2D686F743A6163746976652C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D42757474';
wwv_flow_api.g_varchar2_table(277) := '6F6E2D2D73696D706C65293A6163746976652C0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F743A6163746976652C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D';
wwv_flow_api.g_varchar2_table(278) := '6172793A6163746976652C0D0A2E612D427574746F6E2D2D686F742E69732D6163746976652C0D0A2E742D427574746F6E2D2D686F743A6E6F74282E742D427574746F6E2D2D73696D706C65292E69732D6163746976652C0D0A626F6479202E75692D62';
wwv_flow_api.g_varchar2_table(279) := '7574746F6E2E75692D627574746F6E2D2D686F742E69732D6163746976652C0D0A626F6479202E75692D73746174652D64656661756C742E75692D7072696F726974792D7072696D6172792E69732D616374697665207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(280) := '642D636F6C6F723A20233034363462353B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D627574746F6E2D2D686F74207B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7761726E696E';
wwv_flow_api.g_varchar2_table(281) := '673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D42757474';
wwv_flow_api.g_varchar2_table(282) := '6F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74';
wwv_flow_api.g_varchar2_table(283) := '293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236663646337633B0D0A7D0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E';
wwv_flow_api.g_varchar2_table(284) := '6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(285) := '6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(286) := '0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(287) := '737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C6529';
wwv_flow_api.g_varchar2_table(288) := '3A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233432626533313B0D0A7D0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E';
wwv_flow_api.g_varchar2_table(289) := '742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74';
wwv_flow_api.g_varchar2_table(290) := '293A6163746976652C0D0A2E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(291) := '6F6C6F723A20233362616132633B0D0A7D0D0A0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020636F6C6F723A20236666666666';
wwv_flow_api.g_varchar2_table(292) := '663B0D0A7D0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E74';
wwv_flow_api.g_varchar2_table(293) := '2D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236635356134653B0D0A7D0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(294) := '6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F7428';
wwv_flow_api.g_varchar2_table(295) := '2E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20';
wwv_flow_api.g_varchar2_table(296) := '206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A20';
wwv_flow_api.g_varchar2_table(297) := '20636F6C6F723A20233031313232303B0D0A7D0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(298) := '2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74283A616374697665293A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A202362626466';
wwv_flow_api.g_varchar2_table(299) := '66643B0D0A7D0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D4275';
wwv_flow_api.g_varchar2_table(300) := '74746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D686F74293A6163746976652C0D0A2E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D73696D706C65293A6E6F74282E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(301) := '686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236132643366643B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D4275';
wwv_flow_api.g_varchar2_table(302) := '74746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E6729207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(303) := '642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A2020626F782D736861646F773A20302030203020317078207267626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A2E742D427574';
wwv_flow_api.g_varchar2_table(304) := '746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D737563636573';
wwv_flow_api.g_varchar2_table(305) := '73293A6E6F74282E742D427574746F6E2D2D7761726E696E67293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E742D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F7428';
wwv_flow_api.g_varchar2_table(306) := '2E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D7761726E696E67293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C653A6E6F74282E74';
wwv_flow_api.g_varchar2_table(307) := '2D427574746F6E2D2D686F74293A6E6F74282E742D427574746F6E2D2D64616E676572293A6E6F74282E742D427574746F6E2D2D7072696D617279293A6E6F74282E742D427574746F6E2D2D73756363657373293A6E6F74282E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(308) := '7761726E696E67292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F74207B0D0A2020626F782D7368';
wwv_flow_api.g_varchar2_table(309) := '61646F773A20302030203020317078202330353732636520696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742C0D0A2E';
wwv_flow_api.g_varchar2_table(310) := '742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F74202E742D49636F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F7665';
wwv_flow_api.g_varchar2_table(311) := '722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742E69732D616374697665207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(312) := '642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(313) := '73696D706C652E742D427574746F6E2D2D686F743A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F742E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(314) := '6666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A2030203020302031707820236132';
wwv_flow_api.g_varchar2_table(315) := '6433666420696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74';
wwv_flow_api.g_varchar2_table(316) := '292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20233236393966613B0D0A7D0D0A2E742D42757474';
wwv_flow_api.g_varchar2_table(317) := '6F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D';
wwv_flow_api.g_varchar2_table(318) := '427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(319) := '6E642D636F6C6F723A20236132643366643B0D0A2020636F6C6F723A20233031313232303B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A686F';
wwv_flow_api.g_varchar2_table(320) := '766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D';
wwv_flow_api.g_varchar2_table(321) := '706C652E742D427574746F6E2D2D7072696D6172793A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20233031313232303B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7369';
wwv_flow_api.g_varchar2_table(322) := '6D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020317078202366626365346120696E7365743B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(323) := '6F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574';
wwv_flow_api.g_varchar2_table(324) := '746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20236331393130343B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E';
wwv_flow_api.g_varchar2_table(325) := '673A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574';
wwv_flow_api.g_varchar2_table(326) := '746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(327) := '3A20233434333330323B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D7369';
wwv_flow_api.g_varchar2_table(328) := '6D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A6E6F74282E';
wwv_flow_api.g_varchar2_table(329) := '742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E';
wwv_flow_api.g_varchar2_table(330) := '742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030203020317078202366343433333620696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(331) := '2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F';
wwv_flow_api.g_varchar2_table(332) := '7429202E742D49636F6E207B0D0A2020636F6C6F723A20236634343333363B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E';
wwv_flow_api.g_varchar2_table(333) := '742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74';
wwv_flow_api.g_varchar2_table(334) := '282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E';
wwv_flow_api.g_varchar2_table(335) := '742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F';
wwv_flow_api.g_varchar2_table(336) := '6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A';
wwv_flow_api.g_varchar2_table(337) := '2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F7429207B0D0A2020626F782D736861646F773A20302030';
wwv_flow_api.g_varchar2_table(338) := '203020317078202333626161326320696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D42';
wwv_flow_api.g_varchar2_table(339) := '7574746F6E2D2D686F74292C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F7429202E742D49636F6E207B0D0A2020636F6C6F723A20233362616132633B0D0A';
wwv_flow_api.g_varchar2_table(340) := '7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A686F7665722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7375636365';
wwv_flow_api.g_varchar2_table(341) := '73733A6E6F74282E742D427574746F6E2D2D686F74293A666F6375732C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665207B0D0A';
wwv_flow_api.g_varchar2_table(342) := '20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F';
wwv_flow_api.g_varchar2_table(343) := '6E2D2D686F74293A686F766572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74293A666F637573202E742D49636F6E2C0D0A2E742D42';
wwv_flow_api.g_varchar2_table(344) := '7574746F6E2D2D73696D706C652E742D427574746F6E2D2D737563636573733A6E6F74282E742D427574746F6E2D2D686F74292E69732D616374697665202E742D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D';
wwv_flow_api.g_varchar2_table(345) := '427574746F6E2D2D6E6F5549207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A6E6F74283A686F766572293A6E6F74283A666F63';
wwv_flow_api.g_varchar2_table(346) := '7573293A6E6F74282E69732D61637469766529207B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A686F7665722C0D0A2E742D427574746F6E2D2D6E6F55493A666F6375732C0D0A2E742D4275';
wwv_flow_api.g_varchar2_table(347) := '74746F6E2D2D6E6F55492E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D427574746F6E2D2D6E6F55493A666F6375733A686F766572207B0D0A2020626F782D736861646F77';
wwv_flow_api.g_varchar2_table(348) := '3A20302030203020317078207267626128302C20302C20302C20302E3132352920696E7365743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D';
wwv_flow_api.g_varchar2_table(349) := '706F7274616E743B0D0A2020626F782D736861646F773A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2D2D6C696E6B3A686F766572207B0D0A2020746578742D6465636F726174696F6E3A20756E6465726C696E653B0D';
wwv_flow_api.g_varchar2_table(350) := '0A7D0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2C0D0A2E742D427574746F6E2D2D6C696E6B202E742D49636F6E207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D';
wwv_flow_api.g_varchar2_table(351) := '427574746F6E2D2D686F742C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D686F74202E742D49636F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574';
wwv_flow_api.g_varchar2_table(352) := '746F6E2D2D7072696D6172792C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7072696D6172792C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7072696D617279202E742D49636F6E2C0D0A2E742D4275';
wwv_flow_api.g_varchar2_table(353) := '74746F6E2D2D6C696E6B2E742D427574746F6E2D2D7072696D617279202E742D49636F6E207B0D0A2020636F6C6F723A20233236393966612021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D';
wwv_flow_api.g_varchar2_table(354) := '2D7761726E696E672C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D7761726E696E672C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D7761726E696E67202E742D49636F6E2C0D0A2E742D427574746F6E';
wwv_flow_api.g_varchar2_table(355) := '2D2D6C696E6B2E742D427574746F6E2D2D7761726E696E67202E742D49636F6E207B0D0A2020636F6C6F723A20236331393130342021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D64616E';
wwv_flow_api.g_varchar2_table(356) := '6765722C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D64616E6765722C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D64616E676572202E742D49636F6E2C0D0A2E742D427574746F6E2D2D6C696E6B2E';
wwv_flow_api.g_varchar2_table(357) := '742D427574746F6E2D2D64616E676572202E742D49636F6E207B0D0A2020636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D737563636573732C0D0A2E';
wwv_flow_api.g_varchar2_table(358) := '742D427574746F6E2D2D6C696E6B2E742D427574746F6E2D2D737563636573732C0D0A2E742D427574746F6E2D2D6E6F55492E742D427574746F6E2D2D73756363657373202E742D49636F6E2C0D0A2E742D427574746F6E2D2D6C696E6B2E742D427574';
wwv_flow_api.g_varchar2_table(359) := '746F6E2D2D73756363657373202E742D49636F6E207B0D0A2020636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67202E742D427574746F6E207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(360) := '756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561646572207B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F782D736861646F773A206E6F6E653B';
wwv_flow_api.g_varchar2_table(361) := '0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A6265666F72652C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A6163746976653A666F6375733A6265666F7265207B0D0A202062';
wwv_flow_api.g_varchar2_table(362) := '6F782D736861646F773A20302030203020317078202332363939666120696E7365742021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A686F7665722C0D0A2E742D427574746F6E2E742D4275';
wwv_flow_api.g_varchar2_table(363) := '74746F6E2D2D6865616465723A666F6375732C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4275';
wwv_flow_api.g_varchar2_table(364) := '74746F6E2E742D427574746F6E2D2D6865616465723A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E31293B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465';
wwv_flow_api.g_varchar2_table(365) := '723A6163746976652C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E34293B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(366) := '2D427574746F6E2E742D427574746F6E2D2D6865616465722E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A2020626F782D736861646F773A206E6F6E653B0D';
wwv_flow_api.g_varchar2_table(367) := '0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D68656164657254726565207B0D0A20206D696E2D77696474683A20333270783B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561646572547265653A666F637573207B0D';
wwv_flow_api.g_varchar2_table(368) := '0A2020626F782D736861646F773A20302030203020317078202332363939666120696E7365743B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A20202E742D427574746F6E';
wwv_flow_api.g_varchar2_table(369) := '2E742D427574746F6E2D2D68656164657254726565207B0D0A202020206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A20207D0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D686561';
wwv_flow_api.g_varchar2_table(370) := '6465725269676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465723A2031707820736F6C696420236530653065303B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465';
wwv_flow_api.g_varchar2_table(371) := '7252696768743A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D68656164657252696768743A6163746976652C0D0A2E742D427574746F6E2E';
wwv_flow_api.g_varchar2_table(372) := '742D427574746F6E2D2D68656164657252696768742E69732D616374697665207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D427574746F6E2D2D6E6176426172202E742D427574746F6E2D6261646765207B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(373) := '65722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3335293B0D0A7D0D0A2E742D427574746F6E2D2D68656C70427574746F6E202E612D49636F6E207B0D0A20206F7061';
wwv_flow_api.g_varchar2_table(374) := '636974793A202E353B0D0A7D0D0A0D0A2E742D4865616465722D6E6176426172202E742D427574746F6E2D2D6865616465722E69732D616374697665207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A20303B0D0A2020';
wwv_flow_api.g_varchar2_table(375) := '626F726465722D626F74746F6D2D6C6566742D7261646975733A20303B0D0A20206261636B67726F756E642D636F6C6F723A20233033343938333B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D427574746F6E2E742D427574';
wwv_flow_api.g_varchar2_table(376) := '746F6E2D2D6E6F5549202E66613A61667465722C0D0A2E742D427574746F6E2E742D427574746F6E2D2D6C696E6B202E66613A61667465722C0D0A2E742D427574746F6E2E742D427574746F6E2D2D73696D706C65202E66613A6166746572207B0D0A20';
wwv_flow_api.g_varchar2_table(377) := '206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A0D0A2E742D427574746F6E2D2D64616E676572202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D64616E6765723A686F7665';
wwv_flow_api.g_varchar2_table(378) := '72202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A7D0D0A0D0A2E742D427574746F6E2D2D73756363657373202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E74';
wwv_flow_api.g_varchar2_table(379) := '2D427574746F6E2D2D737563636573733A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A0D0A2E742D427574746F6E2D2D7072696D617279202E66613A61667465722C';
wwv_flow_api.g_varchar2_table(380) := '0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7072696D6172793A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20236132643366643B0D0A7D0D0A0D0A2E742D427574746F';
wwv_flow_api.g_varchar2_table(381) := '6E2D2D7761726E696E67202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D7761726E696E673A686F766572202E66613A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(382) := '62636534613B0D0A7D0D0A0D0A2E742D427574746F6E2D2D686F74202E66613A61667465722C0D0A2E742D427574746F6E2D2D73696D706C652E742D427574746F6E2D2D686F743A686F766572202E66613A6166746572207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(383) := '756E642D636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D427574746F6E526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(384) := '65722D7261646975733A203270783B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D6E6F5549207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D77';
wwv_flow_api.g_varchar2_table(385) := '697A6172642C0D0A2E742D427574746F6E526567696F6E2D2D6469616C6F67526567696F6E207B0D0A2020626F726465722D7261646975733A2030203020327078203270783B0D0A7D0D0A2E742D427574746F6E526567696F6E2D2D6469616C6F675265';
wwv_flow_api.g_varchar2_table(386) := '67696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F6479202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C';
wwv_flow_api.g_varchar2_table(387) := '65207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(388) := '3A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D';
wwv_flow_api.g_varchar2_table(389) := '0D0A2E742D526567696F6E202E742D427574746F6E526567696F6E2D2D73686F775469746C65202E742D427574746F6E526567696F6E2D7469746C652C0D0A2E742D427574746F6E526567696F6E202E742D427574746F6E526567696F6E2D2D73686F77';
wwv_flow_api.g_varchar2_table(390) := '5469746C65202E742D427574746F6E526567696F6E2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D427574746F6E526567696F6E207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(391) := '2D636F6C6F723A207472616E73706172656E743B0D0A2020626F726465722D7261646975733A20303B0D0A7D0D0A0D0A2E66632E75692D776964676574207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E66';
wwv_flow_api.g_varchar2_table(392) := '632D746F6F6C626172207B0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A2032707820327078203020303B0D0A';
wwv_flow_api.g_varchar2_table(393) := '7D0D0A2E66632D746F6F6C6261722068322C0D0A2E6663202E66632D62617369632D766965772074642E66632D6461792D6E756D6265722C0D0A2E6663202E66632D6461792D6E756D626572207B0D0A2020636F6C6F723A20233430343034303B0D0A7D';
wwv_flow_api.g_varchar2_table(394) := '0D0A2E66632D6461792D6865616465722E75692D7769646765742D6865616465722C0D0A2E66632D76696577202E75692D7769646765742D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A2020636F';
wwv_flow_api.g_varchar2_table(395) := '6C6F723A20233236323632363B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A6469762E66632D6167656E64614C697374207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(396) := '6465722D636F6C6F723A20236562656265623B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D646179486561646572207B0D0A20206261636B67726F756E642D636F6C6F723A202364396439';
wwv_flow_api.g_varchar2_table(397) := '64393B0D0A2020636F6C6F723A20233236323632363B0D0A2020626F726465722D636F6C6F723A20236661666166613B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D646179207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D';
wwv_flow_api.g_varchar2_table(398) := '0A2E6663202E66632D6167656E64614C6973742D64617465207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A2E6663202E66632D6167656E64614C697374202E66632D6576656E742D73746172742D74696D652C0D0A2E6663202E66632D';
wwv_flow_api.g_varchar2_table(399) := '6167656E64614C697374202E66632D6576656E742D616C6C2D646179207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A626F6479202E66632074642E66632D746F6461792C0D0A626F6479202E6663202E75692D7769646765742D636F6E';
wwv_flow_api.g_varchar2_table(400) := '74656E74207B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D7769646765742D636F6E74656E742E66632D746F6461792E75692D73746174652D6869';
wwv_flow_api.g_varchar2_table(401) := '67686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E6663202E66632D6167656E64614C6973742D6974656D207B0D0A2020626F726465722D636F6C6F723A20236661666166613B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(402) := '2E6663202E75692D627574746F6E3A6163746976652C0D0A2E6663202E75692D627574746F6E3A666F6375732C0D0A2E66632D766965773A6163746976652C0D0A2E66632D766965773A666F637573207B0D0A20206F75746C696E653A2031707820736F';
wwv_flow_api.g_varchar2_table(403) := '6C696420233035373263653B0D0A7D0D0A2E66632D766965772D636F6E7461696E6572203E202E66632D766965773A6163746976652C0D0A2E66632D766965772D636F6E7461696E6572203E202E66632D766965773A666F637573207B0D0A20206F7574';
wwv_flow_api.g_varchar2_table(404) := '6C696E653A206E6F6E653B0D0A7D0D0A0D0A2E742D436172642D77726170207B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436172642D7772';
wwv_flow_api.g_varchar2_table(405) := '61703A666F637573207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D436172642D69636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436172642D64657363207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(406) := '6F723A20233430343034303B0D0A7D0D0A2E742D436172642D696E666F2C0D0A2E742D436172642D7375627469746C65207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D436172642D7469746C65207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(407) := '233430343034303B0D0A7D0D0A2E742D436172642D636F6C6F7246696C6C2C0D0A2E742D436172642D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A0D0A2E742D436C617373696343616C656E64';
wwv_flow_api.g_varchar2_table(408) := '61722D6D6F6E74685469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D646179436F6C756D6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D';
wwv_flow_api.g_varchar2_table(409) := '0A2020766572746963616C2D616C69676E3A20746F703B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D436C617373696343616C656E6461722D646179207B0D0A20';
wwv_flow_api.g_varchar2_table(410) := '20626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D696E616374697665202E742D436C617373696343616C656E6461722D64617465207B0D0A20206F7061636974793A';
wwv_flow_api.g_varchar2_table(411) := '202E353B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D7765656B656E642C0D0A2E742D436C617373696343616C656E6461722D6461792E69732D696E616374697665207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(412) := '723A20236663666366633B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6461792E69732D746F646179202E742D436C617373696343616C656E6461722D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A202330353732';
wwv_flow_api.g_varchar2_table(413) := '63653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D64617465207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6576656E74';
wwv_flow_api.g_varchar2_table(414) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6576656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C';
wwv_flow_api.g_varchar2_table(415) := '656E6461722D6576656E742061207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D43';
wwv_flow_api.g_varchar2_table(416) := '6C617373696343616C656E6461722D74696D65436F6C2C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D74696D65436F6C207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(417) := '20236661666166613B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461794576656E74732C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E74';
wwv_flow_api.g_varchar2_table(418) := '2D436C617373696343616C656E6461722D6461794576656E7473207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461';
wwv_flow_api.g_varchar2_table(419) := '794576656E747320612C0D0A2E742D436C617373696343616C656E6461722D2D6461696C79202E742D436C617373696343616C656E6461722D6461794576656E74732061207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B';
wwv_flow_api.g_varchar2_table(420) := '0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D436C617373696343616C656E6461722D2D7765656B6C79202E742D436C617373696343616C656E6461722D6461792E69732D746F6461792C0D0A2E742D436C617373696343616C656E';
wwv_flow_api.g_varchar2_table(421) := '6461722D2D6461696C79202E742D436C617373696343616C656E6461722D6461792E69732D746F646179207B0D0A20206261636B67726F756E642D636F6C6F723A20236434656266653B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C69';
wwv_flow_api.g_varchar2_table(422) := '7374207B0D0A2020626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973745469746C652C0D0A2E742D436C617373696343616C656E6461722D6C6973744576656E74207B0D0A2020';
wwv_flow_api.g_varchar2_table(423) := '626F726465722D636F6C6F723A20236632663266323B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973745469746C65207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020636F6C6F723A202336';
wwv_flow_api.g_varchar2_table(424) := '36363636363B0D0A7D0D0A2E742D436C617373696343616C656E6461722D6C6973744576656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D636F6D6D65';
wwv_flow_api.g_varchar2_table(425) := '6E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236565663466393B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D636F6D6D656E743A61667465';
wwv_flow_api.g_varchar2_table(426) := '72207B0D0A2020626F726465722D72696768742D636F6C6F723A20236565663466393B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D6974656D2E69732D616374697665202E742D436F6D6D656E74732D636F6D';
wwv_flow_api.g_varchar2_table(427) := '6D656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236363646565643B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D436F6D6D656E74732D2D63686174202E742D436F6D6D656E74732D6974656D2E69732D6163';
wwv_flow_api.g_varchar2_table(428) := '74697665202E742D436F6D6D656E74732D636F6D6D656E743A6166746572207B0D0A2020626F726465722D72696768742D636F6C6F723A20236363646565643B0D0A7D0D0A2E742D436F6D6D656E74732D2D6261736963202E742D436F6D6D656E74732D';
wwv_flow_api.g_varchar2_table(429) := '6974656D2E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20236662666266623B0D0A7D0D0A2E742D436F6D6D656E74732D6974656D2E69732D73797374656D4D657373616765207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(430) := '2D636F6C6F723A20236462653766323B0D0A7D0D0A2E742D436F6D6D656E74732D696E666F207B0D0A2020636F6C6F723A20233561356135613B0D0A7D0D0A2E742D436F6D6D656E74732D636F6D6D656E74207B0D0A2020636F6C6F723A202330303030';
wwv_flow_api.g_varchar2_table(431) := '30303B0D0A7D0D0A2E742D436F6E66696750616E656C2D61626F7574207B0D0A20206261636B67726F756E642D636F6C6F723A20236666663765303B0D0A2020636F6C6F723A20233536353635363B0D0A7D0D0A2E742D436F6E66696750616E656C2D69';
wwv_flow_api.g_varchar2_table(432) := '636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A20206261636B67726F756E642D636F6C6F723A20234130413041303B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D436F6E66696750616E656C2D69636F6E2E';
wwv_flow_api.g_varchar2_table(433) := '69732D656E61626C6564207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A7D0D0A2E742D436F6E66696750616E656C2D69636F6E2E69732D64697361626C6564207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(434) := '3A20236634343333363B0D0A7D0D0A2E742D436F6E66696750616E656C2D73657474696E672C0D0A2E742D436F6E66696750616E656C2D737461747573207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D436F6E66696750616E65';
wwv_flow_api.g_varchar2_table(435) := '6C2D737461747573207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D436F6E66696750616E656C2D617474724C696E6B207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D436F6E66696750616E656C2D6174';
wwv_flow_api.g_varchar2_table(436) := '74724C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E742D436F6E66696750616E656C2D6174747256616C7565207B0D0A2020636F6C6F723A202330';
wwv_flow_api.g_varchar2_table(437) := '35366162663B0D0A7D0D0A2E742D4469616C6F67207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D4469616C6F67203A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A2020';
wwv_flow_api.g_varchar2_table(438) := '6261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A2E742D4469616C6F67203A3A2D7765626B69742D7363726F6C6C6261722D7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A2023623362';
wwv_flow_api.g_varchar2_table(439) := '3362333B0D0A7D0D0A2E742D4469616C6F673A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A0D0A2E742D466F6F7465722D746F70427574746F';
wwv_flow_api.g_varchar2_table(440) := '6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D466F6F7465722D746F70427574746F6E3A666F637573207B0D0A2020626F782D736861646F773A20';
wwv_flow_api.g_varchar2_table(441) := '302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E65723A6265666F7265207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D7465787461';
wwv_flow_api.g_varchar2_table(442) := '7265612C0D0A2E617065782D6974656D2D746578742C0D0A2E617065782D6974656D2D73656C656374207B0D0A2020636F6C6F723A20233339333933393B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(443) := '65722D636F6C6F723A20236466646664663B0D0A7D0D0A2E617065782D6974656D2D74657874617265612E617065782D706167652D6974656D2D6572726F722C0D0A2E617065782D6974656D2D746578742E617065782D706167652D6974656D2D657272';
wwv_flow_api.g_varchar2_table(444) := '6F722C0D0A2E617065782D6974656D2D73656C6563742E617065782D706167652D6974656D2D6572726F72207B0D0A2020626F726465722D636F6C6F723A20236637373036363B0D0A7D0D0A2E617065782D6974656D2D74657874617265612E61706578';
wwv_flow_api.g_varchar2_table(445) := '2D706167652D6974656D2D6572726F723A72657175697265643A76616C69642C0D0A2E617065782D6974656D2D746578742E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C69642C0D0A2E617065782D6974656D2D73';
wwv_flow_api.g_varchar2_table(446) := '656C6563742E617065782D706167652D6974656D2D6572726F723A72657175697265643A76616C6964207B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C';
wwv_flow_api.g_varchar2_table(447) := '6F6174696E674C6162656C202E742D466F726D2D696E707574436F6E7461696E6572202E617065782D6974656D2D646973706C61792D6F6E6C79207B0D0A2020636F6C6F723A20233339333933393B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(448) := '20236666666666663B0D0A2020626F726465722D636F6C6F723A20236466646664663B0D0A2020626F726465722D7374796C653A206461736865643B0D0A7D0D0A0D0A2E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D';
wwv_flow_api.g_varchar2_table(449) := '0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20726762612835372C2035372C2035372C20302E37293B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(450) := '2D52544C202E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E617065782D6974656D2D66696C652D64726F707A6F6E652D6963';
wwv_flow_api.g_varchar2_table(451) := '6F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E617065782D6974656D2D66696C652D64726F707A6F6E';
wwv_flow_api.g_varchar2_table(452) := '652D69636F6E207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E617065782D6974656D2D66696C653A686F766572202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D69';
wwv_flow_api.g_varchar2_table(453) := '74656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A686F766572202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E61';
wwv_flow_api.g_varchar2_table(454) := '7065782D6974656D2D66696C652D64726F707A6F6E652D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A66';
wwv_flow_api.g_varchar2_table(455) := '6F637573202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D6C6162656C207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(456) := '20233339333933393B0D0A7D0D0A2E617065782D6974656D2D66696C653A666F637573202B202E617065782D6974656D2D66696C652D64726F707A6F6E65202E617065782D6974656D2D66696C652D64726F707A6F6E652D69636F6E207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(457) := '726465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E617065782D6974656D2D74657874617265613A666F6375732C';
wwv_flow_api.g_varchar2_table(458) := '0D0A2E617065782D6974656D2D746578743A666F6375732C0D0A2E617065782D6974656D2D73656C6563743A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666662021696D706F7274616E743B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(459) := '65722D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E617065782D6974656D2D74657874617265613A686F7665722C0D0A2E617065782D6974656D2D746578743A686F7665722C0D0A2E617065782D6974656D2D73656C';
wwv_flow_api.g_varchar2_table(460) := '6563743A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A3A2D7765626B69742D696E7075742D706C616365686F6C6465';
wwv_flow_api.g_varchar2_table(461) := '72207B0D0A2020636F6C6F723A20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A3A2D6D6F7A2D706C616365686F6C646572207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(462) := '3A20233030303030303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075743A2D6D732D696E7075742D706C616365686F6C646572207B0D0A2020636F6C6F723A20233030303030';
wwv_flow_api.g_varchar2_table(463) := '303B0D0A20206F7061636974793A202E343B0D0A7D0D0A2E742D466F726D20696E7075742E66696C65207B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E6572207370616E2E646973706C';
wwv_flow_api.g_varchar2_table(464) := '61795F6F6E6C79207B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D73656C6563742C0D0A2E742D466F';
wwv_flow_api.g_varchar2_table(465) := '726D2D696E707574436F6E7461696E65722073656C6563742E73656C6563746C6973742C0D0A2E742D466F726D2D696E707574436F6E7461696E65722073656C6563742E7965735F6E6F207B0D0A2020636F6C6F723A20233339333933393B0D0A202062';
wwv_flow_api.g_varchar2_table(466) := '6F726465722D636F6C6F723A20236466646664663B0D0A7D0D0A2E742D466F726D2D6669656C642D2D726561644F6E6C79207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D7261';
wwv_flow_api.g_varchar2_table(467) := '64696F4C6162656C2C0D0A2E742D466F726D2D696E707574436F6E7461696E6572202E726164696F5F67726F7570206C6162656C2C0D0A2E742D466F726D2D636865636B626F784C6162656C2C0D0A2E742D466F726D2D696E707574436F6E7461696E65';
wwv_flow_api.g_varchar2_table(468) := '72202E636865636B626F785F67726F7570206C6162656C2C0D0A2E742D466F726D2D6C6162656C207B0D0A2020636F6C6F723A20233464346434643B0D0A7D0D0A2E742D466F726D2D6572726F72207B0D0A2020636F6C6F723A20236634343333363B0D';
wwv_flow_api.g_varchar2_table(469) := '0A7D0D0A2E742D466F726D2D706F737454657874207B0D0A2020636F6C6F723A20236363636363633B0D0A7D0D0A2E742D466F726D2D2D73656172636820696E7075742E742D466F726D2D7365617263684669656C64207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(470) := '6E642D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A20233339333933393B0D0A7D0D0A2E612D427574746F6E2E612D427574746F6E2D2D63616C656E6461722C0D0A2E612D427574746F6E2E612D427574746F6E2D2D706F7075704C4F';
wwv_flow_api.g_varchar2_table(471) := '56207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E612D427574746F6E2E612D427574746F6E2D2D63616C656E6461722C0D0A2E752D52544C202E612D427574746F6E2E612D42757474';
wwv_flow_api.g_varchar2_table(472) := '6F6E2D2D706F7075704C4F56207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E742D466F726D2D696E707574436F6E7461696E657220696E7075742E686173446174657069636B65722C0D0A2E742D466F';
wwv_flow_api.g_varchar2_table(473) := '726D2D696E707574436F6E7461696E657220696E7075742E706F7075705F6C6F76207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D696E707574436F6E7461696E6572';
wwv_flow_api.g_varchar2_table(474) := '20696E7075742E686173446174657069636B65722C0D0A2E752D52544C202E742D466F726D2D696E707574436F6E7461696E657220696E7075742E706F7075705F6C6F76207B0D0A2020626F726465722D7261646975733A203020327078203270782030';
wwv_flow_api.g_varchar2_table(475) := '3B0D0A7D0D0A0D0A2E636865636B626F785F67726F757020696E7075742C0D0A2E726164696F5F67726F757020696E707574207B0D0A20200D0A20200D0A7D0D0A2E636865636B626F785F67726F757020696E707574202B206C6162656C3A6265666F72';
wwv_flow_api.g_varchar2_table(476) := '652C0D0A2E726164696F5F67726F757020696E707574202B206C6162656C3A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E636865636B626F785F67726F757020696E7075743A666F6375';
wwv_flow_api.g_varchar2_table(477) := '73202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A666F637573202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A7D0D0A2E636865636B626F78';
wwv_flow_api.g_varchar2_table(478) := '5F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(479) := '6465722D636F6C6F723A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020626F782D736861646F773A20302030203020317078202366396639663920696E7365743B0D0A7D0D0A2E636865636B';
wwv_flow_api.g_varchar2_table(480) := '626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F72652C0D0A2E726164696F5F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F72';
wwv_flow_api.g_varchar2_table(481) := '3A20233035373263653B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E726164696F5F67726F757020696E707574202B206C6162656C3A6166746572207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(482) := '723A20236639663966393B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E707574207B0D0A20200D0A20200D0A7D0D0A2E742D466F';
wwv_flow_api.g_varchar2_table(483) := '726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E707574202B206C6162656C3A6265666F7265207B0D0A20206261636B67726F756E642D636F6C6F723A2023653665';
wwv_flow_api.g_varchar2_table(484) := '3665363B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E7075';
wwv_flow_api.g_varchar2_table(485) := '743A666F637573202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865';
wwv_flow_api.g_varchar2_table(486) := '636B626F785F67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A20206261636B67726F756E642D636F6C6F723A2023663966';
wwv_flow_api.g_varchar2_table(487) := '3966393B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F';
wwv_flow_api.g_varchar2_table(488) := '67726F757020696E7075743A666F6375733A636865636B6564202B206C6162656C3A6166746572207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E';
wwv_flow_api.g_varchar2_table(489) := '47726F7570202E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6265666F7265207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(490) := '236639663966393B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E636865636B626F785F67726F757020696E7075743A636865636B6564202B206C6162656C3A6166746572207B0D';
wwv_flow_api.g_varchar2_table(491) := '0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D2D6974656D546578742D2D7072652C0D0A2E742D466F726D2D6669656C6443';
wwv_flow_api.g_varchar2_table(492) := '6F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D2D6974656D546578742D2D706F7374207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F782D736861646F773A20302030203020';
wwv_flow_api.g_varchar2_table(493) := '302E3172656D202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D2D6974656D5465';
wwv_flow_api.g_varchar2_table(494) := '78742D2D707265207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D70726554657874426C6F636B202E742D466F726D2D697465';
wwv_flow_api.g_varchar2_table(495) := '6D546578742D2D707265207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D2D6974656D5465';
wwv_flow_api.g_varchar2_table(496) := '78742D2D706F7374207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D706F737454657874426C6F636B202E742D466F726D2D69';
wwv_flow_api.g_varchar2_table(497) := '74656D546578742D2D706F7374207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A0D0A2E617065782D6974656D2D6861732D69636F6E3A666F637573202B202E617065782D6974656D2D69636F6E207B0D0A';
wwv_flow_api.g_varchar2_table(498) := '2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D69636F6E207B0D0A2020636F6C6F723A20233636363636363B0D0A';
wwv_flow_api.g_varchar2_table(499) := '2020626F782D736861646F773A202D302E3172656D20302030202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E74';
wwv_flow_api.g_varchar2_table(500) := '61696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D69636F6E207B0D0A2020626F782D736861646F773A20302E3172656D20302030202364666466646620696E7365743B0D0A2020626F726465722D7261646975733A203020';
wwv_flow_api.g_varchar2_table(501) := '3270782032707820303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D666C6F6174696E674C6162656C202E617065782D6974656D2D6861732D69636F6E3A666F637573202B202E617065782D6974656D2D69636F6E207B0D0A';
wwv_flow_api.g_varchar2_table(502) := '2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A0D0A2E742D466F726D2D68656C70427574746F6E3A666F637573202E612D49636F6E207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A0D0A2E742D466F726D2D6669656C6443';
wwv_flow_api.g_varchar2_table(503) := '6F6E7461696E65722D2D726164696F427574746F6E47726F7570202E742D466F726D2D6974656D57726170706572203E202E617065782D6974656D2D67726F7570203E202E617065782D6974656D2D6F7074696F6E3A66697273742D6F662D7479706520';
wwv_flow_api.g_varchar2_table(504) := '6C6162656C207B0D0A2020626F726465722D7261646975733A2032707820327078203020303B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E742D466F726D2D6974656D57726170';
wwv_flow_api.g_varchar2_table(505) := '706572203E202E617065782D6974656D2D67726F7570203E202E617065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2030203020327078203270783B0D0A7D0D0A0D';
wwv_flow_api.g_varchar2_table(506) := '0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D';
wwv_flow_api.g_varchar2_table(507) := '6F7074696F6E3A66697273742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A2E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47';
wwv_flow_api.g_varchar2_table(508) := '726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F72646572';
wwv_flow_api.g_varchar2_table(509) := '2D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D';
wwv_flow_api.g_varchar2_table(510) := '2D677269642D726F773A6F6E6C792D6368696C64202E617065782D6974656D2D6F7074696F6E3A66697273742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E752D52';
wwv_flow_api.g_varchar2_table(511) := '544C202E742D466F726D2D6669656C64436F6E7461696E65722D2D726164696F427574746F6E47726F7570202E617065782D6974656D2D67726964202E617065782D6974656D2D677269642D726F773A6F6E6C792D6368696C64202E617065782D697465';
wwv_flow_api.g_varchar2_table(512) := '6D2D6F7074696F6E3A6C6173742D6F662D74797065206C6162656C207B0D0A2020626F726465722D7261646975733A2032707820302030203270783B0D0A7D0D0A0D0A2E742D4865616465722D6272616E64696E67207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(513) := '642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D4865616465722D6C6F676F2C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465722E69732D6163746976652C0D0A2E742D486561646572202E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(514) := '686561646572207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4865616465722D6C6F676F3A686F7665722C0D0A2E742D486561646572202E742D427574746F6E2D2D6865616465722E69732D6163746976653A686F7665722C0D';
wwv_flow_api.g_varchar2_table(515) := '0A2E742D486561646572202E742D427574746F6E2D2D6865616465723A686F766572207B0D0A2020746578742D6465636F726174696F6E3A206E6F6E653B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B207B0D0A2020636F6C6F723A2069';
wwv_flow_api.g_varchar2_table(516) := '6E68657269743B0D0A7D0D0A2E742D4865616465722D6C6F676F2D6C696E6B3A666F6375732C0D0A2E742D4865616465722D6C6F676F2D6C696E6B3A6163746976653A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D';
wwv_flow_api.g_varchar2_table(517) := '736861646F773A20302030203020317078202332363939666120696E7365743B0D0A7D0D0A2E742D4865616465722D6E6176207B0D0A20206261636B67726F756E642D636F6C6F723A20233331333733633B0D0A7D0D0A2E742D486561646572202E612D';
wwv_flow_api.g_varchar2_table(518) := '4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D65';
wwv_flow_api.g_varchar2_table(519) := '6E75436F6C202E612D49636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D486561646572202E612D4D656E752E612D4D656E752D2D746F70203E202E612D4D656E752D636F6E74656E74207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(520) := '6465722D746F702D77696474683A20303B0D0A7D0D0A2E742D486561646572202E612D4D656E752D636F6E74656E74207B0D0A2020626F782D736861646F773A20302032707820367078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(521) := '2E742D4865616465722D6E61762D6C697374207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4865726F526567696F6E2D69636F6E207B0D0A2020626F726465722D7261646975733A203470';
wwv_flow_api.g_varchar2_table(522) := '783B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4865726F526567696F6E2D7469746C65207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D';
wwv_flow_api.g_varchar2_table(523) := '0A2E742D4865726F526567696F6E2D636F6C2D2D636F6E74656E74207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A0D0A2E612D495252207B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F726465722D636F6C';
wwv_flow_api.g_varchar2_table(524) := '6F723A207267626128302C20302C20302C20302E31293B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D495252202E612D4952522D706167696E6174696F6E2D6C6162656C207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(525) := '20233733373337333B0D0A7D0D0A2E612D4952522D7265706F727453756D6D6172792D76616C7565207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D4952522D636F6E74726F6C73436F6E7461696E6572207B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(526) := '65722D746F702D636F6C6F723A20236635663566353B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A2E612D4952522D66756C6C56696577207B0D0A20206261636B67726F756E642D636F6C6F723A2023666666';
wwv_flow_api.g_varchar2_table(527) := '6666663B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D627574746F6E2D2D636F6E74726F6C73207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E612D4952522D746F6F6C626172';
wwv_flow_api.g_varchar2_table(528) := '207B0D0A20206261636B67726F756E643A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A2E612D5265706F72742D70657263656E7443686172742D66696C6C207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(529) := '2D636F6C6F723A20233035373263653B0D0A7D0D0A2E612D5265706F72742D70657263656E744368617274207B0D0A20206261636B67726F756E642D636F6C6F723A20236434656266653B0D0A7D0D0A2E612D4952522D627574746F6E2D2D636F6C5365';
wwv_flow_api.g_varchar2_table(530) := '61726368207B0D0A20202D7765626B69742D626F726465722D746F702D72696768742D7261646975733A203070782021696D706F7274616E743B0D0A20202D7765626B69742D626F726465722D626F74746F6D2D72696768742D7261646975733A203070';
wwv_flow_api.g_varchar2_table(531) := '782021696D706F7274616E743B0D0A20202D6D6F7A2D626F726465722D7261646975732D746F7072696768743A20307078202021696D706F7274616E743B0D0A20202D6D6F7A2D626F726465722D7261646975732D626F74746F6D72696768743A203070';
wwv_flow_api.g_varchar2_table(532) := '782021696D706F7274616E743B0D0A2020626F726465722D746F702D72696768742D7261646975733A203070782021696D706F7274616E743B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203070782021696D706F7274';
wwv_flow_api.g_varchar2_table(533) := '616E743B0D0A7D0D0A2E612D4952522D69636F6E566965775461626C652C0D0A2E612D4952522D6368617274566965772C0D0A2E612D4952522D7069766F74566965772C0D0A2E612D4952522D67726F75704279566965772C0D0A2E612D4952522D6465';
wwv_flow_api.g_varchar2_table(534) := '7461696C56696577207B0D0A2020626F726465722D746F702D636F6C6F723A20236635663566353B0D0A7D0D0A2E612D4952522D746F6F6C6261722D2D73696E676C65526F77207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A20236630';
wwv_flow_api.g_varchar2_table(535) := '663066303B0D0A7D0D0A2E612D4952522D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020626F726465722D746F703A2031707820736F6C696420236536653665363B0D0A2020626F782D736861';
wwv_flow_api.g_varchar2_table(536) := '646F773A20696E7365742031707820302030203020236536653665363B0D0A7D0D0A2E612D4952522D6865616465723A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A7D0D0A2E612D4952522D686561';
wwv_flow_api.g_varchar2_table(537) := '6465722E69732D6163746976652061207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E612D4952522D6865616465722E69732D616374697665202E612D4952522D686561646572536F7274207B0D0A2020636F6C6F723A20696E686572';
wwv_flow_api.g_varchar2_table(538) := '69743B0D0A7D0D0A2E612D4952522D6865616465722E69732D6163746976652C0D0A2E612D47562D6865616465722E69732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233230323032303B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(539) := '4646463B0D0A7D0D0A2E612D4952522D6865616465722D2D67726F7570207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A2E612D4952522D7461626C65207472207464207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(540) := '2D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D4952522D7461626C65207B0D0A2020626F726465722D636F6C6C617073653A2073657061726174653B0D0A7D0D0A2E612D4952522D7461626C';
wwv_flow_api.g_varchar2_table(541) := '652074723A686F766572207464207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E742D4952522D726567696F6E2D2D6E6F426F7264657273202E612D495252207B0D0A2020626F726465722D726164697573';
wwv_flow_api.g_varchar2_table(542) := '3A203270783B0D0A7D0D0A2E612D4952522D7461626C65207464207B0D0A2020626F726465722D6C6566743A2031707820736F6C696420236632663266323B0D0A2020626F726465722D746F703A2031707820736F6C696420236632663266323B0D0A7D';
wwv_flow_api.g_varchar2_table(543) := '0D0A2E612D4952522D6865616465724C696E6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D7365617263682D6669656C643A666F637573207B0D';
wwv_flow_api.g_varchar2_table(544) := '0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020626F782D736861646F773A202D31707820302030202330353732636520696E7365742C2031707820302030202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D73';
wwv_flow_api.g_varchar2_table(545) := '696E676C65526F772D6E616D652C0D0A2E612D4952522D73696E676C65526F772D76616C7565207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A20236630663066303B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E612D';
wwv_flow_api.g_varchar2_table(546) := '4952522D73696E676C65526F772D76616C7565207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4952522D73696E676C65526F772D726F773A686F766572202E612D4952522D73696E676C65526F772D';
wwv_flow_api.g_varchar2_table(547) := '76616C7565207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E612D4952522D73696E676C65526F772D6E616D65207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(548) := '2E612D4952522D73696E676C65526F772D726F773A686F766572202E612D4952522D73696E676C65526F772D6E616D65207B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066303B0D0A7D0D0A2E612D4952522D627574746F6E2E61';
wwv_flow_api.g_varchar2_table(549) := '2D4952522D627574746F6E2D2D706167696E6174696F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E612D4952522D7265706F727453756D6D6172792D6C6162656C2C0D0A2E612D4952';
wwv_flow_api.g_varchar2_table(550) := '522D636F6E74726F6C734C6162656C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A406D65646961206F6E6C792073637265656E20616E6420286D696E2D77696474683A20373639707829207B0D0A20202E';
wwv_flow_api.g_varchar2_table(551) := '69732D6D6178696D697A65642E742D4952522D726567696F6E202E742D6668742D7468656164202E612D4952522D686561646572207B0D0A20202020626F726465722D626F74746F6D3A2031707820736F6C696420236536653665363B0D0A20207D0D0A';
wwv_flow_api.g_varchar2_table(552) := '7D0D0A2E75692D7769646765742D636F6E74656E74202E612D4952522D69636F6E4C6973742D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E61';
wwv_flow_api.g_varchar2_table(553) := '2D4952522D69636F6E4C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A0D0A2E612D4952522D627574746F6E3A666F637573207B0D0A2020626F782D736861646F773A20';
wwv_flow_api.g_varchar2_table(554) := '696E68657269743B0D0A7D0D0A0D0A2E612D4952522D736F7274576964676574207B0D0A20206261636B67726F756E642D636F6C6F723A20726762612833322C2033322C2033322C20302E3935293B0D0A20202D7765626B69742D6261636B64726F702D';
wwv_flow_api.g_varchar2_table(555) := '66696C7465723A20626C757228347078293B0D0A2020636F6C6F723A20234646463B0D0A2020626F726465722D77696474683A20303B0D0A2020626F782D736861646F773A20302032707820347078202D327078207267626128302C20302C20302C2030';
wwv_flow_api.g_varchar2_table(556) := '2E35292C2030203870782031367078202D347078207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C626172207B0D0A202077696474683A203870783B';
wwv_flow_api.g_varchar2_table(557) := '0D0A20206865696768743A203870783B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235';
wwv_flow_api.g_varchar2_table(558) := '352C203235352C20302E35293B0D0A7D0D0A2E612D4952522D736F7274576964676574203A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C20';
wwv_flow_api.g_varchar2_table(559) := '3235352C20302E3235293B0D0A7D0D0A0D0A2E612D4952522D736F72745769646765742D68656C70207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A0D0A2E612D4952522D736F7274576964676574';
wwv_flow_api.g_varchar2_table(560) := '2D616374696F6E73207B0D0A202070616464696E673A203870783B0D0A2020626F726465722D7261646975733A203270783B0D0A202077696474683A206175746F3B0D0A2020626F726465722D626F74746F6D2D77696474683A20303B0D0A7D0D0A2E61';
wwv_flow_api.g_varchar2_table(561) := '2D4952522D736F72745769646765742D616374696F6E732D6974656D207B0D0A2020626F726465722D72696768742D77696474683A20303B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D627574746F6E207B';
wwv_flow_api.g_varchar2_table(562) := '0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20234646463B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F';
wwv_flow_api.g_varchar2_table(563) := '72745769646765742D627574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35293B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D';
wwv_flow_api.g_varchar2_table(564) := '627574746F6E3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D627574746F6E2E69732D';
wwv_flow_api.g_varchar2_table(565) := '6163746976652C0D0A2E612D4952522D627574746F6E2E612D4952522D736F72745769646765742D627574746F6E3A6163746976653A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35';
wwv_flow_api.g_varchar2_table(566) := '293B0D0A7D0D0A2E612D4952522D736F72745769646765742D7365617263684C6162656C207B0D0A20206865696768743A20343070783B0D0A202070616464696E673A2031327078203870783B0D0A7D0D0A2E612D4952522D736F72745769646765742D';
wwv_flow_api.g_varchar2_table(567) := '7365617263684C6162656C3A6265666F7265207B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D736F72745769646765742D736561726368203E202E612D4952522D736F72745769646765742D7365617263684669656C645B7479';
wwv_flow_api.g_varchar2_table(568) := '70653D2274657874225D207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020617070656172616E63653A206E6F6E653B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C2032';
wwv_flow_api.g_varchar2_table(569) := '35352C203235352C20302E31293B0D0A20206865696768743A20343070783B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E612D4952522D736F72745769646765742D736561726368203E202E612D4952522D736F72745769646765742D736561';
wwv_flow_api.g_varchar2_table(570) := '7263684669656C645B747970653D2274657874225D3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F7773207B0D0A';
wwv_flow_api.g_varchar2_table(571) := '2020626F726465722D746F702D77696474683A20303B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F77207B0D0A2020636F6C6F723A20234646463B0D0A2020626F782D736861646F773A206E6F6E653B0D0A7D0D0A2E612D4952522D73';
wwv_flow_api.g_varchar2_table(572) := '6F72745769646765742D726F773A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3135293B0D0A7D0D0A2E612D4952522D736F72745769646765742D726F773A666F6375';
wwv_flow_api.g_varchar2_table(573) := '73207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E612D4947202E612D4952522D736F72745769646765743A6265666F7265207B0D0A2020636F6C6F723A20726762612833322C20';
wwv_flow_api.g_varchar2_table(574) := '33322C2033322C20302E3935293B0D0A7D0D0A2E6F6A2D6476742D63617465676F727931207B0D0A2020636F6C6F723A20233330396664623B0D0A7D0D0A2E6F6A2D6476742D63617465676F727932207B0D0A2020636F6C6F723A20233363616638353B';
wwv_flow_api.g_varchar2_table(575) := '0D0A7D0D0A2E6F6A2D6476742D63617465676F727933207B0D0A2020636F6C6F723A20236662636534613B0D0A7D0D0A2E6F6A2D6476742D63617465676F727934207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A2E6F6A2D6476742D63';
wwv_flow_api.g_varchar2_table(576) := '617465676F727935207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A2E6F6A2D6476742D63617465676F727936207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A2E6F6A2D6476742D63617465676F727937207B0D0A2020';
wwv_flow_api.g_varchar2_table(577) := '636F6C6F723A20236564383133653B0D0A7D0D0A2E6F6A2D6476742D63617465676F727938207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A2E6F6A2D6476742D63617465676F727939207B0D0A2020636F6C6F723A2023313362366366';
wwv_flow_api.g_varchar2_table(578) := '3B0D0A7D0D0A2E6F6A2D6476742D63617465676F72793130207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A2E6F6A2D6476742D63617465676F72793131207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A2E6F6A2D6476';
wwv_flow_api.g_varchar2_table(579) := '742D63617465676F72793132207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D6974656D2C0D0A2E742D4C696E6B734C6973742D6C696E6B207B0D0A2020626F726465722D636F6C6F723A20236536';
wwv_flow_api.g_varchar2_table(580) := '653665363B0D0A7D0D0A2E742D4C696E6B734C6973742D69636F6E207B0D0A2020636F6C6F723A20236439643964393B0D0A7D0D0A2E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(581) := '236632663266323B0D0A7D0D0A2E742D4C696E6B734C6973742D6C696E6B3A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D2D73';
wwv_flow_api.g_varchar2_table(582) := '686F774172726F77202E742D4C696E6B734C6973742D6C696E6B3A6265666F7265207B0D0A2020636F6C6F723A20236439643964393B0D0A7D0D0A0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973742D6261';
wwv_flow_api.g_varchar2_table(583) := '646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973742D6C696E6B';
wwv_flow_api.g_varchar2_table(584) := '3A686F766572202E742D4C696E6B734C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236562656265623B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973742D69';
wwv_flow_api.g_varchar2_table(585) := '74656D2E69732D657870616E646564203E202E742D4C696E6B734C6973742D6C696E6B202E742D4C696E6B734C6973742D6261646765207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D0A0D0A2E742D4C696E6B';
wwv_flow_api.g_varchar2_table(586) := '734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A686F7665723A6265666F7265207B0D0A2020636F6C6F723A207267626128323535';
wwv_flow_api.g_varchar2_table(587) := '2C203235352C203235352C20302E35293B0D0A7D0D0A2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A202330353732';
wwv_flow_api.g_varchar2_table(588) := '63653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4C696E6B734C6973742D2D627269676874486F766572202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D69636F6E207B0D0A2020';
wwv_flow_api.g_varchar2_table(589) := '636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20234643464346433B0D';
wwv_flow_api.g_varchar2_table(590) := '0A20206261636B67726F756E643A206C696E6561722D6772616469656E74287267626128302C20302C20302C20302E303135292C207267626128302C20302C20302C203029292C206C696E6561722D6772616469656E74287267626128302C20302C2030';
wwv_flow_api.g_varchar2_table(591) := '2C2030292C207267626128302C20302C20302C20302E30313529293B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A686F7665723A6265666F7265207B0D0A202063';
wwv_flow_api.g_varchar2_table(592) := '6F6C6F723A20233035373263653B0D0A7D0D0A2E742D4C696E6B734C6973742D6974656D2E69732D657870616E646564202E742D4C696E6B734C6973742D6C696E6B3A6265666F7265207B0D0A2020636F6C6F723A207267626128302C20302C20302C20';
wwv_flow_api.g_varchar2_table(593) := '302E3235293B0D0A7D0D0A2E742D4C696E6B734C6973742D2D73686F774261646765202E742D4C696E6B734C6973742D6261646765207B0D0A2020626F726465722D7261646975733A203470783B0D0A7D0D0A2E742D4C696E6B734C6973742D2D69636F';
wwv_flow_api.g_varchar2_table(594) := '6E4F6E6C79202E742D4C696E6B734C6973742D69636F6E207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C6162656C207B0D0A2020';
wwv_flow_api.g_varchar2_table(595) := '636F6C6F723A20233361336133613B0D0A7D0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D69636F6E207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D4C696E6B734C6973742D2D61';
wwv_flow_api.g_varchar2_table(596) := '6374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D69636F6E2C0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D';
wwv_flow_api.g_varchar2_table(597) := '4C696E6B734C6973742D6C6162656C2C0D0A2E742D4C696E6B734C6973742D2D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572202E742D4C696E6B734C6973742D6261646765207B0D0A2020636F6C6F723A202333653365';
wwv_flow_api.g_varchar2_table(598) := '33653B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D4C696E6B734C6973742D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236563656365633B0D0A7D0D0A0D0A2E742D4C6F67696E2D69636F6E56';
wwv_flow_api.g_varchar2_table(599) := '616C69646174696F6E207B0D0A20206261636B67726F756E643A20233362616132633B0D0A2020636F6C6F723A2077686974653B0D0A7D0D0A626F6479202E742D4C6F67696E2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D';
wwv_flow_api.g_varchar2_table(600) := '0D0A2E742D4C6F67696E2D726567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4C6F67696E2D6C6F676F207B0D0A2020636F6C6F723A20233035373263653B0D0A7D0D0A406D6564696120';
wwv_flow_api.g_varchar2_table(601) := '6F6E6C792073637265656E20616E6420286D61782D77696474683A20343830707829207B0D0A20202E742D50616765426F64792D2D6C6F67696E2C0D0A20202E742D50616765426F64792D2D6C6F67696E202E742D426F6479207B0D0A20202020626163';
wwv_flow_api.g_varchar2_table(602) := '6B67726F756E642D636F6C6F723A20236666666666663B0D0A20207D0D0A7D0D0A0D0A2E742D4D656469614C697374207B0D0A2020626F726465722D636F6C6F723A20236530653065303B0D0A20206261636B67726F756E642D636F6C6F723A20236666';
wwv_flow_api.g_varchar2_table(603) := '666666663B0D0A7D0D0A2E742D4D656469614C6973742D6974656D207B0D0A2020626F726465722D636F6C6F723A20236530653065303B0D0A7D0D0A2E742D4D656469614C6973742D6974656D2E69732D616374697665207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(604) := '756E642D636F6C6F723A207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E742D4D656469614C6973742D2D686F72697A6F6E74616C202E742D4D656469614C6973742D6974656D207B0D0A2020626F726465722D72696768743A203170';
wwv_flow_api.g_varchar2_table(605) := '7820736F6C696420236530653065303B0D0A7D0D0A0D0A612E742D4D656469614C6973742D6974656D57726170207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A612E742D4D656469614C6973742D6974656D577261703A686F76657220';
wwv_flow_api.g_varchar2_table(606) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A612E742D4D656469614C6973742D6974656D577261703A666F637573207B0D0A2020626F782D736861646F773A';
wwv_flow_api.g_varchar2_table(607) := '20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D4D656469614C6973742D6974656D57726170207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4D656469614C6973742D62616467652C0D0A2E74';
wwv_flow_api.g_varchar2_table(608) := '2D4D656469614C6973742D64657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D4D656469614C6973742D69636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(609) := '20236666666666663B0D0A7D0D0A2E742D4D656469614C6973742D2D636F6C73207B0D0A2020626F782D736861646F773A202D317078202D31707820302030202365306530653020696E7365743B0D0A7D0D0A2E742D4D656469614C6973742D2D636F6C';
wwv_flow_api.g_varchar2_table(610) := '73202E742D4D656469614C6973742D6974656D3A6265666F72652C0D0A2E742D4D656469614C6973742D2D636F6C73202E742D4D656469614C6973742D6974656D3A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A202365366536';
wwv_flow_api.g_varchar2_table(611) := '65363B0D0A7D0D0A0D0A2E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236666666666663B0D0A20206C696E652D6865696768743A20323070783B0D0A7D0D0A2E612D4D656E754261722D6974656D203E202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(612) := '7375624D656E75436F6C207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202070616464696E673A2038707820303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206D617267696E2D72696768743A2038';
wwv_flow_api.g_varchar2_table(613) := '70783B0D0A20206D617267696E2D6C6566743A202D3470783B0D0A7D0D0A2E612D4D656E754261722D6974656D207B0D0A20206261636B67726F756E643A20233035373263653B0D0A2020626F726465722D72696768743A2031707820736F6C69642023';
wwv_flow_api.g_varchar2_table(614) := '3064386466393B0D0A2020626F726465722D6C6566743A2031707820736F6C696420233064386466393B0D0A20206D617267696E2D6C6566743A202D3170783B0D0A7D0D0A2E612D4D656E754261722D6974656D3A66697273742D6368696C64207B0D0A';
wwv_flow_api.g_varchar2_table(615) := '20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E612D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E754261722E752D52544C202E612D4D656E7542';
wwv_flow_api.g_varchar2_table(616) := '61722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020626F726465723A206E6F6E653B0D0A20206D617267696E2D72696768743A20303B0D0A202070616464696E673A20387078203870';
wwv_flow_api.g_varchar2_table(617) := '7820387078203470783B0D0A7D0D0A2E612D4D656E754261722D6974656D2E69732D64697361626C6564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E35293B0D0A7D';
wwv_flow_api.g_varchar2_table(618) := '0D0A2E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233064386466393B0D0A7D0D0A2E612D4D656E754261722D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(619) := '756E642D636F6C6F723A20233064386466393B0D0A7D0D0A0D0A2E742D4D656E752D6261646765207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020626F726465722D7261646975733A203270783B0D0A202070616464696E';
wwv_flow_api.g_varchar2_table(620) := '673A2030203670783B0D0A2020666F6E742D73697A653A20313170783B0D0A2020666F6E742D7765696768743A206E6F726D616C3B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206261636B67726F756E642D636F6C6F723A2072';
wwv_flow_api.g_varchar2_table(621) := '67626128302C20302C20302C20302E3235293B0D0A7D0D0A2E612D4D656E752D6C6162656C436F6E7461696E6572202E742D4D656E752D6261646765207B0D0A20206C696E652D6865696768743A20313670783B0D0A20206D617267696E2D6C6566743A';
wwv_flow_api.g_varchar2_table(622) := '203470783B0D0A20206D617267696E2D746F703A203870783B0D0A7D0D0A0D0A2E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D207B0D';
wwv_flow_api.g_varchar2_table(623) := '0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E612D4D656E752D68536570617261746F72207B0D0A2020626F726465722D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E612D4D656E752D2D6375727265';
wwv_flow_api.g_varchar2_table(624) := '6E74207B0D0A20206261636B67726F756E642D636F6C6F723A20233366613466613B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(625) := '6F6C6F723A20236664666466643B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C207B0D';
wwv_flow_api.g_varchar2_table(626) := '0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A';
wwv_flow_api.g_varchar2_table(627) := '2020636F6C6F723A20233765376537653B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(628) := '6F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(629) := '737461747573436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D737461747573436F6C2C0D0A2E612D4D656E75202E612D4D656E752D697465';
wwv_flow_api.g_varchar2_table(630) := '6D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E';
wwv_flow_api.g_varchar2_table(631) := '612D4D656E752D7375624D656E75436F6C2C0D0A2E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C2C0D0A2E612D4D656E75202E612D4D656E752D';
wwv_flow_api.g_varchar2_table(632) := '6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D4D656E75202E612D4D656E752D616363656C207B0D0A202063';
wwv_flow_api.g_varchar2_table(633) := '6F6C6F723A20726762612836322C2036322C2036322C20302E3735293B0D0A7D0D0A2E612D4D656E752D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235332C203235332C203235332C20302E3935293B0D';
wwv_flow_api.g_varchar2_table(634) := '0A2020626F726465722D636F6C6F723A20236534653465343B0D0A2020626F782D736861646F773A20302031707820327078207267626128302C20302C20302C20302E3035293B0D0A7D0D0A2E612D4D656E75426172207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(635) := '6E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D4865616465722D6E61762D6C6973742C0D0A2E742D486561646572202E612D4D656E75426172207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B';
wwv_flow_api.g_varchar2_table(636) := '0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233333333333333B0D0A20206C696E652D6865696768743A20323070783B0D0A';
wwv_flow_api.g_varchar2_table(637) := '7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202070616464696E673A2038707820303B0D0A2020';
wwv_flow_api.g_varchar2_table(638) := '766572746963616C2D616C69676E3A20746F703B0D0A20206D617267696E2D72696768743A203870783B0D0A20206D617267696E2D6C6566743A202D3470783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D207B0D0A2020';
wwv_flow_api.g_varchar2_table(639) := '6261636B67726F756E643A20236632663266323B0D0A2020626F726465722D72696768743A2031707820736F6C696420236439643964393B0D0A2020626F726465722D6C6566743A2031707820736F6C696420236439643964393B0D0A20206D61726769';
wwv_flow_api.g_varchar2_table(640) := '6E2D6C6566743A202D3170783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D3A66697273742D6368696C64207B0D0A20206D617267696E2D6C6566743A20303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261';
wwv_flow_api.g_varchar2_table(641) := '722D6974656D2E612D4D656E752D2D73706C6974203E202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F6E202E612D4D656E754261722E752D52544C202E612D4D656E754261722D6974656D2E612D4D656E752D2D73706C6974';
wwv_flow_api.g_varchar2_table(642) := '203E202E612D4D656E752D7375624D656E75436F6C207B0D0A2020626F726465723A206E6F6E653B0D0A20206D617267696E2D72696768743A20303B0D0A202070616464696E673A203870782038707820387078203470783B0D0A7D0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(643) := '696F6E202E612D4D656E754261722D6974656D2E69732D64697361626C6564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20726762612835312C2035312C2035312C20302E35293B0D0A7D0D0A2E742D526567696F6E202E61';
wwv_flow_api.g_varchar2_table(644) := '2D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236439643964393B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E646564207B0D0A202062';
wwv_flow_api.g_varchar2_table(645) := '61636B67726F756E642D636F6C6F723A20236439643964393B0D0A7D0D0A2E742D526567696F6E202E742D4D656E752D6261646765207B0D0A2020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020626F726465722D7261646975733A20';
wwv_flow_api.g_varchar2_table(646) := '3270783B0D0A202070616464696E673A2030203670783B0D0A2020666F6E742D73697A653A20313170783B0D0A2020666F6E742D7765696768743A206E6F726D616C3B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(647) := '726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A7D0D0A2E612D4D656E752D6C6162656C436F6E7461696E6572202E742D526567696F6E202E742D4D656E752D6261646765207B0D0A20206C696E652D6865696768';
wwv_flow_api.g_varchar2_table(648) := '743A20313670783B0D0A20206D617267696E2D6C6566743A203470783B0D0A20206D617267696E2D746F703A203870783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261646975733A20';
wwv_flow_api.g_varchar2_table(649) := '3270783B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D68536570617261746F72207B0D0A202062';
wwv_flow_api.g_varchar2_table(650) := '6F726465722D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D2D63757272656E74207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662663B0D0A7D0D';
wwv_flow_api.g_varchar2_table(651) := '0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E';
wwv_flow_api.g_varchar2_table(652) := '202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C207B0D0A2020636F6C6F723A20233430343034303B';
wwv_flow_api.g_varchar2_table(653) := '0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D64697361626C65642E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(654) := '20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564';
wwv_flow_api.g_varchar2_table(655) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236632663266323B0D0A2020636F6C6F723A20233333333333333B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E20';
wwv_flow_api.g_varchar2_table(656) := '2E612D4D656E752D696E6E6572202E612D4D656E752D737461747573436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E75';
wwv_flow_api.g_varchar2_table(657) := '2D737461747573436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(658) := '6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D696E6E6572202E612D4D656E752D7375624D656E75436F6C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974';
wwv_flow_api.g_varchar2_table(659) := '656D2E69732D666F6375736564203E202E612D4D656E752D696E6E6572202E612D4D656E752D616363656C2C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564203E202E612D4D656E752D69';
wwv_flow_api.g_varchar2_table(660) := '6E6E6572202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20233333333333333B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836342C2036342C';
wwv_flow_api.g_varchar2_table(661) := '2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A2020626F726465';
wwv_flow_api.g_varchar2_table(662) := '722D636F6C6F723A20236536653665363B0D0A2020626F782D736861646F773A20302031707820327078207267626128302C20302C20302C20302E3035293B0D0A7D0D0A0D0A2E742D486561646572207B0D0A20200D0A20200D0A20200D0A20200D0A20';
wwv_flow_api.g_varchar2_table(663) := '200D0A20200D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236664666466643B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D486561646572202E612D4D';
wwv_flow_api.g_varchar2_table(664) := '656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D486561646572202E612D4D656E754261';
wwv_flow_api.g_varchar2_table(665) := '722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233034363462352021696D706F7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E';
wwv_flow_api.g_varchar2_table(666) := '742C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20233034363462352021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(667) := '0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E754261722D6C6162656C2C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63';
wwv_flow_api.g_varchar2_table(668) := '757272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20236664666466642021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D48656164';
wwv_flow_api.g_varchar2_table(669) := '6572202E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(670) := '6E642D636F6C6F723A20233034363462352021696D706F7274616E743B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(671) := '2072676261283235332C203235332C203235332C20302E38293B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D486561646572202E612D4D656E754261';
wwv_flow_api.g_varchar2_table(672) := '722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E2C0D0A2E742D486561646572202E612D4D656E754261722D6974656D203E202E612D4D656E75';
wwv_flow_api.g_varchar2_table(673) := '2D7375624D656E75436F6C3A686F766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233064386466393B0D0A2020626F726465722D636F6C6F723A20233064386466393B0D0A2020636F6C6F723A20236666666666';
wwv_flow_api.g_varchar2_table(674) := '663B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20233236393966613B0D0A';
wwv_flow_api.g_varchar2_table(675) := '2020626F726465722D636F6C6F723A20233236393966613B0D0A7D0D0A2E742D486561646572202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75';
wwv_flow_api.g_varchar2_table(676) := '436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466643B0D0A2020626F726465722D636F6C6F723A20236664666466643B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D48656164';
wwv_flow_api.g_varchar2_table(677) := '6572202E612D4D656E754261722D6974656D2E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233761633166633B0D0A2020626F726465';
wwv_flow_api.g_varchar2_table(678) := '722D636F6C6F723A20233761633166633B0D0A2020636F6C6F723A20233032326435323B0D0A7D0D0A2E742D486561646572202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(679) := '6E642D636F6C6F723A20233034363462353B0D0A7D0D0A2E742D486561646572202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20236664666466643B0D0A7D0D0A2E742D486561646572202E612D4D656E752D616363';
wwv_flow_api.g_varchar2_table(680) := '656C207B0D0A2020636F6C6F723A2072676261283235332C203235332C203235332C20302E3735293B0D0A7D0D0A2E742D486561646572202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D48656164657220';
wwv_flow_api.g_varchar2_table(681) := '2E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20233034353639632021696D706F7274616E743B0D0A7D0D0A2E742D426F6479207B0D0A20200D0A20200D0A20';
wwv_flow_api.g_varchar2_table(682) := '200D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233365336533653B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D426F647920';
wwv_flow_api.g_varchar2_table(683) := '2E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D426F6479202E612D4D656E754261';
wwv_flow_api.g_varchar2_table(684) := '722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465342021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742C';
wwv_flow_api.g_varchar2_table(685) := '0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465342021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(686) := '2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E754261722D6C6162656C2C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69';
wwv_flow_api.g_varchar2_table(687) := '732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233365336533652021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D426F6479202E612D4D656E75';
wwv_flow_api.g_varchar2_table(688) := '4261722D6974656D2E69732D657870616E6465642C0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A202365';
wwv_flow_api.g_varchar2_table(689) := '34653465342021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20726762612836322C2036322C20';
wwv_flow_api.g_varchar2_table(690) := '36322C20302E38293B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272';
wwv_flow_api.g_varchar2_table(691) := '656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E2C0D0A2E742D426F6479202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C3A686F766572202E612D';
wwv_flow_api.g_varchar2_table(692) := '49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236264626462643B0D0A2020626F726465722D636F6C6F723A20236264626462643B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D426F6479202E612D4D656E';
wwv_flow_api.g_varchar2_table(693) := '754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A2023666666666666';
wwv_flow_api.g_varchar2_table(694) := '3B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(695) := '6E642D636F6C6F723A20233365336533653B0D0A2020626F726465722D636F6C6F723A20233365336533653B0D0A2020636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D657870616E';
wwv_flow_api.g_varchar2_table(696) := '646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(697) := '20236534653465343B0D0A7D0D0A2E742D426F6479202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20236534653465343B0D0A7D0D0A2E742D426F64';
wwv_flow_api.g_varchar2_table(698) := '79202E612D4D656E75202E612D4D656E752D6974656D207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836322C2036322C2036322C2030';
wwv_flow_api.g_varchar2_table(699) := '2E3735293B0D0A7D0D0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D426F6479202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261';
wwv_flow_api.g_varchar2_table(700) := '636B67726F756E642D636F6C6F723A20236630663066302021696D706F7274616E743B0D0A7D0D0A2E742D426F6479202E612D4D656E75426172203E20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(701) := '2E742D426F6479202E612D4D656E754261722D6974656D207B0D0A2020626F726465722D636F6C6F723A20236534653465343B0D0A7D0D0A2E742D426F6479202E612D4D656E754261722D6974656D2E69732D666F6375736564207B0D0A2020626F782D';
wwv_flow_api.g_varchar2_table(702) := '736861646F773A206E6F6E653B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A20200D0A20200D0A20200D0A20200D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A20233430';
wwv_flow_api.g_varchar2_table(703) := '343034303B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D207B0D0A2020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E742D526567696F6E20';
wwv_flow_api.g_varchar2_table(704) := '2E612D4D656E754261722D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F727461';
wwv_flow_api.g_varchar2_table(705) := '6E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F63';
wwv_flow_api.g_varchar2_table(706) := '75736564207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74202E612D4D656E';
wwv_flow_api.g_varchar2_table(707) := '754261722D6C6162656C2C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564202E612D4D656E754261722D6C6162656C207B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(708) := '34302021696D706F7274616E743B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E6465642C0D0A2E742D526567696F6E202E612D4D656E754261';
wwv_flow_api.g_varchar2_table(709) := '722D6974656D2E612D4D656E752D2D63757272656E742E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665362021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E7542';
wwv_flow_api.g_varchar2_table(710) := '61722D6974656D203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E38293B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A20';
wwv_flow_api.g_varchar2_table(711) := '20626F726465722D7261646975733A20313030253B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E742E69732D666F6375736564203E202E612D4D656E752D7375624D656E75436F6C20';
wwv_flow_api.g_varchar2_table(712) := '2E612D49636F6E2C0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D203E202E612D4D656E752D7375624D656E75436F6C3A686F766572202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236266626662';
wwv_flow_api.g_varchar2_table(713) := '663B0D0A2020626F726465722D636F6C6F723A20236266626662663B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E612D4D656E752D2D63757272656E74203E202E612D4D';
wwv_flow_api.g_varchar2_table(714) := '656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E';
wwv_flow_api.g_varchar2_table(715) := '612D4D656E752D2D63757272656E742E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20233430343034303B0D0A2020626F726465722D63';
wwv_flow_api.g_varchar2_table(716) := '6F6C6F723A20233430343034303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D657870616E646564203E202E612D4D656E752D7375624D656E75436F6C202E612D';
wwv_flow_api.g_varchar2_table(717) := '49636F6E207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D';
wwv_flow_api.g_varchar2_table(718) := '656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D207B';
wwv_flow_api.g_varchar2_table(719) := '0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D656E752D616363656C207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E61';
wwv_flow_api.g_varchar2_table(720) := '2D4D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D526567696F6E202E612D4D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(721) := '32663266322021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D4D656E75426172203E20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E';
wwv_flow_api.g_varchar2_table(722) := '754261722D6974656D207B0D0A2020626F726465722D636F6C6F723A20236536653665363B0D0A7D0D0A2E742D526567696F6E202E612D4D656E754261722D6974656D2E69732D666F6375736564207B0D0A2020626F782D736861646F773A206E6F6E65';
wwv_flow_api.g_varchar2_table(723) := '3B0D0A7D0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D77696474683A20303B0D0A20206261636B67726F756E642D636F6C6F723A20233438353135383B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(724) := '4865616465722D757365724D656E75202E612D4D656E752D6974656D2E69732D666F63757365642C0D0A2E742D4865616465722D757365724D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(725) := '642D636F6C6F723A20233363343434612021696D706F7274616E743B0D0A7D0D0A2E742D4865616465722D757365724D656E752E612D4D656E75202E612D4D656E752D6974656D202E612D4D656E752D6C6162656C207B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(726) := '66666666663B0D0A7D0D0A2E742D4E617654616273207B0D0A20206261636B67726F756E642D636F6C6F723A20233331333733633B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A202062';
wwv_flow_api.g_varchar2_table(727) := '61636B67726F756E642D636F6C6F723A20233231323532383B0D0A2020626F782D736861646F773A20696E7365742031707820302030203020233331333733633B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D';
wwv_flow_api.g_varchar2_table(728) := '7468756D623A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233363343434613B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D747261636B207B0D0A20206261636B67726F756E643A';
wwv_flow_api.g_varchar2_table(729) := '20233331333733633B0D0A7D0D0A2E742D4E6176546162733A3A2D7765626B69742D7363726F6C6C6261722D747261636B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233533356536363B0D0A7D0D0A2E742D4E61765461';
wwv_flow_api.g_varchar2_table(730) := '62732D6974656D207B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F726465722D636F6C6F723A20233363343434613B0D0A7D0D0A2E742D4E6176546162732D6974656D3A686F7665722C0D0A2E742D4E6176546162732D6974656D2E69';
wwv_flow_api.g_varchar2_table(731) := '732D616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A20233161316432303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D4E6176546162732D6261646765207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(732) := '6F723A20236666666666663B0D0A2020636F6C6F723A20233161316432303B0D0A7D0D0A0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D636F6E74656E74207B0D0A2020626F726465722D7261646975733A2030203020';
wwv_flow_api.g_varchar2_table(733) := '327078203270783B0D0A20206261636B67726F756E642D636F6C6F723A20233033343938333B0D0A2020626F726465722D77696474683A20303B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E6973';
wwv_flow_api.g_varchar2_table(734) := '2D666F63757365642C0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E69732D657870616E646564207B0D0A20206261636B67726F756E642D636F6C6F723A20233034363462352021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(735) := '0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974656D2E69732D666F6375736564203E202E612D4D656E752D6C6162656C2C0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D69';
wwv_flow_api.g_varchar2_table(736) := '74656D2E69732D657870616E646564203E202E612D4D656E752D6C6162656C207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D4E617669676174696F6E4261722D6D656E75202E612D4D656E752D6974';
wwv_flow_api.g_varchar2_table(737) := '656D202E612D4D656E752D6C6162656C2C0D0A2E742D4E617669676174696F6E4261722D6D656E752E612D4D656E75202E612D4D656E752D6974656D20612C0D0A2E742D4E617669676174696F6E4261722D6D656E752E612D4D656E75202E612D4D656E';
wwv_flow_api.g_varchar2_table(738) := '752D6974656D202E612D4D656E752D737461747573436F6C207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A0D0A2E742D506F7075704C4F562D6C696E6B7320613A686F766572207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(739) := '6F756E642D636F6C6F723A20233035366162663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742074723A686F766572207464207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(740) := '3A20234543463246422021696D706F7274616E743B0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742074723A6E74682D6368696C6428326E29207464207B0D0A20206261636B67726F756E642D636F6C6F723A20234641464146413B';
wwv_flow_api.g_varchar2_table(741) := '0D0A7D0D0A2E742D506F7075704C4F562D726573756C74735365742D6C696E6B2C0D0A2E75692D7769646765742D636F6E74656E7420612E742D506F7075704C4F562D726573756C74735365742D6C696E6B207B0D0A2020636F6C6F723A202330353661';
wwv_flow_api.g_varchar2_table(742) := '62663B0D0A7D0D0A2E742D506167652D2D706F7075704C4F56207B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A2E742D506F7075704C4F562D616374696F6E73207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(743) := '3A20236664666466643B0D0A7D0D0A2E742D426F6479202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D506F7075704C4F562D6C696E6B7320';
wwv_flow_api.g_varchar2_table(744) := '61207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E742D506F';
wwv_flow_api.g_varchar2_table(745) := '7075704C4F562D6C696E6B7320612C0D0A2E742D427574746F6E526567696F6E202E742D506F7075704C4F562D6C696E6B732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D506F7075704C4F562D6C696E6B7320613A686F';
wwv_flow_api.g_varchar2_table(746) := '766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233036383566313B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E742D506F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(747) := '3A20233765376537653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D506F7075704C4F562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D426F64792D696E666F202E742D506F7075704C4F';
wwv_flow_api.g_varchar2_table(748) := '562D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E742D506F7075704C4F562D706167696E6174696F6E2C0D0A2E742D427574746F6E526567696F6E202E742D506F7075704C4F56';
wwv_flow_api.g_varchar2_table(749) := '2D706167696E6174696F6E207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A0D0A2E742D526567696F6E2C0D0A2E742D436F6E74656E74426C6F636B2D2D6C696768744247202E742D436F6E74656E74426C6F636B2D626F6479207B0D0A';
wwv_flow_api.g_varchar2_table(750) := '20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E6669656C64646174612062207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E6669656C6464';
wwv_flow_api.g_varchar2_table(751) := '6174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E6669656C646461';
wwv_flow_api.g_varchar2_table(752) := '746120622C0D0A2E742D427574746F6E526567696F6E202E6669656C64646174612062207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(753) := '20236666666666663B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B';
wwv_flow_api.g_varchar2_table(754) := '207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E643A207472616E73706172656E743B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(755) := '3361336133613B0D0A7D0D0A2E742D526567696F6E2D2D737461636B6564207B0D0A2020626F726465722D7261646975733A20302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F6E';
wwv_flow_api.g_varchar2_table(756) := '2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F6E2D6865616465';
wwv_flow_api.g_varchar2_table(757) := '72202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D6E6F426F72646572203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(758) := '0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(759) := '67696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7431203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(760) := '6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74312E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(761) := '3A20233330396664623B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A2020636F6C6F723A20236534';
wwv_flow_api.g_varchar2_table(762) := '663966643B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7432203E202E742D526567696F6E2D686561';
wwv_flow_api.g_varchar2_table(763) := '646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236534663966643B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74322E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D6865';
wwv_flow_api.g_varchar2_table(764) := '61646572207B0D0A2020636F6C6F723A20233133623663663B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7433203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A2023326562666263';
wwv_flow_api.g_varchar2_table(765) := '3B0D0A2020636F6C6F723A20236630666366623B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7433203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743320';
wwv_flow_api.g_varchar2_table(766) := '3E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236630666366623B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74332E742D526567696F6E2D2D74657874436F6E74656E74';
wwv_flow_api.g_varchar2_table(767) := '203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(768) := '2D636F6C6F723A20233363616638353B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D52';
wwv_flow_api.g_varchar2_table(769) := '6567696F6E2D2D616363656E7434203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74342E742D52656769';
wwv_flow_api.g_varchar2_table(770) := '6F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233363616638353B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D68656164657220';
wwv_flow_api.g_varchar2_table(771) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D686561646572202E742D42757474';
wwv_flow_api.g_varchar2_table(772) := '6F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7435203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D';
wwv_flow_api.g_varchar2_table(773) := '2D616363656E74352E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7436203E202E74';
wwv_flow_api.g_varchar2_table(774) := '2D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535333B0D0A2020636F6C6F723A20233261326130383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7436203E202E742D526567696F6E';
wwv_flow_api.g_varchar2_table(775) := '2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7436203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233261326130383B';
wwv_flow_api.g_varchar2_table(776) := '0D0A7D0D0A2E742D526567696F6E2D2D616363656E74362E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(777) := '6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D526567696F6E2D2D61636365';
wwv_flow_api.g_varchar2_table(778) := '6E7437203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7437203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020';
wwv_flow_api.g_varchar2_table(779) := '636F6C6F723A20233434333330323B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74372E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236662636534613B';
wwv_flow_api.g_varchar2_table(780) := '0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(781) := '2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7438203E202E742D526567696F6E2D686561646572202E742D427574';
wwv_flow_api.g_varchar2_table(782) := '746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74382E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020';
wwv_flow_api.g_varchar2_table(783) := '636F6C6F723A20236564383133653B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235343B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(784) := '3A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E7439203E202E742D526567696F';
wwv_flow_api.g_varchar2_table(785) := '6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E74392E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D52656769';
wwv_flow_api.g_varchar2_table(786) := '6F6E2D686561646572207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(787) := '6538356438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743130203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D61';
wwv_flow_api.g_varchar2_table(788) := '6363656E743130203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431302E742D526567696F6E2D2D7465';
wwv_flow_api.g_varchar2_table(789) := '7874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572207B0D0A2020';
wwv_flow_api.g_varchar2_table(790) := '6261636B67726F756E642D636F6C6F723A20236361353839643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D';
wwv_flow_api.g_varchar2_table(791) := '6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743131203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D6163';
wwv_flow_api.g_varchar2_table(792) := '63656E7431312E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743132203E202E742D';
wwv_flow_api.g_varchar2_table(793) := '526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A2020636F6C6F723A20236636663066383B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743132203E202E742D526567696F6E';
wwv_flow_api.g_varchar2_table(794) := '2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743132203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A2023663666306638';
wwv_flow_api.g_varchar2_table(795) := '3B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431322E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A0D0A2E742D526567';
wwv_flow_api.g_varchar2_table(796) := '696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D61';
wwv_flow_api.g_varchar2_table(797) := '6363656E743133203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743133203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B20';
wwv_flow_api.g_varchar2_table(798) := '7B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431332E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A202335';
wwv_flow_api.g_varchar2_table(799) := '61363861643B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163353B0D0A2020636F6C6F723A20233331336134';
wwv_flow_api.g_varchar2_table(800) := '343B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E743134203E202E742D526567696F6E2D68656164';
wwv_flow_api.g_varchar2_table(801) := '6572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20233331336134343B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431342E742D526567696F6E2D2D74657874436F6E74656E74203E202E742D526567696F6E2D6865';
wwv_flow_api.g_varchar2_table(802) := '61646572207B0D0A2020636F6C6F723A20236166626163353B0D0A7D0D0A0D0A2E742D526567696F6E2D2D616363656E743135203E202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539';
wwv_flow_api.g_varchar2_table(803) := '383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E743135203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6E6F55492C0D0A2E742D526567696F6E2D2D616363656E74';
wwv_flow_api.g_varchar2_table(804) := '3135203E202E742D526567696F6E2D686561646572202E742D427574746F6E2D2D6C696E6B207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E2D2D616363656E7431352E742D526567696F6E2D2D74657874436F6E';
wwv_flow_api.g_varchar2_table(805) := '74656E74203E202E742D526567696F6E2D686561646572207B0D0A2020636F6C6F723A20233665383539383B0D0A7D0D0A2E742D526567696F6E2D626F6479207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E2D2D';
wwv_flow_api.g_varchar2_table(806) := '6869646553686F772E69732D636F6C6C6170736564207B0D0A2020626F726465722D626F74746F6D2D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(807) := '67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D526567696F6E2D686561646572207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D';
wwv_flow_api.g_varchar2_table(808) := '0A7D0D0A2E742D426F64792D73696465202E742D526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D526567696F6E2C0D0A2E742D526567696F6E2D686561646572207B0D0A20';
wwv_flow_api.g_varchar2_table(809) := '20626F726465722D7261646975733A203270783B0D0A7D0D0A2E742D526567696F6E2D2D6E6F4247207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D';
wwv_flow_api.g_varchar2_table(810) := '526567696F6E207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(811) := '6C6F723A207472616E73706172656E743B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3235293B0D0A2020636F6C6F723A20234646463B0D0A';
wwv_flow_api.g_varchar2_table(812) := '7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E35293B0D0A7D0D0A2E742D526567696F6E';
wwv_flow_api.g_varchar2_table(813) := '2D2D6361726F7573656C202E612D546162732D627574746F6E3A6163746976652C0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D627574746F6E3A6163746976653A666F637573207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(814) := '6F6C6F723A207267626128302C20302C20302C20302E3735293B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D6E6578742D726567696F6E207B0D0A2020626F726465722D7261646975733A20327078203020302032';
wwv_flow_api.g_varchar2_table(815) := '70783B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D546162732D70726576696F75732D726567696F6E207B0D0A2020626F726465722D7261646975733A2030203270782032707820303B0D0A7D0D0A2E742D526567696F6E2D2D';
wwv_flow_api.g_varchar2_table(816) := '6361726F7573656C202E612D526567696F6E2D6361726F7573656C4E61764974656D2E612D546162732D73656C6563746564202E612D526567696F6E2D6361726F7573656C4C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A20726762';
wwv_flow_api.g_varchar2_table(817) := '6128302C20302C20302C20302E3435293B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4E61764974656D2E612D546162732D73656C6563746564202E612D526567696F6E2D6361726F7573';
wwv_flow_api.g_varchar2_table(818) := '656C4C696E6B3A666F637573207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D526567696F6E2D2D6361726F7573656C202E612D526567696F6E2D6361726F7573656C4C696E6B207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(819) := '6B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A0D0A2E742D5265706F72742D63656C6C2C0D0A2E742D5265706F72742D636F6C48656164';
wwv_flow_api.g_varchar2_table(820) := '207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F72742D7265706F7274207472202E742D5265706F72742D63656C6C3A6C6173742D6368696C642C0D0A2E742D5265706F72742D7265706F72';
wwv_flow_api.g_varchar2_table(821) := '74207472202E742D5265706F72742D636F6C486561643A6C6173742D6368696C64207B0D0A2020626F726465722D72696768743A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F72742D7265706F72742074723A6C617374';
wwv_flow_api.g_varchar2_table(822) := '2D6368696C64202E742D5265706F72742D63656C6C207B0D0A2020626F726465722D626F74746F6D3A2031707820736F6C696420236536653665363B0D0A7D0D0A2E742D5265706F7274202E69732D737475636B202E742D5265706F72742D636F6C4865';
wwv_flow_api.g_varchar2_table(823) := '6164207B0D0A20206261636B67726F756E642D636F6C6F723A2072676261283235352C203235352C203235352C20302E3935293B0D0A20202D7765626B69742D6261636B64726F702D66696C7465723A20626C757228347078293B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(824) := '65706F72742D2D726F77486967686C69676874202E742D5265706F72742D7265706F72742074723A686F766572202E742D5265706F72742D63656C6C2C0D0A2E742D5265706F72742D2D726F77486967686C69676874202E742D5265706F72742D726570';
wwv_flow_api.g_varchar2_table(825) := '6F72742074723A6E74682D6368696C64286F6464293A686F766572202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166612021696D706F7274616E743B0D0A7D0D0A2E742D5265706F72742D';
wwv_flow_api.g_varchar2_table(826) := '2D737461746963526F77436F6C6F7273202E742D5265706F72742D7265706F72742074723A6E74682D6368696C64286F646429202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E';
wwv_flow_api.g_varchar2_table(827) := '743B0D0A7D0D0A0D0A2E742D5265706F72742D2D616C74526F777344656661756C74202E742D5265706F72742D7265706F72742074723A6E74682D6368696C64286F646429202E742D5265706F72742D63656C6C207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(828) := '2D636F6C6F723A20236663666366633B0D0A7D0D0A0D0A2E742D5265706F72742D706167696E6174696F6E5465787420622C0D0A2E742D5265706F72742D706167696E6174696F6E5465787420613A686F766572207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(829) := '2D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D536561726368526573756C74732D64657363207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D53656172636852657375';
wwv_flow_api.g_varchar2_table(830) := '6C74732D64617465207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D536561726368526573756C74732D6D697363207B0D0A2020636F6C6F723A20233731373137313B0D0A7D0D0A2E742D526567696F6E202E742D536561726368';
wwv_flow_api.g_varchar2_table(831) := '526573756C74732D64657363207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E742D536561726368526573756C74732D64617465207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(832) := '67696F6E202E742D536561726368526573756C74732D6D697363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5374617475734C6973742D626C6F636B486561646572207B0D0A2020636F6C6F723A20233430343034303B0D0A';
wwv_flow_api.g_varchar2_table(833) := '20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D5374617475734C6973742D68656164657254657874416C742C0D0A2E742D5374617475734C6973742D617474722C0D0A2E742D5374617475734C6973742D7465';
wwv_flow_api.g_varchar2_table(834) := '787444657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D5374617475734C6973742D6974656D5469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5374617475734C6973742D2D64617465';
wwv_flow_api.g_varchar2_table(835) := '73202E742D5374617475734C6973742D6D61726B6572207B0D0A2020636F6C6F723A20233730373037303B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20234646463B0D0A7D0D0A2E74';
wwv_flow_api.g_varchar2_table(836) := '2D5374617475734C6973742D2D6461746573202E742D5374617475734C6973742D6D61726B65723A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A20234130413041303B0D0A2020626F726465722D7261646975733A2032707820';
wwv_flow_api.g_varchar2_table(837) := '327078203020303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6D61726B6572207B0D0A2020626F726465722D7261646975733A20323470783B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(838) := '6F723A20236666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D636F6D706C657465202E742D5374617475734C697374';
wwv_flow_api.g_varchar2_table(839) := '2D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233730373037303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D64616E676572202E742D53';
wwv_flow_api.g_varchar2_table(840) := '74617475734C6973742D6D61726B65722C0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6572726F72202E742D5374617475734C6973742D6D61726B6572207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(841) := '67726F756E642D636F6C6F723A20236666336233303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6F70656E202E742D5374617475734C6973742D6D61726B6572207B0D';
wwv_flow_api.g_varchar2_table(842) := '0A20206261636B67726F756E642D636F6C6F723A20233463643936343B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D7761726E696E67202E742D5374617475734C697374';
wwv_flow_api.g_varchar2_table(843) := '2D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666636330303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6E756C6C202E742D537461';
wwv_flow_api.g_varchar2_table(844) := '7475734C6973742D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20234630463046303B0D0A7D0D0A2E742D5374617475734C6973742D2D62756C6C657473202E742D5374617475734C6973742D6974656D2E69732D6E756C6C';
wwv_flow_api.g_varchar2_table(845) := '202E742D5374617475734C6973742D6D61726B6572207B0D0A2020636F6C6F723A20234130413041303B0D0A7D0D0A0D0A2E742D546162732D2D73696D706C65202E742D546162732D6974656D2E69732D616374697665202E742D546162732D6C696E6B';
wwv_flow_api.g_varchar2_table(846) := '207B0D0A2020626F782D736861646F773A2030202D3270782030202330353732636520696E7365743B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B3A666F637573207B0D0A2020626F782D736861646F773A203020';
wwv_flow_api.g_varchar2_table(847) := '30203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D546162732D2D70696C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(848) := '2E742D546162732D2D70696C6C202E742D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(849) := '742D546162732D2D70696C6C202E742D546162732D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B3A666F637573';
wwv_flow_api.g_varchar2_table(850) := '207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6C696E6B3A616374697665207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(851) := '6F723A20236666666666663B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6974656D3A66697273742D6368696C64202E742D546162732D6C696E6B207B0D0A2020626F726465722D7261646975733A203270782030203020327078';
wwv_flow_api.g_varchar2_table(852) := '3B0D0A7D0D0A2E742D546162732D2D70696C6C202E742D546162732D6974656D2E69732D616374697665202E742D546162732D6C696E6B207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D546162732D';
wwv_flow_api.g_varchar2_table(853) := '2D73696D706C65202E742D49636F6E207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D5461';
wwv_flow_api.g_varchar2_table(854) := '62732D2D73696D706C65202E742D546162732D6C696E6B3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E303235293B0D0A7D0D0A2E742D546162732D2D73696D706C65202E742D5461';
wwv_flow_api.g_varchar2_table(855) := '62732D6C696E6B3A616374697665207B0D0A20206261636B67726F756E642D636F6C6F723A207267626128302C20302C20302C20302E3135293B0D0A7D0D0A2E742D426F6479202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B20';
wwv_flow_api.g_varchar2_table(856) := '7B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D52656769';
wwv_flow_api.g_varchar2_table(857) := '6F6E202E742D546162732D2D73696D706C65202E742D546162732D6C696E6B207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A0D0A2E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(858) := '782D736861646F773A2030202D3270782030202330353732636520696E7365743B0D0A7D0D0A2E617065782D72647320613A666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D';
wwv_flow_api.g_varchar2_table(859) := '0D0A2E617065782D7264732061207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F64792D7469746C65202E617065782D7264732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E20';
wwv_flow_api.g_varchar2_table(860) := '2E617065782D7264732061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E617065782D72647320613A686F766572207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A2E617065782D726473202E617065782D7264732D';
wwv_flow_api.g_varchar2_table(861) := '73656C65637465642061207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A2E617065782D7264732D686F7665722E6C6566742061207B0D0A20206261636B67726F756E643A202D7765626B69742D6C696E6561722D6772616469656E7428';
wwv_flow_api.g_varchar2_table(862) := '6C6566742C2023666666666666203530252C2072676261283235352C203235352C203235352C2030292031303025293B0D0A20200D0A20206261636B67726F756E643A206C696E6561722D6772616469656E7428746F2072696768742C20236666666666';
wwv_flow_api.g_varchar2_table(863) := '66203530252C2072676261283235352C203235352C203235352C2030292031303025293B0D0A20200D0A7D0D0A2E617065782D7264732D686F7665722E72696768742061207B0D0A20206261636B67726F756E643A202D7765626B69742D6C696E656172';
wwv_flow_api.g_varchar2_table(864) := '2D6772616469656E74286C6566742C20236666666666662030252C2072676261283235352C203235352C203235352C2030292031252C202366666666666620353025293B0D0A20200D0A20206261636B67726F756E643A206C696E6561722D6772616469';
wwv_flow_api.g_varchar2_table(865) := '656E7428746F2072696768742C20236666666666662030252C2072676261283235352C203235352C203235352C2030292031252C202366666666666620353025293B0D0A20200D0A7D0D0A0D0A2E766572746963616C2D726473202E617065782D726473';
wwv_flow_api.g_varchar2_table(866) := '202E617065782D7264732D73656C6563746564207370616E2C0D0A2E742D426F64792D73696465202E617065782D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F782D736861646F773A20347078203020302023';
wwv_flow_api.g_varchar2_table(867) := '30353732636520696E7365743B0D0A7D0D0A2E752D52544C202E766572746963616C2D726473202E617065782D726473202E617065782D7264732D73656C6563746564207370616E2C0D0A2E752D52544C202E742D426F64792D73696465202E61706578';
wwv_flow_api.g_varchar2_table(868) := '2D726473202E617065782D7264732D73656C6563746564207370616E207B0D0A2020626F782D736861646F773A202D34707820302030202330353732636520696E7365743B0D0A7D0D0A0D0A2E612D546167436C6F75642D6C696E6B207B0D0A2020626F';
wwv_flow_api.g_varchar2_table(869) := '726465722D636F6C6F723A20236632663266323B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E643A20236661666166613B0D0A20207472616E736974696F6E3A206261636B67726F756E642D636F6C6F7220';
wwv_flow_api.g_varchar2_table(870) := '302E32732C20626F726465722D636F6C6F7220302E32732C20626F782D736861646F7720302E32732C20636F6C6F7220302E32733B0D0A2020636F6C6F723A20233035363762613B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B207370616E207B';
wwv_flow_api.g_varchar2_table(871) := '0D0A20207472616E736974696F6E3A20636F6C6F72202E32733B0D0A7D0D0A2E612D546167436C6F75642D6C696E6B3A686F766572207B0D0A2020746578742D6465636F726174696F6E3A206E6F6E653B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(872) := '723A20233035373263653B0D0A2020626F726465722D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A2020626F782D736861646F773A20302030203020327078202330353732636520696E7365743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(873) := '0A2E612D546167436C6F75642D6C696E6B3A686F766572207370616E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E612D546167436C6F75642D636F756E74207B0D0A2020636F6C6F723A20233636363636363B0D0A2020666F6E74';
wwv_flow_api.g_varchar2_table(874) := '2D7765696768743A203530303B0D0A7D0D0A2E742D54696D656C696E65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D54696D656C696E652D757365726E616D652C0D0A2E742D54696D656C696E652D646174652C0D0A2E742D';
wwv_flow_api.g_varchar2_table(875) := '54696D656C696E652D64657363207B0D0A2020636F6C6F723A20233733373337333B0D0A7D0D0A2E742D54696D656C696E652D77726170207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D54696D656C696E652D74797065207B0D';
wwv_flow_api.g_varchar2_table(876) := '0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D6E6577207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(877) := '233362616132633B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D75706461746564207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(878) := '4646463B0D0A7D0D0A2E742D54696D656C696E652D747970652E69732D72656D6F766564207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333363B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D54696D656C696E65';
wwv_flow_api.g_varchar2_table(879) := '2D777261703A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A7D0D0A406D6564696120286D696E2D77696474683A203736397078';
wwv_flow_api.g_varchar2_table(880) := '29207B0D0A20202E742D426F64792D6E6176207B0D0A202020206261636B67726F756E642D636F6C6F723A20233331333733633B0D0A20207D0D0A7D0D0A2E742D547265654E6176207B0D0A20206261636B67726F756E642D636F6C6F723A2023333133';
wwv_flow_api.g_varchar2_table(881) := '3733633B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D7468756D62207B0D0A20206261636B67726F756E642D636F6C6F723A20233231323532383B0D0A';
wwv_flow_api.g_varchar2_table(882) := '2020626F782D736861646F773A20696E7365742031707820302030203020233331333733633B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D7468756D62';
wwv_flow_api.g_varchar2_table(883) := '3A686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233363343434613B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D747261636B';
wwv_flow_api.g_varchar2_table(884) := '207B0D0A20206261636B67726F756E643A20233331333733633B0D0A7D0D0A2E742D50616765426F64792D2D6C6566744E6176202E742D426F64792D6E61763A3A2D7765626B69742D7363726F6C6C6261722D747261636B3A686F766572207B0D0A2020';
wwv_flow_api.g_varchar2_table(885) := '6261636B67726F756E642D636F6C6F723A20233533356536363B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D';
wwv_flow_api.g_varchar2_table(886) := '726F772E69732D666F6375736564207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(887) := '67696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E61';
wwv_flow_api.g_varchar2_table(888) := '2D54726565566965772D726F772E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742D2D746F702E69732D';
wwv_flow_api.g_varchar2_table(889) := '73656C6563746564207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E6973';
wwv_flow_api.g_varchar2_table(890) := '2D63757272656E742D2D746F702C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772C0D0A2E742D526567696F6E202E61';
wwv_flow_api.g_varchar2_table(891) := '2D54726565566965772D6E6F64652D2D746F704C6576656C20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C';
wwv_flow_api.g_varchar2_table(892) := '202E612D54726565566965772D726F772E69732D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236630663066302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D';
wwv_flow_api.g_varchar2_table(893) := '2D746F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C652C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F';
wwv_flow_api.g_varchar2_table(894) := '6C6C61707369626C65202E612D54726565566965772D746F67676C65207B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F70';
wwv_flow_api.g_varchar2_table(895) := '4C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C653A686F7665722C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D';
wwv_flow_api.g_varchar2_table(896) := '636F6C6C61707369626C65202E612D54726565566965772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D';
wwv_flow_api.g_varchar2_table(897) := '2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64';
wwv_flow_api.g_varchar2_table(898) := '652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D547265';
wwv_flow_api.g_varchar2_table(899) := '65566965772D636F6E74656E74202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E207B0D0A2020636F6C6F723A20726762';
wwv_flow_api.g_varchar2_table(900) := '612836342C2036342C2036342C20302E3935293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E66613A6265666F72652C0D0A2E742D5265';
wwv_flow_api.g_varchar2_table(901) := '67696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E3A6265666F7265207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E742D526567696F';
wwv_flow_api.g_varchar2_table(902) := '6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C';
wwv_flow_api.g_varchar2_table(903) := '202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E66612C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E';
wwv_flow_api.g_varchar2_table(904) := '69732D686F766572202E612D49636F6E2C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E612D49636F6E20';
wwv_flow_api.g_varchar2_table(905) := '7B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D6C6162656C207B0D0A2020636F6C6F723A20696E68657269743B';
wwv_flow_api.g_varchar2_table(906) := '0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64';
wwv_flow_api.g_varchar2_table(907) := '652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E7465';
wwv_flow_api.g_varchar2_table(908) := '6E742E69732D63757272656E742D2D746F70207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D746F67676C6520';
wwv_flow_api.g_varchar2_table(909) := '7B0D0A2020636F6C6F723A20726762612836342C2036342C2036342C20302E3735293B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D746F67676C653A686F7665';
wwv_flow_api.g_varchar2_table(910) := '72207B0D0A2020636F6C6F723A20233430343034302021696D706F7274616E743B0D0A7D0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D5472656556';
wwv_flow_api.g_varchar2_table(911) := '6965772D726F772E69732D73656C65637465642C0D0A2E742D526567696F6E202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772E69732D666F637573';
wwv_flow_api.g_varchar2_table(912) := '6564207B0D0A20206261636B67726F756E642D636F6C6F723A20236637663766373B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D666F6375';
wwv_flow_api.g_varchar2_table(913) := '736564207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365743B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A7D0D0A2E742D547265654E6176202E612D5472';
wwv_flow_api.g_varchar2_table(914) := '6565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D5472656556696577';
wwv_flow_api.g_varchar2_table(915) := '2D726F772E69732D73656C65637465642C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E742D2D746F702E69732D73656C6563746564';
wwv_flow_api.g_varchar2_table(916) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20233231323532383B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D726F772E69732D63757272656E';
wwv_flow_api.g_varchar2_table(917) := '742D2D746F702C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65203E202E612D54726565566965772D726F772C0D0A2E742D547265654E6176202E612D54726565';
wwv_flow_api.g_varchar2_table(918) := '566965772D6E6F64652D2D746F704C6576656C20756C207B0D0A20206261636B67726F756E642D636F6C6F723A20233161316432303B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D';
wwv_flow_api.g_varchar2_table(919) := '54726565566965772D726F772E69732D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233238326433312021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F';
wwv_flow_api.g_varchar2_table(920) := '704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C652C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C';
wwv_flow_api.g_varchar2_table(921) := '61707369626C65202E612D54726565566965772D746F67676C65207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D74';
wwv_flow_api.g_varchar2_table(922) := '6F704C6576656C202E612D54726565566965772D726F772E69732D686F766572202B202E612D54726565566965772D746F67676C653A686F7665722C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E';
wwv_flow_api.g_varchar2_table(923) := '69732D636F6C6C61707369626C65202E612D54726565566965772D746F67676C653A686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E';
wwv_flow_api.g_varchar2_table(924) := '6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965';
wwv_flow_api.g_varchar2_table(925) := '772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C20';
wwv_flow_api.g_varchar2_table(926) := '2E612D54726565566965772D636F6E74656E74202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E207B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(927) := '6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E66613A6265666F72652C0D0A2E742D547265654E6176202E';
wwv_flow_api.g_varchar2_table(928) := '612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E74202E612D49636F6E3A6265666F7265207B0D0A2020636F6C6F723A20696E68657269743B0D0A7D0D0A2E742D547265654E6176202E612D';
wwv_flow_api.g_varchar2_table(929) := '54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D686F766572202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D';
wwv_flow_api.g_varchar2_table(930) := '54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D';
wwv_flow_api.g_varchar2_table(931) := '686F766572202E612D49636F6E2C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742D2D746F70202E612D49636F6E207B0D';
wwv_flow_api.g_varchar2_table(932) := '0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D6C6162656C207B0D0A2020636F6C6F723A20696E68657269743B0D';
wwv_flow_api.g_varchar2_table(933) := '0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D63757272656E742C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F';
wwv_flow_api.g_varchar2_table(934) := '64652D2D746F704C6576656C202E612D54726565566965772D636F6E74656E742E69732D73656C65637465642C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D636F6E';
wwv_flow_api.g_varchar2_table(935) := '74656E742E69732D63757272656E742D2D746F70207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D746F6767';
wwv_flow_api.g_varchar2_table(936) := '6C65207B0D0A2020636F6C6F723A2072676261283235352C203235352C203235352C20302E3735293B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C202E612D54726565566965772D746F6767';
wwv_flow_api.g_varchar2_table(937) := '6C653A686F766572207B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E61';
wwv_flow_api.g_varchar2_table(938) := '2D54726565566965772D636F6E74656E74202E66612C0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D636F6E74656E74202E612D';
wwv_flow_api.g_varchar2_table(939) := '49636F6E207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C2E69732D636F6C6C61707369626C65202E612D54726565566965772D636F6E7465';
wwv_flow_api.g_varchar2_table(940) := '6E74207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E6A732D6E6176436F6C6C6170736564202E742D547265654E6176202E612D54726565566965772D6E6F64652D2D746F704C6576656C203E202E612D54726565566965772D636F6E';
wwv_flow_api.g_varchar2_table(941) := '74656E74202E612D54726565566965772D6C6162656C202E612D54726565566965772D6261646765207B0D0A20206261636B67726F756E643A20233066313031323B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D547265654E6176';
wwv_flow_api.g_varchar2_table(942) := '202E612D54726565566965772D6261646765207B0D0A2020626F782D736861646F773A203020302030203170782072676261283235352C203235352C203235352C20302E31293B0D0A2020666F6E742D7765696768743A203430303B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(943) := '547265654E6176202E612D54726565566965772D636F6E74656E742E69732D63757272656E74202E612D54726565566965772D6C6162656C2C0D0A2E742D547265654E6176202E612D54726565566965772D636F6E74656E742E69732D63757272656E74';
wwv_flow_api.g_varchar2_table(944) := '2D2D746F70202E612D54726565566965772D6C6162656C207B0D0A2020666F6E742D7765696768743A203530303B0D0A7D0D0A0D0A2E742D56616C69646174696F6E2D64617465207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(945) := '56616C69646174696F6E2D75736572207B0D0A2020636F6C6F723A20233539353935393B0D0A7D0D0A2E742D426F64792D616374696F6E73202E742D56616C69646174696F6E2D64617465207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D';
wwv_flow_api.g_varchar2_table(946) := '0A2E742D426F64792D616374696F6E73202E742D56616C69646174696F6E2D75736572207B0D0A2020636F6C6F723A20233533353335333B0D0A7D0D0A0D0A2E742D4469616C6F672D706167652D2D77697A617264207B0D0A2020626F726465723A2023';
wwv_flow_api.g_varchar2_table(947) := '6536653665363B0D0A7D0D0A2E742D57697A617264207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D7261646975733A203270783B0D0A2020626F726465722D636F6C6F723A20236536653665';
wwv_flow_api.g_varchar2_table(948) := '363B0D0A7D0D0A2E742D57697A617264202E742D57697A6172642D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D57697A617264202E742D57697A6172642D686561646572207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(949) := '2D636F6C6F723A20236661666166613B0D0A2020626F726465722D636F6C6F723A20236564656465643B0D0A7D0D0A2E742D57697A61726453746570732D777261703A6166746572207B0D0A20206261636B67726F756E642D636F6C6F723A2023653665';
wwv_flow_api.g_varchar2_table(950) := '3665363B0D0A7D0D0A2E742D57697A61726453746570732D73746570202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236363636363633B0D0A7D0D0A2E742D57697A61726453746570';
wwv_flow_api.g_varchar2_table(951) := '732D737465702E69732D636F6D706C657465202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132633B0D0A2020636F6C6F723A20234646463B0D0A7D0D0A2E742D57697A61';
wwv_flow_api.g_varchar2_table(952) := '726453746570732D737465702E69732D616374697665202E742D57697A61726453746570732D6D61726B6572207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A7D0D0A2E742D57697A61726453746570732D6C616265';
wwv_flow_api.g_varchar2_table(953) := '6C207B0D0A2020636F6C6F723A20233636363636363B0D0A7D0D0A2E742D57697A61726453746570732D737465702E69732D616374697665202E742D57697A61726453746570732D6C6162656C207B0D0A2020636F6C6F723A20233430343034303B0D0A';
wwv_flow_api.g_varchar2_table(954) := '7D0D0A0D0A2E75692D776964676574207B0D0A2020666F6E742D66616D696C793A202748656C766574696361204E657565272C20275365676F65205549272C2048656C7665746963612C20417269616C2C2073616E732D73657269663B0D0A2020666F6E';
wwv_flow_api.g_varchar2_table(955) := '742D73697A653A20313270783B0D0A7D0D0A2E75692D776964676574202E75692D776964676574207B0D0A2020666F6E742D73697A653A20313270783B0D0A7D0D0A0D0A626F6479202E75692D7769646765742D636F6E74656E74207B0D0A2020626F72';
wwv_flow_api.g_varchar2_table(956) := '6465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D7769646765742D636F6E74656E742061207B';
wwv_flow_api.g_varchar2_table(957) := '0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A626F6479202E75692D7769646765742D686561646572207B0D0A2020626F726465722D636F6C6F723A20236562656265623B0D0A20206261636B67726F756E642D636F6C6F723A2023666666';
wwv_flow_api.g_varchar2_table(958) := '6666663B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A626F6479202E75692D7769646765742D6865616465722061207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A0D0A626F6479202E75692D73746174652D6465666175';
wwv_flow_api.g_varchar2_table(959) := '6C742C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D64656661756C742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D64656661756C74207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(960) := '726F756E642D636F6C6F723A20236638663866383B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D73746174652D64656661756C7420612C0D0A626F6479202E75692D73746174652D64656661756C7420613A6C696E';
wwv_flow_api.g_varchar2_table(961) := '6B2C0D0A626F6479202E75692D73746174652D64656661756C7420613A766973697465642C0D0A626F6479202E75692D73746174652D61637469766520612C0D0A626F6479202E75692D73746174652D61637469766520613A6C696E6B2C0D0A626F6479';
wwv_flow_api.g_varchar2_table(962) := '202E75692D73746174652D61637469766520613A76697369746564207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A626F6479202E75692D73746174652D686F7665722C0D0A626F6479202E75692D7769646765742D636F6E74656E7420';
wwv_flow_api.g_varchar2_table(963) := '2E75692D73746174652D686F7665722C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(964) := '3338333833383B0D0A7D0D0A626F6479202E75692D73746174652D666F6375732C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D666F6375732C0D0A626F6479202E75692D7769646765742D68656164657220';
wwv_flow_api.g_varchar2_table(965) := '2E75692D73746174652D666F637573207B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C203020302031707820327078207267626128352C203131342C203230362C20302E3235292021696D706F72';
wwv_flow_api.g_varchar2_table(966) := '74616E743B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D627574746F6E';
wwv_flow_api.g_varchar2_table(967) := '70616E6520627574746F6E3A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C203020302031707820327078207267626128352C203131';
wwv_flow_api.g_varchar2_table(968) := '342C203230362C20302E3235292021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D73746174652D686F76657220612C0D0A626F6479202E75692D73746174652D686F76657220613A686F7665722C0D0A626F6479202E75692D7374617465';
wwv_flow_api.g_varchar2_table(969) := '2D686F76657220613A6C696E6B2C0D0A626F6479202E75692D73746174652D686F76657220613A766973697465642C0D0A626F6479202E75692D73746174652D666F63757320612C0D0A626F6479202E75692D73746174652D666F63757320613A686F76';
wwv_flow_api.g_varchar2_table(970) := '65722C0D0A626F6479202E75692D73746174652D666F63757320613A6C696E6B2C0D0A626F6479202E75692D73746174652D666F63757320613A76697369746564207B0D0A2020636F6C6F723A20233035366162663B0D0A7D0D0A626F6479202E75692D';
wwv_flow_api.g_varchar2_table(971) := '73746174652D6163746976652C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6163746976652C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D616374697665207B0D';
wwv_flow_api.g_varchar2_table(972) := '0A20206261636B67726F756E642D636F6C6F723A20236465646564653B0D0A2020636F6C6F723A20233338333833383B0D0A7D0D0A0D0A626F6479202E75692D73746174652D686967686C696768742C0D0A626F6479202E75692D7769646765742D636F';
wwv_flow_api.g_varchar2_table(973) := '6E74656E74202E75692D73746174652D686967686C696768742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236434656266';
wwv_flow_api.g_varchar2_table(974) := '653B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D73746174652D686967686C6967687420612C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D686967686C696768742061';
wwv_flow_api.g_varchar2_table(975) := '2C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D686967686C696768742061207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D73746174652D6572726F722C0D0A626F6479';
wwv_flow_api.g_varchar2_table(976) := '202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F722C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F72207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(977) := '236634343333363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A626F6479202E75692D73746174652D6572726F7220612C0D0A626F6479202E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F7220612C0D';
wwv_flow_api.g_varchar2_table(978) := '0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F722061207B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A626F6479202E75692D73746174652D6572726F722D746578742C0D0A626F647920';
wwv_flow_api.g_varchar2_table(979) := '2E75692D7769646765742D636F6E74656E74202E75692D73746174652D6572726F722D746578742C0D0A626F6479202E75692D7769646765742D686561646572202E75692D73746174652D6572726F722D74657874207B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(980) := '34343333363B0D0A7D0D0A0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C742C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C';
wwv_flow_api.g_varchar2_table(981) := '74207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D6465';
wwv_flow_api.g_varchar2_table(982) := '6661756C742E75692D73746174652D6163746976652C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D616374697665207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(983) := '6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A2020666F6E742D7765696768743A20626F6C643B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661';
wwv_flow_api.g_varchar2_table(984) := '756C742E75692D73746174652D6163746976652E75692D73746174652D686F7665722C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D6163746976652E75692D7374';
wwv_flow_api.g_varchar2_table(985) := '6174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C';
wwv_flow_api.g_varchar2_table(986) := '742E75692D73746174652D686F7665722C0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D686F766572207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(987) := '6632663266322021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C743A666F6375732C0D0A626F6479202E75692D646174657069636B65722074642061';
wwv_flow_api.g_varchar2_table(988) := '2E75692D73746174652D64656661756C743A666F637573207B0D0A20206F75746C696E653A206E6F6E653B0D0A2020626F782D736861646F773A20302030203020317078202330353732636520696E7365742C2030203020317078203270782072676261';
wwv_flow_api.g_varchar2_table(989) := '28352C203131342C203230362C20302E3235292021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D646174657069636B6572207464207370616E2E75692D73746174652D64656661756C742E75692D73746174652D686967686C696768742C';
wwv_flow_api.g_varchar2_table(990) := '0D0A626F6479202E75692D646174657069636B657220746420612E75692D73746174652D64656661756C742E75692D73746174652D686967686C69676874207B0D0A20206261636B67726F756E642D636F6C6F723A20236562656265623B0D0A7D0D0A62';
wwv_flow_api.g_varchar2_table(991) := '6F6479202E75692D646174657069636B6572207468207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D6865616465722C0D0A626F6479202E75692D';
wwv_flow_api.g_varchar2_table(992) := '646174657069636B6572202E75692D646174657069636B65722D627574746F6E70616E6520627574746F6E2C0D0A626F6479202E75692D646174657069636B6572202E75692D646174657069636B65722D6E6578742C0D0A626F6479202E75692D646174';
wwv_flow_api.g_varchar2_table(993) := '657069636B6572202E75692D646174657069636B65722D70726576207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D7469746C65626172207B0D0A2020';
wwv_flow_api.g_varchar2_table(994) := '6261636B67726F756E642D636F6C6F723A20236666666666663B0D0A2020626F726465722D626F74746F6D3A2031707820736F6C6964207267626128302C20302C20302C20302E3035293B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D';
wwv_flow_api.g_varchar2_table(995) := '6469616C6F672D7469746C65207B0D0A2020636F6C6F723A20233236323632363B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D636F6E74656E742C0D0A2E742D4469616C6F672D70616765207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(996) := '726F756E642D636F6C6F723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469616C6F672C0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469';
wwv_flow_api.g_varchar2_table(997) := '616C6F67202E75692D6469616C6F672D7469746C656261722C0D0A2E742D4469616C6F672D2D77697A61726420626F6479202E75692D6469616C6F67202E75692D6469616C6F672D636F6E74656E74207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(998) := '723A20236666666666663B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D4469616C6F672D2D77697A6172642E75692D6469616C6F67202E75692D6469616C6F672D7469746C65207B0D0A2020636F6C6F723A20233430343034303B';
wwv_flow_api.g_varchar2_table(999) := '0D0A7D0D0A0D0A626F6479202E75692D636F726E65722D616C6C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D746F702C0D0A626F6479202E75692D636F726E65722D6C6566742C0D';
wwv_flow_api.g_varchar2_table(1000) := '0A626F6479202E75692D636F726E65722D746C207B0D0A2020626F726465722D746F702D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D746F702C0D0A626F6479202E75692D636F726E65722D72696768';
wwv_flow_api.g_varchar2_table(1001) := '742C0D0A626F6479202E75692D636F726E65722D7472207B0D0A2020626F726465722D746F702D72696768742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D636F726E';
wwv_flow_api.g_varchar2_table(1002) := '65722D6C6566742C0D0A626F6479202E75692D636F726E65722D626C207B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D636F726E65722D626F74746F6D2C0D0A626F647920';
wwv_flow_api.g_varchar2_table(1003) := '2E75692D636F726E65722D72696768742C0D0A626F6479202E75692D636F726E65722D6272207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203270783B0D0A7D0D0A0D0A626F6479202E75692D627574746F6E2E7569';
wwv_flow_api.g_varchar2_table(1004) := '2D636F726E65722D616C6C207B0D0A2020626F726465722D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D746F702C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6C';
wwv_flow_api.g_varchar2_table(1005) := '6566742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D746C207B0D0A2020626F726465722D746F702D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D74';
wwv_flow_api.g_varchar2_table(1006) := '6F702C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D72696768742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D7472207B0D0A2020626F726465722D746F702D72696768742D7261646975733A203270';
wwv_flow_api.g_varchar2_table(1007) := '783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6C6566742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E6572';
wwv_flow_api.g_varchar2_table(1008) := '2D626C207B0D0A2020626F726465722D626F74746F6D2D6C6566742D7261646975733A203270783B0D0A7D0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D626F74746F6D2C0D0A626F6479202E75692D627574746F6E2E75692D63';
wwv_flow_api.g_varchar2_table(1009) := '6F726E65722D72696768742C0D0A626F6479202E75692D627574746F6E2E75692D636F726E65722D6272207B0D0A2020626F726465722D626F74746F6D2D72696768742D7261646975733A203270783B0D0A7D0D0A0D0A2E752D7761726E696E67207B0D';
wwv_flow_api.g_varchar2_table(1010) := '0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E752D7761726E696E672D74657874207B0D0A2020636F6C6F723A202366626365346120';
wwv_flow_api.g_varchar2_table(1011) := '21696D706F7274616E743B0D0A7D0D0A2E752D7761726E696E672D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D7761726E696E672D626F72646572207B0D0A2020';
wwv_flow_api.g_varchar2_table(1012) := '626F726465722D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A7D0D0A0D0A2E752D73756363657373207B0D0A20206261636B67726F756E642D636F6C6F723A20233362616132632021696D706F7274616E743B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(1013) := '6F723A20236666666666663B0D0A7D0D0A2E752D737563636573732D74657874207B0D0A2020636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A2E752D737563636573732D6267207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1014) := '6F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A2E752D737563636573732D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233362616132632021696D706F7274616E743B0D0A7D0D0A0D0A2E752D64616E67';
wwv_flow_api.g_varchar2_table(1015) := '6572207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D64616E6765722D74657874207B0D0A2020636F6C6F723A2023663434';
wwv_flow_api.g_varchar2_table(1016) := '3333362021696D706F7274616E743B0D0A7D0D0A2E752D64616E6765722D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A2E752D64616E6765722D626F72646572207B0D0A';
wwv_flow_api.g_varchar2_table(1017) := '2020626F726465722D636F6C6F723A20236634343333362021696D706F7274616E743B0D0A7D0D0A0D0A2E752D696E666F207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1018) := '723A20236666666666663B0D0A7D0D0A2E752D696E666F2D74657874207B0D0A2020636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D696E666F2D6267207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1019) := '3035373263652021696D706F7274616E743B0D0A7D0D0A2E752D696E666F2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A0D0A2E752D686F74207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(1020) := '726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D686F742D74657874207B0D0A2020636F6C6F723A20233035373263652021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1021) := '0A7D0D0A2E752D686F742D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263652021696D706F7274616E743B0D0A7D0D0A2E752D686F742D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233035373263';
wwv_flow_api.g_varchar2_table(1022) := '652021696D706F7274616E743B0D0A7D0D0A0D0A2E752D6E6F726D616C207B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466642021696D706F7274616E743B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E752D6E';
wwv_flow_api.g_varchar2_table(1023) := '6F726D616C2D74657874207B0D0A2020636F6C6F723A20233365336533652021696D706F7274616E743B0D0A7D0D0A2E752D6E6F726D616C2D6267207B0D0A20206261636B67726F756E642D636F6C6F723A20233365336533652021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1024) := '743B0D0A7D0D0A2E752D6E6F726D616C2D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233365336533652021696D706F7274616E743B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D7469746C6562';
wwv_flow_api.g_varchar2_table(1025) := '61722D636C6F7365207B0D0A2020626F726465722D7261646975733A20313030253B0D0A7D0D0A626F6479202E75692D6469616C6F67202E75692D6469616C6F672D627574746F6E70616E65207B0D0A2020626F726465722D746F702D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1026) := '236562656265623B0D0A7D0D0A2E742D426F6479207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F6479202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236534653465343B0D0A2020626F726465722D';
wwv_flow_api.g_varchar2_table(1027) := '7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236664666466643B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(1028) := '426F6479202E612D4D696E6943616C2D6461794F665765656B207B0D0A2020636F6C6F723A20233765376537653B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A2023663766376637';
wwv_flow_api.g_varchar2_table(1029) := '3B0D0A2020636F6C6F723A20233365336533653B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A2023303537';
wwv_flow_api.g_varchar2_table(1030) := '3263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1031) := '236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236638663866383B0D0A7D';
wwv_flow_api.g_varchar2_table(1032) := '0D0A2E742D426F6479202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236633663366333B0D0A7D0D0A2E742D526567696F6E207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D';
wwv_flow_api.g_varchar2_table(1033) := '526567696F6E202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236666666666';
wwv_flow_api.g_varchar2_table(1034) := '663B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461794F665765656B207B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1035) := '3A20233830383038303B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D526567696F6E';
wwv_flow_api.g_varchar2_table(1036) := '202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E742D52';
wwv_flow_api.g_varchar2_table(1037) := '6567696F6E202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D';
wwv_flow_api.g_varchar2_table(1038) := '0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A2E742D526567696F6E202E612D4D696E6943616C2D6461792E69';
wwv_flow_api.g_varchar2_table(1039) := '732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A2E742D426F64792D616374696F6E73207B0D0A20200D0A20200D0A20200D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E69';
wwv_flow_api.g_varchar2_table(1040) := '43616C207B0D0A2020626F726465723A2031707820736F6C696420236530653065303B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F723A20236639663966393B0D0A7D0D0A2E742D426F6479';
wwv_flow_api.g_varchar2_table(1041) := '2D616374696F6E73202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461794F665765656B207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1042) := '233761376137613B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236633663366333B0D0A2020636F6C6F723A20233361336133613B0D0A7D0D0A2E742D426F';
wwv_flow_api.g_varchar2_table(1043) := '64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F723A2023666666666666';
wwv_flow_api.g_varchar2_table(1044) := '3B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1045) := '6C6F723A20233434333330323B0D0A7D0D0A2E742D426F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236634663466343B0D0A7D0D0A2E742D42';
wwv_flow_api.g_varchar2_table(1046) := '6F64792D616374696F6E73202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236566656665663B0D0A7D0D0A2E742D426F64792D696E666F207B0D0A20200D0A20200D0A20200D0A7D';
wwv_flow_api.g_varchar2_table(1047) := '0D0A2E742D426F64792D696E666F202E612D4D696E6943616C207B0D0A2020626F726465723A2031707820736F6C696420236536653665363B0D0A2020626F726465722D7261646975733A203270783B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1048) := '3A20236666666666663B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D7469746C65207B0D0A2020636F6C6F723A20233430343034303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461794F6657';
wwv_flow_api.g_varchar2_table(1049) := '65656B207B0D0A2020636F6C6F723A20233830383038303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D646179207B0D0A2020626F726465722D636F6C6F723A20236639663966393B0D0A2020636F6C6F723A202334303430';
wwv_flow_api.g_varchar2_table(1050) := '34303B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D746F646179202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A20233035373263653B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1051) := '723A20236666666666663B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D616374697665202E612D4D696E6943616C2D64617465207B0D0A20206261636B67726F756E642D636F6C6F723A2023666263653461';
wwv_flow_api.g_varchar2_table(1052) := '3B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D7765656B656E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236661666166613B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1053) := '2E742D426F64792D696E666F202E612D4D696E6943616C2D6461792E69732D6E756C6C207B0D0A20206261636B67726F756E642D636F6C6F723A20236635663566353B0D0A7D0D0A0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E';
wwv_flow_api.g_varchar2_table(1054) := '202B203129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664623B0D0A202066696C6C3A20233330396664623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1055) := '3A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(1056) := '642D636F6C6F723A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129';
wwv_flow_api.g_varchar2_table(1057) := '202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1058) := '74682D6368696C642834356E202B203129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233330396664623B0D0A20207374726F6B653A20233330396664623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1059) := '74682D6368696C642834356E202B203229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A202066696C6C3A20233133623663663B0D0A2020636F6C6F723A20236534663966643B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1060) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D6261636B67726F756E64207B0D';
wwv_flow_api.g_varchar2_table(1061) := '0A20206261636B67726F756E642D636F6C6F723A20233133623663663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1062) := '696C642834356E202B203229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233133623663663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D62642C0D0A2E75';
wwv_flow_api.g_varchar2_table(1063) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B203229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233133623663663B0D0A20207374726F6B653A20233133623663663B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1064) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662633B0D0A202066696C6C3A20233265626662633B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1065) := '6630666366623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1066) := '61636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1067) := '7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233265626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D63';
wwv_flow_api.g_varchar2_table(1068) := '6F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233265626662633B0D0A20207374726F6B653A20233265';
wwv_flow_api.g_varchar2_table(1069) := '626662633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638353B0D0A202066696C6C3A20233363616638353B';
wwv_flow_api.g_varchar2_table(1070) := '0D0A2020636F6C6F723A20236630666166363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2034';
wwv_flow_api.g_varchar2_table(1071) := '29202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D74';
wwv_flow_api.g_varchar2_table(1072) := '78742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1073) := '356E202B203429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233363616638353B0D0A20';
wwv_flow_api.g_varchar2_table(1074) := '207374726F6B653A20233363616638353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A20206669';
wwv_flow_api.g_varchar2_table(1075) := '6C6C3A20233831626235663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1076) := '68696C642834356E202B203529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2035';
wwv_flow_api.g_varchar2_table(1077) := '29202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E20';
wwv_flow_api.g_varchar2_table(1078) := '3A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1079) := '20233831626235663B0D0A20207374726F6B653A20233831626235663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A202364';
wwv_flow_api.g_varchar2_table(1080) := '64646535333B0D0A202066696C6C3A20236464646535333B0D0A2020636F6C6F723A20233261326130383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D62672C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1081) := '6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1082) := '68696C642834356E202B203629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236464646535333B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1083) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203629202E752D636F6C6F722D626F72646572207B0D0A202062';
wwv_flow_api.g_varchar2_table(1084) := '6F726465722D636F6C6F723A20236464646535333B0D0A20207374726F6B653A20236464646535333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F72207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1085) := '6E642D636F6C6F723A20236662636534613B0D0A202066696C6C3A20236662636534613B0D0A2020636F6C6F723A20233434333330323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1086) := '2D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534613B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1087) := '6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1088) := '6662636534613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203729202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1089) := '6F72646572207B0D0A2020626F726465722D636F6C6F723A20236662636534613B0D0A20207374726F6B653A20236662636534613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F72207B';
wwv_flow_api.g_varchar2_table(1090) := '0D0A20206261636B67726F756E642D636F6C6F723A20236564383133653B0D0A202066696C6C3A20236564383133653B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1091) := '203829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023656438313365';
wwv_flow_api.g_varchar2_table(1092) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D74657874207B';
wwv_flow_api.g_varchar2_table(1093) := '0D0A2020636F6C6F723A20236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2038';
wwv_flow_api.g_varchar2_table(1094) := '29202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564383133653B0D0A20207374726F6B653A20236564383133653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2039';
wwv_flow_api.g_varchar2_table(1095) := '29202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235343B0D0A202066696C6C3A20236539356235343B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E7468';
wwv_flow_api.g_varchar2_table(1096) := '2D6368696C642834356E202B203929202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1097) := '6C6F723A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D';
wwv_flow_api.g_varchar2_table(1098) := '636F6C6F722D74657874207B0D0A2020636F6C6F723A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B203929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1099) := '68696C642834356E202B203929202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236539356235343B0D0A20207374726F6B653A20236539356235343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1100) := '68696C642834356E202B20313029202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438383B0D0A202066696C6C3A20236538356438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D';
wwv_flow_api.g_varchar2_table(1101) := '636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D6261636B67726F756E64207B0D0A';
wwv_flow_api.g_varchar2_table(1102) := '20206261636B67726F756E642D636F6C6F723A20236538356438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1103) := '696C642834356E202B20313029202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236538356438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D62642C0D0A';
wwv_flow_api.g_varchar2_table(1104) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236538356438383B0D0A20207374726F6B653A20236538356438383B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1105) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A202066696C6C3A20236361353839643B0D0A2020636F6C6F';
wwv_flow_api.g_varchar2_table(1106) := '723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D63';
wwv_flow_api.g_varchar2_table(1107) := '6F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D7478742C0D0A';
wwv_flow_api.g_varchar2_table(1108) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1109) := '20313129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236361353839643B0D0A202073';
wwv_flow_api.g_varchar2_table(1110) := '74726F6B653A20236361353839643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A202066696C';
wwv_flow_api.g_varchar2_table(1111) := '6C3A20233835346539623B0D0A2020636F6C6F723A20236636663066383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1112) := '68696C642834356E202B20313229202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1113) := '313229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1114) := '203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D63';
wwv_flow_api.g_varchar2_table(1115) := '6F6C6F723A20233835346539623B0D0A20207374726F6B653A20233835346539623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C';
wwv_flow_api.g_varchar2_table(1116) := '6F723A20233561363861643B0D0A202066696C6C3A20233561363861643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D62672C0D';
wwv_flow_api.g_varchar2_table(1117) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861643B0D0A7D0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1118) := '3E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233561';
wwv_flow_api.g_varchar2_table(1119) := '363861643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313329202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1120) := '6F72646572207B0D0A2020626F726465722D636F6C6F723A20233561363861643B0D0A20207374726F6B653A20233561363861643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F7220';
wwv_flow_api.g_varchar2_table(1121) := '7B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163353B0D0A202066696C6C3A20236166626163353B0D0A2020636F6C6F723A20233331336134343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E20';
wwv_flow_api.g_varchar2_table(1122) := '2B20313429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023616662';
wwv_flow_api.g_varchar2_table(1123) := '6163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D74';
wwv_flow_api.g_varchar2_table(1124) := '657874207B0D0A2020636F6C6F723A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1125) := '356E202B20313429202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236166626163353B0D0A20207374726F6B653A20236166626163353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1126) := '34356E202B20313529202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539383B0D0A202066696C6C3A20233665383539383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1127) := '73203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D6261636B67726F756E64207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(1128) := '6B67726F756E642D636F6C6F723A20233665383539383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1129) := '356E202B20313529202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233665383539383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D62642C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1130) := '6C6F7273203E203A6E74682D6368696C642834356E202B20313529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233665383539383B0D0A20207374726F6B653A20233665383539383B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1131) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265323B0D0A202066696C6C3A20233539623265323B0D0A2020636F6C6F723A202366';
wwv_flow_api.g_varchar2_table(1132) := '66666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1133) := '6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D7478742C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1134) := '6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2031362920';
wwv_flow_api.g_varchar2_table(1135) := '2E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233539623265323B0D0A20207374726F6B65';
wwv_flow_api.g_varchar2_table(1136) := '3A20233539623265323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564393B0D0A202066696C6C3A202334';
wwv_flow_api.g_varchar2_table(1137) := '32633564393B0D0A2020636F6C6F723A20233035313531373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1138) := '34356E202B20313729202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E';
wwv_flow_api.g_varchar2_table(1139) := '752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1140) := '74682D6368696C642834356E202B20313729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1141) := '20233432633564393B0D0A20207374726F6B653A20233432633564393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1142) := '3538636363393B0D0A202066696C6C3A20233538636363393B0D0A2020636F6C6F723A20233039316331633B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D62672C0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1143) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233538636363393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74';
wwv_flow_api.g_varchar2_table(1144) := '682D6368696C642834356E202B20313829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233538636363393B';
wwv_flow_api.g_varchar2_table(1145) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313829202E752D636F6C6F722D626F72646572';
wwv_flow_api.g_varchar2_table(1146) := '207B0D0A2020626F726465722D636F6C6F723A20233538636363393B0D0A20207374726F6B653A20233538636363393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F72207B0D0A2020';
wwv_flow_api.g_varchar2_table(1147) := '6261636B67726F756E642D636F6C6F723A20233633626639643B0D0A202066696C6C3A20233633626639643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929';
wwv_flow_api.g_varchar2_table(1148) := '202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233633626639643B0D';
wwv_flow_api.g_varchar2_table(1149) := '0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D74657874207B';
wwv_flow_api.g_varchar2_table(1150) := '0D0A2020636F6C6F723A20233633626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20313929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1151) := '313929202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233633626639643B0D0A20207374726F6B653A20233633626639643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1152) := '20323029202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937663B0D0A202066696C6C3A20233961633937663B0D0A2020636F6C6F723A20233230333331363B0D0A7D0D0A2E752D636F6C6F7273203E203A';
wwv_flow_api.g_varchar2_table(1153) := '6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1154) := '6E642D636F6C6F723A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1155) := '323029202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1156) := '3E203A6E74682D6368696C642834356E202B20323029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233961633937663B0D0A20207374726F6B653A20233961633937663B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1157) := '203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537353B0D0A202066696C6C3A20236534653537353B0D0A2020636F6C6F723A2023346334633066';
wwv_flow_api.g_varchar2_table(1158) := '3B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D6261636B67';
wwv_flow_api.g_varchar2_table(1159) := '726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1160) := '3E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236534653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F';
wwv_flow_api.g_varchar2_table(1161) := '6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236534653537353B0D0A20207374726F6B653A20236534';
wwv_flow_api.g_varchar2_table(1162) := '653537353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836653B0D0A202066696C6C3A2023666364383665';
wwv_flow_api.g_varchar2_table(1163) := '3B0D0A2020636F6C6F723A20233639346630323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1164) := '20323229202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C';
wwv_flow_api.g_varchar2_table(1165) := '6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1166) := '696C642834356E202B20323229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023666364';
wwv_flow_api.g_varchar2_table(1167) := '3836653B0D0A20207374726F6B653A20236663643836653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136';
wwv_flow_api.g_varchar2_table(1168) := '353B0D0A202066696C6C3A20236631396136353B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1169) := '203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D636869';
wwv_flow_api.g_varchar2_table(1170) := '6C642834356E202B20323329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236631396136353B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1171) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323329202E752D636F6C6F722D626F72646572207B0D0A20';
wwv_flow_api.g_varchar2_table(1172) := '20626F726465722D636F6C6F723A20236631396136353B0D0A20207374726F6B653A20236631396136353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F72207B0D0A20206261636B67';
wwv_flow_api.g_varchar2_table(1173) := '726F756E642D636F6C6F723A20236564376337363B0D0A202066696C6C3A20236564376337363B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D63';
wwv_flow_api.g_varchar2_table(1174) := '6F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337363B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1175) := '752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D74657874207B0D0A202063';
wwv_flow_api.g_varchar2_table(1176) := '6F6C6F723A20236564376337363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323429202E';
wwv_flow_api.g_varchar2_table(1177) := '752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376337363B0D0A20207374726F6B653A20236564376337363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2032352920';
wwv_flow_api.g_varchar2_table(1178) := '2E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376461303B0D0A202066696C6C3A20236564376461303B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D63';
wwv_flow_api.g_varchar2_table(1179) := '68696C642834356E202B20323529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1180) := '6C6F723A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E';
wwv_flow_api.g_varchar2_table(1181) := '752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74';
wwv_flow_api.g_varchar2_table(1182) := '682D6368696C642834356E202B20323529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376461303B0D0A20207374726F6B653A20236564376461303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1183) := '74682D6368696C642834356E202B20323629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962313B0D0A202066696C6C3A20236435373962313B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1184) := '0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D6261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1185) := '207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74';
wwv_flow_api.g_varchar2_table(1186) := '682D6368696C642834356E202B20323629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236435373962313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1187) := '642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236435373962313B0D0A20207374726F6B653A20236435373962313B';
wwv_flow_api.g_varchar2_table(1188) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161663B0D0A202066696C6C3A20233964373161663B0D0A2020';
wwv_flow_api.g_varchar2_table(1189) := '636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2032372920';
wwv_flow_api.g_varchar2_table(1190) := '2E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D7478';
wwv_flow_api.g_varchar2_table(1191) := '742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1192) := '356E202B20323729202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233964373161663B0D';
wwv_flow_api.g_varchar2_table(1193) := '0A20207374726F6B653A20233964373161663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662643B0D0A20';
wwv_flow_api.g_varchar2_table(1194) := '2066696C6C3A20233762383662643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1195) := '74682D6368696C642834356E202B20323829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64283435';
wwv_flow_api.g_varchar2_table(1196) := '6E202B20323829202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233762383662643B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1197) := '6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323829202E752D636F6C6F722D626F72646572207B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(1198) := '65722D636F6C6F723A20233762383662643B0D0A20207374726F6B653A20233762383662643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F72207B0D0A20206261636B67726F756E64';
wwv_flow_api.g_varchar2_table(1199) := '2D636F6C6F723A20236266633864313B0D0A202066696C6C3A20236266633864313B0D0A2020636F6C6F723A20233364343835343B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D';
wwv_flow_api.g_varchar2_table(1200) := '62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236266633864313B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1201) := '6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1202) := '20236266633864313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20323929202E752D636F6C';
wwv_flow_api.g_varchar2_table(1203) := '6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236266633864313B0D0A20207374726F6B653A20236266633864313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F';
wwv_flow_api.g_varchar2_table(1204) := '6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461643B0D0A202066696C6C3A20233862396461643B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C6428';
wwv_flow_api.g_varchar2_table(1205) := '34356E202B20333029202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1206) := '233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C';
wwv_flow_api.g_varchar2_table(1207) := '6F722D74657874207B0D0A2020636F6C6F723A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D636869';
wwv_flow_api.g_varchar2_table(1208) := '6C642834356E202B20333029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233862396461643B0D0A20207374726F6B653A20233862396461643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1209) := '696C642834356E202B20333129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363613B0D0A202066696C6C3A20233139386363613B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D63';
wwv_flow_api.g_varchar2_table(1210) := '6F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D6261636B67726F756E64207B0D0A20';
wwv_flow_api.g_varchar2_table(1211) := '206261636B67726F756E642D636F6C6F723A20233139386363613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D636869';
wwv_flow_api.g_varchar2_table(1212) := '6C642834356E202B20333129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233139386363613B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D62642C0D0A2E';
wwv_flow_api.g_varchar2_table(1213) := '752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233139386363613B0D0A20207374726F6B653A20233139386363613B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1214) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562653B0D0A202066696C6C3A20233032613562653B0D0A2020636F6C6F72';
wwv_flow_api.g_varchar2_table(1215) := '3A20233030303030303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F';
wwv_flow_api.g_varchar2_table(1216) := '6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D7478742C0D0A2E';
wwv_flow_api.g_varchar2_table(1217) := '752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1218) := '333229202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233032613562653B0D0A20207374';
wwv_flow_api.g_varchar2_table(1219) := '726F6B653A20233032613562653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161653B0D0A202066696C6C';
wwv_flow_api.g_varchar2_table(1220) := '3A20233138623161653B0D0A2020636F6C6F723A20233030303030303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368';
wwv_flow_api.g_varchar2_table(1221) := '696C642834356E202B20333329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2033';
wwv_flow_api.g_varchar2_table(1222) := '3329202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233138623161653B0D0A7D0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1223) := '3E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F';
wwv_flow_api.g_varchar2_table(1224) := '6C6F723A20233138623161653B0D0A20207374726F6B653A20233138623161653B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(1225) := '723A20233234613437353B0D0A202066696C6C3A20233234613437353B0D0A2020636F6C6F723A20236566666266373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D62672C0D0A';
wwv_flow_api.g_varchar2_table(1226) := '2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437353B0D0A7D0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1227) := '203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A2023323461';
wwv_flow_api.g_varchar2_table(1228) := '3437353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333429202E752D636F6C6F722D626F';
wwv_flow_api.g_varchar2_table(1229) := '72646572207B0D0A2020626F726465722D636F6C6F723A20233234613437353B0D0A20207374726F6B653A20233234613437353B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F72207B';
wwv_flow_api.g_varchar2_table(1230) := '0D0A20206261636B67726F756E642D636F6C6F723A20233661616434323B0D0A202066696C6C3A20233661616434323B0D0A2020636F6C6F723A20233063313530363B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B';
wwv_flow_api.g_varchar2_table(1231) := '20333529202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A202336616164';
wwv_flow_api.g_varchar2_table(1232) := '34323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D7465';
wwv_flow_api.g_varchar2_table(1233) := '7874207B0D0A2020636F6C6F723A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64283435';
wwv_flow_api.g_varchar2_table(1234) := '6E202B20333529202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233661616434323B0D0A20207374726F6B653A20233661616434323B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1235) := '356E202B20333629202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236339636133393B0D0A202066696C6C3A20236339636133393B0D0A2020636F6C6F723A20233264326530343B0D0A7D0D0A2E752D636F6C6F7273';
wwv_flow_api.g_varchar2_table(1236) := '203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B';
wwv_flow_api.g_varchar2_table(1237) := '67726F756E642D636F6C6F723A20236339636133393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C64283435';
wwv_flow_api.g_varchar2_table(1238) := '6E202B20333629202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236339636133393B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D62642C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1239) := '6F7273203E203A6E74682D6368696C642834356E202B20333629202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236339636133393B0D0A20207374726F6B653A20236339636133393B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1240) := '6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133623B0D0A202066696C6C3A20236439623133623B0D0A2020636F6C6F723A20233436';
wwv_flow_api.g_varchar2_table(1241) := '333430303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D62';
wwv_flow_api.g_varchar2_table(1242) := '61636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D7478742C0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1243) := '6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E';
wwv_flow_api.g_varchar2_table(1244) := '752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333729202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236439623133623B0D0A20207374726F6B653A';
wwv_flow_api.g_varchar2_table(1245) := '20236439623133623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132373B0D0A202066696C6C3A20236437';
wwv_flow_api.g_varchar2_table(1246) := '366132373B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834';
wwv_flow_api.g_varchar2_table(1247) := '356E202B20333829202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E75';
wwv_flow_api.g_varchar2_table(1248) := '2D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74';
wwv_flow_api.g_varchar2_table(1249) := '682D6368696C642834356E202B20333829202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333829202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1250) := '236437366132373B0D0A20207374726F6B653A20236437366132373B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A202364';
wwv_flow_api.g_varchar2_table(1251) := '32343233623B0D0A202066696C6C3A20236432343233623B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62672C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1252) := '6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236432343233623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E7468';
wwv_flow_api.g_varchar2_table(1253) := '2D6368696C642834356E202B20333929202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236432343233623B0D';
wwv_flow_api.g_varchar2_table(1254) := '0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20333929202E752D636F6C6F722D626F7264657220';
wwv_flow_api.g_varchar2_table(1255) := '7B0D0A2020626F726465722D636F6C6F723A20236432343233623B0D0A20207374726F6B653A20236432343233623B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F72207B0D0A202062';
wwv_flow_api.g_varchar2_table(1256) := '61636B67726F756E642D636F6C6F723A20236431343336663B0D0A202066696C6C3A20236431343336663B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2034302920';
wwv_flow_api.g_varchar2_table(1257) := '2E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336663B0D0A';
wwv_flow_api.g_varchar2_table(1258) := '7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D74657874207B0D';
wwv_flow_api.g_varchar2_table(1259) := '0A2020636F6C6F723A20236431343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343029202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2034';
wwv_flow_api.g_varchar2_table(1260) := '3029202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236431343336663B0D0A20207374726F6B653A20236431343336663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1261) := '343129202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438383B0D0A202066696C6C3A20236261336438383B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E';
wwv_flow_api.g_varchar2_table(1262) := '74682D6368696C642834356E202B20343129202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E';
wwv_flow_api.g_varchar2_table(1263) := '642D636F6C6F723A20236261336438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B2034';
wwv_flow_api.g_varchar2_table(1264) := '3129202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20236261336438383B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1265) := '203A6E74682D6368696C642834356E202B20343129202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236261336438383B0D0A20207374726F6B653A20236261336438383B0D0A7D0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1266) := '3E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339333B0D0A202066696C6C3A20233737333339333B0D0A2020636F6C6F723A20236636656666393B';
wwv_flow_api.g_varchar2_table(1267) := '0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D6261636B6772';
wwv_flow_api.g_varchar2_table(1268) := '6F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E';
wwv_flow_api.g_varchar2_table(1269) := '203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233737333339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C';
wwv_flow_api.g_varchar2_table(1270) := '6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343229202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233737333339333B0D0A20207374726F6B653A2023373733';
wwv_flow_api.g_varchar2_table(1271) := '3339333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561333B0D0A202066696C6C3A20233364346561333B';
wwv_flow_api.g_varchar2_table(1272) := '0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20';
wwv_flow_api.g_varchar2_table(1273) := '343329202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1274) := '722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D636869';
wwv_flow_api.g_varchar2_table(1275) := '6C642834356E202B20343329202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343329202E752D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A202333643465';
wwv_flow_api.g_varchar2_table(1276) := '61333B0D0A20207374726F6B653A20233364346561333B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F72207B0D0A20206261636B67726F756E642D636F6C6F723A2023386339656230';
wwv_flow_api.g_varchar2_table(1277) := '3B0D0A202066696C6C3A20233863396562303B0D0A2020636F6C6F723A20233238336134643B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D62672C0D0A2E752D636F6C6F727320';
wwv_flow_api.g_varchar2_table(1278) := '3E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C';
wwv_flow_api.g_varchar2_table(1279) := '642834356E202B20343429202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D74657874207B0D0A2020636F6C6F723A20233863396562303B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1280) := '752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343429202E752D636F6C6F722D626F72646572207B0D0A2020';
wwv_flow_api.g_varchar2_table(1281) := '626F726465722D636F6C6F723A20233863396562303B0D0A20207374726F6B653A20233863396562303B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F72207B0D0A20206261636B6772';
wwv_flow_api.g_varchar2_table(1282) := '6F756E642D636F6C6F723A20233465373339313B0D0A202066696C6C3A20233465373339313B0D0A2020636F6C6F723A20236666666666663B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F';
wwv_flow_api.g_varchar2_table(1283) := '6C6F722D62672C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233465373339313B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1284) := '2D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D7478742C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D74657874207B0D0A2020636F';
wwv_flow_api.g_varchar2_table(1285) := '6C6F723A20233465373339313B0D0A7D0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E752D636F6C6F722D62642C0D0A2E752D636F6C6F7273203E203A6E74682D6368696C642834356E202B20343529202E75';
wwv_flow_api.g_varchar2_table(1286) := '2D636F6C6F722D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233465373339313B0D0A20207374726F6B653A20233465373339313B0D0A7D0D0A0D0A2E752D636F6C6F722D31207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1287) := '3A20233330396664622021696D706F7274616E743B0D0A202066696C6C3A20233330396664622021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D312D62672C0D';
wwv_flow_api.g_varchar2_table(1288) := '0A2E752D636F6C6F722D312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A202066696C6C3A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1289) := '752D636F6C6F722D312D7478742C0D0A2E752D636F6C6F722D312D74657874207B0D0A2020636F6C6F723A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D312D62642C0D0A2E752D636F6C6F722D312D626F726465';
wwv_flow_api.g_varchar2_table(1290) := '72207B0D0A2020626F726465722D636F6C6F723A20233330396664622021696D706F7274616E743B0D0A20207374726F6B653A20233330396664622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1291) := '6E642D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A202066696C6C3A20233133623663662021696D706F7274616E743B0D0A2020636F6C6F723A20236534663966642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1292) := '722D322D62672C0D0A2E752D636F6C6F722D322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A202066696C6C3A20233133623663662021696D706F7274616E';
wwv_flow_api.g_varchar2_table(1293) := '743B0D0A7D0D0A2E752D636F6C6F722D322D7478742C0D0A2E752D636F6C6F722D322D74657874207B0D0A2020636F6C6F723A20233133623663662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D322D62642C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1294) := '2D322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233133623663662021696D706F7274616E743B0D0A20207374726F6B653A20233133623663662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33207B0D0A2020';
wwv_flow_api.g_varchar2_table(1295) := '6261636B67726F756E642D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A202066696C6C3A20233265626662632021696D706F7274616E743B0D0A2020636F6C6F723A20236630666366622021696D706F7274616E743B0D0A7D0D';
wwv_flow_api.g_varchar2_table(1296) := '0A2E752D636F6C6F722D332D62672C0D0A2E752D636F6C6F722D332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A202066696C6C3A20233265626662632021';
wwv_flow_api.g_varchar2_table(1297) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D332D7478742C0D0A2E752D636F6C6F722D332D74657874207B0D0A2020636F6C6F723A20233265626662632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D332D62642C0D0A';
wwv_flow_api.g_varchar2_table(1298) := '2E752D636F6C6F722D332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233265626662632021696D706F7274616E743B0D0A20207374726F6B653A20233265626662632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1299) := '2D34207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A202066696C6C3A20233363616638352021696D706F7274616E743B0D0A2020636F6C6F723A20236630666166362021696D706F7274';
wwv_flow_api.g_varchar2_table(1300) := '616E743B0D0A7D0D0A2E752D636F6C6F722D342D62672C0D0A2E752D636F6C6F722D342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A202066696C6C3A2023';
wwv_flow_api.g_varchar2_table(1301) := '3363616638352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D342D7478742C0D0A2E752D636F6C6F722D342D74657874207B0D0A2020636F6C6F723A20233363616638352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1302) := '2D342D62642C0D0A2E752D636F6C6F722D342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233363616638352021696D706F7274616E743B0D0A20207374726F6B653A20233363616638352021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1303) := '2E752D636F6C6F722D35207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A202066696C6C3A20233831626235662021696D706F7274616E743B0D0A2020636F6C6F723A2023666666666666';
wwv_flow_api.g_varchar2_table(1304) := '2021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D352D62672C0D0A2E752D636F6C6F722D352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A20';
wwv_flow_api.g_varchar2_table(1305) := '2066696C6C3A20233831626235662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D352D7478742C0D0A2E752D636F6C6F722D352D74657874207B0D0A2020636F6C6F723A20233831626235662021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1306) := '2E752D636F6C6F722D352D62642C0D0A2E752D636F6C6F722D352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233831626235662021696D706F7274616E743B0D0A20207374726F6B653A20233831626235662021696D706F727461';
wwv_flow_api.g_varchar2_table(1307) := '6E743B0D0A7D0D0A2E752D636F6C6F722D36207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535332021696D706F7274616E743B0D0A202066696C6C3A20236464646535332021696D706F7274616E743B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1308) := '20233261326130382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D62672C0D0A2E752D636F6C6F722D362D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236464646535332021696D706F72';
wwv_flow_api.g_varchar2_table(1309) := '74616E743B0D0A202066696C6C3A20236464646535332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D362D7478742C0D0A2E752D636F6C6F722D362D74657874207B0D0A2020636F6C6F723A20236464646535332021696D706F727461';
wwv_flow_api.g_varchar2_table(1310) := '6E743B0D0A7D0D0A2E752D636F6C6F722D362D62642C0D0A2E752D636F6C6F722D362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236464646535332021696D706F7274616E743B0D0A20207374726F6B653A202364646465353320';
wwv_flow_api.g_varchar2_table(1311) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D37207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A202066696C6C3A20236662636534612021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(1312) := '2020636F6C6F723A20233434333330322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D62672C0D0A2E752D636F6C6F722D372D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236662636534';
wwv_flow_api.g_varchar2_table(1313) := '612021696D706F7274616E743B0D0A202066696C6C3A20236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D7478742C0D0A2E752D636F6C6F722D372D74657874207B0D0A2020636F6C6F723A202366626365346120';
wwv_flow_api.g_varchar2_table(1314) := '21696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D372D62642C0D0A2E752D636F6C6F722D372D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236662636534612021696D706F7274616E743B0D0A20207374726F6B653A20';
wwv_flow_api.g_varchar2_table(1315) := '236662636534612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D38207B0D0A20206261636B67726F756E642D636F6C6F723A20236564383133652021696D706F7274616E743B0D0A202066696C6C3A20236564383133652021696D706F';
wwv_flow_api.g_varchar2_table(1316) := '7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D62672C0D0A2E752D636F6C6F722D382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F72';
wwv_flow_api.g_varchar2_table(1317) := '3A20236564383133652021696D706F7274616E743B0D0A202066696C6C3A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D7478742C0D0A2E752D636F6C6F722D382D74657874207B0D0A2020636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1318) := '236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D382D62642C0D0A2E752D636F6C6F722D382D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236564383133652021696D706F7274616E743B0D0A2020';
wwv_flow_api.g_varchar2_table(1319) := '7374726F6B653A20236564383133652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D39207B0D0A20206261636B67726F756E642D636F6C6F723A20236539356235342021696D706F7274616E743B0D0A202066696C6C3A202365393562';
wwv_flow_api.g_varchar2_table(1320) := '35342021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D62672C0D0A2E752D636F6C6F722D392D6261636B67726F756E64207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1321) := '6E642D636F6C6F723A20236539356235342021696D706F7274616E743B0D0A202066696C6C3A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D7478742C0D0A2E752D636F6C6F722D392D74657874207B0D0A20';
wwv_flow_api.g_varchar2_table(1322) := '20636F6C6F723A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D392D62642C0D0A2E752D636F6C6F722D392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236539356235342021696D706F7274';
wwv_flow_api.g_varchar2_table(1323) := '616E743B0D0A20207374726F6B653A20236539356235342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3130207B0D0A20206261636B67726F756E642D636F6C6F723A20236538356438382021696D706F7274616E743B0D0A20206669';
wwv_flow_api.g_varchar2_table(1324) := '6C6C3A20236538356438382021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D62672C0D0A2E752D636F6C6F722D31302D6261636B67726F756E64207B0D';
wwv_flow_api.g_varchar2_table(1325) := '0A20206261636B67726F756E642D636F6C6F723A20236538356438382021696D706F7274616E743B0D0A202066696C6C3A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D7478742C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1326) := '2D31302D74657874207B0D0A2020636F6C6F723A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31302D62642C0D0A2E752D636F6C6F722D31302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1327) := '236538356438382021696D706F7274616E743B0D0A20207374726F6B653A20236538356438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3131207B0D0A20206261636B67726F756E642D636F6C6F723A2023636135383964202169';
wwv_flow_api.g_varchar2_table(1328) := '6D706F7274616E743B0D0A202066696C6C3A20236361353839642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31312D62672C0D0A2E752D636F6C6F722D31';
wwv_flow_api.g_varchar2_table(1329) := '312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236361353839642021696D706F7274616E743B0D0A202066696C6C3A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3131';
wwv_flow_api.g_varchar2_table(1330) := '2D7478742C0D0A2E752D636F6C6F722D31312D74657874207B0D0A2020636F6C6F723A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31312D62642C0D0A2E752D636F6C6F722D31312D626F72646572207B0D0A20';
wwv_flow_api.g_varchar2_table(1331) := '20626F726465722D636F6C6F723A20236361353839642021696D706F7274616E743B0D0A20207374726F6B653A20236361353839642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3132207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1332) := '6C6F723A20233835346539622021696D706F7274616E743B0D0A202066696C6C3A20233835346539622021696D706F7274616E743B0D0A2020636F6C6F723A20236636663066382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31322D';
wwv_flow_api.g_varchar2_table(1333) := '62672C0D0A2E752D636F6C6F722D31322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A202066696C6C3A20233835346539622021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1334) := '0A7D0D0A2E752D636F6C6F722D31322D7478742C0D0A2E752D636F6C6F722D31322D74657874207B0D0A2020636F6C6F723A20233835346539622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31322D62642C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1335) := '2D31322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233835346539622021696D706F7274616E743B0D0A20207374726F6B653A20233835346539622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3133207B0D0A';
wwv_flow_api.g_varchar2_table(1336) := '20206261636B67726F756E642D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A202066696C6C3A20233561363861642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(1337) := '7D0D0A2E752D636F6C6F722D31332D62672C0D0A2E752D636F6C6F722D31332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A202066696C6C3A202335613638';
wwv_flow_api.g_varchar2_table(1338) := '61642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31332D7478742C0D0A2E752D636F6C6F722D31332D74657874207B0D0A2020636F6C6F723A20233561363861642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31';
wwv_flow_api.g_varchar2_table(1339) := '332D62642C0D0A2E752D636F6C6F722D31332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233561363861642021696D706F7274616E743B0D0A20207374726F6B653A20233561363861642021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1340) := '2E752D636F6C6F722D3134207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163352021696D706F7274616E743B0D0A202066696C6C3A20236166626163352021696D706F7274616E743B0D0A2020636F6C6F723A20233331336134';
wwv_flow_api.g_varchar2_table(1341) := '342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D62672C0D0A2E752D636F6C6F722D31342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236166626163352021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1342) := '0D0A202066696C6C3A20236166626163352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31342D7478742C0D0A2E752D636F6C6F722D31342D74657874207B0D0A2020636F6C6F723A20236166626163352021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1343) := '0D0A7D0D0A2E752D636F6C6F722D31342D62642C0D0A2E752D636F6C6F722D31342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236166626163352021696D706F7274616E743B0D0A20207374726F6B653A20236166626163352021';
wwv_flow_api.g_varchar2_table(1344) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3135207B0D0A20206261636B67726F756E642D636F6C6F723A20233665383539382021696D706F7274616E743B0D0A202066696C6C3A20233665383539382021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(1345) := '2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D62672C0D0A2E752D636F6C6F722D31352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023366538';
wwv_flow_api.g_varchar2_table(1346) := '3539382021696D706F7274616E743B0D0A202066696C6C3A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D7478742C0D0A2E752D636F6C6F722D31352D74657874207B0D0A2020636F6C6F723A2023366538';
wwv_flow_api.g_varchar2_table(1347) := '3539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31352D62642C0D0A2E752D636F6C6F722D31352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233665383539382021696D706F7274616E743B0D0A20207374';
wwv_flow_api.g_varchar2_table(1348) := '726F6B653A20233665383539382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3136207B0D0A20206261636B67726F756E642D636F6C6F723A20233539623265322021696D706F7274616E743B0D0A202066696C6C3A20233539623265';
wwv_flow_api.g_varchar2_table(1349) := '322021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D62672C0D0A2E752D636F6C6F722D31362D6261636B67726F756E64207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1350) := '756E642D636F6C6F723A20233539623265322021696D706F7274616E743B0D0A202066696C6C3A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D7478742C0D0A2E752D636F6C6F722D31362D74657874207B';
wwv_flow_api.g_varchar2_table(1351) := '0D0A2020636F6C6F723A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31362D62642C0D0A2E752D636F6C6F722D31362D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023353962326532202169';
wwv_flow_api.g_varchar2_table(1352) := '6D706F7274616E743B0D0A20207374726F6B653A20233539623265322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3137207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564392021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1353) := '0A202066696C6C3A20233432633564392021696D706F7274616E743B0D0A2020636F6C6F723A20233035313531372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D62672C0D0A2E752D636F6C6F722D31372D6261636B67726F75';
wwv_flow_api.g_varchar2_table(1354) := '6E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233432633564392021696D706F7274616E743B0D0A202066696C6C3A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D7478742C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1355) := '636F6C6F722D31372D74657874207B0D0A2020636F6C6F723A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31372D62642C0D0A2E752D636F6C6F722D31372D626F72646572207B0D0A2020626F726465722D636F';
wwv_flow_api.g_varchar2_table(1356) := '6C6F723A20233432633564392021696D706F7274616E743B0D0A20207374726F6B653A20233432633564392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3138207B0D0A20206261636B67726F756E642D636F6C6F723A202335386363';
wwv_flow_api.g_varchar2_table(1357) := '63392021696D706F7274616E743B0D0A202066696C6C3A20233538636363392021696D706F7274616E743B0D0A2020636F6C6F723A20233039316331632021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31382D62672C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1358) := '6C6F722D31382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233538636363392021696D706F7274616E743B0D0A202066696C6C3A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1359) := '6F722D31382D7478742C0D0A2E752D636F6C6F722D31382D74657874207B0D0A2020636F6C6F723A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31382D62642C0D0A2E752D636F6C6F722D31382D626F72646572';
wwv_flow_api.g_varchar2_table(1360) := '207B0D0A2020626F726465722D636F6C6F723A20233538636363392021696D706F7274616E743B0D0A20207374726F6B653A20233538636363392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3139207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1361) := '6E642D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A202066696C6C3A20233633626639642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1362) := '722D31392D62672C0D0A2E752D636F6C6F722D31392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A202066696C6C3A20233633626639642021696D706F7274';
wwv_flow_api.g_varchar2_table(1363) := '616E743B0D0A7D0D0A2E752D636F6C6F722D31392D7478742C0D0A2E752D636F6C6F722D31392D74657874207B0D0A2020636F6C6F723A20233633626639642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D31392D62642C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1364) := '636F6C6F722D31392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233633626639642021696D706F7274616E743B0D0A20207374726F6B653A20233633626639642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32';
wwv_flow_api.g_varchar2_table(1365) := '30207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A202066696C6C3A20233961633937662021696D706F7274616E743B0D0A2020636F6C6F723A20233230333331362021696D706F727461';
wwv_flow_api.g_varchar2_table(1366) := '6E743B0D0A7D0D0A2E752D636F6C6F722D32302D62672C0D0A2E752D636F6C6F722D32302D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A202066696C6C3A20';
wwv_flow_api.g_varchar2_table(1367) := '233961633937662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32302D7478742C0D0A2E752D636F6C6F722D32302D74657874207B0D0A2020636F6C6F723A20233961633937662021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1368) := '6C6F722D32302D62642C0D0A2E752D636F6C6F722D32302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233961633937662021696D706F7274616E743B0D0A20207374726F6B653A20233961633937662021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1369) := '0D0A7D0D0A2E752D636F6C6F722D3231207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537352021696D706F7274616E743B0D0A202066696C6C3A20236534653537352021696D706F7274616E743B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1370) := '3463346330662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D62672C0D0A2E752D636F6C6F722D32312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236534653537352021696D706F72';
wwv_flow_api.g_varchar2_table(1371) := '74616E743B0D0A202066696C6C3A20236534653537352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32312D7478742C0D0A2E752D636F6C6F722D32312D74657874207B0D0A2020636F6C6F723A20236534653537352021696D706F72';
wwv_flow_api.g_varchar2_table(1372) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D32312D62642C0D0A2E752D636F6C6F722D32312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236534653537352021696D706F7274616E743B0D0A20207374726F6B653A2023653465';
wwv_flow_api.g_varchar2_table(1373) := '3537352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3232207B0D0A20206261636B67726F756E642D636F6C6F723A20236663643836652021696D706F7274616E743B0D0A202066696C6C3A20236663643836652021696D706F727461';
wwv_flow_api.g_varchar2_table(1374) := '6E743B0D0A2020636F6C6F723A20233639346630322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D62672C0D0A2E752D636F6C6F722D32322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1375) := '20236663643836652021696D706F7274616E743B0D0A202066696C6C3A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D7478742C0D0A2E752D636F6C6F722D32322D74657874207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1376) := '20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32322D62642C0D0A2E752D636F6C6F722D32322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236663643836652021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1377) := '0A20207374726F6B653A20236663643836652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3233207B0D0A20206261636B67726F756E642D636F6C6F723A20236631396136352021696D706F7274616E743B0D0A202066696C6C3A2023';
wwv_flow_api.g_varchar2_table(1378) := '6631396136352021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D62672C0D0A2E752D636F6C6F722D32332D6261636B67726F756E64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1379) := '636B67726F756E642D636F6C6F723A20236631396136352021696D706F7274616E743B0D0A202066696C6C3A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D7478742C0D0A2E752D636F6C6F722D32332D74';
wwv_flow_api.g_varchar2_table(1380) := '657874207B0D0A2020636F6C6F723A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32332D62642C0D0A2E752D636F6C6F722D32332D626F72646572207B0D0A2020626F726465722D636F6C6F723A202366313961';
wwv_flow_api.g_varchar2_table(1381) := '36352021696D706F7274616E743B0D0A20207374726F6B653A20236631396136352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3234207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337362021696D706F7274';
wwv_flow_api.g_varchar2_table(1382) := '616E743B0D0A202066696C6C3A20236564376337362021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D62672C0D0A2E752D636F6C6F722D32342D626163';
wwv_flow_api.g_varchar2_table(1383) := '6B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376337362021696D706F7274616E743B0D0A202066696C6C3A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D7478742C';
wwv_flow_api.g_varchar2_table(1384) := '0D0A2E752D636F6C6F722D32342D74657874207B0D0A2020636F6C6F723A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32342D62642C0D0A2E752D636F6C6F722D32342D626F72646572207B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(1385) := '65722D636F6C6F723A20236564376337362021696D706F7274616E743B0D0A20207374726F6B653A20236564376337362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3235207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1386) := '236564376461302021696D706F7274616E743B0D0A202066696C6C3A20236564376461302021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32352D62672C0D0A';
wwv_flow_api.g_varchar2_table(1387) := '2E752D636F6C6F722D32352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236564376461302021696D706F7274616E743B0D0A202066696C6C3A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1388) := '752D636F6C6F722D32352D7478742C0D0A2E752D636F6C6F722D32352D74657874207B0D0A2020636F6C6F723A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32352D62642C0D0A2E752D636F6C6F722D32352D62';
wwv_flow_api.g_varchar2_table(1389) := '6F72646572207B0D0A2020626F726465722D636F6C6F723A20236564376461302021696D706F7274616E743B0D0A20207374726F6B653A20236564376461302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3236207B0D0A2020626163';
wwv_flow_api.g_varchar2_table(1390) := '6B67726F756E642D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A202066696C6C3A20236435373962312021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E75';
wwv_flow_api.g_varchar2_table(1391) := '2D636F6C6F722D32362D62672C0D0A2E752D636F6C6F722D32362D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A202066696C6C3A2023643537396231202169';
wwv_flow_api.g_varchar2_table(1392) := '6D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32362D7478742C0D0A2E752D636F6C6F722D32362D74657874207B0D0A2020636F6C6F723A20236435373962312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32362D62642C';
wwv_flow_api.g_varchar2_table(1393) := '0D0A2E752D636F6C6F722D32362D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236435373962312021696D706F7274616E743B0D0A20207374726F6B653A20236435373962312021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1394) := '6C6F722D3237207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A202066696C6C3A20233964373161662021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D';
wwv_flow_api.g_varchar2_table(1395) := '706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32372D62672C0D0A2E752D636F6C6F722D32372D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A202066';
wwv_flow_api.g_varchar2_table(1396) := '696C6C3A20233964373161662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32372D7478742C0D0A2E752D636F6C6F722D32372D74657874207B0D0A2020636F6C6F723A20233964373161662021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1397) := '2E752D636F6C6F722D32372D62642C0D0A2E752D636F6C6F722D32372D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233964373161662021696D706F7274616E743B0D0A20207374726F6B653A20233964373161662021696D706F72';
wwv_flow_api.g_varchar2_table(1398) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D3238207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662642021696D706F7274616E743B0D0A202066696C6C3A20233762383662642021696D706F7274616E743B0D0A2020636F6C';
wwv_flow_api.g_varchar2_table(1399) := '6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D62672C0D0A2E752D636F6C6F722D32382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233762383662642021';
wwv_flow_api.g_varchar2_table(1400) := '696D706F7274616E743B0D0A202066696C6C3A20233762383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D7478742C0D0A2E752D636F6C6F722D32382D74657874207B0D0A2020636F6C6F723A20233762383662642021';
wwv_flow_api.g_varchar2_table(1401) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32382D62642C0D0A2E752D636F6C6F722D32382D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233762383662642021696D706F7274616E743B0D0A20207374726F6B653A';
wwv_flow_api.g_varchar2_table(1402) := '20233762383662642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3239207B0D0A20206261636B67726F756E642D636F6C6F723A20236266633864312021696D706F7274616E743B0D0A202066696C6C3A20236266633864312021696D';
wwv_flow_api.g_varchar2_table(1403) := '706F7274616E743B0D0A2020636F6C6F723A20233364343835342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D62672C0D0A2E752D636F6C6F722D32392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D63';
wwv_flow_api.g_varchar2_table(1404) := '6F6C6F723A20236266633864312021696D706F7274616E743B0D0A202066696C6C3A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D7478742C0D0A2E752D636F6C6F722D32392D74657874207B0D0A202063';
wwv_flow_api.g_varchar2_table(1405) := '6F6C6F723A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D32392D62642C0D0A2E752D636F6C6F722D32392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236266633864312021696D706F7274';
wwv_flow_api.g_varchar2_table(1406) := '616E743B0D0A20207374726F6B653A20236266633864312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3330207B0D0A20206261636B67726F756E642D636F6C6F723A20233862396461642021696D706F7274616E743B0D0A20206669';
wwv_flow_api.g_varchar2_table(1407) := '6C6C3A20233862396461642021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D62672C0D0A2E752D636F6C6F722D33302D6261636B67726F756E64207B0D';
wwv_flow_api.g_varchar2_table(1408) := '0A20206261636B67726F756E642D636F6C6F723A20233862396461642021696D706F7274616E743B0D0A202066696C6C3A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D7478742C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1409) := '2D33302D74657874207B0D0A2020636F6C6F723A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33302D62642C0D0A2E752D636F6C6F722D33302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1410) := '233862396461642021696D706F7274616E743B0D0A20207374726F6B653A20233862396461642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3331207B0D0A20206261636B67726F756E642D636F6C6F723A2023313938636361202169';
wwv_flow_api.g_varchar2_table(1411) := '6D706F7274616E743B0D0A202066696C6C3A20233139386363612021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33312D62672C0D0A2E752D636F6C6F722D33';
wwv_flow_api.g_varchar2_table(1412) := '312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233139386363612021696D706F7274616E743B0D0A202066696C6C3A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3331';
wwv_flow_api.g_varchar2_table(1413) := '2D7478742C0D0A2E752D636F6C6F722D33312D74657874207B0D0A2020636F6C6F723A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33312D62642C0D0A2E752D636F6C6F722D33312D626F72646572207B0D0A20';
wwv_flow_api.g_varchar2_table(1414) := '20626F726465722D636F6C6F723A20233139386363612021696D706F7274616E743B0D0A20207374726F6B653A20233139386363612021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3332207B0D0A20206261636B67726F756E642D636F';
wwv_flow_api.g_varchar2_table(1415) := '6C6F723A20233032613562652021696D706F7274616E743B0D0A202066696C6C3A20233032613562652021696D706F7274616E743B0D0A2020636F6C6F723A20233030303030302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33322D';
wwv_flow_api.g_varchar2_table(1416) := '62672C0D0A2E752D636F6C6F722D33322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A202066696C6C3A20233032613562652021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1417) := '0A7D0D0A2E752D636F6C6F722D33322D7478742C0D0A2E752D636F6C6F722D33322D74657874207B0D0A2020636F6C6F723A20233032613562652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33322D62642C0D0A2E752D636F6C6F72';
wwv_flow_api.g_varchar2_table(1418) := '2D33322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233032613562652021696D706F7274616E743B0D0A20207374726F6B653A20233032613562652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3333207B0D0A';
wwv_flow_api.g_varchar2_table(1419) := '20206261636B67726F756E642D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A202066696C6C3A20233138623161652021696D706F7274616E743B0D0A2020636F6C6F723A20233030303030302021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(1420) := '7D0D0A2E752D636F6C6F722D33332D62672C0D0A2E752D636F6C6F722D33332D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A202066696C6C3A202331386231';
wwv_flow_api.g_varchar2_table(1421) := '61652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33332D7478742C0D0A2E752D636F6C6F722D33332D74657874207B0D0A2020636F6C6F723A20233138623161652021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33';
wwv_flow_api.g_varchar2_table(1422) := '332D62642C0D0A2E752D636F6C6F722D33332D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233138623161652021696D706F7274616E743B0D0A20207374726F6B653A20233138623161652021696D706F7274616E743B0D0A7D0D0A';
wwv_flow_api.g_varchar2_table(1423) := '2E752D636F6C6F722D3334207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437352021696D706F7274616E743B0D0A202066696C6C3A20233234613437352021696D706F7274616E743B0D0A2020636F6C6F723A20236566666266';
wwv_flow_api.g_varchar2_table(1424) := '372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D62672C0D0A2E752D636F6C6F722D33342D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233234613437352021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1425) := '0D0A202066696C6C3A20233234613437352021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33342D7478742C0D0A2E752D636F6C6F722D33342D74657874207B0D0A2020636F6C6F723A20233234613437352021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1426) := '0D0A7D0D0A2E752D636F6C6F722D33342D62642C0D0A2E752D636F6C6F722D33342D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233234613437352021696D706F7274616E743B0D0A20207374726F6B653A20233234613437352021';
wwv_flow_api.g_varchar2_table(1427) := '696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3335207B0D0A20206261636B67726F756E642D636F6C6F723A20233661616434322021696D706F7274616E743B0D0A202066696C6C3A20233661616434322021696D706F7274616E743B0D0A';
wwv_flow_api.g_varchar2_table(1428) := '2020636F6C6F723A20233063313530362021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D62672C0D0A2E752D636F6C6F722D33352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A2023366161';
wwv_flow_api.g_varchar2_table(1429) := '6434322021696D706F7274616E743B0D0A202066696C6C3A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D7478742C0D0A2E752D636F6C6F722D33352D74657874207B0D0A2020636F6C6F723A2023366161';
wwv_flow_api.g_varchar2_table(1430) := '6434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33352D62642C0D0A2E752D636F6C6F722D33352D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233661616434322021696D706F7274616E743B0D0A20207374';
wwv_flow_api.g_varchar2_table(1431) := '726F6B653A20233661616434322021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3336207B0D0A20206261636B67726F756E642D636F6C6F723A20236339636133392021696D706F7274616E743B0D0A202066696C6C3A20236339636133';
wwv_flow_api.g_varchar2_table(1432) := '392021696D706F7274616E743B0D0A2020636F6C6F723A20233264326530342021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D62672C0D0A2E752D636F6C6F722D33362D6261636B67726F756E64207B0D0A20206261636B67726F';
wwv_flow_api.g_varchar2_table(1433) := '756E642D636F6C6F723A20236339636133392021696D706F7274616E743B0D0A202066696C6C3A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D7478742C0D0A2E752D636F6C6F722D33362D74657874207B';
wwv_flow_api.g_varchar2_table(1434) := '0D0A2020636F6C6F723A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33362D62642C0D0A2E752D636F6C6F722D33362D626F72646572207B0D0A2020626F726465722D636F6C6F723A2023633963613339202169';
wwv_flow_api.g_varchar2_table(1435) := '6D706F7274616E743B0D0A20207374726F6B653A20236339636133392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3337207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133622021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1436) := '0A202066696C6C3A20236439623133622021696D706F7274616E743B0D0A2020636F6C6F723A20233436333430302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D62672C0D0A2E752D636F6C6F722D33372D6261636B67726F75';
wwv_flow_api.g_varchar2_table(1437) := '6E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236439623133622021696D706F7274616E743B0D0A202066696C6C3A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D7478742C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1438) := '636F6C6F722D33372D74657874207B0D0A2020636F6C6F723A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33372D62642C0D0A2E752D636F6C6F722D33372D626F72646572207B0D0A2020626F726465722D636F';
wwv_flow_api.g_varchar2_table(1439) := '6C6F723A20236439623133622021696D706F7274616E743B0D0A20207374726F6B653A20236439623133622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3338207B0D0A20206261636B67726F756E642D636F6C6F723A202364373661';
wwv_flow_api.g_varchar2_table(1440) := '32372021696D706F7274616E743B0D0A202066696C6C3A20236437366132372021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33382D62672C0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1441) := '6C6F722D33382D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236437366132372021696D706F7274616E743B0D0A202066696C6C3A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C';
wwv_flow_api.g_varchar2_table(1442) := '6F722D33382D7478742C0D0A2E752D636F6C6F722D33382D74657874207B0D0A2020636F6C6F723A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33382D62642C0D0A2E752D636F6C6F722D33382D626F72646572';
wwv_flow_api.g_varchar2_table(1443) := '207B0D0A2020626F726465722D636F6C6F723A20236437366132372021696D706F7274616E743B0D0A20207374726F6B653A20236437366132372021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3339207B0D0A20206261636B67726F75';
wwv_flow_api.g_varchar2_table(1444) := '6E642D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A202066696C6C3A20236432343233622021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F';
wwv_flow_api.g_varchar2_table(1445) := '722D33392D62672C0D0A2E752D636F6C6F722D33392D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A202066696C6C3A20236432343233622021696D706F7274';
wwv_flow_api.g_varchar2_table(1446) := '616E743B0D0A7D0D0A2E752D636F6C6F722D33392D7478742C0D0A2E752D636F6C6F722D33392D74657874207B0D0A2020636F6C6F723A20236432343233622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D33392D62642C0D0A2E752D';
wwv_flow_api.g_varchar2_table(1447) := '636F6C6F722D33392D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236432343233622021696D706F7274616E743B0D0A20207374726F6B653A20236432343233622021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34';
wwv_flow_api.g_varchar2_table(1448) := '30207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A202066696C6C3A20236431343336662021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F727461';
wwv_flow_api.g_varchar2_table(1449) := '6E743B0D0A7D0D0A2E752D636F6C6F722D34302D62672C0D0A2E752D636F6C6F722D34302D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A202066696C6C3A20';
wwv_flow_api.g_varchar2_table(1450) := '236431343336662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34302D7478742C0D0A2E752D636F6C6F722D34302D74657874207B0D0A2020636F6C6F723A20236431343336662021696D706F7274616E743B0D0A7D0D0A2E752D636F';
wwv_flow_api.g_varchar2_table(1451) := '6C6F722D34302D62642C0D0A2E752D636F6C6F722D34302D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236431343336662021696D706F7274616E743B0D0A20207374726F6B653A20236431343336662021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(1452) := '0D0A7D0D0A2E752D636F6C6F722D3431207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438382021696D706F7274616E743B0D0A202066696C6C3A20236261336438382021696D706F7274616E743B0D0A2020636F6C6F723A2023';
wwv_flow_api.g_varchar2_table(1453) := '6666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D62672C0D0A2E752D636F6C6F722D34312D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20236261336438382021696D706F72';
wwv_flow_api.g_varchar2_table(1454) := '74616E743B0D0A202066696C6C3A20236261336438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34312D7478742C0D0A2E752D636F6C6F722D34312D74657874207B0D0A2020636F6C6F723A20236261336438382021696D706F72';
wwv_flow_api.g_varchar2_table(1455) := '74616E743B0D0A7D0D0A2E752D636F6C6F722D34312D62642C0D0A2E752D636F6C6F722D34312D626F72646572207B0D0A2020626F726465722D636F6C6F723A20236261336438382021696D706F7274616E743B0D0A20207374726F6B653A2023626133';
wwv_flow_api.g_varchar2_table(1456) := '6438382021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3432207B0D0A20206261636B67726F756E642D636F6C6F723A20233737333339332021696D706F7274616E743B0D0A202066696C6C3A20233737333339332021696D706F727461';
wwv_flow_api.g_varchar2_table(1457) := '6E743B0D0A2020636F6C6F723A20236636656666392021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D62672C0D0A2E752D636F6C6F722D34322D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A';
wwv_flow_api.g_varchar2_table(1458) := '20233737333339332021696D706F7274616E743B0D0A202066696C6C3A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D7478742C0D0A2E752D636F6C6F722D34322D74657874207B0D0A2020636F6C6F723A';
wwv_flow_api.g_varchar2_table(1459) := '20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34322D62642C0D0A2E752D636F6C6F722D34322D626F72646572207B0D0A2020626F726465722D636F6C6F723A20233737333339332021696D706F7274616E743B0D';
wwv_flow_api.g_varchar2_table(1460) := '0A20207374726F6B653A20233737333339332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3433207B0D0A20206261636B67726F756E642D636F6C6F723A20233364346561332021696D706F7274616E743B0D0A202066696C6C3A2023';
wwv_flow_api.g_varchar2_table(1461) := '3364346561332021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D62672C0D0A2E752D636F6C6F722D34332D6261636B67726F756E64207B0D0A20206261';
wwv_flow_api.g_varchar2_table(1462) := '636B67726F756E642D636F6C6F723A20233364346561332021696D706F7274616E743B0D0A202066696C6C3A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D7478742C0D0A2E752D636F6C6F722D34332D74';
wwv_flow_api.g_varchar2_table(1463) := '657874207B0D0A2020636F6C6F723A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34332D62642C0D0A2E752D636F6C6F722D34332D626F72646572207B0D0A2020626F726465722D636F6C6F723A202333643465';
wwv_flow_api.g_varchar2_table(1464) := '61332021696D706F7274616E743B0D0A20207374726F6B653A20233364346561332021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3434207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562302021696D706F7274';
wwv_flow_api.g_varchar2_table(1465) := '616E743B0D0A202066696C6C3A20233863396562302021696D706F7274616E743B0D0A2020636F6C6F723A20233238336134642021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D62672C0D0A2E752D636F6C6F722D34342D626163';
wwv_flow_api.g_varchar2_table(1466) := '6B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233863396562302021696D706F7274616E743B0D0A202066696C6C3A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D7478742C';
wwv_flow_api.g_varchar2_table(1467) := '0D0A2E752D636F6C6F722D34342D74657874207B0D0A2020636F6C6F723A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34342D62642C0D0A2E752D636F6C6F722D34342D626F72646572207B0D0A2020626F7264';
wwv_flow_api.g_varchar2_table(1468) := '65722D636F6C6F723A20233863396562302021696D706F7274616E743B0D0A20207374726F6B653A20233863396562302021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D3435207B0D0A20206261636B67726F756E642D636F6C6F723A20';
wwv_flow_api.g_varchar2_table(1469) := '233465373339312021696D706F7274616E743B0D0A202066696C6C3A20233465373339312021696D706F7274616E743B0D0A2020636F6C6F723A20236666666666662021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34352D62672C0D0A';
wwv_flow_api.g_varchar2_table(1470) := '2E752D636F6C6F722D34352D6261636B67726F756E64207B0D0A20206261636B67726F756E642D636F6C6F723A20233465373339312021696D706F7274616E743B0D0A202066696C6C3A20233465373339312021696D706F7274616E743B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(1471) := '752D636F6C6F722D34352D7478742C0D0A2E752D636F6C6F722D34352D74657874207B0D0A2020636F6C6F723A20233465373339312021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D34352D62642C0D0A2E752D636F6C6F722D34352D62';
wwv_flow_api.g_varchar2_table(1472) := '6F72646572207B0D0A2020626F726465722D636F6C6F723A20233465373339312021696D706F7274616E743B0D0A20207374726F6B653A20233465373339312021696D706F7274616E743B0D0A7D0D0A0D0A2E752D636F6C6F722D7472616E7370617265';
wwv_flow_api.g_varchar2_table(1473) := '6E74207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A2020636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D747261';
wwv_flow_api.g_varchar2_table(1474) := '6E73706172656E742D6267207B0D0A20206261636B67726F756E642D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D7472616E73706172656E742D7478742C0D0A2E752D636F6C6F722D74';
wwv_flow_api.g_varchar2_table(1475) := '72616E73706172656E742D74657874207B0D0A2020636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A2E752D636F6C6F722D7472616E73706172656E742D62642C0D0A2E752D636F6C6F722D7472616E7370617265';
wwv_flow_api.g_varchar2_table(1476) := '6E742D626F72646572207B0D0A2020626F726465722D636F6C6F723A207472616E73706172656E742021696D706F7274616E743B0D0A7D0D0A';
null;
end;
/
begin
wwv_flow_api.create_theme_file(
 p_id=>wwv_flow_api.id(744375259678662635)
,p_theme_id=>42
,p_file_name=>'313677767639427542.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/user_interface/theme_display_points
begin
null;
end;
/
prompt --application/shared_components/user_interface/template_opt_groups
begin
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653562416683514004)
,p_theme_id=>42
,p_name=>'BUTTON_SET'
,p_display_name=>'Button Set'
,p_display_sequence=>40
,p_template_types=>'BUTTON'
,p_help_text=>'Enables you to group many buttons together into a pill. You can use this option to specify where the button is within this set. Set the option to Default if this button is not part of a button set.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653562853866514004)
,p_theme_id=>42
,p_name=>'ICON_HOVER_ANIMATION'
,p_display_name=>'Icon Hover Animation'
,p_display_sequence=>55
,p_template_types=>'BUTTON'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653563245971514004)
,p_theme_id=>42
,p_name=>'ICON_POSITION'
,p_display_name=>'Icon Position'
,p_display_sequence=>50
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the position of the icon relative to the label.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653563692929514004)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the size of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653564087642514004)
,p_theme_id=>42
,p_name=>'SPACING_BOTTOM'
,p_display_name=>'Spacing Bottom'
,p_display_sequence=>100
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the bottom of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653564496986514005)
,p_theme_id=>42
,p_name=>'SPACING_LEFT'
,p_display_name=>'Spacing Left'
,p_display_sequence=>70
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the left of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653564845701514005)
,p_theme_id=>42
,p_name=>'SPACING_RIGHT'
,p_display_name=>'Spacing Right'
,p_display_sequence=>80
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the right of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653565289872514005)
,p_theme_id=>42
,p_name=>'SPACING_TOP'
,p_display_name=>'Spacing Top'
,p_display_sequence=>90
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the top of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653565661568514005)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>30
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the style of the button. Use the "Simple" option for secondary actions or sets of buttons. Use the "Remove UI Decoration" option to make the button appear as text.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653566043508514005)
,p_theme_id=>42
,p_name=>'TYPE'
,p_display_name=>'Type'
,p_display_sequence=>20
,p_template_types=>'BUTTON'
,p_null_text=>'Normal'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653566476765514006)
,p_theme_id=>42
,p_name=>'WIDTH'
,p_display_name=>'Width'
,p_display_sequence=>60
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the width of the button.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653566835448514006)
,p_theme_id=>42
,p_name=>'BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the bottom margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653567263584514006)
,p_theme_id=>42
,p_name=>'ITEM_POST_TEXT'
,p_display_name=>'Item Post Text'
,p_display_sequence=>30
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Post Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653567655313514006)
,p_theme_id=>42
,p_name=>'ITEM_PRE_TEXT'
,p_display_name=>'Item Pre Text'
,p_display_sequence=>20
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Pre Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653568047115514006)
,p_theme_id=>42
,p_name=>'LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the left margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653568400389514007)
,p_theme_id=>42
,p_name=>'PRESERVE_LABEL_SPACING'
,p_display_name=>'Preserve Label Spacing'
,p_display_sequence=>1
,p_template_types=>'FIELD'
,p_help_text=>'Preserves the label space and enables use of the Label Column Span property.'
,p_null_text=>'Yes'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653568810923514007)
,p_theme_id=>42
,p_name=>'RADIO_GROUP_DISPLAY'
,p_display_name=>'Item Group Display'
,p_display_sequence=>300
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for radio and check box items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653569227750514007)
,p_theme_id=>42
,p_name=>'RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'FIELD'
,p_help_text=>'Set the right margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653569600209514007)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653570032891514007)
,p_theme_id=>42
,p_name=>'TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'FIELD'
,p_help_text=>'Set the top margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653570431050514007)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>80
,p_template_types=>'LIST'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653570839494514008)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>70
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653571282763514008)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'LIST'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653571609485514008)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653572011333514008)
,p_theme_id=>42
,p_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_sequence=>90
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a desktop-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653572421560514008)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653572831734514009)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653573212701514009)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'LIST'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653573664546514009)
,p_theme_id=>42
,p_name=>'ICON_STYLE'
,p_display_name=>'Icon Style'
,p_display_sequence=>35
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653574078693514009)
,p_theme_id=>42
,p_name=>'LABEL_DISPLAY'
,p_display_name=>'Label Display'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653574430146514009)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653574811342514009)
,p_theme_id=>42
,p_name=>'MOBILE'
,p_display_name=>'Mobile'
,p_display_sequence=>100
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a mobile-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653575247203514010)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653575600182514010)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653576000208514010)
,p_theme_id=>42
,p_name=>'ACCENT'
,p_display_name=>'Accent'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_help_text=>'Set the Region''s accent. This accent corresponds to a Theme-Rollable color and sets the background of the Region''s Header.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653576437436514010)
,p_theme_id=>42
,p_name=>'ALERT_DISPLAY'
,p_display_name=>'Alert Display'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the layout of the Alert Region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653576895022514010)
,p_theme_id=>42
,p_name=>'ALERT_ICONS'
,p_display_name=>'Alert Icons'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets how icons are handled for the Alert Region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653577208260514011)
,p_theme_id=>42
,p_name=>'ALERT_TITLE'
,p_display_name=>'Alert Title'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the title of the alert is displayed.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653577642373514011)
,p_theme_id=>42
,p_name=>'ALERT_TYPE'
,p_display_name=>'Alert Type'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_help_text=>'Sets the type of alert which can be used to determine the icon, icon color, and the background color.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653578013876514011)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the animation when navigating within the Carousel Region.'
,p_null_text=>'Fade'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653578411743514011)
,p_theme_id=>42
,p_name=>'BODY_HEIGHT'
,p_display_name=>'Body Height'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body height. You can also specify a custom height by modifying the Region''s CSS Classes and using the height helper classes "i-hXXX" where XXX is any increment of 10 from 100 to 800.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653578803885514011)
,p_theme_id=>42
,p_name=>'BODY_OVERFLOW'
,p_display_name=>'Body Overflow'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the scroll behavior when the region contents are larger than their container.'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653579289353514011)
,p_theme_id=>42
,p_name=>'BODY_PADDING'
,p_display_name=>'Body Padding'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body padding for the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653579601215514012)
,p_theme_id=>42
,p_name=>'BODY_STYLE'
,p_display_name=>'Body Style'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the region''s body container.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653580073352514012)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_BUTTON_ICONS'
,p_display_name=>'Collapsible Button Icons'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines which arrows to use to represent the icons for the collapse and expand button.'
,p_null_text=>'Arrows'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653580441181514012)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_ICON_POSITION'
,p_display_name=>'Collapsible Icon Position'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the position of the expand and collapse toggle for the region.'
,p_null_text=>'Start'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653580800469514012)
,p_theme_id=>42
,p_name=>'DEFAULT_STATE'
,p_display_name=>'Default State'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the default state of the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653581251727514012)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Dialog Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653581655904514012)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON'
,p_display_name=>'Display Icon'
,p_display_sequence=>50
,p_template_types=>'REGION'
,p_help_text=>'Display the Hero Region icon.'
,p_null_text=>'Yes (Default)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653582086106514013)
,p_theme_id=>42
,p_name=>'HEADER'
,p_display_name=>'Header'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Determines the display of the Region Header which also contains the Region Title.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653582433348514013)
,p_theme_id=>42
,p_name=>'HIDE_STEPS_FOR'
,p_display_name=>'Hide Steps For'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653582804402514013)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REGION'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Rounded Corners'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653583284358514013)
,p_theme_id=>42
,p_name=>'ITEM_PADDING'
,p_display_name=>'Item Padding'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the padding around items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653583682558514013)
,p_theme_id=>42
,p_name=>'ITEM_SIZE'
,p_display_name=>'Item Size'
,p_display_sequence=>110
,p_template_types=>'REGION'
,p_help_text=>'Sets the size of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653584072218514014)
,p_theme_id=>42
,p_name=>'ITEM_WIDTH'
,p_display_name=>'Item Width'
,p_display_sequence=>120
,p_template_types=>'REGION'
,p_help_text=>'Sets the width of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653584476715514014)
,p_theme_id=>42
,p_name=>'LABEL_ALIGNMENT'
,p_display_name=>'Label Alignment'
,p_display_sequence=>130
,p_template_types=>'REGION'
,p_help_text=>'Set the label text alignment for items within this region.'
,p_null_text=>'Right'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653584896871514014)
,p_theme_id=>42
,p_name=>'LABEL_POSITION'
,p_display_name=>'Label Position'
,p_display_sequence=>140
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the label relative to the form item.'
,p_null_text=>'Inline - Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653585276502514014)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653585600881514014)
,p_theme_id=>42
,p_name=>'REGION_BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>210
,p_template_types=>'REGION'
,p_help_text=>'Set the bottom margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653586027341514015)
,p_theme_id=>42
,p_name=>'REGION_LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'REGION'
,p_help_text=>'Set the left margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653586447887514015)
,p_theme_id=>42
,p_name=>'REGION_RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'REGION'
,p_help_text=>'Set the right margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653586834331514015)
,p_theme_id=>42
,p_name=>'REGION_TITLE'
,p_display_name=>'Region Title'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the source of the Title Bar region''s title.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653587278027514015)
,p_theme_id=>42
,p_name=>'REGION_TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'REGION'
,p_help_text=>'Set the top margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653587619508514015)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the region is styled. Use the "Remove Borders" template option to remove the region''s borders and shadows.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653588080699514016)
,p_theme_id=>42
,p_name=>'TABS_SIZE'
,p_display_name=>'Tabs Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653588498386514016)
,p_theme_id=>42
,p_name=>'TAB_STYLE'
,p_display_name=>'Tab Style'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653588827622514016)
,p_theme_id=>42
,p_name=>'TIMER'
,p_display_name=>'Timer'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets the timer for when to automatically navigate to the next region within the Carousel Region.'
,p_null_text=>'No Timer'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653589243725514016)
,p_theme_id=>42
,p_name=>'ALTERNATING_ROWS'
,p_display_name=>'Alternating Rows'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Shades alternate rows in the report with slightly different background colors.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653589666367514016)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>70
,p_template_types=>'REPORT'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653590077301514016)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653590422973514017)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'REPORT'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653590899783514017)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653591283507514017)
,p_theme_id=>42
,p_name=>'COMMENTS_STYLE'
,p_display_name=>'Comments Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the style in which comments are displayed.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653591638152514017)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Controls how to handle icons in the report.'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653592035389514017)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REPORT'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653592488851514018)
,p_theme_id=>42
,p_name=>'LABEL_WIDTH'
,p_display_name=>'Label Width'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653592890039514018)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Determines the layout of Cards in the report.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653593225651514018)
,p_theme_id=>42
,p_name=>'PAGINATION_DISPLAY'
,p_display_name=>'Pagination Display'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of pagination for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653593662941514018)
,p_theme_id=>42
,p_name=>'REPORT_BORDER'
,p_display_name=>'Report Border'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of the Report''s borders.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653594051671514018)
,p_theme_id=>42
,p_name=>'ROW_HIGHLIGHTING'
,p_display_name=>'Row Highlighting'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Determines whether you want the row to be highlighted on hover.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653594472212514018)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>35
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_opt_group(
 p_id=>wwv_flow_api.id(653594851773514019)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the overall style for the component.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
end;
/
prompt --application/shared_components/user_interface/template_options
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551731810870596196)
,p_theme_id=>42
,p_name=>'ICONS_PLUS_OR_MINUS'
,p_display_name=>'Plus or Minus'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--hideShowIconsMath'
,p_group_id=>wwv_flow_api.id(653580073352514012)
,p_template_types=>'REGION'
,p_help_text=>'Use the plus and minus icons for the expand and collapse button.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551732581200596196)
,p_theme_id=>42
,p_name=>'CONRTOLS_POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--controlsPosEnd'
,p_group_id=>wwv_flow_api.id(653580441181514012)
,p_template_types=>'REGION'
,p_help_text=>'Position the expand / collapse button to the end of the region header.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551744636522596205)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551753118997596211)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551758041510596215)
,p_theme_id=>42
,p_name=>'REMOVE_PAGE_OVERLAY'
,p_display_name=>'Remove Page Overlay'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'js-popup-noOverlay'
,p_template_types=>'REGION'
,p_help_text=>'This option will display the inline dialog without an overlay on the background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551758495527596215)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551803707438596251)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_api.id(653573212701514009)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551820318735596266)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_api.id(653573212701514009)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551829107552596274)
,p_theme_id=>42
,p_name=>'STYLE_A'
,p_display_name=>'Style A'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643836619930161543)
,p_css_classes=>'t-TreeNav--styleA'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation A'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551829822608596277)
,p_theme_id=>42
,p_name=>'STYLE_B'
,p_display_name=>'Style B'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643836619930161543)
,p_css_classes=>'t-TreeNav--styleB'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation B'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551830558557596278)
,p_theme_id=>42
,p_name=>'STYLE_C'
,p_display_name=>'Classic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643836619930161543)
,p_css_classes=>'t-TreeNav--classic'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'Classic Style'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551842692442596287)
,p_theme_id=>42
,p_name=>'WIZARD_PROGRESS_LINKS'
,p_display_name=>'Make Wizard Steps Clickable'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643838017931161545)
,p_css_classes=>'js-wizardProgressLinks'
,p_template_types=>'LIST'
,p_help_text=>'This option will make the wizard steps clickable links.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551855969849596300)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_api.id(653592035389514017)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551868906517596313)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643825994842161527)
,p_css_classes=>'t-Comments--iconsSquare'
,p_group_id=>wwv_flow_api.id(653592035389514017)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551871737799596315)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_api.id(653592035389514017)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551897193126596344)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(31643839184700161549)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_api.id(653562853866514004)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551897813837596354)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(31643839184700161549)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_api.id(653562853866514004)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551899848697596356)
,p_theme_id=>42
,p_name=>'HIDE_LABEL_ON_MOBILE'
,p_display_name=>'Hide Label on Mobile'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(31643839365856161549)
,p_css_classes=>'t-Button--mobileHideLabel'
,p_template_types=>'BUTTON'
,p_help_text=>'This template options hides the button label on small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551900599975596357)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(31643839365856161549)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_api.id(653562853866514004)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(551901235187596357)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(31643839365856161549)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_api.id(653562853866514004)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621832660518853546)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(31643797966981161481)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621841853649853552)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(31643798811001161486)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621852979911853559)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(31643800144277161488)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621860315734853564)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(31643801162683161489)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621864029944853566)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(31643801972030161490)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621872499018853571)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(31643802496484161492)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621879826770853576)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_api.id(31643803401376161492)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621883515586853578)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_api.id(31643804102198161493)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621897123421853590)
,p_theme_id=>42
,p_name=>'STICK_TO_BOTTOM'
,p_display_name=>'Stick to Bottom for Mobile'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643806817042161501)
,p_css_classes=>'t-ButtonRegion--stickToBottom'
,p_template_types=>'REGION'
,p_help_text=>'This will position the button container region to the bottom of the screen for small screens.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621902307048853594)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621944425058853628)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621967533114853643)
,p_theme_id=>42
,p_name=>'USE_COMPACT_STYLE'
,p_display_name=>'Use Compact Style'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643820811518161516)
,p_css_classes=>'t-BreadcrumbRegion--compactTitle'
,p_template_types=>'REGION'
,p_help_text=>'Uses a compact style for the breadcrumbs.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621972966207853647)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621973692709853648)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621974433463853648)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621984371801853656)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(621985088667853657)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622007379429853674)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643836457594161542)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Enables you to define a keyboard shortcut to activate the menu item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622008677920853675)
,p_theme_id=>42
,p_name=>'COLLAPSED_DEFAULT'
,p_display_name=>'Collapsed by Default'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643836619930161543)
,p_css_classes=>'js-defaultCollapsed'
,p_template_types=>'LIST'
,p_help_text=>'This option will load the side navigation menu in a collapsed state by default.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622018253436853683)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_SM'
,p_display_name=>'Display labels'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(622017700972853682)
,p_css_classes=>'t-NavTabs--displayLabels-sm'
,p_group_id=>wwv_flow_api.id(653574811342514009)
,p_template_types=>'LIST'
,p_help_text=>'Displays the label for the list items below the icon'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622018577651853683)
,p_theme_id=>42
,p_name=>'NO_LABEL_LG'
,p_display_name=>'Do not display labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(622017700972853682)
,p_css_classes=>'t-NavTabs--hiddenLabels-lg'
,p_group_id=>wwv_flow_api.id(653572011333514008)
,p_template_types=>'LIST'
,p_help_text=>'Hides the label for the list item'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622019050839853685)
,p_theme_id=>42
,p_name=>'HIDE_LABELS_SM'
,p_display_name=>'Do not display labels'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(622017700972853682)
,p_css_classes=>'t-NavTabs--hiddenLabels-sm'
,p_group_id=>wwv_flow_api.id(653574811342514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622019409093853685)
,p_theme_id=>42
,p_name=>'LABEL_INLINE_LG'
,p_display_name=>'Display labels inline'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(622017700972853682)
,p_css_classes=>'t-NavTabs--inlineLabels-lg'
,p_group_id=>wwv_flow_api.id(653572011333514008)
,p_template_types=>'LIST'
,p_help_text=>'Display the label inline with the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622019796247853685)
,p_theme_id=>42
,p_name=>'LABEL_ABOVE_LG'
,p_display_name=>'Display labels above'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(622017700972853682)
,p_css_classes=>'t-NavTabs--stacked'
,p_group_id=>wwv_flow_api.id(653572011333514008)
,p_template_types=>'LIST'
,p_help_text=>'Display the label stacked above the icon and badge'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622021132217853687)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622021779018853688)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622022500254853688)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622032777050853697)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622033164606853698)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622063674237853720)
,p_theme_id=>42
,p_name=>'2_COLUMN_GRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622064067867853720)
,p_theme_id=>42
,p_name=>'3_COLUMN_GRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622064518287853720)
,p_theme_id=>42
,p_name=>'4_COLUMN_GRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622064925685853721)
,p_theme_id=>42
,p_name=>'5_COLUMN_GRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622065345315853721)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622065702900853721)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(653594472212514018)
,p_template_types=>'REPORT'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622066106848853721)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622066528851853721)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622066871602853722)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622067319796853722)
,p_theme_id=>42
,p_name=>'STACK'
,p_display_name=>'Stack'
,p_display_sequence=>5
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--stack'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(622067675747853722)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653615899717514033)
,p_theme_id=>42
,p_name=>'FBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(653566835448514006)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653616513057514034)
,p_theme_id=>42
,p_name=>'RBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_api.id(653585600881514014)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653617238392514034)
,p_theme_id=>42
,p_name=>'FBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(653566835448514006)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653617943661514034)
,p_theme_id=>42
,p_name=>'RBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_api.id(653585600881514014)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653618659396514035)
,p_theme_id=>42
,p_name=>'FBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(653566835448514006)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653619395161514035)
,p_theme_id=>42
,p_name=>'RBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_api.id(653585600881514014)
,p_template_types=>'REGION'
,p_help_text=>'Removes the bottom margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653620001853514036)
,p_theme_id=>42
,p_name=>'FBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(653566835448514006)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small bottom margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653620703483514036)
,p_theme_id=>42
,p_name=>'RBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_api.id(653585600881514014)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small bottom margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653621460830514036)
,p_theme_id=>42
,p_name=>'FLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(653568047115514006)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653622136058514037)
,p_theme_id=>42
,p_name=>'RLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_api.id(653586027341514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653622832396514037)
,p_theme_id=>42
,p_name=>'FLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(653568047115514006)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653623527518514038)
,p_theme_id=>42
,p_name=>'RLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_api.id(653586027341514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653624297120514038)
,p_theme_id=>42
,p_name=>'FLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(653568047115514006)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653624934459514039)
,p_theme_id=>42
,p_name=>'RLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_api.id(653586027341514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes the left margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653625643849514039)
,p_theme_id=>42
,p_name=>'FLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(653568047115514006)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small left margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653626323908514039)
,p_theme_id=>42
,p_name=>'RLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_api.id(653586027341514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small left margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653627063860514040)
,p_theme_id=>42
,p_name=>'FRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(653569227750514007)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653627782691514040)
,p_theme_id=>42
,p_name=>'RRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_api.id(653586447887514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653628413245514041)
,p_theme_id=>42
,p_name=>'FRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(653569227750514007)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653629129253514041)
,p_theme_id=>42
,p_name=>'RRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_api.id(653586447887514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653629837676514042)
,p_theme_id=>42
,p_name=>'FRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(653569227750514007)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653630563790514042)
,p_theme_id=>42
,p_name=>'RRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_api.id(653586447887514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes the right margin from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653631220028514042)
,p_theme_id=>42
,p_name=>'FRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(653569227750514007)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small right margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653631935309514043)
,p_theme_id=>42
,p_name=>'RRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_api.id(653586447887514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small right margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653632605582514043)
,p_theme_id=>42
,p_name=>'FTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(653570032891514007)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653633324111514044)
,p_theme_id=>42
,p_name=>'RTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_api.id(653587278027514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large top margin to the region.'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653634065305514044)
,p_theme_id=>42
,p_name=>'FTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(653570032891514007)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653634738625514044)
,p_theme_id=>42
,p_name=>'RTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_api.id(653587278027514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653635493177514045)
,p_theme_id=>42
,p_name=>'FTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(653570032891514007)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653636190004514045)
,p_theme_id=>42
,p_name=>'RTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_api.id(653587278027514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes the top margin for this region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653636811217514046)
,p_theme_id=>42
,p_name=>'FTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(653570032891514007)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small top margin for this field.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653637534868514046)
,p_theme_id=>42
,p_name=>'RTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_api.id(653587278027514015)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small top margin to the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653638279918514046)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>30
,p_css_classes=>'t-Button--danger'
,p_group_id=>wwv_flow_api.id(653566043508514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653638941390514047)
,p_theme_id=>42
,p_name=>'LARGEBOTTOMMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapBottom'
,p_group_id=>wwv_flow_api.id(653564087642514004)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653639691462514047)
,p_theme_id=>42
,p_name=>'LARGELEFTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapLeft'
,p_group_id=>wwv_flow_api.id(653564496986514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653640390126514048)
,p_theme_id=>42
,p_name=>'LARGERIGHTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapRight'
,p_group_id=>wwv_flow_api.id(653564845701514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653641058259514048)
,p_theme_id=>42
,p_name=>'LARGETOPMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapTop'
,p_group_id=>wwv_flow_api.id(653565289872514005)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653641738673514049)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_css_classes=>'t-Button--large'
,p_group_id=>wwv_flow_api.id(653563692929514004)
,p_template_types=>'BUTTON'
,p_help_text=>'A large button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653642442153514049)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_LINK'
,p_display_name=>'Display as Link'
,p_display_sequence=>30
,p_css_classes=>'t-Button--link'
,p_group_id=>wwv_flow_api.id(653565661568514005)
,p_template_types=>'BUTTON'
,p_help_text=>'This option makes the button appear as a text link.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653643192031514049)
,p_theme_id=>42
,p_name=>'NOUI'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>20
,p_css_classes=>'t-Button--noUI'
,p_group_id=>wwv_flow_api.id(653565661568514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653643850352514050)
,p_theme_id=>42
,p_name=>'SMALLBOTTOMMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padBottom'
,p_group_id=>wwv_flow_api.id(653564087642514004)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653644558615514050)
,p_theme_id=>42
,p_name=>'SMALLLEFTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padLeft'
,p_group_id=>wwv_flow_api.id(653564496986514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653645287844514051)
,p_theme_id=>42
,p_name=>'SMALLRIGHTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padRight'
,p_group_id=>wwv_flow_api.id(653564845701514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653645965694514051)
,p_theme_id=>42
,p_name=>'SMALLTOPMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padTop'
,p_group_id=>wwv_flow_api.id(653565289872514005)
,p_template_types=>'BUTTON'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653646650965514052)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Inner Button'
,p_display_sequence=>20
,p_css_classes=>'t-Button--pill'
,p_group_id=>wwv_flow_api.id(653562416683514004)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653647352164514052)
,p_theme_id=>42
,p_name=>'PILLEND'
,p_display_name=>'Last Button'
,p_display_sequence=>30
,p_css_classes=>'t-Button--pillEnd'
,p_group_id=>wwv_flow_api.id(653562416683514004)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653648037410514052)
,p_theme_id=>42
,p_name=>'PILLSTART'
,p_display_name=>'First Button'
,p_display_sequence=>10
,p_css_classes=>'t-Button--pillStart'
,p_group_id=>wwv_flow_api.id(653562416683514004)
,p_template_types=>'BUTTON'
,p_help_text=>'Use this for the start of a pill button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653648778149514053)
,p_theme_id=>42
,p_name=>'PRIMARY'
,p_display_name=>'Primary'
,p_display_sequence=>10
,p_css_classes=>'t-Button--primary'
,p_group_id=>wwv_flow_api.id(653566043508514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653649403597514053)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_css_classes=>'t-Button--simple'
,p_group_id=>wwv_flow_api.id(653565661568514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653650194478514053)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'t-Button--small'
,p_group_id=>wwv_flow_api.id(653563692929514004)
,p_template_types=>'BUTTON'
,p_help_text=>'A small button.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653650815047514054)
,p_theme_id=>42
,p_name=>'STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>10
,p_css_classes=>'t-Button--stretch'
,p_group_id=>wwv_flow_api.id(653566476765514006)
,p_template_types=>'BUTTON'
,p_help_text=>'Stretches button to fill container'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653651568569514054)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_css_classes=>'t-Button--success'
,p_group_id=>wwv_flow_api.id(653566043508514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653652277334514055)
,p_theme_id=>42
,p_name=>'TINY'
,p_display_name=>'Tiny'
,p_display_sequence=>10
,p_css_classes=>'t-Button--tiny'
,p_group_id=>wwv_flow_api.id(653563692929514004)
,p_template_types=>'BUTTON'
,p_help_text=>'A very small button.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653652966599514055)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>20
,p_css_classes=>'t-Button--warning'
,p_group_id=>wwv_flow_api.id(653566043508514005)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653653653957514059)
,p_theme_id=>42
,p_name=>'SHOWFORMLABELSABOVE'
,p_display_name=>'Show Form Labels Above'
,p_display_sequence=>10
,p_css_classes=>'t-Form--labelsAbove'
,p_group_id=>wwv_flow_api.id(653584896871514014)
,p_template_types=>'REGION'
,p_help_text=>'Show form labels above input fields.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653654377237514059)
,p_theme_id=>42
,p_name=>'FORMSIZELARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form--large'
,p_group_id=>wwv_flow_api.id(653583682558514013)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653655098121514060)
,p_theme_id=>42
,p_name=>'FORMLEFTLABELS'
,p_display_name=>'Left'
,p_display_sequence=>20
,p_css_classes=>'t-Form--leftLabels'
,p_group_id=>wwv_flow_api.id(653584476715514014)
,p_template_types=>'REGION'
,p_help_text=>'Align form labels to left.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653655756862514060)
,p_theme_id=>42
,p_name=>'FORMREMOVEPADDING'
,p_display_name=>'Remove Padding'
,p_display_sequence=>20
,p_css_classes=>'t-Form--noPadding'
,p_group_id=>wwv_flow_api.id(653583284358514013)
,p_template_types=>'REGION'
,p_help_text=>'Removes padding between items.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653656464467514061)
,p_theme_id=>42
,p_name=>'FORMSLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>10
,p_css_classes=>'t-Form--slimPadding'
,p_group_id=>wwv_flow_api.id(653583284358514013)
,p_template_types=>'REGION'
,p_help_text=>'Reduces form item padding to 4px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653657195756514061)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_FIELDS'
,p_display_name=>'Stretch Form Fields'
,p_display_sequence=>10
,p_css_classes=>'t-Form--stretchInputs'
,p_group_id=>wwv_flow_api.id(653584072218514014)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653657820588514061)
,p_theme_id=>42
,p_name=>'FORMSIZEXLARGE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form--xlarge'
,p_group_id=>wwv_flow_api.id(653583682558514013)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653658563632514062)
,p_theme_id=>42
,p_name=>'LARGE_FIELD'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--large'
,p_group_id=>wwv_flow_api.id(653569600209514007)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653659212075514062)
,p_theme_id=>42
,p_name=>'POST_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--postTextBlock'
,p_group_id=>wwv_flow_api.id(653567263584514006)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Post Text in a block style immediately after the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653659973629514063)
,p_theme_id=>42
,p_name=>'PRE_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--preTextBlock'
,p_group_id=>wwv_flow_api.id(653567655313514006)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Pre Text in a block style immediately before the item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653660617469514063)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_PILL_BUTTON'
,p_display_name=>'Display as Pill Button'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--radioButtonGroup'
,p_group_id=>wwv_flow_api.id(653568810923514007)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the radio buttons to look like a button set / pill button.  Note that the the radio buttons must all be in the same row for this option to work.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653661048115514063)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_ITEM'
,p_display_name=>'Stretch Form Item'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--stretchInputs'
,p_template_types=>'FIELD'
,p_help_text=>'Stretches the form item to fill its container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653661733196514064)
,p_theme_id=>42
,p_name=>'X_LARGE_SIZE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--xlarge'
,p_group_id=>wwv_flow_api.id(653569600209514007)
,p_template_types=>'FIELD'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653662454493514064)
,p_theme_id=>42
,p_name=>'HIDE_WHEN_ALL_ROWS_DISPLAYED'
,p_display_name=>'Hide when all rows displayed'
,p_display_sequence=>10
,p_css_classes=>'t-Report--hideNoPagination'
,p_group_id=>wwv_flow_api.id(653593225651514018)
,p_template_types=>'REPORT'
,p_help_text=>'This option will hide the pagination when all rows are displayed.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653769240066514143)
,p_theme_id=>42
,p_name=>'ICONS_CIRCULAR'
,p_display_name=>'Circle'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643814263074161510)
,p_css_classes=>'t-HeroRegion--iconsCircle'
,p_group_id=>wwv_flow_api.id(653582804402514013)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a circle.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653769975467514143)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643814263074161510)
,p_css_classes=>'t-HeroRegion--iconsSquare'
,p_group_id=>wwv_flow_api.id(653582804402514013)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a square.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653824374723514185)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_api.id(653573212701514009)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653841536224514199)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_api.id(653573212701514009)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653875272859514223)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_api.id(653592035389514017)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653888768937514235)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643825994842161527)
,p_css_classes=>'t-Comments--iconsRounded'
,p_group_id=>wwv_flow_api.id(653592035389514017)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(653892195867514237)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(622063200436853720)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_api.id(653592035389514017)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(659832220899836134)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(659832601115836135)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(659832995664836136)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(659833436018836137)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(659835568546861991)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(659831297558836131)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(28066373013307601780)
,p_theme_id=>42
,p_name=>'VERTICAL'
,p_display_name=>'Vertical'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(28066370677187565146)
,p_css_classes=>'js-vertical'
,p_template_types=>'REGION'
,p_help_text=>'If not vertical then horizontal'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(28066447805327269928)
,p_theme_id=>42
,p_name=>'COLLAPSE_TO_END'
,p_display_name=>'Collapse To End'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(28066370677187565146)
,p_css_classes=>'js-toEnd'
,p_template_types=>'REGION'
,p_help_text=>'Collapse to end. Otherwise Collapse to begin.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643802347172161491)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_api.id(31643801972030161490)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643804594386161494)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_api.id(31643804102198161493)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643804821504161497)
,p_theme_id=>42
,p_name=>'COLOREDBACKGROUND'
,p_display_name=>'Highlight Background'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--colorBG'
,p_template_types=>'REGION'
,p_help_text=>'Set alert background color to that of the alert type (warning, success, etc.)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805065489161499)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--danger'
,p_group_id=>wwv_flow_api.id(653577642373514011)
,p_template_types=>'REGION'
,p_help_text=>'Show an error or danger alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805294958161499)
,p_theme_id=>42
,p_name=>'HIDDENHEADER'
,p_display_name=>'Hidden but Accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--accessibleHeading'
,p_group_id=>wwv_flow_api.id(653577208260514011)
,p_template_types=>'REGION'
,p_help_text=>'Visually hides the alert title, but assistive technologies can still read it.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805319247161499)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--removeHeading'
,p_group_id=>wwv_flow_api.id(653577208260514011)
,p_template_types=>'REGION'
,p_help_text=>'Hides the Alert Title from being displayed.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805530946161500)
,p_theme_id=>42
,p_name=>'HIDE_ICONS'
,p_display_name=>'Hide Icons'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--noIcon'
,p_group_id=>wwv_flow_api.id(653576895022514010)
,p_template_types=>'REGION'
,p_help_text=>'Hides alert icons'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805722796161500)
,p_theme_id=>42
,p_name=>'HORIZONTAL'
,p_display_name=>'Horizontal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--horizontal'
,p_group_id=>wwv_flow_api.id(653576437436514010)
,p_template_types=>'REGION'
,p_help_text=>'Show horizontal alert with buttons to the right.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805890969161500)
,p_theme_id=>42
,p_name=>'INFORMATION'
,p_display_name=>'Information'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--info'
,p_group_id=>wwv_flow_api.id(653577642373514011)
,p_template_types=>'REGION'
,p_help_text=>'Show informational alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643805930681161500)
,p_theme_id=>42
,p_name=>'SHOW_CUSTOM_ICONS'
,p_display_name=>'Show Custom Icons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--customIcons'
,p_group_id=>wwv_flow_api.id(653576895022514010)
,p_template_types=>'REGION'
,p_help_text=>'Set custom icons by modifying the Alert Region''s Icon CSS Classes property.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643806080857161500)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--success'
,p_group_id=>wwv_flow_api.id(653577642373514011)
,p_template_types=>'REGION'
,p_help_text=>'Show success alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643806190824161500)
,p_theme_id=>42
,p_name=>'USEDEFAULTICONS'
,p_display_name=>'Show Default Icons'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--defaultIcons'
,p_group_id=>wwv_flow_api.id(653576895022514010)
,p_template_types=>'REGION'
,p_help_text=>'Uses default icons for alert types.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643806297120161500)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--warning'
,p_group_id=>wwv_flow_api.id(653577642373514011)
,p_template_types=>'REGION'
,p_help_text=>'Show a warning alert.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643806385163161500)
,p_theme_id=>42
,p_name=>'WIZARD'
,p_display_name=>'Wizard'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643804678700161494)
,p_css_classes=>'t-Alert--wizard'
,p_group_id=>wwv_flow_api.id(653576437436514010)
,p_template_types=>'REGION'
,p_help_text=>'Show the alert in a wizard style region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643807291211161501)
,p_theme_id=>42
,p_name=>'BORDERLESS'
,p_display_name=>'Borderless'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643806817042161501)
,p_css_classes=>'t-ButtonRegion--noBorder'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643807489406161502)
,p_theme_id=>42
,p_name=>'NOPADDING'
,p_display_name=>'No Padding'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_api.id(31643806817042161501)
,p_css_classes=>'t-ButtonRegion--noPadding'
,p_group_id=>wwv_flow_api.id(653579289353514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643807574197161502)
,p_theme_id=>42
,p_name=>'REMOVEUIDECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>4
,p_region_template_id=>wwv_flow_api.id(31643806817042161501)
,p_css_classes=>'t-ButtonRegion--noUI'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643807611473161502)
,p_theme_id=>42
,p_name=>'SLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_api.id(31643806817042161501)
,p_css_classes=>'t-ButtonRegion--slimPadding'
,p_group_id=>wwv_flow_api.id(653579289353514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808178541161503)
,p_theme_id=>42
,p_name=>'10_SECONDS'
,p_display_name=>'10 Seconds'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'js-cycle10s'
,p_group_id=>wwv_flow_api.id(653588827622514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808278784161503)
,p_theme_id=>42
,p_name=>'15_SECONDS'
,p_display_name=>'15 Seconds'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'js-cycle15s'
,p_group_id=>wwv_flow_api.id(653588827622514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808313402161503)
,p_theme_id=>42
,p_name=>'20_SECONDS'
,p_display_name=>'20 Seconds'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'js-cycle20s'
,p_group_id=>wwv_flow_api.id(653588827622514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808576093161503)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808614054161503)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808788516161503)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808881274161504)
,p_theme_id=>42
,p_name=>'5_SECONDS'
,p_display_name=>'5 Seconds'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'js-cycle5s'
,p_group_id=>wwv_flow_api.id(653588827622514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643808967194161504)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809143503161504)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809205376161504)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809312906161504)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809405223161504)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809544709161504)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809758842161504)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(653582086106514013)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643809993181161505)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(653578803885514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810070439161505)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(653582086106514013)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810174802161505)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810246792161505)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810308590161505)
,p_theme_id=>42
,p_name=>'REMEMBER_CAROUSEL_SLIDE'
,p_display_name=>'Remember Carousel Slide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810410730161505)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(653578803885514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810585038161506)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810648968161506)
,p_theme_id=>42
,p_name=>'SHOW_NEXT_AND_PREVIOUS_BUTTONS'
,p_display_name=>'Show Next and Previous Buttons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--showCarouselControls'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810894938161507)
,p_theme_id=>42
,p_name=>'SLIDE'
,p_display_name=>'Slide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--carouselSlide'
,p_group_id=>wwv_flow_api.id(653578013876514011)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643810958103161507)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--carouselSpin'
,p_group_id=>wwv_flow_api.id(653578013876514011)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811076052161507)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643807755640161502)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811432551161507)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811532365161507)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811698362161507)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 480px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811750953161507)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 640px.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811850026161507)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643811932836161507)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812031120161507)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812105254161508)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812216539161508)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812432355161508)
,p_theme_id=>42
,p_name=>'COLLAPSED'
,p_display_name=>'Collapsed'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'is-collapsed'
,p_group_id=>wwv_flow_api.id(653580800469514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812574503161508)
,p_theme_id=>42
,p_name=>'EXPANDED'
,p_display_name=>'Expanded'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'is-expanded'
,p_group_id=>wwv_flow_api.id(653580800469514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812630150161508)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(653578803885514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812779132161508)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812819659161508)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643812956940161508)
,p_theme_id=>42
,p_name=>'REMEMBER_COLLAPSIBLE_STATE'
,p_display_name=>'Remember Collapsible State'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
,p_help_text=>'This option saves the current state of the collapsible region for the duration of the session.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813095884161508)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813105028161509)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(653578803885514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813263814161509)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643811190226161507)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813415304161509)
,p_theme_id=>42
,p_name=>'ADD_BODY_PADDING'
,p_display_name=>'Add Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--padded'
,p_template_types=>'REGION'
,p_help_text=>'Adds padding to the region''s body container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813676373161509)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H1'
,p_display_name=>'Heading Level 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--h1'
,p_group_id=>wwv_flow_api.id(653586834331514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813762787161509)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H2'
,p_display_name=>'Heading Level 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--h2'
,p_group_id=>wwv_flow_api.id(653586834331514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643813825966161510)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H3'
,p_display_name=>'Heading Level 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--h3'
,p_group_id=>wwv_flow_api.id(653586834331514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643814010866161510)
,p_theme_id=>42
,p_name=>'LIGHT_BACKGROUND'
,p_display_name=>'Light Background'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--lightBG'
,p_group_id=>wwv_flow_api.id(653579601215514012)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly lighter background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643814134548161510)
,p_theme_id=>42
,p_name=>'SHADOW_BACKGROUND'
,p_display_name=>'Shadow Background'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643813391525161509)
,p_css_classes=>'t-ContentBlock--shadowBG'
,p_group_id=>wwv_flow_api.id(653579601215514012)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly darker background.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643814576345161510)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON_NO'
,p_display_name=>'No'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643814263074161510)
,p_css_classes=>'t-HeroRegion--hideIcon'
,p_group_id=>wwv_flow_api.id(653581655904514012)
,p_template_types=>'REGION'
,p_help_text=>'Hide the Hero Region icon.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643814656723161510)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643814263074161510)
,p_css_classes=>'t-HeroRegion--featured'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643814790647161510)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643814263074161510)
,p_css_classes=>'t-HeroRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the hero region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643814883140161511)
,p_theme_id=>42
,p_name=>'STACKED_FEATURED'
,p_display_name=>'Stacked Featured'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643814263074161510)
,p_css_classes=>'t-HeroRegion--featured t-HeroRegion--centered'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815115944161511)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815293895161511)
,p_theme_id=>42
,p_name=>'DRAGGABLE'
,p_display_name=>'Draggable'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-draggable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815486701161511)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815518249161511)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815662502161511)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815763835161511)
,p_theme_id=>42
,p_name=>'RESIZABLE'
,p_display_name=>'Resizable'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-resizable'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643815857545161511)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643814967046161511)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_api.id(653581251727514012)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643816085131161512)
,p_theme_id=>42
,p_name=>'REMOVEBORDERS'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643815979975161511)
,p_css_classes=>'t-IRR-region--noBorders'
,p_template_types=>'REGION'
,p_help_text=>'Removes borders around the Interactive Report'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643816153014161512)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643815979975161511)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Interactive Reports toolbar to maximize the report. Clicking this button will toggle the maximize state and stretch the report to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643816762747161512)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643816829750161512)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643816985605161512)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817077755161513)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_api.id(653578411743514011)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817132632161513)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817212302161513)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817357406161513)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817475886161513)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817538232161513)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817655315161513)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817799748161513)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817875851161513)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643817976212161513)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818008920161513)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818104645161513)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818279114161513)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818358563161513)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818441419161514)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818573898161514)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_api.id(653576000208514010)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818695706161514)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_api.id(653582086106514013)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818786518161514)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_api.id(653578803885514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818819671161514)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_api.id(653582086106514013)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643818902512161514)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643819023199161514)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643819185146161514)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643819242056161514)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_api.id(653578803885514011)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643819317814161514)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643819418840161514)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643819596268161514)
,p_theme_id=>42
,p_name=>'TEXT_CONTENT'
,p_display_name=>'Text Content'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_api.id(31643816495903161512)
,p_css_classes=>'t-Region--textContent'
,p_group_id=>wwv_flow_api.id(653587619508514015)
,p_template_types=>'REGION'
,p_help_text=>'Useful for displaying primarily text-based content, such as FAQs and more.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820097188161515)
,p_theme_id=>42
,p_name=>'FILL_TAB_LABELS'
,p_display_name=>'Fill Tab Labels'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643819619236161515)
,p_css_classes=>'t-TabsRegion-mod--fillLabels'
,p_group_id=>wwv_flow_api.id(653585276502514014)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820229744161515)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643819619236161515)
,p_css_classes=>'t-TabsRegion-mod--pill'
,p_group_id=>wwv_flow_api.id(653588498386514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820333104161515)
,p_theme_id=>42
,p_name=>'REMEMBER_ACTIVE_TAB'
,p_display_name=>'Remember Active Tab'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643819619236161515)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820492368161515)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643819619236161515)
,p_css_classes=>'t-TabsRegion-mod--simple'
,p_group_id=>wwv_flow_api.id(653588498386514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820701728161515)
,p_theme_id=>42
,p_name=>'TABSLARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643819619236161515)
,p_css_classes=>'t-TabsRegion-mod--large'
,p_group_id=>wwv_flow_api.id(653588080699514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820715481161516)
,p_theme_id=>42
,p_name=>'TABS_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643819619236161515)
,p_css_classes=>'t-TabsRegion-mod--small'
,p_group_id=>wwv_flow_api.id(653588080699514016)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643820903551161516)
,p_theme_id=>42
,p_name=>'GET_TITLE_FROM_BREADCRUMB'
,p_display_name=>'Use Current Breadcrumb Entry'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643820811518161516)
,p_css_classes=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_group_id=>wwv_flow_api.id(653586834331514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643821017810161516)
,p_theme_id=>42
,p_name=>'HIDE_BREADCRUMB'
,p_display_name=>'Show Breadcrumbs'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643820811518161516)
,p_css_classes=>'t-BreadcrumbRegion--showBreadcrumb'
,p_template_types=>'REGION'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643821128514161516)
,p_theme_id=>42
,p_name=>'REGION_HEADER_VISIBLE'
,p_display_name=>'Use Region Title'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_api.id(31643820811518161516)
,p_css_classes=>'t-BreadcrumbRegion--useRegionTitle'
,p_group_id=>wwv_flow_api.id(653586834331514015)
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643821590640161517)
,p_theme_id=>42
,p_name=>'HIDESMALLSCREENS'
,p_display_name=>'Small Screens (Tablet)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_api.id(31643821285969161516)
,p_css_classes=>'t-Wizard--hideStepsSmall'
,p_group_id=>wwv_flow_api.id(653582433348514013)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643821672385161517)
,p_theme_id=>42
,p_name=>'HIDEXSMALLSCREENS'
,p_display_name=>'X Small Screens (Mobile)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643821285969161516)
,p_css_classes=>'t-Wizard--hideStepsXSmall'
,p_group_id=>wwv_flow_api.id(653582433348514013)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643821704587161517)
,p_theme_id=>42
,p_name=>'SHOW_TITLE'
,p_display_name=>'Show Title'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_api.id(31643821285969161516)
,p_css_classes=>'t-Wizard--showTitle'
,p_template_types=>'REGION'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822125616161518)
,p_theme_id=>42
,p_name=>'128PX'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(653590077301514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822397267161518)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822440110161518)
,p_theme_id=>42
,p_name=>'32PX'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(653590077301514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822579011161519)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822699762161519)
,p_theme_id=>42
,p_name=>'48PX'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(653590077301514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822789593161519)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822809842161519)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643822947673161519)
,p_theme_id=>42
,p_name=>'64PX'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(653590077301514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823031382161519)
,p_theme_id=>42
,p_name=>'96PX'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(653590077301514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823157174161519)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823294906161519)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823376405161519)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823501939161519)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643821932372161518)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823725756161520)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>15
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643823974545161520)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(653590422973514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824037061161524)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824102276161524)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(653590422973514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824257891161525)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824366744161525)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(653590422973514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824434423161525)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824607355161525)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824872205161525)
,p_theme_id=>42
,p_name=>'CARDS_COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(653589666367514016)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643824905074161526)
,p_theme_id=>42
,p_name=>'CARD_RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(653589666367514016)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825044110161526)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825268366161526)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(653591638152514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825317400161526)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(653591638152514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825481422161526)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825580332161526)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825700627161526)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(653590422973514017)
,p_template_types=>'REPORT'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825720189161526)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643825825854161526)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643823692631161520)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643826152371161527)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643825994842161527)
,p_css_classes=>'t-Comments--basic'
,p_group_id=>wwv_flow_api.id(653591283507514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643826286867161527)
,p_theme_id=>42
,p_name=>'SPEECH_BUBBLES'
,p_display_name=>'Speech Bubbles'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643825994842161527)
,p_css_classes=>'t-Comments--chat'
,p_group_id=>wwv_flow_api.id(653591283507514017)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643826618051161528)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--staticRowColors'
,p_group_id=>wwv_flow_api.id(653589243725514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643826769364161528)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--altRowsDefault'
,p_group_id=>wwv_flow_api.id(653589243725514016)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643826987503161528)
,p_theme_id=>42
,p_name=>'ENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--rowHighlight'
,p_group_id=>wwv_flow_api.id(653594051671514018)
,p_template_types=>'REPORT'
,p_help_text=>'Enable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827149488161528)
,p_theme_id=>42
,p_name=>'HORIZONTALBORDERS'
,p_display_name=>'Horizontal Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--horizontalBorders'
,p_group_id=>wwv_flow_api.id(653593662941514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827247969161528)
,p_theme_id=>42
,p_name=>'REMOVEALLBORDERS'
,p_display_name=>'No Borders'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--noBorders'
,p_group_id=>wwv_flow_api.id(653593662941514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827340248161528)
,p_theme_id=>42
,p_name=>'REMOVEOUTERBORDERS'
,p_display_name=>'No Outer Borders'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--inline'
,p_group_id=>wwv_flow_api.id(653593662941514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827464279161528)
,p_theme_id=>42
,p_name=>'ROWHIGHLIGHTDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--rowHighlightOff'
,p_group_id=>wwv_flow_api.id(653594051671514018)
,p_template_types=>'REPORT'
,p_help_text=>'Disable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827586315161529)
,p_theme_id=>42
,p_name=>'STRETCHREPORT'
,p_display_name=>'Stretch Report'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--stretch'
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827659535161529)
,p_theme_id=>42
,p_name=>'VERTICALBORDERS'
,p_display_name=>'Vertical Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643826447390161527)
,p_css_classes=>'t-Report--verticalBorders'
,p_group_id=>wwv_flow_api.id(653593662941514018)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643827813234161529)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_api.id(31643827796621161529)
,p_css_classes=>'t-Timeline--compact'
,p_group_id=>wwv_flow_api.id(653594851773514019)
,p_template_types=>'REPORT'
,p_help_text=>'Displays a compact version of timeline with smaller text and fewer columns.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828167776161529)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828209862161530)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828319892161530)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828447327161530)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828581249161530)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828611010161530)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828715155161530)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643828805240161530)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(31643827957201161529)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829036033161530)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829165177161531)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829213629161531)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829324890161531)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829484393161531)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_api.id(653592890039514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829502850161531)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829611479161531)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643829800479161532)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_api.id(31643828905447161530)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_api.id(653592488851514018)
,p_template_types=>'REPORT'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830006618161536)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830119660161536)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830271783161536)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in 4 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830354251161536)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 5 column grid'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830432685161536)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Span badges horizontally'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830545493161536)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Use flexbox to arrange items'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830642952161536)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Float badges to left'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830894603161536)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_api.id(653570839494514008)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643830973447161536)
,p_theme_id=>42
,p_name=>'MEDIUM'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_api.id(653570839494514008)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831121162161537)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_api.id(653570839494514008)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831221928161537)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Stack badges on top of each other'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831379493161537)
,p_theme_id=>42
,p_name=>'XLARGE'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_api.id(653570839494514008)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831450435161537)
,p_theme_id=>42
,p_name=>'XXLARGE'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(31643829876078161532)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_api.id(653570839494514008)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831602708161537)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831893381161537)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_api.id(653571282763514008)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643831956823161538)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832092955161538)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_api.id(653571282763514008)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832132046161538)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832241899161538)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_api.id(653571282763514008)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832343790161538)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832585673161538)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832676680161538)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832802879161539)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_api.id(653570431050514007)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
end;
/
begin
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643832911667161539)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833150742161539)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_api.id(653572831734514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833225968161539)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_api.id(653572831734514009)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833316396161539)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833477097161539)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833528847161539)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_api.id(653571282763514008)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833646333161539)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_api.id(653570431050514007)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833778346161539)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643833807344161539)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643831551150161537)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834008612161540)
,p_theme_id=>42
,p_name=>'ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643833970904161539)
,p_css_classes=>'t-LinksList--actions'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'Render as actions to be placed on the right side column.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834187041161540)
,p_theme_id=>42
,p_name=>'DISABLETEXTWRAPPING'
,p_display_name=>'Disable Text Wrapping'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643833970904161539)
,p_css_classes=>'t-LinksList--nowrap'
,p_template_types=>'LIST'
,p_help_text=>'Do not allow link text to wrap to new lines. Truncate with ellipsis.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834272675161540)
,p_theme_id=>42
,p_name=>'SHOWBADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643833970904161539)
,p_css_classes=>'t-LinksList--showBadge'
,p_template_types=>'LIST'
,p_help_text=>'Show badge to right of link (requires Attribute 1 to be populated)'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834382953161540)
,p_theme_id=>42
,p_name=>'SHOWGOTOARROW'
,p_display_name=>'Show Right Arrow'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643833970904161539)
,p_css_classes=>'t-LinksList--showArrow'
,p_template_types=>'LIST'
,p_help_text=>'Show arrow to the right of link'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834592884161540)
,p_theme_id=>42
,p_name=>'SHOWICONS'
,p_display_name=>'For All Items'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643833970904161539)
,p_css_classes=>'t-LinksList--showIcons'
,p_group_id=>wwv_flow_api.id(653572421560514008)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834626579161540)
,p_theme_id=>42
,p_name=>'SHOWTOPICONS'
,p_display_name=>'For Top Level Items Only'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643833970904161539)
,p_css_classes=>'t-LinksList--showTopIcons'
,p_group_id=>wwv_flow_api.id(653572421560514008)
,p_template_types=>'LIST'
,p_help_text=>'This will show icons for top level items of the list only. It will not show icons for sub lists.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834893765161540)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643834984133161540)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835084082161540)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835147449161540)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835266630161541)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies colors from the Theme''s color palette to icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835487904161541)
,p_theme_id=>42
,p_name=>'LIST_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_api.id(653575247203514010)
,p_template_types=>'LIST'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835571526161541)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'LIST'
,p_help_text=>'Show a badge (Attribute 2) to the right of the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835620617161541)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'LIST'
,p_help_text=>'Shows the description (Attribute 1) for each list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835757796161541)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'LIST'
,p_help_text=>'Display an icon next to the list item.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643835890305161541)
,p_theme_id=>42
,p_name=>'SPANHORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_api.id(31643834794942161540)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Show all list items in one horizontal row.'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643836094816161542)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_api.id(31643835983833161541)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643836153710161542)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643835983833161541)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643836214516161542)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643835983833161541)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643836327513161542)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643835983833161541)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643836865501161544)
,p_theme_id=>42
,p_name=>'ABOVE_LABEL'
,p_display_name=>'Above Label'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--iconsAbove'
,p_group_id=>wwv_flow_api.id(653572831734514009)
,p_template_types=>'LIST'
,p_help_text=>'Places icons above tab label.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643836926098161544)
,p_theme_id=>42
,p_name=>'FILL_LABELS'
,p_display_name=>'Fill Labels'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--fillLabels'
,p_group_id=>wwv_flow_api.id(653574430146514009)
,p_template_types=>'LIST'
,p_help_text=>'Stretch tabs to fill to the width of the tabs container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837024146161544)
,p_theme_id=>42
,p_name=>'INLINE_WITH_LABEL'
,p_display_name=>'Inline with Label'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--inlineIcons'
,p_group_id=>wwv_flow_api.id(653572831734514009)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837188882161544)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--large'
,p_group_id=>wwv_flow_api.id(653575247203514010)
,p_template_types=>'LIST'
,p_help_text=>'Increases font size and white space around tab items.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837281070161544)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--pill'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'Displays tabs in a pill container.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837326709161544)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--simple'
,p_group_id=>wwv_flow_api.id(653575600182514010)
,p_template_types=>'LIST'
,p_help_text=>'A very simplistic tab UI.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837472234161545)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_api.id(31643836800379161544)
,p_css_classes=>'t-Tabs--small'
,p_group_id=>wwv_flow_api.id(653575247203514010)
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837691107161545)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(31643837596753161545)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837761455161545)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(31643837596753161545)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837861111161545)
,p_theme_id=>42
,p_name=>'ENABLE_SLIDE_ANIMATION'
,p_display_name=>'Enable Slide Animation'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(31643837596753161545)
,p_css_classes=>'js-slide'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643837968837161545)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_api.id(31643837596753161545)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643838251944161545)
,p_theme_id=>42
,p_name=>'ALLSTEPS'
,p_display_name=>'All Steps'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643838017931161545)
,p_css_classes=>'t-WizardSteps--displayLabels'
,p_group_id=>wwv_flow_api.id(653574078693514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643838348452161545)
,p_theme_id=>42
,p_name=>'CURRENTSTEPONLY'
,p_display_name=>'Current Step Only'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_api.id(31643838017931161545)
,p_css_classes=>'t-WizardSteps--displayCurrentLabelOnly'
,p_group_id=>wwv_flow_api.id(653574078693514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643838441629161545)
,p_theme_id=>42
,p_name=>'HIDELABELS'
,p_display_name=>'Hide Labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_api.id(31643838017931161545)
,p_css_classes=>'t-WizardSteps--hideLabels'
,p_group_id=>wwv_flow_api.id(653574078693514009)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643838584964161546)
,p_theme_id=>42
,p_name=>'VERTICAL_LIST'
,p_display_name=>'Vertical Orientation'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_api.id(31643838017931161545)
,p_css_classes=>'t-WizardSteps--vertical'
,p_template_types=>'LIST'
,p_help_text=>'Displays the wizard progress list in a vertical orientation and is suitable for displaying within a side column of a page.'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643839552124161550)
,p_theme_id=>42
,p_name=>'LEFTICON'
,p_display_name=>'Left'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_api.id(31643839365856161549)
,p_css_classes=>'t-Button--iconLeft'
,p_group_id=>wwv_flow_api.id(653563245971514004)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_api.create_template_option(
 p_id=>wwv_flow_api.id(31643839653365161550)
,p_theme_id=>42
,p_name=>'RIGHTICON'
,p_display_name=>'Right'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_api.id(31643839365856161549)
,p_css_classes=>'t-Button--iconRight'
,p_group_id=>wwv_flow_api.id(653563245971514004)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
end;
/
prompt --application/shared_components/logic/build_options
begin
null;
end;
/
prompt --application/shared_components/globalization/language
begin
null;
end;
/
prompt --application/shared_components/globalization/translations
begin
null;
end;
/
prompt --application/shared_components/globalization/messages
begin
null;
end;
/
begin
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(24303923582355275386)
,p_name=>'INCREASE_SAL'
,p_message_text=>'Increase Salary'
,p_is_js_message=>true
);
null;
end;
/
begin
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(548986876420278750)
,p_name=>'MY_APPLY_BTN'
,p_message_text=>'Apply'
,p_is_js_message=>true
);
null;
end;
/
begin
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434005327719463947)
,p_name=>'TASKS_CONFIRM_DELETE'
,p_message_text=>'Are you sure you want to delete list ''%0''. All tasks in the list will be deleted.'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434004369426455837)
,p_name=>'TASKS_DELETE_TASKS'
,p_message_text=>'Delete Tasks'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434004747236458780)
,p_name=>'TASKS_DUP_TASKS'
,p_message_text=>'Duplicate Tasks'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434004563281457388)
,p_name=>'TASKS_MARK_COMPLETE'
,p_message_text=>'Mark Complete'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434003910908451473)
,p_name=>'TASKS_MOVE_DOWN'
,p_message_text=>'Move Down'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434003718782449262)
,p_name=>'TASKS_MOVE_UP'
,p_message_text=>'Move Up'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434005125276462771)
,p_name=>'TASKS_SAVE_CHANGES'
,p_message_text=>'There are unsaved changes. Press OK to save them.'
,p_is_js_message=>true
);
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434004957849460907)
,p_name=>'TASKS_SELECTED'
,p_message_text=>'%0 tasks selected'
,p_is_js_message=>true
);
end;
/
begin
wwv_flow_api.create_message(
 p_id=>wwv_flow_api.id(434004147250453972)
,p_name=>'TASK_VIEW'
,p_message_text=>'Task View'
,p_is_js_message=>true
);
null;
end;
/
prompt --application/shared_components/globalization/dyntranslations
begin
null;
end;
/
prompt --application/shared_components/security/authentications/apex
begin
wwv_flow_api.create_authentication(
 p_id=>wwv_flow_api.id(31643850294739161576)
,p_name=>'APEX'
,p_scheme_type=>'NATIVE_APEX_ACCOUNTS'
,p_invalid_session_type=>'LOGIN'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/shared_components/plugins/region_type/jjs_simple_grid
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(430796669933747948)
,p_plugin_type=>'REGION TYPE'
,p_name=>'JJS_SIMPLE_GRID'
,p_display_name=>'Simple Grid'
,p_supported_ui_types=>'DESKTOP'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('REGION TYPE','JJS_SIMPLE_GRID'),'')
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#model#MIN#.js',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.tableModelViewBase#MIN#.js',
'#IMAGE_PREFIX#libraries/apex/#MIN_DIRECTORY#widget.grid#MIN#.js',
'#PLUGIN_FILES#simple_grid.js'))
,p_css_file_urls=>'#PLUGIN_FILES#simple_grid.css'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'type t_sort_rec is record (',
'    col varchar2(200),',
'    dir varchar2(6)',
');',
'type t_sorts is table of t_sort_rec index by pls_integer;',
'empty_sorts t_sorts;',
'empty_filters apex_exec.t_filters;',
'',
'function get_effective_region_columns (',
'    p_column_mapping   in varchar2,',
'    p_region_columns   in apex_plugin.t_region_columns )',
'    return apex_plugin.t_region_columns',
'is',
'    l_region_columns   apex_plugin.t_region_columns;',
'    l_context          apex_exec.t_context;',
'    l_count            pls_integer;',
'    l_columns          apex_exec.t_columns;',
'    l_column           apex_exec.t_column;',
'    l_type             varchar2(30);',
'begin',
'',
'    if p_column_mapping is not null then',
'    begin',
'        -- The run time and design time columns can be different so need to create',
'        -- new region_column metadata based on what columns actually exist',
'        -- Note: This is expensive because it executes the query. But we need the',
'        -- column metadata including sort info and to a lesser extent the format mask.',
'        -- Maybe someday there will be a way to get the apex_exec columns another way. ',
'        l_context := apex_exec.open_query_context(',
'            p_first_row         => 1,',
'            p_max_rows          => 1);',
'',
'        l_count := apex_exec.get_column_count(l_context);',
'        for i in 1 .. l_count loop',
'            l_column := apex_exec.get_column(l_context, i);',
'            -- get column info based on p_column_mapping',
'            case p_column_mapping',
'            when ''POS'' then',
'                if i > p_region_columns.count then',
'                    l_region_columns(i) := p_region_columns(p_region_columns.last);',
'                else',
'                    l_region_columns(i) := p_region_columns(i);',
'                end if;',
'            when ''NAME'' then',
'                for j in 1 .. p_region_columns.count loop',
'                    if p_region_columns(j).name = l_column.name then',
'                        l_region_columns(i) := p_region_columns(j);',
'                        exit;',
'                    end if;',
'                end loop;',
'            when ''TYPE'' then',
'                l_type := apex_exec.get_data_type(l_column.data_type);',
'                for j in 1 .. p_region_columns.count loop',
'                    if p_region_columns(j).name = l_type then',
'                        l_region_columns(i) := p_region_columns(j);',
'                        exit;',
'                    end if;',
'                end loop;',
'            -- else NONE',
'            end case;',
'            l_region_columns(i).name := l_column.name;',
'            if l_region_columns(i).heading is null then',
'                l_region_columns(i).heading := initcap(regexp_replace(l_column.name, ''[_$]'', '' ''));',
'            end if;',
'        end loop;',
'',
'        apex_exec.close(l_context);',
'',
'    exception when others then',
'        apex_exec.close(l_context);',
'        raise;',
'    end;',
'    else',
'        -- have fixed columns',
'        -- the run time and design time columns are the same so use the region column metadata as is',
'        l_region_columns := p_region_columns;',
'    end if;',
'',
'    return l_region_columns;',
'end get_effective_region_columns;',
'',
'-- implicit in/out is APEX_JSON context',
'procedure simple_grid_columns (',
'    p_region                   in apex_plugin.t_region,',
'    p_effective_region_columns in apex_plugin.t_region_columns)',
'is',
'    l_col              apex_plugin.t_region_column;',
'',
'    function alignment(p_alignment in varchar2) return varchar2',
'    is',
'        l_return varchar2(30);',
'    begin',
'        l_return := case p_alignment ',
'                      when ''END'' then ''end''',
'                      when ''RIGHT'' then ''end''',
'                      when ''START'' then ''start''',
'                      when ''LEFT'' then ''start''',
'                      when ''CENTER'' then ''center''',
'                      else ''start''',
'                      end;',
'        return l_return;',
'    end;',
'begin',
'',
'    -- the columns object is already open',
'    for i in 1 .. p_effective_region_columns.count loop',
'        l_col := p_effective_region_columns(i);',
'        apex_json.open_object(l_col.name);',
'        apex_json.write(''heading'', l_col.heading);',
'        apex_json.write(''headingAlignment'', alignment(l_col.heading_alignment));',
'        apex_json.write(''alignment'', alignment(l_col.value_alignment));',
'        apex_json.write(''label'', l_col.attribute_09);',
'        apex_json.write(''headingCssClasses'', l_col.attribute_11);',
'        apex_json.write(''columnCssClasses'', l_col.value_css_classes);',
'        apex_json.write(''cellTemplate'', l_col.attribute_01);',
'        apex_json.write(''escape'', l_col.escape_output);',
'        apex_json.write(''noStretch'', case l_col.attribute_08 ',
'                                          when ''D'' then',
'                                              case when p_region.attribute_16 = ''N'' then true else false end',
'                                          when ''N'' then true else false end);',
'        apex_json.write(''canHide'', case when l_col.is_displayed and l_col.attribute_04 = ''Y'' then true else false end);',
'        -- trouble with is_displayed is that it takes away the heading etc. so that is why we have Initially Hidden',
'        apex_json.write(''hidden'', case when not l_col.is_displayed or l_col.attribute_10 = ''Y'' then true else false end);',
'--        apex_json.write(''linkTargetColumn'', todo);',
'--        apex_json.write(''linkText'', todo);',
'--        apex_json.write(''linkAttributes'', todo);',
'--        apex_json.write(''helpid'', todo);',
'        apex_json.write(''usedAsRowHeader'', case when l_col.attribute_05 = ''Y'' then true else false end);',
'        apex_json.write(''canSort'', case when l_col.attribute_02 != ''NO'' then true else false end);',
'        apex_json.write(''sortDirection'', case l_col.attribute_02 when ''ASC'' then ''asc'' when ''DESC'' then ''desc'' else null end);',
'        apex_json.write(''sortIndex'', case when l_col.attribute_02 in (''ASC'', ''DESC'') then l_col.attribute_03 else null end);',
'        apex_json.write(''seq'', to_number(nvl(l_col.attribute_12, i * 10)));',
'        apex_json.write(''width'', to_number(l_col.attribute_07) );',
'        apex_json.write(''frozen'', case when l_col.attribute_13 = ''Y'' then true else false end);',
'        -- not a grid or model property but used to set model identityField',
'        apex_json.write(''pk'', case when l_col.attribute_06 = ''Y'' then true else false end);',
'        apex_json.write(''index'', i - 1); -- make sure this is to be the order of columns back from apex_exec',
'        apex_json.close_object;',
'    end loop;',
'end simple_grid_columns;',
'',
'-- implicit in/out is APEX_JSON context',
'procedure simple_grid_data (',
'    p_region         in apex_plugin.t_region,',
'    p_effective_region_columns in apex_plugin.t_region_columns,',
'    p_first_row      in pls_integer,',
'    p_max_rows       in pls_integer,',
'    p_sorts          in t_sorts default empty_sorts,',
'    p_filters        in apex_exec.t_filters default empty_filters)',
'is',
'    c_has_total_records constant boolean := case when p_region.attribute_09 = ''Y'' then true else false end;',
'    l_columns          apex_exec.t_columns;',
'    l_context          apex_exec.t_context;',
'    l_col              apex_plugin.t_region_column;',
'    l_count            number;',
'    l_col_count        pls_integer;',
'    l_more_data        boolean;',
'    l_sorts            t_sorts;',
'    l_order_bys        apex_exec.t_order_bys;',
'    l_sort_seq         pls_integer;',
'begin',
'',
'    for i in 1 .. p_effective_region_columns.count loop',
'        l_col := p_effective_region_columns(i);',
'        apex_exec.add_column(',
'            p_columns => l_columns,',
'            p_column_name => l_col.name,',
'            p_format_mask => l_col.format_mask',
'        );',
'        if p_sorts.count = 0 and l_col.attribute_02 in (''ASC'', ''DESC'') then',
'            l_sort_seq := to_number(l_col.attribute_03);',
'            l_sorts(l_sort_seq).col := l_col.name;',
'            l_sorts(l_sort_seq).dir := l_col.attribute_02;',
'        end if;',
'    end loop;',
'',
'    if p_sorts is not null then',
'        l_sorts := p_sorts;',
'    end if;',
'',
'    if l_sorts.first is not null then',
'        for i in l_sorts.first .. l_sorts.last loop',
'            apex_exec.add_order_by(',
'                p_order_bys     => l_order_bys,',
'                p_column_name   => l_sorts(i).col,',
'                p_direction     => case l_sorts(i).dir when ''ASC'' then apex_exec.c_order_asc else apex_exec.c_order_desc end );',
'        end loop;',
'    end if;',
'',
'    l_context := apex_exec.open_query_context(',
'        p_order_bys         => l_order_bys,',
'        p_filters           => p_filters,',
'        p_first_row         => p_first_row,',
'        p_max_rows          => p_max_rows + 1, -- ask for 1 more to know if there is more data',
'        p_total_row_count   => c_has_total_records,',
'        p_columns           => l_columns);',
'',
'    -- the json structure returned is very specific to what the model is expecting',
'    apex_json.open_array(''values'');',
'    l_count := 0;',
'    l_more_data := false;',
'    l_col_count := apex_exec.get_column_count(l_context);',
'    while apex_exec.next_row(l_context) loop',
'        if l_count >= p_max_rows then',
'            l_more_data := true;',
'            exit;',
'        end if;',
'        l_count := l_count + 1;',
'        apex_json.open_array;',
'        for i in 1 .. l_col_count loop',
'            if apex_exec.get_column(l_context, i).data_type in (apex_exec.c_data_type_blob, apex_exec.c_data_type_bfile, apex_exec.c_data_type_clob ) then',
'                apex_json.write( ''[lob]'' );',
'            else',
'                apex_json.write( apex_exec.get_varchar2(l_context, i) ); -- this applies the format mask if there is one.',
'            end if;',
'        end loop;',
'        apex_json.close_array;',
'    end loop;',
'    apex_json.close_array;',
'    apex_json.write(''firstRow'', p_first_row);',
'    apex_json.write(''moreData'', l_more_data);',
'    if c_has_total_records then',
'        apex_json.write(''totalRows'', apex_exec.get_total_row_count(l_context) );',
'    end if;',
'    apex_exec.close(l_context);',
'',
'exception when others then',
'    apex_exec.close(l_context);',
'    raise;',
'end simple_grid_data;',
'',
'function simple_grid_render (',
'    p_region              in apex_plugin.t_region,',
'    p_plugin              in apex_plugin.t_plugin,',
'    p_is_printer_friendly in boolean )',
'    return apex_plugin.t_region_render_result ',
'is',
'    c_lazy_load    constant boolean := case when p_region.attribute_02 = ''Y'' then true else false end;',
'    c_column_sort  constant boolean := case when instr(p_region.attribute_01, ''SORT'') > 0 then true else false end;',
'    c_reorder_col  constant boolean := case when instr(p_region.attribute_01, ''REORDER'') > 0 then true else false end;',
'    c_resize_col   constant boolean := case when instr(p_region.attribute_01, ''RESIZE'') > 0 then true else false end;',
'    c_has_js_init  constant boolean := case when length(p_region.init_javascript_code) > 0 then true else false end;',
'    c_footer       constant boolean := case when p_region.attribute_03 = ''Y'' then true else false end;',
'    c_select_cells constant boolean := case when p_region.attribute_04 = ''CELL'' then true else false end;',
'    c_multiple     constant boolean := case when p_region.attribute_05 = ''Y'' then true else false end;',
'    c_sel_control  constant boolean := case when p_region.attribute_06 = ''Y'' then true else false end;',
'    c_select_all   constant boolean := case when p_region.attribute_07 = ''Y'' then true else false end;',
'    c_scroll       constant boolean := case when p_region.attribute_08 = ''SCROLL'' then true else false end;',
'    c_has_total_records constant boolean := case when p_region.attribute_09 = ''Y'' then true else false end;',
'    c_rows_per_page constant number := nvl(p_region.attribute_10, 15);',
'    c_show_range   constant boolean := case when p_region.attribute_11 = ''Y'' then true else false end;',
'    c_page_selector constant boolean := case when not c_scroll and p_region.attribute_12 = ''LIST'' then true else false end;',
'    c_page_links   constant boolean := case when not c_scroll and p_region.attribute_12 = ''LINKS'' then true else false end;',
'    c_load_more    constant boolean := case when c_scroll and p_region.attribute_13 = ''Y'' then true else false end;',
'    c_first_last   constant boolean := case when not c_scroll and p_region.attribute_14 = ''Y'' then true else false end;',
'    c_show_null_as constant varchar2(4000) := nvl(p_region.attribute_15, '''');',
'    c_column_mapping constant varchar2(20) := p_region.attribute_17;',
'    c_persist_cols constant boolean := case when p_region.attribute_18 = ''Y'' then true else false end;',
'    c_has_size     constant boolean := case when p_region.attribute_19 = ''REGION'' then true else false end;',
'    c_sticky       constant boolean := case when p_region.attribute_19 = ''PAGE'' then true else false end;',
'    c_grid_height  constant varchar2(20) := p_region.attribute_20;',
'    l_region_columns apex_plugin.t_region_columns;',
'    l_model_name   varchar2(32767);',
'    l_colmap       varchar2(32767);',
'    l_data         clob;',
'    l_buffer       varchar2( 32767 );',
'    l_buffer2      varchar2( 32767 );',
'    l_offset       pls_integer;',
'    l_amount       pls_integer;',
'    l_result       apex_plugin.t_region_render_result;',
'begin',
'    apex_plugin_util.debug_region(p_plugin, p_region, p_is_printer_friendly);',
'',
'    l_region_columns := get_effective_region_columns(',
'        p_column_mapping => c_column_mapping,',
'        p_region_columns => p_region.region_columns);',
'',
'    apex_json.initialize_clob_output;',
'    apex_json.open_object;',
'    simple_grid_columns(p_region, l_region_columns);',
'    apex_json.close_object;',
'    l_colmap := to_char(apex_json.get_clob_output);',
'    apex_json.free_output;',
'',
'    l_model_name := ''m'' || p_region.static_id;',
'',
'    -- client and server must agree on this DOM id',
'    sys.htp.p( ''<div class="sizer"><div id="'' || apex_escape.html_attribute( p_region.static_id ) || ''_g"></div></div>'' );',
'',
'    if not c_lazy_load then',
'        sys.htp.p( ''<script type="text/javascript">'' );',
'        -- client and server must agree on this global variable',
'        sys.htp.prn( ''var gSGdata_'' || p_region.id || '' = '' );',
'',
'        apex_json.initialize_clob_output;',
'        apex_json.open_object;',
'',
'        simple_grid_data(',
'            p_region => p_region,',
'            p_effective_region_columns => l_region_columns,',
'            p_first_row   => 1,',
'            -- for traditional paging get rows_per_page records or at least 50',
'            p_max_rows    => case when c_scroll then 50 else greatest( c_rows_per_page, 50) end );',
'',
'        apex_json.close_object;',
'        ',
'        l_data   := apex_json.get_clob_output;',
'        l_amount := 8000;',
'        l_offset := 1;',
'        begin',
'            loop',
'                l_buffer := null;',
'                sys.dbms_lob.read( l_data, l_amount, l_offset, l_buffer );',
'                if l_buffer2 is not null then',
'                    l_buffer := l_buffer2 || l_buffer;',
'                end if;',
'',
'                sys.htp.prn( substr(l_buffer, 1, 7950));',
'',
'                l_buffer2 := substr(l_buffer, 7951);',
'                l_offset  := l_offset + l_amount;',
'                l_amount  := 8000;',
'            end loop;',
'        exception',
'             when no_data_found then',
'                 null;',
'        end;',
'        sys.htp.prn(l_buffer2);',
'        sys.htp.p('';'');',
'        sys.htp.p(''</script>'');',
'        apex_json.free_output;',
'    end if;',
'',
'-- strange that I couldn''t get add_library to work with apex files; the #MIN*# substitutions didn''t work',
'--    apex_javascript.add_library (',
'--        p_name => ''model#MIN#'', p_directory => c_apex_dir );',
'-- added to JavaScript File URLs below',
'',
'    apex_javascript.add_onload_code (',
'        p_code => ''simpleGridRegionInit('' ||',
'                case when c_has_js_init then p_region.init_javascript_code || ''('' end || ''{''||',
'                apex_javascript.add_attribute( ''ajaxIdentifier'', apex_plugin.get_ajax_identifier, false, true ) ||',
'                apex_javascript.add_attribute( ''itemsToSubmit'', apex_plugin_util.page_item_names_to_jquery( p_region.ajax_items_to_submit ), false, true ) ||',
'                apex_javascript.add_attribute( ''regionStaticId'', p_region.static_id, false, true ) ||',
'                apex_javascript.add_attribute( ''regionId'', to_char(p_region.id), false, true ) ||',
'                apex_javascript.add_attribute( ''persistColumnState'', c_persist_cols, false, true ) ||',
'                apex_javascript.add_attribute( ''gridHeight'', c_grid_height, false, true ) ||',
'                apex_javascript.add_attribute( ''lazyLoad'', c_lazy_load, false, true ) ||',
'                apex_javascript.add_attribute( ''modelName'', l_model_name, false, true ) ||',
'                ''modelOptions: {'' ||',
'                    apex_javascript.add_attribute( ''hasTotalRecords'', c_has_total_records, false, false ) ||',
'                    -- identityField set by client',
'                ''},'' ||',
'                apex_javascript.add_attribute( ''columnSort'', c_column_sort, false, true ) ||',
'                apex_javascript.add_attribute( ''columnSortMultiple'', c_column_sort, false, true ) ||',
'                apex_javascript.add_attribute( ''reorderColumns'', c_reorder_col, false, true ) ||',
'                apex_javascript.add_attribute( ''resizeColumns'', c_resize_col, false, true ) ||',
'                apex_javascript.add_attribute( ''noDataMessage'', p_region.no_data_found_message, false, true ) ||',
'                apex_javascript.add_attribute( ''footer'', c_footer, false, true ) ||',
'                apex_javascript.add_attribute( ''hasSize'', c_has_size, false, true ) ||',
'                apex_javascript.add_attribute( ''multiple'', c_multiple, false, true ) ||',
'                apex_javascript.add_attribute( ''multipleCells'', c_multiple, false, true ) ||',
'                apex_javascript.add_attribute( ''rowHeader'', case when c_sel_control then ''plain'' else ''none'' end, false, true ) ||',
'                apex_javascript.add_attribute( ''rowHeaderCheckbox'', c_sel_control, false, true ) ||',
'                ''pagination: {'' ||',
'                    apex_javascript.add_attribute( ''scroll'', c_scroll, false, true ) ||',
'                    apex_javascript.add_attribute( ''showPageSelector'', c_page_selector, false, true ) ||',
'                    apex_javascript.add_attribute( ''showPageLinks'', c_page_links, false, true ) ||',
'                    apex_javascript.add_attribute( ''firstAndLastButtons'', c_first_last, false, true ) ||',
'                    apex_javascript.add_attribute( ''loadMore'', c_load_more, false, true ) ||',
'                    apex_javascript.add_attribute( ''showRange'', c_show_range, false, false ) ||',
'                ''},'' ||',
'                apex_javascript.add_attribute( ''rowsPerPage'', c_rows_per_page, false, true ) ||',
'                apex_javascript.add_attribute( ''selectAll'', c_select_all, false, true ) ||',
'                apex_javascript.add_attribute( ''selectCells'', c_select_cells, false, true ) ||',
'                apex_javascript.add_attribute( ''stickyFooter'', c_sticky, false, true ) ||',
'                apex_javascript.add_attribute( ''stickyTop'', c_sticky, false, true ) ||',
'                apex_javascript.add_attribute( ''showNullAs'', c_show_null_as, false, true ) ||',
'                ''columns: [''|| l_colmap ||'']'' ||',
'                ''}'' || case when c_has_js_init then '')'' end || '');'' );',
'',
'    return l_result;',
'end simple_grid_render;',
'',
'function simple_grid_ajax (',
'    p_region in apex_plugin.t_region,',
'    p_plugin in apex_plugin.t_plugin )',
'    return apex_plugin.t_region_ajax_result',
'is',
'    c_column_mapping constant varchar2(20) := p_region.attribute_17;',
'    l_result      apex_plugin.t_region_ajax_result;',
'    l_region_columns apex_plugin.t_region_columns;',
'    l_path        varchar2(32767);',
'    l_path2       varchar2(32767);',
'    l_sort_path   varchar2(32767);',
'    l_filter_path varchar2(32767);',
'    l_first_row   number;',
'    l_max_rows    number;',
'    l_sorts       t_sorts;',
'    l_sort_seq    pls_integer;',
'    l_count       pls_integer;',
'    l_filters     apex_exec.t_filters;',
'    l_filter_type apex_exec.t_filter_type;',
'    l_filter_col  varchar2(32767);',
'begin',
'    apex_plugin_util.debug_region(p_plugin, p_region);',
'',
'    l_region_columns := get_effective_region_columns(',
'        p_column_mapping => c_column_mapping,',
'        p_region_columns => p_region.region_columns);',
'',
'    -- fetchData is for getting model data',
'    l_path := ''regions[1]''; -- expect just one region and expect the right request to be routed here',
'    if apex_json.does_exist( l_path || ''.fetchData'' ) then',
'        l_path := l_path || ''.fetchData'';',
'        -- the other possibility is the model sends primaryKeys property but currently don''t handle that',
'        -- or if the model were for a tree parentId property but also not expecting that',
'        l_first_row := apex_json.get_number(l_path || ''.firstRow'');',
'        l_max_rows := apex_json.get_number(l_path || ''.maxRows'');',
'',
'        -- get filter info from request',
'        if apex_json.does_exist( l_path || ''.filters'' ) then',
'            l_path2 := l_path || ''.filters'';',
'            l_count := apex_json.get_count( l_path2 );',
'',
'            for i in 1 .. l_count loop',
'                l_filter_path := l_path2 || ''['' || i || '']'';',
'                l_filter_col := apex_json.get_varchar2(l_filter_path || ''.column'');',
'                l_filter_type := apex_json.get_number(l_filter_path || ''.type'');',
'                case when l_filter_type in (',
'                        apex_exec.c_filter_eq,',
'                        apex_exec.c_filter_not_eq,',
'                        apex_exec.c_filter_gt,',
'                        apex_exec.c_filter_gte,',
'                        apex_exec.c_filter_lt,',
'                        apex_exec.c_filter_lte,',
'                        apex_exec.c_filter_starts_with,',
'                        apex_exec.c_filter_not_starts_with,',
'                        apex_exec.c_filter_ends_with,',
'                        apex_exec.c_filter_not_ends_with,',
'                        apex_exec.c_filter_contains,',
'                        apex_exec.c_filter_not_contains,',
'                        apex_exec.c_filter_regexp',
'                    ) and apex_json.does_exist( l_filter_path || ''.value'' ) then',
'',
'                    apex_exec.add_filter(',
'                        p_filters => l_filters,',
'                        p_filter_type => l_filter_type,',
'                        p_column_name => l_filter_col,',
'                        p_value => apex_json.get_varchar2(l_filter_path || ''.value'')',
'                    );',
'                when l_filter_type in (apex_exec.c_filter_null, apex_exec.c_filter_not_null) then',
'',
'                    apex_exec.add_filter(',
'                        p_filters => l_filters,',
'                        p_filter_type => l_filter_type,',
'                        p_column_name => l_filter_col',
'                    );',
'                when l_filter_type in (apex_exec.c_filter_in, apex_exec.c_filter_not_in)',
'                    and apex_json.does_exist( l_filter_path || ''.values'' ) then',
'',
'                    apex_exec.add_filter(',
'                        p_filters => l_filters,',
'                        p_filter_type => l_filter_type,',
'                        p_column_name => l_filter_col,',
'                        p_values => apex_json.get_t_varchar2(l_filter_path || ''.values'')',
'                    );',
'                when l_filter_type in (apex_exec.c_filter_between, apex_exec.c_filter_not_between)',
'                    and apex_json.does_exist( l_filter_path || ''.fromValue'' ) and apex_json.does_exist( l_filter_path || ''.toValue'' ) then',
'',
'                    apex_exec.add_filter(',
'                        p_filters => l_filters,',
'                        p_filter_type => l_filter_type,',
'                        p_column_name => l_filter_col,',
'                        p_from_value => apex_json.get_varchar2(l_filter_path || ''.fromValue''),',
'                        p_to_value => apex_json.get_varchar2(l_filter_path || ''.toValue'')',
'                    );',
'                -- todo there are a few more filter types to handle',
'                end case;',
'            end loop;',
'            -- todo persist filters somehow?',
'        end if;',
'',
'        -- get sort info from request',
'        if apex_json.does_exist( l_path || ''.sorts'' ) then',
'            l_path2 := l_path || ''.sorts'';',
'            l_count := apex_json.get_count( l_path2 );',
'',
'            for i in 1 .. l_count loop',
'                l_sort_path := l_path2 || ''['' || i || '']'';',
'                l_sort_seq := to_number(apex_json.get_varchar2(l_sort_path || ''.index''));',
'                l_sorts(l_sort_seq).col := apex_json.get_varchar2(l_sort_path || ''.column'');',
'                l_sorts(l_sort_seq).dir := apex_json.get_varchar2(l_sort_path || ''.direction'');',
'            end loop;',
'            -- todo persist sort order somehow?',
'        end if;',
'',
'        -- the json structure returned is very specific to what the model is expecting',
'        apex_json.open_object(''fetchedData'');',
'        simple_grid_data(',
'            p_region => p_region,',
'            p_effective_region_columns => l_region_columns,',
'            p_first_row   => l_first_row,',
'            p_max_rows    => l_max_rows,',
'            p_sorts       => l_sorts,',
'            p_filters     => l_filters);',
'        apex_json.close_object;',
'    end if;',
'',
'    -- getColumns is for when the columns change only applies to source type PL/SQL function returning SQL',
'    l_path := ''regions[1]''; -- expect just one region and expect the right request to be routed here',
'    if apex_json.does_exist( l_path || ''.getColumns'' ) then',
'        l_path := l_path || ''.getColumns'';',
'        apex_json.open_object(''columns'');',
'        simple_grid_columns(p_region, l_region_columns);',
'        apex_json.close_object;',
'    end if;',
'',
'    return l_result;',
'end simple_grid_ajax;'))
,p_api_version=>2
,p_render_function=>'simple_grid_render'
,p_ajax_function=>'simple_grid_ajax'
,p_standard_attributes=>'SOURCE_LOCATION:AJAX_ITEMS_TO_SUBMIT:NO_DATA_FOUND_MESSAGE:INIT_JAVASCRIPT_CODE:COLUMNS:COLUMN_HEADING:HEADING_ALIGNMENT:VALUE_ALIGNMENT:VALUE_CSS:VALUE_ESCAPE_OUTPUT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A simple grid report region using the APEX grid widget. Reporting only; no editing. Supports grid features such as frozen columns, selection, and all the pagination options.',
'Proof of concept/Work in progress. Doesn''t support column groups, aggregates, highlights, or control breaks. Supports dynamic columns.'))
,p_version_identifier=>'1'
,p_files_version=>70
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(614035632400612772)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Cell Template'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_show_in_wizard=>false
,p_is_translatable=>false
,p_examples=>'<em>&FIRST_NAME. &LAST_NAME.</em>'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>HTML markup template to go in the cells of this column. Reference columns with syntax:</p>',
'<code>&COLUMN_NAME.</code>',
'<p>See apex.util.applyTemplate for details on substitution syntax.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(614036574539617251)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Sort'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'NONE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Specify if and how the grid should be sorted on this column.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(614037455276619832)
,p_plugin_attribute_id=>wwv_flow_api.id(614036574539617251)
,p_display_sequence=>10
,p_display_value=>'Don''t Sort'
,p_return_value=>'NONE'
,p_help_text=>'The grid will not be sorted on this column.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(614037880242622939)
,p_plugin_attribute_id=>wwv_flow_api.id(614036574539617251)
,p_display_sequence=>20
,p_display_value=>'Ascending'
,p_return_value=>'ASC'
,p_help_text=>'The grid will be sorted ascending on this column.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(614038202556624791)
,p_plugin_attribute_id=>wwv_flow_api.id(614036574539617251)
,p_display_sequence=>30
,p_display_value=>'Descending'
,p_return_value=>'DESC'
,p_help_text=>'The grid will be sorted descending on this column.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(614051206475747389)
,p_plugin_attribute_id=>wwv_flow_api.id(614036574539617251)
,p_display_sequence=>40
,p_display_value=>'Not Allowed'
,p_return_value=>'NO'
,p_help_text=>'The user is not able to choose this column for sorting.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(614039738882645472)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Sort Order'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'1'
,p_display_length=>5
,p_max_length=>10
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(614036574539617251)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'IN_LIST'
,p_depending_on_expression=>'ASC,DESC'
,p_help_text=>'Specify the sort order for this column. If the grid is sorted on multiple columns then first sort on the column with the lowest Sort Order then on the column with the next lowest Sort Order and so on.'
);
end;
/
begin
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(614052505101756103)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Allow user to show/hide'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'Specify if the user is allowed to show or hide this column.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(614054071299777099)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Use as Row Header'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'Set to Yes if this column is the row header for the row. The value of this column is used by assistive technology to associate the row with this column value.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(614055114477787814)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>6
,p_display_sequence=>1
,p_prompt=>'Primary Key'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'Set to Yes if this column is a primary key.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(623354683039122251)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Width'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_display_length=>5
,p_max_length=>10
,p_unit=>'pixels'
,p_is_translatable=>false
,p_help_text=>'The minimum width of the column in pixels. Leave empty for browser to choose initial default width.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(623356234757127400)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Stretch'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'D'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Specify if the width of the column can stretch to make use of additional width.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(623357296521129671)
,p_plugin_attribute_id=>wwv_flow_api.id(623356234757127400)
,p_display_sequence=>10
,p_display_value=>'Use Region Setting'
,p_return_value=>'D'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(623358538503131956)
,p_plugin_attribute_id=>wwv_flow_api.id(623356234757127400)
,p_display_sequence=>20
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(623376735282132833)
,p_plugin_attribute_id=>wwv_flow_api.id(623356234757127400)
,p_display_sequence=>30
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(626832481467491287)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Alternate Heading Label'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_show_in_wizard=>false
,p_display_length=>60
,p_max_length=>200
,p_is_translatable=>true
,p_help_text=>'Provide a plain text alternative heading label when the heading includes markup. The alternate label is used in menus and any other place where heading markup is not desired.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(626834565681548336)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>10
,p_display_sequence=>45
,p_prompt=>'Initially Hidden'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(614052505101756103)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_help_text=>'Specify if the column is initially hidden.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(626856417944745281)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_prompt=>'Heading CSS Classes'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_show_in_wizard=>false
,p_display_length=>60
,p_max_length=>400
,p_is_translatable=>false
,p_help_text=>'CSS classes to add to the column header.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(626857605303780068)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>12
,p_display_sequence=>5
,p_prompt=>'Column Order'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'10'
,p_display_length=>5
,p_max_length=>10
,p_is_translatable=>false
,p_help_text=>'Specify the order of the column. Smaller numbers are closer to the start of the row and larger numbers closer to the end of the row.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(626858549298786541)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COLUMN'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_prompt=>'Frozen'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'Specify if this column is frozen so that it does not scroll horizontally.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(430830868349896169)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Column Header Options'
,p_attribute_type=>'CHECKBOXES'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'SORT:REORDER:RESIZE'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'These options control how the user can interact with the grid column headings.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(430831409183900240)
,p_plugin_attribute_id=>wwv_flow_api.id(430830868349896169)
,p_display_sequence=>10
,p_display_value=>'Sort'
,p_return_value=>'SORT'
,p_help_text=>'Column headers have sort controls.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(430831867725902591)
,p_plugin_attribute_id=>wwv_flow_api.id(430830868349896169)
,p_display_sequence=>20
,p_display_value=>'Reorder'
,p_return_value=>'REORDER'
,p_help_text=>'Columns can be reordered'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(430832218341904723)
,p_plugin_attribute_id=>wwv_flow_api.id(430830868349896169)
,p_display_sequence=>30
,p_display_value=>'Resize'
,p_return_value=>'RESIZE'
,p_help_text=>'Columns can be resized'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(430832932844952964)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Lazy Load'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>When Yes, no data for the Simple Grid is fetched as part of rendering the page. When the page loads it makes a request to fetch data. This ',
'can be useful to make the page load faster when the SQL Query takes a long time or if the Simple Grid region is not initially visible.</p>',
'<p>When No, the initial data for the Simple Grid is fetched and rendered as part of the page rendering.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(559332772596140646)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Show Footer'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'If Yes a footer is shown. If No the footer is not shown.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(559333939086158145)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Selection Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'ROW'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Specify the selection mode. This can be changed at run time using code such as:</p>',
'<pre><code>',
'apex.region("region-static-id").call( "option", "selectCells", true ); // cell selection mode',
'apex.region("region-static-id").call( "option", "selectCells", false ); // row selection mode',
'</code></pre>'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(559334790241162308)
,p_plugin_attribute_id=>wwv_flow_api.id(559333939086158145)
,p_display_sequence=>10
,p_display_value=>'Rows'
,p_return_value=>'ROW'
,p_help_text=>'Select rows'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(559335138081163765)
,p_plugin_attribute_id=>wwv_flow_api.id(559333939086158145)
,p_display_sequence=>20
,p_display_value=>'Cells'
,p_return_value=>'CELL'
,p_help_text=>'Select cells'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(559333377421154519)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Multiple Selection'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'Specifies if multiple rows (or cells) can be selected.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(559336233762182339)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Show Selection Control'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'Specify if a checkbox (or radio button for single selection) is shown in a row selector header.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(559336836715189074)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Select All'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'Specify if select all is allowed. Only applies when selecting multiple rows is possible. If this is Yes and Show Selection Control is Yes there is a checkbox at the top of the row selection header column that selects all rows. If Show Selection Contr'
||'ol is false all rows can still be selected using Ctrl+A.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588049366659050608)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Pagination Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'SCROLL'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'<p>Select either traditional or scroll pagination. Traditional paging shows one page of rows at a time and has next and previous page buttons. Scroll paging adds more rows as the user scrolls.</p>'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(588050274908051837)
,p_plugin_attribute_id=>wwv_flow_api.id(588049366659050608)
,p_display_sequence=>10
,p_display_value=>'Scroll'
,p_return_value=>'SCROLL'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(588050669159053321)
,p_plugin_attribute_id=>wwv_flow_api.id(588049366659050608)
,p_display_sequence=>20
,p_display_value=>'Traditional'
,p_return_value=>'PAGE'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588051570347061170)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_prompt=>'Show Total Row Count'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Specify whether to display the total row count in the grid footer. This also affects how scroll pagination works.</p>',
'<p>Note - An additional query is performed to obtain the total row count, which may hinder performance, especially on very large data sets.</p>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588052556534166873)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_prompt=>'Rows Per Page'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'15'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(588049366659050608)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PAGE'
,p_help_text=>'For traditional paging this controls how many rows are shown on the page. Setting too large a value can result in poor performance.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588063490718395193)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>95
,p_prompt=>'Show Range'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>'Show the range of rows in the grid footer or not.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588064317063401529)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_prompt=>'Page Navigation'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'LINKS'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(588049366659050608)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PAGE'
,p_lov_type=>'STATIC'
,p_help_text=>'Specify if the grid footer includes pagination controls to go directly to a specific page. Only applies to traditional pagination.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(588065204104402583)
,p_plugin_attribute_id=>wwv_flow_api.id(588064317063401529)
,p_display_sequence=>10
,p_display_value=>'Links'
,p_return_value=>'LINKS'
,p_help_text=>'Show page links.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(588065639820404072)
,p_plugin_attribute_id=>wwv_flow_api.id(588064317063401529)
,p_display_sequence=>20
,p_display_value=>'Select List'
,p_return_value=>'LIST'
,p_help_text=>'Show a drop down select list of pages.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(588066000079404784)
,p_plugin_attribute_id=>wwv_flow_api.id(588064317063401529)
,p_display_sequence=>30
,p_display_value=>'None'
,p_return_value=>'NONE'
,p_help_text=>'No direct page navigation.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588068669774550698)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_prompt=>'Load More'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(588049366659050608)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'SCROLL'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'When Yes, a Load More button is used to add more rows. When No, more rows are added automatically when the user scrolls to the end.',
'This only applies to scroll pagination and only when Show Total Row count is No.'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588069628346568674)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_prompt=>'Show First and Last Buttons'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(588049366659050608)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'PAGE'
,p_help_text=>'In addition to next and previous buttons show first and last buttons. Only applies for traditional pagination and when Show Total Row Count is Yes.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(588070690092592962)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_prompt=>'Show Null Values as'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_show_in_wizard=>false
,p_display_length=>10
,p_max_length=>100
,p_is_translatable=>false
,p_examples=>'-null-'
,p_help_text=>'When a value is null show this text instead.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(623399359298168690)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_prompt=>'Stretch Columns'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'This controls the default column width stretching behavior when the grid is wider than all the columns. When Yes the default will be to stretch column widths to fill any empty space. This can be overridden for each column with the column Stretch attr'
||'ibute.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(639893107455691440)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>17
,p_display_sequence=>170
,p_prompt=>'Column Mapping'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_show_in_wizard=>false
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'default'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This only applies when Source Type is PL/SQL Function Body returning SQL Query <b>and</b> the SQL query returned can have different columns.',
'At design time the columns returned by the function may not be the same as the ones at run time. In addition the set of columns',
'could vary from one request to the next. This attribute determines how the design time metadata is matched with and used for run time',
'columns. If the design time and run time columns will always be the same then this must be set to the "default" value.</p>',
'<p>The client code must be aware of when the column metadata changes. Typically this happens when region page items to submit have changed and the',
'simple grid region is going to be refreshed. Rather than refresh the region with the Refresh DA action or apex.region(...).refresh() the following',
'must be called:</p>',
'<pre><code>apex.region("<i>static-id</i>").changeColumns(key);',
'</code></pre>',
'<p>The argument <code>key</code> is a string that uniquely represents the column configuration so that column state can be persisted correctly and',
'not confused with other column configurations.</p>'))
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(639996426694885100)
,p_plugin_attribute_id=>wwv_flow_api.id(639893107455691440)
,p_display_sequence=>5
,p_display_value=>'None'
,p_return_value=>'NONE'
,p_help_text=>'Run time columns are not matched with design time column metadata. Default column metadata is used and the heading is derived from the column name.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(639894551874702047)
,p_plugin_attribute_id=>wwv_flow_api.id(639893107455691440)
,p_display_sequence=>10
,p_display_value=>'By Position'
,p_return_value=>'POS'
,p_help_text=>'<p>The i<sup>th</sup> run time column is matched with the i<sup>th</sup> design time column. If there are more run time columns than design time columns the last design time column is used for all the extra ones. In this way a single design time colu'
||'mn could be used for all the run time columns.</p>'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(639894970851716134)
,p_plugin_attribute_id=>wwv_flow_api.id(639893107455691440)
,p_display_sequence=>20
,p_display_value=>'By Column Name'
,p_return_value=>'NAME'
,p_help_text=>'Run time columns are matched with design time column metadata by column name. If there is no matching column name then default column metadata is used and the heading is derived from the column name.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(639895304064736212)
,p_plugin_attribute_id=>wwv_flow_api.id(639893107455691440)
,p_display_sequence=>30
,p_display_value=>'By Data Type'
,p_return_value=>'TYPE'
,p_help_text=>'Run time columns are matched with design time column metadata by data type. The design time columns should have column names that match standard data types such as VARCHAR2, DATE, NUMBER etc.  The heading is derived from the run time column name. Not'
||' Yet Implemented.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(640054455345179368)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>18
,p_display_sequence=>164
,p_prompt=>'Persist Column State'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Column state consists of the width, order, frozen, and visibility of each column.',
'If yes the column state will be persisted in client session storage.'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(640789802103956666)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>19
,p_display_sequence=>190
,p_prompt=>'Heading Fixed To'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_show_in_wizard=>false
,p_default_value=>'REGION'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Specify how to handle sticky header and footer, and scroll area.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(640791475044964035)
,p_plugin_attribute_id=>wwv_flow_api.id(640789802103956666)
,p_display_sequence=>10
,p_display_value=>'None'
,p_return_value=>'NONE'
,p_help_text=>'The heading and footer do not stick as the page scrolls and there is no specific height given to the grid.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(640791870973966112)
,p_plugin_attribute_id=>wwv_flow_api.id(640789802103956666)
,p_display_sequence=>20
,p_display_value=>'Region'
,p_return_value=>'REGION'
,p_help_text=>'The heading and footer do not stick as the page scrolls. The grid is given a specific height and the rows will scroll within the grid.'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(640794039759978982)
,p_plugin_attribute_id=>wwv_flow_api.id(640789802103956666)
,p_display_sequence=>30
,p_display_value=>'Page'
,p_return_value=>'PAGE'
,p_help_text=>'The heading and footer stick as the page scrolls.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(640795268011987043)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>20
,p_display_sequence=>200
,p_prompt=>'Grid Height'
,p_attribute_type=>'NUMBER'
,p_is_required=>false
,p_default_value=>'200'
,p_unit=>'pixels'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(640789802103956666)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'REGION'
,p_help_text=>'Specify the height of the grid widget. Only applies when the Heading Fixed To Region.'
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(430797241708747981)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_name=>'INIT_JAVASCRIPT_CODE'
,p_is_required=>false
,p_depending_on_has_to_exist=>true
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'function(options) {',
'    options.persistSelection = true;',
'    options.modelOptions.pageSize = 200;    ',
'    return options;',
'}',
'</pre>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Enter a JavaScript function that takes a configuration options object for the Simple Grid region, modifies the object, and returns it. This allows advanced customization of the Simple Grid. The options are for the grid widget. See the JavaScript A'
||'PIs grid documentation for details.</p>',
'<p>Additional options include:</p>',
'<ul>',
'<li>regionId - The region id. Must not be modified.</li>',
'<li>regionStaticId - The region static id or id. Must not be modified.</li>',
'<li>ajaxIdentifier - The ajax identifier for this plugin. Must not be modified.</li>',
'<li>modelOptions - An object with additional options to be given to the apex.model.create function.</li>',
'<li>persistColumnState - Set from the Persist Column State attribute.</li>',
'<li>lazyLoad - Set from the Lazy Load attribute.</li>',
'<li>persistColumnStatePrefix - Only applicable when the columns change dynamically and the column state is persisted.</li>',
'<li>gridHeight - Set from the Grid Height attribute.</li>',
'</ul>',
'<p>Most of the options are set based on declarative attributes.</p>'))
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(430796827781747980)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_name=>'SOURCE_LOCATION'
,p_depending_on_has_to_exist=>true
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'select empno,',
'       ename,',
'       job,',
'       sal',
'  from emp',
' where deptno = :P1_DEPTNO',
'</pre>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Specify the source of data for the Simple Grid.</p>',
'<p>Remember to include any page items used in the SQL query or Where Clause in the Page Items to Submit attribute.</p>',
'<p>When the Source Type is PL/SQL Function Body returning SQL Query the columns returned by the function can always be the same or can be different depending on page item values.',
'The columns in the returned SQL Query at design time become column child nodes and you can configure each column. ',
'If the columns can be different from one request to the next then see the Column Mapping attribute for how the run time columns map onto the design time columns.</p>'))
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(626872265587136041)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_name=>'gridactivatecell'
,p_display_name=>'Activate Cell'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(626871820765136039)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_name=>'gridpagechange'
,p_display_name=>'Page Change'
);
wwv_flow_api.create_plugin_event(
 p_id=>wwv_flow_api.id(626871573546136039)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_name=>'gridselectionchange'
,p_display_name=>'Selection Change'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0D0A202A2053696D706C652047726964204150455820726567696F6E20706C7567696E20666F722067726964207769646765740D0A202A2F0D0A2F2A676C6F62616C2077696E646F772C617065782A2F0D0A282066756E6374696F6E28207574696C';
wwv_flow_api.g_varchar2_table(2) := '2C207769646765745574696C2C20726567696F6E2C20242029207B0D0A202020202275736520737472696374223B0D0A0D0A2020202077696E646F772E73696D706C6547726964526567696F6E496E6974203D2066756E6374696F6E286F7074696F6E73';
wwv_flow_api.g_varchar2_table(3) := '29207B0D0A2020202020202020766172206D6F64656C2C2067726964242C2073697A6572242C20636F6C756D6E4D656E75242C20646174612C206D6F726544617461202F2A20696E74656E74696F6E616C6C7920756E646566696E6564202A2F2C0D0A20';
wwv_flow_api.g_varchar2_table(4) := '202020202020202020202073746F72616765203D206E756C6C2C0D0A20202020202020202020202076616C756573203D206E756C6C2C0D0A202020202020202020202020746F74616C203D206E756C6C2C0D0A2020202020202020202020206375727265';
wwv_flow_api.g_varchar2_table(5) := '6E7446696C74657273203D206E756C6C2C0D0A202020202020202020202020637572436F6C756D6E4D656E75436F6E74657874203D206E756C6C2C0D0A202020202020202020202020726571756573744368616E6765436F6C756D6E73203D2066616C73';
wwv_flow_api.g_varchar2_table(6) := '653B0D0A0D0A2020202020202020617065782E64656275672E696E666F2822496E69742073696D706C65206772696420726567696F6E3A20222C206F7074696F6E7320293B0D0A0D0A202020202020202066756E6374696F6E206372656174654D6F6465';
wwv_flow_api.g_varchar2_table(7) := '6C2829207B0D0A20202020202020202020202076617220662C0D0A202020202020202020202020202020206669656C6473203D206F7074696F6E732E636F6C756D6E735B305D2C0D0A2020202020202020202020202020202069644669656C6473203D20';
wwv_flow_api.g_varchar2_table(8) := '5B5D3B0D0A0D0A202020202020202020202020666F722028206620696E206669656C64732029207B0D0A2020202020202020202020202020202069662028206669656C64732E6861734F776E50726F70657274792866292029207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(9) := '2020202020202020202020202069662028206669656C64735B665D2E706B2029207B0D0A20202020202020202020202020202020202020202020202069644669656C64732E707573682866293B0D0A20202020202020202020202020202020202020207D';
wwv_flow_api.g_varchar2_table(10) := '0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A202020202020202020202020696620282069644669656C64732E6C656E677468203D3D3D20302029207B0D0A2020202020202020202020202020202069644669';
wwv_flow_api.g_varchar2_table(11) := '656C6473203D206E756C6C3B0D0A2020202020202020202020207D0D0A2020202020202020202020206D6F64656C203D20617065782E6D6F64656C2E63726561746528206F7074696F6E732E6D6F64656C4E616D652C20242E657874656E6428207B7D2C';
wwv_flow_api.g_varchar2_table(12) := '206F7074696F6E732E6D6F64656C4F7074696F6E732C207B0D0A2020202020202020202020202020202073686170653A20227461626C65222C0D0A202020202020202020202020202020207265636F7264497341727261793A20747275652C0D0A202020';
wwv_flow_api.g_varchar2_table(13) := '202020202020202020202020206964656E746974794669656C643A2069644669656C64732C0D0A202020202020202020202020202020206669656C64733A206F7074696F6E732E636F6C756D6E735B305D2C0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(14) := '706167696E6174696F6E547970653A202270726F6772657373697665222C0D0A20202020202020202020202020202020726567696F6E49643A206F7074696F6E732E726567696F6E49642C0D0A20202020202020202020202020202020616A6178496465';
wwv_flow_api.g_varchar2_table(15) := '6E7469666965723A206F7074696F6E732E616A61784964656E7469666965722C0D0A20202020202020202020202020202020706167654974656D73546F5375626D69743A206F7074696F6E732E6974656D73546F5375626D69742C0D0A20202020202020';
wwv_flow_api.g_varchar2_table(16) := '2020202020202020202F2F204E65697468657220746865206D6F64656C206F72207468652076696577206578706563747320746865206669656C642F636F6C756D6E20636F6E66696775726174696F6E20746F206368616E676520627574207468617420';
wwv_flow_api.g_varchar2_table(17) := '697320736F6D657468696E670D0A202020202020202020202020202020202F2F207468697320726567696F6E20737570706F7274732E0D0A202020202020202020202020202020202F2F205573696E67207468697320756E646F63756D656E746564206F';
wwv_flow_api.g_varchar2_table(18) := '7074696F6E20746F20616C6C6F772067657474696E67206E657720636F6C756D6E732066726F6D2074686520736572766572206174207468652073616D652074696D652061732067657474696E67206E657720646174610D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(19) := '20202020202F2F2054686973206973206E6F74207768617420697420697320696E74656E64656420666F722062757420756E74696C2074686572652069732061206265747465722077617920666F7220766965777320746F20686F6F6B20696E746F2074';
wwv_flow_api.g_varchar2_table(20) := '68650D0A202020202020202020202020202020202F2F206D6F64656C20726571756573747320746869732077696C6C206861766520746F20646F2E20576F756C64206E6F74206265206E65656465642069662077696C6C696E6720746F20686176652074';
wwv_flow_api.g_varchar2_table(21) := '776F207265717565737473207768656E2074686520636F6C756D6E73206368616E67652E0D0A202020202020202020202020202020202F2F2073656520636F6D6D656E746564206F757420636F646520696E206368616E6765436F6C756D6E730D0A2020';
wwv_flow_api.g_varchar2_table(22) := '202020202020202020202020202063616C6C5365727665723A2066756E6374696F6E28206D446174612C206D4F7074696F6E732029207B0D0A202020202020202020202020202020202020202076617220703B0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(23) := '20202020206966202820726571756573744368616E6765436F6C756D6E732029207B0D0A2020202020202020202020202020202020202020202020206D446174612E726567696F6E735B305D2E676574436F6C756D6E73203D20747275653B0D0A202020';
wwv_flow_api.g_varchar2_table(24) := '2020202020202020202020202020202020202020202F2F206D75737420636C65617220736F7274732062656361757365207468657920646F6E2774206170706C7920746F20746865206E657720636F6C756D6E730D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(25) := '2020202020202020202064656C657465206D446174612E726567696F6E735B305D2E6665746368446174612E736F7274733B0D0A20202020202020202020202020202020202020202020202064656C657465206D446174612E726567696F6E735B305D2E';
wwv_flow_api.g_varchar2_table(26) := '6665746368446174612E66696C746572733B0D0A2020202020202020202020202020202020202020202020202F2F20757365207375636365737320736F207765206765742061636365737320746F2074686520726573706F6E7365206461746120626566';
wwv_flow_api.g_varchar2_table(27) := '6F726520746865206D6F64656C20646F65733B20617373756D6573206D6F64656C20646F65736E27742075736520737563636573730D0A2020202020202020202020202020202020202020202020206D4F7074696F6E732E73756363657373203D206675';
wwv_flow_api.g_varchar2_table(28) := '6E6374696F6E28726573706F6E73654461746129207B0D0A202020202020202020202020202020202020202020202020202020207661722066657463686564203D20726573706F6E7365446174612E726567696F6E735B305D2E66657463686564446174';
wwv_flow_api.g_varchar2_table(29) := '612C0D0A2020202020202020202020202020202020202020202020202020202020202020636F6C756D6E73203D20726573706F6E7365446174612E726567696F6E735B305D2E636F6C756D6E733B0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(30) := '20202020202020202F2F207361766520746865206461746120666F7220746865206372656174696F6E206F662061206E6577206D6F64656C0D0A2020202020202020202020202020202020202020202020202020202076616C756573203D206665746368';
wwv_flow_api.g_varchar2_table(31) := '65642E76616C7565733B0D0A202020202020202020202020202020202020202020202020202020206D6F726544617461203D20666574636865642E6D6F7265446174613B0D0A20202020202020202020202020202020202020202020202020202020746F';
wwv_flow_api.g_varchar2_table(32) := '74616C203D20666574636865642E746F74616C526F77733B0D0A202020202020202020202020202020202020202020202020202020202F2F206E6F77206C696520616E6420736179207468657265206973206E6F20646174612062656361757365206974';
wwv_flow_api.g_varchar2_table(33) := '20646F65736E27742066697420746865206F6C6420636F6C756D6E7320616E797761790D0A20202020202020202020202020202020202020202020202020202020666574636865642E76616C756573203D205B5D3B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(34) := '202020202020202020202020202020666574636865642E6D6F726544617461203D2066616C73653B0D0A2020202020202020202020202020202020202020202020202020202073657454696D656F75742866756E6374696F6E2829207B0D0A2020202020';
wwv_flow_api.g_varchar2_table(35) := '2020202020202020202020202020202020202020202020202020202F2F2075706461746520636F6C756D6E206D6574616461746120666F7220757365206279206772696420616E64206E6577206D6F64656C0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(36) := '202020202020202020202020202020206F7074696F6E732E636F6C756D6E735B305D203D20636F6C756D6E733B0D0A20202020202020202020202020202020202020202020202020202020202020206C6F6164436F6C756D6E537461746528636F6C756D';
wwv_flow_api.g_varchar2_table(37) := '6E73293B0D0A20202020202020202020202020202020202020202020202020202020202020206372656174654D6F64656C28293B202F2F206F766572777269746520646566696E6974696F6E206F66206578697374696E67206D6F64656C0D0A20202020';
wwv_flow_api.g_varchar2_table(38) := '202020202020202020202020202020202020202020202020202020202F2F2075706461746520677269642077697468206E657720636F6C756D6E206D657461646174610D0A20202020202020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(39) := '2067726964242E6772696428226F7074696F6E222C2022636F6C756D6E7322295B305D203D20636F6C756D6E733B0D0A20202020202020202020202020202020202020202020202020202020202020202F2F2074656C6C20746865206772696420746865';
wwv_flow_api.g_varchar2_table(40) := '20636F6C756D6E732068617665206368616E67656420616E642062792073657474696E6720746865206D6F64656C4E616D650D0A20202020202020202020202020202020202020202020202020202020202020202F2F2069742077696C6C207377697463';
wwv_flow_api.g_varchar2_table(41) := '6820746F2075736520746865206E6577206D6F64656C207468617420776173206A757374206372656174656420696E636C7564696E67207375627363726962696E6720746F206D6F64656C206E6F74696669636174696F6E730D0A202020202020202020';
wwv_flow_api.g_varchar2_table(42) := '20202020202020202020202020202020202020202020202F2F20616E6420616C736F206361757365732072656672657368696E67207468652067726964207769646765742E0D0A2020202020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(43) := '20202067726964242E67726964282272656672657368436F6C756D6E7322290D0A2020202020202020202020202020202020202020202020202020202020202020202020202E6772696428226F7074696F6E222C20226D6F64656C4E616D65222C206F70';
wwv_flow_api.g_varchar2_table(44) := '74696F6E732E6D6F64656C4E616D65293B0D0A202020202020202020202020202020202020202020202020202020207D2C2031293B0D0A2020202020202020202020202020202020202020202020207D0D0A202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(45) := '20207D0D0A2020202020202020202020202020202020202020726571756573744368616E6765436F6C756D6E73203D2066616C73653B0D0A202020202020202020202020202020202020202070203D20617065782E7365727665722E706C7567696E2820';
wwv_flow_api.g_varchar2_table(46) := '6D446174612C206D4F7074696F6E7320293B0D0A202020202020202020202020202020202020202072657475726E20703B0D0A202020202020202020202020202020207D2C0D0A2020202020202020202020207D20292C2076616C7565732C20746F7461';
wwv_flow_api.g_varchar2_table(47) := '6C2C206D6F72654461746120293B0D0A2020202020202020202020202F2F20616674657220746865206D6F64656C206973206372656174656420646F6E2774207573652074686520696E697469616C206461746120616E79206D6F72650D0A2020202020';
wwv_flow_api.g_varchar2_table(48) := '20202020202020746F74616C203D2076616C756573203D206E756C6C3B0D0A2020202020202020202020206D6F726544617461203D20756E646566696E65643B0D0A20202020202020207D0D0A0D0A202020202020202066756E6374696F6E2075706461';
wwv_flow_api.g_varchar2_table(49) := '74654D6F64656C4665746368446174612829207B0D0A20202020202020202020202076617220702C20636F6C2C0D0A20202020202020202020202020202020636F6C4D6170203D206F7074696F6E732E636F6C756D6E735B305D2C0D0A20202020202020';
wwv_flow_api.g_varchar2_table(50) := '202020202020202020736F727473203D205B5D2C0D0A20202020202020202020202020202020666574636844617461203D206D6F64656C2E6765744F7074696F6E2820226665746368446174612220293B0D0A0D0A202020202020202020202020666574';
wwv_flow_api.g_varchar2_table(51) := '6368446174612E736F727473203D20736F7274733B0D0A202020202020202020202020666F722028207020696E20636F6C4D61702029207B0D0A202020202020202020202020202020206966202820636F6C4D61702E6861734F776E50726F7065727479';
wwv_flow_api.g_varchar2_table(52) := '28207020292029207B0D0A2020202020202020202020202020202020202020636F6C203D20636F6C4D61705B705D3B0D0A20202020202020202020202020202020202020206966202820636F6C2E736F7274446972656374696F6E2029207B0D0A202020';
wwv_flow_api.g_varchar2_table(53) := '202020202020202020202020202020202020202020736F7274732E7075736828207B0D0A20202020202020202020202020202020202020202020202020202020636F6C756D6E3A20702C0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(54) := '20202020646972656374696F6E3A20636F6C2E736F7274446972656374696F6E2E746F55707065724361736528292C0D0A20202020202020202020202020202020202020202020202020202020696E6465783A20636F6C2E736F7274496E6465780D0A20';
wwv_flow_api.g_varchar2_table(55) := '20202020202020202020202020202020202020202020207D20293B0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A2020202020202020202020206966';
wwv_flow_api.g_varchar2_table(56) := '20282063757272656E7446696C746572732026262063757272656E7446696C746572732E6C656E677468203E20302029207B0D0A202020202020202020202020202020206665746368446174612E66696C74657273203D2063757272656E7446696C7465';
wwv_flow_api.g_varchar2_table(57) := '72733B0D0A2020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020206665746368446174612E66696C74657273203D205B5D3B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A0D0A20202020';
wwv_flow_api.g_varchar2_table(58) := '2020202066756E6374696F6E20726573697A6528696E697429207B0D0A2020202020202020202020207661722077203D2073697A6572242E776964746828292C0D0A2020202020202020202020202020202068203D2073697A6572242E68656967687428';
wwv_flow_api.g_varchar2_table(59) := '293B0D0A0D0A2020202020202020202020207574696C2E7365744F7574657257696474682867726964242C2077293B0D0A20202020202020202020202069662028206F7074696F6E732E68617353697A652029207B0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(60) := '2020207574696C2E7365744F757465724865696768742867726964242C2068293B0D0A2020202020202020202020207D0D0A2020202020202020202020206966202821696E697429207B0D0A2020202020202020202020202020202067726964242E6772';
wwv_flow_api.g_varchar2_table(61) := '6964282022726573697A652220293B0D0A2020202020202020202020207D0D0A20202020202020207D0D0A0D0A202020202020202066756E6374696F6E20676574436F6C756D6E53746174654B65792829207B0D0A202020202020202020202020726574';
wwv_flow_api.g_varchar2_table(62) := '75726E20286F7074696F6E732E70657273697374436F6C756D6E5374617465507265666978203F206F7074696F6E732E70657273697374436F6C756D6E5374617465507265666978202B20225F22203A20222229202B2022636F6C756D6E73223B0D0A20';
wwv_flow_api.g_varchar2_table(63) := '202020202020207D0D0A0D0A202020202020202066756E6374696F6E2070657273697374436F6C756D6E537461746528636F6C756D6E7329207B0D0A20202020202020202020202076617220692C20632C0D0A2020202020202020202020202020202063';
wwv_flow_api.g_varchar2_table(64) := '6F6C73203D205B5D3B0D0A0D0A20202020202020202020202069662028202173746F726167652029207B0D0A2020202020202020202020202020202072657475726E3B0D0A2020202020202020202020207D0D0A0D0A202020202020202020202020666F';
wwv_flow_api.g_varchar2_table(65) := '72202869203D20303B2069203C20636F6C756D6E732E6C656E6774683B20692B2B29207B0D0A2020202020202020202020202020202063203D20636F6C756D6E735B695D3B0D0A20202020202020202020202020202020636F6C732E70757368287B0D0A';
wwv_flow_api.g_varchar2_table(66) := '20202020202020202020202020202020202020206E616D653A20632E70726F70657274792C0D0A202020202020202020202020202020202020202077696474683A20632E77696474682C0D0A20202020202020202020202020202020202020207365713A';
wwv_flow_api.g_varchar2_table(67) := '20632E7365712C0D0A202020202020202020202020202020202020202066726F7A656E3A20632E66726F7A656E2C0D0A202020202020202020202020202020202020202068696464656E3A20632E68696464656E0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(68) := '20207D293B0D0A2020202020202020202020207D0D0A20202020202020202020202073746F726167652E7365744974656D2820676574436F6C756D6E53746174654B657928292C204A534F4E2E737472696E6769667928636F6C732920293B0D0A202020';
wwv_flow_api.g_varchar2_table(69) := '20202020207D0D0A0D0A202020202020202066756E6374696F6E206C6F6164436F6C756D6E537461746528636F6C756D6E7329207B0D0A20202020202020202020202076617220692C20632C20646573745F636F6C2C20636F6C733B0D0A0D0A20202020';
wwv_flow_api.g_varchar2_table(70) := '202020202020202069662028202173746F726167652029207B0D0A2020202020202020202020202020202072657475726E3B0D0A2020202020202020202020207D0D0A0D0A202020202020202020202020636F6C73203D2073746F726167652E67657449';
wwv_flow_api.g_varchar2_table(71) := '74656D2820676574436F6C756D6E53746174654B6579282920293B0D0A2020202020202020202020206966202820636F6C732029207B0D0A20202020202020202020202020202020747279207B0D0A202020202020202020202020202020202020202063';
wwv_flow_api.g_varchar2_table(72) := '6F6C73203D204A534F4E2E70617273652820636F6C7320293B0D0A2020202020202020202020202020202020202020666F7220282069203D20303B2069203C20636F6C732E6C656E6774683B20692B2B2029207B0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(73) := '2020202020202020202063203D20636F6C735B695D3B0D0A202020202020202020202020202020202020202020202020646573745F636F6C203D20636F6C756D6E735B632E6E616D655D3B0D0A2020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(74) := '206966202820646573745F636F6C2029207B0D0A202020202020202020202020202020202020202020202020202020206966202820632E73657120262620747970656F6620632E736571203D3D3D20226E756D626572222029207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(75) := '20202020202020202020202020202020202020202020202020646573745F636F6C2E736571203D20632E7365713B0D0A202020202020202020202020202020202020202020202020202020207D0D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(76) := '202020202020206966202820632E776964746820262620747970656F6620632E7769647468203D3D3D20226E756D6265722220262620632E7769647468203E2032302029207B0D0A20202020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(77) := '20202020646573745F636F6C2E7769647468203D20632E77696474680D0A202020202020202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020202020202069662028202820632E6869';
wwv_flow_api.g_varchar2_table(78) := '6464656E203D3D3D2074727565207C7C20632E68696464656E203D3D3D2066616C7365202920262620646573745F636F6C2E63616E486964652029207B0D0A2020202020202020202020202020202020202020202020202020202020202020646573745F';
wwv_flow_api.g_varchar2_table(79) := '636F6C2E68696464656E203D20632E68696464656E3B0D0A202020202020202020202020202020202020202020202020202020207D0D0A202020202020202020202020202020202020202020202020202020206966202820632E66726F7A656E203D3D3D';
wwv_flow_api.g_varchar2_table(80) := '2074727565207C7C20632E66726F7A656E203D3D3D2066616C73652029207B0D0A2020202020202020202020202020202020202020202020202020202020202020646573745F636F6C2E66726F7A656E203D20632E66726F7A656E3B0D0A202020202020';
wwv_flow_api.g_varchar2_table(81) := '202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D2063617463682028';
wwv_flow_api.g_varchar2_table(82) := '20652029207B0D0A2020202020202020202020202020202020202020617065782E64656275672E7761726E2820224661696C656420746F206C6F616420636F6C756D6E732066726F6D2073657373696F6E2073746F726167652E222C20652E746F537472';
wwv_flow_api.g_varchar2_table(83) := '696E67282920293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A20202020202020207D0D0A0D0A2020202020202020696620286F7074696F6E732E70657273697374436F6C756D6E537461746529207B0D0A';
wwv_flow_api.g_varchar2_table(84) := '20202020202020202020202073746F72616765203D20617065782E73746F726167652E67657453636F70656453657373696F6E53746F72616765287B0D0A202020202020202020202020202020207072656669783A20225347222C0D0A20202020202020';
wwv_flow_api.g_varchar2_table(85) := '2020202020202020207573655061676549643A20747275652C0D0A20202020202020202020202020202020726567696F6E49643A206F7074696F6E732E726567696F6E49640D0A2020202020202020202020207D293B0D0A20202020202020207D0D0A0D';
wwv_flow_api.g_varchar2_table(86) := '0A202020202020202069662028216F7074696F6E732E6C617A794C6F616429207B0D0A20202020202020202020202064617461203D2077696E646F775B22675347646174615F22202B206F7074696F6E732E726567696F6E49645D3B0D0A202020202020';
wwv_flow_api.g_varchar2_table(87) := '20202020202076616C756573203D20646174612E76616C7565733B0D0A2020202020202020202020206966202820646174612E746F74616C526F77732029207B0D0A20202020202020202020202020202020746F74616C203D20646174612E746F74616C';
wwv_flow_api.g_varchar2_table(88) := '526F77733B0D0A2020202020202020202020207D0D0A2020202020202020202020206D6F726544617461203D20646174612E6D6F7265446174613B0D0A20202020202020207D0D0A0D0A20202020202020206372656174654D6F64656C28293B0D0A0D0A';
wwv_flow_api.g_varchar2_table(89) := '20202020202020207570646174654D6F64656C46657463684461746128293B0D0A0D0A20202020202020202F2F20636F6C756D6E206D656E750D0A2020202020202020636F6C756D6E4D656E7524203D20242820223C6469762069643D2722202B20206F';
wwv_flow_api.g_varchar2_table(90) := '7074696F6E732E726567696F6E5374617469634964202B20225F636F6C5F6D656E7522202B202227207374796C653D27646973706C61793A6E6F6E653B273E3C2F6469763E2220293B0D0A202020202020202024282022626F64792220292E617070656E';
wwv_flow_api.g_varchar2_table(91) := '642820636F6C756D6E4D656E752420293B0D0A2020202020202020636F6C756D6E4D656E75242E6D656E7528207B0D0A2020202020202020202020206974656D733A205B0D0A202020202020202020202020202020207B20747970653A2022746F67676C';
wwv_flow_api.g_varchar2_table(92) := '65222C206F6E4C6162656C3A2022556E667265657A65222C206F66664C6162656C3A2022467265657A65222C206765743A2066756E6374696F6E202829207B202F2F206931386E0D0A202020202020202020202020202020202020202072657475726E20';
wwv_flow_api.g_varchar2_table(93) := '637572436F6C756D6E4D656E75436F6E746578742E636F6C756D6E2E66726F7A656E3B0D0A202020202020202020202020202020207D2C207365743A2066756E6374696F6E202820762029207B0D0A202020202020202020202020202020202020202067';
wwv_flow_api.g_varchar2_table(94) := '726964242E677269642876203F2022667265657A65436F6C756D6E22203A2022756E667265657A65436F6C756D6E222C20637572436F6C756D6E4D656E75436F6E746578742E636F6C756D6E20293B0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(95) := '2070657273697374436F6C756D6E53746174652867726964242E677269642822676574436F6C756D6E732229293B0D0A202020202020202020202020202020207D0D0A202020202020202020202020202020207D2C0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(96) := '2020207B20747970653A2022736570617261746F7222207D2C0D0A202020202020202020202020202020207B20747970653A2022616374696F6E222C206C6162656C3A202248696465222C2064697361626C65643A2066756E6374696F6E2829207B0D0A';
wwv_flow_api.g_varchar2_table(97) := '202020202020202020202020202020202020202072657475726E2021637572436F6C756D6E4D656E75436F6E746578742E636F6C756D6E2E63616E486964653B0D0A202020202020202020202020202020207D2C20616374696F6E3A2066756E6374696F';
wwv_flow_api.g_varchar2_table(98) := '6E2829207B0D0A202020202020202020202020202020202020202067726964242E67726964282268696465436F6C756D6E222C20637572436F6C756D6E4D656E75436F6E746578742E636F6C756D6E20293B0D0A20202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(99) := '2020202070657273697374436F6C756D6E53746174652867726964242E677269642822676574436F6C756D6E732229293B0D0A202020202020202020202020202020207D0D0A202020202020202020202020202020207D2C0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(100) := '2020202020207B2069643A202273686F77222C20747970653A20227375624D656E75222C2064697361626C65643A20747275652C206C6162656C3A202253686F77222C206D656E753A207B206974656D733A205B205D7D0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(101) := '20202020207D0D0A2020202020202020202020205D2C0D0A2020202020202020202020206265666F72654F70656E3A2066756E6374696F6E286D656E7529207B0D0A2020202020202020202020202020202076617220692C20636F6C2C2073686F774D65';
wwv_flow_api.g_varchar2_table(102) := '6E752C0D0A202020202020202020202020202020202020202073686F77436F6C756D6E73203D205B5D2C0D0A2020202020202020202020202020202020202020636F6C756D6E73203D2067726964242E677269642822676574436F6C756D6E7322293B0D';
wwv_flow_api.g_varchar2_table(103) := '0A0D0A2020202020202020202020202020202066756E6374696F6E2073686F77436F6C756D6E2829207B0D0A202020202020202020202020202020202020202067726964242E67726964282273686F77436F6C756D6E222C20746869732E636F6C4E616D';
wwv_flow_api.g_varchar2_table(104) := '6520293B0D0A202020202020202020202020202020202020202070657273697374436F6C756D6E53746174652867726964242E677269642822676574436F6C756D6E732229293B0D0A202020202020202020202020202020207D0D0A0D0A202020202020';
wwv_flow_api.g_varchar2_table(105) := '20202020202020202020666F72202869203D20303B2069203C20636F6C756D6E732E6C656E6774683B20692B2B29207B0D0A2020202020202020202020202020202020202020636F6C203D20636F6C756D6E735B695D3B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(106) := '2020202020202020206966202820636F6C2E63616E4869646520262620636F6C2E68696464656E2029207B0D0A20202020202020202020202020202020202020202020202073686F77436F6C756D6E732E707573682820636F6C20293B0D0A2020202020';
wwv_flow_api.g_varchar2_table(107) := '2020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A0D0A2020202020202020202020202020202073686F774D656E75203D20636F6C756D6E4D656E75242E6D656E7528202266696E64222C202273686F77222029';
wwv_flow_api.g_varchar2_table(108) := '3B0D0A2020202020202020202020202020202073686F774D656E752E64697361626C6564203D20747275653B0D0A2020202020202020202020202020202073686F774D656E752E6D656E752E6974656D73203D205B5D3B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(109) := '2020202020696620282073686F77436F6C756D6E732E6C656E6774682029207B0D0A202020202020202020202020202020202020202073686F774D656E752E64697361626C6564203D2066616C73653B0D0A202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(110) := '202073686F77436F6C756D6E732E736F72742866756E6374696F6E28612C6229207B0D0A20202020202020202020202020202020202020202020202072657475726E20612E736571202D20622E7365713B0D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(111) := '2020207D293B0D0A2020202020202020202020202020202020202020666F72202869203D20303B2069203C2073686F77436F6C756D6E732E6C656E6774683B20692B2B2029207B0D0A202020202020202020202020202020202020202020202020636F6C';
wwv_flow_api.g_varchar2_table(112) := '203D2073686F77436F6C756D6E735B695D3B0D0A20202020202020202020202020202020202020202020202073686F774D656E752E6D656E752E6974656D732E70757368287B0D0A20202020202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(113) := '747970653A2022616374696F6E222C0D0A202020202020202020202020202020202020202020202020202020206C6162656C3A20636F6C2E6C6162656C207C7C20636F6C2E68656164696E672C0D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(114) := '20202020202020636F6C4E616D653A20636F6C2E70726F70657274792C0D0A20202020202020202020202020202020202020202020202020202020616374696F6E3A2073686F77436F6C756D6E0D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(115) := '2020207D293B0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A0D0A20202020202020206966202820216F7074696F6E';
wwv_flow_api.g_varchar2_table(116) := '732E6163746976617465436F6C756D6E48656164657220262620216F7074696F6E732E63616E63656C436F6C756D6E4865616465722029207B0D0A2020202020202020202020206F7074696F6E732E6163746976617465436F6C756D6E48656164657220';
wwv_flow_api.g_varchar2_table(117) := '3D2066756E6374696F6E28206576656E742C2075692029207B0D0A202020202020202020202020202020202F2F20746F646F2066696E642061206265747465722077617920746F2073686172652074686520636F6C756D6E20696E666F20776974682074';
wwv_flow_api.g_varchar2_table(118) := '6865206D656E7520616374696F6E730D0A20202020202020202020202020202020637572436F6C756D6E4D656E75436F6E74657874203D2075693B0D0A2020202020202020202020202020202075692E686561646572242E616464436C61737328226973';
wwv_flow_api.g_varchar2_table(119) := '2D61637469766522290D0A20202020202020202020202020202020202020202E617474722822617269612D657870616E646564222C20227472756522293B0D0A20202020202020202020202020202020636F6C756D6E4D656E75242E6D656E7528202274';
wwv_flow_api.g_varchar2_table(120) := '6F67676C65222C2075692E686561646572242C2066616C736520292E6F6E2820226D656E756166746572636C6F73652E6D656E75627574746F6E222C2066756E6374696F6E28206576656E742C20726573756C742029207B0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(121) := '202020202020202020202428207468697320292E6F66662820222E6D656E75627574746F6E2220293B0D0A202020202020202020202020202020202020202075692E686561646572242E72656D6F7665436C61737328202269732D616374697665222029';
wwv_flow_api.g_varchar2_table(122) := '0D0A2020202020202020202020202020202020202020202020202E61747472282022617269612D657870616E646564222C202266616C73652220293B0D0A202020202020202020202020202020207D20292E66696E64282022612C20627574746F6E2C20';
wwv_flow_api.g_varchar2_table(123) := '2E612D4D656E752D6C6162656C2220292E666972737428292E666F63757328293B0D0A2020202020202020202020207D3B0D0A2020202020202020202020206F7074696F6E732E63616E63656C436F6C756D6E486561646572203D2066756E6374696F6E';
wwv_flow_api.g_varchar2_table(124) := '28206576656E742C2075692029207B0D0A202020202020202020202020202020206966202820636F6C756D6E4D656E75242E697328223A76697369626C6522292029207B0D0A2020202020202020202020202020202020202020636F6C756D6E4D656E75';
wwv_flow_api.g_varchar2_table(125) := '242E6D656E752822746F67676C6522293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D3B0D0A20202020202020207D0D0A0D0A20202020202020206F7074696F6E732E736F72744368616E6765203D206F707469';
wwv_flow_api.g_varchar2_table(126) := '6F6E732E736F72744368616E6765207C7C2066756E6374696F6E28206576656E742C2075692029207B0D0A20202020202020202020202076617220692C20636F6C2C20696E6465782C0D0A202020202020202020202020202020206F726967696E616C49';
wwv_flow_api.g_varchar2_table(127) := '6E646578203D2075692E636F6C756D6E2E736F7274496E6465782C0D0A20202020202020202020202020202020636F6C756D6E73203D2067726964242E677269642822676574436F6C756D6E7322293B0D0A0D0A202020202020202020202020696E6465';
wwv_flow_api.g_varchar2_table(128) := '78203D20313B0D0A202020202020202020202020666F72202869203D20303B2069203C20636F6C756D6E732E6C656E6774683B20692B2B29207B0D0A20202020202020202020202020202020636F6C203D20636F6C756D6E735B695D3B0D0A2020202020';
wwv_flow_api.g_varchar2_table(129) := '20202020202020202020206966202820636F6C2E736F7274496E6465782029207B0D0A2020202020202020202020202020202020202020696620282075692E616374696F6E203D3D3D20226368616E6765222029207B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(130) := '2020202020202020202020206966202820636F6C203D3D3D2075692E636F6C756D6E2029207B0D0A20202020202020202020202020202020202020202020202020202020696E646578203D20636F6C2E736F7274496E6465783B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(131) := '202020202020202020202020202020207D0D0A20202020202020202020202020202020202020207D20656C736520696620282075692E616374696F6E203D3D3D2022616464222029207B0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(132) := '6966202820636F6C2E736F7274496E646578203E3D20696E6465782029207B0D0A20202020202020202020202020202020202020202020202020202020696E646578203D20636F6C2E736F7274496E646578202B20313B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(133) := '202020202020202020202020207D0D0A20202020202020202020202020202020202020207D20656C736520696620282075692E616374696F6E203D3D3D202272656D6F7665222029207B0D0A202020202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(134) := '6966202820636F6C203D3D3D2075692E636F6C756D6E2029207B0D0A2020202020202020202020202020202020202020202020202020202064656C65746520636F6C2E736F7274496E6465783B0D0A202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(135) := '2020202020202064656C65746520636F6C2E736F7274446972656374696F6E3B0D0A2020202020202020202020202020202020202020202020207D20656C7365206966202820636F6C2E736F7274496E646578203E206F726967696E616C496E64657829';
wwv_flow_api.g_varchar2_table(136) := '207B0D0A20202020202020202020202020202020202020202020202020202020636F6C2E736F7274496E646578202D3D20313B0D0A2020202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(137) := '7D20656C736520696620282075692E616374696F6E203D3D3D2022636C65617222207C7C2075692E616374696F6E203D3D3D2022736574222029207B0D0A20202020202020202020202020202020202020202020202064656C65746520636F6C2E736F72';
wwv_flow_api.g_varchar2_table(138) := '74496E6465783B0D0A20202020202020202020202020202020202020202020202064656C65746520636F6C2E736F7274446972656374696F6E3B0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D';
wwv_flow_api.g_varchar2_table(139) := '0D0A2020202020202020202020207D0D0A0D0A202020202020202020202020696620282075692E616374696F6E20213D3D2022636C656172222026262075692E616374696F6E20213D3D202272656D6F7665222029207B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(140) := '202020202075692E636F6C756D6E2E736F7274496E646578203D20696E6465783B0D0A2020202020202020202020202020202075692E636F6C756D6E2E736F7274446972656374696F6E203D2075692E646972656374696F6E3B0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(141) := '202020207D0D0A20202020202020202020202067726964242E67726964282272656672657368436F6C756D6E7322293B0D0A2020202020202020202020207570646174654D6F64656C46657463684461746128293B0D0A2020202020202020202020206D';
wwv_flow_api.g_varchar2_table(142) := '6F64656C2E636C6561724461746128293B0D0A20202020202020207D2C0D0A20202020202020206F7074696F6E732E636F6C756D6E52656F72646572203D206F7074696F6E732E636F6C756D6E52656F72646572207C7C2066756E6374696F6E28206576';
wwv_flow_api.g_varchar2_table(143) := '656E742C2075692029207B0D0A20202020202020202020202070657273697374436F6C756D6E53746174652867726964242E677269642822676574436F6C756D6E732229293B0D0A20202020202020207D3B0D0A20202020202020206F7074696F6E732E';
wwv_flow_api.g_varchar2_table(144) := '636F6C756D6E526573697A65203D206F7074696F6E732E636F6C756D6E526573697A65207C7C2066756E6374696F6E28206576656E742C2075692029207B0D0A20202020202020202020202070657273697374436F6C756D6E5374617465286772696424';
wwv_flow_api.g_varchar2_table(145) := '2E677269642822676574436F6C756D6E732229293B0D0A20202020202020207D3B0D0A0D0A20202020202020206772696424203D20242820222322202B206F7074696F6E732E726567696F6E5374617469634964202B20225F672220293B0D0A20202020';
wwv_flow_api.g_varchar2_table(146) := '2020202073697A657224203D2067726964242E706172656E7428293B0D0A202020202020202073697A6572242E63737328226F766572666C6F77222C202268696464656E22293B0D0A2020202020202020696620286F7074696F6E732E68617353697A65';
wwv_flow_api.g_varchar2_table(147) := '29207B0D0A20202020202020202020202073697A6572242E637373282022686569676874222C206F7074696F6E732E67726964486569676874207C7C2032303020293B0D0A20202020202020207D0D0A2020202020202020726573697A65287472756529';
wwv_flow_api.g_varchar2_table(148) := '3B202F2F206265666F726520677269642077696467657420697320637265617465640D0A20202020202020206C6F6164436F6C756D6E5374617465286F7074696F6E732E636F6C756D6E735B305D293B0D0A202020202020202067726964242E67726964';
wwv_flow_api.g_varchar2_table(149) := '28206F7074696F6E7320293B0D0A0D0A20202020202020202F2F20546869732069732063757272656E746C7920756E646F63756D656E746564206275742069742064657465637473207768656E20616E20656C656D656E7427732073697A65206368616E';
wwv_flow_api.g_varchar2_table(150) := '6765732E204947207573657320746869732E0D0A20202020202020207769646765745574696C2E6F6E456C656D656E74526573697A65282067726964242E706172656E7428295B305D2C2066756E6374696F6E2829207B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(151) := '20726573697A6528293B0D0A20202020202020207D20293B0D0A0D0A20202020202020202F2F20546869732069732063757272656E746C7920756E646F63756D656E746564206275742049206861766520626C6F676765642061626F75742069742E0D0A';
wwv_flow_api.g_varchar2_table(152) := '20202020202020207769646765745574696C2E6F6E5669736962696C6974794368616E6765282067726964245B305D2C2066756E6374696F6E2873686F7729207B0D0A202020202020202020202020696620282073686F772029207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(153) := '202020202020202020207769646765745574696C2E757064617465526573697A6553656E736F7273282073697A6572245B305D20293B0D0A20202020202020202020202020202020726573697A6528293B0D0A2020202020202020202020207D0D0A2020';
wwv_flow_api.g_varchar2_table(154) := '2020202020207D20293B0D0A0D0A2020202020202020617065782E726567696F6E2E63726561746528206F7074696F6E732E726567696F6E53746174696349642C207B0D0A202020202020202020202020747970653A202267726964222C0D0A20202020';
wwv_flow_api.g_varchar2_table(155) := '20202020202020207769646765744E616D653A202267726964222C0D0A202020202020202020202020666F6375733A2066756E6374696F6E2829207B0D0A2020202020202020202020202020202067726964242E677269642822666F63757322293B0D0A';
wwv_flow_api.g_varchar2_table(156) := '2020202020202020202020207D2C0D0A202020202020202020202020726566726573683A2066756E6374696F6E2829207B0D0A202020202020202020202020202020206D6F64656C2E636C6561724461746128293B0D0A2020202020202020202020207D';
wwv_flow_api.g_varchar2_table(157) := '2C0D0A2020202020202020202020207769646765743A2066756E6374696F6E2829207B0D0A2020202020202020202020202020202072657475726E2067726964243B0D0A2020202020202020202020207D2C0D0A202020202020202020202020616C7465';
wwv_flow_api.g_varchar2_table(158) := '726E6174654C6F6164696E67496E64696361746F723A2066756E6374696F6E2820656C656D656E742C206C6F6164696E67496E64696361746F72242029207B0D0A202020202020202020202020202020207661722063656C6C24203D2067726964242E67';
wwv_flow_api.g_varchar2_table(159) := '72696428202267657441637469766543656C6C46726F6D436F6C756D6E4974656D222C20656C656D656E7420293B0D0A20202020202020202020202020202020696620282063656C6C242029207B0D0A2020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(160) := '72657475726E207574696C2E73686F775370696E6E6572282063656C6C242C207B0D0A2020202020202020202020202020202020202020202020207370696E6E6572436C6173733A2022752D50726F63657373696E672D2D63656C6C5265667265736822';
wwv_flow_api.g_varchar2_table(161) := '0D0A20202020202020202020202020202020202020207D293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D2C0D0A2020202020202020202020202F2F206578747261206D6574686F64730D0A2020202020202020';
wwv_flow_api.g_varchar2_table(162) := '202020206765744D6F64656C3A2066756E6374696F6E2829207B0D0A2020202020202020202020202020202072657475726E206D6F64656C3B0D0A2020202020202020202020207D2C0D0A2020202020202020202020202F2A2A0D0A2020202020202020';
wwv_flow_api.g_varchar2_table(163) := '20202020202A20416E206172726179206F662066696C746572206F626A656374732E0D0A202020202020202020202020202A2040706172616D2041727261792066696C746572730D0A202020202020202020202020202A2040706172616D20737472696E';
wwv_flow_api.g_varchar2_table(164) := '672066696C746572732E636F6C756D6E0D0A202020202020202020202020202A2040706172616D20696E74656765722066696C746572732E747970650D0A202020202020202020202020202A2040706172616D20737472696E672066696C746572732E76';
wwv_flow_api.g_varchar2_table(165) := '616C75650D0A202020202020202020202020202A2040706172616D20737472696E672066696C746572732E66726F6D56616C75650D0A202020202020202020202020202A2040706172616D20737472696E672066696C746572732E746F56616C75650D0A';
wwv_flow_api.g_varchar2_table(166) := '202020202020202020202020202A2040706172616D20737472696E672066696C746572732E76616C7565730D0A202020202020202020202020202A2F0D0A20202020202020202020202073657446696C746572733A2066756E6374696F6E2866696C7465';
wwv_flow_api.g_varchar2_table(167) := '727329207B0D0A2020202020202020202020202020202063757272656E7446696C74657273203D2066696C746572733B0D0A202020202020202020202020202020207570646174654D6F64656C46657463684461746128293B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(168) := '202020202020206D6F64656C2E636C6561724461746128293B0D0A2020202020202020202020207D2C0D0A20202020202020202020202067657446696C746572733A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020726574';
wwv_flow_api.g_varchar2_table(169) := '75726E2063757272656E7446696C746572733B0D0A2020202020202020202020207D2C0D0A2020202020202020202020206368616E6765436F6C756D6E733A2066756E6374696F6E2870657273697374436F6C756D6E537461746550726566697829207B';
wwv_flow_api.g_varchar2_table(170) := '0D0A202020202020202020202020202020202F2F2072657175657374206E657720636F6C756D6E7320616E642064617461206F6E6C79206966207468652070726566697820686173206368616E6765640D0A202020202020202020202020202020206966';
wwv_flow_api.g_varchar2_table(171) := '20282070657273697374436F6C756D6E537461746550726566697820213D3D206F7074696F6E732E70657273697374436F6C756D6E53746174655072656669782029207B0D0A202020202020202020202020202020202020202072657175657374436861';
wwv_flow_api.g_varchar2_table(172) := '6E6765436F6C756D6E73203D20747275653B0D0A20202020202020202020202020202020202020206F7074696F6E732E70657273697374436F6C756D6E5374617465507265666978203D2070657273697374436F6C756D6E53746174655072656669783B';
wwv_flow_api.g_varchar2_table(173) := '0D0A20202020202020202020202020202020202020206D6F64656C2E636C6561724461746128293B0D0A202020202020202020202020202020207D0D0A2F2A207468652074776F2072657175657374207761790D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(174) := '2076617220703B0D0A202020202020202020202020202020202F2F20746F646F206D616B6520757365206F66206B65790D0A202020202020202020202020202020202F2F206572726F7220696620746869732068617070656E73207768696C6520612072';
wwv_flow_api.g_varchar2_table(175) := '65667265736820697320616C736F2068617070656E696E672E0D0A202020202020202020202020202020202F2F20206E6565642067756172642C0D0A202020202020202020202020202020202F2F20746F646F2073686F756C6420616C736F206465626F';
wwv_flow_api.g_varchar2_table(176) := '756E6365206368616E6765206576656E7473207468617420647269766520746869730D0A2020202020202020202020202020202070203D20617065782E7365727665722E706C7567696E287B0D0A20202020202020202020202020202020202020207265';
wwv_flow_api.g_varchar2_table(177) := '67696F6E733A205B207B0D0A20202020202020202020202020202020202020202020202069643A206F7074696F6E732E726567696F6E53746174696349642C0D0A202020202020202020202020202020202020202020202020616A61784964656E746966';
wwv_flow_api.g_varchar2_table(178) := '6965723A206F7074696F6E732E616A61784964656E7469666965722C0D0A202020202020202020202020202020202020202020202020676574436F6C756D6E733A20747275650D0A20202020202020202020202020202020202020207D5D2C0D0A202020';
wwv_flow_api.g_varchar2_table(179) := '2020202020202020202020202020202020706167654974656D733A206F7074696F6E732E6974656D73546F5375626D69740D0A202020202020202020202020202020207D2C207B0D0A202020202020202020202020202020202020202064617461547970';
wwv_flow_api.g_varchar2_table(180) := '653A20226A736F6E220D0A202020202020202020202020202020207D20293B0D0A20202020202020202020202020202020702E646F6E652866756E6374696F6E286461746129207B0D0A20202020202020202020202020202020202020206F7074696F6E';
wwv_flow_api.g_varchar2_table(181) := '732E636F6C756D6E735B305D203D20646174612E726567696F6E735B305D2E636F6C756D6E733B0D0A20202020202020202020202020202020202020206372656174654D6F64656C28293B202F2F206F766572777269746520646566696E6974696F6E20';
wwv_flow_api.g_varchar2_table(182) := '6F66206578697374696E67206D6F64656C0D0A202020202020202020202020202020202020202067726964242E6772696428226F7074696F6E222C2022636F6C756D6E7322295B305D203D20646174612E726567696F6E735B305D2E636F6C756D6E733B';
wwv_flow_api.g_varchar2_table(183) := '0D0A202020202020202020202020202020202020202067726964242E67726964282272656672657368436F6C756D6E7322290D0A2020202020202020202020202020202020202020202020202E6772696428226F7074696F6E222C20226D6F64656C4E61';
wwv_flow_api.g_varchar2_table(184) := '6D65222C206F7074696F6E732E6D6F64656C4E616D65293B0D0A202020202020202020202020202020207D293B0D0A2A2F0D0A2020202020202020202020207D0D0A20202020202020207D20293B0D0A202020207D3B0D0A7D20292820617065782E7574';
wwv_flow_api.g_varchar2_table(185) := '696C2C20617065782E7769646765742E7574696C2C20617065782E726567696F6E2C20617065782E6A517565727920293B0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(430833638439973094)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_file_name=>'simple_grid.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E612D4756207B0D0A20202020626F726465723A2031707820736F6C696420234530453045303B0D0A7D0D0A2E612D47562D666F6F746572207B0D0A20202020626F726465723A2031707820736F6C696420234530453045303B0D0A7D0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(639812629401070807)
,p_plugin_id=>wwv_flow_api.id(430796669933747948)
,p_file_name=>'simple_grid.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/plugins/item_type/com_hardlikesoftware_custom_popup
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(6380768714948515695)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_display_name=>'Custom Popup'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('ITEM TYPE','COM.HARDLIKESOFTWARE.CUSTOM_POPUP'),'')
,p_javascript_file_urls=>'#PLUGIN_FILES#custom_popup.js'
,p_css_file_urls=>'#PLUGIN_FILES#custom_popup.css'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--===============================================================================',
'-- Renders the Custom Popup item type based on the configuration of the item.',
'--===============================================================================',
'procedure render_custom_popup (',
'    p_item in apex_plugin.t_page_item,',
'    p_plugin in apex_plugin.t_plugin,',
'    p_param in apex_plugin.t_item_render_param,',
'    p_result in out nocopy apex_plugin.t_item_render_result )',
'is',
'    c_dialog_id            constant varchar2(1000)  := p_item.attribute_01;',
'    c_editable             constant boolean  := case when p_item.attribute_02 = ''Y'' then true else false end;',
'    c_has_display_value    constant boolean  := case when p_item.attribute_02 = ''Y'' then false when p_item.attribute_03 = ''Y'' then true else false end;',
'    c_has_button           constant boolean  := case when p_item.attribute_02 = ''Y'' then true when p_item.attribute_04 = ''Y'' then true else false end;',
'    c_label                constant varchar2(400) := nvl( apex_escape.html( p_item.attribute_05 ), ''Popup Choice'' );',
'    c_display_under        constant boolean  := case when p_item.attribute_06 = ''Y'' then true else false end;',
'    c_extra_in             constant varchar2(4000)  := p_item.attribute_07;',
'    c_extra_out            constant varchar2(4000)  := p_item.attribute_08;',
'    l_escaped_value        varchar2(32767) := apex_escape.html_attribute(p_param.value);',
'    l_display_value        varchar2(32767) := l_escaped_value;',
'    l_name                 varchar2(30);',
'',
'begin',
'    apex_plugin_util.debug_page_item(p_plugin, p_item);',
'',
'    l_name := apex_plugin.get_input_name_for_item;',
'',
'    if c_has_display_value and l_escaped_value is not null then',
'        l_display_value := apex_plugin_util.get_display_data(',
'               p_sql_statement        => p_item.lov_definition,',
'               p_min_columns          => 2,',
'               p_max_columns          => 2,',
'               p_component_name       => p_item.name,',
'               p_display_column_no    => 1,',
'               p_search_column_no     => 2,',
'               p_search_string        => p_param.value,',
'               p_display_extra        => p_item.lov_display_extra);',
'    end if;',
'',
'    if p_param.is_readonly or p_param.is_printer_friendly then ',
'        apex_plugin_util.print_hidden_if_readonly (',
'            p_item_name           => l_name,',
'            p_value               => p_param.value,',
'            p_is_readonly         => p_param.is_readonly,',
'            p_is_printer_friendly => p_param.is_printer_friendly',
'        );',
'',
'        apex_plugin_util.print_display_only(',
'            p_item             => p_item,',
'            p_display_value    => l_display_value,',
'            p_show_line_breaks => false);',
'',
'    else',
'        sys.htp.prn(',
'            ''<div class="apex-item-group apex-item-group--popup-lov" role="group" aria-labelledby="'' || p_item.name || ''_LABEL">'' );',
'        -- render hidden value if there is a display value',
'        if c_has_display_value then',
'            sys.htp.prn(''<input type="hidden" name="'' || l_name || ''" '' || case when p_item.ignore_change then ''class="js-ignoreChange" '' end ||',
'                        ''id="'' || p_item.name || ''_HIDDENVALUE" value="'' || l_escaped_value || ''">'');',
'            l_name := null;',
'',
'            l_escaped_value := l_display_value;',
'',
'        end if;',
'',
'        -- render the text field widget',
'        sys.htp.prn (',
'            ''<input type="text"'' ||',
'            -- borrow some classes from native APEX popup LOV item',
'            wwv_flow_plugin_util.get_element_attributes(p_item, l_name, ''customPopupItem apex-item-text apex-item-popup-lov'', false) ||',
'            '' id="''        || p_item.name || ''"'' ||',
'            '' size="''      || p_item.element_width || ''"''||',
'            '' maxlength="'' || p_item.element_max_length || ''"'' ||',
'            case when not c_editable then '' readonly'' else '''' end ||',
'            '' value="'' || case when p_param.value is null then '''' else ltrim( rtrim ( l_escaped_value ) ) end || ''"/>'' );',
'',
'        -- and the button if needed',
'        if c_has_button then',
'            -- borrow some classes from native APEX popup LOV item',
'            sys.htp.prn (',
'                ''<button type="button" class="a-Button a-Button--popupLOV customPopupButton" id="'' || ',
'                p_item.name || ''_BTN">'' ||',
'                ''<span class="a-Icon icon-popup-lov"><span class="visuallyhidden">'' || c_label || ''</span></span></button>'');',
'        end if;',
'        sys.htp.prn( ''</div>'' );',
'    end if;',
'',
'    apex_javascript.add_onload_code (',
'        p_code => ''customPopupItemInit("''|| case when p_param.is_readonly or p_param.is_printer_friendly then p_item.name || ''_DISPLAY'' else p_item.name end ||''", {''||',
'                apex_javascript.add_attribute( ''readOnly'', p_param.is_readonly, false, true  ) ||',
'                apex_javascript.add_attribute( ''editable'', c_editable, false, true  ) ||',
'                apex_javascript.add_attribute( ''hasDisplayValue'', c_has_display_value, false, true  ) ||',
'                apex_javascript.add_attribute( ''hasButton'', c_has_button, false, true  ) ||',
'                apex_javascript.add_attribute( ''displayUnder'', c_display_under, false, true  ) ||',
'                apex_javascript.add_attribute( ''dialogId'', c_dialog_id, false, false ) ||',
'                case when c_extra_in is not null then '', extraIn: '' || c_extra_in end ||',
'                case when c_extra_out is not null then '', extraOut: '' || c_extra_out end ||',
'                ''});'' );',
'',
'    -- Tell APEX that this field is navigable',
'    p_result.is_navigable := (not p_param.is_readonly = false and not p_param.is_printer_friendly);',
'',
'end render_custom_popup;',
'',
'--===============================================================================',
'-- Return metadata for the Custom Popup item type based on the configuration of the item',
'-- for use by Interactive Grid',
'--===============================================================================',
'procedure meta_data_custom_popup (',
'    p_item in apex_plugin.t_item,',
'    p_plugin in apex_plugin.t_plugin,',
'    p_param in apex_plugin.t_item_meta_data_param,',
'    p_result in out nocopy apex_plugin.t_item_meta_data_result )',
'is',
'    c_has_display_value constant boolean := case when p_item.attribute_02 = ''Y'' then false when p_item.attribute_03 = ''Y'' then true else false end;',
'begin',
'    p_result.display_lov_definition := case when c_has_display_value then p_item.lov_definition end;',
'end meta_data_custom_popup;',
''))
,p_api_version=>2
,p_render_function=>'render_custom_popup'
,p_meta_data_function=>'meta_data_custom_popup'
,p_standard_attributes=>'VISIBLE:FORM_ELEMENT:SESSION_STATE:READONLY:ESCAPE_OUTPUT:SOURCE:ELEMENT:WIDTH:LOV:LOV_DISPLAY_NULL:JOIN_LOV'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p><strong>Custom Popup Item</strong></p>',
'<p>Use an inline dialog or popup to enter an item value. Supports additional inputs to use in the dialog or popup and additional outputs to update other items.</p>'))
,p_version_identifier=>'2'
,p_files_version=>43
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(6380770854470698154)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Dialog ID'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_display_length=>30
,p_max_length=>128
,p_is_translatable=>false
,p_examples=>'myCustomPopupDialog'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Enter the Static ID of the inline modal dialog region that will open to choose a value for this item. The dialog widget must have getValue and setValue methods. It must also set the dialog option "valueConfirmed" to true when a value has been sele'
||'cted and accepted by the user. For example when an OK button is pressed.</p>',
'<p>Here is an example of code that adds getValue and setValue methods:</p>',
'',
'<pre><code>var inst = $("#myCustomPopupDialog").data("ui-dialog");',
'inst.dialogValue = "";',
'inst.setValue = function(value) {',
'    this.dialogValue = value;',
'};',
'inst.getValue = function() {',
'    return this.dialogValue;',
'};',
'</code></pre>',
'',
'<p>This code needs to run when the page loads. In this example the value is stored as a property of the widget instance. You could also put the value in a page item in the dialog region.</p>',
'',
'<p>To set the <code>valueConfirmed</code> option use code like this:</p>',
'<pre><code>$("#myCustomPopupDialog").dialog("option", "valueConfirmed", true);',
'</code></pre>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(6380780584175850798)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'In Place Editable'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'When this is Yes the user can enter a value directly into the text field without having to use the popup dialog. When No the text field is read only and the popup dialog must be used.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(6380781205329873272)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Has Display Value'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(6380780584175850798)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'N'
,p_help_text=>'When Yes the text displayed is distinct from the value of the item. This is often the case when the value is a primary key and the display value is a friendly text string for the record identified by the primary key. When No the value returned by thi'
||'s item is also the value displayed.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(6380781785789889227)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Has Button'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(6380780584175850798)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'N'
,p_help_text=>'When Yes there is a button after the text field that opens the popup dialog. When No simply focusing the field will open the popup dialog.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(6380782354742896951)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Button Label Text'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_display_length=>60
,p_max_length=>1000
,p_is_translatable=>true
,p_help_text=>'An accessible label for the button. If there is no button TBD'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(6380783021228909840)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Display Under Field'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
,p_help_text=>'When Yes the popup displays under the field (if not enough room then as close to the field as possible). Clicking outside the popup closes the popup. When No the popup is a normal modal dialog.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(1618921921066363106)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Additional Inputs'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'   "P1_EXTRA1": "prop1",',
'   "P1_NAME": "nameProp"',
'}'))
,p_help_text=>'A JavaScript object that defines a mapping from page item names to properties of the value object to be passed to the popup setValue method.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(1618922569178378585)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_prompt=>'Additional Outputs'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'   "prop1: "P1_EXTRA1",',
'   "nameProp": "P1_NAME"',
'}'))
,p_help_text=>'A JavaScript object that defines a mapping from properties of the value object returned from the popup getValue method to page item names.'
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(6380821531640806403)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_name=>'LOV'
,p_depending_on_attribute_id=>wwv_flow_api.id(6380781205329873272)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0D0A202A20437573746F6D20506F7075702041504558204974656D20706C7567696E0D0A202A2F0D0A2F2A676C6F62616C2077696E646F772C617065782A2F0D0A282066756E6374696F6E28207574696C2C206974656D2C20242029207B0D0A2020';
wwv_flow_api.g_varchar2_table(2) := '20202275736520737472696374223B0D0A0D0A2020202076617220505F44495341424C4544203D202264697361626C6564223B0D0A0D0A202020202F2A2A0D0A20202020202A2040706172616D206974656D49640D0A20202020202A2040706172616D20';
wwv_flow_api.g_varchar2_table(3) := '7B6F626A6563747D206F7074696F6E730D0A20202020202A2040706172616D207B737472696E677D206F7074696F6E732E6469616C6F6749640D0A20202020202A2040706172616D207B626F6F6C65616E7D206F7074696F6E732E6564697461626C650D';
wwv_flow_api.g_varchar2_table(4) := '0A20202020202A2040706172616D207B626F6F6C65616E7D206F7074696F6E732E686173446973706C617956616C75650D0A20202020202A2040706172616D207B626F6F6C65616E7D206F7074696F6E732E686173427574746F6E0D0A20202020202A20';
wwv_flow_api.g_varchar2_table(5) := '40706172616D207B626F6F6C65616E7D206F7074696F6E732E726561644F6E6C7920746F646F20686F772073686F756C64207468697320626520757365643F0D0A20202020202A2040706172616D207B626F6F6C65616E7D206F7074696F6E732E646973';
wwv_flow_api.g_varchar2_table(6) := '706C6179556E6465720D0A20202020202A2F0D0A2020202077696E646F772E637573746F6D506F7075704974656D496E6974203D2066756E6374696F6E286974656D49642C206F7074696F6E7329207B0D0A20202020202020207661722063704974656D';
wwv_flow_api.g_varchar2_table(7) := '2C206F726967696E616C506F736974696F6E2C207769646765742C0D0A20202020202020202020202069676E6F7265466F637573203D2066616C73652C0D0A202020202020202020202020627574746F6E24203D20242822232220202B206974656D4964';
wwv_flow_api.g_varchar2_table(8) := '202B20225F42544E22292C202F2F206F7074696F6E616C0D0A2020202020202020202020206469616C6F6724203D202428222322202B206F7074696F6E732E6469616C6F674964292C0D0A202020202020202020202020696E70757424203D2024282223';
wwv_flow_api.g_varchar2_table(9) := '22202B206974656D4964292C0D0A20202020202020202020202068696464656E24203D202428272327202B206974656D4964202B20275F48494444454E56414C554527293B202F2F206F7074696F6E616C0D0A0D0A202020202020202066756E6374696F';
wwv_flow_api.g_varchar2_table(10) := '6E206F70656E2829207B0D0A20202020202020202020202076617220702C206D61702C20696E56616C3B0D0A2020202020202020202020202F2F207265646F207468697320656163682074696D65206F70656E656420696E206361736520746865206469';
wwv_flow_api.g_varchar2_table(11) := '616C6F67206973207573656420666F72206D756C7469706C65206974656D73207769746820646966666572656E74207365747474696E67730D0A202020202020202020202020696620286F7074696F6E732E646973706C6179556E64657229207B0D0A20';
wwv_flow_api.g_varchar2_table(12) := '2020202020202020202020202020206469616C6F67245B7769646765745D28226F7074696F6E222C2022706F736974696F6E222C207B6D793A20226C65667420746F70222C2061743A20226C65667420626F74746F6D222C206F663A20696E707574242E';
wwv_flow_api.g_varchar2_table(13) := '706172656E7428292C20636F6C6C6973696F6E3A2022666C6970666974227D290D0A20202020202020202020202020202020202020202E616464436C6173732820226E6F6E2D726573706F6E736976652220293B202F2F206F7074206F7574206F662074';
wwv_flow_api.g_varchar2_table(14) := '686520726573706F6E73697665206469616C6F67206C6F6769630D0A2020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020206469616C6F67245B7769646765745D28226F7074696F6E222C2022706F736974696F';
wwv_flow_api.g_varchar2_table(15) := '6E222C206F726967696E616C506F736974696F6E290D0A20202020202020202020202020202020202020202E72656D6F7665436C6173732820226E6F6E2D726573706F6E736976652220293B0D0A2020202020202020202020207D0D0A0D0A2020202020';
wwv_flow_api.g_varchar2_table(16) := '202020202020206D6170203D206F7074696F6E732E6578747261496E3B0D0A20202020202020202020202069662028206D61702029207B0D0A202020202020202020202020202020202F2F20676174686572206164646974696F6E616C20696E70757473';
wwv_flow_api.g_varchar2_table(17) := '0D0A20202020202020202020202020202020696E56616C203D207B0D0A2020202020202020202020202020202020202020763A2063704974656D2E67657456616C756528290D0A202020202020202020202020202020207D3B0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(18) := '20202020202020666F722028207020696E206D61702029207B0D0A202020202020202020202020202020202020202069662028206D61702E6861734F776E50726F706572747928207020292029207B0D0A20202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(19) := '2020202020696E56616C5B6D61705B705D5D203D2024762870293B0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D20656C7365207B0D0A20202020202020';
wwv_flow_api.g_varchar2_table(20) := '202020202020202020696E56616C203D2063704974656D2E67657456616C756528293B0D0A2020202020202020202020207D0D0A2020202020202020202020206469616C6F67245B7769646765745D282273657456616C7565222C20696E56616C290D0A';
wwv_flow_api.g_varchar2_table(21) := '202020202020202020202020202020205B7769646765745D28226F7074696F6E222C202276616C7565436F6E6669726D6564222C2066616C7365290D0A202020202020202020202020202020205B7769646765745D28226F70656E22293B0D0A0D0A2020';
wwv_flow_api.g_varchar2_table(22) := '202020202020202020206469616C6F67242E6F6E28776964676574202B2022636C6F73652E637573746F6D506F707570222C2066756E6374696F6E2829207B0D0A2020202020202020202020202020202076617220726573756C742C206D61702C20702C';
wwv_flow_api.g_varchar2_table(23) := '2076616C75652C20646973706C61792C0D0A20202020202020202020202020202020202020206F6B203D206469616C6F67245B7769646765745D28226F7074696F6E222C202276616C7565436F6E6669726D656422293B0D0A0D0A202020202020202020';
wwv_flow_api.g_varchar2_table(24) := '202020202020206469616C6F67242E6F666628222E637573746F6D506F70757022293B0D0A2020202020202020202020202020202069662028206F6B2029207B0D0A2020202020202020202020202020202020202020726573756C74203D206469616C6F';
wwv_flow_api.g_varchar2_table(25) := '67245B7769646765745D282267657456616C756522293B0D0A202020202020202020202020202020202020202069662028747970656F6620726573756C74203D3D3D20226F626A6563742220262620726573756C742E6861734F776E50726F7065727479';
wwv_flow_api.g_varchar2_table(26) := '282264222920262620726573756C742E6861734F776E50726F7065727479282276222929207B0D0A20202020202020202020202020202020202020202020202063704974656D2E73657456616C75652820726573756C742E762C20726573756C742E6420';
wwv_flow_api.g_varchar2_table(27) := '293B0D0A20202020202020202020202020202020202020207D20656C73652069662028747970656F6620726573756C74203D3D3D20226F626A6563742220262620726573756C742E6861734F776E50726F7065727479282276222929207B0D0A20202020';
wwv_flow_api.g_varchar2_table(28) := '202020202020202020202020202020202020202063704974656D2E73657456616C756528726573756C742E76293B0D0A20202020202020202020202020202020202020207D20656C7365207B0D0A20202020202020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(29) := '202063704974656D2E73657456616C756528726573756C74293B0D0A20202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020206D6170203D206F7074696F6E732E65787472614F75743B0D0A20202020';
wwv_flow_api.g_varchar2_table(30) := '2020202020202020202020202020202069662028206D61702029207B0D0A2020202020202020202020202020202020202020202020202F2F2073746F7265206164646974696F6E616C206F7574707574730D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(31) := '20202020202020666F722028207020696E206D61702029207B0D0A2020202020202020202020202020202020202020202020202020202069662028206D61702E6861734F776E50726F706572747928207020292029207B0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(32) := '20202020202020202020202020202020202020202076616C7565203D20726573756C745B705D3B0D0A2020202020202020202020202020202020202020202020202020202020202020646973706C6179203D206E756C6C3B0D0A20202020202020202020';
wwv_flow_api.g_varchar2_table(33) := '20202020202020202020202020202020202020202020696620282076616C756520213D3D206E756C6C20262620747970656F662076616C7565203D3D3D20226F626A656374222026262076616C75652E6861734F776E50726F7065727479282022642220';
wwv_flow_api.g_varchar2_table(34) := '292029207B0D0A20202020202020202020202020202020202020202020202020202020202020202020202076616C7565203D2076616C75652E763B0D0A202020202020202020202020202020202020202020202020202020202020202020202020646973';
wwv_flow_api.g_varchar2_table(35) := '706C6179203D2076616C75652E643B0D0A20202020202020202020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020202020202020202020202020202473286D61705B705D2C2076616C7565';
wwv_flow_api.g_varchar2_table(36) := '2C20646973706C6179293B0D0A202020202020202020202020202020202020202020202020202020207D0D0A2020202020202020202020202020202020202020202020207D0D0A20202020202020202020202020202020202020207D0D0A202020202020';
wwv_flow_api.g_varchar2_table(37) := '202020202020202020207D0D0A2020202020202020202020207D293B0D0A20202020202020207D0D0A0D0A2020202020202020617065782E64656275672E696E666F2822496E697420637573746F6D20706F707570206974656D3A20222C206974656D49';
wwv_flow_api.g_varchar2_table(38) := '642C206F7074696F6E7320293B0D0A0D0A20202020202020202F2F206A75737420696E206361736520746865206469616C6F67206F7220706F707570206861736E27742079657420696E697469616C697A6564207761697420756E74696C206974206861';
wwv_flow_api.g_varchar2_table(39) := '730D0A202020202020202073657454696D656F7574282066756E6374696F6E2829207B0D0A202020202020202020202020696620286469616C6F67242E697328223A646174612861706578506F70757029222929207B0D0A202020202020202020202020';
wwv_flow_api.g_varchar2_table(40) := '20202020776964676574203D2022706F707570223B0D0A2020202020202020202020207D20656C736520696620286469616C6F67242E697328223A646174612875694469616C6F6729222929207B0D0A2020202020202020202020202020202077696467';
wwv_flow_api.g_varchar2_table(41) := '6574203D20226469616C6F67223B0D0A2020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020207468726F77206E6577204572726F7228224572726F723A206469616C6F67496420646F6573206E6F742073706563';
wwv_flow_api.g_varchar2_table(42) := '6966792061206469616C6F67206F7220706F7075702E22293B0D0A2020202020202020202020207D0D0A2020202020202020202020206F726967696E616C506F736974696F6E203D206469616C6F67245B7769646765745D28226F7074696F6E222C2270';
wwv_flow_api.g_varchar2_table(43) := '6F736974696F6E22293B0D0A0D0A20202020202020202020202069662028206F7074696F6E732E686173427574746F6E2029207B0D0A20202020202020202020202020202020627574746F6E242E636C69636B28206F70656E20293B0D0A202020202020';
wwv_flow_api.g_varchar2_table(44) := '2020202020207D20656C7365207B0D0A20202020202020202020202020202020696E707574242E6F6E2822666F637573222C2066756E6374696F6E286529207B0D0A2020202020202020202020202020202020202020696620282169676E6F7265466F63';
wwv_flow_api.g_varchar2_table(45) := '757329207B0D0A2020202020202020202020202020202020202020202020206F70656E2865293B0D0A2020202020202020202020202020202020202020202020202F2F207768656E20746865206469616C6F6720636C6F73657320666F63757320697320';
wwv_flow_api.g_varchar2_table(46) := '72657475726E6564206265666F726520746865206469616C6F67636C6F7365206576656E740D0A20202020202020202020202020202020202020202020202069676E6F7265466F637573203D20747275653B202F2F206F6E6C79206170706C6965732069';
wwv_flow_api.g_varchar2_table(47) := '66207468657265206973206E6F20627574746F6E0D0A20202020202020202020202020202020202020202020202072657475726E3B0D0A20202020202020202020202020202020202020207D202F2F20656C73650D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(48) := '20202020202069676E6F7265466F637573203D2066616C73653B0D0A202020202020202020202020202020207D292E6F6E2822636C69636B222C2066756E6374696F6E286529207B0D0A202020202020202020202020202020202020202069662028646F';
wwv_flow_api.g_varchar2_table(49) := '63756D656E742E616374697665456C656D656E74203D3D3D20696E707574245B305D29207B0D0A2020202020202020202020202020202020202020202020206F70656E2865293B0D0A20202020202020202020202020202020202020202020202069676E';
wwv_flow_api.g_varchar2_table(50) := '6F7265466F637573203D20747275653B202F2F206F6E6C79206170706C696573206966207468657265206973206E6F20627574746F6E0D0A20202020202020202020202020202020202020207D0D0A202020202020202020202020202020207D292E6F6E';
wwv_flow_api.g_varchar2_table(51) := '28226B6579646F776E222C2066756E6374696F6E286529207B0D0A202020202020202020202020202020202020202069662028652E7768696368203D3D3D20313329207B0D0A2020202020202020202020202020202020202020202020206F70656E2865';
wwv_flow_api.g_varchar2_table(52) := '293B0D0A20202020202020202020202020202020202020202020202069676E6F7265466F637573203D20747275653B202F2F206F6E6C79206170706C696573206966207468657265206973206E6F20627574746F6E0D0A20202020202020202020202020';
wwv_flow_api.g_varchar2_table(53) := '2020202020202020202020652E73746F7050726F7061676174696F6E28293B0D0A202020202020202020202020202020202020202020202020652E70726576656E7444656661756C7428293B0D0A20202020202020202020202020202020202020207D0D';
wwv_flow_api.g_varchar2_table(54) := '0A202020202020202020202020202020207D293B0D0A2020202020202020202020207D0D0A20202020202020207D2C203120293B0D0A0D0A20202020202020206974656D2E637265617465286974656D49642C207B0D0A20202020202020202020202065';
wwv_flow_api.g_varchar2_table(55) := '6E61626C653A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020627574746F6E242E70726F7028505F44495341424C45442C2066616C7365293B0D0A20202020202020202020202020202020696E707574242E70726F702850';
wwv_flow_api.g_varchar2_table(56) := '5F44495341424C45442C2066616C7365293B0D0A2020202020202020202020202020202068696464656E242E70726F7028505F44495341424C45442C2066616C7365293B0D0A2020202020202020202020207D2C0D0A2020202020202020202020206469';
wwv_flow_api.g_varchar2_table(57) := '7361626C653A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020627574746F6E242E70726F7028505F44495341424C45442C2066616C7365293B0D0A20202020202020202020202020202020696E707574242E70726F702850';
wwv_flow_api.g_varchar2_table(58) := '5F44495341424C45442C2066616C7365293B0D0A2020202020202020202020202020202068696464656E242E70726F7028505F44495341424C45442C2066616C7365293B0D0A2020202020202020202020207D2C0D0A2020202020202020202020206973';
wwv_flow_api.g_varchar2_table(59) := '44697361626C65643A2066756E6374696F6E2829207B0D0A2020202020202020202020202020202072657475726E20696E707574242E70726F7028505F44495341424C4544293B0D0A2020202020202020202020207D2C0D0A2020202020202020202020';
wwv_flow_api.g_varchar2_table(60) := '2073686F773A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020627574746F6E242E73686F7728293B0D0A20202020202020202020202020202020696E707574242E73686F7728293B0D0A2020202020202020202020207D2C';
wwv_flow_api.g_varchar2_table(61) := '0D0A202020202020202020202020686964653A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020627574746F6E242E6869646528293B0D0A20202020202020202020202020202020696E707574242E6869646528293B0D0A20';
wwv_flow_api.g_varchar2_table(62) := '20202020202020202020207D2C0D0A20202020202020202020202073657456616C75653A2066756E6374696F6E2876616C75652C20646973706C617956616C756529207B0D0A202020202020202020202020202020202F2F20696620696E707574206973';
wwv_flow_api.g_varchar2_table(63) := '20656E74657261626C652028706F707570206C6F76292C207468656E206A75737420736574207056616C75650D0A20202020202020202020202020202020696620286F7074696F6E732E686173446973706C617956616C756529207B0D0A202020202020';
wwv_flow_api.g_varchar2_table(64) := '202020202020202020202020202068696464656E242E76616C2876616C7565293B0D0A2020202020202020202020202020202020202020696E707574242E76616C28646973706C617956616C7565293B0D0A202020202020202020202020202020207D20';
wwv_flow_api.g_varchar2_table(65) := '656C7365207B0D0A2020202020202020202020202020202020202020696E707574242E76616C2876616C7565293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D2C0D0A2020202020202020202020206765745661';
wwv_flow_api.g_varchar2_table(66) := '6C75653A2066756E6374696F6E2829207B0D0A202020202020202020202020202020202F2F20696620696E70757420697320656E74657261626C652028706F707570206C6F76292C207468656E206765742074686520646973706C617965642076616C75';
wwv_flow_api.g_varchar2_table(67) := '650D0A20202020202020202020202020202020696620286F7074696F6E732E686173446973706C617956616C756529207B0D0A202020202020202020202020202020202020202072657475726E2068696464656E242E76616C28293B0D0A202020202020';
wwv_flow_api.g_varchar2_table(68) := '202020202020202020207D20656C7365207B0D0A202020202020202020202020202020202020202072657475726E20696E707574242E76616C28293B0D0A202020202020202020202020202020207D0D0A2020202020202020202020207D2C0D0A202020';
wwv_flow_api.g_varchar2_table(69) := '202020202020202020736574466F637573546F3A2066756E6374696F6E2829207B0D0A20202020202020202020202020202020696620286F7074696F6E732E6564697461626C65207C7C20216F7074696F6E732E686173427574746F6E29207B0D0A2020';
wwv_flow_api.g_varchar2_table(70) := '20202020202020202020202020202020202072657475726E20696E707574243B0D0A202020202020202020202020202020207D20656C7365207B0D0A202020202020202020202020202020202020202072657475726E20627574746F6E243B0D0A202020';
wwv_flow_api.g_varchar2_table(71) := '202020202020202020202020207D0D0A2020202020202020202020207D2C0D0A202020202020202020202020646973706C617956616C7565466F723A2066756E6374696F6E2876616C756529207B0D0A2020202020202020202020202020202069662028';
wwv_flow_api.g_varchar2_table(72) := '6F7074696F6E732E686173446973706C617956616C75652026262076616C7565203D3D3D20746869732E67657456616C7565282929207B0D0A202020202020202020202020202020202020202072657475726E20242820746869732E6E6F646520292E76';
wwv_flow_api.g_varchar2_table(73) := '616C28293B0D0A202020202020202020202020202020207D202F2F20656C73650D0A2020202020202020202020202020202072657475726E2076616C75653B0D0A2020202020202020202020207D2C0D0A202020202020202020202020676574506F7075';
wwv_flow_api.g_varchar2_table(74) := '7053656C6563746F723A2066756E6374696F6E2829207B0D0A2020202020202020202020202020202072657475726E20222322202B206F7074696F6E732E6469616C6F6749643B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D';
wwv_flow_api.g_varchar2_table(75) := '0A0D0A20202020202020202F2F2067657420746865206974656D20696E7465726661636520616674657220697420697320637265617465640D0A202020202020202063704974656D203D20617065782E6974656D286974656D4964290D0A202020207D3B';
wwv_flow_api.g_varchar2_table(76) := '0D0A7D20292820617065782E7574696C2C20617065782E6974656D2C20617065782E6A517565727920293B0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(6380771653570849166)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_file_name=>'custom_popup.js'
,p_mime_type=>'application/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '612D47562D636F6C756D6E4974656D20696E7075742E637573746F6D506F7075704974656D207B0D0A202020206261636B67726F756E642D636F6C6F723A20234646463B0D0A202020206865696768743A20323870783B0D0A202020206D617267696E3A';
wwv_flow_api.g_varchar2_table(2) := '20303B0D0A20202020626F726465722D77696474683A20303B0D0A2020202070616464696E673A2030203870783B0D0A7D0D0A2E742D427574746F6E2E637573746F6D506F707570427574746F6E207B0D0A202020206D696E2D77696474683A20333270';
wwv_flow_api.g_varchar2_table(3) := '783B0D0A20202020766572746963616C2D616C69676E3A20746F703B0D0A7D0D0A2E612D47562D636F6C756D6E4974656D202E742D427574746F6E2E637573746F6D506F707570427574746F6E207B0D0A202020206D617267696E3A203070783B0D0A20';
wwv_flow_api.g_varchar2_table(4) := '20202070616464696E673A2037707820303B0D0A202020206D696E2D77696474683A20333270783B0D0A20202020766572746963616C2D616C69676E3A20746F703B0D0A7D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(6380878381077203722)
,p_plugin_id=>wwv_flow_api.id(6380768714948515695)
,p_file_name=>'custom_popup.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/shared_components/plugins/item_type/com_oracle_apex_starrating_modern
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(31648619480995720000)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'COM.ORACLE.APEX.STARRATING_MODERN'
,p_display_name=>'Modern Star Rating'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('ITEM TYPE','COM.ORACLE.APEX.STARRATING_MODERN'),'#IMAGE_PREFIX#plugins/com.oracle.apex.starrating_modern/')
,p_javascript_file_urls=>'#PLUGIN_FILES#com_oracle_apex_starrating_modern.js'
,p_css_file_urls=>'#PLUGIN_FILES#com_oracle_apex_starrating_modern.css'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'c_default_stars      constant number        := 5;',
'c_default_icon_class constant varchar2(128) := ''fa-star'';',
'c_default_acolor     constant varchar2(30)  := ''red'';',
'c_default_bcolor     constant varchar2(30)  := ''#e0e0e0'';',
'',
'--===============================================================================',
'-- Renders the star rating item type based on the configuration of the page item.',
'--===============================================================================',
'procedure render_star_rating (',
'    p_item   in apex_plugin.t_page_item,',
'    p_plugin in apex_plugin.t_plugin,',
'    p_param  in apex_plugin.t_item_render_param,',
'    p_result in out nocopy apex_plugin.t_item_render_result )',
'is',
'    c_number_of_stars      constant number          := nvl(to_number(p_item.attribute_01), c_default_stars);',
'    c_escaped_value        constant varchar2(32767) := apex_escape.html_attribute(p_param.value);',
'    ',
'    c_default_icon         constant varchar2(128)   := nvl( p_plugin.attribute_04, c_default_icon_class );',
'    c_icon_class           constant varchar2(128)   := p_item.attribute_02;',
'    c_default_icon_acolor  constant varchar2(128)   := nvl( p_plugin.attribute_02, c_default_acolor );',
'    c_icon_acolor          constant varchar2(128)   := p_item.attribute_04;',
'    c_default_icon_bcolor  constant varchar2(128)   := nvl( p_plugin.attribute_03, c_default_bcolor );',
'    c_icon_bcolor          constant varchar2(128)   := p_item.attribute_05;',
'    ',
'    c_label_text           constant varchar2(128)   := nvl( p_item.attribute_06, ''#VALUE#'' );',
'    ',
'    c_use_default          boolean                  := case when p_item.attribute_03 = ''Y'' then true else false end;',
'    ',
'    l_name                 varchar2(30);',
'    l_clear_tooltip        varchar2(4000)           := sys.htf.escape_sc(nvl(p_plugin.attribute_01, ''Clear Rating''));',
'',
'begin',
'    l_name := apex_plugin.get_input_name_for_item;',
'    ',
'    if p_param.is_readonly or p_param.is_printer_friendly then ',
'        apex_plugin_util.print_hidden_if_readonly (',
'            p_item_name           => l_name,',
'            p_value               => p_param.value,',
'            p_is_readonly         => p_param.is_readonly,',
'            p_is_printer_friendly => p_param.is_printer_friendly',
'       );',
'       sys.htp.prn (',
'           ''<input type="text" '' ||',
'           ''class="'' || ''apex-item-starrating apex-item-plugin'' || ''" '' ||',
'           ''id="''    || p_item.name|| ''_DISPLAY" '' ||',
'           ''value="'' || case when p_param.value is null then '''' else ltrim( rtrim ( c_escaped_value ) ) end || ''" />'' );',
'',
'    else',
'    ',
'        -- render the text field widget',
'        sys.htp.prn (',
'            ''<input type="text" '' ||',
'            wwv_flow_plugin_util.get_element_attributes(p_item, l_name, ''apex-item-starrating apex-item-plugin'', false) ||',
'            ''id="''    || p_item.name|| ''" '' ||',
'            ''value="'' || case when p_param.value is null then '''' else ltrim( rtrim ( c_escaped_value ) ) end || ''" />'' );',
'           ',
'    end if;',
'',
'    apex_javascript.add_onload_code (',
'        p_code => ''starRatingItemInit("''|| case when p_param.is_readonly or p_param.is_printer_friendly then p_item.name || ''_DISPLAY'' else p_item.name end ||''", {''||',
'                apex_javascript.add_attribute( ''readOnly'',      p_param.is_readonly,                                                       false, true  ) ||',
'                apex_javascript.add_attribute( ''numStars'',      c_number_of_stars,                                                         false, true  ) ||',
'                apex_javascript.add_attribute( ''clearToolip'',   l_clear_tooltip,                                                           false, true  ) ||',
'                apex_javascript.add_attribute( ''iconClass'',     case when c_use_default then c_default_icon else c_icon_class end,         false, true  ) ||',
'                apex_javascript.add_attribute( ''isRequired'',    p_item.is_required,                                                        false, true  ) ||',
'                apex_javascript.add_attribute( ''labelText'',     c_label_text,                                                              false, true  ) ||',
'                apex_javascript.add_attribute( ''activeColor'',   case when c_use_default then c_default_icon_acolor else c_icon_acolor end, false, true  ) ||',
'                apex_javascript.add_attribute( ''inactiveColor'', case when c_use_default then c_default_icon_bcolor else c_icon_bcolor end, false, false ) ||',
'                ''});'' );',
'',
'    -- Tell APEX that this field is navigable',
'    p_result.is_navigable := (not p_param.is_readonly = false and not p_param.is_printer_friendly);',
'',
'end render_star_rating;',
'',
'',
'procedure metadata_star_rating (',
'    p_item   in            apex_plugin.t_item,',
'    p_plugin in            apex_plugin.t_plugin,',
'    p_param  in            apex_plugin.t_item_meta_data_param,',
'    p_result in out nocopy apex_plugin.t_item_meta_data_result )',
'is',
'begin',
'    p_result.escape_output := false;',
'end;',
'',
'--==============================================================================',
'-- Validates the submitted star rating value against the configuration to make',
'-- sure that no invalid values are submitted by a hacker.',
'--==============================================================================',
'procedure validate_star_rating (',
'    p_item   in            apex_plugin.t_item,',
'    p_plugin in            apex_plugin.t_plugin,',
'    p_param  in            apex_plugin.t_item_validation_param,',
'    p_result in out nocopy apex_plugin.t_item_validation_result )',
'is',
'    c_number_of_stars constant number := nvl(to_number(p_item.attribute_01), c_default_stars);',
'',
'    l_value number;',
'begin',
'    if p_param.value is null then return; end if;',
'    ',
'    -- The value has to be numeric, in the boundaries of 1 and "number of stars"',
'    if wwv_flow_utilities.is_numeric(p_param.value) then',
'        l_value := to_number(p_param.value);',
'        if not (   l_value between 0 and c_number_of_stars    )',
'        then',
'            p_result.message := l_value || '' is not in the valid rating range of 1 - ''||c_number_of_stars;',
'        end if;',
'    else',
'        p_result.message := apex_escape.html(p_param.value)||'' is not numeric'';',
'    end if;',
'end validate_star_rating;'))
,p_api_version=>2
,p_render_function=>'render_star_rating'
,p_meta_data_function=>'metadata_star_rating'
,p_validation_function=>'validate_star_rating'
,p_standard_attributes=>'VISIBLE:SESSION_STATE:READONLY:SOURCE:ICON:ENCRYPT:FILTER'
,p_substitute_attributes=>true
,p_reference_id=>3834691081667186244
,p_subscribe_plugin_settings=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p><strong>Modern Star Rating Item</strong></p>',
'<p>This item displays a numeric value as a number of stars or other icons. The end user can change the value by selecting the desired number of stars. The value can be adjusted by clicking the number of stars with the mouse or by using the keyboard.<'
||'/p>',
'<p>The icon to be displayed, the background and foreground colors can be adjusted either in the component settings or in the individual item settings. To use individual items and colors, set the attribute <strong>Use Component Defaults</strong> to <s'
||'trong>No</strong>.</p>',
'<p>As icons, you may use any icon from the Icon Font available in your application. For Universal Theme applications, use an icon from the <em>Font APEX</em> library.</p>'))
,p_version_identifier=>'1.1'
,p_about_url=>'http://www.oracleapex.info/'
,p_files_version=>36
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648619612940720003)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Clear Tooltip'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_default_value=>'Clear Rating'
,p_display_length=>20
,p_is_translatable=>true
,p_help_text=>'Text which should be displayed for the tooltip of the "Clear" icon of the star rating widget. If not specified, the default text "Clear Rating" will be used.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648620080705720004)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Active Star Color'
,p_attribute_type=>'COLOR'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'red'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_help_text=>'Choose the default color for active stars.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648620411096720004)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Inactive Star Color'
,p_attribute_type=>'COLOR'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'lightgray'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_help_text=>'Choose the default color for inactive stars.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648620835393720005)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'APPLICATION'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Default icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'fa-star'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'fa-star',
'fa-database',
'fa-apex',
'</pre>'))
,p_help_text=>'Choose the default icon to use.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648621226107720005)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Number of Stars'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'9'
,p_display_length=>2
,p_max_length=>2
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_help_text=>'Specify the maximum number of stars.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648621682284720005)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>30
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'fa-star'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(31648622062139720006)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'N'
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'fa-star',
'fa-database',
'fa-apex',
'</pre>'))
,p_help_text=>'Specify the icon to use.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648622062139720006)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>20
,p_prompt=>'Use Component Defaults'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'Y'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_help_text=>'Choose whether to use component defaults or not.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648622411781720006)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'Active Star Color'
,p_attribute_type=>'COLOR'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'red'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(31648622062139720006)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'N'
,p_help_text=>'Choose the color for active stars.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648622814565720006)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Inactive Star Color'
,p_attribute_type=>'COLOR'
,p_is_required=>false
,p_show_in_wizard=>false
,p_default_value=>'lightgray'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_api.id(31648622062139720006)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'N'
,p_help_text=>'Choose the color for inactive stars.'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(31648623264601720007)
,p_plugin_id=>wwv_flow_api.id(31648619480995720000)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Tooltip Template'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_common=>false
,p_show_in_wizard=>false
,p_default_value=>'Rating: #VALUE#'
,p_display_length=>30
,p_max_length=>50
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_supported_component_types=>'APEX_APPLICATION_PAGE_ITEMS:APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>true
,p_examples=>'Rating: #VALUE# stars.'
,p_help_text=>'Specify the template for the tooltip. The #VALUE# substitution is being replaces by the current rating value.'
);
end;
/
prompt --application/user_interfaces
begin
wwv_flow_api.create_user_interface(
 p_id=>wwv_flow_api.id(31643850075908161574)
,p_ui_type_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_seq=>10
,p_use_auto_detect=>false
,p_is_default=>true
,p_theme_id=>42
,p_home_url=>'f?p=&APP_ID.:1:&SESSION.'
,p_login_url=>'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
,p_theme_style_by_user_pref=>false
,p_navigation_list_id=>wwv_flow_api.id(31643797879604161473)
,p_navigation_list_position=>'SIDE'
,p_navigation_list_template_id=>wwv_flow_api.id(31643836619930161543)
,p_nav_list_template_options=>'#DEFAULT#'
,p_nav_bar_type=>'LIST'
,p_nav_bar_list_id=>wwv_flow_api.id(31643849952410161573)
,p_nav_bar_list_template_id=>wwv_flow_api.id(31643836589815161543)
,p_nav_bar_template_options=>'#DEFAULT#'
);
end;
/
prompt --application/user_interfaces/combined_files
begin
null;
end;
/
prompt --application/pages/page_00001
begin
wwv_flow_api.create_page(
 p_id=>1
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Home'
,p_step_title=>'Home'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190327184248'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28556197271461427909)
,p_plug_name=>'Interactive Grid Cookbook for APEX release 19.1'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This application demonstrates a number of advanced uses of Interactive Grid.',
'See the Notes region of each page for more information. In most cases there is',
'a lot of JavaScript and/or CSS code you will need to study to understand how',
'it works. Most of the examples/techniques are intended for developers with',
'intermediate to advanced skills with APEX and JavaScript.',
'</p>',
'<p><b>This application does NOT demonstrate best engineering practices. The ',
'intent is to show the raw APIs/techinques in their simplest form. As you adapt ',
'the code to fit your needs you should move it into plug-ins or separate files, ',
'use messages rather than hard coded strings, etc.</b>',
'</p>',
'<p>Although the JavaScript API documenation has been expanded to cover much of',
'Interactive Grid and related widgets and modules, some of these examples still',
'use APIs that are currently undocumented and unsupported.',
'They may become documented and supported in the future but still may change before then.',
'Applications using the techniques shown here may require changes to work with future ',
'releases of APEX. Check the documentation.',
'</p>',
'<p><b>This application requires that the Sample Interactive Grids app is installed',
'because it uses the same tables. It also installs function striphtml and table',
'IGCB_TASKS.</b>',
'</p>',
'<p>This app contains a Custom Popup item plug-in. See example page',
'<a href="f?p=&APP_ID.:24:&SESSION.">Rich Text and Custom Popup</a> and the',
'<a href="f?p=&APP_ID.:530:&SESSION.">Demo/Test</a> page. for details.</p>',
'<p>This app contains a Simple Grid region plug-in. See example page',
'<a href="f?p=&APP_ID.:31:&SESSION.">Simple Grid</a> for details.</p>',
'<h3>Change Log</h3>',
'<ul>',
'<li>5.0: New pages: Simple Cell Style, Simple Grid, Custom Progress,',
'Nested Table In Cell, Spark Chart Cell, Shared Model.',
'New plug-in Simple Grid. Change compatibility mode to 19.1 and upgrade to latest Universal Theme.',
'Minor wording fixes or improvements in notes. Use Close/Open Region DA where appropriate.',
'Use new declarative attributes where appropriate. Use new apex.util.getNestedObject in',
'JavaScript Initialization Code (pages: 4, 6, 12, 17, 18, 24, 29). Fix bug that causes',
'duplicate menu items (pages 9, 12, 11).',
'<br>Page 8: Icon view no longer needs advanced code for multiple selection.',
'<br>Page 18: Can now customize the createModelEditDialog OK button label. Use ',
'toolbarRemove to get rid of edit button. Disabling singleRowView no longer causes a problem.',
'<br>Page 20: Sorting works for icon and detail views now so add sort button.',
'Use declarative option to remove chart, flashback. Also disabling grid view now does work.',
'<br>Pages Page 25,26. Use template option Remove Body Padding. Use ',
'trackParentSelection and setMasterRecord rather than previous',
'hack using private methods.',
'<br>Page 29. The workaround for apex.message.confirm bug is no longer needed.',
'<li>4.0: Remove Copy to Clipboard example because now it is built-in. ',
'Update many examples to reflect changes and fixes that have been made.',
'Improvements to the "Tasks" (now with checkbox), "Rich Text and Custom Popup", and "IG Cards" examples.',
'New examples: Column Help, Wide Report, Master Detail Dialog (close/save), ',
'Lazy Tabs (page scroll/fit page), and Tabbed Record Editing. The Custom Popup ',
'plug-in has been updated with fixes and now supports multiple inputs and outputs.</li>',
'<li>3.0: Minor updates to notes mainly to remove mention of issues that have been resolved ',
'in 5.1.3 and 5.1.4. Added examples: Always Edit, and Rich Text and Custom Popup.</li>',
'<li>2.0: Added example Tasks (reorder)</li>',
'</ul>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
end;
/
prompt --application/pages/page_00002
begin
wwv_flow_api.create_page(
 p_id=>2
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Basic Editable IG on EMP'
,p_step_title=>'Basic Editable IG on EMP'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303145023'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28556196822468427905)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Nothing to see here. Its a normal IG. This is the baseline copied for most of the other pages.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31644355553264240188)
,p_plug_name=>'Basic Editable IG on EMP'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644356733512240191)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644357301383240192)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644357893228240196)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644358457676240198)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644359038441240199)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644359699418240199)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644360266218240200)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644360887104240201)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644361430793240201)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644362092727240202)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644362646219240203)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644363288412240204)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644363815969240204)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644364446518240205)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644365030588240206)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644365637195240206)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31644366203655240207)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31644356028526240189)
,p_internal_uid=>4639025526591205615
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31644356459862240190)
,p_interactive_grid_id=>wwv_flow_api.id(31644356028526240189)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31644356541060240190)
,p_report_id=>wwv_flow_api.id(31644356459862240190)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644357690540240194)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31644357301383240192)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644358258576240198)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31644357893228240196)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644358852189240199)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31644358457676240198)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644359484037240199)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31644359038441240199)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644360025170240200)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31644359699418240199)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644360611937240200)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31644360266218240200)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644361215301240201)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31644360887104240201)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644361803417240202)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31644361430793240201)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644362411747240203)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31644362092727240202)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644363049248240204)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31644362646219240203)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644363612324240204)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31644363288412240204)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644364224523240205)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31644363815969240204)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644364837116240206)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31644364446518240205)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644365415046240206)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31644365030588240206)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644366094399240207)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31644365637195240206)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31644366676749240207)
,p_view_id=>wwv_flow_api.id(31644356541060240190)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31644366203655240207)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34552526016362280717)
,p_interactive_grid_id=>wwv_flow_api.id(31644356028526240189)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34552526097560280717)
,p_report_id=>wwv_flow_api.id(34552526016362280717)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552527247040280721)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31644357301383240192)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552527815076280725)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31644357893228240196)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552528408689280726)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31644358457676240198)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552529040537280726)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31644359038441240199)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552529581670280727)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31644359699418240199)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552530168437280727)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31644360266218240200)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552530771801280728)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31644360887104240201)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552531359917280729)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31644361430793240201)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552531968247280730)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31644362092727240202)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552532605748280731)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31644362646219240203)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552533168824280731)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31644363288412240204)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552533781023280732)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31644363815969240204)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552534393616280733)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31644364446518240205)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552534971546280733)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31644365030588240206)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552535650899280734)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31644365637195240206)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34552536233249280734)
,p_view_id=>wwv_flow_api.id(34552526097560280717)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31644366203655240207)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(24301703185997584502)
,p_tabular_form_region_id=>wwv_flow_api.id(31644355553264240188)
,p_validation_name=>'must not contain spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31644366803805240208)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(31644355553264240188)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00003
begin
wwv_flow_api.create_page(
 p_id=>3
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Basic IG Report on EMP'
,p_step_title=>'Basic IG Report on EMP'
,p_autocomplete_on_off=>'OFF'
,p_css_file_urls=>'#IMAGE_PREFIX#plugins/com.oracle.apex.starrating_modern/com_oracle_apex_starrating_modern.css'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN.SNYDERS@ORACLE.COM'
,p_last_upd_yyyymmddhh24miss=>'20170710013442'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28556196915853427906)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Its a normal IG in report mode. This is the baseline copied for most other',
'pages with IGs that only do reporting.',
'</p> ',
'<p>Issues:<br>',
'A non-editable grid does not get the display value from its item plugins. ',
'So for example the star plugin doesn''t work here.',
'<br>A workaround is to use an HTML expression that mimics what the star rating plugin does.',
'The start rating plugin css files is loaded and an HTML expression is used for the',
'RATING column along with a hidden RATING_PCT column. One difference is in how',
'null values are handled. This general technique may work for other plug-ins.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31648310175573302841)
,p_plug_name=>'Basic IG Report on EMP'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING,',
'       nvl2(RATING, to_char((RATING / 5) * 100) || ''%'', ''0'') as RATING_PCT',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(26985489727632296848)
,p_name=>'RATING_PCT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING_PCT'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>170
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648311819172302852)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'#'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>20
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648312487518302853)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648313026823302854)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648313700630302855)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648314245311302855)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>60
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648314865117302856)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648315450987302857)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648316007007302857)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648316648629302858)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648377242985302859)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648377805097302860)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>120
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648378483109302860)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648379056978302861)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648379665944302862)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31648380270886302864)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>160
,p_value_alignment=>'LEFT'
,p_attribute_01=>'<div class="star-rating star-rating-grid" aria-label="Rating: &RATING."><div class="star-rating-inner" aria-hidden="true" style="width: 82px; height: 16px" title="Rating: &RATING."><span class="star-rating-bg" aria-hidden="true"><span class="star-rat'
||'ing-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" styl'
||'e="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span></span><span class="star-rating-stars" aria-hidden="true" style="width:&RATING_PCT.;color: red;"><span class="star-rating-star fa fa-star" style="'
||'color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-ratin'
||'g-star fa fa-star" style="color: red;"></span></span></div></div>'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31648310625666302842)
,p_internal_uid=>4642980123731268268
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31648311094144302850)
,p_interactive_grid_id=>wwv_flow_api.id(31648310625666302842)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31648311122245302851)
,p_report_id=>wwv_flow_api.id(31648311094144302850)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(27215404542102468838)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(26985489727632296848)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648312258637302853)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(31648311819172302852)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648312881606302854)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31648312487518302853)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648313489739302855)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31648313026823302854)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648314008390302855)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31648313700630302855)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>73
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648314655265302856)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31648314245311302855)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648315205703302857)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31648314865117302856)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>72
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648315888820302857)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31648315450987302857)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>95
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648316409783302858)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31648316007007302857)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>80
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648377017011302859)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31648316648629302858)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>132
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648377628632302859)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31648377242985302859)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648378258348302860)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31648377805097302860)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648378829976302861)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31648378483109302860)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648379475385302861)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31648379056978302861)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648380029619302864)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31648379665944302862)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31648380613751302865)
,p_view_id=>wwv_flow_api.id(31648311122245302851)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31648380270886302864)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>67
);
end;
/
prompt --application/pages/page_00004
begin
wwv_flow_api.create_page(
 p_id=>4
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Hide Report Settings Area'
,p_step_title=>'Hide Report Settings Area'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303070551'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33199820017700798764)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates how to hide the report settings area. ',
'This came up <a href=''https://community.oracle.com/message/14206229#14206229'' target=''_blank''>here</a>',
'because the report would have highlights set in the default report and the ',
'report settings area took up too much space.',
'It may also be desireable in this case to disable the highlight feature.',
'When you first run the page comment out the code to disable highlight then ',
'set the highlight and save the report. Then uncomment the code.',
'</p>',
'<p>Note: Starting in release 18.2 the report settings area is given a max height',
'for IG regions that have a fixed height (Heading: Fixed to Region) so there will',
'be room to show data rows.',
'</p>',
'<p>Demonstrates:<br>',
'Advanced configuration.',
'<br>Customizations:<br>',
'See IG attribute Advanced: JavaScript Config. ',
'<br>Issues:<br>',
'Would be nice if IG had an action to show/hide report setting area and/or a responsive feature where it shows on ',
'demand as a popup if space is limited.',
'<br>See Also: <a href="f?p=&APP_ID.:12:&SESSION.">Cell Style Based on Data</a><br>',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36287978748496611047)
,p_plug_name=>'Hide Report Settings Area'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287979928744611050)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287980496615611051)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287981088460611055)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287981652908611057)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287982233673611058)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287982894650611058)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP WHERE JOB = ''MANAGER'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287983461450611059)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287984082336611060)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287984626025611060)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287985287959611061)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287985841451611062)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287986483644611063)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287987011201611063)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287987641750611064)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287988225820611065)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287988832427611065)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36287989398887611066)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36287979223758611048)
,p_internal_uid=>9282648721823576474
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.reportSettingsArea = false;',
'    // may want to disable the highlights feature. Comment out this code to make initial highlight settings',
'    apex.util.getNestedObject(config, "views.grid.features").highlight = false;',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36287979655094611049)
,p_interactive_grid_id=>wwv_flow_api.id(36287979223758611048)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36287979736292611049)
,p_report_id=>wwv_flow_api.id(36287979655094611049)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287980885772611053)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(36287980496615611051)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287981453808611057)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36287981088460611055)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287982047421611058)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36287981652908611057)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'DESC'
,p_sort_nulls=>'FIRST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287982679269611058)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36287982233673611058)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287983220402611059)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36287982894650611058)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287983807169611059)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36287983461450611059)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287984410533611060)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36287984082336611060)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287984998649611061)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36287984626025611060)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287985606979611062)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36287985287959611061)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287986244480611063)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36287985841451611062)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287986807556611063)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36287986483644611063)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>76
,p_break_order=>1
,p_break_is_enabled=>true
,p_break_sort_direction=>'ASC'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287987419755611064)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36287987011201611063)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287988032348611065)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36287987641750611064)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287988610278611065)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36287988225820611065)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287989289631611066)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36287988832427611065)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36287989871981611066)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36287989398887611066)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report_highlight(
 p_id=>wwv_flow_api.id(27005330586145034576)
,p_view_id=>wwv_flow_api.id(36287979736292611049)
,p_execution_seq=>5
,p_name=>'under paid'
,p_background_color=>'#FF7755'
,p_condition_type=>'COLUMN'
,p_condition_column_id=>wwv_flow_api.id(36287984082336611060)
,p_condition_operator=>'LT'
,p_condition_is_case_sensitive=>false
,p_condition_expression=>'1500'
,p_is_enabled=>true
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31648972426622405485)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(36287978748496611047)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00005
begin
wwv_flow_api.create_page(
 p_id=>5
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Dynamic Column Total'
,p_step_title=>'Dynamic Column Total'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// create a private scope where $ is set to apex.jQuery',
'(function($) {',
'    // This is the function that calculates over all the rows of the model and then',
'    // updates something else.',
'    // Change this to do whatever calculation is needed.',
'    // Call this whenever the model data changes.',
'    function update(model) {',
'        var salKey = model.getFieldKey("SAL"), ',
'            total = 0;',
'',
'        console.log(">> starting sum SAL column")',
'        model.forEach(function(record, index, id) {',
'            var sal = parseFloat(record[salKey]),  // record[salKey] should be a little faster than using model.getValue in a loop',
'                meta = model.getRecordMetadata(id);',
'',
'            if (!isNaN(sal) && !meta.deleted && !meta.agg) {',
'                total += sal;',
'            }',
'        });',
'        console.log(">> setting sum SAL column to " + total)',
'        $s("P5_TOTAL", total);',
'    }',
'',
'    //',
'    // This is the general pattern for subscribing to model notifications',
'    //',
'',
'    // need to do this here rather than in Execute when Page Loads so that the handler',
'    // is setup BEFORE the IG is initialized otherwise miss the first model created event',
'    $(function() {',
'        // the model gets released and created at various times such as when the report changes',
'        // listen for model created events so that we can subscribe to model notifications',
'        $("#emp").on("interactivegridviewmodelcreate", function(event, ui) {',
'            var sid,',
'                model = ui.model;',
'',
'            // note this is only done for the grid veiw. It could be done for',
'            // other views if desired. The imporant thing to realize is that each',
'            // view has its own model',
'            if ( ui.viewId === "grid" ) {',
'                sid = model.subscribe( {',
'                    onChange: function(type, change) {',
'                        console.log(">> model changed ", type, change);',
'                        if ( type === "set" ) {',
'                            // don''t bother to recalculate if other columns change',
'                            if (change.field === "SAL" ) {',
'                                update( model );',
'                            }',
'                        } else if (type !== "move" && type !== "metaChange") {',
'                            // any other change except for move and metaChange affect the calculation',
'                            update( model );',
'                        }',
'                    },',
'                    progressView: $("#P5_TOTAL") // this will cause a spinner on this field',
'                } );',
'                // if not lazy loaded there is no notification for initial data so update',
'                update( model ); ',
'                // just in case fetch all the data. Model notifications will',
'                // cause calls to update so nothing to do in the callback function.',
'                // can remove if data will always be less than 50 records',
'                model.fetchAll(function() {});',
'            }',
'        });',
'',
'    });',
'',
'})(apex.jQuery);',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20180803152103'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33204935360002356394)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates calculating a value from all the data in the client side data model.',
'A few people have wanted to process the whole data model on the client. ',
'For example calculating the total of a column and keeping it in sync as the grid is edited. ',
'See <a href=''https://community.oracle.com/thread/4003463'' target=''_blank''>here</a>,',
'<a href=''https://community.oracle.com/thread/4005143'' target=''_blank''>here</a> and',
'<a href=''https://community.oracle.com/message/14174982'' target=''_blank''>here</a>',
'</p>',
'<p>The assumption is that the model is going to contain all the data. There are',
'many uses cases where the amount of data is of a resonable size. Care must be ',
'taken that too much data isn''t loaded on the client.',
'Currently the server sends only 50 records initially (if Lazy Loading is No). ',
'The client fetches more data as needed; currently 100 records at a time by default.',
'The model fetchAll method is used to ensure that the model contains all the data.',
'This code can be removed if you are sure the number of records is always less',
'than 50.',
'</p>',
'<p>Client side calcualations should be advisory only. ',
'The server should validate or redo all calculations. Fields updated should probably have',
'warn on unsaved changes set to ignore or perhaps they are display/read only.',
'There is an extra insert model notification due to auto add row when the report changes. To ',
'avoid this set Add Row If Empty to No.</p>',
'<p>This page demonstrates the correct method of getting access to the model and',
'subscribing to model notifications. Once you get access to the model, looping',
'and doing the calculation is easy. The problem is that the model itself is destroyed',
'and created over time. Also there are many changes that can affect the calculation.',
'That is why a model notification listener is subscribed so that the calculation',
'can be redone when needed. In this example the calculation is only done',
'for the grid view model so a viewchange notification is used to hide the total',
'when the grid view is not the current view. A jQuery selector is used rather than a region',
'because specifying an IG region changes the definition of Fire on Initialization',
'to be when a row is edited and here we want page load.',
'</p>',
'<p>Demonstrates:<br>',
'Loading all the data (use with caution), Looping over the data to calculate a value.',
'Handling the custom viewchange event.',
'<br>Customizations:<br>',
'See Page attribute JavaScript: Function and Global Variable Declaration.',
'Dynamic Action view change. Play around with pagination settings, view',
'definitions, lazy loading, and saved Reports.',
'<br>Issues:<br>',
'Seems like a viewchange event on the IG region should have Fire on Initialization',
'apply to page load not row edit.',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36293094090798168677)
,p_plug_name=>'Dynamic Column Total'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293095271046168680)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293095838917168681)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293096430762168685)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293096995210168687)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293097575975168688)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293098236952168688)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP WHERE JOB = ''MANAGER'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293098803752168689)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293099424638168690)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293099968327168690)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293100630261168691)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293101183753168692)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293101825946168693)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293102353503168693)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293102984052168694)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293103568122168695)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293104174729168695)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36293104741189168696)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>170
,p_value_alignment=>'RIGHT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36293094566060168678)
,p_internal_uid=>9287764064125134104
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>false
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SET'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>true
,p_detail_view_for_each_row=>'<li>&ENAME. (&JOB.)</li>'
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36293094997396168679)
,p_interactive_grid_id=>wwv_flow_api.id(36293094566060168678)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_rows_per_page=>10
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36293095078594168679)
,p_report_id=>wwv_flow_api.id(36293094997396168679)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293096228074168683)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(36293095838917168681)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293096796110168687)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36293096430762168685)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293097389723168688)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36293096995210168687)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293098021571168688)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36293097575975168688)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293098562704168689)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36293098236952168688)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293099149471168689)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36293098803752168689)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293099752835168690)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36293099424638168690)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293100340951168691)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36293099968327168690)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293100949281168692)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36293100630261168691)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293101586782168693)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36293101183753168692)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293102149858168693)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36293101825946168693)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293102762057168694)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36293102353503168693)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293103374650168695)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36293102984052168694)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293103952580168695)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36293103568122168695)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293104631933168696)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36293104174729168695)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36293105214283168696)
,p_view_id=>wwv_flow_api.id(36293095078594168679)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36293104741189168696)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(40942218241410795397)
,p_interactive_grid_id=>wwv_flow_api.id(36293094566060168678)
,p_name=>'By Department'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(40942218322608795397)
,p_report_id=>wwv_flow_api.id(40942218241410795397)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942219472088795401)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(36293095838917168681)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942220040124795405)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36293096430762168685)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942220633737795406)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36293096995210168687)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942221265585795406)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36293097575975168688)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942221806718795407)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36293098236952168688)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942222393485795407)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36293098803752168689)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942222996849795408)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36293099424638168690)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942223584965795409)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36293099968327168690)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942224193295795410)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36293100630261168691)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942224830796795411)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36293101183753168692)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942225393872795411)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36293101825946168693)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>76
,p_break_order=>1
,p_break_is_enabled=>true
,p_break_sort_direction=>'ASC'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942226006071795412)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36293102353503168693)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942226618664795413)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36293102984052168694)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942227196594795413)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36293103568122168695)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942227875947795414)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36293104174729168695)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40942228458297795414)
,p_view_id=>wwv_flow_api.id(40942218322608795397)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36293104741189168696)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28556197095063427907)
,p_plug_name=>'Summary'
,p_parent_plug_id=>wwv_flow_api.id(36293094090798168677)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28556197165789427908)
,p_name=>'P5_TOTAL'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(28556197095063427907)
,p_prompt=>'Total'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26985489876352296849)
,p_name=>'view change'
,p_event_sequence=>10
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'#emp'
,p_triggering_condition_type=>'JAVASCRIPT_EXPRESSION'
,p_triggering_expression=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* because this runs on page load can''t rely on this.data.view === "grid" */',
'apex.region("emp").call("getActions").get("change-view") === "grid"'))
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'interactivegridviewchange'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26985489898177296850)
,p_event_id=>wwv_flow_api.id(26985489876352296849)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SHOW'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(28556197095063427907)
,p_attribute_01=>'N'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26985490026540296851)
,p_event_id=>wwv_flow_api.id(26985489876352296849)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_HIDE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(28556197095063427907)
,p_attribute_01=>'N'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31654078349327963089)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(36293094090798168677)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00006
begin
wwv_flow_api.create_page(
 p_id=>6
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Windows List View Style'
,p_step_title=>'Windows List View Style'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.ig-windows-style .a-GV-table .a-GV-cell,',
'.ig-windows-style .a-GV-table .a-GV-controlBreakHeader {',
'    border-color: transparent;',
'}',
'.ig-windows-style .a-GV-w-frozen .a-GV-table {',
'    border-right: none;',
'}',
'.ig-windows-style .a-GV-table tr.is-hover .a-GV-cell,',
'.ig-windows-style .a-GV-table tr.is-hover.is-selected .a-GV-cell {',
'    background-color: #f2f6ff;',
'}',
'.ig-windows-style .a-GV-table tr.is-selected .a-GV-cell,',
'.ig-windows-style .a-GV-table tr.is-hover.is-selected .a-GV-cell {',
'    background-color: #dbe8ff;',
'}',
'.ig-windows-style .a-GV-hdr {',
'    background-color: #fcfcfc;',
'}',
'.a-IG-contentContainer {',
'    margin-top: 0;',
'}',
'',
'.ig-windows-style .u-selector {',
'    box-shadow: none;',
'    border: 1px transparent;',
'}',
'',
'.ig-windows-style .a-GV-hdr tr .u-selector,',
'.ig-windows-style tr.is-selected .u-selector,',
'.ig-windows-style tr.is-hover .u-selector {',
'    box-shadow: 0 1px 1px rgba(0,0,0,.05) inset;',
'    border: 1px solid #404040;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303071940'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33212513047420121924)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates customizing the grid so that it looks and behaves more',
'like a modern Microsoft Windows list view (like in Windows File Explorer).',
'This is mostly about setting CSS styles for the grid. But also setting the ',
'columns to not stretch removing the Actions column and switching to use a ',
'context menu. The general idea is to give more of a desktop UI feel.',
'</p>',
'<p>A number of people have wanted to disable the auto stretching of',
'column widths. See <a href="https://community.oracle.com/thread/4000563" target="_blank">here</a> for an example.',
'As of release 18.1 there is a end user option (Action > Format > Stretch Column Widths)',
'to control this. The advanced option stretchColumns takes priority over the user setting',
'and this is why the end user menu option is missing for this page.',
'</p>',
'<p>Demonstrates:<br>',
'Customizing IG styles. Advanced configuration settings.',
'<br>Customizations:<br>',
'See Page attribute CSS: Inline. See IG attribute Advanced JavaScript Config.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36300671778215934207)
,p_plug_name=>'Windows List View Style'
,p_region_name=>'emp'
,p_region_css_classes=>'ig-windows-style'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300672958463934210)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300674118179934215)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300674682627934217)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300675263392934218)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300675924369934218)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300676491169934219)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300677112055934220)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300677655744934220)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300678317678934221)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300678871170934222)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300679513363934223)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300680040920934223)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300680671469934224)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300681255539934225)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300681862146934225)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36300682428606934226)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36300672253477934208)
,p_internal_uid=>9295341751542899634
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridViewOptions = {',
'        // this was mentioned in my blog: http://hardlikesoftware.com/weblog/2017/01/24/how-to-hack-apex-interactive-grid-part-2/#more-537',
'        // relies on internal detail of menu id generation but no other way to get this',
'        contextMenuId: "emp_ig_selection_actions_menu",',
'    };',
'    // override end user report setting for stretch columns',
'    apex.util.getNestedObject(config, "views.grid.features").stretchColumns = false;',
'    /* leaving these old comments in place to show benefit of getNestedObject',
'    // Logically want to do this: config.views.grid.features.stretchColumns = false;',
'    // But the server may not generate the views, grid, or features objects depending on what declrative options are selected.',
'    // So must check for and add if needed each one. Seems like there should be an easier way :-(',
'    var o = config;',
'    "views.grid.features".split(".").forEach(function(p) { ',
'        if ( !o[p] ) {',
'            o[p] = {};',
'        }',
'        o = o[p];',
'    });',
'    o.stretchColumns = false; */',
'/* or you could do it this way',
'    if (!config.views) {',
'        config.views = {};',
'    }',
'    if (!config.views.grid) {',
'        config.views.grid = {};',
'    }',
'    if (!config.views.grid.features) {',
'        config.views.grid.features = {};',
'    }',
'    config.views.grid.features.stretchColumns = false;',
'*/',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36300672684813934209)
,p_interactive_grid_id=>wwv_flow_api.id(36300672253477934208)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36300672766011934209)
,p_report_id=>wwv_flow_api.id(36300672684813934209)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300674483527934217)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36300674118179934215)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300675077140934218)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(36300674682627934217)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>105
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300675708988934218)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36300675263392934218)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300676250121934219)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36300675924369934218)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>89
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300676836888934219)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36300676491169934219)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>124
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300677440252934220)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36300677112055934220)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300678028368934221)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36300677655744934220)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300678636698934222)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36300678317678934221)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300679274199934223)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36300678871170934222)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300679837275934223)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36300679513363934223)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300680449474934224)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36300680040920934223)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300681062067934225)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36300680671469934224)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300681639997934225)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36300681255539934225)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300682319350934226)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36300681862146934225)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36300682901700934226)
,p_view_id=>wwv_flow_api.id(36300672766011934209)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36300682428606934226)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>116
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(40958978262199019778)
,p_interactive_grid_id=>wwv_flow_api.id(36300672253477934208)
,p_name=>'By Job'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(40958978343397019778)
,p_report_id=>wwv_flow_api.id(40958978262199019778)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958980060913019786)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36300674118179934215)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958980654526019787)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36300674682627934217)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>319
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958981286374019787)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36300675263392934218)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>175
,p_break_order=>1
,p_break_is_enabled=>true
,p_break_sort_direction=>'ASC'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958981827507019788)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36300675924369934218)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>89
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958982414274019788)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36300676491169934219)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>124
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958983017638019789)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36300677112055934220)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958983605754019790)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36300677655744934220)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958984214084019791)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36300678317678934221)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958984851585019792)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36300678871170934222)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958985414661019792)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36300679513363934223)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958986026860019793)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36300680040920934223)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958986639453019794)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36300680671469934224)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958987217383019794)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36300681255539934225)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958987896736019795)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36300681862146934225)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40958988479086019795)
,p_view_id=>wwv_flow_api.id(40958978343397019778)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36300682428606934226)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31661695504424728620)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(36300671778215934207)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00007
begin
wwv_flow_api.create_page(
 p_id=>7
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Rows Per Page on Toolbar'
,p_step_title=>'Rows Per Page on Toolbar'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303072204'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33292558102514209379)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Originally asked on Twitter and then on the forums in this ',
'<a href=''https://community.oracle.com/message/14191346#14191346'' target=''_blank''>thread</a>',
'This is not a very complex example but in 5.1 there was a bug that kept it from ',
'working. The bug is fixed in 5.1.1. Also this shows improvements such as',
'the new toolbarFind method of the array returned by $.apex.interactiveGrid.copyDefaultToolbar().',
'</p>',
'<p>This is a non-editable grid but could just as easily be editable. This shows',
'the issue with Modern Star Rating plugin on a non-editable grid. See ',
'<a href=''f?p=&APP_ID.:3:&SESSION.''>Basic IG Report on EMP</a>',
'for a workaround.',
'</p>',
'<p>Demonstrates:<br>',
'Advanced toolbar customization',
'<br>Consifuration:<br>',
'See IG Advanced: JavaScript Code',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36384671362234084314)
,p_plug_name=>'Rows Per Page on Toolbar'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384673005833084325)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'#'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>20
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384673674179084326)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384674213484084327)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384674887291084328)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384675431972084328)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>60
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384676051778084329)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384676637648084330)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384677193668084330)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384677835290084331)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384738429646084332)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384738991758084333)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>120
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384739669770084333)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384740243639084334)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384740852605084335)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36384741457547084337)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>160
,p_value_alignment=>'RIGHT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36384671812327084315)
,p_internal_uid=>9379341310392049741
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SET'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>500
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    var $ = apex.jQuery,',
'        toolbarData = $.apex.interactiveGrid.copyDefaultToolbar(),',
'        toolbarGroup = toolbarData.toolbarFind("actions1");',
'',
'    toolbarGroup.controls.unshift( {',
'        type: "SELECT",',
'        action: "change-rows-per-page"',
'    } );',
'    // Optional if you want the word Rows like IR had. But this is probably bad for  ',
'    // accessibility because it isn''t a label element like in IR  ',
'    //toolbarGroup.controls.unshift( {  ',
'    //    type: "STATIC",  ',
'    //    label: "Rows"  ',
'    //} ); ',
'    config.toolbarData = toolbarData;',
'    // the workaround for 5.1 bug given in the forums is no longer needed',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36384672280805084323)
,p_interactive_grid_id=>wwv_flow_api.id(36384671812327084315)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_rows_per_page=>15
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36384672308906084324)
,p_report_id=>wwv_flow_api.id(36384672280805084323)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384673445298084326)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(36384673005833084325)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>55
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384674068267084327)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36384673674179084326)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>85
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384674676400084328)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36384674213484084327)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384675195051084328)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36384674887291084328)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384675841926084329)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36384675431972084328)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384676392364084330)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36384676051778084329)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>72
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384677075481084330)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36384676637648084330)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>95
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384677596444084331)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36384677193668084330)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>70
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384738203672084332)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36384677835290084331)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>129
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384738815293084332)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36384738429646084332)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384739445009084333)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36384738991758084333)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384740016637084334)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36384739669770084333)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384740662046084334)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36384740243639084334)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384741216280084337)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36384740852605084335)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36384741800412084338)
,p_view_id=>wwv_flow_api.id(36384672308906084324)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36384741457547084337)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>59
);
end;
/
prompt --application/pages/page_00008
begin
wwv_flow_api.create_page(
 p_id=>8
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Custom Row Height with Image'
,p_step_title=>'Custom Row Height with Image'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* ',
' As of 18.2 you can let the header labels wrap with the following custom CSS rule',
' and the header hight will be adjusted.',
' This automatic height adjustment works for labels with an explicit <br> in them ',
' as well.',
'*/',
'.a-GV-headerLabel {',
'    white-space: normal;',
'}',
'',
'/* You can still set an explicit height if you like but as of 18.2 you don''t need to',
'#emp .a-GV-header {',
'    height: 60px;',
'} */',
'/* ',
' Uncomment and show column ONLEAVE for an example where the heading is rotated so that it is vertical.',
' See the ONLEAVE column JavaScript init code for how the rotate class is applied.',
' NOTE this transform does not affect the measured heigh of the label and so ',
' the automatic height adjustment will not work as expected. This is a case',
' where you need to set an explicit height.',
'*/',
'/*',
'.rotate.a-GV-header {',
'    height: 120px;',
'}',
'.rotate .a-GV-headerLabel {',
'    transform: rotate(-90deg);',
'    display: block;',
'    white-space: nowrap;',
'}',
'*/',
'#emp .a-GV-cell {',
'    height: 142px;',
'}',
'/* by removing the height the edit fields will be centered */',
'#emp .a-GV-cell .a-GV-columnItem {',
'    height: auto;',
'}',
'/* uncomment to have notes edit in place',
'#C_NOTES {',
'    height: 128px;',
'    width: 100%;',
'} */',
'.wrap-cell {',
'    max-height: 128px;',
'    white-space: normal;',
'    overflow: hidden;',
'}',
'/* for icon view it is important to scope to a-TMV or something even more specific ',
'so that it doesn''t affect IG dialogs like chart. ''*/',
'#emp .a-IconList-item {',
'    width: 142px;',
'    height: 164px;',
'    text-align: center;',
'}',
'#emp .a-IconList-item .u-selector {',
'    position: absolute;',
'}',
'/* fix icon view styles */',
'.a-TMV .a-IconList-item.is-selected,',
'.a-TMV .a-IconList-item.is-selected.is-focused {',
'    background-color: #ecf3ff;',
'}',
'.a-TMV .a-IconList-item.is-focused {',
'   box-shadow: 0 0 0 1px #4696fc inset, 0 1px 2px rgba(0,0,0,.1);',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190319180207'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33348094035089186439)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates how to change the default height of rows in the grid',
'view as well as having an icon column and putting the extra height to good use',
'for the Notes column. It also shows how to handle extra high column headings.',
'In this case the Employee Name column has an explicit &lt;br> so that it wraps.',
'A custom CSS rule lets the column headings wrap (see the JOB column).',
'As of 18.2 the grid will automatically adjust the height of the headers so ',
'that the frozen column rows stay aligned.',
'</p>',
'<p>This was asked in this <a href=''https://community.oracle.com/message/14161862#14161862'' target=''_blank''>thread</a>. ',
'See that thread for info about using blob columns etc. To keep this example',
'simple it is using old images that come with APEX.',
'This example shows how to customize the row height as described ',
'<a href=''http://hardlikesoftware.com/weblog/2017/01/06/interactive-grid-column-widths/'' target=''_blank''>here</a>.',
'A strange thing happens when the grid is also editable some controls that would ',
'be popups are not if they fit in the height but then they may not fit the width.',
'See the textarea Notes field for example. One way to deal with this is to make ',
'the height larger than the row (see width and height attributes). ',
'Another alternative is to use CSS to make it fix exactly (see inline CSS rule ',
'for #C_NOTES and uncomment). A drawback is that when in in navigation ',
'mode it would be nice if the text would wrap to fill available space. ',
'If you use the technique from the above blog using HTML Expression (&lt;div class="wrap-cell">&amp;NOTES.&lt;/div>) ',
'then it cannot be edited. This can be solved by using the advanced column',
'config property cellTemplate.',
'</p>',
'<p>This page also demonstrates a custom icon view using the same image. ',
'The default (non-custom) icon view sets a default height/width but requires a ',
'full URL for the image. The IMAGE column doesn''t have the full URL because it',
'would make the data larger. Custom icon markup is used to get around this. ',
'CSS rules are added to the page to set the height and width style. ',
'Starting in 19.1 icon view will pick up the selection settings from the Row Selector',
'column. This includes multiple selection and the checkbox (Hide Control).',
'</p>',
'<p>Demonstrates:<br>',
'Customizing IG CSS styles. New declarative Stretch attribute keeps the IMAGE column from',
'stretching (old Advanced configuration code is commented out).',
'Advanced configuration to set cellTemplate on the NOTES column so that it can be',
'edited and still show multiple lines in navigation mode. ',
'To see the automatic header height adjustment hide the',
'Employee Name column and adjust the width of the Employee Function column.',
'To see an example of vertical labels see the comments in the page inline CSS styles.',
'<br>Customizations:<br>',
'See Page attribute CSS: Inline. See Source SQL Query for how the IMAGE column is defined ',
'(note that by not defining the full URL it keeps the size of the data smaller).',
'See Column attribute Advanced: JavaScript Code for NOTES and IMAGE. See ',
'custom Icon view definition.',
'<br>Issues:<br>',
'The Icon view selection and focus styles need improvement; See fixes in CSS: Inline.<br>',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36436252765884998722)
,p_plug_name=>'Custom Row Height with Image'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       case when JOB = ''MANAGER'' then ''biz_users_bx_128x128.png'' ',
'          when DEPTNO = 10 then ''biz_user_green_bx_128x128.png'' ',
'          when DEPTNO = 20 then ''biz_user_red_bx_128x128.png''',
'          else ''biz_user_yellow_bx_128x128.png'' end as image,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28556197397395427910)
,p_name=>'IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'IMAGE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'Image'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>180
,p_value_alignment=>'LEFT'
,p_stretch=>'N'
,p_attribute_01=>'<image src=''#IMAGE_PREFIX#menu/&IMAGE.'' width=128 height=128>'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'/* this is no longer needed since 18.1 See Layout: Stretch attribute',
'    config.defaultGridColumnOptions = {',
'        noStretch: true',
'    };',
'*/',
'    return config;',
'}'))
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436253946132998725)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436254514003998726)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436255105848998730)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436255670296998732)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Employee<br>Name'
,p_label=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436256251061998733)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Employee Function'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436256912038998733)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436257478838998734)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436258099724998735)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436258643413998735)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436259305347998736)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_static_id=>'C_ONLEAVE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "rotate"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436259858839998737)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_item_width=>60
,p_item_height=>12
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_static_id=>'C_NOTES'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridColumnOptions = {',
'        cellTemplate: ''<div class="wrap-cell">&NOTES.</div>''',
'    };',
'    return config;',
'}'))
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436260501032998738)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436261028589998738)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436261659138998739)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436262243208998740)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436262849815998740)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36436263416275998741)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36436253241146998723)
,p_internal_uid=>9430922739211964149
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>true
,p_icon_view_use_custom=>true
,p_icon_view_custom=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li><image src=''#IMAGE_PREFIX#menu/&IMAGE.'' width=128 height=128><br>',
'&ENAME.',
'</li>'))
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    /* This is no longer needed since 19.1 because icon view ',
'     * takes selection configuration from the row selector column',
'     * You could remove this JavaScript Initialization Code completely',
'     * or if you don''t have a row selector column or want to override it the following can still be used',
'    config.defaultIconViewOptions = {',
'        iconListOptions: {multiple: true}',
'    };',
'    */',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36436253672482998724)
,p_interactive_grid_id=>wwv_flow_api.id(36436253241146998723)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36436253753680998724)
,p_report_id=>wwv_flow_api.id(36436253672482998724)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31798063535210645389)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(28556197397395427910)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>148
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436254903160998728)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(36436254514003998726)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436255471196998732)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36436255105848998730)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436256064809998733)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36436255670296998732)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>126
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436256696657998733)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36436256251061998733)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>86
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436257237790998734)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36436256912038998733)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436257824557998734)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36436257478838998734)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436258427921998735)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36436258099724998735)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>104
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436259016037998736)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36436258643413998735)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>103
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436259624367998737)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36436259305347998736)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436260261868998738)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36436259858839998737)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>183
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436260824944998738)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36436260501032998738)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>96
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436261437143998739)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36436261028589998738)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436262049736998740)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36436261659138998739)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436262627666998740)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36436262243208998740)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436263307019998741)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>17
,p_column_id=>wwv_flow_api.id(36436262849815998740)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36436263889369998741)
,p_view_id=>wwv_flow_api.id(36436253753680998724)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36436263416275998741)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31797236505845793129)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(36436252765884998722)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00009
begin
wwv_flow_api.create_page(
 p_id=>9
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Update Selection'
,p_step_title=>'Update Selection'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// create a private scope where $ is set to apex.jQuery',
'(function($) {',
'    // This function processes the current selection. It increases the salary ',
'    // field of each selected row by the given percent',
'    function increaseSalary(percent) {',
'        var i, records, record, sal, model,',
'            view = apex.region("emp").call("getCurrentView");',
'',
'        if ( view.supports.edit ) { // make sure this is the editable view',
'            percent = percent / 100;',
'            model = view.model;',
'            records = view.getSelectedRecords();',
'            for ( i = 0; i < records.length; i++ ) {',
'                record = records[i];',
'                sal = parseFloat(model.getValue(record, "SAL"));',
'                if ( !isNaN(sal) ) {',
'                    sal = sal + sal * percent;',
'                    model.setValue(record, "SAL", "" + sal); // turn the number back into a string!',
'                }',
'            }',
'        }',
'',
'    }',
'    // expose this function so it can be called from the Increase Salary ',
'    // dialog OK button DA. Normally you would put it in your own app/page namespace.',
'    window.increaseSalary = increaseSalary;',
'})(apex.jQuery);',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// add action to selection menu',
'var view = apex.region("emp").call("getViews", "grid"),',
'    menu$ = view.selActionMenu$;',
'    // to modify the row action menu use view.rowActionMenu$',
'',
'// now add items to the menu that reference actions added to the IG',
'// see IG attribute Advanced JavaScript Code',
'menu$.menu("option").items.push({',
'    type:"action",',
'    action: "selection-increase-salary"',
'});',
'',
'// At one point the OK and Cancel buttons had the js-ignoreChange class added',
'// no idea why. Seems strange that the option to warn on unsaved changes or not goes away',
'// when the button is defined by a dynamic action (A DA could submit or cause navigation).',
'// After playing around with the buttons the js-icnoreChange class was removed; no idea why.',
'// It is important that buttons to close the inline dialog do not have js-ignoreChange',
'// because it breaks the warn on unsaved changes feature.',
'//apex.jQuery("#increaseSalaryDialog").find("button.js-ignoreChange").removeClass("js-ignoreChange");'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303080804'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28556197460346427911)
,p_plug_name=>'Increase Salary'
,p_region_name=>'increaseSalaryDialog'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_item_display_point=>'BELOW'
,p_plug_source=>'<p id="dlgText">Apply the percent salary increase to each of the <b>#COUNT#</b> selected Employees.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33425078333257201164)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This example shows customizing the IG grid Selection Actions menu and updating a number of model records.',
'It increases the salary of all the selected employees by a given percent. It also demonstrates inline dialogs',
'and validation. Select several rows then click the Selection Action Menu (hamburger menu in header) and ',
'choose Increase Salary.',
'</p>',
'<p>An action is added to the IG using advanced configuration. Then the Selection Actions menu is updated',
'to add that action. The action opens an inline dialog that prompts for a percentage. On OK the currently ',
'selected records of the model are updated. Any changes to the model are automatically reflected in the view.',
'See <a href=''http://hardlikesoftware.com/weblog/2017/01/24/how-to-hack-apex-interactive-grid-part-2/'' target=''_blank''>part 2</a>',
'of my series on IG for general information about actions and toolbar/menu customization.',
'See this <a href=''https://community.oracle.com/thread/4011421'' target=''_blank''>forum thread</a> for info about ',
'selecting records either from the view or the model.',
'See <a href=''http://hardlikesoftware.com/weblog/2017/03/31/how-to-hack-apex-interactive-grid-part-4/'' target=''_blank''>part 4</a>',
'of my series on IG for info about acessing and using the model API.',
'</p>',
'<p>Demonstrates:<br>',
'Selection Action Menu customization. Updating all selected model records. The advanced persistSelection grid option is',
'used to save the selection in the model so that rows on multiple pages can be selected. Custom client side validation.',
'Client side template processing to display the number of selected rows in the Increase Salary dialog.',
'Uses new apex.theme.openRegion/closeRegion functions to open/close inline dialog region.',
'<br>Customizations:<br>',
'See page attributes Function and Global Variable Declaration and Execute when Page Loads, IG Advanced JavaScript Code, and the various DAs on the inline dialog.',
'<br>Issues:<br>',
'See bug 25367764 about client side validation and translation issues.<br>',
'Client side validation of an inline dialog should be easier think about how',
'apex.page.validatePageItemsOnBlur could be enhanced to work with inline dialogs.<br>',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36513237064053013447)
,p_plug_name=>'Update Selection'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513238244301013450)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513238812172013451)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513239404017013455)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513239968465013457)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513240549230013458)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513241210207013458)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513241777007013459)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513242397893013460)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513242941582013460)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513243603516013461)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513244157008013462)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513244799201013463)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513245326758013463)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513245957307013464)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513246541377013465)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513247147984013465)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36513247714444013466)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36513237539315013448)
,p_internal_uid=>9507907037379978874
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>false
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SET'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.initActions = function(actions) {',
'        var dialogMessageTemplate = null;',
'',
'        actions.add({',
'            name: "selection-increase-salary",',
'            // Most places in this app I don''t bother to define a message that can be localized',
'            // but here I do. Note using labelKey rather than label.',
'            labelKey: "INCREASE_SAL",',
'            icon: "fa fa-usd fam-arrow-up",',
'            action: function() {',
'                var ig$ = $(actions.context);',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                if ( view.supports.edit ) { // make sure this is the editable view',
'                    // Demonstrate client side template processing',
'                    if ( !dialogMessageTemplate ) {',
'                        // initially the dialog contains a template; save it',
'                        dialogMessageTemplate = $("#dlgText").html();',
'                    }',
'                    // process the template with COUNT placeholder set to the number of selected records',
'                    $("#dlgText").html( apex.util.applyTemplate( dialogMessageTemplate, {',
'                        placeholders: { COUNT: ig$.interactiveGrid("getSelectedRecords").length }',
'                    } ) );',
'                    apex.theme.openRegion("increaseSalaryDialog");',
'                }',
'            }            ',
'        });',
'    }',
'    // The grid uses traditional paging and the following option allows selecting rows on multiple pages ',
'    // compare with persistSelection commented out or set to false; then the salaray',
'    // can be increased only for rows on the current page.',
'    config.defaultGridViewOptions = {',
'        persistSelection: true',
'    };',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36513237970651013449)
,p_interactive_grid_id=>wwv_flow_api.id(36513237539315013448)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36513238051849013449)
,p_report_id=>wwv_flow_api.id(36513237970651013449)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513239201329013453)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(36513238812172013451)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513239769365013457)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36513239404017013455)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513240362978013458)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36513239968465013457)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513240994826013458)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36513240549230013458)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513241535959013459)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36513241210207013458)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513242122726013459)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36513241777007013459)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513242726090013460)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36513242397893013460)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513243314206013461)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36513242941582013460)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513243922536013462)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36513243603516013461)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513244560037013463)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36513244157008013462)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513245123113013463)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36513244799201013463)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513245735312013464)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36513245326758013463)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513246347905013465)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36513245957307013464)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513246925835013465)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36513246541377013465)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513247605188013466)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36513247147984013465)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36513248187538013466)
,p_view_id=>wwv_flow_api.id(36513238051849013449)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36513247714444013466)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(28556197757407427914)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(28556197460346427911)
,p_button_name=>'INC_CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(28556197637257427913)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(28556197460346427911)
,p_button_name=>'INC_OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_execute_validations=>'N'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28556197556218427912)
,p_name=>'P9_INCREASE_PERCENT'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(28556197460346427911)
,p_prompt=>'Increase'
,p_post_element_text=>'%'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>4
,p_cMaxlength=>3
,p_tag_attributes=>'min=0 max=10 data-valid-message="Must be between 0 and 10%"'
,p_grid_label_column_span=>4
,p_field_template=>wwv_flow_api.id(31643838921825161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_help_text=>'Percentage to increase salary by. Must be between 0 and 10%. '
,p_attribute_01=>'0'
,p_attribute_02=>'10'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28556197831299427915)
,p_name=>'cancel inc dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(28556197757407427914)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28556197947300427916)
,p_event_id=>wwv_flow_api.id(28556197831299427915)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(28556197460346427911)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28556198058591427917)
,p_name=>'inc salary'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(28556197637257427913)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28556198121141427918)
,p_event_id=>wwv_flow_api.id(28556198058591427917)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var item = apex.item("P9_INCREASE_PERCENT");',
'if (item.getValidity().valid) {',
'    increaseSalary(parseFloat(item.getValue()));',
'    apex.theme.closeRegion("increaseSalaryDialog");',
'} else {',
'    // reuse a common apex text message',
'    apex.message.alert(apex.lang.getMessage("APEX.CORRECT_ERRORS"));',
'}'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28556198270690427919)
,p_name=>'validate'
,p_event_sequence=>30
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P9_INCREASE_PERCENT'
,p_bind_type=>'bind'
,p_bind_event_type=>'focusout'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28556198359880427920)
,p_event_id=>wwv_flow_api.id(28556198270690427919)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var message, validity, item, errors = [],',
'    input$ = $(this.triggeringElement),',
'    min = parseFloat(input$.attr("min")),',
'    max = parseFloat(input$.attr("max")),',
'    val = parseFloat(input$.val());',
'',
'/* If input type text supported min and max attributes, or if I used type number, then custom validation code would',
' * not be needed except to check if the item was valid on OK and to call show/clearErrors.',
' */',
'',
'console.log("Validate ", min, max, val);',
'if (input$.val() !== "") {',
'    // this could be more strict for example it doesn''t catch "5abc"',
'    if ( isNaN(val) || val < min || val > max ) {',
'        message = "invalid"; // doesn''t matter what the text is because data-valid-message is used',
'    } else {',
'        message = "";',
'    }',
'    input$[0].setCustomValidity(message);',
'}',
'item = apex.item(input$[0].id);',
'validity = item.getValidity();',
'if ( !validity.valid ) {',
'    errors.push( {',
'        message: item.getValidationMessage(),',
'        location: "inline",',
'        pageItem: item.id',
'    } );',
'    apex.message.showErrors( errors );',
'} else {',
'    apex.message.clearErrors( item.id );',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28556198473564427921)
,p_name=>'on open'
,p_event_sequence=>40
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(28556197460346427911)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28556198520211427922)
,p_event_id=>wwv_flow_api.id(28556198473564427921)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.message.clearErrors();'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31874240855413807859)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(36513237064053013447)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00010
begin
wwv_flow_api.create_page(
 p_id=>10
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Variable Height Rows'
,p_step_title=>'Variable Height Rows'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.jQuery(function() {',
'',
'    /* Commenting out this method of truncating the notes display text in favor of ',
'     * using NOTES_SHORT column method. See comments in NOTES column attribute',
'     * JavaScript Initialization Code and in DA on NOTES column.',
'     ',
'    // DANGER: the callbacks property is not documented or supported. This may break.',
'    // The right thing to do is to make an item plug-in that is just like Text Area',
'    // but displays a truncated value by providing displayValueFor callback. ',
'',
'    // This needs to happen after the column items are initialized but before the grid is rendered -',
'    // not easy to do. Only works if IG is lazy loaded. Another reason to do it the right way with a plug-in.',
'    $("#emp").on("interactivegridcreate", function() {',
'        apex.item("C_NOTES").callbacks.displayValueFor = function(x) {',
'            return x.length > 180 ? x.substring(0, 180) + "..." : x;',
'        };',
'    });',
'',
'    */',
'});',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// There is no supported way to turn off the ability to freeze columns.',
'// This code removes the freeze button from the column header popup "menu".',
'// DANGER. This is likely to break.',
'$("#emp").on("gridactivatecolumnheader", function(e) {',
'    setTimeout(function() {',
'        // The header popup "menu" is added to the end of the document so it is ',
'        // not clipped. You will no longer find it under the IG region.',
'        $("#emp_ig_column_header_menu").find("[data-option=''freeze'']").remove();            ',
'    }, 1);',
'});',
'',
'// make the row height stay consistent when editing a text area.',
'var gLastActiveRow$ = null;',
'$("#emp").on("apexbeginrecordedit", function(e) {',
'    gLastActiveRow$ = $(e.target).find(".a-GV-row.is-active"),',
'    gLastActiveRow$.css("height", gLastActiveRow$.height());',
'}).on("apexendrecordedit", function(e) {',
'    gLastActiveRow$.css("height", ""); // remove height',
'});',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#emp .a-GV-table td, #emp .a-GV-table th {',
'    white-space: normal;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20180917101203'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(33577525173880356441)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This is not really a workable example. There are too many limitations.</p>',
'<p>The idea here is to let the cell contents wrap just by changing the CSS style',
'white-space to normal. This way the cell will be as high as it needs to be in order to',
'show all the content. But this causes problems for scroll paging and keeping row ',
'height in sync between the frozen and non-frozen areas. ',
'So we must then get rid of the problems:<br>',
'Remove row selector (because it is frozen) but still allow multi select. Note:',
'on a touch device the row selector is forced on.<br>',
'Would like to be able to remove ability to freeze columns but this is not (yet?) supported.<br>',
'Use page pagination and remove auto rows per page option.',
'</p>',
'<p>The end result is something that is missing out on many of the nice features',
'of IG but at least it is editable and shows multiple lines of text only where needed.',
'There are plans (no promise if or when) for a future relase of IG to support fixed or variable height rows.',
'</p>',
'<p>Customizations:<br>',
'See page inline CSS. See Advanced JavaScript Code. Note the width and height of the ',
'text area are set large so that it will likely be edited as a popup. ',
'See code in Execute when Page Loads that keeps the row height from shrinking',
'when the text is edited in a popup.',
'<br>Issues:<br>',
'There is no proper way to turn off ability to freeze columns (unless you disable the column heading popup).',
'The features.freezeColumns option is commented out.',
'See page Execute when Page Loads for a hack to remove freeze button.<br>',
'Ideally would like to limit the amount of text shown (so if it is thousands of characters ',
'it doesn''t make the row height unreasonably high) but still allow the text to be edited.',
'See NOTES_SHORT column and the DA and Advanced JavaScript code on NOTES column. Be sure to read the comments.',
'See Function and Global Variable Declaration for an alternate hack that sort of works for versions before 18.2.',
'A custom item plugin would still be the best solution.',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36665683904676168724)
,p_plug_name=>'Variable Height Rows'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       case when notes is null or LENGTH(NOTES) < 180 then NOTES else SUBSTR(NOTES, 1, 180) || ''...'' end as NOTES_SHORT,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749875011477780093)
,p_name=>'NOTES_SHORT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES_SHORT'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>180
,p_attribute_01=>'N'
,p_static_id=>'C_NOTES_SHORT'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665685652795168728)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665686244640168732)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665686809088168734)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665687389853168735)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665688050830168735)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665688617630168736)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665689238516168737)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665689782205168737)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665690444139168738)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665690997631168739)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_item_width=>60
,p_item_height=>12
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_static_id=>'C_NOTES'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'// The general idea here is to put a cap on the amount of text displayed in the ',
'// grid while still allowing the full text to be edited.',
'// This will edit the value in NOTES but display the value in NOTES_SHORT',
'// After editing update NOTES_SHORT with changes. See the DA on NOTES for how to do this.',
'    config.defaultGridColumnOptions = {',
'        cellTemplate: "&NOTES_SHORT."',
'    };',
'    return config;',
'}'))
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665691639824168740)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665692167381168740)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665692797930168741)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665693382000168742)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665693988607168742)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(36665694555067168743)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>170
,p_value_alignment=>'RIGHT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(36665684379938168725)
,p_internal_uid=>9660353878003134151
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SET'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // if there were an option to turn off frozen columns we would do that',
'    // row header was removed to avoid frozen column but still want multiple select',
'    config.defaultGridViewOptions = {',
'        multiple: true,',
'        selectAll: true',
'    };',
'    config.initActions = function(actions) {',
'        actions.lookup("change-rows-per-page").choices.shift(); // get rid of auto rows per page because that relies on fixed height.',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(36665684811274168726)
,p_interactive_grid_id=>wwv_flow_api.id(36665684379938168725)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_rows_per_page=>10
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(36665684892472168726)
,p_report_id=>wwv_flow_api.id(36665684811274168726)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(24522201828787776240)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>17
,p_column_id=>wwv_flow_api.id(10749875011477780093)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665686041952168730)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(36665685652795168728)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665686609988168734)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(36665686244640168732)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665687203601168735)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(36665686809088168734)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665687835449168735)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(36665687389853168735)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>96
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665688376582168736)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(36665688050830168735)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>81
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665688963349168736)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(36665688617630168736)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>91
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665689566713168737)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(36665689238516168737)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665690154829168738)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(36665689782205168737)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>86
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665690763159168739)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(36665690444139168738)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665691400660168740)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(36665690997631168739)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>161
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665691963736168740)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(36665691639824168740)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665692575935168741)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(36665692167381168740)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665693188528168742)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(36665692797930168741)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665693766458168742)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(36665693382000168742)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665694445811168743)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(36665693988607168742)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(36665695028161168743)
,p_view_id=>wwv_flow_api.id(36665684892472168726)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(36665694555067168743)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(10749875143848780094)
,p_name=>'update notes short'
,p_event_sequence=>10
,p_triggering_element_type=>'COLUMN'
,p_triggering_region_id=>wwv_flow_api.id(36665683904676168724)
,p_triggering_element=>'NOTES'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(10749875191799780095)
,p_event_id=>wwv_flow_api.id(10749875143848780094)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var val = $v("C_NOTES");',
'if (val.length >= 180) {',
'    val = val.substr(0, 180) + "...";',
'}',
'',
'// I think you should be able to set the value of a hidden column if Value Protected = No but this doesn''t work.',
'//apex.item("C_NOTES_SHORT").setValue(val);',
'// But starting in 18.2 you can at least update the model',
'// Would be nice if there were an item so simple code above would work',
'// but currently no item is rendered for hidden columns with value protected = NO',
'var view = apex.region("emp").call("getCurrentView"),',
'    model = view.model,',
'    recordId = view.getActiveRecordId(),',
'    record = model.getRecord(recordId);',
'model.setValue(record, "NOTES_SHORT", val);',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(32026667524158963350)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(36665683904676168724)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00011
begin
wwv_flow_api.create_page(
 p_id=>11
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Tasks (reorder, checkbox)'
,p_step_title=>'Tasks (reorder, checkbox)'
,p_autocomplete_on_off=>'OFF'
,p_javascript_file_urls=>'#APP_IMAGES#Tasks.js'
,p_css_file_urls=>'#APP_IMAGES#Tasks.css'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190314124835'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(10749875796406780101)
,p_plug_name=>'Tasks'
,p_region_name=>'tasks'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID, LIST, SEQ, "TASK", NAME, DESCRIPTION, DONE ',
'  from igcb_tasks ',
'  where list = :P11_TASK_LIST and ( :P11_SHOW_COMPLETED = ''Y'' or DONE = ''N'')'))
,p_plug_source_type=>'NATIVE_IG'
,p_ajax_items_to_submit=>'P11_TASK_LIST,P11_SHOW_COMPLETED'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749876065669780103)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749876172923780104)
,p_name=>'LIST'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LIST'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>50
,p_attribute_01=>'N'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_default_type=>'ITEM'
,p_default_expression=>'P11_TASK_LIST'
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749876285650780105)
,p_name=>'TASK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TASK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Task'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>70
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_item_width=>60
,p_is_required=>false
,p_max_length=>120
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>true
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749876351981780106)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_AUTO_COMPLETE'
,p_heading=>'Owner'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>80
,p_value_alignment=>'LEFT'
,p_stretch=>'N'
,p_attribute_01=>'CONTAINS_IGNORE'
,p_attribute_04=>'Y'
,p_attribute_10=>'Y'
,p_item_width=>30
,p_is_required=>false
,p_max_length=>120
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select distinct name as d',
'from igcb_tasks'))
,p_lov_display_extra=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* The Enable Users To is not fine grained enough. ',
' * Want control break but not the others */',
'function(config) {',
'    config.features = {',
'        aggregate: false,',
'        sort: false',
'    };',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749876453886780107)
,p_name=>'DESCRIPTION'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DESCRIPTION'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Description'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_item_width=>60
,p_item_height=>8
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(10749876549747780108)
,p_name=>'DONE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DONE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'Complete'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>100
,p_value_alignment=>'CENTER'
,p_value_css_classes=>'doneCheckbox is-readonly'
,p_stretch=>'N'
,p_attribute_01=>'APPLICATION'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_static_id=>'C_DONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    /* A css hack to display a checkbox. See code in Task.js that makes it clickable */',
'    config.defaultGridColumnOptions = {',
'        cellTemplate: "<span class=''fa fa-square-o checkState&DONE.'' aria-hidden=''true''></span><span class=''u-vh''>&DONE.</span>"',
'    };',
'    /* want just control break */',
'    config.features = {',
'        aggregate: false,',
'        sort: false',
'    };',
'    return config;',
'}',
''))
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_default_type=>'STATIC'
,p_default_expression=>'N'
,p_duplicate_value=>false
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(26001369647821700461)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
,p_display_condition_type=>'NEVER'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(26001369695395700462)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(26001371196521700477)
,p_name=>'SEQ'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SEQ'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_label=>'Sequence (hidden)'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    if (!config.features) {',
'        config.features = {};',
'    }',
'    config.features.canHide = false;',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(10749875966618780102)
,p_internal_uid=>5517074278433264042
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_no_data_found_message=>'To tasks found'
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_add_button_label=>'New Task'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>false
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'tasks.initTasksIG',
''))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(26001296271454674220)
,p_interactive_grid_id=>wwv_flow_api.id(10749875966618780102)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(26001296327609674220)
,p_report_id=>wwv_flow_api.id(26001296271454674220)
,p_view_type=>'GRID'
,p_stretch_columns=>false
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001296808320674243)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(10749876065669780103)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001297365571674266)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(10749876172923780104)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001297808345674287)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(10749876285650780105)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>276
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001298313019674309)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(10749876351981780106)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>104
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001298780335674331)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(10749876453886780107)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>246
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001299189132674353)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(10749876549747780108)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26001380671170702328)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(26001369647821700461)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(26005379513742023646)
,p_view_id=>wwv_flow_api.id(26001296327609674220)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(26001371196521700477)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>58
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(26001370262669700467)
,p_plug_name=>'New List'
,p_region_name=>'newListDlg'
,p_region_template_options=>'#DEFAULT#:js-dialog-autoheight:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(54345596432716458983)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Interactive Grid does not support row reordering out of the box.',
'But the grid widget and the model do have some minimal support for reordering.',
'This can be seen in the Columns dialog (remember that all the IG dialogs use a model',
'instance, and recordView widget and optional grid widget). One limitation is',
'that you don''t get much control over how the sequence column is managed. The ',
'sequence column must allow decimal numbers.',
'</p>',
'<p>Interactive Grid does not have a simple checkbox column item. This',
'page shows a way to support checkbox UI for a specific switch type column.</p>',
'<p>This is a somewhat typical task list UI with extra columns to warrant using a grid.',
'It can manage multiple task lists.',
'The main difference is no drag and drop because the grid widget doesn''t support that.',
'You can select multiple records and mark them all complete using the selection action menu.',
'Reordering assumes that all the records are on the client so the model fetchAll method is called.',
'For this reason reordering works best with small result sets. Sorting doesn''t',
'make much sense because the order must always be the sequence order. Adding ',
'order by to the SQL isn''t allowed so must make the sequence column (SEQ)',
'visible temporarily then set sort report settings so just that column is sorted ascending.',
'Then the column can be hidden (see issues below). Turn off sorting for all the other columns.',
'Makes most sense to use scroll paging.',
'See comments in the code for how the pseudo checkbox column works.',
'</p>',
'<p>In the past this page had a workaround for the no data found bug when an edit',
'moved a record outside the result set of the where clause. This bug is fixed in',
'5.1.4 the old copy of this page can be found <a href="f?p=&APP_ID.:1000:&SESSION.">here</a>.',
'<p>Demonstrates:<br>',
'Using the model moveRecords API and sequenceField, sequenceStep options to reorder',
'rows.<br>',
'Adding custom actions and adding them to the toolbar and selection action menu.<br>',
'Custom Add Row button.<br>',
'SQL where clause based on page item and refresh IG and update column default when page item changes.<br>',
'How to workaround the columns with a display value showing the value for an inserted row.<br>',
'A button and inline dialog to implement a poor (lazy?) man''s combo box.',
'A solution to the checkbox issue that works in both navigation and edit mode.',
'<br>Customizations:<br>',
'This page is an example of how JavaScript and CSS code can be moved into a file for better maintainability.',
'Download tasks.js and tasks.css from shared components > Static Appication Files to view the code. ',
'This page also uses text messages in most places rather than hard coded English strings.',
'See change list DA for how switching lists works including how the LIST column for ',
'inserted rows is set. The other DAs handle the poor man''s combo box.',
'<br>Issues:<br>',
'- It should be possible to update a hidden column with Value Protected = No ',
'using model.setValue. But currently it is not.',
'The reason LIST works is that it is only updated via the model defaultValue column property.',
'This requires making columns such as SEQ not hidden, then hiding them in report settings and optionally ',
'setting the advanced column configuration property features.canHide to false. The down',
'side is that the column shows up in the Columns dialog. Setting the Alternative Label can help.<br>',
'- Row reordering doesn''t work when there are control breaks.<br>',
'- Would be nice if Show Completed could be done with client side filtering.<br>',
'- A quick way to delete a list is an exercise for the reader.<br>',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26001370183968700466)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(10749875796406780101)
,p_button_name=>'NEW_LIST'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--small:t-Button--padTop'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'New List'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(430802269974823473)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(10749875796406780101)
,p_button_name=>'SAVE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'js-actionButton'
,p_button_cattributes=>'data-action="tasks-ig-save"'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26001370434762700469)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(26001370262669700467)
,p_button_name=>'Cancel'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(26001370566605700470)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(26001370262669700467)
,p_button_name=>'OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(10749876644161780109)
,p_name=>'P11_TASK_LIST'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(10749875796406780101)
,p_item_default=>'Demo'
,p_prompt=>'List'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select distinct list as d, list as r from igcb_tasks'
,p_cHeight=>1
,p_tag_attributes=>'style="width:100%"'
,p_colspan=>4
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26001370373790700468)
,p_name=>'P11_NEW_LIST_NAME'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(26001370262669700467)
,p_prompt=>'Name'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(26001371378760700478)
,p_name=>'P11_SHOW_COMPLETED'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(10749875796406780101)
,p_item_default=>'N'
,p_prompt=>'Show Completed'
,p_source=>'N'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_YES_NO'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'APPLICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26001369943528700464)
,p_name=>'change list'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P11_TASK_LIST'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26001370061358700465)
,p_event_id=>wwv_flow_api.id(26001369943528700464)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var listName = $v("P11_TASK_LIST");',
'var tasks = apex.region("tasks");',
'var model = tasks.call("getViews").grid.model;',
'var prevListName = model.getOption("fields").LIST.defaultValue;',
'',
'// If there are changes prompt to save otherwise return to previous list',
'if ( model.isChanged() ) {',
'    apex.message.confirm( "There are unsaved changes. Press OK to save them.", function( okPressed ) {',
'        // don''t let the task list item change until after the save',
'        $s("P11_TASK_LIST", prevListName, null, true); // no change',
'        if( okPressed ) {',
'            tasks.widget().one("interactivegridsave", function() {',
'                // change the list after the save',
'                $s("P11_TASK_LIST", listName);',
'            } );',
'            tasks.call("getActions").invoke("save");',
'        }',
'    });',
'} else {',
'    // change the default value for LIST column for new records inserted',
'    model.getOption("fields").LIST.defaultValue = listName;',
'    // refresh the grid to get task records for this new list',
'    tasks.refresh();    ',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26001370617048700471)
,p_name=>'cancel'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(26001370434762700469)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26001370703133700472)
,p_event_id=>wwv_flow_api.id(26001370617048700471)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(26001370262669700467)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26001370830134700473)
,p_name=>'create new list'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(26001370566605700470)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26001370934138700474)
,p_event_id=>wwv_flow_api.id(26001370830134700473)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var name = apex.util.escapeHTML($v("P11_NEW_LIST_NAME"));',
'var list$ = $("#P11_TASK_LIST");',
'if ( list$.find("[value=''" + apex.util.escapeCSS(name) + "'']").length === 0 ) {',
'    list$.prepend("<option value=''" + name + "''>" + name + "</option>");',
'}',
'$s("P11_TASK_LIST", name);',
'',
''))
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(559979497322601831)
,p_event_id=>wwv_flow_api.id(26001370830134700473)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(26001370262669700467)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26001371041535700475)
,p_name=>'open new list dialog'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(26001370183968700466)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26001371095074700476)
,p_event_id=>wwv_flow_api.id(26001371041535700475)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_OPEN_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(26001370262669700467)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26001371477352700479)
,p_name=>'change'
,p_event_sequence=>50
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P11_SHOW_COMPLETED'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26001371496002700480)
,p_event_id=>wwv_flow_api.id(26001371477352700479)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var showCompleted = $v("P11_SHOW_COMPLETED");',
'var tasks = apex.region("tasks");',
'var model = tasks.call("getViews").grid.model;',
'var prevValue = showCompleted === "Y" ? "N" : "Y";',
'',
'// If there are changes prompt to save otherwise return to previous list',
'if ( model.isChanged() ) {',
'    apex.message.confirm( "There are unsaved changes. Press OK to save them.", function( okPressed ) {',
'         $s("P11_SHOW_COMPLETED", prevValue, null, true); // no change',
'         if( okPressed ) {',
'             tasks.widget().one("interactivegridsave", function() {',
'                 // change the list after the save',
'                 $s("P11_SHOW_COMPLETED", showCompleted);',
'             } );',
'             tasks.call("getActions").invoke("save");',
'         }',
'    });',
'} else {',
'    // refresh the grid to get task records for the new show completed state',
'    tasks.refresh();    ',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(26001371629896700481)
,p_name=>'correct default for DONE col'
,p_event_sequence=>60
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(26001371695546700482)
,p_event_id=>wwv_flow_api.id(26001371629896700481)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// work around an IG issue with defaults for columns that have a display value',
'var model = apex.region("tasks").call("getViews").grid.model;',
'var display = apex.item("C_DONE").displayValueFor("N");',
'model.getOption("fields").DONE.defaultValue = {v:"N", d: display};',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(26001369863782700463)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(10749875796406780101)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Tasks - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00012
begin
wwv_flow_api.create_page(
 p_id=>12
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Cell Style Based on Data'
,p_step_title=>'Cell Style Based on Data'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// create a private scope where $ is set to apex.jQuery',
'(function($) {',
'',
'    function updateRecordHighlights(model, record, id) {',
'        var fields,',
'            meta = model.getRecordMetadata(id),',
'            onleave = model.getValue(record, "ONLEAVE").v === "Y";',
'',
'        fields = meta.fields;',
'        if (!fields) {',
'            fields = meta.fields = {};',
'        }',
'        if (!fields.SAL) {',
'            fields.SAL = {};',
'        }',
'        if (!fields.COMM) {',
'            fields.COMM = {};',
'        }',
'        // in this case hlOnLeave is not a class but matches a highlight definition given to the grid view.',
'        fields.SAL.highlight = onleave ? "hlOnLeave" : null;',
'        fields.COMM.highlight = onleave ? "hlOnLeave" : null;',
'        model.metadataChanged(id);',
'        // Prior to 18.2 the grid did not update styles based on highlight metadata change events',
'        // so the above call to metadataChange had no effect on the grid',
'    }',
'',
'    function updateHighlights(model, offset, ids) {',
'        var i, id, record;',
'',
'        if ( offset >= 0 ) {',
'            // model doesn''t have a way to loop over a range of the data so use ',
'            // forEach and check the index relative to the given offset',
'            model.forEach(function(record, index, id) {',
'                if ( index >= offset ) {',
'                    updateRecordHighlights(model, record, id);',
'                }',
'            });',
'        }',
'        if ( ids ) {',
'            for (i = 0; i < ids.length; i++) {',
'                id = ids[i];',
'                record = model.getRecord(id);',
'                updateRecordHighlights(model, record, id);',
'            }',
'        }',
'    }',
'',
'    // do this after the page loads but before the IG is initialized to catch the initial events',
'    $(function() {',
'        //',
'        // This is the general pattern for subscribing to model notifications',
'        //',
'        // listen for model created events so that we can subscribe to model notifications',
'        $("#emp").on("interactivegridviewmodelcreate", function(event, ui) {',
'            var sid, view,',
'                model = ui.model;',
'',
'            if ( ui.viewId === "grid" ) {',
'                view = apex.region("emp").call("getViews", "grid");',
'                sid = model.subscribe( {',
'                    onChange: function(type, change) {',
'                        console.log(">> model changed ", type, change);',
'                        if ( type === "set" ) {',
'                            // don''t bother to recalculate if other columns change',
'                            if (change.field === "ONLEAVE" ) {',
'                                updateHighlights( model, -1, [change.recordId] );',
'                                // Prior to 18.2 a veiw refresh is needed',
'                                // view.view$.grid("refresh");',
'                            }',
'                        } else if (type === "addData") {',
'                            updateHighlights( model, change.offset, change.replacedIds );',
'                            // no veiw refresh needed because event happens before view is rendered',
'                        } else if (type === "refreshRecords" || type === "revert") {',
'                            updateHighlights( model, -1, change.recordIds );',
'                            // Prior to 18.2 a veiw refresh is needed',
'                            // view.view$.grid("refresh");',
'                        }',
'                    }',
'                } );',
'            }',
'            // if model is not lazy loaded there is no initial notification that ',
'            // the model has data so update highlights for any initial data',
'            updateHighlights( model, 0 );',
'        });',
'',
'    });    ',
'})(apex.jQuery);',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'//',
'// This is the general pattern for adding to the grid view row or selection menus',
'//',
'var view = apex.region("emp").call("getViews", "grid"),',
'    menu$ = view.selActionMenu$;',
'    // to modify the row action menu use view.rowActionMenu$',
'',
'// now add items to the menu that reference actions added to the IG',
'// see IG attribute Advanced JavaScript Code',
'menu$.menu("option").items.push({',
'    type:"action",',
'    action: "selection-mark"',
'});',
'menu$.menu("option").items.push({',
'    type:"action",',
'    action: "selection-unmark"',
'});',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-GV-row.marked {',
'    font-weight: bold;',
'}',
'',
'.a-GV-cell.hlOnLeave { ',
'    background-color: #efecd5 !important;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190327182739'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31485056397746980057)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates how to change row or cell styles based on data in the',
'model without using the Highlight report setting feature. You can add styles to',
'all rows with the a-GV-row class and is-selected, is-hover, is-active, is-focused, ',
'is-deleted, is-inserted, is-updated, and is-error state modifier classes.',
'You can add styles to all cells with a-GV-cell class and is-selected (in cell selection mode), ',
'is-changed, is-error state modifier classes. Specific cells can be styled based on the value of',
'a column in the same row using column option <code>cellCssClassesColumn</code>;',
'See <a href="f?p=&APP_ID.:36:&SESSION.">Simple Cell Style</a> for an example.',
'You can apply a special style to all cells in a column by adding your own ',
'class to column attribute Appearance: CSS Classes.',
'End users can use the Highlight feature to change the background or text color ',
'for rows or columns based on column data conditions.',
'</p>',
'<p>To change the style of rows or cells based on the content of the row requires',
'using the model API to update record (row) or field (column) metadata. This ',
'uses essentially the same mechanism that the Highlight report setting feature uses.',
'The difference is that you have to update the model metadata on the client and ',
'must provide your own CSS rules. The advantage is that the changes can be kept ',
'up to date with client side changes to the model and you can control more than just',
'background color and text color. The metadata property is called "highlight"',
'and can be on the record or field metadata. The value is a class to add to the',
'row or column or the name of a property in the grid widget highlights property.',
'This second case is only used by the Highlight feature.',
'</p>',
'<p>This page uses highlight metadata in two ways. 1) If the ONLEAVE column is Y',
'then the SAL and COMM columns are given a background color. This style is updated',
'as you make changes. This is done in response to model notifications. Note: A ',
'hidden column could be used to determine the highlight class value or it could',
'even be the class name, thus moving the logic onto the server.',
'2) The Selection Actions menu has two new items Mark and Un-mark. Selecting ',
'some records and choosing Mark will add a bold text style to the row. ',
'Selecting Un-mark will remove the bold style. This is done with actions that',
'act on the currently selected records.',
'</p>',
'<p>Programmatically modifying the highlight metadata property can interfere with',
'the Highlight feature. The Mark and Un-mark actions will remember and restore',
'report setting highlights. The cell style based on ONLEAVE overrides any ',
'column report setting highlights. Users may find this confusing. You could',
'change the logic so that if there is already a highlight property no change is',
'made. Or you could disable the highlight feature.',
'</p>',
'<p>Demonstrates:<br>',
'Updating model metadata. Responding to model notifications.',
'Defining IG actions. Adding to grid Selection Actions menu.',
'<br>Customizations:<br>',
'See Page attribute JavaScript: Function and Global Variable Declaration and CSS: Inline.',
'See IG attribute Advanced JavaScript Config.',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34573215128542792340)
,p_plug_name=>'Cell Style Based on Data'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573216308790792343)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573216876661792344)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573217468506792348)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573218032954792350)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573218613719792351)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573219274696792351)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP WHERE JOB = ''MANAGER'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573219841496792352)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573220462382792353)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573221006071792353)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573221668005792354)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573222221497792355)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573222863690792356)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573223391247792356)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573224021796792357)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573224605866792358)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573225212473792358)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34573225778933792359)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>170
,p_value_alignment=>'RIGHT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(34573215603804792341)
,p_internal_uid=>10287199622055615140
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // client side updates to model highlight metadata can override user defined report',
'    // setting highlights so may want to disable that fature',
'    //apex.util.getNestedObject(config, "views.grid.features").highlight = false;',
'',
'    // Using actions is the best way to add custom functionality to an IG',
'    config.initActions = function(actions) {',
'        actions.add([',
'          {',
'            name: "selection-mark",',
'            label: "Mark", // todo use key',
'            icon: "fa fa-flag-checkered",',
'            action: function() {',
'                var i, model, records, record, id, meta,',
'                    ig$ = $(actions.context); // this is how to get the IG widget element from within initActions',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                // only bother if the view supports highlight (currently ony views based on grid widget do)',
'                if ( view.supports.highlight ) {',
'                    records = ig$.interactiveGrid("getSelectedRecords");',
'                    if ( records.length === 0 ) {',
'                        return;',
'                    }',
'                    model = view.model;',
'                    for ( i = 0; i < records.length; i++ ) {',
'                        record = records[i];',
'                        id = model.getRecordId(record);',
'                        meta = model.getRecordMetadata(id);',
'                        // there can only be one highlight class applied to a row',
'                        // if there is already a highlight (from the highligh dialog report settings) save it',
'                        if ( meta.highlight ) {',
'                            meta.savedHighlight = meta.highlight;',
'                        }',
'                        meta.highlight = "marked";',
'                        model.metadataChanged(id);',
'                    }',
'                    // Prior to 18.2 the grid did not respond to model highlight metadata changes; now it does so no need for refresh',
'                    // view.view$.grid("refresh");',
'                }',
'            }            ',
'          },',
'          {',
'            name: "selection-unmark",',
'            label: "Un-mark", // todo use key',
'            icon: "fa fa-flag-o",',
'            action: function() {',
'                var i, model, records, record, id, meta,',
'                    ig$ = $(actions.context);',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                if ( view.supports.highlight ) {',
'                    records = ig$.interactiveGrid("getSelectedRecords");',
'                    if ( records.length === 0 ) {',
'                        return;',
'                    }',
'                    model = view.model;',
'                    for ( i = 0; i < records.length; i++ ) {',
'                        record = records[i];',
'                        id = model.getRecordId(record);',
'                        meta = model.getRecordMetadata(id);',
'                        if ( meta.highlight === "marked" ) {',
'                            // if there is already a highlight save it',
'                            if ( meta.savedHighlight ) {',
'                                meta.highlight = meta.savedHighlight',
'                            } else {',
'                                delete meta.highlight;',
'                            }',
'                            model.metadataChanged(id);',
'                        }',
'                    }',
'                    // Prior to 18.2 the grid did not respond to model highlight metadata changes; now it does so no need for refresh',
'                    // view.view$.grid("refresh");',
'                }',
'            }',
'          }',
'        ]);',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34573216035140792342)
,p_interactive_grid_id=>wwv_flow_api.id(34573215603804792341)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34573216116338792342)
,p_report_id=>wwv_flow_api.id(34573216035140792342)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573217265818792346)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34573216876661792344)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573217833854792350)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34573217468506792348)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573218427467792351)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34573218032954792350)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573219059315792351)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34573218613719792351)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573219600448792352)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34573219274696792351)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573220187215792352)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34573219841496792352)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573220790579792353)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34573220462382792353)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573221378695792354)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34573221006071792353)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573221987025792355)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34573221668005792354)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573222624526792356)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34573222221497792355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573223187602792356)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34573222863690792356)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573223799801792357)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34573223391247792356)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573224412394792358)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34573224021796792357)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573224990324792358)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34573224605866792358)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573225669677792359)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34573225212473792358)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34573226252027792359)
,p_view_id=>wwv_flow_api.id(34573216116338792342)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34573225778933792359)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(37481385591640832869)
,p_interactive_grid_id=>wwv_flow_api.id(34573215603804792341)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(37481385672838832869)
,p_report_id=>wwv_flow_api.id(37481385591640832869)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481386822318832873)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34573216876661792344)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481387390354832877)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34573217468506792348)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481387983967832878)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34573218032954792350)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481388615815832878)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34573218613719792351)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481389156948832879)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34573219274696792351)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
end;
/
begin
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481389743715832879)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34573219841496792352)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481390347079832880)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34573220462382792353)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481390935195832881)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34573221006071792353)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481391543525832882)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34573221668005792354)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481392181026832883)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34573222221497792355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481392744102832883)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34573222863690792356)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481393356301832884)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34573223391247792356)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481393968894832885)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34573224021796792357)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481394546824832885)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34573224605866792358)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481395226177832886)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34573225212473792358)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(37481395808527832886)
,p_view_id=>wwv_flow_api.id(37481385672838832869)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34573225778933792359)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(27214884366605729446)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(34573215128542792340)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00013
begin
wwv_flow_api.create_page(
 p_id=>13
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Report Checkbox Column'
,p_step_title=>'Report Checkbox Column'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// make sure this goes in function and global variable declaration so it happens before the IG is initialized',
'apex.jQuery(function() {',
'    apex.item.create("C_ONLEAVE", {',
'        displayValueFor: function(value) {',
'            // not accessible but could be by having the value be the display value',
'            // or using client side text messages or hard coded text. ',
'            // Either way include the text in a aria-labeledby or title etc.',
'            return ''<span aria-hidden="true" class="fa '' + ',
'                (value === "Y" ? "fa-check-square-o" : "fa-square-o") + ',
'                ''"></span>'';',
'        }',
'    });',
'});',
''))
,p_css_file_urls=>'#IMAGE_PREFIX#plugins/com.oracle.apex.starrating_modern/com_oracle_apex_starrating_modern.css'
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303091242'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31857315113833265797)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>A number of people have wanted a <a href=''https://community.oracle.com/message/14161863'' target=''_blank''>checkbox column</a> in IG.',
'The right thing to do is create a simple checkbox plugin that works with IG. But while we are waiting...<br>',
'Update: Now the <a href="f?p=&APP_ID.:11:&SESSION.">Tasks</a> example page has a checkbox solution that is editable.',
'</p>',
'<p>It need not be an actual input checkbox element but should look like a checkbox.',
'Some people want it just for display and some for display and edit. This sample',
'is just for reporting not editing.',
'</p>',
'<p>The technique used here relies on the new apex.item function displayValueFor.',
'With a non-editable grid column items are still generated but they are essentially ',
'hidden item types; input type=hidden (no mater what the column Type is). ',
'Because there is no apex.item initialization for hidden inputs you can supply your own. ',
'This needs to be done before the IG is initialized so use Function and Global Variable Declaration.',
'The custom displayValueFor function returns icon markup for either a checked or',
'unchecked icon depending on the value it is given.',
'<p>Another clever idea for displaying a checkbox can be found <a href=''https://svenweller.wordpress.com/2017/03/29/apex-5-yn-icons/'' target=''_blank''>here</a>.',
'This uses a font icon class name formed by incorporating the value of the column.',
'</p>',
'<p>Demonstrates:<br>',
'Creating an apex.item instance and using the displayValueFor callback.</br>',
'<br>Customizations:<br>',
'The ONLEAVE column: give it a static id, align center, stretch never,',
'type is display only and don''t escape special characters.<br>',
'See page attribute Function and Global Variable Declaration for the apex.item.',
'<br>Issues:<br>',
'This example isn''t screen reader accessible (doesn''t say yes/no or checked/unchecked)',
'but that should be easily solved a few ways.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34949428373553140732)
,p_plug_name=>'Report Checkbox Column'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING,',
'       nvl2(RATING, to_char((RATING / 5) * 100) || ''%'', ''0'') as RATING_PCT',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(30286607925612134739)
,p_name=>'RATING_PCT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING_PCT'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>170
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949430017152140743)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'#'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>20
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949430685498140744)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949431224803140745)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949431898610140746)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949432443291140746)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>60
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949433063097140747)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949433648967140748)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949434204987140748)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DISPLAY_ONLY'
,p_heading=>'On Leave'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>90
,p_value_alignment=>'CENTER'
,p_stretch=>'N'
,p_attribute_02=>'VALUE'
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_static_id=>'C_ONLEAVE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    /* Not needed now that there is the Stretch attribute. Uncomment for use before 18.1',
'    config.defaultGridColumnOptions = {',
'        noStretch: true',
'    } */',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_escape_on_http_output=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949434846609140749)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949495440965140750)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949496003077140751)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>120
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949496681089140751)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949497254958140752)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949497863924140753)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34949498468866140755)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>160
,p_value_alignment=>'LEFT'
,p_attribute_01=>'<div class="star-rating star-rating-grid" aria-label="Rating: &RATING."><div class="star-rating-inner" aria-hidden="true" style="width: 82px; height: 16px" title="Rating: &RATING."><span class="star-rating-bg" aria-hidden="true"><span class="star-rat'
||'ing-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" styl'
||'e="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span></span><span class="star-rating-stars" aria-hidden="true" style="width:&RATING_PCT.;color: red;"><span class="star-rating-star fa fa-star" style="'
||'color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-ratin'
||'g-star fa fa-star" style="color: red;"></span></span></div></div>'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(34949428823646140733)
,p_internal_uid=>10663412841896963532
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34949429292124140741)
,p_interactive_grid_id=>wwv_flow_api.id(34949428823646140733)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34949429320225140742)
,p_report_id=>wwv_flow_api.id(34949429292124140741)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30516522740082306729)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(30286607925612134739)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949430456617140744)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(34949430017152140743)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949431079586140745)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34949430685498140744)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949431687719140746)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34949431224803140745)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>93
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949432206370140746)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34949431898610140746)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>73
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949432853245140747)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34949432443291140746)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949433403683140748)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34949433063097140747)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>72
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949434086800140748)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34949433648967140748)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949434607763140749)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34949434204987140748)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>73
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949495214991140750)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34949434846609140749)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>132
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949495826612140750)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34949495440965140750)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>90
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949496456328140751)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34949496003077140751)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949497027956140752)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34949496681089140751)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949497673365140752)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34949497254958140752)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949498227599140755)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34949497863924140753)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34949498811731140756)
,p_view_id=>wwv_flow_api.id(34949429320225140742)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34949498468866140755)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>99
);
end;
/
prompt --application/pages/page_00014
begin
wwv_flow_api.create_page(
 p_id=>14
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Column Help'
,p_step_title=>'Column Help'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// see IG attribute JavaScript Initialization Code and the cell focus change DA for how this global is used',
'var gEmpLastColumnDef = null;',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/*',
' * there is no config option to control having a help button in the ',
' * column header menu. This hack relies on markup that could change',
' * Uncomment if desired',
'.a-IRR-sortWidget-actions-item button[data-option="help"] {',
'    display:none;',
'}',
'*/',
'',
'.extraInfo {',
'    list-style-type: none;',
'    margin: 0 10px;',
'}',
'.extraInfo h3 {',
'    font-size: 1.8rem;',
'    margin: 8px 0;',
'}',
'.extraInfo .is-active h3 {',
'    font-weight: bold;',
'}',
'.extraInfo p {',
'    display: none;',
'}',
'.extraInfo .is-active p {',
'    display: block;',
'}'))
,p_step_template=>wwv_flow_api.id(31643802496484161492)
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190319153857'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(730619169920716001)
,p_plug_name=>'Extra Column Info'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="extraInfo">',
'<li id="extraENAME"><h3>Name</h3>',
'<p>Extra info about the Name column.</p>',
'</li>',
'<li id="extraJOB"><h3>Job</h3>',
'<p>Extra info about the Job column.</p>',
'</li>',
'<li id="extraMGR"><h3>Manager</h3>',
'<p>Extra info about the Manager column.</p>',
'</li>',
'<li id="extraHIREDATE"><h3>Hire Date</h3>',
'<p>Extra info about the Hire Date column.</p>',
'</li>',
'<li id="extraSAL"><h3>Salary</h3>',
'<p>Extra info about the Salary column.</p>',
'</li>',
'<li id="extraCOMM"><h3>Commission</h3>',
'<p>Extra info about the Commission column.</p>',
'</li>',
'<li id="extraNOTES"><h3>Notes</h3>',
'<p>Extra info about the Notes column.</p>',
'</li>',
'',
'</ul>',
'',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28789232642188153520)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This example adds the column help as a tooltip on the column heading.',
'This was requested in this <a target="_blank" href="https://community.oracle.com/thread/4162400">forum thread</a>.',
'A related <a target="_blank" href="https://community.oracle.com/thread/4165691">question</a> was ',
'asked about how to tell what the currently focused column is.',
'There is no API to get this information but this page includes an example of a hack to get',
'the current column from the tooltip content callback. This is useful in cases where you want',
'to keep some other part of the page in sync with the currently focused column.',
'</p>',
'<p>Customizations:<br>',
'The tooltip is defined in the Interactive Grid attribute Advanced: JavaScript Initialization Code.',
'Note: prior to 18.2 the built-in IG tooltip did not support the column headings.',
'This shows the internal details of how to request the column help from the server.',
'Similar to what apex.theme.popupFieldHelp does. The internal details could change in the future.',
'See the code for how the help text is cached to avoid getting it from the server each time.',
'See also the Dynamic Action that keeps the Extra Column Info in sync with the focused column.',
'There is some inline CSS to style and show or hide the Extra Column Info.',
'<br>Issues:<br>',
'There is no way to remove the help button from the column heading popup.',
'See the inline CSS for a hack to hide the button.<br>',
'Tooltips shouldn''t show while the column header popup is open.<br>',
'It would be nice if there were an API to get the currently focused column (or row).',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31877391372983965803)
,p_plug_name=>'Column Help'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877392553231965806)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877393121102965807)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877393712947965811)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877394277395965813)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This is the employee last name. Must be in <b>upper case</b> and <b>contain',
'no spaces</b>.'))
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877394858160965814)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>'Their job function.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877395519137965814)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>'The employee''s manager.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877396085937965815)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>'Date of first hire.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877396706823965816)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>'Monthly salary.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877397250512965816)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>true
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_include_in_export=>true
,p_help_text=>'Commission if any.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877397912446965817)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877398465938965818)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>'Notes about employee.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877399108131965819)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_help_text=>'Department name.'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877399635688965819)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877400266237965820)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877400850307965821)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877401456914965821)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31877402023374965822)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31877391848245965804)
,p_internal_uid=>31446694692361730718
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridViewOptions = {',
'        tooltip: {',
'            content: function(callback, model, recordMeta, colMeta, columnDef ) {',
'                // There is no supported public API to get the column from the focused cell',
'                // this is a hack that uses the tooltip to save the columnDef for use',
'                // external to the tooltip',
'                gEmpLastColumnDef = columnDef || null;',
'',
'                if ( recordMeta === null && columnDef !== null && columnDef.helpid) {',
'                    // check if help is cached',
'                    if ( columnDef.jjs_helpTooltipText ) {',
'                        return columnDef.jjs_helpTooltipText;',
'                    }',
'                    // avoid duplicate requests',
'                    if ( columnDef.jjs_helpRequestActive ) {',
'                        return;',
'                    }',
'                    columnDef.jjs_helpRequestActive = true;',
'                    $.getJSON("wwv_flow_item_help.show_help?p_item_id=" + columnDef.helpid +',
'                              "&p_session=" +  $v( "pInstance" ) +',
'                              "&p_output_format=JSON",',
'                        function( data ) {',
'                            delete columnDef.jjs_helpRequestActive;',
'                            if ( data.title && data.helpText ) {',
'                                // Cache the tooltip so we don''t have to get it again.',
'                                // Note by caching it in the column definition object it will',
'                                // be cleared when the report changes or is reset.',
'                                // Caching in a global object would not have this drawback',
'                                columnDef.jjs_helpTooltipText = "<h3>" + data.title + "</h3><p>" + data.helpText + "</p>";',
'                                callback( columnDef.jjs_helpTooltipText );',
'                            }',
'                        } );',
'                }',
'            }',
'        }',
'    };',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31877392279581965805)
,p_interactive_grid_id=>wwv_flow_api.id(31877391848245965804)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31877392360779965805)
,p_report_id=>wwv_flow_api.id(31877392279581965805)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877393510259965809)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31877393121102965807)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877394078295965813)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31877393712947965811)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877394671908965814)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31877394277395965813)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877395303756965814)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31877394858160965814)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877395844889965815)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31877395519137965814)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877396431656965815)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31877396085937965815)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877397035020965816)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31877396706823965816)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877397623136965817)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31877397250512965816)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877398231466965818)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31877397912446965817)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877398868967965819)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31877398465938965818)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877399432043965819)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31877399108131965819)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877400044242965820)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31877399635688965819)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877400656835965821)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31877400266237965820)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877401234765965821)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31877400850307965821)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877401914118965822)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31877401456914965821)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31877402496468965822)
,p_view_id=>wwv_flow_api.id(31877392360779965805)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31877402023374965822)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34785561836082006332)
,p_interactive_grid_id=>wwv_flow_api.id(31877391848245965804)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34785561917280006332)
,p_report_id=>wwv_flow_api.id(34785561836082006332)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785563066760006336)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31877393121102965807)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785563634796006340)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31877393712947965811)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785564228409006341)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31877394277395965813)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785564860257006341)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31877394858160965814)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785565401390006342)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31877395519137965814)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785565988157006342)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31877396085937965815)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785566591521006343)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31877396706823965816)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785567179637006344)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31877397250512965816)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785567787967006345)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31877397912446965817)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785568425468006346)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31877398465938965818)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785568988544006346)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31877399108131965819)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785569600743006347)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31877399635688965819)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785570213336006348)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31877400266237965820)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785570791266006348)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31877400850307965821)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785571470619006349)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31877401456914965821)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34785572052969006349)
,p_view_id=>wwv_flow_api.id(34785561917280006332)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31877402023374965822)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(663741847798960754)
,p_tabular_form_region_id=>wwv_flow_api.id(31877391372983965803)
,p_validation_name=>'No Spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(730619072769716000)
,p_tabular_form_region_id=>wwv_flow_api.id(31877391372983965803)
,p_validation_name=>'Upper Case'
,p_validation_sequence=>20
,p_validation=>':ENAME = UPPER(:ENAME)'
,p_validation_type=>'PLSQL_EXPRESSION'
,p_error_message=>'#COLUMN_HEADER# must be upper case'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(656086851188518497)
,p_name=>'cell focus change'
,p_event_sequence=>10
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'.a-GV-cell'
,p_bind_type=>'live'
,p_bind_delegate_to_selector=>'#emp'
,p_bind_event_type=>'focusin'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(656086939455518498)
,p_event_id=>wwv_flow_api.id(656086851188518497)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/*',
' * When the active cell changes update the extra column info to show the active column.',
' */',
'var labelledBy, extra$,',
'    cell$ = $(this.browserEvent.target).closest(".a-GV-cell");',
'',
'$(".extraInfo .is-active").removeClass("is-active"); // clear previous active item',
'if ( cell$.length && window.gEmpLastColumnDef ) {',
'    labelledBy = cell$.attr("aria-labelledby");',
'    extra$ = $("#extra" + apex.util.escapeCSS(gEmpLastColumnDef.property));',
'    if (extra$.length) {',
'        // May or may not want this extra info added to the labelled by.',
'        // This tells screen readers to annouce the extra info text. ',
'        // May want to only add this when the column changes to avoid being too verbose.',
'        cell$.attr("aria-labelledby", labelledBy + " " + extra$[0].id);',
'        extra$.addClass("is-active"); // make the item corresponding to this column active',
'    }',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(663742094913960756)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(31877391372983965803)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00015
begin
wwv_flow_api.create_page(
 p_id=>15
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Double Grid'
,p_step_title=>'Double Grid'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// create a private scope where $ is set to apex.jQuery',
'(function($) {',
'    // do this after the page loads but before the IG is initialized to catch the initial events',
'    $(function() {',
'        var ignoreReportSettingsChange = false,',
'            modelViewId;',
'',
'        //',
'        // listen for view change events to find out when grid views are created ',
'        $("#people").on("interactivegridviewchange", function(event, data) {',
'            if ( data.view === "grid" && data.created ) {',
'                var opt, h,',
'                    grid2$ = $("#peopleGrid2"),',
'                    ig$ = apex.region("people").widget(),',
'                    view = ig$.interactiveGrid("getViews", "grid");',
'',
'                if ( !grid2$.length ) {',
'                    // create div for second grid',
'                    grid2$ = $("<div id=''peopleGrid2''></div>");',
'                    ig$.after(grid2$);',
'                    grid2$.wrap("<div style=''overflow: hidden;''></div>");',
'                } else {',
'                    // destroy the previous grid',
'                    grid2$.grid("destroy");',
'                    apex.widget.util.offElementResize( grid2$.parent()[0] );',
'                }',
'                h = view.view$.height();',
'                grid2$.height(h);',
'                grid2$.parent().height(h);',
'                opt = view.view$.grid("option");',
'                opt.columnSort = false;',
'                opt.resizeColumns = false;',
'                opt.reorderColumns = false;',
'                opt.activateColumnHeader = null;',
'                grid2$.grid(opt)',
'                apex.widget.util.onElementResize( grid2$.parent()[0], function() {',
'                    grid2$.grid("resize");',
'                } );',
'            }',
'        }).on("interactivegridviewmodelcreate", function(event, ui) {',
'            var model = ui.model;',
'',
'            if ( ui.viewId === "grid" ) {',
'                if (modelViewId) {',
'                    model.unSubscribe(modelViewId);',
'                }',
'                modelViewId = model.subscribe( {',
'                    onChange: function(type, change) {',
'                        if ( type === "refresh" ) {',
'                            console.log(">> model refreshed so ignore report settings change");',
'                            $("#peopleGrid2").grid("refreshColumns"); // assume columns have changed and force rerendering the whole grid',
'                            ignoreReportSettingsChange = true;',
'                        }',
'                    }',
'                } );',
'            }',
'        }).on( "interactivegridreportsettingschange interactivegridreportchange", function(event, data) {',
'            var grid2$ = $("#peopleGrid2"),',
'                ig$ = apex.region("people").widget();',
'',
'            // there is no information about what report settings have changed',
'            // both grids share the same column definitions',
'            // so refresh grid and assume columns need to be refreshed.',
'            // but if the view is already been refreshed because the model data got refreshed ',
'            // don''t refresh twice ',
'            if (!ignoreReportSettingsChange) {',
'                console.log(">> report settings changed so update grid2");',
'                grid2$.grid("refreshColumns"); // assume columns have changed and force rerendering the whole grid',
'                grid2$.grid("refresh");',
'            }',
'            ignoreReportSettingsChange = false;',
'        })',
'    });    ',
'})(apex.jQuery);',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20180917173454'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28066149862234236904)
,p_plug_name=>'Double Grid'
,p_region_name=>'people'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>'select * from EBA_DEMO_IG_PEOPLE'
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150019271236906)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150128984236907)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>40
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150243784236908)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150371180236909)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150425727236910)
,p_name=>'FROM_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FROM_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Born'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150498717236911)
,p_name=>'TO_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TO_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Died'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150678926236912)
,p_name=>'LINK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LINK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Info'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_link_target=>'&LINK.'
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150706218236913)
,p_name=>'CATEGORY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CATEGORY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Category'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066364364516461838)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150843521236914)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066150972855236915)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>120
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066151002609236916)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066151173018236917)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066151278917236918)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066151357275236919)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(28066149893920236905)
,p_internal_uid=>3780133912171059704
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>300
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(28066155485155264531)
,p_interactive_grid_id=>wwv_flow_api.id(28066149893920236905)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(28066155676355264531)
,p_report_id=>wwv_flow_api.id(28066155485155264531)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066156135655264535)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(28066150019271236906)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066156655010264539)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(28066150128984236907)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>104
,p_sort_order=>1
,p_sort_direction=>'DESC'
,p_sort_nulls=>'FIRST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066157179083264541)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(28066150243784236908)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>173
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066157643500264544)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(28066150371180236909)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>104
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066158098886264546)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(28066150425727236910)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066158615814264549)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(28066150498717236911)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066159111067264550)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(28066150678926236912)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>369
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066159604020264552)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(28066150706218236913)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066160152617264554)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(28066150843521236914)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>77
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066160646005264556)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(28066150972855236915)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066161177829264558)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(28066151002609236916)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066161617083264559)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(28066151173018236917)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28066162143676264561)
,p_view_id=>wwv_flow_api.id(28066155676355264531)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(28066151278917236918)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_filter(
 p_id=>wwv_flow_api.id(24286016034228184403)
,p_report_id=>wwv_flow_api.id(28066155485155264531)
,p_type=>'COLUMN'
,p_column_id=>wwv_flow_api.id(28066150706218236913)
,p_operator=>'EQ'
,p_is_case_sensitive=>true
,p_expression=>'Science & Technology'
,p_is_enabled=>true
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32336321389227476096)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This example shows the power of model view separation. ',
'There is one IG but an extra grid view observing and presenting the',
'same model is added below.  It allows two "windows" into the same result set.',
'You can scroll to different places in each view and use it to visually compare rows that',
'are not near each other. Making a change in one view is reflected in the other.',
'</p>',
unistr('<p>This probably isn\2019t needed very often but it is a good demonstration of multiple'),
'views of the same model. If this was done with two distinct interactive grids you',
'would double the storage needed for querying, transmitting and storing the data',
'in memory on the client. Here only the DOM presentation layer is duplicated and only',
'for rows that have been viewed in both. Also synchronizing edits would be complex',
'rather than automatic.',
'</p>',
'<p>This works by simply adding a div after the interactive grid and ',
'instantiating a grid widget that borrows almost all of its options from',
'the grid widget in the IG. Extra code is added to keep column widths, order, and visibility in sync. ',
'Adding filters or changing the sort order applies to both views.<br>',
'Currently the height of the report settings area takes away from the height ',
'of the top grid view. It might be nice to try to keep the heights of the top ',
'and bottom grid views the same. Or make them both share all the avilable height',
'of the window.<br>',
'Would probably be a good idea to get rid of single row view and chart view since',
'they are not useful for this use case.',
'</p>',
'<p>Customizations:<br>',
'All the work is done in page attribute Function and Global Variable Declaration.',
'<br>Issues<br>',
'Would be nice if in the future the reportsettingschange event included info about',
'what settings changed so the syncing of views is only done when needed.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(28066151459142236920)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(28066149862234236904)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Double Grid - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00016
begin
wwv_flow_api.create_page(
 p_id=>16
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Simple Control'
,p_step_title=>'Simple Control'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/*',
' * The Edit Mode checkbox has a typical binding to an action and the intention is to control',
' * the IG edit action. But this is not currently possible because the Edit Mode checkbox',
' * is outside the actions context of the IG. If the checkbox was in the IG actions context',
' * then the class="js-actionButton" data-action="edit" attributes would be all that is needed.',
' * For this to work we create a global actions context edit toggle action that controls the IG.',
' */',
'apex.actions.add({',
'    name: "edit",',
'    labelKey: "APEX.IG.EDIT",',
'    get: function() {',
'        return apex.region("emp").call("getActions").get("edit");',
'    },',
'    set: function( v ) {',
'        apex.region("emp").call("getActions").set("edit", v);',
'    }',
'});',
'/* the above is not enough to link the global edit action to the IG edit action.',
' * must also listen for edit mode changes and update the checkbox. */',
'$("#emp").on("gridmodechange", function(e, ui) {',
'    $("#edit_mode").prop("checked", ui.editMode);',
'});',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20180803153909'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29804008235017547279)
,p_plug_name=>'Controls'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643806817042161501)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'<input id="edit_mode" type="checkbox" class="js-actionButton" data-action="edit"> <label for="edit_mode">Edit Mode</label>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31354848850591932066)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page shows a number of buttons with dynamic actions that control the IG in simple ways.',
'</p>',
'<p>See the dynamic actions associated with each button. The difference between Cancel and Refresh ',
'is that Cancel won''t warn if there are changes to the grid before refreshing it. Hiding and ',
'showing details columns could also have been done with a saved report but this',
'changes the columns directly in the grid widget and doesn''t affect the report settings at all.',
'</p>',
'<p>A button container region with normal APEX buttons is used. See <a href="f?p=&APP_ID.:20:&SESSION.">IG Cards</a> ',
'for an example of creating a custom toolbar with the toolbar widget.',
'</p>',
'<p>Demonstrates:<br>',
'Using the apex.region api.<br>',
'Invoking a built-in IG action.<br>',
'Clearing changes in the model.<br>',
'Standard DA actions.<br>',
'Calling grid widget methods.<br>',
'Customizations:<br>',
'See page attribute Execute when Page Loads for how the Edit Mode checkbox is implemented.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34443007581387744349)
,p_plug_name=>'Simple Control'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443008761635744352)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443009329506744353)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443009921351744357)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443010485799744359)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443011066564744360)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443011727541744360)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443012294341744361)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443012915227744362)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443013458916744362)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443014120850744363)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443014674342744364)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443015316535744365)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443015844092744365)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443016474641744366)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443017058711744367)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443017665318744367)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34443018231778744368)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(34443008056649744350)
,p_internal_uid=>29210206368464228290
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34443008487985744351)
,p_interactive_grid_id=>wwv_flow_api.id(34443008056649744350)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34443008569183744351)
,p_report_id=>wwv_flow_api.id(34443008487985744351)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443009718663744355)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34443009329506744353)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443010286699744359)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34443009921351744357)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443010880312744360)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34443010485799744359)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>101
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443011512160744360)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34443011066564744360)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443012053293744361)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34443011727541744360)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443012640060744361)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34443012294341744361)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443013243424744362)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34443012915227744362)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443013831540744363)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34443013458916744362)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443014439870744364)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34443014120850744363)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443015077371744365)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34443014674342744364)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443015640447744365)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34443015316535744365)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443016252646744366)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34443015844092744365)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443016865239744367)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34443016474641744366)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443017443169744367)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34443017058711744367)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443018122522744368)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34443017665318744367)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34443018704872744368)
,p_view_id=>wwv_flow_api.id(34443008569183744351)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34443018231778744368)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24287069194481283281)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'SORT_DLG'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Sort Dialog'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24287068879885283280)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24287068435562283279)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'REFRESH'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Refresh'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24287069672532283281)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'FOCUS'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Focus'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24287070022432283281)
,p_button_sequence=>50
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'SAVE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--primary'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(24287070406783283281)
,p_button_sequence=>60
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'HIDE_DETAILS'
,p_button_static_id=>'hideDetailsBtn'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Hide details'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(10749875507610780098)
,p_button_sequence=>70
,p_button_plug_id=>wwv_flow_api.id(29804008235017547279)
,p_button_name=>'SHOW_DETAILS'
,p_button_static_id=>'showDetailsBtn'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Show details'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_button_cattributes=>'style="display:none;"'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24287081891296283313)
,p_name=>'refresh'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24287068435562283279)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24287082442757283313)
,p_event_id=>wwv_flow_api.id(24287081891296283313)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(34443007581387744349)
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24287082864439283314)
,p_name=>'cancel changes'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24287068879885283280)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24287083360165283314)
,p_event_id=>wwv_flow_api.id(24287082864439283314)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var ig$ = apex.region("emp").widget(),',
'    view = ig$.interactiveGrid("getCurrentView"); // this is new in 5.1.1',
'',
'if ( view.supports.edit ) { // or could use view.internalIdentifier === "grid"',
'    // leave edit mode so that the column items will be reinitialized',
'    ig$.interactiveGrid("getActions").set("edit", false);',
'    view.model.clearChanges();',
'}',
'apex.region("emp").refresh(); // could use the Refresh action but since we are already here in a JavaScript action...'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24287081086904283312)
,p_name=>'sort dialog'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24287069194481283281)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24287081538275283312)
,p_event_id=>wwv_flow_api.id(24287081086904283312)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.region("emp").call("getActions").invoke("show-sort-dialog");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24287079270839283309)
,p_name=>'focus'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24287069672532283281)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24287079737716283311)
,p_event_id=>wwv_flow_api.id(24287079270839283309)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// because the Set Focus action doesn''t work with regions.',
'apex.region("emp").focus();',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24287080126994283311)
,p_name=>'save'
,p_event_sequence=>50
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24287070022432283281)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24287080659542283312)
,p_event_id=>wwv_flow_api.id(24287080126994283311)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.region("emp").call("getActions").invoke("save");',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(24287083716561283314)
,p_name=>'hide'
,p_event_sequence=>60
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(24287070406783283281)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(24287084195999283315)
,p_event_id=>wwv_flow_api.id(24287083716561283314)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var gridView = apex.region("emp").call("getViews").grid;',
'["NOTES","ONLEAVE","HIREDATE","DEPTNO","RATING"].forEach(function(c) {',
'    gridView.view$.grid("hideColumn", c);',
'});',
'$("#showDetailsBtn").show();',
'$("#hideDetailsBtn").hide();',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(10749875650991780099)
,p_name=>'show'
,p_event_sequence=>70
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(10749875507610780098)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(10749875785998780100)
,p_event_id=>wwv_flow_api.id(10749875650991780099)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var gridView = apex.region("emp").call("getViews").grid;',
'["NOTES","ONLEAVE","HIREDATE","DEPTNO","RATING"].forEach(function(c) {',
'    gridView.view$.grid("showColumn", c);',
'});',
'$("#showDetailsBtn").hide();',
'$("#hideDetailsBtn").show();',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24287078812948283305)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(34443007581387744349)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00017
begin
wwv_flow_api.create_page(
 p_id=>17
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Split Grid and Form Multi-edit'
,p_step_title=>'Split Grid and Form Multi-edit'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(function($) {',
'// need to do this here rather than in Execute when Page Loads so that the handler',
'// is setup BEFORE the IG is initialized otherwise miss the first model created event',
'$(function() {',
'    var region$ = $("#emp");',
'    // the model gets released and created at various times such as when the report changes',
'    // listen for model created events so that we can subscribe to model notifications',
'    region$.on("interactivegridviewmodelcreate", function(event, ui) {',
'        var sid, item, gridInst, view,',
'            model = ui.model;',
'        console.log("view model created: ", ui);',
'        if ( ui.viewId === "grid" ) {',
'            sid = model.subscribe( {',
'                onChange: function(type, change) {',
'                    if ( type === "set" ) {',
'                        item = apex.item("P17_" + change.field);',
'                        if ( item.node ) {',
'                            view = apex.region("emp").call("getViews","grid");',
'                            // Danger: this gets acess to private methods of base class.',
'                            // todo consider exposing these methods',
'                            gridInst = view.view$.data("apex-grid");',
'                            gridInst._setColumnItemValue( item, change.record, change.field, null );',
'                        }',
'                    } else if (type === "delete" ) {',
'                        apex.region("emp").widget().trigger("interactivegridselectionchange");',
'                    }',
'                }',
'            } );',
'        }',
'    });',
'',
'});',
'',
'})(apex.jQuery);',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var notesHeight = $("#notes .t-Region-header").height();',
'',
'$("#notes .t-Region-bodyWrap").css("top", notesHeight );',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* make notes popover */',
'#notes {',
'    position: relative;',
'}',
'#notes .t-Region-bodyWrap {',
'    position: absolute;',
'    background-color: #ffffff;',
'    z-index: 800;',
'    top: 20px;',
'    width: 90%;',
'    margin-left: -1px;',
'    max-height: 380px;',
'    overflow: scroll;',
'}',
'#notes .t-Region-buttons, ',
'#notes .t-Region-body {',
'    border: 1px solid rgba(0, 0, 0, 0.1);',
'    border-top-width: 0;',
'    border-bottom-width: 0;',
'}',
'#notes .t-Region-buttons--bottom {',
'    border-bottom-width: 1px;',
'} ',
'',
'/* styles for multi-valued fields*/',
'.multi-marker {',
'    display: none;',
'    color: #0680e7;',
'}',
'.t-Form-fieldContainer.is-multiValued {',
'    background-color: rgba(127, 190, 242, 0.05);',
'}',
'.t-Form-fieldContainer.is-multiValued .multi-marker {',
'    display: inline;',
'}',
''))
,p_step_template=>wwv_flow_api.id(28066376276103754067)
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190303092547'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28066151864271236924)
,p_plug_name=>'Split Grid and Form'
,p_region_name=>'splitter'
,p_region_template_options=>'#DEFAULT#:js-toEnd:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(28066370677187565146)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28066151532558236921)
,p_plug_name=>'Details'
,p_region_name=>'details'
,p_parent_plug_id=>wwv_flow_api.id(28066151864271236924)
,p_region_css_classes=>'resize'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:t-Form--labelsAbove:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p id="nothingSelected">Select one or more rows.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(35424685932099349022)
,p_plug_name=>'Grid'
,p_region_name=>'emp'
,p_parent_plug_id=>wwv_flow_api.id(28066151864271236924)
,p_region_css_classes=>'resize'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody:margin-bottom-none'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424688272063349030)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424688836511349032)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424689417276349033)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424690078253349033)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424690645053349034)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424691265939349035)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424691809628349035)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424692471562349036)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_default_type=>'STATIC'
,p_default_expression=>'N'
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424693025054349037)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424693667247349038)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424694194804349038)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424694825353349039)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424695409423349040)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424696016030349040)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35424696582490349041)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(35424686407361349023)
,p_internal_uid=>11138670425612171822
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>400
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // need save action (hence Buttons Save checked) but don''t want it in the toolbar',
'    var $ = apex.jQuery,',
'        toolbarData = $.apex.interactiveGrid.copyDefaultToolbar(),',
'        toolbarGroup = toolbarData.toolbarFind("actions2");',
'',
'    toolbarGroup.controls.pop(); // assuming save is last in this group',
'    config.toolbarData = toolbarData;',
'',
'    config.defaultGridViewOptions = {',
'        multiple: true,',
'        contextMenuId: "emp_ig_selection_actions_menu"',
'    }',
'',
'    // Single row view doesn''t make any sense so turn it off',
'    // Logically want to do this: config.views.grid.features.singleRowView = false;',
'    // but the server may not generate the views, grid, or features objects',
'    apex.util.getNestedObject(config, "views.grid.features").singleRowView = false;',
'',
'    // want to modify selection-add-row so that it focused the details',
'    config.initActions = function(actions) {',
'        var addRow = actions.lookup("selection-add-row");',
'        var originalAction = addRow.action;',
'        addRow.action = function(event,el) {',
'            originalAction(event,el);',
'            // after the grid has had a chance to change the selection',
'            setTimeout(function() {',
'                apex.item("P17_ENAME").setFocus();',
'            }, 100);',
'            return true; // because focus was set',
'        }',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(35424686838697349024)
,p_interactive_grid_id=>wwv_flow_api.id(35424686407361349023)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(35424686919895349024)
,p_report_id=>wwv_flow_api.id(35424686838697349024)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424688637411349032)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35424688272063349030)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424689231024349033)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(35424688836511349032)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>262
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424689862872349033)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35424689417276349033)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424690404005349034)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35424690078253349033)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>202
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424690990772349034)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35424690645053349034)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424691594136349035)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35424691265939349035)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424692182252349036)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35424691809628349035)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424692790582349037)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35424692471562349036)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424693428083349038)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35424693025054349037)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424693991159349038)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35424693667247349038)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424694603358349039)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35424694194804349038)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424695215951349040)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35424694825353349039)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424695793881349040)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35424695409423349040)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424696473234349041)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35424696016030349040)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35424697055584349041)
,p_view_id=>wwv_flow_api.id(35424686919895349024)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35424696582490349041)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32336527201303536739)
,p_plug_name=>'Notes'
,p_region_name=>'notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates the advantage of having a separate model and view layer.',
'The IG Grid view and Details form are different views of data from the ',
'same model. When the selection changes the details region form fields are updated',
'with model data from the selected rows. Changes to form fields are set in the model.',
'Model notifications are used to keep the two views in sync. Server side processing',
'is exactly the same as if there were just the IG on the page.',
'</p>',
'<p>This provides the benefits of an IG for filtering, sorting etc. and ',
'the benefits of a form with custom layout and extra room for large fields like notes',
'and without having to popup a dialog. Specific logic is added to support ',
'multi-editing where values entered are set in all the selected rows.',
'</p>',
'<p>This also demonstrates the use of splitters. This is accomplished with custom',
'page template Fit to Window and region template Splitter.',
'Splitter regions must have exactly two sub regions. Regions that should resize',
'need to have the CSS class "resize".',
'Typically there is one top level region that is a splitter or one resizeable region.',
'Regions that need to resize have class "resize" in CSS Classes.',
'For regions probably want to change template options: Remove Body Padding, Bottom Margin: None.',
'IG must have Heading: Fixed to Region. The height will adjust as the window/splitters change.',
'<p>Customizations:<br>',
'Most of the work is done in 5 dynamic actions.',
'See Page attribute CSS: Inline for notes pop over and multi-edit styles. ',
'See Page attribute Function and Global Variable Declaration for model listener.',
'See IG attribute Advanced JavaScript Config for toolbar and action customizations.',
'<br>Issues:<br>',
'- To make this work I used private methods so this code is likely to break and need changes in the future.',
'Ideally in the future there will be public methods to support this kind of thing.<br>',
'- The hire Date is not always updated correctly because of issue with how date picker manages focus.</br>',
'- There are a number of issues or improvements that could be made to Fit to Window',
'and Splitter templates.<br>',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(28066152142002236927)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(32336527201303536739)
,p_button_name=>'SAVE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066151658273236922)
,p_name=>'P17_ENAME'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Employee Name'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066151751411236923)
,p_name=>'P17_JOB'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Job'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'EMP_JOBS'
,p_lov=>'.'||wwv_flow_api.id(28066362110306461822)||'.'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066152656406236932)
,p_name=>'P17_MGR'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Manager'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066152773511236933)
,p_name=>'P17_HIREDATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Hire Date'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066152829700236934)
,p_name=>'P17_SAL'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Salary'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>6
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066152952523236935)
,p_name=>'P17_COMM'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Commission'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>6
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066153036967236936)
,p_name=>'P17_NOTES'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Notes'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>30
,p_cHeight=>5
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066153164320236937)
,p_name=>'P17_RATING'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Rating'
,p_display_as=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066153198089236938)
,p_name=>'P17_ONLEAVE'
,p_item_sequence=>90
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'On Leave'
,p_display_as=>'NATIVE_YES_NO'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'APPLICATION'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(28066153316079236939)
,p_name=>'P17_DEPTNO'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(28066151532558236921)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Department'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(28066153881553236944)
,p_tabular_form_region_id=>wwv_flow_api.id(35424685932099349022)
,p_validation_name=>'New'
,p_validation_sequence=>10
,p_validation=>':SAL < 5000'
,p_validation_type=>'SQL_EXPRESSION'
,p_error_message=>'#COLUMN_HEADER# must be less than 5000.'
,p_associated_column=>'SAL'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28066151909259236925)
,p_name=>'on selection change'
,p_event_sequence=>10
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(35424685932099349022)
,p_bind_type=>'bind'
,p_bind_event_type=>'NATIVE_IG|REGION TYPE|interactivegridselectionchange'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28066152066615236926)
,p_event_id=>wwv_flow_api.id(28066151909259236925)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// code adapted from grid widget _activateRow',
'var i, j, index, columnItem, columnItems, itemContainers, prop, meta, editable, value,',
'    records, record, compositeRecord, compositeMeta, id, model,',
'    columns, gridInst,',
'    view = apex.region("emp").call("getCurrentView");',
'',
'var MULTIPLE_VALUES = { v:"", d:"" };',
'',
'function same(v1, v2) {',
'    if ( v1.v !== undefined ) {',
'        v1 = v1.v;',
'    }',
'    if ( v2.v !== undefined ) {',
'        v2 = v2.v;',
'    }',
'    return v1 == v2; // intentional use of ==',
'}',
'',
'if ( !view.supports.edit ) { // make sure this is the editable view TODO shouldn''t any view that supports selection be OK?',
'    return; // not expected. If views other than grid are possible then more needs to be done',
'}',
'',
'model = view.model;',
'records = view.getSelectedRecords();',
'',
'if ( !records.length ) {',
'    // nothing selected so clear details',
'    $("#details").find(".container").hide();',
'    $("#nothingSelected").show();',
'    gP17_editableSelection = null;',
'    return;',
'}',
'',
'// something selected so show details',
'$("#details").find(".container").show();',
'$("#nothingSelected").hide();',
'',
'columns = view.view$.grid("getColumns");',
'',
'// Danger: this gets acess to private methods of base class.',
'// todo consider exposing these methods',
'gridInst = view.view$.data("apex-grid");',
'',
'// This assumes the model uses an array for a record which is likely to remain true for IG.',
'compositeRecord = [];',
'compositeMeta = {};',
'columnItems = [];',
'itemContainers = [];',
'editable = true; // assume editable until any record isn''t',
'for ( i = 0; i < records.length; i++ ) {',
'    record = records[i];',
'    if ( editable && !model.allowEdit( record ) ) {',
'        editable = false;',
'    }',
'    if ( editable ) {',
'        id = model.getRecordId( record );',
'        meta = model.getRecordMetadata( id );',
'        // TODO merge into composite meta. This is only to support disabled fields',
'    }',
'    if ( i === 0 ) {',
'        // gather columnItem and initial composite value',
'        for ( j = 0; j < columns.length; j++ ) {',
'            prop = columns[j].property;',
'            index = columns[j].index;',
'            columnItem = apex.item("P17_" + prop);',
'            if ( columnItem.node ) {',
'                columnItems[j] = columnItem;',
'                itemContainers[j] = $(columnItem).closest(".t-Form-fieldContainer");',
'                compositeRecord[index] = model.getValue( record, prop );',
'            }',
'        }',
'    } else {',
'        for ( j = 0; j < columns.length; j++ ) {',
'            if ( columnItems[j] ) {',
'                prop = columns[j].property;',
'                index = columns[j].index;',
'                value = model.getValue( record, prop );',
'                if ( compositeRecord[index] !== MULTIPLE_VALUES && !same( value, compositeRecord[index] ) ) {',
'                    compositeRecord[index] = MULTIPLE_VALUES;',
'                }',
'            }',
'        }',
'    }',
'}',
'record = compositeRecord;',
'meta = compositeMeta;',
'',
'// load all values',
'gridInst._beginSetColumnItems();',
'for ( j = 0; j < columns.length; j++ ) {',
'    prop = columns[j].property;',
'    index = columns[j].index;',
'    columnItem = columnItems[j];',
'    if ( columnItem ) {',
'        // issue: not all items can be disabled!',
'        columnItem[ editable ? "enable" : "disable" ]();',
'        $(columnItem.node).closest(".t-Form-fieldContainer").toggleClass("is-multiValued", record[index] === MULTIPLE_VALUES );',
'        gridInst._setColumnItemValue( columnItem, record, prop, editable ? meta : null );',
'    }',
'}',
'gridInst._endSetColumnItems();',
'if ( editable ) {',
'    // keep track of what records are selected so they can be saved.',
'    gP17_editableSelection = records;',
'} else {',
'    gP17_editableSelection = null;',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
end;
/
begin
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28066152236785236928)
,p_name=>'save'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(28066152142002236927)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28066152317179236929)
,p_event_id=>wwv_flow_api.id(28066152236785236928)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.region("emp").call("getActions").invoke("save");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28066152397791236930)
,p_name=>'save to model'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(28066151532558236921)
,p_bind_type=>'bind'
,p_bind_event_type=>'focusout'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28066152550136236931)
,p_event_id=>wwv_flow_api.id(28066152397791236930)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// code adapted from grid widget base class _setModelValue',
'var event = this.browserEvent;',
'var i, result, value, prevValue, validity, id, prevId, gridInst, property, columnItem,',
'    model,',
'    view = apex.region("emp").call("getCurrentView");',
'',
'columnItem = apex.item(event.target.id);',
'',
'',
'if ( !columnItem.node || !view.supports.edit ) { // make sure this is the editable view TODO shouldn''t any view that supports selection be OK?',
'    return;',
'}',
'',
'records = gP17_editableSelection;',
'',
'if ( ! records ) {',
'    return;',
'}',
'',
'property = event.target.id.replace(/^P17_/,"");',
'if ( $(columnItem.node).closest(".t-Form-fieldContainer").hasClass("is-multiValued")) {',
'    return;',
'}',
'',
'model = view.model;',
'// Danger: this gets acess to private methods of base class.',
'// todo consider exposing these methods',
'gridInst = view.view$.data("apex-grid");',
'',
'for ( i = 0; i < records.length; i++ ) {',
'    record = records[i];',
'',
'    value = columnItem.getValue();',
'    prevId = model.getRecordId( record );',
'    prevValue = model.getValue( record, property );',
'    if ( prevValue !== null && typeof prevValue === "object" && prevValue.hasOwnProperty( "v" ) ) {',
'        value = {',
'            v: value,',
'            d: columnItem.displayValueFor( value )',
'        };',
'    }',
'    result = model.setValue( record, property, value );',
'    if ( result === "DUP" ) {',
'        gridInst._setColumnItemValue( columnItem, record, property );',
'        apex.message.alert( lang.getMessage( "APEX.GV.DUP_REC_ID" ) );',
'    } else {',
'        validity = columnItem.getValidity();',
'        id = model.getRecordId( record );',
'        if ( !validity.valid ) {',
'            model.setValidity( "error", id, property, columnItem.getValidationMessage() );',
'        } else {',
'            model.setValidity( "valid", id, property );',
'        }',
'        if ( id !== prevId ) {',
'            gridInst._identityChanged( prevId, id );',
'        }',
'    }',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28066153409259236940)
,p_name=>'init details'
,p_event_sequence=>40
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28066153488736236941)
,p_event_id=>wwv_flow_api.id(28066153409259236940)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$("#details").find(".container").hide();',
'// too lazy to make a new label template',
'$("#details").find( ".t-Form-labelContainer").prepend(''<span class="fa fa-layers multi-marker" aria-hidden="true"></span>'');',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(28066153646164236942)
,p_name=>'on change'
,p_event_sequence=>50
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(28066151532558236921)
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(28066153733603236943)
,p_event_id=>wwv_flow_api.id(28066153646164236942)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// when something that is multi-valued changes then clear the multi-valued class so it can be saved',
'var container$,',
'    event = this.browserEvent,',
'    columnItem = apex.item(event.target.id);',
'',
'if ( !columnItem.node ) {',
'    return;',
'}',
'container$ = $(columnItem.node).closest(".t-Form-fieldContainer");',
'if ( container$.hasClass("is-multiValued") ) {',
'    container$.removeClass("is-multiValued");',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(28066355158891286144)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(35424685932099349022)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00018
begin
wwv_flow_api.create_page(
 p_id=>18
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Edit in Dialog'
,p_step_title=>'Edit in Dialog'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'(function($) {',
'',
'function createEmpEditDialog() {',
'    // destroy any previous dialog if any',
'    if ( window.gEmpEditDialog$ ) {',
'        window.gEmpEditDialog$.remove();',
'    }',
'',
'    // Danger Not sure if modelColumns and specialColumns will end up being part of the public view interface',
'    var view = apex.region("emp").call("getViews", "grid");',
'    var fields = $.extend(true, {}, view.modelColumns);',
'    delete fields.Actions;',
'    // TODO may want to explicitly control the order of fields or make other adjustments',
'',
'    // It would be nice if createModelEditDialog let you customize the label for the save button',
'    // and automatically disabled it if the model is not editable.',
'    empEditDialog$ = $.apex.recordView.createModelEditDialog( "empEditDialog", {',
'        width: 380,',
'        height: 560,',
'        title: "Employee",',
'        modelName: "editEmp",',
'        labelAlignment: "start",',
'        okLabelKey: "MY_APPLY_BTN",',
'        modelOptions: {',
'            shape: "record",',
'            recordIsArray: true,',
'            editable: true,',
'            identityField: view.specialColumns.identityField,',
'            metaField: view.specialColumns.metaField,',
'            fields: fields',
'        },',
'        load: function( model ) {',
'            var i,',
'                record =  $( this ).dialog( "option", "record" ),',
'                editable = $( this ).dialog( "option", "editable" ),',
'                newRecord = [];',
'',
'            $(this).parent().find("button.ui-button--hot").toggle(editable); // hide save button if needed',
'            model.setOption("editable",editable);',
'',
'            // the dialog model and the IG model share essentially the same field config',
'            // so record can just be copied',
'            for ( i = 0; i < record.length; i++ ) {',
'                newRecord[i] = record[i];',
'            }',
'            model.setData( newRecord );',
'        },',
'        store: function( model ) {',
'            var f, field, id,',
'                record =  $( this ).dialog( "option", "record" ),',
'                newRecord = model.getRecord();',
'',
'            for ( f in fields ) {',
'                if ( fields.hasOwnProperty(f) && f !== "_meta" ) {',
'                    field = fields[f];',
'                    if ( !field.readonly && !field.virtual ) {',
'                        view.model.setValue(record, f, newRecord[fields[f].index]);',
'                        // Assume that the dialog wouldn''t allow save if any values are invalid so clear any errors',
'                        // in case there were some from add row.',
'                        id = view.model.getRecordId(record);',
'                        view.model.setValidity( "valid", id, f );',
'                    }',
'                }',
'            }',
'        }',
'    });',
'',
'    // expose this for use by row-edit action',
'    window.gEmpEditDialog$ = empEditDialog$;',
'}',
'',
'// need to do this here rather than in Execute when Page Loads so that the handler',
'// is setup BEFORE the IG is initialized otherwise miss the first model created event',
'$(function() {',
'    var region$ = $("#emp");',
'    // the model gets released and created at various times such as when the report changes',
'    // listen for model created events so that we can create a dialog with same config as IG model',
'    region$.on("interactivegridviewmodelcreate", function(event, ui) {',
'        var sid, item, gridInst, view,',
'            model = ui.model;',
'        if ( ui.viewId === "grid" ) {',
'            createEmpEditDialog();',
'        }',
'    });',
'',
'    //',
'    // This is the general pattern for getting access to the views as they are created',
'    //',
'    $("#emp").on("interactivegridviewchange", function(event, data) {',
'        if ( data.view === "grid" && data.created ) {',
'            var view = apex.region("emp").call("getViews", "grid");',
'',
'            // Do this here because it can''t be set through the IG widget at init time',
'            view.view$.grid("option", "allowEditMode", false);',
'        }',
'    });',
'});    ',
'',
'})(apex.jQuery);',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* don''t focus the actions cell because button has focus */',
'.a-GV-cell.no-focus.is-focused {',
'    box-shadow: none;',
'}',
'',
'/* No longer needed in 19.1',
'fix an undesireable style for recordView ',
'.u-Form-fieldContainer.is-focused {',
'    outline: none;',
'}',
'*/',
'/* fix IG style bug so that buttons in deleted rows don''t look disabled */',
'.a-GV-table .a-GV-cell.has-button {',
'    opacity: 1 !important;',
'}',
'',
'/* control which actions buttons show */',
'.revertBtn {',
'    display: none !important;',
'}',
'.is-deleted .revertBtn,',
'.is-updated .revertBtn',
'{',
'    display: inline-block !important;',
'}',
'',
'.deleteBtn {',
'    display: inline-block !important;',
'}',
'.is-deleted .deleteBtn,',
'.is-updated .deleteBtn',
'{',
'    display: none !important;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190328101026'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32342225984829621799)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page shows how to edit IG records in a dialog using then undocumented $.apex.recordView.createModelEditDialog function.',
'This is the same thing that is used to implement all the IG dialogs such as Filters and Sort.',
'The beneift is a familar editing pattern but without having to create a separate',
'APEX modal page and the associated performance overhead of making an extra requests',
'to to fetch record data and refresh the grid after every row edit. There',
'is no need to request more data from the server because it is already in the model.',
'</p>',
'<p>The IG is editable so the model is editable but the grid view is configured',
'to not allow the user to enter edit mode. The toolbar Edit button is removed.',
'The row actions menu is replaced with buttons. The Add Row action is modified',
'so that it opens the same dialog as the new row edit action.',
'</p>',
'<p>Customizations:<br>',
'Code to create the dialog is in Function and Global Variable Declaration.',
'See inline CSS for grid style fixes and for hiding/showing action buttons.',
'IG Advanced JavaScript Code has toolbar customization and add/update actions.',
'<br>Issues:</br>',
'Would be nice if it were easier to turn off edit mode in grid.<br>',
'Would be nice if there were a simple way to enable or disable the delete button depending on if the row can be deleted.<br>',
'Consider exposing a way to hook into IG _updateActions so custom actions state can be updated as IG state changes.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(35430384715625434082)
,p_plug_name=>'Edit in Dialog'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING,',
'       case when JOB = ''PRESIDENT'' then ''U'' else ''UD'' end as CTRL',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066153980710236945)
,p_name=>'Actions'
,p_source_type=>'NONE'
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'LEFT'
,p_value_css_classes=>'no-focus has-button'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<button type="button" class="a-Button a-Button--noLabel a-Button--iconTextButton js-actionButton" data-action="row-edit" title="Edit">',
'<span class="fa fa-pencil"></span>',
'</button>',
'<button type="button" class="a-Button a-Button--noLabel a-Button--iconTextButton js-actionButton deleteBtn" data-action="row-delete" title="Delete">',
'<span class="fa fa-trash-o"></span>',
'</button>',
'<button type="button" class="a-Button a-Button--noLabel a-Button--iconTextButton js-actionButton revertBtn" data-action="row-revert" title="Revert">',
'<span class="fa fa-undo"></span>',
'</button>',
''))
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.noStretch = true;',
'    config.defaultGridColumnOptions = {',
'        noHeaderActivate: true',
'    };',
'    return config;',
'}'))
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28066154186757236948)
,p_name=>'CTRL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CTRL'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>180
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430385895873434085)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'N'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430387055589434090)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430387620037434092)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430388200802434093)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430388861779434093)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430389428579434094)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430390049465434095)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_default_type=>'STATIC'
,p_default_expression=>'1000'
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430390593154434095)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430391255088434096)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_default_type=>'STATIC'
,p_default_expression=>'N'
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430391808580434097)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430392450773434098)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430392978330434098)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430393608879434099)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430394192949434100)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430394799556434100)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35430395366016434101)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(35430385190887434083)
,p_internal_uid=>11144369209138256882
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_edit_row_operations_column=>'CTRL'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.initActions = function(actions) {',
'        // change how add row works',
'        var addRow = actions.lookup("selection-add-row");',
'        var originalAddRowAction = addRow.action;',
'        var edit = actions.lookup("edit");',
'        var originalEditSet = edit.set;',
'        addRow.action = function(event,el) {',
'            var fakeRowEvent = $.Event("click"),',
'                ig$ = $(actions.context),',
'                view = ig$.interactiveGrid("getCurrentView");',
'',
'            // use original add row to add to the grid and model',
'            originalAddRowAction(event,el);',
'            // leave edit mode',
'            originalEditSet(false);',
'            // after the grid has had a chance to change the selection',
'            setTimeout(function() {',
'                // edit the row in a dialog',
'                actions.invoke("row-edit", fakeRowEvent, view.view$.grid("getSelection")[0][0]);',
'            }, 100);',
'            return true; // because focus was set',
'        }',
'',
'        actions.add([{',
'            name: "row-edit",',
'            label: "Edit",',
'            icon: "fa fa-pencil",',
'            action: function(event, el) {',
'                var records,',
'                    ig$ = $(actions.context);',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                if ( view.supports.edit ) { // make sure this is the editable view',
'                    records = view.getContextRecord( el );',
'                    if ( records.length > 0 ) {',
'                        gEmpEditDialog$.dialog("option", "record", records[0])',
'                            .dialog( "option", "editable", !actions.lookup("edit").disabled && view.model.allowEdit(records[0]) )',
'                            .dialog("open");',
'                    }',
'                }',
'            }            ',
'        }',
'        ]);',
'    };',
'',
'    // Remove edit button',
'    var toolbar = $.apex.interactiveGrid.copyDefaultToolbar();',
'    toolbar.toolbarRemove("edit");',
'       ',
'    // Single row view doesn''t make any sense so turn it off',
'    // Logically want to do this: config.views.grid.features.singleRowView = false;',
'    // but the server may not generate the views, grid, or features objects',
'    apex.util.getNestedObject(config, "views.grid.features").singleRowView = false;',
'',
'    // This is what I want but allowEditMode gets explicitly set by IG so',
'    // have to override in interactivegridviewchange handler',
'//    config.defaultGridViewOptions = {',
'//        allowEditMode: false',
'//    };',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(35430385622223434084)
,p_interactive_grid_id=>wwv_flow_api.id(35430385190887434083)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(35430385703421434084)
,p_report_id=>wwv_flow_api.id(35430385622223434084)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28072293598880409181)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(28066153980710236945)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28072782154346386343)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>17
,p_column_id=>wwv_flow_api.id(28066154186757236948)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430387420937434092)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35430387055589434090)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430388014550434093)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(35430387620037434092)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>99
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430388646398434093)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35430388200802434093)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>93
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430389187531434094)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35430388861779434093)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>74
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430389774298434094)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35430389428579434094)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>92
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430390377662434095)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35430390049465434095)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>65
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430390965778434096)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35430390593154434095)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430391574108434097)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35430391255088434096)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430392211609434098)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(35430391808580434097)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430392774685434098)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(35430392450773434098)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430393386884434099)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35430392978330434098)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430393999477434100)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35430393608879434099)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430394577407434100)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35430394192949434100)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430395256760434101)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35430394799556434100)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35430395839110434101)
,p_view_id=>wwv_flow_api.id(35430385703421434084)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35430395366016434101)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(39234189359003854052)
,p_interactive_grid_id=>wwv_flow_api.id(35430385190887434083)
,p_name=>'Summary'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(39234189440201854052)
,p_report_id=>wwv_flow_api.id(39234189359003854052)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31876097335660829149)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(28066153980710236945)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31876585891126806311)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>17
,p_column_id=>wwv_flow_api.id(28066154186757236948)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234191157717854060)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35430387055589434090)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234191751330854061)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(35430387620037434092)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>99
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234192383178854061)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35430388200802434093)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>93
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234192924311854062)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35430388861779434093)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>74
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234193511078854062)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35430389428579434094)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>92
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234194114442854063)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35430390049465434095)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>65
);
end;
/
begin
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234194702558854064)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35430390593154434095)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234195310888854065)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35430391255088434096)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234195948389854066)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(35430391808580434097)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234196511465854066)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(35430392450773434098)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234197123664854067)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35430392978330434098)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234197736257854068)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35430393608879434099)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234198314187854068)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35430394192949434100)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234198993540854069)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35430394799556434100)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(39234199575890854069)
,p_view_id=>wwv_flow_api.id(39234189440201854052)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35430395366016434101)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(28072053938967371165)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(35430384715625434082)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00019
begin
wwv_flow_api.create_page(
 p_id=>19
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Copy Down'
,p_step_title=>'Copy Down'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.header-button.t-Button {',
'    margin: 0;',
'    background-color: transparent;',
'    box-shadow: none;',
'    border-radius: 0;',
'    min-width: 16px;',
'    padding: 8px 4px;',
'}',
'',
'.header-button.t-Button:focus,',
'.header-button.t-Button:hover',
'{',
'    background-color: rgba(0,0,0,.1);',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JSNYDERS'
,p_last_upd_yyyymmddhh24miss=>'20181005173752'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31404822745532985112)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>A few people have asked how to copy a value in a column down to fill in other values below it.',
'See this <a href=''https://community.oracle.com/thread/4019020'' target=''_blank''>thread</a> for example.',
'This is now built-in since APEX 18.1. Just change to cell selection mode, select a range,',
'and choose copy down. However in some cases you may want to make this easier',
'by having a specific button to copy a specific column. This example is updated',
'to use the new functionality. ',
'The old copy of this page can be found <a href="f?p=&APP_ID.:1001:&SESSION.">here</a>.',
'</p>',
'<p>Select multiple rows and click the header Copy Down button. The value in the corresponding',
'column of the first selected row is copied to all the rows in the selection.',
'</p>',
'<p>Demonstrates:<br>',
'Adding a button in a column header that invokes an action and defining a copy down action.',
'The action uses the grid copyDownSelection API to set the values.',
'<br>Customizations:<br>',
'To add a button to the header see the column Heading attribute.',
'Whenever the Heading attribute has markup define the alternative label that gets shown in menus and dialogs.',
'Use column Advanced JavaScript Code to add the has-button class to the header cell.',
'See inline CSS for some styles for the heading buttons.',
'See IG Advanced JavaScript Code for the copy down action.',
'<br>Issues:<br>',
'Because the button in the header takes focus there is no way to open the header',
'popup menu with the keyboard; the mouse must be used.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34492981476328797395)
,p_plug_name=>'Copy Down'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492982656576797398)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492983224447797399)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492983816292797403)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492984380740797405)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492984961505797406)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492985622482797406)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492986189282797407)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492986810168797408)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button>Salary'
,p_label=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492987353857797408)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button> Commission'
,p_label=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492988015791797409)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button> On Leave'
,p_label=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492988569283797410)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492989211476797411)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492989739033797411)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492990369582797412)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492990953652797413)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492991560259797413)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34492992126719797414)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button> Rating'
,p_label=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(34492981951590797396)
,p_internal_uid=>29260180263405281336
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.initActions = function(actions) {',
'        actions.add({',
'            name: "my-selection-copy-down",',
'            label: "Copy Down", // todo use message key',
'            action: function(event, el) {',
'                var colHeader$ = $(el).closest(".a-GV-header"),',
'                    ig$ = $(actions.context),',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                if ( view.internalIdentifier === "grid" ) {',
'                    // get the column associated with the header the button is in',
'                    col = view.view$.grid("getColumns")[colHeader$.attr("data-idx")];',
'                    view.view$.grid("copyDownSelection", [col.property] );',
'                }                ',
'            }',
'        });',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34492982382926797397)
,p_interactive_grid_id=>wwv_flow_api.id(34492981951590797396)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34492982464124797397)
,p_report_id=>wwv_flow_api.id(34492982382926797397)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492983613604797401)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34492983224447797399)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492984181640797405)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34492983816292797403)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492984775253797406)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34492984380740797405)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492985407101797406)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34492984961505797406)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>89
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492985948234797407)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34492985622482797406)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492986535001797407)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34492986189282797407)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492987138365797408)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34492986810168797408)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>80
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492987726481797409)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34492987353857797408)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>110
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492988334811797410)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34492988015791797409)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>111
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492988972312797411)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34492988569283797410)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492989535388797411)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34492989211476797411)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492990147587797412)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34492989739033797411)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492990760180797413)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34492990369582797412)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492991338110797413)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34492990953652797413)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492992017463797414)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34492991560259797413)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34492992599813797414)
,p_view_id=>wwv_flow_api.id(34492982464124797397)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34492992126719797414)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>105
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(40096406648968071600)
,p_interactive_grid_id=>wwv_flow_api.id(34492981951590797396)
,p_name=>'Sort on Manager'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(40096406730166071600)
,p_report_id=>wwv_flow_api.id(40096406648968071600)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096407879646071604)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34492983224447797399)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096408447682071608)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34492983816292797403)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096409041295071609)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34492984380740797405)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096409673143071609)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34492984961505797406)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096410214276071610)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34492985622482797406)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096410801043071610)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34492986189282797407)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096411404407071611)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34492986810168797408)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>96
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096411992523071612)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34492987353857797408)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>130
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096412600853071613)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34492988015791797409)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096413238354071614)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34492988569283797410)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096413801430071614)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34492989211476797411)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096414413629071615)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34492989739033797411)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096415026222071616)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34492990369582797412)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096415604152071616)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34492990953652797413)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096416283505071617)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34492991560259797413)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40096416865855071617)
,p_view_id=>wwv_flow_api.id(40096406730166071600)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34492992126719797414)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24287207179797919737)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(34492981476328797395)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00020
begin
wwv_flow_api.create_page(
 p_id=>20
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'IG Cards'
,p_step_title=>'IG Cards'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// define the toolbar actions',
'apex.actions.add([',
'    {',
'        name: "filter",',
'        label: "Filter",',
'        title: "Filter",',
'        icon: "fa fa-filter",',
'        action: function() {',
'            // use the IG to filter',
'            apex.region("people").call("getActions").invoke("show-filter-dialog");',
'        }',
'    },',
'    {',
'        name: "sort",',
'        label: "Sort",',
'        title: "Sort",',
'        icon: "fa fa-sequence",',
'        action: function() {',
'            // use the IG to filter',
'            apex.region("people").call("getActions").invoke("show-sort-dialog");',
'        }',
'    },',
'    {',
'        name: "search",',
'        label: "Search",',
'        title: "Search",',
'        icon: "fa fa-search",',
'        action: function() {',
'            // use the IG to search. See the customization to IG search action in IG Advanced JavaScript Code attribute',
'            apex.region("people").call("getActions").invoke("search");',
'        }',
'    },',
'    {',
'        name: "change-style",',
'        label: "Style",',
'        choices: [',
'            {label: "L", value: "t-Cards--featured", title: "Featured" },',
'            {label: "M", value: "t-Cards--basic", title: "Basic" },',
'            {label: "S", value: "t-Cards--compact", title: "Compact" }',
'        ],',
'        get: function() {',
'            var ret = "t-Cards--featured",',
'                cards$ = $("#people");',
'            ["t-Cards--featured", "t-Cards--basic", "t-Cards--compact"].forEach(function(f) {',
'                if (cards$.hasClass(f)) {',
'                    ret = f;',
'                }',
'            });',
'            return ret;',
'        },',
'        set: function(v) {',
'            var cards$ = $("#people")',
'            cards$.removeClass("t-Cards--featured t-Cards--basic t-Cards--compact");',
'            cards$.addClass(v);',
'        }',
'    },',
'    {',
'        name: "change-columns",',
'        label: "Style",',
'        choices: [',
'            {label: "1", value: "t-Cards--1cols", title: "1 Column" },',
'            {label: "2", value: "t-Cards--cols", title: "2 Columns" },',
'            {label: "3", value: "t-Cards--3cols", title: "3 Columns" }',
'        ],',
'        get: function() {',
'            var ret = "t-Cards--cols",',
'                cards$ = $("#people");',
'            ["t-Cards--1cols", "t-Cards--cols", "t-Cards--3cols"].forEach(function(f) {',
'                if (cards$.hasClass(f)) {',
'                    ret = f;',
'                }',
'            });',
'            return ret;',
'        },',
'        set: function(v) {',
'            var cards$ = $("#people")',
'            cards$.removeClass("t-Cards--1cols t-Cards--cols t-Cards--3cols");',
'            cards$.addClass(v);',
'        }',
'    }',
'',
']);',
'',
'// create a toolbar referencing the above actions',
'$("#cardsToolbar").toolbar({',
'    toolbarFor: "#people_ig",',
'    data: [',
'        {',
'            id: "search",',
'            groupTogether: true,',
'            controls: [',
'                {',
'                    type: "TEXT",',
'                    id: "search_field",',
'                    enterAction: "search"',
'                },',
'                {',
'                    type: "BUTTON",',
'                    action: "search",',
'                    iconOnly: true',
'                }',
'            ]',
'        },',
'        {',
'            id: "options",',
'            controls: [',
'                {',
'                    id: "sortBtn",',
'                    type: "BUTTON",',
'                    action: "sort",',
'                    iconOnly: true',
'                },',
'                {',
'                    id: "filterBtn",',
'                    type: "BUTTON",',
'                    action: "filter",',
'                    iconOnly: true',
'                },',
'                {',
'                    type: "RADIO_GROUP",',
'                    label: "Style",',
'                    action: "change-style"',
'                },',
'                {',
'                    type: "RADIO_GROUP",',
'                    label: "Columns",',
'                    action: "change-columns"',
'                }',
'            ]',
'        }',
'    ]',
'});',
'',
'// very simple "focus" behavior because the anchor is a button inside the card',
'// but still want the card to look like it is focused.',
'$("#people").on("click", function(event) {',
'    var target$ = $(event.target),',
'        card$ = target$.closest(".t-Card");',
'',
'    if ( card$.length && !target$.closest("button").length ) {',
'        card$.find("a").focus();',
'    }',
'}).on("focusin", function(event) {',
'    var target$ = $(event.target),',
'        card$ = target$.closest(".t-Card");',
'',
'    if ( card$.length ) {',
'        card$.parent().parent().find(".is-focused").removeClass("is-focused");',
'        card$.addClass("is-focused");',
'    }',
'});',
'',
'// let the user know when there are filters',
'function checkFilters() {',
'    var i, filter, filters,',
'        filterId = null,',
'        search = "",',
'        count = 0;',
'',
'    // search always applies to the first row filter and assume always not case sensitive',
'    filters = apex.region("people").call("getFilters"); // DANGER using an internal API ',
'    for (i = 0; i < filters.length; i++) {',
'        if ( !filterId && filters[i].type === "row" ) {',
'            search = filters[i].value;',
'            filterId = filters[i].id;',
'        } else {',
'            count += 1;',
'        }',
'    }',
'    $("#cardsToolbar").toolbar("findElement","filterBtn").toggleClass("is-active", count > 0);',
'    $("#cardsToolbar").toolbar("findElement","search_field").val(search);',
'',
'}',
'',
'apex.region("people").widget().on("interactivegridreportsettingschange", function() {',
'    checkFilters();',
'});',
'checkFilters();',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* make the IG disappear */',
'.a-IG {',
'    background-color: transparent;',
'    border-width: 0;',
'}',
'',
'#notes ul {',
'    margin: 2px 8px;',
'}',
'',
'#cardsToolbar {',
'    margin: 8px;',
'}',
'',
'/* I don''t like the UT transparent effect */',
'.t-Body-title {',
'    background-color: #fff;',
'}',
'',
'/* fix hidden toolbar style bug */',
'.a-IG-header {',
'    border-width: 0;',
'    padding: 0;',
'}',
'',
'/* custom card styles */',
'.t-Cards {',
'    margin: 1.2rem 3.2rem;',
'}',
'.t-Card-info {',
'    margin: 12px auto 0 auto !important;',
'}',
'.cardLabel {',
'    font-weight: bold;',
'}',
'.cardValue {',
'    padding-left: 8px;',
'}',
'.cardCol {',
'    float: left;',
'    min-width: 100px;',
'    padding: 8px;',
'    width: 49%;',
'}',
'',
'.t-Cards--1cols .t-Cards-item {',
'    clear: both;',
'}',
'.t-Cards--1cols .t-Cards-item {',
'    width: 99%;',
'}',
'.t-Card.is-focused {',
'    box-shadow: 0 0 0 1px rgba(0,0,0,0.125) inset;',
'}'))
,p_step_template=>wwv_flow_api.id(31643802496484161492)
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190319155100'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(559980985583601846)
,p_plug_name=>'Bonus Region'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>30
,p_plug_display_point=>'REGION_POSITION_05'
,p_plug_source=>'<p>One of the problems with Scroll paging with heading fixed to page is that if there is lots of data the user cannot get to the bottom of the page easily to see this awesome content. One solution is to use heading fixed to region. See Wide Report. T'
||'he other option is to remove all footer content so there is nothing at the bottom to get to. Another option is to use load more paging (currently an advanced configuration option). See example in Sample Interactive Grids app.</p>'
,p_translate_title=>'N'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28080656417734980916)
,p_plug_name=>'control'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643806541173161500)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_source=>'<div id="cardsToolbar"></div>'
,p_translate_title=>'N'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31860806248159545234)
,p_plug_name=>'People Cards'
,p_region_name=>'people'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643806541173161500)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID, RATING, NAME, ',
'        apex_string.get_initials(NAME) as INITIALS,',
'        COUNTRY, TO_CHAR(FROM_YR) as FROM_YR,',
'        case when TO_YR = 0 then '''' else TO_CHAR(TO_YR) end as TO_YR,',
'        LINK, CATEGORY,',
'        case when TO_YR = 0 then',
'            extract(year from sysdate) - FROM_YR',
'        else',
'            TO_YR - FROM_YR',
'        end as AGE,',
'        case CATEGORY',
'            when ''S_T'' then ''fa fa-rocket''',
'            when ''P'' then ''fa fa-university''',
'            when ''A'' then ''fa fa-paint-brush''',
'            when ''S'' then ''fa fa-bicycle''',
'            when ''B_L'' then ''fa fa-money''',
'            else ''fa fa-question''',
'        end as ICON,',
'        GENDER,',
'        case GENDER',
'            when ''M'' then ''fa fa-male''',
'            when ''F'' then ''fa fa-female''',
'            else ''fa fa-question''',
'        end as GENDER_ICON',
'    from EBA_DEMO_IG_PEOPLE',
''))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28080655761679980909)
,p_name=>'AGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'AGE'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Age'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>120
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28080655830546980910)
,p_name=>'ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ICON'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Icon'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>130
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>17
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28080656302129980915)
,p_name=>'GENDER_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER_ICON'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Gender icon'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>140
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>14
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(28080656581537980917)
,p_name=>'INITIALS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'INITIALS'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Initials'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>150
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860806405196545236)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860806514909545237)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>40
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860806629709545238)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860806757105545239)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>50
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860806811652545240)
,p_name=>'FROM_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FROM_YR'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Born'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_max_length=>40
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860806884642545241)
,p_name=>'TO_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TO_YR'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Died'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_max_length=>40
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860807064851545242)
,p_name=>'LINK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LINK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Info'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_link_target=>'&LINK.'
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860807092143545243)
,p_name=>'CATEGORY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CATEGORY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Category'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066364364516461838)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31860807229446545244)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31860806279845545235)
,p_internal_uid=>7574790298096368034
,p_is_editable=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>false
,p_no_data_found_message=>'No people matching search or filter criteria.'
,p_show_toolbar=>false
,p_toolbar_buttons=>null
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>false
,p_define_chart_view=>false
,p_enable_download=>false
,p_download_formats=>null
,p_fixed_header=>'NONE'
,p_show_icon_view=>false
,p_show_detail_view=>true
,p_detail_view_before_rows=>'<ul class="t-Cards t-Cards--featured t-Cards--cols u-colors t-Cards--displayInitials">'
,p_detail_view_for_each_row=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item">',
'  <div class="t-Card">',
'    <span id="card_&ID." class="t-Card-wrap">',
'      <div class="t-Card-icon u-color"><span class="t-Icon fa &ICON."><span class="t-Card-initials" role="presentation">&INITIALS.</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">&NAME.</h3></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">',
'          <div class="cardCol">',
'            <span class="&ICON. fa-2x"></span> &CATEGORY.<br>',
'            <span class="&GENDER_ICON. fa-2x"></span> &GENDER.',
'          </div>',
'          <div class="cardCol">',
'            <span class="cardLabel">Country: </span><span class="cardValue">&COUNTRY. </span><br>',
'              <span class="cardLabel">Born: </span><span class="cardValue">&FROM_YR. </span><br>',
'              <span class="cardLabel">Died: </span><span class="cardValue">&TO_YR. </span><br>',
'              <span class="cardLabel">Age: </span><span class="cardValue">&AGE. </span>',
'          </div>',
'        </div>',
'        <div class="t-Card-info">',
'            <a type="button" target="_blank" href="&LINK." class="t-Button t-Button--primary">',
'                <span class="t-Button-label">Learn More </span><span class="t-Icon t-Icon--right fa fa-external-link" aria-hidden="true"></span>',
'            </a>',
'        </div>',
'      </div>',
'    </span>',
'  </div>',
'</li>',
''))
,p_detail_view_after_rows=>'</ul>'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    if (!config.views) {',
'        config.views = {};',
'    }',
'    // there are now declarative attributes to remove chart and flashback.',
'    // don''t want the grid view',
'    config.views.grid = {',
'        disabled: true // starting in 19.1 this works',
'    };',
'    // Don''t want the report settings area. The only thing that would be in it are filters',
'    // and this example has other ways of indicateing that there are filters.',
'    // see replaced search functionality below and how the filter button is active when there are filters.',
'    config.reportSettingsArea = false;',
'',
'    config.defaultDetailViewOptions = {',
'        footer: false',
'    };',
'',
'    config.initActions = function(actions) {',
'        var searchAction = actions.lookup("search"),',
'            ig$ = $(actions.context);',
'',
'        // need to enhance search to use our own toolbar input field',
'',
'        // This undocumented extra action function lets you customize where the',
'        // search value comes from. Prior to 18.1 the value was returned. Now',
'        // it uses a callback to support async. prompting.',
'        searchAction.getSearchValue = function(callback) {',
'            var value = "";',
'',
'            value = $("#cardsToolbar").toolbar( "findElement", "search_field" ).val();',
'            callback(value);',
'        }',
'',
'        // Also want search from the toolbar to work differently!',
'        // Want new search term to REPLACE the current search term not add a new one.',
'        // DANGER this uses undocumented APIs that are marked internal do not use',
'        // this will change in the future and break this code',
'        searchAction.action = function() {',
'            searchAction.getSearchValue( function ( value ) {',
'                var i, filter, filterId, filters;',
'',
'                // search always applies to the first row filter and assume always not case sensitive',
'                filters = ig$.interactiveGrid("getFilters"); // DANGER using an internal API ',
'                for (i = 0; i < filters.length; i++) {',
'                    if (filters[i].type === "row" ) {',
'                        filterId = filters[i].id;',
'                        break;',
'                    }',
'                }',
'                if ( value ) {',
'                    filter = {',
'                        type: "row",',
'                        value: value,',
'                        isCaseSensitive: false',
'                    };',
'                    if ( filterId ) {',
'                        ig$.interactiveGrid("updateFilter", filterId, filter); // DANGER using an internal API',
'                    } else {',
'                        ig$.interactiveGrid("addFilter", filter ); // DANGER',
'                    }',
'                } else if (filterId ) {',
'                    ig$.interactiveGrid( "deleteFilter", filterId ); // DANGER',
'                } else {',
'                    // Just refresh if we have no search term',
'                    // think should this just do nothing?',
'                    ig$.interactiveGrid("refresh");',
'                }',
'            } );',
'        }',
'    };',
'',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31860811871080572861)
,p_interactive_grid_id=>wwv_flow_api.id(31860806279845545235)
,p_type=>'PRIMARY'
,p_default_view=>'DETAIL'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(98659000005)
,p_report_id=>wwv_flow_api.id(31860811871080572861)
,p_view_type=>'DETAIL'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(281366000005)
,p_view_id=>wwv_flow_api.id(98659000005)
,p_display_seq=>1000
,p_column_id=>wwv_flow_api.id(31860806629709545238)
,p_is_visible=>false
,p_is_frozen=>false
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31860812062280572861)
,p_report_id=>wwv_flow_api.id(31860811871080572861)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28080686350442678468)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(28080655761679980909)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28080686977298678474)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(28080655830546980910)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28080713397072837105)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(28080656302129980915)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(28080743920213697813)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(28080656581537980917)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860812521580572865)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(31860806405196545236)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860813040935572869)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31860806514909545237)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>104
,p_sort_order=>1
,p_sort_direction=>'DESC'
,p_sort_nulls=>'FIRST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860813565008572871)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31860806629709545238)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>144
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860814029425572874)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31860806757105545239)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>121
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860814484811572876)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31860806811652545240)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860815001739572879)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31860806884642545241)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860815496992572880)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31860807064851545242)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860815989945572882)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31860807092143545243)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31860816538542572884)
,p_view_id=>wwv_flow_api.id(31860812062280572861)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31860807229446545244)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>77
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(36130977775152784426)
,p_plug_name=>'Notes'
,p_region_name=>'notes'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_03'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page answers the question what if Universal Theme Cards could support ',
'progressive (infinite) scrolling.',
'</p>',
'<p>Demonstrates:<br>',
'IG Cards details view. Creating a custom toolbar using the toolbar widget.',
'<br>Customizations:<br>',
'IG details view attributes define the cards. Markup was adapted from UT card templates.',
'See inline page CSS.',
'Page attribute Execute when Page Loads defines actions and a custom toolbar.',
'Advanced JavaScript Code to turn off IG features and make search work with custom toolbar.',
'The way search works is improved and the filter button is active when there',
'are filters. Both use undocumented methods.',
'<p>Issues:</p>',
'<ul>',
'<li>The way IG row search works is cumbersome; it keeps adding search terms.',
'It takes using undocumented methods to fix this. See the code comments.</li>',
'<li>It would be nice if it were easier to use predefined card templates in IG in the future.</li>',
'<li>Disabling views such as grid should be easier.</li>',
'</ul>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
end;
/
prompt --application/pages/page_00021
begin
wwv_flow_api.create_page(
 p_id=>21
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Spinner'
,p_step_title=>'Spinner'
,p_autocomplete_on_off=>'OFF'
,p_javascript_file_urls=>'#JQUERYUI_DIRECTORY#/ui/widgets/spinner.js'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.jQuery(function() {',
'    apex.jQuery("#C_SAL,#C_COMM").spinner({});',
'});'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-GV-cell .ui-spinner-input {',
'    margin: -1px 0 -1px -10px;',
'    padding-left: 20px !important;',
'}',
'.a-GV-cell .ui-spinner .ui-icon {',
'    left: 50%;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190314115336'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31663270526491914576)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>On the forums someone <a href="https://community.oracle.com/message/14243423" target="_blank">asked</a> how to use the jQuery UI Spinner widget in IG.',
'The <b>best</b> thing to do would be to create an item plug-in. ',
'But the quick and dirty solution of initializing the Spinner on a number item ',
'works so it should work for a column item in IG as well.',
'</p>',
'<p>The Salary and Commission columns are given static IDs.',
'The JavaScript file is loaded in JavaScript File URLs.',
'The spinner is initialized in Function and Global Variable Declaration.',
'To make the spinner fit nicely in a grid cell a few inline CSS styles are added.',
'</p>',
'<p>To figure out what style changes were needed it was helpful to use the',
'grid widget debugCellEdit method so that the spiner input control didn''t disappear',
'while inspecting the styles.',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34751429257287726859)
,p_plug_name=>'Spinner'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751430437535726862)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751431005406726863)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751431597251726867)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751432161699726869)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751432742464726870)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751433403441726870)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751433970241726871)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751434591127726872)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_static_id=>'C_SAL'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751435134816726872)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_static_id=>'C_COMM'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751435796750726873)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751436350242726874)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751436992435726875)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751437519992726875)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751438150541726876)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751438734611726877)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751439341218726877)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34751439907678726878)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(34751429732549726860)
,p_internal_uid=>29518628044364210800
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34751430163885726861)
,p_interactive_grid_id=>wwv_flow_api.id(34751429732549726860)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34751430245083726861)
,p_report_id=>wwv_flow_api.id(34751430163885726861)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751431394563726865)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34751431005406726863)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751431962599726869)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34751431597251726867)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>78
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751432556212726870)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34751432161699726869)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751433188060726870)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34751432742464726870)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751433729193726871)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34751433403441726870)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>66
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751434315960726871)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34751433970241726871)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>93
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751434919324726872)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34751434591127726872)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751435507440726873)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34751435134816726872)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751436115770726874)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34751435796750726873)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751436753271726875)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34751436350242726874)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751437316347726875)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34751436992435726875)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751437928546726876)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34751437519992726875)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751438541139726877)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34751438150541726876)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751439119069726877)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34751438734611726877)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751439798422726878)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34751439341218726877)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34751440380772726878)
,p_view_id=>wwv_flow_api.id(34751430245083726861)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34751439907678726878)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(24287270601092316407)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(34751429257287726859)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00022
begin
wwv_flow_api.create_page(
 p_id=>22
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Always Edit'
,p_step_title=>'Always Edit'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// create a private scope where $ is set to apex.jQuery',
'(function($) {',
'',
'    // do this after the page loads but before the IG is initialized to catch the initial events',
'    $(function() {',
'        //',
'        // This is the general pattern for doing something to the view each time it is created',
'        //',
'        // listen for view change events to find out when grid views are created ',
'        $("#emp").on("interactivegridviewchange", function(event, data) {',
'            if ( data.view === "grid" && data.created ) {',
'                // as soon as the grid view is created go into edit mode',
'                // but actually need a little delay THINK why is this?',
'                setTimeout(function() {',
'                    var ig$ = apex.region("emp").widget();',
'                    ig$.interactiveGrid("getActions").set("edit", true);',
'                    // if the user tries to leave edit mode with Escape key return to edit mode',
'                    var grid$ = ig$.interactiveGrid("getViews").grid.view$;',
'                    grid$.on("gridmodechange", function(event, ui) {',
'                        if ( !ui.editMode ) {',
'                            // just setting the edit mode back to true isn''t enough (perhaps it should be).',
'                            // there is an issue with the cell not being reactivated',
'                            // so simulate a double click to go back into edit mode',
'                            setTimeout(function() {',
'                                if ( grid$.find(".a-GV-cell.is-focused").trigger("dblclick").length === 0) {',
'                                    // but if no cell is focused (could have left edit mode because of api call)',
'                                    // just go back into edit mode',
'                                    ig$.interactiveGrid("getActions").set("edit", true);',
'                                }',
'                            }, 100);',
'                        }',
'                    });',
'                }, 1);',
'            }',
'        });',
'',
'    });',
'})(apex.jQuery);',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190314130833'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32758472402290033019)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>A big difference between IG and Tabular forms from a user perspective is that ',
'IG has distinct navigation and editing modes. This is mainly done for accessiblity',
'and usability reasons. Related to this is that IG only shows the editable component',
'in the focused cell. As you move from cell to cell in edit mode only the focused',
'cell shows an edit control all the other cells show the static display text.',
'This was done for performance and scalability.</p>',
'',
'<p>In use cases where there are always just a few rows and columns some people have wanted',
'the tabular form style where controls are shown in every cell all the time. If you',
'need this then a tabular form is the way to go; IG can''t do it and I don''t think it',
'ever will. A potential half way point may be to always have the IG in edit mode.</p>',
'',
'<p>Demonstrates:<br>',
'Putting the IG in edit mode and when the user tries to leave edit mode setting',
'the IG back to edit mode. Removing the Edit button from the toolbar.',
'<br>Customizations:<br>',
'See the code in page attribute Function and Global Variable Declaration. Turn off multiple',
'selection because it doesn''t really work in edit mode.',
'See IG Advanced JavaScript for the code to remove the Edit button and attempt',
'to deal with Single Row View.',
'<br>Issues:<br>',
'Would be nice if the dubble click hack to put the IG back into edit mode wasn''t needed.<br>',
'Perhaps the grid widget should have an alwaysEdit option like recordView widget (SRV).<br>',
'Perhaps the grid widget should have an option to show all the controls in the current row.<br>',
'For single selection the selection actions menu is not that useful.<br>',
'There is an issue with single row view. It allows the user to leave edit mode. Trying',
'to solve this by forcing SRV into edit mode runs in to a bug when changing reports.',
'The solution used here is to remove single row view. See comments for details.',
'</p>',
'',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(35846631133085845302)
,p_plug_name=>'Always Edit'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846632313333845305)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'N'
,p_attribute_03=>'Y'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846632881204845306)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846633473049845310)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846634037497845312)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846634618262845313)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846635279239845313)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846635846039845314)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846636466925845315)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846637010614845315)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>true
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846637672548845316)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846638226040845317)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846638868233845318)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846639395790845318)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846640026339845319)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846640610409845320)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846641217016845320)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35846641783476845321)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(35846631608347845303)
,p_internal_uid=>34816095770205888680
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(o) {',
'    var toolbar = apex.jQuery.apex.interactiveGrid.copyDefaultToolbar();',
'    toolbar.toolbarRemove("edit");    // remove edit button',
'    o.toolbarData = toolbar;',
'',
'    // pick your poison:',
'    // 1) this gets rid of single row view but prior to 18.2 causes error when changing reports',
'    // now in 18.2 this works so it is a reasonable way to keep the user from leaving edit mode',
'    if (!o.views) { o.views = {}; }',
'    if (!o.views.grid) { o.views.grid = {features:{}}; }',
'    o.views.grid.features.singleRowView = false;',
'',
'    // 2) this puts single row view in always edit mode but causes errors when changing reports',
'    //o.defaultSingleRowOptions = {',
'    //    alwaysEdit: true',
'    //};',
'    return o;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(35846632039683845304)
,p_interactive_grid_id=>wwv_flow_api.id(35846631608347845303)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(35846632120881845304)
,p_report_id=>wwv_flow_api.id(35846632039683845304)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846633270361845308)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(35846632881204845306)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846633838397845312)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35846633473049845310)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846634432010845313)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(35846634037497845312)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846635063858845313)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35846634618262845313)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846635604991845314)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35846635279239845313)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846636191758845314)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35846635846039845314)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846636795122845315)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35846636466925845315)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846637383238845316)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35846637010614845315)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846637991568845317)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35846637672548845316)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846638629069845318)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(35846638226040845317)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846639192145845318)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(35846638868233845318)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846639804344845319)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35846639395790845318)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846640416937845320)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35846640026339845319)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846640994867845320)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35846640610409845320)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846641674220845321)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35846641217016845320)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35846642256570845321)
,p_view_id=>wwv_flow_api.id(35846632120881845304)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35846641783476845321)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(38754801596183885831)
,p_interactive_grid_id=>wwv_flow_api.id(35846631608347845303)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(38754801677381885831)
,p_report_id=>wwv_flow_api.id(38754801596183885831)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754802826861885835)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(35846632881204845306)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754803394897885839)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35846633473049845310)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754803988510885840)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(35846634037497845312)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754804620358885840)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35846634618262845313)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754805161491885841)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35846635279239845313)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754805748258885841)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35846635846039845314)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754806351622885842)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35846636466925845315)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754806939738885843)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35846637010614845315)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754807548068885844)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35846637672548845316)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754808185569885845)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(35846638226040845317)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754808748645885845)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(35846638868233845318)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754809360844885846)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35846639395790845318)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754809973437885847)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35846640026339845319)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754810551367885847)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35846640610409845320)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754811230720885848)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35846641217016845320)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(38754811813070885848)
,p_view_id=>wwv_flow_api.id(38754801677381885831)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35846641783476845321)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(40164550190256122197)
,p_interactive_grid_id=>wwv_flow_api.id(35846631608347845303)
,p_name=>'Sort by Job'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(40164550271454122197)
,p_report_id=>wwv_flow_api.id(40164550190256122197)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164551420934122201)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(35846632881204845306)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164551988970122205)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35846633473049845310)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164552582583122206)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(35846634037497845312)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164553214431122206)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35846634618262845313)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164553755564122207)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35846635279239845313)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>79
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164554342331122207)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35846635846039845314)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>89
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164554945695122208)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35846636466925845315)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164555533811122209)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35846637010614845315)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164556142141122210)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35846637672548845316)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164556779642122211)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(35846638226040845317)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164557342718122211)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(35846638868233845318)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164557954917122212)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35846639395790845318)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164558567510122213)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35846640026339845319)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164559145440122213)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35846640610409845320)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164559824793122214)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35846641217016845320)
,p_is_visible=>true
,p_is_frozen=>false
);
end;
/
begin
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40164560407143122214)
,p_view_id=>wwv_flow_api.id(40164550271454122197)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35846641783476845321)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(5232820556650561784)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(35846631133085845302)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00023
begin
wwv_flow_api.create_page(
 p_id=>23
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Wide Report'
,p_step_title=>'Wide Report'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function resizeMainContent() {',
'    var height = $(window).height(); // start with the window height',
'    // subtract off all the fixed height regions and header',
'    height -= $("#notes").outerHeight();',
'    height -= $(".t-Header").outerHeight();',
'    height -= $("#t_Body_content_offset").height();',
'    height -= $(".t-Footer").outerHeight();',
'    height -= $("#emp .t-Region-header").outerHeight();',
'    height -= 2; // - 2 for the border on the IG region',
'    // if the screen is very small then the responsive features of UT kick in',
'    // and the height set on the notes region for example gets ignored. ',
'    // So just incase set a minimum height for the report',
'    if ( height < 200 ) {',
'        height = 200;',
'    }',
'    // then set the height of the regions that will stretch',
'    // setOuterHeight takes into consideration the borders etc. on the grid itself.',
'    apex.util.setOuterHeight(apex.region("emp").widget(), height);',
'}',
'$(window).on("apexwindowresized", resizeMainContent);',
'resizeMainContent();'))
,p_css_file_urls=>'#IMAGE_PREFIX#plugins/com.oracle.apex.starrating_modern/com_oracle_apex_starrating_modern.css'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* If trying to maximize the screen space available for the wide grid region',
' * you may not want much or any padding on the main body.',
' */',
'.t-Body-contentInner {',
'    padding: 0;',
'}',
'/* The region heights will be set in JavaScript so don''t want the body to ',
' * have an explicit height */',
'.t-Body-content {',
'    min-height: initial;',
'}',
'/* If the main page never scrolls then there is little point in a back to top button',
' * You could hide the while footer (.t-Footer) but at that point you may want',
' * to look at creating a custom page template such as ''Fit to Window'' that doesn''t have a footer.',
' */',
'.t-Footer-top {',
'    display: none;',
'}',
''))
,p_step_template=>wwv_flow_api.id(31643803401376161492)
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190314142352'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28866494028224963441)
,p_plug_name=>'Notes'
,p_region_name=>'notes'
,p_region_css_classes=>'i-h140'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>When a report contains a large number of columns and rows it can lead to a ',
'usability issue because you must first scroll vertically to the bottom of the ',
'report to get to the horizontal scrollbar. There are many forum questions',
'about this. For example <a target="_blank" href="https://community.oracle.com/thread/4172637">this</a>',
'and <a target="_blank" href="https://community.oracle.com/thread/4166983">this</a>.',
'It is often blamed on Interactive Grid and some people have requested that',
'the IG horizontal scrollbar stick to the bottom of the page.',
'The issue is not specific to Interactive Grid and has come up in relation to',
'Interactive Report for example <a target="_blank" href="https://community.oracle.com/message/13362035">here</a>',
'and <a target="_blank" href="https://community.oracle.com/message/13782816">here</a>.',
'The problem is actually very general and applies to any region content that is wider',
'than the page.',
'</p>',
'<p>The root cause is that the APEX Universal Theme page is optimized for ',
'vertical scrolling. All the UT page templates work this way. It is part of the',
'responsive design. But not all web pages are intended to be viewed on a phone.',
'If you have a report with 50 or so columns and hundreds of rows you probably ',
'intend it to be viewed on a desktop screen. UT does not provide a page template',
'for this.',
'</p>',
'<p>This page shows a solution to the problem using the standard UT page template.',
'See the Split Grid and Form Multi-edit page for an example that uses ',
'custom page template Fit to Window. The IG defaults of scroll pagination and',
'heading fixed to page are designed to work well with the UT intention of only',
'vertical scrolling. If you have a region that is wider and taller than the browser',
'window or you have multiple regions either side by side or one on top of the other',
'and the regions need to scroll either horzontally or vertically or both then ',
'the browser window should not scroll, all regions should fit on the page, and',
'each of the regions should have their own scrollbars. APEX and UT do not make ',
'this automatic but it is possible.</p>',
'<p>This example uses a static Notes region and an Interactive Grid but the ',
'technique is easily adapted to other region types and also applies to editable IG',
'regions.</p>',
'<ul>',
'<li>If the region to scroll supports sticky headers or footers turn them off.',
'For IG this means set header fixed to region and give it a reasonably small height.</li>',
'<li>Use the Standard page template and make some minor CSS changes to get it ready',
'for not scrolling. See the page inline CSS attribute. You may want to remove ',
'padding, get rid of the body content min-height and hide the footer back to top link.',
'You could also create your own custom page template for example if you didn''t want',
'to have any footer.</li>',
'<li>The remaining step and the part that needs to be customized for each use case is',
'to resize all the regions so they fit exactly on the page so the browser window',
'never has a scroll bar. See the code in the Execute when Page Loads attribute.',
'The width will generally take care of itself. Start with the window height and',
'subtract off all the regions with a fixed height as well as the page header.',
'Then apportion the remaining height to the variable sized regions. Set the height',
'of the region and/or widget inside the region. If the region widget has a',
'resize method you may need to call it. Getting the height just right can take',
'some investigation to find some padding, border or margin somewhere on the page',
'that is causing a scrollbar on the window or extra blank space.',
'You need to use the apexwindowresized event to redo the calculation any time',
'the window size changes.',
'</li>',
'</ul>',
'</p> ',
'<p>Customizations:<br>',
'See the page attributes Inline CSS and Execute when Page Loads. The region ',
'template options didn''t have a small enough height for the notes region so',
'I added i-h140 to the region CSS classes.',
'<br>Issues:<br>',
'You need to consider what happens if the page does go responsive because',
'UT changes how the page layout grid is layed out and how region height is determined',
'for small screens.<br>',
'The UT classes and ids such as t-Header and t_Body_content_offset and API',
'apex.util.setOuterHeight are not documented.',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31958607287944838376)
,p_plug_name=>'Wide Report'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody:margin-bottom-none'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING,',
'       nvl2(RATING, to_char((RATING / 5) * 100) || ''%'', ''0'') as RATING_PCT',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(27295786840003832383)
,p_name=>'RATING_PCT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING_PCT'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>170
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958608931543838387)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'#'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>20
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958609599889838388)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958610139194838389)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958610813001838390)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958611357682838390)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>60
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958611977488838391)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958612563358838392)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958613119378838392)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958613761000838393)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958674355356838394)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958674917468838395)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Flex 1'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958675595480838395)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Flex 2'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>130
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958676169349838396)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Flex 3'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>140
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958676778315838397)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Flex 4'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>150
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958677383257838399)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>160
,p_value_alignment=>'LEFT'
,p_attribute_01=>'<div class="star-rating star-rating-grid" aria-label="Rating: &RATING."><div class="star-rating-inner" aria-hidden="true" style="width: 82px; height: 16px" title="Rating: &RATING."><span class="star-rating-bg" aria-hidden="true"><span class="star-rat'
||'ing-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span><span class="star-rating-star fa fa-star" styl'
||'e="color: lightgray;"></span><span class="star-rating-star fa fa-star" style="color: lightgray;"></span></span><span class="star-rating-stars" aria-hidden="true" style="width:&RATING_PCT.;color: red;"><span class="star-rating-star fa fa-star" style="'
||'color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-rating-star fa fa-star" style="color: red;"></span><span class="star-ratin'
||'g-star fa fa-star" style="color: red;"></span></span></div></div>'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31958607738037838377)
,p_internal_uid=>31527910582153603291
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>200
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31958608206515838385)
,p_interactive_grid_id=>wwv_flow_api.id(31958607738037838377)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31958608234616838386)
,p_report_id=>wwv_flow_api.id(31958608206515838385)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(27525701654474004373)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(27295786840003832383)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958609371008838388)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(31958608931543838387)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>68
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958609993977838389)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31958609599889838388)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>108
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958610602110838390)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31958610139194838389)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>93
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958611120761838390)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31958610813001838390)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>80
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958611767636838391)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31958611357682838390)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958612318074838392)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31958611977488838391)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958613001191838392)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31958612563358838392)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>95
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958613522154838393)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31958613119378838392)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>80
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958674129382838394)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31958613761000838393)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>187
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958674741003838394)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31958674355356838394)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>119
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958675370719838395)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31958674917468838395)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>96
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958675942347838396)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31958675595480838395)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958676587756838396)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31958676169349838396)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>126
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958677141990838399)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31958676778315838397)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>103
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958677726122838400)
,p_view_id=>wwv_flow_api.id(31958608234616838386)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31958677383257838399)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>115
);
end;
/
prompt --application/pages/page_00024
begin
wwv_flow_api.create_page(
 p_id=>24
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Rich Text and Custom Popup'
,p_step_title=>'Rich Text and Custom Popup'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// utility functions',
'',
'function updateCompensation(source) {',
'    var factor,',
'        percent = $v("P24_COMM_PERCENT"),',
'        sal = parseFloat($v("P24_SAL")),',
'        salActual = parseFloat($v("P24_SAL_BIWEEKLY")),',
'        period = $v("P24_PAY_PERIOD");',
'',
'    if (percent.length > 0) {',
'        percent = parseFloat($v("P24_COMM_PERCENT")) / 100;',
'    } else {',
'        percent = 0;',
'    }',
'    factor = {',
'        "B": 1,',
'        "M": 26/12,',
'        "Y": 26',
'    }[period];',
'',
'    if (source === "P") {',
'        // assume sal biweekly is correct',
'        $s("P24_SAL", salActual * factor, null, true);',
'    } else if (source === "S") {',
'        // assume sal is correct',
'        $s("P24_SAL_BIWEEKLY", sal / factor, null, true);',
'    } else if (source === "I") {',
'        $s("P24_SAL", salActual * factor, null, true);',
'        $s("P24_COMM_PERCENT", Math.round((parseFloat($v("P24_COMM") || 0) / salActual) * 100), null, true);',
'        return;',
'    }',
'    $s("P24_COMM", percent === 0 ? "" : "" + Math.round(percent * parseFloat($v("P24_SAL_BIWEEKLY"))), null, true);',
'}',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var selectManagerIG$ = apex.region("selectManagerIG").widget();',
'// set up some event handlers to make working with the select managers popup better',
'// use new activatecell event to make selection on double click or enter',
'// use down arrow in search field to move into the grid',
'',
'function saveMgrIG() {',
'    var rec = selectManagerIG$.interactiveGrid("getSelectedRecords")[0],',
'        model = selectManagerIG$.interactiveGrid("getCurrentView").model;',
'',
'    if ( rec ) {',
'        // save the selected value and close popup',
'        $("#managerDlg").popup("setValue", rec ? {',
'                v: model.getValue(rec, "EMPNO"),',
'                d: model.getValue(rec, "ENAME")',
'            } : null)',
'            .popup("option", "valueConfirmed", true)',
'            .popup("close");',
'    }',
'}',
'',
'selectManagerIG$.on("gridactivatecell", function(event) {',
'    var cell$ = $(event.target).closest(".a-GV-cell");',
'',
'    if ( (event.type === "keydown" && event.which !== $.ui.keyCode.ENTER) ||',
'            cell$.hasClass("a-GV-selHeader") || cell$.hasClass("has-button") ) {',
'        return;',
'    }',
'    saveMgrIG();',
'}).on("keydown", "#selectManagerIG_ig_toolbar_search_field", function(event) { // using internal knowledge of how id is generated',
'    if ( event.which === $.ui.keyCode.DOWN ) {',
'        selectManagerIG$.interactiveGrid("getCurrentView").view$.grid("focus");',
'        event.preventDefault();',
'    }',
'}).on("gridselectionchange", function(event) {',
'    // also since selecting just one manager (not multi select) close popup',
'    // on selection with the mouse click.',
'    if (event.originalEvent && event.originalEvent.type === "click") {',
'        saveMgrIG();',
'    }',
'});'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'',
'#P24_RICH_TEXT_CONTAINER {',
'    margin: 0;',
'}',
'#P24_RICH_TEXT_CONTAINER .t-Form-inputContainer {',
'    padding: 0;',
'}',
'#managerDlg .t-ButtonRegion-buttons,',
'#notesDlg .t-ButtonRegion-buttons {',
'    padding: 8px;',
'}',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190314135106'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(768751450531709514)
,p_plug_name=>'Compensation'
,p_region_name=>'compDlg'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1652113346352649665)
,p_plug_name=>'Select Manager'
,p_region_name=>'managerDlg'
,p_region_template_options=>'#DEFAULT#:t-DialogRegion--noPadding:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(659831297558836131)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1652113992852649671)
,p_plug_name=>'Managers'
,p_region_name=>'selectManagerIG'
,p_parent_plug_id=>wwv_flow_api.id(1652113346352649665)
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643806541173161500)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select empno, ename, job, onleave ',
'  from eba_demo_ig_emp'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1652114175542649673)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(5348618618659458024)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>20
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(5348618646254458025)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(5348619743392458036)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(1652114114280649672)
,p_internal_uid=>621578276138693049
,p_is_editable=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_FIELD:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>false
,p_define_chart_view=>false
,p_enable_download=>false
,p_download_formats=>null
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>600
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    var feat = apex.util.getNestedObject(config, "views.grid.features");',
'',
'    feat.singleRowView = false;',
'    feat.highlight = false;',
'    feat.aggregate = false;',
'    config.defaultGridViewOptions = {',
'        footer: false',
'    }',
'    // ISSUE getting rid of the actions menu and hiding the report settings area',
'    // means that if the user defines a filter using the column heading menu there ',
'    // is no way to remove it. Consider adding filter button to toolbar or',
'    // enabling report settings area or disable filtering from the column headings.',
'    config.reportSettingsArea = false;',
'    config.initActions = function(actions) {',
'        // want search form the toolbar to work differently!',
'        // Want new search term to REPLACE the current search term not add a new one.',
'        // DANGER this uses undocumented APIs that are marked internal do not use',
'        // this will change in the future and break this code',
'        var searchAction = actions.lookup("search"),',
'            ig$ = $(actions.context);',
'',
'        searchAction.action = function() {',
'            searchAction.getSearchValue( function ( value ) {',
'                var i, filter, filterId, filters;',
'',
'                // search always applies to the first row filter and assume always not case sensitive',
'                filters = ig$.interactiveGrid("getFilters"); // DANGER using an internal API ',
'                for (i = 0; i < filters.length; i++) {',
'                    if (filters[i].type === "row" ) {',
'                        filterId = filters[i].id;',
'                        break;',
'                    }',
'                }',
'                if ( value ) {',
'                    filter = {',
'                        type: "row",',
'                        value: value,',
'                        isCaseSensitive: false',
'                    };',
'                    if ( filterId ) {',
'                        ig$.interactiveGrid("updateFilter", filterId, filter); // DANGER using an internal API',
'                    } else {',
'                        ig$.interactiveGrid("addFilter", filter ); // DANGER',
'                    }',
'                } else if (filterId ) {',
'                    ig$.interactiveGrid( "deleteFilter", filterId ); // DANGER',
'                } else {',
'                    // Just refresh if we have no search term',
'                    // think should this just do nothing?',
'                    ig$.interactiveGrid("refresh");',
'                }',
'            } );',
'        }',
'    };',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(5348624216817469118)
,p_interactive_grid_id=>wwv_flow_api.id(1652114114280649672)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(5348624303322469119)
,p_report_id=>wwv_flow_api.id(5348624216817469118)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1030545229287308824)
,p_view_id=>wwv_flow_api.id(5348624303322469119)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(5348619743392458036)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>81
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(5348624778551469125)
,p_view_id=>wwv_flow_api.id(5348624303322469119)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(1652114175542649673)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>142
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(5348625290736469144)
,p_view_id=>wwv_flow_api.id(5348624303322469119)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(5348618618659458024)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>142
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(5348625834590469151)
,p_view_id=>wwv_flow_api.id(5348624303322469119)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(5348618646254458025)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>121
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(5348620695984458045)
,p_plug_name=>'Test Custom Popup'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_display_condition_type=>'NEVER'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(5348621132111458049)
,p_plug_name=>'Employee Notes'
,p_region_name=>'notesDlg'
,p_region_template_options=>'#DEFAULT#:t-DialogRegion--noPadding:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32874266800510794412)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Some people have wanted to use the Rich Text Editor item in IG columns ',
'(see <a target="_blank" href="https://community.oracle.com/message/14605307#14605307">here</a> for example).</p>',
'',
'<p>This page shows a work around that allows a column to use a Rich Text Editor.',
'It uses the Custom Popup plug-in for three columns. It is used to pick the Manager using ',
'an IG region in a popup, enter compensation in a dialog and to edit notes',
'in a rich text editor in a dialog. The plug-in can be configured to open',
'with a button or on focus. Play around with the Has Button and Display Under Field',
'attributes. It works with either inline popups or inline dialogs. ',
'It can be used for normal page items as well. There is a demo/test',
'page for the Custom Popup plug-in <a href="f?p=&APP_ID.:530:&SESSION.">here</a>.</p>',
'',
'<p>Demonstrates:<p>',
'<ul>',
'<li>A general purpose item plug-in called Custom Popup that can be used to get a value from any inline modal dialog.',
'This plug-in is an example of an item plug-in designed to work as a column or page item.</li>',
'<li>How to put a Rich Text Editor in an inline modal dialog region. (See DA notes dlg add methods.)</li>',
'<li>How to put an Interactive Grid in an inline modal dialog/popup region. (This got easier in 18.2)</li>',
'</ul>',
'<p>Customizations:<br>',
'The Custom Popup column item type is used for the MGR, SAL, and NOTES columns.',
'The IG used to select a manager is configured to minimize functionality so that',
'it is focused on filtering and selecting. Most of the interesting stuff is in ',
'the inline dialog and inline popup regions and their many Dynamic Actions.',
'Remember to use the correct widget depending on if',
'it is a dialog or popup. For example use event popupopen or dialogopen.',
'The SAL Custom Popup demonstrates how the plug-in supports multiple inputs and outputs.',
'There are also a few inline CSS styles for the inline regions.',
'There is a disabled region Test Custom Popup that shows how the plug-in can',
'be used for page items. See the Custom Popup plug-in defintion in shared components',
'and read the help for the various Custom Popup attributes. It is possible for ',
'more than one Custom Popup item to use the same inline region.',
'<br>Issues:<br>',
'The math in the Compensation dialog probably needs fine tuning.<br>',
'This is-readonly class on the COMM column doesn''t keep it from being edited in single row view.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(35962425531306606695)
,p_plug_name=>'Rich Text and Custom Popup'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962426711554606698)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962427279425606699)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962427871270606703)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962428435718606705)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962429016483606706)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_static_id=>'jobCol'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962429677460606706)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_01=>'managerDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'N'
,p_attribute_05=>'Select Manager'
,p_attribute_06=>'Y'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962430244260606707)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962430865146606708)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_heading=>'Salary'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>80
,p_value_alignment=>'LEFT'
,p_attribute_01=>'compDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'Y'
,p_attribute_05=>'Open Compensation'
,p_attribute_06=>'N'
,p_attribute_07=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'    C_COMM: "COMM"',
'}'))
,p_attribute_08=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'    COMM: "C_COMM"',
'}'))
,p_is_required=>false
,p_lov_type=>'STATIC'
,p_lov_source=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962431408835606708)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_value_css_classes=>'is-readonly'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_static_id=>'C_COMM'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962432070769606709)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962432624261606710)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'notesDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_05=>'Open Notes Editor'
,p_attribute_06=>'Y'
,p_is_required=>false
,p_max_length=>1000
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select substr(striphtml(notes), 1, 40) as d, notes as r ',
'  from eba_demo_ig_emp'))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962433266454606711)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962433794011606711)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962434424560606712)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962435008630606713)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962435615237606713)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(35962436181697606714)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(35962426006568606696)
,p_internal_uid=>34931890168426650073
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(35962426437904606697)
,p_interactive_grid_id=>wwv_flow_api.id(35962426006568606696)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(35962426519102606697)
,p_report_id=>wwv_flow_api.id(35962426437904606697)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962427668582606701)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(35962427279425606699)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962428236618606705)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(35962427871270606703)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962428830231606706)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(35962428435718606705)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>90
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962429462079606706)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(35962429016483606706)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962430003212606707)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(35962429677460606706)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>84
);
end;
/
begin
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962430589979606707)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(35962430244260606707)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>181
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962431193343606708)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(35962430865146606708)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>65
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962431781459606709)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(35962431408835606708)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>91
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962432389789606710)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(35962432070769606709)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962433027290606711)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(35962432624261606710)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>266
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962433590366606711)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(35962433266454606711)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>88
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962434202565606712)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(35962433794011606711)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962434815158606713)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(35962434424560606712)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962435393088606713)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(35962435008630606713)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962436072441606714)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(35962435615237606713)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35962436654791606714)
,p_view_id=>wwv_flow_api.id(35962426519102606697)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(35962436181697606714)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(768752773070709528)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(768751450531709514)
,p_button_name=>'CANCEL3'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(768752857139709529)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(768751450531709514)
,p_button_name=>'OK3'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5348621289963458051)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(5348621132111458049)
,p_button_name=>'CANCEL2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5348621417540458052)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(5348621132111458049)
,p_button_name=>'OK2'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(656086080929518490)
,p_name=>'P24_NEW'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(5348620695984458045)
,p_prompt=>'Text field'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(656086204960518491)
,p_name=>'P24_NEW_1'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(5348620695984458045)
,p_prompt=>'Popup LOV for reference'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_named_lov=>'EMP_JOBS'
,p_lov=>'.'||wwv_flow_api.id(28066362110306461822)||'.'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NOT_ENTERABLE'
,p_attribute_02=>'FIRST_ROWSET'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751461255709515)
,p_name=>'P24_PAY_PERIOD'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(768751450531709514)
,p_prompt=>'Pay Period'
,p_source=>'B'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_RADIOGROUP'
,p_lov=>'STATIC:Yearly;Y,Monthly;M,Biweekly;B'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs:t-Form-fieldContainer--radioButtonGroup'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'3'
,p_attribute_02=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751596138709516)
,p_name=>'P24_SAL'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(768751450531709514)
,p_prompt=>'Salary'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751726022709517)
,p_name=>'P24_SAL_BIWEEKLY'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(768751450531709514)
,p_display_as=>'NATIVE_HIDDEN'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751835236709518)
,p_name=>'P24_COMM_PERCENT'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(768751450531709514)
,p_prompt=>'Commission'
,p_post_element_text=>'%'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751934914709519)
,p_name=>'P24_COMM'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(768751450531709514)
,p_display_as=>'NATIVE_HIDDEN'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348620816061458046)
,p_name=>'P24_POPUP1'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(5348620695984458045)
,p_prompt=>'Popup 1'
,p_source=>'7698'
,p_source_type=>'STATIC'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'select ename, empno from eba_demo_ig_emp'
,p_cSize=>60
,p_cMaxlength=>10
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'managerDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_05=>'Popup Select Manager'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348621178991458050)
,p_name=>'P24_RICH_TEXT'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(5348621132111458049)
,p_prompt=>'Notes'
,p_display_as=>'NATIVE_RICH_TEXT_EDITOR'
,p_cSize=>30
,p_cMaxlength=>4000
,p_cHeight=>10
,p_grid_label_column_span=>0
,p_field_template=>wwv_flow_api.id(31643838645028161546)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_warn_on_unsaved_changes=>'I'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(o) {',
'    o.resize_enabled = false;',
'    return o;',
'}'))
,p_attribute_02=>'Basic'
,p_attribute_03=>'Y'
,p_attribute_05=>'top'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348621723648458055)
,p_name=>'P24_POPUP2'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(5348620695984458045)
,p_prompt=>'Popup 2'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<b>Testing</b>',
'<p>More text.</p>'))
,p_source_type=>'STATIC'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'select substr(striphtml(:P24_POPUP2), 1, 40) as d, :P24_POPUP2 as r from dual'
,p_lov_display_null=>'YES'
,p_cSize=>80
,p_cMaxlength=>10
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'notesDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_05=>'Popup Rich Text Editor'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(5348614547828323303)
,p_tabular_form_region_id=>wwv_flow_api.id(35962425531306606695)
,p_validation_name=>'New'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must have a value.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(1652113740586649669)
,p_name=>'mgr dlg add methods'
,p_event_sequence=>20
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(1652113937426649670)
,p_event_id=>wwv_flow_api.id(1652113740586649669)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var inst = $("#managerDlg").data("apex-popup"); // "ui-dialog" if using an inline dialog rather than a popup',
'inst.dialogValue = "";',
'inst.setValue = function(value) {',
'    this.dialogValue = value;',
'};',
'inst.getValue = function() {',
'    return this.dialogValue;',
'};',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348621740279458056)
,p_name=>'notes dlg add methods'
,p_event_sequence=>30
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348621851870458057)
,p_event_id=>wwv_flow_api.id(5348621740279458056)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var dialog$ = $("#notesDlg"),',
'    inst = dialog$.data("ui-dialog");',
'',
'inst.setValue = function(value) {',
'    $s("P24_RICH_TEXT", value);',
'};',
'inst.getValue = function() {',
'    var value = $v("P24_RICH_TEXT");',
'    return {',
'        v: value,',
'        d: apex.util.stripHTML(value).substr(0, 40)',
'    };',
'};',
'',
'// Do some fix ups to make rich text editor (which uses an iframe) work well in a dialog',
'// perhaps this should be built into the rich text editor item',
'var orig_allowInteraction = $.ui.dialog.prototype._allowInteraction;',
'$.ui.dialog.prototype._allowInteraction = function(event) {',
'    // address interaction issues with general iframes with the dialog',
'    if (event.target.ownerDocument != this.document[0]) {',
'        return true;',
'    }',
'    // address interaction issues with dialog window',
'    if ($(event.target).closest(".cke_dialog").length) {',
'        return true;',
'    }',
'    // address interaction issues with iframe based drop downs in IE',
'    if ($(event.target).closest(".cke").length) {',
'        return true;',
'    }',
'    return orig_allowInteraction.apply(this, arguments);',
'};',
'',
'var rt = CKEDITOR.instances.P24_RICH_TEXT;',
'',
'rt.on("key", function(event) {',
'    var index, tabStops$;',
'',
'    var key = event.data.keyCode;',
'    if (key === 27) { // escape',
'        dialog$.dialog("close");',
'        event.cancel();',
'    }',
'});',
'',
'// Make this focus event to cross the iframe boundary because IG ',
'// needs to track focus of popups to manage cell activation/deactivation.',
'rt.on("focus", function(event) {',
'    dialog$.find("iframe").trigger("focus");',
'});',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348619084370458029)
,p_name=>'mgr dlg resize and open'
,p_event_sequence=>50
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(1652113346352649665)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'popupresize popupopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348619159381458030)
,p_event_id=>wwv_flow_api.id(5348619084370458029)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var h = $(this.triggeringElement).find(".t-DialogRegion-bodyWrapperOut").height();',
'// Using Template Option to remove the padding if that wasn''t there',
'// would need to subtract off the padding here',
'apex.region("selectManagerIG").widget().height(h - 2);',
''))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348619321264458031)
,p_name=>'mgr dlg open'
,p_event_sequence=>60
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(1652113346352649665)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'popupopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348619370084458032)
,p_event_id=>wwv_flow_api.id(5348619321264458031)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// This is no longer necessary in 18.2. Starting in 18.2 Charts and IG regions initialize just fine in inline dialogs and popups.',
'// apex.widget.util.visibilityChange(this.triggeringElement, "show");',
'// make initial selection',
'var rec,',
'    ig$ = apex.region("selectManagerIG").widget(),',
'    view = ig$.interactiveGrid("getCurrentView"), // assume it will be grid view',
'    value = $(this.triggeringElement).popup("getValue");',
'',
'// wait just a bit because if was invisible takes a moment to initialize the first time',
'setTimeout(function() {',
'    rec = view.model.getRecord(value);',
'    // todo think about how this initial selection could be more robust; only delay if need to',
'    if (rec) {',
'        view.view$.grid("setSelectedRecords", [rec]);',
'    }',
'}, 500);',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348621972722458058)
,p_name=>'notes dlg open'
,p_event_sequence=>70
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(5348621132111458049)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348622104906458059)
,p_event_id=>wwv_flow_api.id(5348621972722458058)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// Need to set focus inside the dialog right away because IG ',
'// needs to track focus of popups to manage cell activation/deactivation.',
'$("#notesDlg").find("button").eq(0).focus();',
'// then focus the RTE',
'setTimeout(function() {',
'    // not sure why such a long delay is needed for focus to work',
'    apex.item("P24_RICH_TEXT").setFocus();',
'}, 500);',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348621451760458053)
,p_name=>'cancel rte dlg'
,p_event_sequence=>90
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(5348621289963458051)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348621564439458054)
,p_event_id=>wwv_flow_api.id(5348621451760458053)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(5348621132111458049)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348622173440458060)
,p_name=>'ok rte dlg'
,p_event_sequence=>100
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(5348621417540458052)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348622272993458061)
,p_event_id=>wwv_flow_api.id(5348622173440458060)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(5348621132111458049)
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'$(this.affectedElements).dialog("option", "valueConfirmed", true).dialog("close");',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348622759610458066)
,p_name=>'notes dlg resize and open'
,p_event_sequence=>110
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(5348621132111458049)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogresize dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348622919030458067)
,p_event_id=>wwv_flow_api.id(5348622759610458066)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var bodyWrap$ = $(this.triggeringElement).find(".t-DialogRegion-bodyWrapperOut"),',
'    w = bodyWrap$.width();',
'    h = bodyWrap$.height();',
'// only resize if ready',
'if (CKEDITOR.instances.P24_RICH_TEXT.status === "ready" ) {',
'    // there is a Template Option to remove the padding if that wasn''t there',
'    // would need to subtract off the padding here',
'    CKEDITOR.instances.P24_RICH_TEXT.resize(w, h);',
'} else {',
'    // resize once ready',
'    CKEDITOR.instances.P24_RICH_TEXT.on("instanceReady", function() {',
'        CKEDITOR.instances.P24_RICH_TEXT.resize(w, h);',
'        // and also focus',
'        apex.item("P24_RICH_TEXT").setFocus();',
'    });',
'}',
''))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(768752039206709520)
,p_name=>'update comp p'
,p_event_sequence=>120
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_PAY_PERIOD'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(768752081856709521)
,p_event_id=>wwv_flow_api.id(768752039206709520)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'updateCompensation("P");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(768752202892709522)
,p_name=>'update comp c'
,p_event_sequence=>130
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_COMM_PERCENT'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(768752312749709523)
,p_event_id=>wwv_flow_api.id(768752202892709522)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'updateCompensation("C");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(768752426415709524)
,p_name=>'update comp s'
,p_event_sequence=>140
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P24_SAL'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(768752502352709525)
,p_event_id=>wwv_flow_api.id(768752426415709524)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'updateCompensation("S");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(768752582392709526)
,p_name=>'compensation dlg add methods'
,p_event_sequence=>150
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(768752711090709527)
,p_event_id=>wwv_flow_api.id(768752582392709526)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var inst = $("#compDlg").data("ui-dialog");',
'inst.setValue = function(value) {',
'    $s("P24_SAL_BIWEEKLY", value.v, null, true);',
'    $s("P24_COMM", value.COMM, null, true);',
'    updateCompensation("I");',
'};',
'inst.getValue = function() {',
'    var value = {',
'        v: $v("P24_SAL_BIWEEKLY"),',
'        COMM: $v("P24_COMM")',
'    };',
'    return value;',
'};',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(768753003213709530)
,p_name=>'cancel comp dlg'
,p_event_sequence=>160
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(768752773070709528)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(768753065177709531)
,p_event_id=>wwv_flow_api.id(768753003213709530)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(768751450531709514)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(768753240081709532)
,p_name=>'ok comp dlg'
,p_event_sequence=>170
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(768752857139709529)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(768753350515709533)
,p_event_id=>wwv_flow_api.id(768753240081709532)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(768751450531709514)
,p_attribute_01=>'$(this.affectedElements).dialog("option", "valueConfirmed", true).dialog("close");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(5348614758400323308)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(35962425531306606695)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00025
begin
wwv_flow_api.create_page(
 p_id=>25
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Master Detail Dialog (close)'
,p_step_title=>'Master Detail Dialog (close)'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var app = {};',
'(function($, app) {',
'    // Master Detail pages currently have a problem with making validation',
'    // errors easily accessible. This is not specific to this example where the',
'    // detail is in a dialog. When there is a validation error in a detail model',
'    // the user is not directed to the detail IG that has the error.',
'    // Ideally IG would handle this automatically some how. Here is a ',
'    // work around that explicitly moves information about the changes and errors',
'    // in each of the detail IGs into the master IG record.',
'    function bubbleUpDetailStatus() {',
'        var details = apex.model.list(false,"emp_grid"), // warning: using internal knowledge of how IG names models',
'            masterModel = apex.region("dept").call("getViews", "grid").model;',
'',
'        // loop over all the detail models by id',
'        details.forEach(function(mid) {',
'            var errors, changes, meta,',
'                highlight = null,',
'                model = apex.model.get(mid),',
'                recId = model.getOption("parentRecordId");',
'',
'            if (recId) {',
'                // update the master model ERRORS and CHANGES hidden columns',
'                // and highlight metadata on the OPEN_DETAIL column',
'                // See page inline css rules for how the highlight class is used',
'                // See master model JavaScript Initialization Code for how tooltip',
'                // uses the errors and changes.',
'                errors = model.getErrors().length;',
'                // see doc for isChanged to see why we use it like this; its because of auto inserted records',
'                changes = model.isChanged() ? model.getChanges().length : 0;',
'                masterModel.setRecordValue(recId, "ERRORS", "" + errors);',
'                masterModel.setRecordValue(recId, "CHANGES", "" + changes);',
'                meta = masterModel.getRecordMetadata(recId);',
'                // Note this is the same technique for setting styles',
'                // based on data that is used in example page Cell Style Based on Data.',
'                if (errors > 0) {',
'                    highlight = "detail-errors";',
'                } else if ( changes > 0 ) {',
'                    highlight = "detail-changes";',
'                }',
'                fields = meta.fields;',
'                if (!fields) {',
'                    fields = meta.fields = {};',
'                }',
'                if (!fields.OPEN_DETAIL) {',
'                    fields.OPEN_DETAIL = {};',
'                }',
'                meta.fields.OPEN_DETAIL.highlight = highlight;',
'                masterModel.metadataChanged(recId); // this tells the view to update the style',
'            }',
'            apex.model.release(mid); // don''t forget this when using apex.model.get',
'        });',
'    }',
'',
'    app.bubbleUpDetailStatus = bubbleUpDetailStatus;',
'',
'    $(function() {',
'        // after save',
'        $("#dept").on("interactivegridsave", function() {',
'            bubbleUpDetailStatus();',
'        });',
'        // after emp dialog closes',
'        $("#emp").on("dialogclose", function() {',
'            bubbleUpDetailStatus();',
'        });',
'    });',
'',
'})(apex.jQuery, app);'))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// Master detail association happens at two layers. ',
'// 1) The model layer: the detail model knows about the master model. This is needed',
'//    for proper functioning including saving changes.',
'// 2) The view layer: the detail IG listens for selection changes events on the master',
'//',
'// We want to break the view layer association so we can be in control of when the ',
'// detial IG view model changes.',
'',
'// Starting in 19.1 there is the option trackParentSelection so that we don''t have to turn off the internal event handler',
'// if there were multiple details all would be detached',
'// see open-details action for how the detail model instance is set',
'//apex.region("dept").widget().off("interactivegridselectionchange.ig");',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* When the dialog contains something like an IG or a chart probably want',
' * it to fill the whole dialog without padding. There should be a template ',
' * option for this but currently there isn''t so add this rule and add',
' * dialog-no-pad to the dialog region CSS classes.',
' * Starting in 19.1 can use the Remove Body Padding option',
'.dialog-no-pad .t-DialogRegion-body {',
'    padding: 0;',
'}',
'*/',
unistr('/* If you don\2019t like so much space around the buttons add this rule as well'),
' */',
'.dialog-no-pad .t-ButtonRegion-buttons {',
'    padding: 8px;',
'}',
'/* Optional if you don''t like a border around the IG when it is in a dialog',
' * See resize DA for impact this has on height calculation.',
' */',
'.dialog-no-pad .a-IG {',
'    border-width: 0;',
'}',
'/* Custom highlight rule to show state of detail IG in master record cell.',
' */',
'.a-GV-cell.detail-errors button { ',
'    background-color: #fc181b !important;',
'    color: #ffffff;',
'}',
'.a-GV-cell.detail-changes button { ',
'    background-color: #0572ce !important;',
'    color: #ffffff;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190315073557'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(730619445758716003)
,p_plug_name=>'Departments'
,p_region_name=>'dept'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select deptno,',
'    dname,',
'    loc,',
'    notes,',
'    0 as errors,',
'    0 as changes',
'from eba_demo_ig_dept'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730619634637716005)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>40
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730619740745716006)
,p_name=>'DNAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DNAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Department Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730619785289716007)
,p_name=>'LOC'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LOC'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Location'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>40
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730619937165716008)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>70
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730619972672716009)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730620102082716010)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730620726755716016)
,p_name=>'OPEN_DETAIL'
,p_source_type=>'NONE'
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'<span class="u-vh">Open Employees</span>'
,p_label=>'Open Employees'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_stretch=>'N'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<button type="button" class="a-Button a-Button--noLabel a-Button--iconTextButton js-actionButton" data-action="open-details" aria-label="Open Employees">',
'<span class="fa fa-users"></span>',
'</button>'))
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridColumnOptions = {',
'        noHeaderActivate: true',
'    };',
'    return config;',
'}'))
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730621996311716029)
,p_name=>'ERRORS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ERRORS'
,p_data_type=>'NUMBER'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>80
,p_attribute_01=>'N'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730622062899716030)
,p_name=>'CHANGES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CHANGES'
,p_data_type=>'NUMBER'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>90
,p_attribute_01=>'N'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_include_in_export=>false
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(730619463116716004)
,p_internal_uid=>299922307232480918
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.initActions = function(actions) {',
'        ig$ = $(actions.context); // this is the detail dept IG widget',
'',
'        actions.add({',
'            name: "open-details", ',
'            label: "Open Employees", // todo use a text message',
'            action: function(event, el) {',
'                var rec, empInst, model,',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                // intend there is only a grid view but don''t assume',
'                if ( view.internalIdentifier === "grid" ) {',
'                    // The view layer master detail association on seleciton change has been broken with trackParentSelection',
'                    // So must manually set the correct detail model instance',
'                    model = ig$.interactiveGrid("getCurrentView").model;',
'                    // get the context row',
'                    rec = view.getContextRecord( el )[0]; // not currently documented but probably should be',
'                    apex.region("emp").call("setMasterRecord", model, rec);',
'',
'                    // set title and open dialog',
'                    $("#emp").dialog("option", "title", "Employees in " + model.getValue(rec, "DNAME")); // todo should use apex.lang.formatMessage',
'                    apex.theme.openRegion("emp"); // the new API to open a dialog region',
'                    return true; // action should not set foucs because dialog gets focus',
'                }',
'            }',
'        });',
'    };',
'    config.defaultGridViewOptions = {',
'        tooltip: {',
'            content: function(callback, model, recordMeta, colMeta, columnDef) {',
'                var errors, changes,',
'                    text = "Open Employees"; // todo use text message',
'',
'                if ( columnDef && columnDef.property === "OPEN_DETAIL" && recordMeta) {',
'                    errors = parseInt(model.getValue(recordMeta.record, "ERRORS"), 10);',
'                    changes = parseInt(model.getValue(recordMeta.record, "CHANGES"), 10);',
'                    if (changes > 0 || errors > 0) {',
'                        if ( errors ) {',
'                            text += "<br>" + errors + " Errors";',
'                        } else if ( changes ) {',
'                            text += "<br>" + changes + " Changes";',
'                        }',
'                    }',
'                    return text;',
'                }',
'            }',
'        }',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(744122802589804206)
,p_interactive_grid_id=>wwv_flow_api.id(730619463116716004)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(744122953504804206)
,p_report_id=>wwv_flow_api.id(744122802589804206)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744123367946804211)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(730619634637716005)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744123910985804217)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(730619740745716006)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>203
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744124404264804219)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(730619785289716007)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>133
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744124863671804220)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(730619937165716008)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>290
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744125368545804222)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(730619972672716009)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744137827138963416)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(730620726755716016)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>41
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744159273521780161)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(730621996311716029)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744160846071887634)
,p_view_id=>wwv_flow_api.id(744122953504804206)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(730622062899716030)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28869611628896982698)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates two things. 1) How to put an Interactive Grid into',
'an Inline Dialog region. 2) How to disassociate the detail region from the ',
'master so that the detail model instance is only set on demand.',
'It also demonstrates how to deal with the IG master detail limitation where ',
'it is not clear which detials have been edited and if there is a validation',
'error in any of the detail record edits the user has no idea which one it is.',
'The links in the validation message area only work if the correct detail record',
'is already showing.',
'There is code on this page to show with colors and tooltips which ',
'master records have edits or errors in detail records.',
'</p>',
'<p>Steps for adding an Interactive Grid to an inline dialog or popup region. ',
'(Note: prior to 18.2 there were a number of bugs that had to be worked around',
'in order to put an IG in an inline dialog.)',
'<ul>',
'<li>Create a region in the Inline Dialogs possition. The region template should',
'be Inline Dialog or Inline Popup (Prior to 19.1 you could <a target="_blank" href="http://hardlikesoftware.com/weblog/2018/04/20/apex-inline-popup-region/">create Inline Popup</a>).',
'The IG can be the inline region or it can be a sub region. Give the region ',
'a static id.</li>',
'<li>On the IG region set Heading: Fixed To = Region because the sticky headers',
'and footer make no sense in a dialog; they only apply to the scrollable main page.',
'Set the desired region height and check the Inline Dialog template option Auto Height ',
'or, even better, give it a reasonable small height such as 200 and adjust',
'the height to fit the dialog as described in a later step.',
'Set Lazy Loading to Yes because there is no point in loading data until it will',
'be seen.</li>',
'<li>If the IG is in a sub region of the dialog use template Standard and',
'configure template options to remove body padding, remove borders, header hidden,',
'and set all margins to none. This still leaves padding in the dialog content.',
'A region like IG should fill the dialog. Use the Inline region Remove Body Padding',
'template option for this.</li>',
'<li>To make the IG region resize to fit the dialog add a dynamic action on the',
'custom events "dialogresizestop dialogopen" See the code in DA "resize emp ig".</li>',
unistr('<li>If the dialog doesn\2019t contain an item that would automatically take focus'),
'then it is a good idea to explicitly set focus. So for an IG create a DA on ',
'custom event dialogopen. See the code in DA "focus on emp open".</li>',
'<li>If the IG is editable you probably want to remove the Save button from the toolbar.',
'When the edits are saved depends on the use case. You may want to save ',
'when the dialog closes or perhaps when the page is submitted or in the case',
'of master detail when the master region is saved. Here are two possible use cases:',
'1) Letting the master do the save. That is what this page demonstrates. ',
'2) Force save or cancel changes to leave the dialog. See page Master Detail Dialog (save).</li>',
'</ul>',
'</p>',
'<p>Customizations:<br>',
'See page inline CSS and Function and Global Variable Declaration. See JavaScript Initialization Code',
'for dept and emp IGs. See the OPEN_DETAIL column and all the dynamic actions.',
'Note the use of new API apex.theme.openRegion and DA Close Region.',
'<br>Issues:<br>',
'IG master detail should have a way to navigate to the correct detail record(s)',
'that have errors.<br>',
'Beware bug 27989333 INTERACTIVE GRID MASTER DETAIL ERROR WHEN SAVE NEW MASTER WITH DETAILS,',
'which prevents you from creating a new master record and adding detail records to it',
'at the same time.',
'The workaround is to remove the Save button from the master region and instead ',
'submit the page. In this case I did not want to submit the page.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31957770359692794981)
,p_plug_name=>'Employees'
,p_region_name=>'emp'
,p_region_css_classes=>'dialog-no-pad'
,p_region_template_options=>'#DEFAULT#:t-DialogRegion--noPadding:js-dialog-size720x480'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_master_region_id=>wwv_flow_api.id(730619445758716003)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957771539940794984)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957772107811794985)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>30
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957772699656794989)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>40
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957773264104794991)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957773844869794992)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957774505846794992)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>70
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957775072646794993)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>80
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957775693532794994)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957776237221794994)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>100
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957776899155794995)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957777452647794996)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957778094840794997)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_parent_column_id=>wwv_flow_api.id(730619634637716005)
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957778622397794997)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957779252946794998)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957779837016794999)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
end;
/
begin
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957780443623794999)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>170
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31957781010083795000)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>180
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31957770834954794982)
,p_internal_uid=>31527073679070559896
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>200
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // don''t automatically update this detail IG when the master region selection changes.',
'    config.trackParentSelection = false;',
'    // don''t need to remove the save button can just disable the save action ',
'    // completely because the detail IG is never saved directly but as part',
'    // of saving the master IG.',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31957771266290794983)
,p_interactive_grid_id=>wwv_flow_api.id(31957770834954794982)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31957771347488794983)
,p_report_id=>wwv_flow_api.id(31957771266290794983)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957772496968794987)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31957772107811794985)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957773065004794991)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31957772699656794989)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957773658617794992)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31957773264104794991)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957774290465794992)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31957773844869794992)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957774831598794993)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31957774505846794992)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>74
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957775418365794993)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31957775072646794993)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957776021729794994)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31957775693532794994)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957776609845794995)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31957776237221794994)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>95
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957777218175794996)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31957776899155794995)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957777855676794997)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31957777452647794996)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957778418752794997)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31957778094840794997)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957779030951794998)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31957778622397794997)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957779643544794999)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31957779252946794998)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957780221474794999)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31957779837016794999)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957780900827795000)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31957780443623794999)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31957781483177795000)
,p_view_id=>wwv_flow_api.id(31957771347488794983)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31957781010083795000)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(730620317715716012)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(31957770359692794981)
,p_button_name=>'EMP_DLG_CLOSE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cose'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(744120910278789918)
,p_tabular_form_region_id=>wwv_flow_api.id(31957770359692794981)
,p_validation_name=>'no spaces allowed'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not have any spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(730620384841716013)
,p_name=>'close emp dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(730620317715716012)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(730620516640716014)
,p_event_id=>wwv_flow_api.id(730620384841716013)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(31957770359692794981)
,p_da_action_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'This is the use case where the edits will be saved by the Master IG.',
'It is very similar to a straight forward master detail where both',
'regions are on the same page. All we need to do is close the dialog.'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(730620846683716017)
,p_name=>'resize emp ig'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(31957770359692794981)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogresizestop dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(730620903502716018)
,p_event_id=>wwv_flow_api.id(730620846683716017)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(31957770359692794981)
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var h = this.affectedElements.find(".t-DialogRegion-bodyWrapperOut").height(),',
'    // subtract the body padding just incase there is any',
'    wrap$ = this.affectedElements.find(".t-DialogRegion-body"),',
'    pad = parseInt(wrap$.css("padding-top"), 10) + parseInt(wrap$.css("padding-bottom"), 10);',
'apex.region("emp").widget().height(h - pad /* - 2 uncomment if remove rule that removes IG padding */);',
'// or could use the following which takes borders etc. into consideration',
'// apex.util.setOuterHeight(apex.region("emp").widget(), h - pad);'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(730620958819716019)
,p_name=>'focus on emp open'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(31957770359692794981)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(730621132510716020)
,p_event_id=>wwv_flow_api.id(730620958819716019)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.region("emp").call("focus");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744121175071789925)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(31957770359692794981)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(730620162278716011)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(730619445758716003)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Departments - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00026
begin
wwv_flow_api.create_page(
 p_id=>26
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Master Detail Dialog (save)'
,p_step_title=>'Master Detail Dialog (save)'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// Master detail association happens at two layers. ',
'// 1) The model layer: the detail model knows about the master model. This is needed',
'//    for proper functioning including saving changes.',
'// 2) The view layer: the detail IG listens for selection changes events on the master',
'//',
'// We want to break the view layer association so we can be in control of when the ',
'// detial IG view model changes.',
'',
'// Starting in 19.1 there is the option trackParentSelection so that we don''t have to turn off the internal event handler',
'// if there were multiple details all would be detached',
'// see open-details action for how the detail model instance is set',
'//apex.region("dept").widget().off("interactivegridselectionchange.ig");',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* When the dialog contains something like an IG or a chart probably want',
' * it to fill the whole dialog without padding. There should be a template ',
' * option for this but currently there isn''t so add this rule and add',
' * dialog-no-pad to the dialog region CSS classes.',
' * Starting in 19.1 can use the Remove Body Padding option',
'.dialog-no-pad .t-DialogRegion-body {',
'    padding: 0;',
'}',
unistr('/* If you don\2019t like so much space around the buttons add this rule as well'),
' */',
'.dialog-no-pad .t-ButtonRegion-buttons {',
'    padding: 8px;',
'}',
'/* Optional if you don''t like a border around the IG when it is in a dialog',
' * See resize DA for impact this has on height calculation.',
' */',
'.dialog-no-pad .a-IG {',
'    border-width: 0;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190315082600'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1044265323746761372)
,p_plug_name=>'Departments'
,p_region_name=>'dept'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select deptno,',
'    dname,',
'    loc,',
'    notes',
'from eba_demo_ig_dept'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044265512625761374)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>40
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044265618733761375)
,p_name=>'DNAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DNAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Department Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044265663277761376)
,p_name=>'LOC'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LOC'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Location'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>40
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044265815153761377)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>70
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044265850660761378)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044265980070761379)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044266604743761385)
,p_name=>'OPEN_DETAIL'
,p_source_type=>'NONE'
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'<span class="u-vh">Open Employees</span>'
,p_label=>'Open Employees'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_stretch=>'N'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<button type="button" class="a-Button a-Button--noLabel a-Button--iconTextButton js-actionButton" data-action="open-details" aria-label="Open Employees">',
'<span class="fa fa-users"></span>',
'</button>'))
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridColumnOptions = {',
'        noHeaderActivate: true',
'    };',
'    return config;',
'}'))
,p_enable_hide=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(1044265341104761373)
,p_internal_uid=>613568185220526287
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.initActions = function(actions) {',
'        ig$ = $(actions.context); // this is the detail dept IG widget',
'',
'        actions.add({',
'            name: "open-details", ',
'            label: "Open Employees", // todo use a text message',
'            action: function(event, el) {',
'                var rec, empInst, model,',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                // intend there is only a grid view but don''t assume',
'                if ( view.internalIdentifier === "grid" ) {',
'                    // The view layer master detail association on seleciton change has been broken with trackParentSelection',
'                    // So must manually set the correct detail model instance',
'                    model = ig$.interactiveGrid("getCurrentView").model;',
'                    // get the context row',
'                    rec = view.getContextRecord( el )[0]; // not currently documented but probably should be',
'                    apex.region("emp").call("setMasterRecord", model, rec);',
'',
'                    // set title and open dialog',
'                    $("#emp").dialog("option", "title", "Employees in " + model.getValue(rec, "DNAME")); // todo should use apex.lang.formatMessage',
'                    apex.theme.openRegion("emp"); // the new API to open a dialog region',
'                    return true; // action should not set foucs because dialog gets focus',
'                }',
'            }',
'        });',
'    };',
'    config.defaultGridViewOptions = {',
'        tooltip: {',
'            content: function(callback, model, recordMeta, colMeta, columnDef) {',
'                var text = "Open Employees"; // todo use text message',
'                if ( columnDef && columnDef.property === "OPEN_DETAIL" && recordMeta) {',
'                    return text;',
'                }',
'                return null;',
'            }',
'        }',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(1057768680577849575)
,p_interactive_grid_id=>wwv_flow_api.id(1044265341104761373)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(1057768831492849575)
,p_report_id=>wwv_flow_api.id(1057768680577849575)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1057769245934849580)
,p_view_id=>wwv_flow_api.id(1057768831492849575)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(1044265512625761374)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1057769788973849586)
,p_view_id=>wwv_flow_api.id(1057768831492849575)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(1044265618733761375)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>161
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1057770282252849588)
,p_view_id=>wwv_flow_api.id(1057768831492849575)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(1044265663277761376)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>146
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1057770741659849589)
,p_view_id=>wwv_flow_api.id(1057768831492849575)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(1044265815153761377)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>297
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1057771246533849591)
,p_view_id=>wwv_flow_api.id(1057768831492849575)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(1044265850660761378)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1057783705127008785)
,p_view_id=>wwv_flow_api.id(1057768831492849575)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(1044266604743761385)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>41
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29183257506885028067)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates two things. 1) How to put an Interactive Grid into',
'an Inline Dialog region. 2) How to disassociate the detail region from the ',
'master so that the detail model instance is only set on demand.',
'</p>',
'<p>This page is similar to Master Detail (close) except that this page avoids',
'the issue of loosing track of unsaved changes in detail regions by forcing either',
'Save changes or Cancel to leave the dialog. It still has an advantage over ',
'creating a separate modal APEX page for the details because there is no extra page ',
'loading and page refresh.',
'</p>',
'<p>See Master Detail (close) page for the general steps to put an',
'Interactive Grid in an inline dialog region.',
'</p>',
'<p>Customizations:<br>',
'See page inline CSS. See JavaScript Initialization Code',
'for dept and emp IGs. See the OPEN_DETAIL column and all the dynamic actions.',
'Note the use of new API apex.theme.openRegion and DA Close Region.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32271416237680840350)
,p_plug_name=>'Employees'
,p_region_name=>'emp'
,p_region_css_classes=>'dialog-no-pad'
,p_region_template_options=>'#DEFAULT#:t-DialogRegion--noPadding:js-dialog-size720x480'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_master_region_id=>wwv_flow_api.id(1044265323746761372)
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271417417928840353)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271417985799840354)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>30
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271418577644840358)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>40
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271419142092840360)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271419722857840361)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271420383834840361)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>70
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271420950634840362)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>80
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271421571520840363)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271422115209840363)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>100
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271422777143840364)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271423330635840365)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271423972828840366)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_parent_column_id=>wwv_flow_api.id(1044265512625761374)
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271424500385840366)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271425130934840367)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271425715004840368)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271426321611840368)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>170
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271426888071840369)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>180
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(32271416712942840351)
,p_internal_uid=>31840719557058605265
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>200
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    var toolbarData = $.apex.interactiveGrid.copyDefaultToolbar(), // Make a copy of the default toolbar',
'        editSaveGroup = toolbarData.toolbarFind( "actions2" );',
'',
'    // If the employees detail dialog is going to have a Dialog Save button then the',
'    // save action cannot be hidden (Toolbar Buttons Save unchecked). But rather',
'    // need to remove the button from the toolbar.',
'    // If not going to save then all this code can be removed and the ',
'    // attribute Toolbar Buttons Save unchecked.',
'    editSaveGroup.controls.pop(); // remove Save button.',
'    config.toolbarData = toolbarData;',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(32271417144278840352)
,p_interactive_grid_id=>wwv_flow_api.id(32271416712942840351)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(32271417225476840352)
,p_report_id=>wwv_flow_api.id(32271417144278840352)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271418374956840356)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32271417985799840354)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271418942992840360)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32271418577644840358)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271419536605840361)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32271419142092840360)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271420168453840361)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32271419722857840361)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271420709586840362)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32271420383834840361)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>74
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271421296353840362)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32271420950634840362)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271421899717840363)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32271421571520840363)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271422487833840364)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32271422115209840363)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>95
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271423096163840365)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32271422777143840364)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271423733664840366)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32271423330635840365)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271424296740840366)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32271423972828840366)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271424908939840367)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(32271424500385840366)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271425521532840368)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(32271425130934840367)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271426099462840368)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(32271425715004840368)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271426778815840369)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(32271426321611840368)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271427361165840369)
,p_view_id=>wwv_flow_api.id(32271417225476840352)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(32271426888071840369)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(744352622416280504)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(32271416237680840350)
,p_button_name=>'EMP_DLG_CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(744352254130280502)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(32271416237680840350)
,p_button_name=>'EMP_DLG_SAVE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Save'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(744353123321280505)
,p_tabular_form_region_id=>wwv_flow_api.id(32271416237680840350)
,p_validation_name=>'no spaces allowed'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not have any spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
end;
/
begin
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(744358683560280529)
,p_name=>'resize emp ig'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32271416237680840350)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogresizestop dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(744359204174280534)
,p_event_id=>wwv_flow_api.id(744358683560280529)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32271416237680840350)
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var h = this.affectedElements.find(".t-DialogRegion-bodyWrapperOut").height(),',
'    // subtract the body padding just incase there is any',
'    wrap$ = this.affectedElements.find(".t-DialogRegion-body"),',
'    pad = parseInt(wrap$.css("padding-top"), 10) + parseInt(wrap$.css("padding-bottom"), 10);',
'apex.region("emp").widget().height(h - pad /* - 2 uncomment if remove rule that removes IG padding */);',
'// or could use the following which takes borders etc. into consideration',
'// apex.util.setOuterHeight(apex.region("emp").widget(), h - pad);'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(744360494886280534)
,p_name=>'focus on emp open'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32271416237680840350)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogopen'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(744361017393280535)
,p_event_id=>wwv_flow_api.id(744360494886280534)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'apex.region("emp").call("focus");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(744361368834280535)
,p_name=>'save emp details'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(744352254130280502)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(744361866241280535)
,p_event_id=>wwv_flow_api.id(744361368834280535)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// This is the use case where the any edits to the detail region must be saved or discarded before leaving the dialog.',
'// This use case has the advantage of forcing the user to deal with any validation errors before moving on.',
'var emp$ = apex.region("emp").widget();',
'var view = emp$.interactiveGrid("getCurrentView");',
'var model = view.model;',
'if ( !model.isChanged() ) {',
'    // no changes so just close',
'    apex.theme.closeRegion( "emp" );',
'} else {',
'    // else save will actually do something',
'    emp$.interactiveGrid("getActions").invoke("save");',
'    // if save happens need to wait for it to complete and only close the dialog if there are no errors.',
'    emp$.on("interactivegridsave", function(event, ui) {',
'        emp$.off("interactivegridsave");',
'        if ( ui.status === "success" ) {',
'            apex.theme.closeRegion( "emp" );',
'        } // else the dialog doesn''t close.',
'    });',
'}'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(744362305771280535)
,p_name=>'cancel emp details'
,p_event_sequence=>50
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(744352622416280504)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(744362801958280536)
,p_event_id=>wwv_flow_api.id(744362305771280535)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(32271416237680840350)
,p_da_action_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Just close the dialog. The close handler will',
'take care of canceling any edits'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(744363187792280536)
,p_name=>'cancel edits'
,p_event_sequence=>60
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(32271416237680840350)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'dialogbeforeclose'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(744363737497280539)
,p_event_id=>wwv_flow_api.id(744363187792280536)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// This DA is intended to be used with the case where the details dialog either saves',
'// changes or canceles any changes.',
'// The logic goes in the beforeclose event so it catches both the (X) in the header',
'// and the cancel button and can prevent the close if needed.',
'var emp$ = apex.region("emp").widget();',
'var view = emp$.interactiveGrid("getCurrentView");',
'var model = view.model;',
'if ( model.isChanged() ) {',
'    this.browserEvent.preventDefault(); // abort close until after confirm',
'    apex.message.confirm("You have made changes. Do you want to close and loose changes?", function(ok) { // todo use a text message',
'        if ( ok ) {',
'            // leave edit mode so that the column items will be reinitialized',
'            emp$.interactiveGrid("getActions").set("edit", false);',
'            model.clearChanges();',
'            apex.theme.closeRegion( "emp" );',
'            apex.region("emp").refresh(); // do this after it closes',
'        }',
'    });',
'}',
'// else no changes just let close happen'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744353362476280514)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(32271416237680840350)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744358323617280525)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(1044265323746761372)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Departments - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00027
begin
wwv_flow_api.create_page(
 p_id=>27
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Lazy Tabs (page scroll)'
,p_step_title=>'Lazy Tabs (page scroll)'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// because of a-Tabs-panel display:none and when the tabs remember the last used tab',
'// need to call forceActive so that the regions are notified that they are visible.',
'// rds is the static id of the RDS region adjust as needed.',
'var activeTab = $("#rds").find(".a-Tabs").aTabs("getActive");',
'activeTab.forceActive();',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-Tabs-panel {',
'    display: none;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190319072316'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(730622274890716032)
,p_plug_name=>'Tabs'
,p_region_name=>'rds'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(730622363813716033)
,p_plug_name=>'Departments'
,p_region_name=>'dept'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>'select * from eba_demo_ig_dept'
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730622639033716035)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(730622696175716036)
,p_name=>'DNAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DNAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744404701907226287)
,p_name=>'LOC'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LOC'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Location'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>40
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744404797714226288)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744404935542226289)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405033013226290)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(730622506009716034)
,p_internal_uid=>299925350125480948
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(744410907831229269)
,p_interactive_grid_id=>wwv_flow_api.id(730622506009716034)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(744410974742229269)
,p_report_id=>wwv_flow_api.id(744410907831229269)
,p_view_type=>'GRID'
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744411461197229272)
,p_view_id=>wwv_flow_api.id(744410974742229269)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(730622639033716035)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744412019354229276)
,p_view_id=>wwv_flow_api.id(744410974742229269)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(730622696175716036)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744412520269229281)
,p_view_id=>wwv_flow_api.id(744410974742229269)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(744404701907226287)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744413009783229283)
,p_view_id=>wwv_flow_api.id(744410974742229269)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(744404797714226288)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744414873061235387)
,p_view_id=>wwv_flow_api.id(744410974742229269)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(744404935542226289)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744405192042226292)
,p_plug_name=>'People'
,p_region_name=>'people'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>'select * from eba_demo_ig_people'
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405365352226294)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405464746226295)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>40
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405620835226296)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405741035226297)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>50
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405775072226298)
,p_name=>'FROM_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FROM_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'From Yr'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405891141226299)
,p_name=>'TO_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TO_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'To Yr'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744405978634226300)
,p_name=>'LINK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LINK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Link'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406091051226301)
,p_name=>'CATEGORY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CATEGORY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Category'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066364364516461838)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406246712226302)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406271908226303)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>120
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406383042226304)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406542580226305)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406587173226306)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744406755526226307)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(744405342325226293)
,p_internal_uid=>313708186440991207
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>true
,p_icon_view_use_custom=>false
,p_icon_view_icon_type=>'CSS_CLASSES'
,p_icon_view_icon_column=>'COUNTRY'
,p_icon_view_link_target=>'&LINK.'
,p_icon_view_label_column=>'NAME'
,p_show_detail_view=>true
,p_detail_view_before_rows=>'<ul>'
,p_detail_view_for_each_row=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li>',
'<h3>&NAME.</h3>',
'<p>&COUNTRY.<br>',
'<a href="&LINK.">More Info</a></p>',
'</li>'))
,p_detail_view_after_rows=>'</ul>'
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(744417940972245188)
,p_interactive_grid_id=>wwv_flow_api.id(744405342325226293)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(744417967410245188)
,p_report_id=>wwv_flow_api.id(744417940972245188)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744418471094245189)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(744405365352226294)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744419026671245194)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(744405464746226295)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90.68333435058594
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744419474949245199)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(744405620835226296)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>139.36666870117188
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744419997068245201)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(744405741035226297)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>105.36666870117188
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744420489369245203)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(744405775072226298)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>84.36665344238281
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744420997605245204)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(744405891141226299)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>84.38333129882812
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744421550981245206)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(744405978634226300)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>138.40000915527344
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744422023623245207)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(744406091051226301)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>67.33332824707031
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744422493563245209)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(744406246712226302)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>72.43333435058594
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744423047385245210)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(744406271908226303)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744423458990245211)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(744406383042226304)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744424006231245213)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(744406542580226305)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744425195159258067)
,p_view_id=>wwv_flow_api.id(744417967410245188)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(744406587173226306)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744406906208226309)
,p_plug_name=>'Chart'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--scrollBody'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(744406977424226310)
,p_region_id=>wwv_flow_api.id(744406906208226309)
,p_chart_type=>'bar'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(744407060054226311)
,p_chart_id=>wwv_flow_api.id(744406977424226310)
,p_seq=>10
,p_name=>'Salary'
,p_data_source_type=>'SQL'
,p_data_source=>'select ename, sal from eba_demo_ig_emp'
,p_items_value_column_name=>'SAL'
,p_items_label_column_name=>'ENAME'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(744407229655226312)
,p_chart_id=>wwv_flow_api.id(744406977424226310)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(744407353667226313)
,p_chart_id=>wwv_flow_api.id(744406977424226310)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28869889602877342629)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates how to make interactive grid not load and render any data until',
'the tab it is in is activated. When an IG is configured to lazy load it ',
'doesn''t include any data in the page but instead uses ajax to request data',
'once the page is ready in the browser. In addition it will not request data',
'while it is not visible. This is something specific to',
'interactive grid. Hopefully in the future more APEX regions will behave this way.',
'Use the JavaScript console or Network tab to observe when the ajax requests',
'happen. Compare any of the IG views with the Chart tab. (Starting in 19.1 ',
'the lazy loading when not visible works for IG chart, icon, and detail views.)',
'</p>',
'<p>This not loading until visible works automatically with collapsible region templates',
'and starting in 18.2 with inline dialogs.',
'The trouble with region display selector tabs is that all tabs are visible',
'for a brief moment when the page loads so at initialization time the IG is not',
'invisible and will load and render the data. For background see',
'<a href="http://hardlikesoftware.com/weblog/2017/11/07/visibility-and-size-managed-components/" target="_blank">this blog</a>.</p>',
'<p>The solution is to use a css rule to make the tabs initially invisible',
'and to force the initially visible tab to notifiy that it is active.',
'See the code in page attribute Execute when Page Loads and Inline CSS.',
'Note: If you have any tabs with components that don''t initialize correctly when',
'invisible you have more work to do. See above linked blog.',
'</p>',
'<p>The one problem with this page is that the three IGs share the same',
'document scroll offset. So as you move from one tab to another the ',
'scroll offset can shift. This may not be a problem if none of the IGs contain',
'many rows. You could add complex logic to try to save and restore',
'the scroll offset for each tab or you could switch to Pagination Type Page.',
'Another, in my opinion better, solution is to take the advice given on page',
'"Wide Report"</p>',
'<p style="margin-left: 2em;">"If you have ... multiple regions either side by side or one on top of the other and the regions need to scroll either horzontally or vertically or both then the browser window should not scroll, all regions should fit on'
||' the page, and each of the regions should have their own scrollbars."',
'</p>',
'<p>See page Lazy Tabs (fit page) for a demonstration where each tab has its own scrollbar.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31958048333673154912)
,p_plug_name=>'Employees'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958049513921154915)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958050081792154916)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958050673637154920)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958051238085154922)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958051818850154923)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958052479827154923)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
end;
/
begin
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958053046627154924)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958053667513154925)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958054211202154925)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>true
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958054873136154926)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958055426628154927)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958056068821154928)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958056596378154928)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958057226927154929)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958057810997154930)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958058417604154930)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(31958058984064154931)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(31958048808935154913)
,p_internal_uid=>31527351653050919827
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(31958049240271154914)
,p_interactive_grid_id=>wwv_flow_api.id(31958048808935154913)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(31958049321469154914)
,p_report_id=>wwv_flow_api.id(31958049240271154914)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958050470949154918)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31958050081792154916)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958051038985154922)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31958050673637154920)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958051632598154923)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31958051238085154922)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958052264446154923)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31958051818850154923)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958052805579154924)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31958052479827154923)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958053392346154924)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31958053046627154924)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958053995710154925)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31958053667513154925)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958054583826154926)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31958054211202154925)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958055192156154927)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31958054873136154926)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958055829657154928)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31958055426628154927)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958056392733154928)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31958056068821154928)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958057004932154929)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31958056596378154928)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958057617525154930)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31958057226927154929)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958058195455154930)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31958057810997154930)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958058874808154931)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31958058417604154930)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(31958059457158154931)
,p_view_id=>wwv_flow_api.id(31958049321469154914)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31958058984064154931)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34866218796771195441)
,p_interactive_grid_id=>wwv_flow_api.id(31958048808935154913)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34866218877969195441)
,p_report_id=>wwv_flow_api.id(34866218796771195441)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866220027449195445)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(31958050081792154916)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866220595485195449)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(31958050673637154920)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866221189098195450)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(31958051238085154922)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866221820946195450)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(31958051818850154923)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866222362079195451)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(31958052479827154923)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866222948846195451)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(31958053046627154924)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866223552210195452)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(31958053667513154925)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866224140326195453)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(31958054211202154925)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866224748656195454)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(31958054873136154926)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866225386157195455)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(31958055426628154927)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866225949233195455)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(31958056068821154928)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866226561432195456)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(31958056596378154928)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866227174025195457)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(31958057226927154929)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866227751955195457)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(31958057810997154930)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866228431308195458)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(31958058417604154930)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34866229013658195458)
,p_view_id=>wwv_flow_api.id(34866218877969195441)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(31958058984064154931)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(744398754362149906)
,p_tabular_form_region_id=>wwv_flow_api.id(31958048333673154912)
,p_validation_name=>'must not contain spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744398989476149912)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(31958048333673154912)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744405085029226291)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(730622363813716033)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Departments - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744406834869226308)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(744405192042226292)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'People - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00028
begin
wwv_flow_api.create_page(
 p_id=>28
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Lazy Tabs (fit page)'
,p_step_title=>'Lazy Tabs (fit page)'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// because of a-Tabs-panel display:none and when the tabs remember the last used tab',
'// need to call forceActive so that the regions are notified that they are visible.',
'// rds is the static id of the RDS region adjust as needed.',
'var activeTab = $("#rds").find(".a-Tabs").aTabs("getActive");',
'activeTab.forceActive();',
'',
'function resizeMainContent() {',
'    var height = $(window).height(); // start with the window height',
'    // subtract off all the fixed height regions and header',
'    height -= $(".t-Header").outerHeight();',
'    height -= $("#t_Body_content_offset").height(); // this takes the breadcrumb area into consideration',
'    height -= $(".t-Footer").outerHeight();',
'    height -= 32; // for body padding adjust or remove if change body padding',
'',
'    // then set the height of the regions that will stretch',
'    // setOuterHeight takes into consideration the borders etc. on the grid itself.',
'    ["dept","emp","people" /*,"chart"*/].forEach(function(region) {',
'        apex.util.setOuterHeight(apex.region(region).widget(), height);',
'    });',
'    apex.util.setOuterHeight(apex.region("notes").element, height);',
'    // todo: setting the height of the chart region doesn''t work as expected',
'    // something to investigate. May need to set the height when the tab is activated.',
'}',
'$(window).on("apexwindowresized", resizeMainContent);',
'resizeMainContent();',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-Tabs-panel {',
'    display: none;',
'}',
'/* If trying to maximize the screen space available for the wide grid region',
' * you may not want much or any padding on the main body.',
'',
'.t-Body-contentInner {',
'    padding: 0;',
'}',
'*/',
'/* The region heights will be set in JavaScript so don''t want the body to ',
' * have an explicit height */',
'.t-Body-content {',
'    min-height: initial;',
'}',
'/* If the main page never scrolls then there is little point in a back to top button',
' * You could hide the while footer (.t-Footer) but at that point you may want',
' * to look at creating a custom page template such as ''Fit to Window'' that doesn''t have a footer.',
' */',
'.t-Footer-top {',
'    display: none;',
'}',
'',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20180923133936'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1044365309634463464)
,p_plug_name=>'Tabs'
,p_region_name=>'rds'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1044365398557463465)
,p_plug_name=>'Departments'
,p_region_name=>'dept'
,p_region_template_options=>'#DEFAULT#:margin-bottom-none'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>'select * from eba_demo_ig_dept'
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044365673777463467)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1044365730919463468)
,p_name=>'DNAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DNAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058147736650973719)
,p_name=>'LOC'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LOC'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Location'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>40
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058147832457973720)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058147970285973721)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148067756973722)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(1044365540753463466)
,p_internal_uid=>613668384869228380
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>300
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(1058153942574976701)
,p_interactive_grid_id=>wwv_flow_api.id(1044365540753463466)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(1058154009485976701)
,p_report_id=>wwv_flow_api.id(1058153942574976701)
,p_view_type=>'GRID'
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058154495940976704)
,p_view_id=>wwv_flow_api.id(1058154009485976701)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(1044365673777463467)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058155054097976708)
,p_view_id=>wwv_flow_api.id(1058154009485976701)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(1044365730919463468)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058155555012976713)
,p_view_id=>wwv_flow_api.id(1058154009485976701)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(1058147736650973719)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058156044526976715)
,p_view_id=>wwv_flow_api.id(1058154009485976701)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(1058147832457973720)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058157907804982819)
,p_view_id=>wwv_flow_api.id(1058154009485976701)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(1058147970285973721)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1058148226785973724)
,p_plug_name=>'People'
,p_region_name=>'people'
,p_region_template_options=>'#DEFAULT#:margin-bottom-none'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>'select * from eba_demo_ig_people'
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148400095973726)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148499489973727)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>40
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148655578973728)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148775778973729)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>50
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148809815973730)
,p_name=>'FROM_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FROM_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'From Yr'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058148925884973731)
,p_name=>'TO_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TO_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'To Yr'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149013377973732)
,p_name=>'LINK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LINK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Link'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149125794973733)
,p_name=>'CATEGORY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CATEGORY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Category'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066364364516461838)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149281455973734)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149306651973735)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>120
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149417785973736)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149577323973737)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149621916973738)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(1058149790269973739)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(1058148377068973725)
,p_internal_uid=>627451221184738639
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>300
,p_show_icon_view=>true
,p_icon_view_use_custom=>false
,p_icon_view_icon_type=>'CSS_CLASSES'
,p_icon_view_icon_column=>'COUNTRY'
,p_icon_view_link_target=>'&LINK.'
,p_icon_view_label_column=>'NAME'
,p_show_detail_view=>true
,p_detail_view_before_rows=>'<ul>'
,p_detail_view_for_each_row=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li>',
'<h3>&NAME.</h3>',
'<p>&COUNTRY.<br>',
'<a href="&LINK.">More Info</a></p>',
'</li>'))
,p_detail_view_after_rows=>'</ul>'
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(1058160975715992620)
,p_interactive_grid_id=>wwv_flow_api.id(1058148377068973725)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(1058161002153992620)
,p_report_id=>wwv_flow_api.id(1058160975715992620)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058161505837992621)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(1058148400095973726)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058162061414992626)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(1058148499489973727)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90.68333435058594
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058162509692992631)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(1058148655578973728)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>139.36666870117188
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058163031811992633)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(1058148775778973729)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>105.36666870117188
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058163524112992635)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(1058148809815973730)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>84.36665344238281
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058164032348992636)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(1058148925884973731)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>84.38333129882812
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058164585724992638)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(1058149013377973732)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>138.40000915527344
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058165058366992639)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(1058149125794973733)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>67.33332824707031
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058165528306992641)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(1058149281455973734)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>72.43333435058594
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058166082128992642)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(1058149306651973735)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058166493733992643)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(1058149417785973736)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058167040974992645)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(1058149577323973737)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(1058168229903005499)
,p_view_id=>wwv_flow_api.id(1058161002153992620)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(1058149621916973738)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1058149940951973741)
,p_plug_name=>'Chart'
,p_region_name=>'chart'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--scrollBody:margin-bottom-none'
,p_escape_on_http_output=>'Y'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source_type=>'NATIVE_JET_CHART'
,p_plug_query_num_rows=>15
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_jet_chart(
 p_id=>wwv_flow_api.id(744452254369982541)
,p_region_id=>wwv_flow_api.id(1058149940951973741)
,p_chart_type=>'bar'
,p_height=>'300'
,p_animation_on_display=>'auto'
,p_animation_on_data_change=>'auto'
,p_orientation=>'vertical'
,p_data_cursor=>'auto'
,p_data_cursor_behavior=>'auto'
,p_hide_and_show_behavior=>'none'
,p_hover_behavior=>'none'
,p_stack=>'off'
,p_stack_label=>'off'
,p_connect_nulls=>'Y'
,p_value_position=>'auto'
,p_sorting=>'label-asc'
,p_fill_multi_series_gaps=>true
,p_zoom_and_scroll=>'off'
,p_tooltip_rendered=>'Y'
,p_show_series_name=>true
,p_show_group_name=>true
,p_show_value=>true
,p_show_label=>true
,p_show_row=>true
,p_show_start=>true
,p_show_end=>true
,p_show_progress=>true
,p_show_baseline=>true
,p_legend_rendered=>'on'
,p_legend_position=>'auto'
,p_overview_rendered=>'off'
,p_horizontal_grid=>'auto'
,p_vertical_grid=>'auto'
,p_gauge_orientation=>'circular'
,p_gauge_plot_area=>'on'
,p_show_gauge_value=>true
);
wwv_flow_api.create_jet_chart_series(
 p_id=>wwv_flow_api.id(744453828415982545)
,p_chart_id=>wwv_flow_api.id(744452254369982541)
,p_seq=>10
,p_name=>'Salary'
,p_data_source_type=>'SQL'
,p_data_source=>'select ename, sal from eba_demo_ig_emp'
,p_items_value_column_name=>'SAL'
,p_items_label_column_name=>'ENAME'
,p_assigned_to_y2=>'off'
,p_items_label_rendered=>false
,p_items_label_display_as=>'PERCENT'
,p_threshold_display=>'onIndicator'
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(744452600892982543)
,p_chart_id=>wwv_flow_api.id(744452254369982541)
,p_axis=>'x'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_tick_label_rotation=>'auto'
,p_tick_label_position=>'outside'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_jet_chart_axis(
 p_id=>wwv_flow_api.id(744453249058982543)
,p_chart_id=>wwv_flow_api.id(744452254369982541)
,p_axis=>'y'
,p_is_rendered=>'on'
,p_format_scaling=>'auto'
,p_scaling=>'linear'
,p_baseline_scaling=>'zero'
,p_position=>'auto'
,p_major_tick_rendered=>'on'
,p_minor_tick_rendered=>'off'
,p_tick_label_rendered=>'on'
,p_zoom_order_seconds=>false
,p_zoom_order_minutes=>false
,p_zoom_order_hours=>false
,p_zoom_order_days=>false
,p_zoom_order_weeks=>false
,p_zoom_order_months=>false
,p_zoom_order_quarters=>false
,p_zoom_order_years=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29183632637621090061)
,p_plug_name=>'Notes'
,p_region_name=>'notes'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page is the same as Lazy Tabs (page scroll) except that each tab ',
'has its own scrollbar. It does this by fitting each region height to the browser',
'window so there is no scrollbar on the window. See also page Wide Report.',
'</p>',
'<p>See page inline CSS and JavaScript Execute when Page Loads.',
'The region templates have the bottom margin tempalte option set to none.',
'IG regions have heading fixed to region.<br>',
'TODO: Setting the height of the chart tab region.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32271791368416902344)
,p_plug_name=>'Employees'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:margin-bottom-none'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643815979975161511)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271792548664902347)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271793116535902348)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271793708380902352)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271794272828902354)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271794853593902355)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271795514570902355)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
end;
/
begin
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271796081370902356)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271796702256902357)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271797245945902357)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>true
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271797907879902358)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271798461371902359)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271799103564902360)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271799631121902360)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271800261670902361)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271800845740902362)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271801452347902362)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32271802018807902363)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(32271791843678902345)
,p_internal_uid=>31841094687794667259
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>300
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(32271792275014902346)
,p_interactive_grid_id=>wwv_flow_api.id(32271791843678902345)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(32271792356212902346)
,p_report_id=>wwv_flow_api.id(32271792275014902346)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271793505692902350)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32271793116535902348)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271794073728902354)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32271793708380902352)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271794667341902355)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32271794272828902354)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271795299189902355)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32271794853593902355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271795840322902356)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32271795514570902355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271796427089902356)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32271796081370902356)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271797030453902357)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32271796702256902357)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271797618569902358)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32271797245945902357)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271798226899902359)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32271797907879902358)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271798864400902360)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32271798461371902359)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271799427476902360)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32271799103564902360)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271800039675902361)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(32271799631121902360)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271800652268902362)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(32271800261670902361)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271801230198902362)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(32271800845740902362)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271801909551902363)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(32271801452347902362)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32271802491901902363)
,p_view_id=>wwv_flow_api.id(32271792356212902346)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(32271802018807902363)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(32926670764839691880)
,p_interactive_grid_id=>wwv_flow_api.id(32271791843678902345)
,p_name=>'Chart'
,p_type=>'ALTERNATIVE'
,p_default_view=>'CHART'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(654878568790789546)
,p_report_id=>wwv_flow_api.id(32926670764839691880)
,p_view_type=>'CHART'
,p_chart_type=>'bar'
,p_chart_orientation=>'vertical'
,p_chart_stack=>'off'
);
wwv_flow_api.create_ig_report_chart_col(
 p_id=>wwv_flow_api.id(654878651365789557)
,p_view_id=>wwv_flow_api.id(654878568790789546)
,p_column_type=>'LABEL'
,p_column_id=>wwv_flow_api.id(32271794272828902354)
);
wwv_flow_api.create_ig_report_chart_col(
 p_id=>wwv_flow_api.id(654878761508789563)
,p_view_id=>wwv_flow_api.id(654878568790789546)
,p_column_type=>'VALUE'
,p_column_id=>wwv_flow_api.id(32271796702256902357)
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(32926670846037691880)
,p_report_id=>wwv_flow_api.id(32926670764839691880)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926671995517691884)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32271793116535902348)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926672563553691888)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32271793708380902352)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926673157166691889)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32271794272828902354)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926673789014691889)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32271794853593902355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926674330147691890)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32271795514570902355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926674916914691890)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32271796081370902356)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926675520278691891)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32271796702256902357)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926676108394691892)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32271797245945902357)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926676716724691893)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32271797907879902358)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926677354225691894)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32271798461371902359)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926677917301691894)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32271799103564902360)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926678529500691895)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(32271799631121902360)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926679142093691896)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(32271800261670902361)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926679720023691896)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(32271800845740902362)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926680399376691897)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(32271801452347902362)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32926680981726691897)
,p_view_id=>wwv_flow_api.id(32926670846037691880)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(32271802018807902363)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(35179961831514942873)
,p_interactive_grid_id=>wwv_flow_api.id(32271791843678902345)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(35179961912712942873)
,p_report_id=>wwv_flow_api.id(35179961831514942873)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179963062192942877)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32271793116535902348)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179963630228942881)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32271793708380902352)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179964223841942882)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32271794272828902354)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179964855689942882)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32271794853593902355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179965396822942883)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32271795514570902355)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179965983589942883)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32271796081370902356)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179966586953942884)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32271796702256902357)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179967175069942885)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32271797245945902357)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179967783399942886)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32271797907879902358)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179968420900942887)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32271798461371902359)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179968983976942887)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32271799103564902360)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179969596175942888)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(32271799631121902360)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179970208768942889)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(32271800261670902361)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179970786698942889)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(32271800845740902362)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179971466051942890)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(32271801452347902362)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35179972048401942890)
,p_view_id=>wwv_flow_api.id(35179961912712942873)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(32271802018807902363)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(744462497048982565)
,p_tabular_form_region_id=>wwv_flow_api.id(32271791368416902344)
,p_validation_name=>'must not contain spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744462848343982566)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(32271791368416902344)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744444579587982528)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(1044365398557463465)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Departments - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744451547342982540)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(1058148226785973724)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'People - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00029
begin
wwv_flow_api.create_page(
 p_id=>29
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Tabbed Record Editing'
,p_step_title=>'Tabbed Record Editing'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// this should go in a file',
'var app = {};',
'(function($, app) {',
'',
'    // Assumes it is just the grid view model to be detached. The IG shouldn''t have any other views.',
'    // while detached don''t do anything to the view that would cause it to recreate the models',
'    function detachModel(igRegionId) {',
'        var view = apex.region(igRegionId).call("getCurrentView");',
'',
'        if (view.view$) {',
'            view.view$.grid( "option", "modelName", null );',
'        }',
'        if (view.singleRowView$ && view.singleRowView$.length > 0) {',
'            view.singleRowView$.recordView( "option", "modelName", null );',
'        }',
'        return view.model;',
'    }',
'    app.detachModel = detachModel;',
'',
'    // Assumes it is just the grid view model to be attached. The IG shouldn''t have any other views.',
'    function attachModel(igRegionId) {',
'        var view = apex.region(igRegionId).call("getCurrentView");',
'        if (view.view$) {',
'            view.view$.grid( "option", "modelName", view.modelName );',
'        }',
'        if (view.singleRowView$ && view.singleRowView$.length > 0) {',
'            view.singleRowView$.recordView( "option", "modelName", view.modelName );',
'        }',
'    }',
'    app.attachModel = attachModel;',
'',
'    // To use an IG just for its model:    ',
'    // Create an IG editable or not with simple template id and attributes no grid and custom attributes: style="display:none;".',
'    // also heading fixed to region. May want to set lazy load to have full control over the data that is fetched.',
'    // then call this function.',
'    app.useHiddenIGasModel = function(igRegionId) {',
'        return detachModel(igRegionId);',
'    }',
'    // Use this function in the IG JS Init Code.',
'    // For a hidden IG strip out as much as possible',
'    // Some of this can be done declarativly but this does it all in one place',
'    app.hiddenInitIG = function(config) {',
'        var feat = apex.util.getNestedObject(config, "features");',
'        // global features',
'        feat.filter = false;',
'        feat.flashback = false;',
'        feat.download = false;',
'        // grid features',
'        feat = apex.util.getNestedObject(config, "views.grid.features");',
'        feat.singleRowView = false;',
'        feat.aggregate = false;',
'        feat.controlBreak = false;',
'        feat.highlight = false;',
'        apex.util.getNestedObject(config, "views.chart").disabled = true;',
'        return config;',
'    };',
'',
'    // This tricks the model into fetching a specific record by id',
'    app.fetchRecord = function(model, id) {',
'        var rec, newId, meta,',
'            idField = model.getOption("identityField")[0]; // assume single primary key',
'',
'        rec = model.getRecord(id);',
'        if (!rec) {',
'            // can''t fetch a record that isn''t in the model so insert one',
'            newId = model.insertNewRecord();',
'            rec = model.getRecord(newId);',
'            meta = model.getRecordMetadata(newId);',
'            model.setValue(rec, idField, id); // change the id',
'            meta.inserted = false; // and lie about it ever being inserted',
'            delete meta.originalId;',
'        }',
'        return model.fetchRecords([rec]);',
'    };',
'',
'    app.simpleBinding = function(model, recId, form$) {',
'        form$.find("[data-bind]").each(function() {',
'            var val,',
'                rec = model.getRecord(recId),',
'                el$ = $(this),',
'                field = el$.attr("data-bind");',
'            val = model.getValue(rec, field);',
'            if (val === null) {',
'                val = "";',
'            } else if (typeof val === "object" && val.hasOwnProperty("v")) {',
'                val = val.v;',
'            }',
'            el$.val(val);',
'        }).on("change", function(event) {',
'            var el$ = $(event.target),',
'                field = el$.attr("data-bind"),',
'                val = el$.val(),',
'                curRecId = el$.closest(".ui-tabs-panel").attr("data-name"),',
'                rec = model.getRecord(curRecId),',
'                modelVal = model.getValue(rec, field);',
'',
'            if (typeof modelVal === "object" && modelVal.hasOwnProperty("v")) {',
'                val = {v:val, d:""};',
'            }',
'            model.setValue(rec, field, val);',
'            // if it is changed assume it is now valid',
'            model.setValidity( "valid", curRecId, field );',
'            // todo support client side validation',
'        });',
'    };',
'',
'    // for tab template to make ids unique',
'    app.gIdCounter = 1;',
'',
'$(function() {',
'// resize logic to fit page to window',
'// see page Wide Report for more on how resizing to fit the page works',
'function resizeMainContent() {',
'    var tabs$ = $("#tabs"),',
'        height = $(window).height(); // start with the window height',
'    height -= $(".t-Header").outerHeight();',
'    height -= $("#t_Body_content_offset").height();',
'    height -= $("#controlBar").outerHeight();',
'    height -= $(".t-Footer").outerHeight();',
'    apex.util.setOuterHeight(tabs$, height - 1); // -1 to fix rounding sometimes',
'    if (tabs$.hasClass("ui-tabs")) {',
'        tabs$.tabs("refresh"); // tabs want to be refreshed after size changes',
'    }',
'}',
'$(window).on("apexwindowresized", resizeMainContent);',
'resizeMainContent();',
'',
'// extend tabs widget to support add/remove tabs',
'$.widget("ui.tabs", $.ui.tabs, {',
'    _create: function() {',
'        var header$,',
'            tabs$ = this.element,',
'            self = this;',
'        this.tabId = 10;',
'        this.tabsPrefix = (this.element.prop("id") || "tabs") + "-";',
'        this._super();',
'',
'        header$ = tabs$.find(".ui-tabs-nav").sortable({',
'            axis: "x",',
'            stop: function() {',
'                tabs$.tabs( "refresh" );',
'            }',
'        });',
'        // (undocumented API) add touch support to the sortable',
'        apex.widget.util.TouchProxy.addTouchListeners(header$[0]);',
'',
'        tabs$.on( "click", ".remove-tab", function(event) {',
'            var id = $(this).closest("li").attr("aria-controls");',
'            self.remove(id, event);',
'        });',
'        tabs$.on( "keyup", function(event) {',
'            if ( event.altKey && event.keyCode === $.ui.keyCode.BACKSPACE ) {',
'                var id = tabs$.find(".ui-tabs-active").attr("aria-controls");',
'                self.remove(id, event);',
'            }',
'        });',
'    },',
'    add: function(options, event) {',
'        var tabs$ = this.element,',
'            id = this.tabsPrefix + this.tabId,',
'            index = tabs$.find(".ui-tabs-tab").length, // will be index of new tab',
'            li = "<li><a href=''#" + id + "''>" + options.title + "</a>";',
'',
'        if (options.removable) {',
'            li += " <span class=''remove-tab fa fa-times-circle-o'' role=''presentation''><span class=''u-vh''>Remove Tab</span></span>"; // todo use text message',
'        }',
'        li += "</li>";',
'        li = $(li);',
'        tabs$.find(".ui-tabs-nav").append(li);',
'        tabs$.append("<div id=''" + id + "''>" + options.content + "</div>");',
'        this.refresh();',
'        if (options.makeActive) {',
'            tabs$.tabs("option", "active", index);',
'        }',
'        this._trigger("add", event || null, {',
'            id: id',
'        });',
'        this.tabId++;',
'        return id;',
'    },',
'    remove: function(id, event) {',
'        var tabs$ = this.element;',
'        this._trigger("remove", event || null, {',
'            id: id',
'        });',
'        if (event && event.isDefaultPrevented()) {',
'            return;',
'        } // else',
'        tabs$.find("[aria-controls=''" + id +"'']").remove();',
'        tabs$.find("#" + id).remove();',
'        this.refresh();',
'    }',
'});',
'$("#tabs").on("tabscreate", function() {',
'    // Would be better if the jQuery tabs template had a template option for heightStyle',
'    // set this as soon as it is created.',
'    $("#tabs").tabs("option", "heightStyle", "fill");',
'    setTimeout(function() {',
'        // an extra refresh is needed to pick up the initial height',
'        $("#tabs").tabs("refresh"); // tabs want to be refreshed after size changes',
'    }, 1);',
'});',
'',
'});',
'',
'})(apex.jQuery, app);',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// Use the emp IG model, Make it available to DAs etc.',
'var model = app.gEmpModel = app.useHiddenIGasModel("emp");',
'var gShowingSuccess = false;',
'// add model observer. don''t care about viewid because never going to unsubscribe',
'model.subscribe({',
'    onChange: function(changeType, change) {',
'        var i, id, newId,',
'            tabs$ = $("#tabs");',
'        if (gShowingSuccess) {',
'            apex.message.hidePageSuccess();',
'            gShowingSuccess = false;',
'        }',
'        // on any notification check if the model has changes and update save action state.',
'        // this updates the button disabled state.',
'        apex.actions.lookup("save-all").disabled = !model.isChanged();',
'        apex.actions.update("save-all");',
'        // update tab to reflect state',
'        // todo make this accessible by adding something more than just color to indicate the changed/error states',
'        tabs$.find(".ui-tabs-nav").find(".is-error,.is-changed").removeClass("is-error is-changed");',
'        model.getChanges().forEach(function(change) {',
'            var recId = model.getRecordId(change.record);',
'            if (change.inserted || change.updated) {',
'                tabs$.find(".ui-tabs-tab[data-name=''" + recId + "'']").addClass("is-changed");',
'            }',
'            // todo might be nice to show which fields have changed',
'        });',
'        model.getErrors().forEach(function(error) {',
'            var recId = model.getRecordId(error.record);',
'            // todo find some way to display whole record error messages',
'            tabs$.find(".ui-tabs-tab[data-name=''" + recId + "'']").addClass("is-error");',
'        });',
'        if (changeType === "refreshRecords") {',
'            // make sure tab has correct record id and title',
'            for (i = 0; i < change.records.length; i++) {',
'                id = change.recordIds[i];',
'                newId = change.newIds[id];',
'                if (newId) {',
'                    tabs$.find("[data-name=''" + id + "'']").attr("data-name", newId);',
'                    id = newId;',
'                }',
'                tabs$.find(".ui-tabs-tab[data-name=''" + id + "''] a").text(model.getValue(change.records[i],"ENAME"));',
'            }',
'        }',
'    },',
'    progressView: $("#tabs")',
'});',
'',
'// Tabs widget requires there be at least one tab',
'// The default instructions tab should have a tab panel but don''t want to see the tab. See CSS rule.',
'$("[aria-controls=''instructions'']").addClass("default-no-tab");',
'',
'// add save action.',
'apex.actions.add({',
'    name: "save-all",',
'    label: null, // get label from the button',
'    disabled: true,',
'    shortcut: "Alt+/,S",',
'    action: function() {',
'        var p;',
'        if (!model.hasErrors()) {',
'            // want to save all the related views if there are more than just what is currently in use',
'            p = model.save();',
'            if (p) {',
'                p.done( function( _, responseData ) {',
'                    var region, message;',
'                    if ( responseData.regions ) {',
'                        region = responseData.regions[0];',
'                        if ( region.fetchedData && region.fetchedData.successMessage ) {',
'                            message = region.fetchedData.successMessage;',
'                        } else {',
'                            message = apex.lang.getMessage("APEX.IG.CHANGES_SAVED");',
'                        }',
'                        apex.message.showPageSuccess(message);',
'                        gShowingSuccess = true;',
'                        status = "success";',
'                    }',
'                } ).fail( function( errors, textStatus, errorThrown ) {',
'                    if ($.isArray(errors)) {',
'                        // fix up errors so they map on the the right tab form elements',
'                        // errors come back applicable for updating the model but',
'                        // we want them to apply to the cloned page items',
'                        errors.forEach(function(e) {',
'                            var tabPanel$ = $(".ui-tabs-panel[data-name=''" + e.recordId + "'']")',
'                                id = tabPanel$.find("[data-bind=''" + e.columnName + "'']").prop("id");',
'                            delete e.columnName;',
'                            e.pageItem = id;',
'                        });',
'                        apex.message.clearErrors();',
'                        apex.message.showErrors( errors );',
'                    } else {',
'                        apex.message.alert( textStatus || errorThrown, function() { });',
'                    }',
'                } );',
'                // disable save button to avoid double save model listener will cause to enable',
'                apex.actions.disable("save-all");',
'            }',
'        } else {',
'            apex.message.alert( apex.lang.getMessage( "APEX.CORRECT_ERRORS" ), function() {',
'                // todo focus first error',
'            });',
'        }',
'    }',
'});',
'',
'// so clicking on error message links will open the correct tab',
'apex.message.addVisibilityCheck( function( id ) {',
'    var tabId = $("#" + id).closest(".ui-tabs-panel")[0].id,',
'        tab$ = $("[aria-controls=''" + tabId + "'']");',
'    // activate tab',
'    $("#tabs").tabs("option", "active", tab$.index());',
'});',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* style the tab remove "button" */',
'.ui-tabs-tab .remove-tab {',
'    padding: .5em 1em;',
'}',
'/* so that the tabs area doesn''t collapse when there is nothing in it. */',
'.ui-tabs-nav {',
'    height: 3.2em;',
'}',
'/* tabs requires there be at least one tab this hides the tab */',
'.ui-tabs-tab.default-no-tab {',
'    display:none;',
'}',
'/* the tabs could use a lot more style work */',
'',
'/* If trying to maximize the screen space available for the wide grid region',
' * you may not want much or any padding on the main body.',
' */',
'.t-Body-contentInner {',
'    padding: 0;',
'}',
'/* The region heights will be set in JavaScript so don''t want the body to ',
' * have an explicit height */',
'.t-Body-content {',
'    min-height: initial;',
'}',
'/* If the main page never scrolls then there is little point in a back to top button',
' * You could hide the while footer (.t-Footer) but at that point you may want',
' * to look at creating a custom page template such as ''Fit to Window'' that doesn''t have a footer.',
' */',
'.t-Footer-top {',
'    display: none;',
'}',
'',
'/* tab state styles */',
'.ui-tabs-tab a.ui-tabs-anchor {',
'    color: #222222 !important;',
'}',
'.ui-tabs-tab.is-changed a.ui-tabs-anchor {',
'    color: blue !important;',
'}',
'.ui-tabs-tab.is-error a.ui-tabs-anchor {',
'    color: red !important;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190319143444'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744407436495226314)
,p_plug_name=>'just interested in the data'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_region_attributes=>'style="display:none;"'
,p_plug_template=>wwv_flow_api.id(31643806541173161500)
,p_plug_display_sequence=>30
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select',
'    empno,',
'    ename,',
'    job,',
'    sal,',
'    comm,',
'    notes,',
'    hiredate,',
'    onleave',
'  from eba_demo_ig_emp;'))
,p_plug_source_type=>'NATIVE_IG'
,p_translate_title=>'N'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744407560950226316)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'N'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744407698530226317)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Ename'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744407850913226318)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744407858961226319)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Sal'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>60
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744408009723226320)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Comm'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>70
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(744408124919226321)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>80
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(763446326472360306)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hiredate'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>90
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(763446398899360307)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Onleave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>1
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_default_type=>'STATIC'
,p_default_expression=>'N'
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(744407461748226315)
,p_internal_uid=>313710305863991229
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>100
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>'app.hiddenInitIG'
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(744469413240609850)
,p_interactive_grid_id=>wwv_flow_api.id(744407461748226315)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(744469536438609850)
,p_report_id=>wwv_flow_api.id(744469413240609850)
,p_view_type=>'GRID'
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744469980113609869)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(744407560950226316)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744470522735609912)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(744407698530226317)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744471053438609921)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(744407850913226318)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744471495961609925)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(744407858961226319)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744472025456609927)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(744408009723226320)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(744472536750609930)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(744408124919226321)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(763678405499893324)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(763446326472360306)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(763678902381893334)
,p_view_id=>wwv_flow_api.id(744469536438609850)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(763446398899360307)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744408538808226325)
,p_plug_name=>'Tabs'
,p_region_name=>'tabs'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(744485289772560521)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744408334544226323)
,p_plug_name=>'Instructions'
,p_region_name=>'instructions'
,p_parent_plug_id=>wwv_flow_api.id(744408538808226325)
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p class="u-textCenter" style="margin-top: 2rem;">Click Open Employee to get started editing Employees.',
'Click Open Notes to see the notes for this example page.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744409098546226331)
,p_plug_name=>'Buttons'
,p_region_name=>'controlBar'
,p_region_template_options=>'#DEFAULT#:t-ButtonRegion--slimPadding:t-ButtonRegion--noBorder:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643806817042161501)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_translate_title=>'N'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(744409295532226333)
,p_plug_name=>'Open Employee'
,p_region_template_options=>'#DEFAULT#:js-dialog-autoheight:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(763444395726360287)
,p_plug_name=>'Notes'
,p_region_name=>'notes'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page is an example of what can be done with a model. ',
'Interactive Grid provides a model layer that interacts with the sever',
'to fetch records and save changes. This can be leveraged without using any of',
'the IG region UI. Ideally there would be a region type that creates a raw model',
'from data and a corresponding DML process. It would not be hard to create such',
'a model region but currently the Interactive Grid - Automatic Row Processing (DML) process',
'is hard coded to only work with IG regions and duplicating its functionality is not',
'really possible.</p>',
'<p>The idea for this example came from this <a target="_blank" href="https://community.oracle.com/thread/4172540">forum question</a>.',
'This page lets you edit the details of multiple employees at the same time each in their ',
'own tab. This UI pattern is not very common on the web but it is common ',
'for desktop apps to provide a tabbed "document" style editing UI.',
'</p>',
'<p>Demonstrates:</p>',
'<ul>',
'<li>Creating a hidden minimal editable IG region and detaching the model from the view',
'so the model can be used for any purpose. The model including its columns and assoication',
'with a database table is all declarativly configured with the IG region. Saving changes',
'is handled by the normal IG automatic DML Process.</li>',
'<li>Creating a jQuery UI Tabs region template. Extending tabs to support',
'adding and removing tabs. Also allow tabs to be reordered with touch support.',
'Used jQuery UI Tabs rather than APEX RDS or Tabs Container (aTabs widget) because',
'it is documented and it may not even be possible to support add and remove with aTabs.',
'This shows how easy it is to use jQuery UI Tabs in an APEX app. jQuery tabs and',
'aTabs have different but overlaping functionality; pick based on what you need.</li>',
'<li>Create new form elements based on a template form made up of real APEX page items.',
'This is a bit of a hack but can be made to work especially for basic item types.',
'The alternative is to do client side template processing and instanciate ',
'widgets as needed. Could use apex.util.applyTemplate or bring in a 3rd party',
'template library but I think this cloning with fix up is easier; at least in this case.</li>',
'<li>Simple data binding with the APEX model layer. This is very basic and I hope',
'in the future it is much easier and/or automatic/declarative.</li>',
'<li>This is yet another page that resizes to fit the window.</li>',
'</ul>',
'<p>Areas for improvement:<br>',
'Client side validation, better validation error handling, ability to save a single tab.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(763445506925360298)
,p_plug_name=>'Template Tab'
,p_region_name=>'templateTab'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643806492316161500)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763444882589360292)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(744409295532226333)
,p_button_name=>'EMP_CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763444764652360291)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(744409295532226333)
,p_button_name=>'EMP_OPEN'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Open'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
end;
/
begin
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(744409251500226332)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(744409098546226331)
,p_button_name=>'OPEN'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Open Employee'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763444464329360288)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(744409098546226331)
,p_button_name=>'OPEN_NOTES'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Open Notes'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763445200250360295)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(744409098546226331)
,p_button_name=>'SAVE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Save All'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'js-actionButton'
,p_button_cattributes=>'data-action="save-all"'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(744409409190226334)
,p_name=>'P29_EMPLOYEE'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(744409295532226333)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Employee'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ename d, empno r from eba_demo_ig_emp',
'  order by 1'))
,p_lov_display_null=>'YES'
,p_lov_null_text=>' - New -'
,p_lov_null_value=>'NEW'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763445568986360299)
,p_name=>'P29_NAME'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(763445506925360298)
,p_prompt=>'Employee Name'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_tag_attributes=>'data-bind="ENAME"'
,p_field_template=>wwv_flow_api.id(31643838921825161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763445686365360300)
,p_name=>'P29_JOB'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(763445506925360298)
,p_prompt=>'Job'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'EMP_JOBS'
,p_lov=>'.'||wwv_flow_api.id(28066362110306461822)||'.'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_tag_attributes=>'data-bind="JOB"'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763445970991360303)
,p_name=>'P29_SALARY'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(763445506925360298)
,p_prompt=>'Salary'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_tag_attributes=>'data-bind="SAL"'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_02=>'10000'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763446066474360304)
,p_name=>'P29_COMMISSION'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(763445506925360298)
,p_prompt=>'Commission'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>30
,p_tag_attributes=>'data-bind="COMM"'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_02=>'4000'
,p_attribute_03=>'right'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763446170668360305)
,p_name=>'P29_NOTES'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(763445506925360298)
,p_prompt=>'Notes'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cHeight=>8
,p_tag_attributes=>'data-bind="NOTES"'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763447012252360313)
,p_name=>'P29_HIREDATE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(763445506925360298)
,p_prompt=>'Hire Date'
,p_display_as=>'NATIVE_DATE_PICKER'
,p_cSize=>30
,p_tag_attributes=>'data-bind="HIREDATE"'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(744408907841226329)
,p_tabular_form_region_id=>wwv_flow_api.id(744407436495226314)
,p_validation_name=>'no spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(744409464940226335)
,p_name=>'open open dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(744409251500226332)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(744409594902226336)
,p_event_id=>wwv_flow_api.id(744409464940226335)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(744409295532226333)
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex.theme.openRegion(this.affectedElements);',
'// get the latest list of employees',
'// seems silly to treat the item like a region to refresh it but I prefer this to',
'// triggering the refersh event on the item.',
'apex.region("P29_EMPLOYEE").refresh();'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(763444655688360289)
,p_name=>'open notes'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(763444464329360288)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(763444717020360290)
,p_event_id=>wwv_flow_api.id(763444655688360289)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var id, index, tabPanel$,',
'    tabs$ = $("#tabs"),',
'    notes$ = $("#notes"),',
'    title = $("#notes_heading").html(),',
'    content = notes$.find(".t-Region-bodyWrap").html();',
'',
'tabPanel$ = $("[data-name=''notes'']");',
'if (tabPanel$[0]) {',
'    id = tabPanel$[0].id;',
'    index = $("#tabs").find("[aria-controls=''" + id + "'']").index();',
'    tabs$.tabs("option", "active", index);',
'} else {',
'    id = tabs$.tabs("add", {',
'        title: title,',
'        content: content,',
'        removable: true,',
'        makeActive: true',
'    });',
'    $("#" + id).attr("data-name", "notes");',
'}'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(763445024477360293)
,p_name=>'close emp dialog'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(763444882589360292)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(763445117903360294)
,p_event_id=>wwv_flow_api.id(763445024477360293)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(744409295532226333)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(763445828202360301)
,p_name=>'open employee'
,p_event_sequence=>50
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(763444764652360291)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(763445888588360302)
,p_event_id=>wwv_flow_api.id(763445828202360301)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(744409295532226333)
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var id, index, tabPanel$, title, content, content$, template$, recId, promise, prefix, datePickerId,',
'    tabs$ = $("#tabs"),',
'    empid = $v("P29_EMPLOYEE");',
'',
'function binding(recId, formId) {',
'    app.simpleBinding(app.gEmpModel, recId, $("#" + formId));',
'}',
'',
'tabPanel$ = $(".ui-tabs-panel[data-name=''" + empid + "'']");',
'if (empid !== "NEW" && tabPanel$[0]) {',
'    // if not a new employee and the employee is already open switch to it.',
'    id = tabPanel$[0].id;',
'    index = $("#tabs").find("[aria-controls=''" + id + "'']").index();',
'    tabs$.tabs("option", "active", index);',
'} else {',
'    if (empid === "NEW") {',
'        title = "New Employee"; // todo use message',
'    } else {',
'        title = apex.item("P29_EMPLOYEE").displayValueFor(empid);',
'    }',
'',
'    // copy the template make the IDs unique and remove the name',
'    // because these form elements are not for sumbmitting.',
'    // Using standard page items as a template form will not work in general',
'    // DAs, cascading LOV, etc will not work. Some item types need to be',
'    // initialized. After the clone/copy the form elements are not items any more.',
'    template$ = $("#templateTab");',
'    content$ = template$.clone();',
'    prefix = "T_" + app.gIdCounter + "_";',
'    content$.find("[id]").each(function() {',
'        var forAttr = $(this).attr("for");',
'        this.id = prefix + this.id;',
'        $(this).removeAttr("name");',
'        if (forAttr) {',
'            $(this).attr("for", prefix + forAttr);',
'        }',
'    });',
'    app.gIdCounter += 1;',
'',
'    content = content$.html();;',
'    id = tabs$.tabs("add", {',
'        title: title,',
'        content: content,',
'        removable: true,',
'        makeActive: true',
'    });',
'    // Many item types will work fine when copied given the above fix ups but ',
'    // more complex widgets may need to be initialized; just look at what APEX does to init them.',
'    datePickerId = "#" + prefix + "P29_HIREDATE";',
'    $(datePickerId).removeClass("hasDatepicker")',
'        .parent().find(".ui-datepicker-trigger").remove(); // so it can be initialized',
'    apex.widget.datepicker(datePickerId, {',
'        buttonImageOnly: false,',
'        buttonText: ''<span class="a-Icon icon-calendar"></span><span class="u-VisuallyHidden">Popup Calendar: Hiredate<span>'',',
'        showTime: false,',
'        defaultDate : new Date(),',
'        showOn : "button",',
'        showOtherMonths: false,',
'        changeMonth: true,',
'        changeYear: true }, "dd-M-y", "en");',
'    $(datePickerId).next(''button'').addClass(''a-Button a-Button--calendar'');',
'',
'    if (empid === "NEW") {',
'        title = "New Employee"; // todo use message',
'        recId = app.gEmpModel.insertNewRecord();',
'        binding(recId, id);',
'        // the model listener will try to update the state of this tab but the tab',
'        // is not yet associated with the record so do it explicitly here.',
'        $("[aria-controls=''" + id + "'']").addClass("is-changed");',
'    } else {',
'        // Add record to the model',
'        promise = app.fetchRecord(app.gEmpModel, empid);',
'        recId = empid;',
'        promise.done(function() {',
'            binding(recId, id);',
'        })',
'        .fail(function(error) {',
'            apex.message.alert("Error fetching record " + recId + "Reason: " + error.message);',
'        });',
'    }',
'',
'    $("#" + id).attr("data-name", recId)',
'        .attr("data-prefix", prefix);',
'    $("[aria-controls=''" + id + "'']").attr("data-name", recId);',
'}',
'',
'apex.theme.closeRegion(this.affectedElements);',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(763446553965360308)
,p_name=>'check if OK to remove tab'
,p_event_sequence=>60
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(744408538808226325)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'tabsremove'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(763446592096360309)
,p_event_id=>wwv_flow_api.id(763446553965360308)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'if (this.browserEvent.originalEvent) {',
'    var ok, rec, model,',
'        tabId = this.data.id,',
'        tab$ = $("[aria-controls=''" + tabId + "'']"),',
'        recId = tab$.attr("data-name");',
'',
'    if (tab$.hasClass("is-changed") || tab$.hasClass("is-error")) {',
'        this.browserEvent.preventDefault();',
'        apex.message.confirm("There are changes are you sure you want to close this tab?", function(ok) {',
'            if (ok) {',
'                $("#tabs").tabs("remove", tabId);',
'            }',
'        });',
'        /* this works around a bug prior to 19.1 in apex.message.confirm ',
'        setTimeout(function() {',
'            ok = confirm("There are changes are you sure you want to close this tab?");',
'            if (ok) {',
'                model = app.gEmpModel;',
'                rec = model.getRecord(recId);',
'                if (model.getRecordMetadata(recId).inserted) {',
'                    model.deleteRecords([rec]);',
'                } else if (model.canRevertRecord(rec)) {',
'                    model.revertRecords([rec]);',
'                }',
'                $("#tabs").tabs("remove", tabId);',
'            }',
'        }, 1); */',
'    }',
'}'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(763446694929360310)
,p_name=>'don''t allow activate default tab when there are others'
,p_event_sequence=>70
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(744408538808226325)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'tabsactivate'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(763446829416360311)
,p_event_id=>wwv_flow_api.id(763446694929360310)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var newTab$ = this.data.newTab;',
'if (newTab$.hasClass("default-no-tab") && newTab$.parent().children().length > 1) {',
'    // don''t let the default null tab be active if there are other tabs',
'    $("#tabs").tabs("option", "active", newTab$.index() + 1);',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(744408774913226328)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(744407436495226314)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'just interested in the data - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00030
begin
wwv_flow_api.create_page(
 p_id=>30
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Custom Progress'
,p_step_title=>'Custom Progress'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// Add the progress indicator. An alternative would be to add this to a page template.',
'$("#t_Header .t-Header-logo").append(''<div id="progress" class="progress-bar stripes"><span></span></div>'');',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'/* progress */',
'#progress {',
'    float: right;',
'    margin-top: 5px;',
'}',
'.progress-bar {',
'    height: 25px;',
'    padding: 5px;',
'    width: 120px;',
'    font-size: 1rem;',
'    line-height: 15px;',
'}',
'.progress-bar.is-active {',
'    background-color: #1a1a1a;',
'    border-radius: 5px;',
'    box-shadow: 0 1px 5px #000 inset, 0 1px 0 #444;',
'}',
'.progress-bar.is-active span {',
'    display: inline-block;',
'    background-color: #34c2e3;',
'    width: 100%;',
'    height: 15px;',
'}',
'.stripes.is-active span {',
'    background-size: 30px 30px;',
'    background-image: linear-gradient(135deg, rgba(255, 255, 255, .15) 25%, transparent 25%,',
'                        transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%,',
'                        transparent 75%, transparent);            ',
'    animation: animate-stripes 3s linear infinite;             ',
'}',
'',
'@keyframes animate-stripes {',
'    0% {background-position: 0 0;} 100% {background-position: 60px 0;}',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190304115639'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29105216383794810760)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This page demonstrates how you can have control over the progress indication',
'shown by Interactive Grid. On twitter people have ',
'<a target="_blank" href="https://twitter.com/OliverLemm/status/1085837449350135809">asked</a> for more ',
'<a target="_blank" href="https://twitter.com/Ronny_Weiss_/status/1085955882545004544">control</a> over progress indicators.',
'This page has a global progress indicator in the title bar.',
'You may need to use developer tools to throttle the network requests in order',
'to better see the progress. Starting in 19.1 a default progress indicator is shown for ',
'IG save requests.</p>',
'<p>Note: People have sometimes used the <code>apexbeforerefresh</code> and <code>apexafterrefresh</code>',
'events to show progress with other kinds of regions but this is not a robust ',
'method because <code>apexafterrefresh</code> is not guaranteed to happen. Also these events',
'<a target="_blank" href="http://hardlikesoftware.com/weblog/2017/03/31/how-to-hack-apex-interactive-grid-part-4/">do not apply</a> to IG.</p>',
'<p>Demonstrates:<br>',
'Using the model option <code>makeLoadingIndicator</code> and interactiveGrid widget option',
'<code>saveLoadingIndicator</code>. The progress indicator used is just an example.',
'It should be clear that since you can run code at the start and end of the request (actually via apex.util.delayLinger)',
'that any kind of progress indication should be possible.',
'<br>Customizations:<br>',
'Page attribute Execute when Page Loads adds markup for the progress indicator.',
'The needed CSS is in CSS: Inline. The integration with IG is in Advanced: JavaScript Initialization.',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32193375114590623043)
,p_plug_name=>'Custom Progress'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193376294838623046)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193376862709623047)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193377454554623051)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193378019002623053)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193378599767623054)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193379260744623054)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193379827544623055)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193380448430623056)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193380992119623056)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193381654053623057)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193382207545623058)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193382849738623059)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193383377295623059)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193384007844623060)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193384591914623061)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193385198521623061)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193385764981623062)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(32193375589852623044)
,p_internal_uid=>32193375589852623044
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.saveLoadingIndicator = function() {',
'        $("#progress").addClass("is-active");',
'',
'        return function () {',
'            $("#progress").removeClass("is-active");',
'        };',
'    };',
'',
'    // shows how additional options can be passed to the makeLoadingIndicator function',
'    config.defaultGridViewOptions = {',
'        progressOptions: {',
'            color: "#f9bfd6"',
'        }',
'    };',
'',
'    config.defaultModelOptions = {',
'        makeLoadingIndicator: function( views, options ) {',
'            return function() {',
'                var i, color = "#34c2e3";',
'',
'                for (i = 0; i < options.length; i++) {',
'                    if (options[i].color) {',
'                        color = options[i].color;',
'                    }',
'                }',
'',
'                $("#progress span").css("background-color", color);',
'                $("#progress").addClass("is-active");',
'',
'                return function () {',
'                    $("#progress").removeClass("is-active");',
'                };',
'            };',
'        }',
'    };',
'',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(32193376021188623045)
,p_interactive_grid_id=>wwv_flow_api.id(32193375589852623044)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(32193376102386623045)
,p_report_id=>wwv_flow_api.id(32193376021188623045)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193377251866623049)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32193376862709623047)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193377819902623053)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32193377454554623051)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193378413515623054)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32193378019002623053)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193379045363623054)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32193378599767623054)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193379586496623055)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32193379260744623054)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193380173263623055)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32193379827544623055)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193380776627623056)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32193380448430623056)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193381364743623057)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32193380992119623056)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193381973073623058)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32193381654053623057)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193382610574623059)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32193382207545623058)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193383173650623059)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32193382849738623059)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193383785849623060)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(32193383377295623059)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193384398442623061)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(32193384007844623060)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193384976372623061)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(32193384591914623061)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193385655725623062)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(32193385198521623061)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193386238075623062)
,p_view_id=>wwv_flow_api.id(32193376102386623045)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(32193385764981623062)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(35101545577688663572)
,p_interactive_grid_id=>wwv_flow_api.id(32193375589852623044)
,p_name=>'A while ago'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
,p_flashback_mins_ago=>5
,p_flashback_is_enabled=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(35101545658886663572)
,p_report_id=>wwv_flow_api.id(35101545577688663572)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101546808366663576)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32193376862709623047)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101547376402663580)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32193377454554623051)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101547970015663581)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32193378019002623053)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101548601863663581)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32193378599767623054)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101549142996663582)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32193379260744623054)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101549729763663582)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32193379827544623055)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101550333127663583)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32193380448430623056)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101550921243663584)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32193380992119623056)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101551529573663585)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32193381654053623057)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101552167074663586)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32193382207545623058)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101552730150663586)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32193382849738623059)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101553342349663587)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(32193383377295623059)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101553954942663588)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(32193384007844623060)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101554532872663588)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(32193384591914623061)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101555212225663589)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(32193385198521623061)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(35101555794575663589)
,p_view_id=>wwv_flow_api.id(35101545658886663572)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(32193385764981623062)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(549028265443383008)
,p_tabular_form_region_id=>wwv_flow_api.id(32193375114590623043)
,p_validation_name=>'must not contain spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(549028582809383022)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(32193375114590623043)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00031
begin
wwv_flow_api.create_page(
 p_id=>31
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Simple Grid'
,p_step_title=>'Simple Grid'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// because of a-Tabs-panel display:none and when the tabs remember the last used tab',
'// need to call forceActive so that the regions are notified that they are visible.',
'// rds is the static id of the RDS region adjust as needed.',
'var activeTab = $("#rds").find(".a-Tabs").aTabs("getActive");',
'activeTab.forceActive();',
'',
'function resizeMainContent() {',
'    var sgHeight,',
'        height = $(window).height(); // start with the window height',
'',
'    // subtract off all the fixed height regions and header',
'    height -= $(".t-Header").outerHeight();',
'    height -= $("#t_Body_content_offset").height(); // this takes the breadcrumb area into consideration',
'    height -= $(".t-Footer").outerHeight();',
'    height -= 32; // for body padding adjust or remove if change body padding',
'',
'    // then set the height of the regions that will stretch',
'    // setOuterHeight takes into consideration the borders etc. on the grid itself.',
'    ["#notes", "#notes .t-Region-body", "#emp","#tableBrowser"].forEach(function(sel) {',
'        apex.util.setOuterHeight($(sel), height);',
'    });',
'    sgHeight = height;',
'    sgHeight -= $("#emp .t-Region-header").outerHeight();',
'    sgHeight -= $("#emp .t-Region-buttons").outerHeight();',
'    apex.util.setOuterHeight($("#emp .sizer"), sgHeight);',
'    sgHeight = height;',
'    sgHeight -= $("#tableBrowser .container:first").outerHeight();',
'    // subtract the height of the header but the tableData header may be invisible. The noTableData header is the same height so use whichever is visible',
'    sgHeight -= $("#tableBrowser .t-Region-header").filter(":visible").last().outerHeight();',
'    apex.util.setOuterHeight($("#tableData .sizer"), sgHeight);',
'}',
'$(window).on("apexwindowresized", resizeMainContent);',
'resizeMainContent();',
'',
'// init filters',
'$("#rds").on("atabsactivate", function(event, ui) {',
'    var i, col, columns,',
'    colOptions = "<option value=''''></option>";',
'',
'    resizeMainContent();',
'    if (ui.active.href === "#emp") {',
'        setTimeout(function() {',
'            columns = apex.region("emp").call("getColumns");',
'            for (i = 0; i < columns.length; i++) {',
'                col = columns[i];',
'                if ( !(col.hidden && !col.canHide) && (col.label || col.heading) ) {',
'                    colOptions += "<option value=''" + col.property + "''>" + apex.util.escapeHTML( col.label || col.heading) + "</option>";',
'                }',
'            }',
'            $("#P31_F1_COL, #P31_F2_COL, #P31_F3_COL").html(colOptions);',
'        }, 1);',
'    }',
'});',
'',
'// handle table change but with debounce',
'function updateTableData() {',
'    var title,',
'        tableName = $v("P31_TABLE"),',
'        hasData = tableName !== "";',
'',
'    // using apexaftershow/hide events to get visibility change behavior like the Show/Hide DAs',
'    $("#tableData").toggle(hasData).trigger(hasData ? "apexaftershow" : "apexafterhide");',
'    $("#noTableData").toggle(!hasData).trigger(!hasData ? "apexaftershow" : "apexafterhide");',
'    if (hasData) {',
'        title = "Data for " + tableName; // todo i18n use a message',
'        apex.region("tableData").changeColumns(tableName);',
'    } else {',
'        title = "Data";',
'    }',
'    $("#tableData .t-Region-title").text(title);',
'}',
'',
'$("#P31_TABLE").change(apex.util.debounce(function() {',
'    updateTableData();',
'}, 300));',
'updateTableData();',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-Tabs-panel {',
'    display:none;',
'}',
'.a-GV-rowHeader {',
'    font-weight: bold;',
'}',
'/* If trying to maximize the screen space available for the wide grid region',
' * you may not want much or any padding on the main body.',
'',
'.t-Body-contentInner {',
'    padding: 0;',
'}',
'*/',
'/* The region heights will be set in JavaScript so don''t want the body to ',
' * have an explicit height */',
'.t-Body-content {',
'    min-height: initial;',
'}',
'/* If the main page never scrolls then there is little point in a back to top button',
' * You could hide the while footer (.t-Footer) but at that point you may want',
' * to look at creating a custom page template such as ''Fit to Window'' that doesn''t have a footer.',
' */',
'.t-Footer-top {',
'    display: none;',
'}',
'/* let columnheader wrap for the table browser grid */',
'#tableData .a-GV-headerLabel {',
'    white-space: normal;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190329182258'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(430720501739339199)
,p_plug_name=>'Simple Grid'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_query_type=>'SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select e.empno, e.ename, m.ename as mgrname, e.job, e.hiredate, e.sal, e.comm, e.notes',
'  from eba_demo_ig_emp e left join eba_demo_ig_emp m on m.empno = e.mgr'))
,p_plug_source_type=>'PLUGIN_JJS_SIMPLE_GRID'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plug_query_no_data_found=>'No Employees.'
,p_attribute_01=>'SORT:REORDER:RESIZE'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'ROW'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_07=>'Y'
,p_attribute_08=>'SCROLL'
,p_attribute_09=>'Y'
,p_attribute_11=>'Y'
,p_attribute_13=>'N'
,p_attribute_15=>'~'
,p_attribute_16=>'N'
,p_attribute_18=>'Y'
,p_attribute_19=>'REGION'
,p_attribute_20=>'400'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(430800709941823458)
,p_name=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_visible=>true
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_02=>'NO'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'120'
,p_attribute_08=>'Y'
,p_attribute_10=>'N'
,p_attribute_12=>'60'
,p_attribute_13=>'N'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(430801630584823467)
,p_name=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_visible=>false
,p_display_sequence=>100
,p_attribute_02=>'NONE'
,p_attribute_04=>'N'
,p_attribute_05=>'N'
,p_attribute_06=>'Y'
,p_attribute_08=>'D'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(430801702024823468)
,p_name=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_visible=>true
,p_heading=>'<b>Name</b>'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_02=>'ASC'
,p_attribute_03=>'2'
,p_attribute_04=>'N'
,p_attribute_05=>'Y'
,p_attribute_06=>'N'
,p_attribute_07=>'140'
,p_attribute_08=>'D'
,p_attribute_09=>'Name'
,p_attribute_12=>'10'
,p_attribute_13=>'Y'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(430801795888823469)
,p_name=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_visible=>true
,p_heading=>'<i>Job</i>'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_value_css_classes=>'special'
,p_attribute_02=>'DESC'
,p_attribute_03=>'1'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'120'
,p_attribute_08=>'D'
,p_attribute_09=>'Job'
,p_attribute_10=>'N'
,p_attribute_12=>'20'
,p_attribute_13=>'N'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(430801896352823470)
,p_name=>'SAL'
,p_data_type=>'NUMBER'
,p_is_visible=>true
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>150
,p_value_alignment=>'RIGHT'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'120'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_12=>'40'
,p_attribute_13=>'N'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(430802031773823471)
,p_name=>'COMM'
,p_data_type=>'NUMBER'
,p_is_visible=>true
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>160
,p_value_alignment=>'RIGHT'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'120'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_12=>'50'
,p_attribute_13=>'N'
,p_format_mask=>'FML999G999G999G999G990D00'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559977399308601810)
,p_name=>'MGRNAME'
,p_data_type=>'VARCHAR2'
,p_is_visible=>true
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>130
,p_value_alignment=>'LEFT'
,p_value_css_classes=>'mgr-name'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'140'
,p_attribute_08=>'D'
,p_attribute_10=>'Y'
,p_attribute_11=>'mgr-hdr'
,p_attribute_12=>'30'
,p_attribute_13=>'N'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559978079958601817)
,p_name=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_visible=>true
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>140
,p_value_alignment=>'CENTER'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'130'
,p_attribute_08=>'D'
,p_attribute_10=>'Y'
,p_attribute_12=>'10'
,p_attribute_13=>'N'
,p_format_mask=>'DD-MON-YYYY'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(546919766015653848)
,p_plug_name=>'Table Browser'
,p_region_name=>'tableBrowser'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--noBorder:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(546919895594653849)
,p_plug_name=>'Data'
,p_region_name=>'tableData'
,p_parent_plug_id=>wwv_flow_api.id(546919766015653848)
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_region_attributes=>'style="display:none;"'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_query_type=>'FUNC_BODY_RETURNING_SQL'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'   l_cols varchar2(32767);',
'   l_table varchar2(128) := case when :P31_TABLE is null then ''DUAL'' else :P31_TABLE end;',
'begin',
'    if :P31_TABLE is null then',
'        -- these are design time columns',
'        l_cols := ''''''a'''' "VARCHAR2", 2 "NUMBER", to_date(''''1900-01-01'''', ''''YYYY-MM-DD'''') "DATE", '' ||',
'          ''to_timestamp(''''1900-01-01'''', ''''YYYY-MM-DD'''') "TIMESTAMP", '' ||',
'          ''to_timestamp_tz(''''1900-01-01'''', ''''YYYY-MM-DD'''') "TIMESTAMP WITH TIME ZONE", ''||',
'          ''to_timestamp_tz(''''1900-01-01'''', ''''YYYY-MM-DD'''') "TIMESTAMP WITH LOCAL TIME ZONE"'';',
'    else',
'        select listagg( column_name, ''", "'') within group (order by column_id) column_name into l_cols',
'            from all_tab_columns ',
'        where table_name = l_table;',
'        if l_cols is not null then',
'            l_cols := ''"'' || l_cols || ''"'';',
'        else',
'            l_cols := ''1'';',
'        end if;',
'    end if;',
'    return ''select '' || l_cols || '' from '' || l_table;',
'end;'))
,p_plug_source_type=>'PLUGIN_JJS_SIMPLE_GRID'
,p_ajax_items_to_submit=>'P31_TABLE,P31_SCHEMA'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_plugin_init_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(options) {',
'    options.persistColumnStatePrefix = "&P31_TABLE.";',
'    return options;',
'}'))
,p_attribute_01=>'SORT:REORDER:RESIZE'
,p_attribute_02=>'Y'
,p_attribute_03=>'Y'
,p_attribute_04=>'ROW'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_07=>'Y'
,p_attribute_08=>'SCROLL'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
,p_attribute_13=>'N'
,p_attribute_16=>'N'
,p_attribute_17=>'TYPE'
,p_attribute_18=>'Y'
,p_attribute_19=>'REGION'
,p_attribute_20=>'400'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559979971444601836)
,p_name=>'VARCHAR2'
,p_data_type=>'VARCHAR2'
,p_is_visible=>true
,p_heading_alignment=>'LEFT'
,p_display_sequence=>10
,p_value_alignment=>'LEFT'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'140'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559980057399601837)
,p_name=>'NUMBER'
,p_data_type=>'NUMBER'
,p_is_visible=>true
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>20
,p_value_alignment=>'RIGHT'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'80'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559980114227601838)
,p_name=>'DATE'
,p_data_type=>'DATE'
,p_is_visible=>true
,p_heading_alignment=>'CENTER'
,p_display_sequence=>30
,p_value_alignment=>'CENTER'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'120'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_format_mask=>'DD-MON-YYYY HH:MIPM'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559980276496601839)
,p_name=>'TIMESTAMP'
,p_data_type=>'TIMESTAMP'
,p_is_visible=>true
,p_heading_alignment=>'CENTER'
,p_display_sequence=>40
,p_value_alignment=>'CENTER'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'120'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_format_mask=>'DD-MON-YYYY HH:MIPM'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559980587567601842)
,p_name=>'TIMESTAMP WITH TIME ZONE'
,p_data_type=>'TIMESTAMP_TZ'
,p_is_visible=>true
,p_heading_alignment=>'CENTER'
,p_display_sequence=>50
,p_value_alignment=>'CENTER'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'140'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_format_mask=>'DD-MON-YYYY HH:MIPM'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(559980644813601843)
,p_name=>'TIMESTAMP WITH LOCAL TIME ZONE'
,p_data_type=>'TIMESTAMP_TZ'
,p_is_visible=>true
,p_heading_alignment=>'CENTER'
,p_display_sequence=>60
,p_value_alignment=>'CENTER'
,p_attribute_02=>'NONE'
,p_attribute_04=>'Y'
,p_attribute_05=>'N'
,p_attribute_06=>'N'
,p_attribute_07=>'140'
,p_attribute_08=>'D'
,p_attribute_10=>'N'
,p_attribute_13=>'N'
,p_format_mask=>'DD-MON-YYYY HH:MIPM'
,p_escape_on_http_output=>true
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(559979512050601832)
,p_plug_name=>'No Table'
,p_region_name=>'noTableData'
,p_parent_plug_id=>wwv_flow_api.id(546919766015653848)
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>'<p>Choose a table to display the data.</p>'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(559977152983601808)
,p_plug_name=>'Tabs'
,p_region_name=>'rds'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--removeHeader:t-Region--scrollBody:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(559981081443601847)
,p_plug_name=>'FIlters'
,p_region_template_options=>'#DEFAULT#:js-dialog-autoheight:js-popup-noOverlay:js-dialog-size600x400:t-Form--stretchInputs'
,p_region_attributes=>'data-parent-element="#filterButton"'
,p_plug_template=>wwv_flow_api.id(659831297558836131)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(28561959682760400963)
,p_plug_name=>'Notes'
,p_region_name=>'notes'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--hideHeader:t-Region--noBorder:t-Region--scrollBody:margin-top-none:margin-bottom-none'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Sometimes Interactive Grid has more features than you need. One way to deal with this',
'is to turn off, disable, or customize away what you don''t want.',
'Page <a href="f?p=&APP_ID.:20:&SESSION.">IG Cards</a> is a good example of this approach.',
'Another option is to create a plug-in that utilizes the underlying widgets to do',
'exactly what you want and no more. This page demonstrates the Simple Grid plug-in.',
'Simple Grid is a region plug-in built around the APEX grid widget. The grid widget',
'and model are now fairly well documented enabling the creation of custom plug-ins',
'such as this. This plug-in also uses the APEX_EXEC API to',
'fetch the data so it should work with web sources and remote databases.</p>',
'<p>One thing that people often ask for is to support source type ',
'PL/SQL Function Body returning SQL Query with Interactive Report and',
'Interactive Grid just like in Classic Reports. Even now that it is supported for',
'Interactive Report (and if it is ever supported for Interactive Grid) it has',
'the restriction that the SQL statement returned must always have the same columns.',
'For various reasons people have wanted to do what Classic reports can do and ',
'have different columns in the report. The reason the Interactive regions can''t',
'support this is because of saved reports, which rely on knowledge about the columns.',
'The Simple Grid has no saved reports and so it was possible (not easy) to support',
'dynamic columns. See the Table Browser tab. Note that column state (order, show, width, and freeze)',
'is persisted for the browser session per table. The result is a single region',
'that can report on various tables while leveraging the features of grid widget such',
'as scroll paging, selection, and frozen columns.</p>',
'<p>Demonstrates:<br>',
'Creating a region plug-in that uses the grid widget and the APEX_EXEC API.',
'Study the Simple Grid plug-in source PL/SQL and JavaScript files carefully. ',
'Simple Grid is probably not generally useful as is. Use it as a starting point',
'for creating a region that does just what you want. There are many design',
'choices that could be made differently and areas to improve. For example ',
'filtering UI could be made a part of the plug-in rather than just exposing an',
'API that allows custom UI for filtering. Areas to improve include column link ',
'options, and more filtering capabilities. Note: a similar region plug-in',
'could be created for the tableModelView widget to make a Simple Icon or Detail',
'report region.</p>',
'<p>Play around with the region attributes of the Simple Grid and Data regions.',
'See Execute when Page Loads page attribute for tab panel resize logic ',
'(this is similar to the Lazy Tabs fit page example but more complicated because of the tab contents),',
'how the list of columns to filter is generated when the Simple Grid tab is ',
'activated (have to wait unitl the grid is initialized), and how the tableData',
'region is updated when the table changes (this uses apex.util.debounce to avoid',
'updating the grid if the table select list changes rapidly using keyboard arrows).',
'Simple Grid doesn''t have built in UI for filtering but it does support filtering.',
'This lets you create any kind of UI that you like for the user to enter filters.',
'The inline filter popup region is just an example of what can be done. ',
'See that region and the related dynamic actions for how it works.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(559978189354601818)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(546919895594653849)
,p_button_name=>'B_REFRESH'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Refresh'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(645849284202757001)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(430720501739339199)
,p_button_name=>'S_FILTERS'
,p_button_static_id=>'filterButton'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Filters'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(559976836628601805)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(430720501739339199)
,p_button_name=>'S_REFRESH'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Refresh'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(645849342212757002)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(559981081443601847)
,p_button_name=>'FILTER_OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(645849457471757003)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(559981081443601847)
,p_button_name=>'FILTER_CLEAR_ALL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--iconRight'
,p_button_template_id=>wwv_flow_api.id(31643839365856161549)
,p_button_image_alt=>'Clear'
,p_button_position=>'REGION_TEMPLATE_PREVIOUS'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(559976544186601802)
,p_name=>'P31_SCHEMA'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(546919766015653848)
,p_prompt=>'Schema'
,p_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select schema',
'from apex_workspace_schemas',
'where rownum = 1',
'order by 1'))
,p_source_type=>'QUERY'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'WORKSPACE_SCHEMAS'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select schema as d, schema as r',
'from apex_workspace_schemas',
'order by 1'))
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(559976692825601803)
,p_name=>'P31_TABLE'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(546919766015653848)
,p_prompt=>'Table'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select object_name as d, object_name as r',
'    from all_objects',
'  where object_type = ''TABLE'' and owner = :P31_SCHEMA and status = ''VALID'''))
,p_lov_display_null=>'YES'
,p_lov_null_text=>'<Choose Table>'
,p_lov_cascade_parent_items=>'P31_SCHEMA'
,p_ajax_items_to_submit=>'P31_SCHEMA'
,p_ajax_optimize_refresh=>'Y'
,p_cHeight=>1
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(559981125245601848)
,p_name=>'P31_F1_COL'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Filter 1 Column'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NA;NA'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(559981274602601849)
,p_name=>'P31_F1_TYPE'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Type'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'FILTER_TYPES'
,p_lov=>'.'||wwv_flow_api.id(646196531533982802)||'.'
,p_cHeight=>1
,p_tag_css_classes=>'filter-type'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(559981304639601850)
,p_name=>'P31_F1_VALUE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Value'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(645850196485757010)
,p_name=>'P31_F2_COL'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Filter 2 Column'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NA;NA'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(645850217175757011)
,p_name=>'P31_F2_TYPE'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Type'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'FILTER_TYPES'
,p_lov=>'.'||wwv_flow_api.id(646196531533982802)||'.'
,p_cHeight=>1
,p_tag_css_classes=>'filter-type'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(645850344605757012)
,p_name=>'P31_F2_VALUE'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Value'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(645850440452757013)
,p_name=>'P31_F3_COL'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Filter 3 Column'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'STATIC:NA;NA'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(645850552899757014)
,p_name=>'P31_F3_TYPE'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Type'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'FILTER_TYPES'
,p_lov=>'.'||wwv_flow_api.id(646196531533982802)||'.'
,p_cHeight=>1
,p_tag_css_classes=>'filter-type'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(645850624203757015)
,p_name=>'P31_F3_VALUE'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(559981081443601847)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Value'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838831227161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(559976992594601806)
,p_name=>'refresh simple IG'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(559976836628601805)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(559977018305601807)
,p_event_id=>wwv_flow_api.id(559976992594601806)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(430720501739339199)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(559977451108601811)
,p_name=>'selection change'
,p_event_sequence=>20
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(430720501739339199)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_JJS_SIMPLE_GRID|REGION TYPE|gridselectionchange'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(559977538696601812)
,p_event_id=>wwv_flow_api.id(559977451108601811)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'console.log("Selection Changed ", this.data);'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(559977614334601813)
,p_name=>'page change'
,p_event_sequence=>30
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(430720501739339199)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_JJS_SIMPLE_GRID|REGION TYPE|gridpagechange'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(559977737853601814)
,p_event_id=>wwv_flow_api.id(559977614334601813)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'console.log("Page Changed ", this.data);'
);
end;
/
begin
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(559977885500601815)
,p_name=>'activate cell'
,p_event_sequence=>40
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(430720501739339199)
,p_bind_type=>'bind'
,p_bind_event_type=>'PLUGIN_JJS_SIMPLE_GRID|REGION TYPE|gridactivatecell'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(559977946276601816)
,p_event_id=>wwv_flow_api.id(559977885500601815)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'console.log("Activate Cell ", this.data);'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(559978290793601819)
,p_name=>'refresh table browser ig'
,p_event_sequence=>50
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(559978189354601818)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(559978330753601820)
,p_event_id=>wwv_flow_api.id(559978290793601819)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(546919895594653849)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(645849546219757004)
,p_name=>'open filters popup'
,p_event_sequence=>70
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(645849284202757001)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(645849653420757005)
,p_event_id=>wwv_flow_api.id(645849546219757004)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_OPEN_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(559981081443601847)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(645849714338757006)
,p_name=>'clear filters'
,p_event_sequence=>80
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(645849457471757003)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(645849801843757007)
,p_event_id=>wwv_flow_api.id(645849714338757006)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P31_F1_COL,P31_F1_VALUE,P31_F2_COL,P31_F2_VALUE,P31_F3_COL,P31_F3_VALUE'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(645850749921757016)
,p_event_id=>wwv_flow_api.id(645849714338757006)
,p_event_result=>'TRUE'
,p_action_sequence=>20
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_SET_VALUE'
,p_affected_elements_type=>'ITEM'
,p_affected_elements=>'P31_F1_TYPE,P31_F2_TYPE,P31_F3_TYPE'
,p_attribute_01=>'STATIC_ASSIGNMENT'
,p_attribute_02=>'1'
,p_attribute_09=>'N'
,p_stop_execution_on_error=>'Y'
,p_wait_for_result=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(645849910563757008)
,p_name=>'close'
,p_event_sequence=>90
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(645849342212757002)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(645850018952757009)
,p_event_id=>wwv_flow_api.id(645849910563757008)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_CLOSE_REGION'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(559981081443601847)
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(645850880889757017)
,p_name=>'set filters'
,p_event_sequence=>100
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(559981081443601847)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'popupclose'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(645850999178757018)
,p_event_id=>wwv_flow_api.id(645850880889757017)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var i, col, type, value, values,',
'    filters = [];',
'for (i = 1; i <= 3; i++) {',
'    col = $v("P31_F" + i + "_COL");',
'    type = parseInt($v("P31_F" + i + "_TYPE"), 10);',
'    value = $v("P31_F" + i + "_VALUE");',
'    if (col) {',
'        if ( type === 17 || type === 18) { // between, not between',
'            values = value.split(/;\s*/);',
'            filters.push({',
'                column: col,',
'                type: type,',
'                fromValue: values[0],',
'                toValue: values[1]',
'            });',
'        } else if ( type === 15 || type === 16) { // in, not in',
'            filters.push({',
'                column: col,',
'                type: type,',
'                values: value.split(/;\s*/)',
'            });',
'        } else if ( type === 7 || type === 8 ) { // null, not null',
'            filters.push({',
'                column: col,',
'                type: type',
'            });',
'        } else {',
'            filters.push({',
'                column: col,',
'                type: type,',
'                value: value',
'            });',
'        }',
'    }',
'}',
'apex.region("emp").setFilters(filters);'))
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(645851038717757019)
,p_name=>'show/hide value based on filter type'
,p_event_sequence=>110
,p_triggering_element_type=>'JQUERY_SELECTOR'
,p_triggering_element=>'.filter-type'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(645851174229757020)
,p_event_id=>wwv_flow_api.id(645851038717757019)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var filterItem = this.triggeringElement.id,',
'    filterType = $v(filterItem),',
'    row_num = /_F(\d*)_/.exec(filterItem)[1],',
'    valItem = "P31_F" + row_num + "_VALUE";',
'',
'if (filterType === "7" || filterType === "8") {',
'    // null or not null need no value',
'    apex.item(valItem).hide();',
'} else {',
'    apex.item(valItem).show();',
'}',
''))
);
end;
/
prompt --application/pages/page_00032
begin
wwv_flow_api.create_page(
 p_id=>32
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Nested Table In Cell'
,p_step_title=>'Nested Table In Cell'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.gv-nested-tbl {',
'    border-collapse: collapse;',
'    width: 100%;',
'}',
'.gv-nested-tbl td, .gv-nested-tbl th {',
'    border: 1px solid #EAEAEA;',
'}',
'.a-GV-row {',
'    height: 50px;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190304115911'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(546917174657653822)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>This example may not be very useful but before 19.1 it was not possible to put',
'table markup in a grid cell. The grid widget got cleaned up so that',
'it doesn''t make assumptions about table markup. Now it is possible to put table',
'markup in a cell. Clearly accessibilty is an issues that need to be delt with',
'for this to be useful. Editing the cell with table markup could be tricky.',
'The grid widget considers the nested table to be just one cell.',
'</p>',
'<p>Customizations:<br>',
'The COUNTRY column uses markup in the heading and HTML Expression. Page inline',
'CSS has a few styles.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(546917251920653823)
,p_plug_name=>'Nested Table In Cell'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select  id,',
'        rating,',
'        name,',
'        country,',
'        from_yr,',
'        to_yr,',
'        coalesce( to_yr, extract(year from sysdate) ) - from_yr as age,',
'        link,',
'        category,',
'        gender',
'    from eba_demo_ig_people'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546917462069653825)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546917500659653826)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Rating'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>20
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546917666302653827)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546917795623653828)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'<table class=''gv-nested-tbl''><thead><tr><th colspan=3>Country</th></tr><tr><th>Born</th><th>Died</th><th>Age</th></tr></thead></table>'
,p_label=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_01=>'<table class=''gv-nested-tbl''><tbody><tr><td colspan=3>&COUNTRY.</td></tr><tr><td>&FROM_YR.</td><td>&TO_YR.</td><td>&AGE.</td></tr></tbody></table>'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_hide=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546917864047653829)
,p_name=>'FROM_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FROM_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>50
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546917984253653830)
,p_name=>'TO_YR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TO_YR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>60
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918080358653831)
,p_name=>'AGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'AGE'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>70
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918132782653832)
,p_name=>'LINK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LINK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Link'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>80
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918242508653833)
,p_name=>'CATEGORY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CATEGORY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Category'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066364364516461838)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918309728653834)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(546917341637653824)
,p_internal_uid=>546917341637653824
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>false
,p_show_toolbar=>true
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>380
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(549045740608928676)
,p_interactive_grid_id=>wwv_flow_api.id(546917341637653824)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(549045831289928676)
,p_report_id=>wwv_flow_api.id(549045740608928676)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549046328088928681)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(546917462069653825)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549046807424928690)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(546917500659653826)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>90.1167
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549047316369928692)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(546917666302653827)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>174.183
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549047823447928693)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(546917795623653828)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>228.283
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549048300505928695)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(546917864047653829)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549048801740928696)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(546917984253653830)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549049337589928700)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(546918080358653831)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549049833497928702)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(546918132782653832)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>268.783
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549050369778928703)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(546918242508653833)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106.30000000000001
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549050895609928705)
,p_view_id=>wwv_flow_api.id(549045831289928676)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(546918309728653834)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>75.21700000000001
);
end;
/
prompt --application/pages/page_00033
begin
wwv_flow_api.create_page(
 p_id=>33
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Spark Chart Cells'
,p_step_title=>'Spark Chart Cells'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>'$(document.body).attr("data-oj-binding-provider", "none");'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'require(["ojs/ojchart"], function() {});',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.cell-spark {',
'    width: 100%;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190304120049'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(546918476707653835)
,p_plug_name=>'Application Page Views'
,p_region_name=>'pageViews'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ',
'    application_id,',
'    application_name,',
'    (select count(*) from apex_activity_log where flow_id = ap.application_id) total_views,',
'    case when (select count(*) from apex_activity_log where flow_id = ap.application_id) > 0 then ',
'        (select json_arrayagg(views) ',
'             from (select trunc(TIME_STAMP) day, to_char(TIME_STAMP,''mm/dd/yyyy'') day_format, count(*) views',
'                 from apex_activity_log where flow_id = ap.application_id',
'                 group by trunc(time_stamp),to_char(time_stamp,''mm/dd/yyyy'')',
'                 order by trunc(time_stamp) desc))',
'    else',
'        ''[]''',
'    end views_by_day',
'from apex_applications ap'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918685344653837)
,p_name=>'APPLICATION_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'APPLICATION_ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Application Id'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>10
,p_value_alignment=>'LEFT'
,p_attribute_03=>'right'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918741316653838)
,p_name=>'APPLICATION_NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'APPLICATION_NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Application Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>20
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>true
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918858706653839)
,p_name=>'TOTAL_VIEWS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TOTAL_VIEWS'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Total Views'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>30
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546918984885653840)
,p_name=>'VIEWS_BY_DAY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'VIEWS_BY_DAY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HTML_EXPRESSION'
,p_heading=>'Views By Day'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_01=>'<oj-spark-chart type="line" items="&VIEWS_BY_DAY." color="blue" line-width="2" class="cell-spark"></oj-spark-chart>'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(546918576586653836)
,p_internal_uid=>546918576586653836
,p_is_editable=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>false
,p_show_toolbar=>true
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>false
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(549068119803348406)
,p_interactive_grid_id=>wwv_flow_api.id(546918576586653836)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(549068264269348406)
,p_report_id=>wwv_flow_api.id(549068119803348406)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549068766806348407)
,p_view_id=>wwv_flow_api.id(549068264269348406)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(546918685344653837)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>144.167
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549069223898348421)
,p_view_id=>wwv_flow_api.id(549068264269348406)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(546918741316653838)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>266.333
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549069731457348422)
,p_view_id=>wwv_flow_api.id(549068264269348406)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(546918858706653839)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>198.28300000000002
,p_sort_order=>1
,p_sort_direction=>'DESC'
,p_sort_nulls=>'FIRST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(549070235055348424)
,p_view_id=>wwv_flow_api.id(549068264269348406)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(546918984885653840)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>295.35
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1095973810575958371)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Shows putting JET Spark Charts in a grid cell.',
'You can read more about this <a target="_blank" href="http://hardlikesoftware.com/weblog/2018/12/20/jet-spark-charts-in-apex-interactive-grid/">here</a>.',
'</p>',
'<p>Customizations:<br>',
'See page attributes: Function and Global Variable Declaration, Execute when Page Loads, and CSS: Inline.',
'See the HTML Expression for column VIEWS_BY_DAY. Note the code to require "ojs/ojchart"',
'didn''t need to go in a file because interactive grid already loads the needed JET files.',
'Perhaps in the future if users are not allowed to define charts then the JET',
'libraries won''t be loaded.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
end;
/
prompt --application/pages/page_00034
begin
wwv_flow_api.create_page(
 p_id=>34
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Shared Model'
,p_step_title=>'Shared Model'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function resizeIg() {',
'    var newView,',
'        w = $(window).width(),',
'        actions = apex.region("emp").call("getActions"),',
'        curView = actions.get("change-view");',
'',
'    console.log("xxx w ", w, curView);',
'    if (w < 640) {',
'        newView = "icon";',
'    } else {',
'        newView = "grid";',
'    }',
'    if (curView !== newView) {',
'        actions.set("change-view", newView);',
'    }',
'}',
'',
'$(window).on("apexwindowresized", resizeIg);',
'resizeIg();',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-TMV-defaultIconView .a-IconList-item {',
'    position: relative;',
'    display: block;',
'    height: 200px;',
'    width: 98%;',
'}',
'.a-IconList-item .u-selector {',
'    position: absolute;',
'    top: 1px;',
'    left: 1px;',
'}',
'@media screen and (min-width: 600px) {',
'  .a-TMV-defaultIconView .a-IconList-item {',
'    width: 48%;',
'  }',
'}',
'@media screen and (min-width: 1500px) {',
'  .a-TMV-defaultIconView .a-IconList-item {',
'    width: 24%;',
'  }',
'}',
'',
'.emp-detail {',
'    list-style: none outside none;',
'    margin: 4px;',
'}',
'.emp-detail-item {',
'    border: 1px solid #262626;',
'    border-radius: 2px;',
'    margin: 16px 4px;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190305193650'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29105282935060535458)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Normally each view (grid, icon, and detail) has its own model.',
'This means that they can have different sort orders (this was always intended ',
'because it matches the way Interactive Reports works even though prior to 19.1',
'icon and detail views didn''t support sorting at all) and if you make edits',
'in grid view the changes are not reflected in the other views (until after save',
'and refresh).',
'Other views like charts and future views such as group by have completely ',
'different model contents and therefore must be different.',
'There are advantages for views to share the same model where possible.',
'One is reducing the amount of data transfered to and stored on the client.',
'Another advantage is that changes made in one view are immediately visible in',
'the others.</p>',
'<p>This page demonstrates an experimental feature to share the model between ',
'the grid, icon, and detail views. It also has proof of conecpt responsive ',
'code that changes the view depending on the screen size; grid when wide and ',
'icon when narrow. This only makes sense because the views all share the same model.</p>',
'<p>Customizations:<br>',
'Custom markup for icon and details views and corresponding page inline CSS.',
'Advanced: JavaScript Initialization Code sets the options that specify a shared model.',
'The logic to change views according to screen size is in page attribute Execute when Page Loads.</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32193441665856347741)
,p_plug_name=>'Shared Model'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX3,',
'       case when FLEX3 is not null then FLEX3 ',
'         when JOB = ''PRESINDENT'' or JOB=''MANAGER'' then ''fa-users''',
'         else ''fa-user'' end as ICON',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546919143671653842)
,p_name=>'ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ICON'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_is_primary_key=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(546919202015653843)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Flex3'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>130
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193442846104347744)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193443413975347745)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193444005820347749)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193444570268347751)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.defaultGridColumnOptions = {',
'        cellTemplate: "<span class=''fa &ICON.''></span>&ENAME."',
'    };',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193445151033347752)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193445812010347752)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ENAME, EMPNO from EBA_DEMO_IG_EMP ',
'    WHERE JOB = ''MANAGER'' or JOB = ''PRESIDENT'''))
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193446378810347753)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193446999696347754)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193447543385347754)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193448205319347755)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193448758811347756)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32193449401004347757)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(32193442141118347742)
,p_internal_uid=>32193442141118347742
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_no_data_found_message=>'No employees found.'
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>true
,p_icon_view_use_custom=>true
,p_icon_view_custom=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id=''&APEX$ROW_ID.'' class=''a-IconList-item &APEX$ROW_STATE_CLASSES.''>',
'  <div class="a-IconList-icon">',
'    <span class="fa fa-lg &ICON."></span>',
'  </div>',
'  <dl class="t-AVPList t-AVPList--leftAligned">',
'    <dt class="t-AVPList-label">&ENAME_LABEL.</dt>',
'    <dd class="t-AVPList-value">&ENAME.</dd>',
'    <dt class="t-AVPList-label">&JOB_LABEL.</dt>',
'    <dd class="t-AVPList-value">&JOB.</dd>',
'    <dt class="t-AVPList-label">&MGR_LABEL.</dt>',
'    <dd class="t-AVPList-value">&MGR.</dd>',
'    <dt class="t-AVPList-label">&HIREDATE_LABEL.</dt>',
'    <dd class="t-AVPList-value">&HIREDATE.</dd>',
'  </dl>',
'</li>'))
,p_show_detail_view=>true
,p_detail_view_before_rows=>'<ul class="emp-detail">'
,p_detail_view_for_each_row=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id=''&APEX$ROW_ID.'' class=''emp-detail-item &APEX$ROW_STATE_CLASSES.''>',
'  <dl class="t-AVPList t-AVPList--leftAligned">',
'    <dt class="t-AVPList-label">&ENAME_LABEL.</dt>',
'    <dd class="t-AVPList-value">&ENAME.</dd>',
'    <dt class="t-AVPList-label">&JOB_LABEL.</dt>',
'    <dd class="t-AVPList-value">&JOB.</dd>',
'    <dt class="t-AVPList-label">&MGR_LABEL.</dt>',
'    <dd class="t-AVPList-value">&MGR.</dd>',
'    <dt class="t-AVPList-label">&HIREDATE_LABEL.</dt>',
'    <dd class="t-AVPList-value">&HIREDATE.</dd>',
'    <dt class="t-AVPList-label">&SAL_LABEL.</dt>',
'    <dd class="t-AVPList-value">&SAL.</dd>',
'    <dt class="t-AVPList-label">&COMM_LABEL.</dt>',
'    <dd class="t-AVPList-value">&COMM.</dd>',
'    <dt class="t-AVPList-label">&DEPTNO_LABEL.</dt>',
'    <dd class="t-AVPList-value">&DEPTNO.</dd>',
'    <dt class="t-AVPList-label">&NOTES_LABEL.</dt>',
'    <dd class="t-AVPList-value">&NOTES.</dd>',
'  </dl>',
'</li>'))
,p_detail_view_after_rows=>'</ul>'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // the grid view says it is willing to share its model',
'    apex.util.getNestedObject(config, "views.grid").shareModel = true;',
'    // the detail and icon views use the grids model',
'    apex.util.getNestedObject(config, "views.icon").useModelFrom = "grid";',
'    apex.util.getNestedObject(config, "views.detail").useModelFrom = "grid";',
'',
'    config.defaultIconViewOptions = {',
'        collectionClasses: "a-TMV-defaultIconView"',
'    };',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(32193442572454347743)
,p_interactive_grid_id=>wwv_flow_api.id(32193442141118347742)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(99434000001)
,p_report_id=>wwv_flow_api.id(32193442572454347743)
,p_view_type=>'ICON'
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(223917000001)
,p_report_id=>wwv_flow_api.id(32193442572454347743)
,p_view_type=>'DETAIL'
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(32193442653652347743)
,p_report_id=>wwv_flow_api.id(32193442572454347743)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(551906905101689597)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>17
,p_column_id=>wwv_flow_api.id(546919143671653842)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(551912527877708700)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>18
,p_column_id=>wwv_flow_api.id(546919202015653843)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193443803132347747)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32193443413975347745)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193444371168347751)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32193444005820347749)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193444964781347752)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32193444570268347751)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193445596629347752)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32193445151033347752)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193446137762347753)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32193445812010347752)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193446724529347753)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32193446378810347753)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193447327893347754)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32193446999696347754)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>83
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193447916009347755)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(32193447543385347754)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>85
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193448524339347756)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(32193448205319347755)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193449161840347757)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(32193448758811347756)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32193449724916347757)
,p_view_id=>wwv_flow_api.id(32193442653652347743)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(32193449401004347757)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(549094988781107569)
,p_tabular_form_region_id=>wwv_flow_api.id(32193441665856347741)
,p_validation_name=>'must not contain spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(549095266325107570)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(32193441665856347741)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00036
begin
wwv_flow_api.create_page(
 p_id=>36
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Simple Cell Style'
,p_step_title=>'Simple Cell Style'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.nameColumn {',
'    padding-left: 24px;',
'}',
'.nameColumn.special {',
'    padding-left: 8px;',
'}',
'.nameColumn.special::before {',
'    content: "\f005";',
'    color: #FBCE4A;',
'    font-family: ''Font APEX Small'' !important;',
'    display: inline-block;',
'    font-size: 16px;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190327183909'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(29210159391776278799)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Starting in 19.1 there is a new simpler way to style specific cells using',
'the grid column option <code>cellCssClassesColumn</code>.',
'See example page <a href="f?p=&APP_ID.:12:&SESSION.">Cell Style Based on Data</a>',
'for information about all the other ways that rows, columns, and cells can be styled.',
'Rather than calculate the classes to add to a cell using the model data this',
'option allows you to calculate the classes on the server in the SQL query.',
'</p>',
'<p>This example adds a gold star in front of the name of any employee that has',
'a rating of more than 3 stars. See the SQL Query for how the CELL_CLASS column',
'is defined. The ENAME column Advanced: JavaScript Initialization Code specifies',
'that the CELL_CLASS column value is used as the CSS classes for the ENAME column',
'cell. The ENAME column also has a column specific class defined.',
'The CSS rules that create the star icon are in the page inline CSS.',
'One disadvantage of this method compared to the Cell Style Based on Data',
'example is that changes in cell classes are not made until the data is saved.',
'Another disadvantage is that the hidden classes column is part of the data that',
'is transferred to the client; adding to the amount of data transferred. ',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(32298318122572091082)
,p_plug_name=>'Simple Cell Style'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#:t-Region--noPadding:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       SAL,',
'       COMM,',
'       RATING,',
'       case when RATING > 3 then ''special'' else '''' end as CELL_CLASS',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(645851243518757021)
,p_name=>'CELL_CLASS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CELL_CLASS'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>true
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>180
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_is_primary_key=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298319302820091085)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298319870691091086)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298320462536091090)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298321026984091092)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_value_css_classes=>'nameColumn'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(options) {',
'    options.defaultGridColumnOptions = {',
'        cellCssClassesColumn: "CELL_CLASS"',
'    }',
'    return options;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298321607749091093)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>9
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298323456412091095)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298324000101091095)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(32298328772963091101)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(32298318597834091083)
,p_internal_uid=>32298318597834091083
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(32298319029170091084)
,p_interactive_grid_id=>wwv_flow_api.id(32298318597834091083)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(32298319110368091084)
,p_report_id=>wwv_flow_api.id(32298319029170091084)
,p_view_type=>'GRID'
,p_stretch_columns=>false
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(653974270659885105)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>17
,p_column_id=>wwv_flow_api.id(645851243518757021)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298320259848091088)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(32298319870691091086)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298320827884091092)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(32298320462536091090)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298321421497091093)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(32298321026984091092)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>110
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298322053345091093)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(32298321607749091093)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>105
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298323784609091095)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(32298323456412091095)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298324372725091096)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(32298324000101091095)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>96
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(32298329246057091101)
,p_view_id=>wwv_flow_api.id(32298319110368091084)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(32298328772963091101)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>127
);
wwv_flow_api.create_page_validation(
 p_id=>wwv_flow_api.id(653971242771850952)
,p_tabular_form_region_id=>wwv_flow_api.id(32298318122572091082)
,p_validation_name=>'must not contain spaces'
,p_validation_sequence=>10
,p_validation=>'ENAME'
,p_validation_type=>'ITEM_CONTAINS_NO_SPACES'
,p_error_message=>'#COLUMN_HEADER# must not contain spaces.'
,p_associated_column=>'ENAME'
,p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(653971506802850953)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(32298318122572091082)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_00101
begin
wwv_flow_api.create_page(
 p_id=>101
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Login Page'
,p_alias=>'LOGIN_DESKTOP'
,p_step_title=>'IG Cookbook - Log In'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_api.id(31643799838122161487)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_last_upd_yyyymmddhh24miss=>'20170209163135'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31643850523524161581)
,p_plug_name=>'IG Cookbook'
,p_icon_css_classes=>'fa-sign-in'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816266957161512)
,p_plug_display_sequence=>10
,p_plug_display_point=>'BODY'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(31643850847900161583)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(31643850523524161581)
,p_button_name=>'LOGIN'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Log In'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_button_alignment=>'LEFT'
,p_grid_new_grid=>false
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(31643850632396161582)
,p_name=>'P101_USERNAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(31643850523524161581)
,p_prompt=>'username'
,p_placeholder=>'username'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(31643838645028161546)
,p_item_icon_css_classes=>'fa-user'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(31643850768861161583)
,p_name=>'P101_PASSWORD'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(31643850523524161581)
,p_prompt=>'password'
,p_placeholder=>'password'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_api.id(31643838645028161546)
,p_item_icon_css_classes=>'fa-key'
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31643851076173161584)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.send_login_username_cookie (',
'    p_username => lower(:P101_USERNAME) );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31643850984323161584)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.login(',
'    p_username => :P101_USERNAME,',
'    p_password => :P101_PASSWORD );'))
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31643851246662161584)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Clear Page(s) Cache'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(31643851130010161584)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Username Cookie'
,p_process_sql_clob=>':P101_USERNAME := apex_authentication.get_login_username_cookie;'
);
end;
/
prompt --application/pages/page_00530
begin
wwv_flow_api.create_page(
 p_id=>530
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Custom Popup Test Page'
,p_step_title=>'Custom Popup Test Page'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var app = {};',
'(function(app, $) {',
'    function getProp(rootObject, propPath) {',
'        var o = rootObject;',
'        propPath.split(".").forEach(function(p) {',
'            if ( o[p] === undefined ) {',
'                o[p] = {};',
'            }',
'            o = o[p];',
'        });',
'        return o;',
'    }',
'    app.getProp = getProp;',
'',
'    app.simpleEval = function(exp) {',
'        var tokens = [], op,',
'            result;',
'',
'        function evalExpr(tokens) {',
'            var t, n1, op, n2, r;',
'            t = tokens.shift();',
'            if (t && t.type === "num") {',
'                n1 = t.val;',
'            } else {',
'                throw new Error("Number expected");',
'            }',
'            t = tokens.shift();',
'            if (!t) {',
'                return n1; // just a number',
'            } else if (t.type === "op") {',
'                op = t.val;',
'                if (op === "*" || op === "/") {',
'                    t = tokens.shift();',
'                    if (t && t.type === "num") {',
'                        n2 = t.val;',
'                    } else {',
'                        throw new Error("Number expected");',
'                    }',
'                    if (op === "*") {',
'                        r = n1 * n2;',
'                    } else if (op === "/") {',
'                        r = n1 / n2;',
'                    }',
'                    tokens.unshift({type:"num",val:r});',
'                    return evalExpr(tokens);',
'                } else {',
'                    n2 = evalExpr(tokens);',
'                    if (op === "+") {',
'                        return n1 + n2;',
'                    } else if (op === "-") {',
'                        return n1 - n2;',
'                    }',
'                }',
'            } // else',
'            throw new Error("Operator expected ''+ - * /''");',
'        }',
'        exp.replace(/(-?\d+(\.\d)?)|([+-\/*])|\s*/g, function(match, num, p2, op) {',
'            if (num) {',
'                tokens.push({type: "num", val: parseFloat(num)});',
'            } else if (op) {',
'                tokens.push({type: "op", val: op});',
'            }',
'        });',
'        try {',
'            result = evalExpr(tokens);',
'        } catch(e) {',
'            result = e;',
'        }',
'        return result;',
'    }',
'',
'',
'    app.initIGforPopupLov = function(config) {',
'        var tb,',
'            feat = app.getProp(config, "views.grid.features");',
'        feat.singleRowView = false;',
'        feat.highlight = false;',
'        feat.aggregate = false;',
'        config.defaultGridViewOptions = {',
'            footer: false',
'        }',
'        tb = app.getProp(config, "toolbar");',
'        tb.columnSelection = false;',
'        tb.actionMenu = false;',
'        config.reportSettingsArea = false;',
'        config.initActions = function(a) {',
'            a.hide("chart-view");',
'            replaceIgSearch(a);',
'        };',
'        return config;',
'    };',
'',
'    function replaceIgSearch(a) {',
'        var sortAction = a.lookup("search"),',
'            ig$ = $(a.context);',
'',
'        sortAction.action = function() {',
'            sortAction.getSearchValue( function ( value ) {',
'                var i, filter, filterId, filters;',
'',
'                // search always applies to the first row filter and assume always not case sensitive',
'                filters = ig$.interactiveGrid("getFilters");',
'                for (i = 0; i < filters.length; i++) {',
'                    if (filters[i].type === "row" ) {',
'                        filterId = filters[i].id;',
'                        break;',
'                    }',
'                }',
'                if ( value ) {',
'                    filter = {',
'                        type: "row",',
'                        value: value,',
'                        isCaseSensitive: false',
'                    };',
'                    if ( filterId ) {',
'                        ig$.interactiveGrid("updateFilter", filterId, filter)',
'                    } else {',
'                        ig$.interactiveGrid("addFilter", filter );',
'                    }',
'                } else if (filterId ) {',
'                    ig$.interactiveGrid( "deleteFilter", filterId );',
'                } else {',
'                    // Just refresh if we have no search term',
'                    // think should this just do nothing?',
'                    ig$.interactiveGrid("refresh");',
'                }',
'            } );',
'        }',
'    }',
'',
'    function initIGDialog(dialogId, igId, valProp, dispProp, extraCols) {',
'        var igDlg$ = $("#" + dialogId),',
'            widget = igDlg$.is(":data(apexPopup)") ? "popup" : "dialog",',
'            inst = igDlg$.data(widget === "dialog" ? "ui-dialog" : "apex-popup"),',
'            ig$ = apex.region(igId).widget();',
'',
'        function save() {',
'            var i, rec,',
'                result = {},',
'                r = apex.region(igId),',
'                multi = r.call("getCurrentView").view$.grid("option", "multiple"),',
'                model = r.call("getCurrentView").model,',
'                records = r.call("getSelectedRecords");',
'',
'            if (records.length > 0) {',
'                if (multi) {',
'                    if (dispProp) {',
'                        result.d = "";',
'                    }',
'                    result.v = "";',
'                    for (i = 0; i < records.length; i++) {',
'                        rec = records[i];',
'                        if (dispProp) {',
'                            if (i > 0) {',
'                                result.d += ", ";',
'                            }',
'                            result.d += model.getValue(rec, dispProp);',
'                        }',
'                        if (i > 0) {',
'                            result.v += ":";',
'                        }',
'                        result.v += model.getValue(rec, valProp);                        ',
'                    }',
'                } else {',
'                    rec = records[0];',
'                    if (dispProp) {',
'                        result.d = model.getValue(rec, dispProp);',
'                    }',
'                    result.v = model.getValue(rec, valProp);',
'                    if (extraCols) {',
'                        extraCols.forEach(function(p) {',
'                            result[p] = model.getValue(rec, p);',
'                        });',
'                    }',
'                }',
'                igDlg$[widget]("setValue", result )',
'                    [widget]("option", "valueConfirmed", true)',
'                    [widget]("close");',
'            } else {',
'                apex.message.alert("Make a selection.");',
'            }',
'        }',
'',
'        // Add set/getValue methods needed by Custom dialog plug-in.',
'        inst.dialogValue = "";',
'        inst.setValue = function(value) {',
'            this.dialogValue = value;',
'        };',
'        inst.getValue = function() {',
'            return this.dialogValue;',
'        };',
'',
'        igDlg$.on(widget + "open " + widget + "resize", function() {',
'            var h = igDlg$.find(".t-DialogRegion-bodyWrapperOut").height();',
'            // there is a inline style on the page to remove the padding if that wasn''t there',
'            // would need to subtract off the padding here',
'            ig$.height(h - 2);',
'        });',
'',
'        igDlg$.on(widget + "open", function() {',
'            var i, filters, rec,',
'                filterValue = "",',
'                view = ig$.interactiveGrid("getCurrentView"), // assume it will be grid view',
'                value = igDlg$[widget]("getValue"); // assume getValue returns a record id',
'',
'            // not sure this is needed',
'            // make sure the search field reflects the current filter',
'            filters = ig$.interactiveGrid("getFilters");',
'            for (i = 0; i < filters.length; i++) {',
'                if (filters[i].type === "row" ) {',
'                    filterValue = filters[i].value;',
'                    break;',
'                }',
'            }',
'            ig$.interactiveGrid("getToolbar").toolbar( "findElement", "search_field" ).val(filterValue);',
'',
'            // make initial selection',
'            // wait just a bit because if was invisible takes a moment to initialize the first time',
'            setTimeout(function() {',
'                rec = view.model.getRecord(value);',
'                // todo think about how this initial selection could be more robust; only delay if need to',
'                if (rec) {',
'                    view.view$.grid("setSelectedRecords", [rec]); // select',
'                } else {',
'                    ig$.interactiveGrid("focus");',
'                }',
'            }, 500);',
'        });',
'',
'        // Use IG activate to save',
'        ig$.on("gridactivatecell", function(event) {',
'            var recs,',
'                cell$ = $(event.target).closest(".a-GV-cell");',
'',
'            if ( (event.type === "keydown" && event.which !== $.ui.keyCode.ENTER) ||',
'                    cell$.hasClass("a-GV-selHeader") || cell$.hasClass("has-button") ) {',
'                return;',
'            }',
'            recs = ig$.interactiveGrid("getSelectedRecords");',
'            if ( recs.length > 0 ) {',
'                save();',
'            }',
'        }).on("keydown", "#" + igId + "_ig_toolbar_search_field", function(event) { // using delegated handling because toolbar can get refreshed',
'            if ( event.which === $.ui.keyCode.DOWN ) {',
'                ig$.interactiveGrid("getCurrentView").view$.grid("focus");',
'                event.preventDefault();',
'            }',
'        }).on("focusin", "#" + igId + "_ig_toolbar_search_field", function(event) { // using delegated handling because toolbar can get refreshed',
'            // want to select text on focus. Seems like this should be a common declarative option or even the default.',
'            ig$.interactiveGrid("getToolbar").toolbar( "findElement", "search_field" )[0].select();',
'        }).on("gridselectionchange", function(event) {',
'            var multi = ig$.interactiveGrid("getCurrentView").view$.grid("option", "multiple");',
'            // if !multiple selection and original event is click',
'            if (event.originalEvent && event.originalEvent.type === "click" && !multi) {',
'                recs = ig$.interactiveGrid("getSelectedRecords");',
'                if ( recs.length > 0 ) {',
'                    save();',
'                }',
'            }',
'        });',
'',
'        igDlg$.find(".do-save").click( save );',
'        igDlg$.find(".do-close").click(function() {',
'            igDlg$[widget]("close");',
'        });',
'    }',
'    app.initIGDialog = initIGDialog;',
'',
'})(app, apex.jQuery);',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'//',
'// initialize dialogs used with custom popup',
'var inst, dlg$;',
'',
'// people IG with multiple outputs',
'app.initIGDialog("peoplePopup", "peoplePopup", "ID", "NAME", ["COUNTRY","GENDER"]);',
'',
'//',
'// expression dialog',
'dlg$ = $("#expressionDlg");',
'inst = dlg$.data("ui-dialog");',
'// Add set/getValue methods needed by Custom Popup plug-in.',
'inst.dialogValue = "";',
'inst.setValue = function(value) {',
'    $s("P530_EXPRESSION1", value);',
'};',
'inst.getValue = function() {',
'    return $v("P530_RESULT1");',
'};',
'function evalExpression() {',
'    var result,',
'        exp = $v("P530_EXPRESSION1");',
'    result = app.simpleEval(exp);',
'    if (result instanceof Error) {',
'        $s("P530_RESULT_DISP1", exp.trim().length > 0 ? result.message : "");',
'        $s("P530_RESULT1", "");',
'    } else {',
'        $s("P530_RESULT_DISP1", result);',
'        $s("P530_RESULT1", result);',
'    }',
'}',
'function save() {',
'    var theDlg$ = $("#expressionDlg");',
'    evalExpression();',
'    theDlg$.dialog("option", "valueConfirmed", true);',
'    apex.theme.closeRegion("expressionDlg");',
'}',
'$(apex.item("P530_EXPRESSION1").node).on("keypress", apex.util.debounce(function() {',
'    evalExpression();',
'}, 400)).on("keydown", function(event) {',
'    if (event.which === $.ui.keyCode.ENTER) {',
'        event.preventDefault();',
'        save();',
'    }',
'});',
'dlg$.find(".do-close").on("click", function() {',
'    apex.theme.closeRegion("expressionDlg");',
'});',
'dlg$.find(".do-save").on("click", save);',
'',
'//',
'// expression popup',
'dlg$ = $("#expressionPopup");',
'inst = dlg$.data("apex-popup");',
'// Add set/getValue methods needed by Custom Popup plug-in.',
'inst.dialogValue = "";',
'inst.setValue = function(value) {',
'    $s("P530_EXPRESSION2", value);',
'};',
'inst.getValue = function() {',
'    return $v("P530_RESULT2");',
'};',
'function evalExpression2() {',
'    var result,',
'        exp = $v("P530_EXPRESSION2");',
'    result = app.simpleEval(exp);',
'    if (result instanceof Error) {',
'        $s("P530_RESULT_DISP2", exp.trim().length > 0 ? result.message : "");',
'        $s("P530_RESULT2", "");',
'    } else {',
'        $s("P530_RESULT_DISP2", result);',
'        $s("P530_RESULT2", result);',
'    }',
'}',
'function save2() {',
'    var thePopup$ = $("#expressionPopup");',
'    evalExpression2();',
'    thePopup$.popup("option", "valueConfirmed", true);',
'    apex.theme.closeRegion("expressionPopup");',
'}',
'$(apex.item("P530_EXPRESSION2").node).on("keypress", apex.util.debounce(function() {',
'    evalExpression2();',
'}, 400)).on("keydown", function(event) {',
'    if (event.which === $.ui.keyCode.ENTER) {',
'        event.preventDefault();',
'        save2();',
'    }',
'});',
'dlg$.find(".do-close").on("click", function() {',
'    apex.theme.closeRegion("expressionPopup");',
'});',
'dlg$.find(".do-save").on("click", save);',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.annotation {',
'    padding: 0 16px;',
'}',
'',
'#expressionPopup .t-DialogRegion-body {',
'    padding: 8px;',
'}',
'',
'.t-DialogRegion .t-ButtonRegion-buttons {',
'    padding: 8px;',
'}',
'',
'.no-padding .t-DialogRegion-body {',
'    padding: 0;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20190314131950'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(763448500698360328)
,p_plug_name=>'Custom Popup Plug-in Tests'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(763448725243360330)
,p_plug_name=>'Expression'
,p_region_name=>'expressionDlg'
,p_region_template_options=>'#DEFAULT#:js-dialog-autoheight:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(768749170220709492)
,p_plug_name=>'Expression'
,p_region_name=>'expressionPopup'
,p_region_css_classes=>'js-dialog-size350x120'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(659831297558836131)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(768750279750709503)
,p_plug_name=>'People'
,p_region_name=>'peoplePopup'
,p_region_css_classes=>'no-padding'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(659831297558836131)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select id, name, country, gender',
'  from eba_demo_ig_people'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(768750522999709505)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(768750632682709506)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>20
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(768750656577709507)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>50
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(768750770151709508)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(768750409753709504)
,p_internal_uid=>338053253869474418
,p_is_editable=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>false
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>false
,p_download_formats=>null
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>100
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>'app.initIGforPopupLov '
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(768769419603373454)
,p_interactive_grid_id=>wwv_flow_api.id(768750409753709504)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(768769532972373454)
,p_report_id=>wwv_flow_api.id(768769419603373454)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(768770002256373459)
,p_view_id=>wwv_flow_api.id(768769532972373454)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(768750522999709505)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(768770543799373477)
,p_view_id=>wwv_flow_api.id(768769532972373454)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(768750632682709506)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>126
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(768770988279373479)
,p_view_id=>wwv_flow_api.id(768769532972373454)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(768750656577709507)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>133
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(768771524244373480)
,p_view_id=>wwv_flow_api.id(768769532972373454)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(768750770151709508)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(768751274767709513)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Tests and examples of Custom Popup Plug-in.',
'See also <a href="f?p=&APP_ID.:24:&SESSION.">this</a>.',
'I discussed the Custom Popup on',
'<a target="_blank" href="http://hardlikesoftware.com/weblog/2018/01/01/apex-ig-cookbook-for-5-1-4/">my blog</a>.</p>',
'<ul>',
'<li>Consider configurable button icon.</li>',
'<li>Is customizable accessible button label good for accessibility?</li>',
'<li>Need a test/demo of multiple inputs.</li>',
'<li>Needs some IG column item examples here.</li>',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(768749563991709496)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(768749170220709492)
,p_button_name=>'EXP2_CLOSE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Close'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_button_condition_type=>'NEVER'
,p_button_css_classes=>'do-close'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(768749736007709497)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(768749170220709492)
,p_button_name=>'EXP2_OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_button_condition_type=>'NEVER'
,p_button_css_classes=>'do-save'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(421801246053914834)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(763448500698360328)
,p_button_name=>'OPEN_DIALOG'
,p_button_action=>'REDIRECT_PAGE'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Open Dialog'
,p_button_position=>'REGION_TEMPLATE_COPY'
,p_button_redirect_url=>'f?p=&APP_ID.:531:&SESSION.::&DEBUG.:RP::'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763449093683360334)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(763448500698360328)
,p_button_name=>'SUBMIT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Submit'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763448833727360331)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(763448725243360330)
,p_button_name=>'EXP1_CLOSE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Close'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'do-close'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(763448886555360332)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(763448725243360330)
,p_button_name=>'EXP1_OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'do-save'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763448582382360329)
,p_name=>'P530_COUNTRY'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Country'
,p_post_element_text=>'<p class="annotation">A native Popup LOV for comparison.</p>'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>'select distinct country d, country r from eba_demo_ig_people'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(622069053235853723)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NOT_ENTERABLE'
,p_attribute_02=>'FIRST_ROWSET'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763449008894360333)
,p_name=>'P530_EXPRESSION1'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(763448725243360330)
,p_prompt=>'Expression'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_warn_on_unsaved_changes=>'I'
,p_inline_help_text=>'Example: 2 * 4 - 3'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763449185908360335)
,p_name=>'P530_NUMBER'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Not enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(622069053235853723)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(763449332388360336)
,p_name=>'P530_RESULT1'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(763448725243360330)
,p_display_as=>'NATIVE_HIDDEN'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768748682741709487)
,p_name=>'P530_RESULT_DISP1'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(763448725243360330)
,p_prompt=>'Result'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768748796255709488)
,p_name=>'P530_NUMBER1'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Not enterable. Centered. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(622069053235853723)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768748921135709489)
,p_name=>'P530_NUMBER2'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Not enterable. Display under. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749019928709490)
,p_name=>'P530_NUMBER3'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Enterable. Display under. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749138569709491)
,p_name=>'P530_NUMBER4'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749316765709493)
,p_name=>'P530_EXPRESSION2'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(768749170220709492)
,p_prompt=>'Expression'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_warn_on_unsaved_changes=>'I'
,p_inline_help_text=>'Example: 2 * 4 - 3'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
end;
/
begin
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749357079709494)
,p_name=>'P530_RESULT_DISP2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(768749170220709492)
,p_prompt=>'Result'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749507796709495)
,p_name=>'P530_RESULT2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(768749170220709492)
,p_display_as=>'NATIVE_HIDDEN'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749811767709498)
,p_name=>'P530_NUMBER5'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Not enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768749865710709499)
,p_name=>'P530_NUMBER6'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Not enterable. Centered. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768750042618709500)
,p_name=>'P530_NUMBER7'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Not enterable. Display under. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768750154608709501)
,p_name=>'P530_NUMBER8'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Enterable. Display under. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768750248228709502)
,p_name=>'P530_NUMBER9'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768750868266709509)
,p_name=>'P530_PERSON'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Person'
,p_post_element_text=>'<p class="annotation">People IG popup. Not enterable. Centered. Has Button. No extra outputs.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'peoplePopup'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751009147709510)
,p_name=>'P530_PERSON1'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Person'
,p_post_element_text=>'<p class="annotation">People IG popup. Not enterable. Centered. Has Button. Extra outputs.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'peoplePopup'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_06=>'N'
,p_attribute_08=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'  COUNTRY: "P530_COUNTRY_OUT",',
'  GENDER: "P530_GENDER_OUT"',
'}'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751124897709511)
,p_name=>'P530_COUNTRY_OUT'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Country'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(768751207038709512)
,p_name=>'P530_GENDER_OUT'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(763448500698360328)
,p_prompt=>'Gender'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
end;
/
prompt --application/pages/page_00531
begin
wwv_flow_api.create_page(
 p_id=>531
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Custom Popup Test In Dialog'
,p_page_mode=>'MODAL'
,p_step_title=>'Custom Popup Test In Dialog'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var app = {};',
'(function(app, $) {',
'    function getProp(rootObject, propPath) {',
'        var o = rootObject;',
'        propPath.split(".").forEach(function(p) {',
'            if ( o[p] === undefined ) {',
'                o[p] = {};',
'            }',
'            o = o[p];',
'        });',
'        return o;',
'    }',
'    app.getProp = getProp;',
'',
'    app.simpleEval = function(exp) {',
'        var tokens = [], op,',
'            result;',
'',
'        function evalExpr(tokens) {',
'            var t, n1, op, n2, r;',
'            t = tokens.shift();',
'            if (t && t.type === "num") {',
'                n1 = t.val;',
'            } else {',
'                throw new Error("Number expected");',
'            }',
'            t = tokens.shift();',
'            if (!t) {',
'                return n1; // just a number',
'            } else if (t.type === "op") {',
'                op = t.val;',
'                if (op === "*" || op === "/") {',
'                    t = tokens.shift();',
'                    if (t && t.type === "num") {',
'                        n2 = t.val;',
'                    } else {',
'                        throw new Error("Number expected");',
'                    }',
'                    if (op === "*") {',
'                        r = n1 * n2;',
'                    } else if (op === "/") {',
'                        r = n1 / n2;',
'                    }',
'                    tokens.unshift({type:"num",val:r});',
'                    return evalExpr(tokens);',
'                } else {',
'                    n2 = evalExpr(tokens);',
'                    if (op === "+") {',
'                        return n1 + n2;',
'                    } else if (op === "-") {',
'                        return n1 - n2;',
'                    }',
'                }',
'            } // else',
'            throw new Error("Operator expected ''+ - * /''");',
'        }',
'        exp.replace(/(-?\d+(\.\d)?)|([+-\/*])|\s*/g, function(match, num, p2, op) {',
'            if (num) {',
'                tokens.push({type: "num", val: parseFloat(num)});',
'            } else if (op) {',
'                tokens.push({type: "op", val: op});',
'            }',
'        });',
'        try {',
'            result = evalExpr(tokens);',
'        } catch(e) {',
'            result = e;',
'        }',
'        return result;',
'    }',
'',
'',
'    app.initIGforPopupLov = function(config) {',
'        var tb,',
'            feat = app.getProp(config, "views.grid.features");',
'        feat.singleRowView = false;',
'        feat.highlight = false;',
'        feat.aggregate = false;',
'        config.defaultGridViewOptions = {',
'            footer: false',
'        }',
'        tb = app.getProp(config, "toolbar");',
'        tb.columnSelection = false;',
'        tb.actionMenu = false;',
'        config.reportSettingsArea = false;',
'        config.initActions = function(a) {',
'            a.hide("chart-view");',
'            replaceIgSearch(a);',
'        };',
'        return config;',
'    };',
'',
'    function replaceIgSearch(a) {',
'        var sortAction = a.lookup("search"),',
'            ig$ = $(a.context);',
'',
'        sortAction.action = function() {',
'            sortAction.getSearchValue( function ( value ) {',
'                var i, filter, filterId, filters;',
'',
'                // search always applies to the first row filter and assume always not case sensitive',
'                filters = ig$.interactiveGrid("getFilters");',
'                for (i = 0; i < filters.length; i++) {',
'                    if (filters[i].type === "row" ) {',
'                        filterId = filters[i].id;',
'                        break;',
'                    }',
'                }',
'                if ( value ) {',
'                    filter = {',
'                        type: "row",',
'                        value: value,',
'                        isCaseSensitive: false',
'                    };',
'                    if ( filterId ) {',
'                        ig$.interactiveGrid("updateFilter", filterId, filter)',
'                    } else {',
'                        ig$.interactiveGrid("addFilter", filter );',
'                    }',
'                } else if (filterId ) {',
'                    ig$.interactiveGrid( "deleteFilter", filterId );',
'                } else {',
'                    // Just refresh if we have no search term',
'                    // think should this just do nothing?',
'                    ig$.interactiveGrid("refresh");',
'                }',
'            } );',
'        }',
'    }',
'',
'    function initIGDialog(dialogId, igId, valProp, dispProp, extraCols) {',
'        var igDlg$ = $("#" + dialogId),',
'            widget = igDlg$.is(":data(apexPopup)") ? "popup" : "dialog",',
'            inst = igDlg$.data(widget === "dialog" ? "ui-dialog" : "apex-popup"),',
'            ig$ = apex.region(igId).widget();',
'',
'        function save() {',
'            var i, rec,',
'                result = {},',
'                r = apex.region(igId),',
'                multi = r.call("getCurrentView").view$.grid("option", "multiple"),',
'                model = r.call("getCurrentView").model,',
'                records = r.call("getSelectedRecords");',
'',
'            if (records.length > 0) {',
'                if (multi) {',
'                    if (dispProp) {',
'                        result.d = "";',
'                    }',
'                    result.v = "";',
'                    for (i = 0; i < records.length; i++) {',
'                        rec = records[i];',
'                        if (dispProp) {',
'                            if (i > 0) {',
'                                result.d += ", ";',
'                            }',
'                            result.d += model.getValue(rec, dispProp);',
'                        }',
'                        if (i > 0) {',
'                            result.v += ":";',
'                        }',
'                        result.v += model.getValue(rec, valProp);                        ',
'                    }',
'                } else {',
'                    rec = records[0];',
'                    if (dispProp) {',
'                        result.d = model.getValue(rec, dispProp);',
'                    }',
'                    result.v = model.getValue(rec, valProp);',
'                    if (extraCols) {',
'                        extraCols.forEach(function(p) {',
'                            result[p] = model.getValue(rec, p);',
'                        });',
'                    }',
'                }',
'                igDlg$[widget]("setValue", result )',
'                    [widget]("option", "valueConfirmed", true)',
'                    [widget]("close");',
'            } else {',
'                apex.message.alert("Make a selection.");',
'            }',
'        }',
'',
'        // Add set/getValue methods needed by Custom dialog plug-in.',
'        inst.dialogValue = "";',
'        inst.setValue = function(value) {',
'            this.dialogValue = value;',
'        };',
'        inst.getValue = function() {',
'            return this.dialogValue;',
'        };',
'',
'        igDlg$.on(widget + "open " + widget + "resize", function() {',
'            var h = igDlg$.find(".t-DialogRegion-bodyWrapperOut").height();',
'            // there is a inline style on the page to remove the padding if that wasn''t there',
'            // would need to subtract off the padding here',
'            ig$.height(h - 2);',
'        });',
'',
'        igDlg$.on(widget + "open", function() {',
'            var i, filters, rec,',
'                filterValue = "",',
'                view = ig$.interactiveGrid("getCurrentView"), // assume it will be grid view',
'                value = igDlg$[widget]("getValue"); // assume getValue returns a record id',
'',
'            // not sure this is needed',
'            // make sure the search field reflects the current filter',
'            filters = ig$.interactiveGrid("getFilters");',
'            for (i = 0; i < filters.length; i++) {',
'                if (filters[i].type === "row" ) {',
'                    filterValue = filters[i].value;',
'                    break;',
'                }',
'            }',
'            ig$.interactiveGrid("getToolbar").toolbar( "findElement", "search_field" ).val(filterValue);',
'',
'            // make initial selection',
'            // wait just a bit because if was invisible takes a moment to initialize the first time',
'            setTimeout(function() {',
'                rec = view.model.getRecord(value);',
'                // todo think about how this initial selection could be more robust; only delay if need to',
'                if (rec) {',
'                    view.view$.grid("setSelectedRecords", [rec]); // select',
'                } else {',
'                    ig$.interactiveGrid("focus");',
'                }',
'            }, 500);',
'        });',
'',
'        // Use IG activate to save',
'        ig$.on("gridactivatecell", function(event) {',
'            var recs,',
'                cell$ = $(event.target).closest(".a-GV-cell");',
'',
'            if ( (event.type === "keydown" && event.which !== $.ui.keyCode.ENTER) ||',
'                    cell$.hasClass("a-GV-selHeader") || cell$.hasClass("has-button") ) {',
'                return;',
'            }',
'            recs = ig$.interactiveGrid("getSelectedRecords");',
'            if ( recs.length > 0 ) {',
'                save();',
'            }',
'        }).on("keydown", "#" + igId + "_ig_toolbar_search_field", function(event) { // using delegated handling because toolbar can get refreshed',
'            if ( event.which === $.ui.keyCode.DOWN ) {',
'                ig$.interactiveGrid("getCurrentView").view$.grid("focus");',
'                event.preventDefault();',
'            }',
'        }).on("focusin", "#" + igId + "_ig_toolbar_search_field", function(event) { // using delegated handling because toolbar can get refreshed',
'            // want to select text on focus. Seems like this should be a common declarative option or even the default.',
'            ig$.interactiveGrid("getToolbar").toolbar( "findElement", "search_field" )[0].select();',
'        }).on("gridselectionchange", function(event) {',
'            var multi = ig$.interactiveGrid("getCurrentView").view$.grid("option", "multiple");',
'            // if !multiple selection and original event is click',
'            if (event.originalEvent && event.originalEvent.type === "click" && !multi) {',
'                recs = ig$.interactiveGrid("getSelectedRecords");',
'                if ( recs.length > 0 ) {',
'                    save();',
'                }',
'            }',
'        });',
'',
'        igDlg$.find(".do-save").click( save );',
'        igDlg$.find(".do-close").click(function() {',
'            igDlg$[widget]("close");',
'        });',
'    }',
'    app.initIGDialog = initIGDialog;',
'',
'})(app, apex.jQuery);',
''))
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'//',
'// initialize dialogs used with custom popup',
'var inst, dlg$;',
'',
'// people IG with multiple outputs',
'app.initIGDialog("peoplePopup", "peoplePopup", "ID", "NAME", ["COUNTRY","GENDER"]);',
'',
'//',
'// expression dialog',
'dlg$ = $("#expressionDlg");',
'inst = dlg$.data("ui-dialog");',
'// Add set/getValue methods needed by Custom Popup plug-in.',
'inst.dialogValue = "";',
'inst.setValue = function(value) {',
'    $s("P530_EXPRESSION1", value);',
'};',
'inst.getValue = function() {',
'    return $v("P530_RESULT1");',
'};',
'function evalExpression() {',
'    var result,',
'        exp = $v("P530_EXPRESSION1");',
'    result = app.simpleEval(exp);',
'    if (result instanceof Error) {',
'        $s("P530_RESULT_DISP1", exp.trim().length > 0 ? result.message : "");',
'        $s("P530_RESULT1", "");',
'    } else {',
'        $s("P530_RESULT_DISP1", result);',
'        $s("P530_RESULT1", result);',
'    }',
'}',
'function save() {',
'    var theDlg$ = $("#expressionDlg");',
'    evalExpression();',
'    theDlg$.dialog("option", "valueConfirmed", true);',
'    apex.theme.closeRegion("expressionDlg");',
'}',
'$(apex.item("P530_EXPRESSION1").node).on("keypress", apex.util.debounce(function() {',
'    evalExpression();',
'}, 400)).on("keydown", function(event) {',
'    if (event.which === $.ui.keyCode.ENTER) {',
'        event.preventDefault();',
'        save();',
'    }',
'});',
'dlg$.find(".do-close").on("click", function() {',
'    apex.theme.closeRegion("expressionDlg");',
'});',
'dlg$.find(".do-save").on("click", save);',
'',
'//',
'// expression popup',
'dlg$ = $("#expressionPopup");',
'inst = dlg$.data("apex-popup");',
'// Add set/getValue methods needed by Custom Popup plug-in.',
'inst.dialogValue = "";',
'inst.setValue = function(value) {',
'    $s("P530_EXPRESSION2", value);',
'};',
'inst.getValue = function() {',
'    return $v("P530_RESULT2");',
'};',
'function evalExpression2() {',
'    var result,',
'        exp = $v("P530_EXPRESSION2");',
'    result = app.simpleEval(exp);',
'    if (result instanceof Error) {',
'        $s("P530_RESULT_DISP2", exp.trim().length > 0 ? result.message : "");',
'        $s("P530_RESULT2", "");',
'    } else {',
'        $s("P530_RESULT_DISP2", result);',
'        $s("P530_RESULT2", result);',
'    }',
'}',
'function save2() {',
'    var thePopup$ = $("#expressionPopup");',
'    evalExpression2();',
'    thePopup$.popup("option", "valueConfirmed", true);',
'    apex.theme.closeRegion("expressionPopup");',
'}',
'$(apex.item("P530_EXPRESSION2").node).on("keypress", apex.util.debounce(function() {',
'    evalExpression2();',
'}, 400)).on("keydown", function(event) {',
'    if (event.which === $.ui.keyCode.ENTER) {',
'        event.preventDefault();',
'        save2();',
'    }',
'});',
'dlg$.find(".do-close").on("click", function() {',
'    apex.theme.closeRegion("expressionPopup");',
'});',
'dlg$.find(".do-save").on("click", save);',
''))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.annotation {',
'    padding: 0 16px;',
'}',
'',
'#expressionPopup .t-DialogRegion-body {',
'    padding: 8px;',
'}',
'',
'.t-DialogRegion .t-ButtonRegion-buttons {',
'    padding: 8px;',
'}',
'',
'.no-padding .t-DialogRegion-body {',
'    padding: 0;',
'}',
''))
,p_page_template_options=>'#DEFAULT#'
,p_dialog_height=>'600'
,p_dialog_width=>'800'
,p_dialog_chained=>'N'
,p_last_updated_by=>'JSNYDERS'
,p_last_upd_yyyymmddhh24miss=>'20181017144239'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(772529396288609194)
,p_plug_name=>'Custom Popup Plug-in Tests'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(772529620833609196)
,p_plug_name=>'Expression'
,p_region_name=>'expressionDlg'
,p_region_template_options=>'#DEFAULT#:js-dialog-autoheight:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>100
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(777830065810958358)
,p_plug_name=>'Expression'
,p_region_name=>'expressionPopup'
,p_region_css_classes=>'js-dialog-size350x120'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(659831297558836131)
,p_plug_display_sequence=>110
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(777831175340958369)
,p_plug_name=>'People'
,p_region_name=>'peoplePopup'
,p_region_css_classes=>'no-padding'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(659831297558836131)
,p_plug_display_sequence=>120
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select id, name, country, gender',
'  from eba_demo_ig_people'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(777831418589958371)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(777831528272958372)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>20
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>255
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(777831552167958373)
,p_name=>'COUNTRY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNTRY'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Country'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>30
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>50
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(777831665741958374)
,p_name=>'GENDER'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'GENDER'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Gender'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066366599641461840)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(777831305343958370)
,p_internal_uid=>361796406537081353
,p_is_editable=>false
,p_lazy_loading=>true
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>false
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>false
,p_download_formats=>null
,p_enable_mail_download=>true
,p_fixed_header=>'REGION'
,p_fixed_header_max_height=>100
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>'app.initIGforPopupLov '
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(777850315193622320)
,p_interactive_grid_id=>wwv_flow_api.id(777831305343958370)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(777850428562622320)
,p_report_id=>wwv_flow_api.id(777850315193622320)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(777850897846622325)
,p_view_id=>wwv_flow_api.id(777850428562622320)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(777831418589958371)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(777851439389622343)
,p_view_id=>wwv_flow_api.id(777850428562622320)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(777831528272958372)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>126
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(777851883869622345)
,p_view_id=>wwv_flow_api.id(777850428562622320)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(777831552167958373)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>133
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(777852419834622346)
,p_view_id=>wwv_flow_api.id(777850428562622320)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(777831665741958374)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>100
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(777832170357958379)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Tests and examples of Custom Popup Plug-in. The drawback of the custom popup ',
'is that it uses an inline modal dialog and these are constrained to their ',
'document window. So if used in a APEX modal dialog page they must stay inside',
'the iframe of the modal dialog page. Note that inline modals in a modal page ',
'are not common. The modal page template doesn''t even have the Inline Dialgos',
'display position.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(425125383393125958)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(777830065810958358)
,p_button_name=>'EXP2_CLOSE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Close'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_button_condition_type=>'NEVER'
,p_button_css_classes=>'do-close'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(425125787311125958)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(777830065810958358)
,p_button_name=>'EXP2_OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'BELOW_BOX'
,p_warn_on_unsaved_changes=>null
,p_button_condition_type=>'NEVER'
,p_button_css_classes=>'do-save'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(425116344269125937)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(772529396288609194)
,p_button_name=>'SUBMIT'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Submit'
,p_button_position=>'REGION_TEMPLATE_EDIT'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(425123039712125956)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_api.id(772529620833609196)
,p_button_name=>'EXP1_CLOSE'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Close'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'do-close'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(425123425569125956)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(772529620833609196)
,p_button_name=>'EXP1_OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_button_css_classes=>'do-save'
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425116763306125945)
,p_name=>'P531_COUNTRY'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Country'
,p_post_element_text=>'<p class="annotation">A native Popup LOV for comparison.</p>'
,p_display_as=>'NATIVE_POPUP_LOV'
,p_lov=>'select distinct country d, country r from eba_demo_ig_people'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(622069053235853723)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NOT_ENTERABLE'
,p_attribute_02=>'FIRST_ROWSET'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425117191162125949)
,p_name=>'P531_NUMBER'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Not enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(622069053235853723)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425117504823125949)
,p_name=>'P531_NUMBER1'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Not enterable. Centered. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(622069053235853723)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425117995518125949)
,p_name=>'P531_NUMBER2'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Not enterable. Display under. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425118317330125950)
,p_name=>'P531_NUMBER3'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Enterable. Display under. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425118737915125950)
,p_name=>'P531_NUMBER4'
,p_item_sequence=>100
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression dialog. Enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionDlg'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425119159087125950)
,p_name=>'P531_NUMBER5'
,p_item_sequence=>110
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Not enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425119525970125951)
,p_name=>'P531_NUMBER6'
,p_item_sequence=>120
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Not enterable. Centered. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425119924554125951)
,p_name=>'P531_NUMBER7'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Not enterable. Display under. No Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'N'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425120300129125951)
,p_name=>'P531_NUMBER8'
,p_item_sequence=>140
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Enterable. Display under. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'Y'
);
end;
/
begin
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425120751478125951)
,p_name=>'P531_NUMBER9'
,p_item_sequence=>150
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Number'
,p_post_element_text=>'<p class="annotation">Expression popup. Enterable. Centered. Has Button.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'expressionPopup'
,p_attribute_02=>'Y'
,p_attribute_05=>'Enter Expression'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425121158042125952)
,p_name=>'P531_PERSON'
,p_item_sequence=>160
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Person'
,p_post_element_text=>'<p class="annotation">People IG popup. Not enterable. Centered. Has Button. No extra outputs.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'peoplePopup'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_06=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425121530217125952)
,p_name=>'P531_PERSON1'
,p_item_sequence=>170
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Person'
,p_post_element_text=>'<p class="annotation">People IG popup. Not enterable. Centered. Has Button. Extra outputs.</p>'
,p_display_as=>'PLUGIN_COM.HARDLIKESOFTWARE.CUSTOM_POPUP'
,p_lov=>'STATIC:Display1;Return1,Display2;Return2'
,p_lov_display_null=>'YES'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'peoplePopup'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
,p_attribute_04=>'Y'
,p_attribute_06=>'N'
,p_attribute_08=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'  COUNTRY: "P531_COUNTRY_OUT",',
'  GENDER: "P531_GENDER_OUT"',
'}'))
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425121988319125954)
,p_name=>'P531_COUNTRY_OUT'
,p_item_sequence=>180
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Country'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425122381590125954)
,p_name=>'P531_GENDER_OUT'
,p_item_sequence=>190
,p_item_plug_id=>wwv_flow_api.id(772529396288609194)
,p_prompt=>'Gender'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425123808544125956)
,p_name=>'P531_EXPRESSION1'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(772529620833609196)
,p_prompt=>'Expression'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_warn_on_unsaved_changes=>'I'
,p_inline_help_text=>'Example: 2 * 4 - 3'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425124276883125957)
,p_name=>'P531_RESULT_DISP1'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(772529620833609196)
,p_prompt=>'Result'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425124600019125957)
,p_name=>'P531_RESULT1'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(772529620833609196)
,p_display_as=>'NATIVE_HIDDEN'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425126107228125958)
,p_name=>'P531_EXPRESSION2'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(777830065810958358)
,p_prompt=>'Expression'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#:t-Form-fieldContainer--stretchInputs'
,p_warn_on_unsaved_changes=>'I'
,p_inline_help_text=>'Example: 2 * 4 - 3'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425126556955125959)
,p_name=>'P531_RESULT_DISP2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(777830065810958358)
,p_prompt=>'Result'
,p_display_as=>'NATIVE_DISPLAY_ONLY'
,p_grid_label_column_span=>3
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
,p_attribute_02=>'VALUE'
,p_attribute_04=>'Y'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(425126915722125959)
,p_name=>'P531_RESULT2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_api.id(777830065810958358)
,p_display_as=>'NATIVE_HIDDEN'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'N'
);
end;
/
prompt --application/pages/page_01000
begin
wwv_flow_api.create_page(
 p_id=>1000
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Tasks (reorder) - old'
,p_step_title=>'Tasks (reorder) - old'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// create a private scope where $ is set to apex.jQuery',
'(function($) {',
'    // do this after the page loads but before the IG is initialized to catch the initial events',
'    $(function() {',
'        //',
'        // This is the general pattern for adding to the grid view row or selection menus',
'        //',
'        // listen for view change events to find out when grid views are created ',
'        $("#tasks").on("interactivegridviewchange", function(event, data) {',
'            if ( data.view === "grid" && data.created ) {',
'                var items,',
'                    view = apex.region("tasks").widget().interactiveGrid("getViews", "grid"),',
'                    menu$ = view.selActionMenu$;',
'',
'                // now add items to the menu that reference actions added to the IG',
'                // see IG attribute Advanced JavaScript Code',
'                items = menu$.menu("option").items;',
'                items.push({',
'                    type:"separator"',
'                });',
'                items.push({',
'                    type:"action",',
'                    action: "selection-move-up"',
'                });',
'                items.push({',
'                    type:"action",',
'                    action: "selection-move-down"',
'                });',
'                items.push({',
'                    type:"action",',
'                    action: "selection-complete"',
'                });',
'            }',
'        });',
'',
'        // Reordering assumes that the client has all the data so call fetchAll',
'        // when the model is created.',
'        // Use with caution so that too much data isn''t loaded.',
'',
'        // the model gets released and created at various times such as when the report changes',
'        // listen for model created events so that we can subscribe to model notifications',
'        $("#tasks").on("interactivegridviewmodelcreate", function(event, ui) {',
'            var model = ui.model;',
'',
'            // Note this is only done for the grid veiw.',
'            if ( ui.viewId === "grid" ) {',
'                // Can remove if data will always be less than 50 records',
'                model.fetchAll(function() {});',
'            }',
'        });',
'',
'    });    ',
'})(apex.jQuery);',
''))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JOHN'
,p_last_upd_yyyymmddhh24miss=>'20171213180055'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(15067753064316583255)
,p_plug_name=>'Tasks (old)'
,p_region_name=>'tasks'
,p_region_template_options=>'#DEFAULT#:t-Region--scrollBody'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select ID, LIST, SEQ, "TASK", NAME, DESCRIPTION, DONE ',
'  from igcb_tasks ',
'  where list = :P1000_TASK_LIST and (',
'      ( :P1000_SHOW_COMPLETED = ''Y'' or DONE = ''N'')',
'      or',
'      :P1000_SAVING is not null',
'    )'))
,p_plug_source_type=>'NATIVE_IG'
,p_ajax_items_to_submit=>'P1000_TASK_LIST,P1000_SHOW_COMPLETED,P1000_SAVING'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(15067753333579583257)
,p_name=>'ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ID'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>false
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(15067753440833583258)
,p_name=>'LIST'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LIST'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>50
,p_attribute_01=>'N'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_default_type=>'ITEM'
,p_default_expression=>'P1000_TASK_LIST'
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(15067753553560583259)
,p_name=>'TASK'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TASK'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Task'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>70
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>120
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(15067753619891583260)
,p_name=>'NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Owner'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>80
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>120
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(15067753721796583261)
,p_name=>'DESCRIPTION'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DESCRIPTION'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Description'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>90
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(15067753817657583262)
,p_name=>'DONE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DONE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'Complete'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_static_id=>'C_DONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_is_primary_key=>false
,p_default_type=>'STATIC'
,p_default_expression=>'N'
,p_duplicate_value=>false
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(30319246915731503615)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_display_sequence=>20
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(30319246963305503616)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(30319248464431503631)
,p_name=>'SEQ'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SEQ'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_label=>'Sequence (hidden)'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    if (!config.features) {',
'        config.features = {};',
'    }',
'    config.features.canHide = false;',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(15067753234528583256)
,p_internal_uid=>14037217396386626633
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_add_button_label=>'New Task'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// there is way to much code so using minimal indenting',
'function(config) {',
'var $ = apex.jQuery,',
'  toolbarData = $.apex.interactiveGrid.copyDefaultToolbar(),',
'  toolbarGroup = toolbarData.toolbarFind("actions3"), // the group with add row button',
'  addBtn = toolbarGroup.controls[0]; // assume add row button is first and only in this group',
'',
'// Can set the label for the add row button but can''t include markup for icons etc.',
'// So update the button properties in the toolbar',
'addBtn.icon = "t-Icon fa fa-plus";',
'addBtn.iconBeforeLabel = true;',
'// or try this in place of iconBeforeLabel',
'//addBtn.iconOnly = true;',
'',
'// add the move up/down buttons',
'toolbarGroup.controls.unshift({',
'  type: "BUTTON",',
'  iconOnly: true,',
'  icon: "icon-up-chevron",',
'  action: "selection-move-up"',
'} );',
'toolbarGroup.controls.unshift({',
'  type: "BUTTON",',
'  iconOnly: true,',
'  icon: "icon-down-chevron",',
'  action: "selection-move-down"',
'});',
'config.toolbarData = toolbarData;',
'',
'// The shortcuts using Alt+Up/Down don''t work because the grid widget key handling',
'// kicks in before the action key handling. Could pick other keys besides arrows.',
'// add the move up/down actions',
'config.initActions = function(actions) {',
'  var save = actions.lookup("save"),',
'      saveFn = save.action;',
'',
'  // this is part of the hack to avoid the "no data found" error on save',
'  save.action = function() {',
'      if ($v("P1000_SHOW_COMPLETED") === "N") {',
'          $s("P1000_SAVING", "Y");',
'      }',
'      // do original save',
'      saveFn();',
'  };',
'  actions.add( [',
'  {',
'      name: "selection-move-up",',
'      label: "Move Up",',
'//    shortcut: "Alt+Up",',
'      action: function() {',
'        var after$,',
'          after = null,',
'          view = $(actions.context).interactiveGrid("getViews").grid;',
'          grid$ = view.view$,',
'          model = view.model,',
'          rows = grid$.grid( "getSelection" ),',
'          items = grid$.grid( "getSelectedRecords" );',
'',
'        if ( rows[0].prev().length ) {',
'          after$ = rows[0].prev().prev();',
'          if ( after$.length ) {',
'              after = grid$.grid( "getRecords", [after$] )[0];',
'          }',
'          model.moveRecords( items, null, after );',
'          grid$.grid( "setSelectedRecords", items );',
'        }',
'      }',
'  },',
'  {',
'      name: "selection-move-down",',
'      label: "Move Down",',
'//    shortcut: "Alt+Down",',
'      action: function() {',
'        var after$,',
'          after = null,',
'          view = $(actions.context).interactiveGrid("getViews").grid;',
'          grid$ = view.view$,',
'          model = view.model,',
'          rows = grid$.grid( "getSelection" ),',
'          items = grid$.grid( "getSelectedRecords" );',
'',
'        after$ = rows[rows.length - 1].next();',
'        if ( after$.length ) {',
'          after = grid$.grid( "getRecords", [after$] )[0];',
'          model.moveRecords( items, null, after );',
'          grid$.grid( "setSelectedRecords", items );',
'        }',
'      }',
'  },',
'  {',
'      name: "selection-complete",',
'      label: "Mark Complete",',
'      action: function() {',
'        var i,',
'          view = $(actions.context).interactiveGrid("getViews").grid;',
'          grid$ = view.view$,',
'          model = view.model,',
'          records = grid$.grid( "getSelectedRecords" );',
'',
'        for ( i = 0; i < records.length; i++ ) {',
'          model.setValue( records[i], "DONE", "Y" );',
'        }',
'      }',
'  }',
'  ] );',
'  $(actions.context).on("interactivegridselectionchange", function(event, data) {',
'    var method = "enable";',
'    if ( data.selectedRecords.length === 0 ) {',
'      method = "disable";',
'    }',
'    actions[method]("selection-complete");',
'    actions[method]("selection-move-down");',
'    actions[method]("selection-move-up");',
'  });',
'};',
'// let the model manage the sequence column',
'config.defaultModelOptions = {',
'  sequenceField: "SEQ",',
'  sequenceStep: 10',
'};',
'return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(30319173539364477374)
,p_interactive_grid_id=>wwv_flow_api.id(15067753234528583256)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(30319173595519477374)
,p_report_id=>wwv_flow_api.id(30319173539364477374)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319174076230477397)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>1
,p_column_id=>wwv_flow_api.id(15067753333579583257)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319174633481477420)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(15067753440833583258)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319175076255477441)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(15067753553560583259)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>237
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319175580929477463)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(15067753619891583260)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>117
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319176048245477485)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(15067753721796583261)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>188
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319176457042477507)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(15067753817657583262)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>116
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30319257939080505482)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(30319246915731503615)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(30323256781651826800)
,p_view_id=>wwv_flow_api.id(30319173595519477374)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(30319248464431503631)
,p_is_visible=>false
,p_is_frozen=>false
,p_width=>58
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(30319247530579503621)
,p_plug_name=>'New List'
,p_region_name=>'newListDlg'
,p_region_template_options=>'#DEFAULT#:js-dialog-size480x320'
,p_plug_template=>wwv_flow_api.id(31643814967046161511)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'REGION_POSITION_04'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(58663473700626262137)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Interactive Grid does not support row reordering out of the box.',
'But the grid widget and the model do have some minimal support for reordering.',
'This can be seen in the Columns dialog (remember that all the IG dialogs use a model',
'instance, and recordView widget and optional grid widget). One limitation is',
'that you don''t get much control over how the sequence column is managed. The ',
'sequence column must allow decimal numbers.',
'</p>',
'<p>This is a somewhat typical task list UI with extra columns to warrant using a grid.',
'It can manage multiple task lists.',
'The main difference is no drag and drop because the grid widget doesn''t support that.',
'You can select multiple records and mark them all complete using the selection action menu.',
'Reordering assumes that all the records are on the client so the model fetchAll method is called.',
'For this reason reordering works best with small result sets. Sorting doesn''t',
'make much sense because the order must always be the sequence order. Adding ',
'order by to the SQL isn''t allowed so must make the sequence column (SEQ)',
'visible temporarily then set sort report settings so just that column is sorted ascending.',
'Then the column can be hidden (see issues below). Turn off sorting for all the other columns.',
'Makes most sense to use scroll paging.',
'</p>',
'<p>Demonstrates:<br>',
'Using the model moveRecords API and sequenceField, sequenceStep options to reorder',
'rows.<br>',
'Adding custom actions and adding them to the toolbar and selection action menu.<br>',
'Custom Add Row button.<br>',
'SQL where clause based on page item and refresh IG and update column default when page item changes.<br>',
'How to workaround the no data found error when saving due to records being moved outside the ',
'where clause hard coded in the IG SQL. This can happen when Show Completed = No and you',
'mark a task as completed. (Search for P1000_SAVING)<br>',
'How to workaround the columns with a display value showing the value for an inserted row.<br>',
'A button and inline dialog to implement a poor man''s combo box.',
'<br>Customizations:<br>',
'See Advanced JavaScript Code for action definitions and all customizations. See ',
'change list DA for how switching lists works including how the LIST column for ',
'inserted rows is set. The save event DA refresh the grid after save if needed.',
'The other DAs handle the poor man''s combo box.',
'See page attribute Function and Global Variables for adding to the selection action menu',
'and calling model.fetchAll.',
'<br>Issues:<br>',
'- It should be possible in all cases to update a hidden column with ',
'Value Protected = No using model.setValue. But currently it is not.',
'The reason LIST works is that it is only updated via the model defaultValue column property.',
'This requires making columns such as SEQ not hidden, then hiding them in report settings and optionally ',
'setting the advanced column configuration property features.canHide to false. The down',
'side is that the column shows up in the Columns dialog. Setting the Alternative Label can help.<br>',
'- After a refresh the IG Edit button does not reflect the correct edit state.<br>',
'- After an insert row the IG Edit button does not reflect the correct edit state.<br>',
'- Would be nice if Alt-Up/Down keys could be shortcuts for move up/down actions but the ',
'grid widget event handling gets in the way.<br>',
'- This would be a great use for a checkbox column item type; if there was one.<br>',
'- Would be nice if Show Completed could be done with client side filtering.<br>',
'- Would be nice if someday didn''t need the workaround for no data found error and',
'inserted row shows value rather than display value.<br>',
'- A quick way to delete a list is an exercise for the reader.<br>',
'</p>',
''))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5348417841206759866)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(15067753064316583255)
,p_button_name=>'NEW_LIST'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#:t-Button--small:t-Button--padTop'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'New List'
,p_button_position=>'BODY'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
,p_grid_new_row=>'N'
,p_grid_new_column=>'Y'
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5348420038651759926)
,p_button_sequence=>20
,p_button_plug_id=>wwv_flow_api.id(30319247530579503621)
,p_button_name=>'Cancel'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'Cancel'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_button(
 p_id=>wwv_flow_api.id(5348420454973759930)
,p_button_sequence=>30
,p_button_plug_id=>wwv_flow_api.id(30319247530579503621)
,p_button_name=>'OK'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_api.id(31643839236577161549)
,p_button_image_alt=>'OK'
,p_button_position=>'REGION_TEMPLATE_NEXT'
,p_warn_on_unsaved_changes=>null
,p_grid_new_grid=>false
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348418265284759877)
,p_name=>'P1000_TASK_LIST'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_api.id(15067753064316583255)
,p_item_default=>'Demo'
,p_prompt=>'List'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_lov=>'select distinct list as d, list as r from igcb_tasks'
,p_cHeight=>1
,p_tag_attributes=>'style="width:100%"'
,p_colspan=>4
,p_grid_label_column_span=>1
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348418661354759912)
,p_name=>'P1000_SHOW_COMPLETED'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_api.id(15067753064316583255)
,p_item_default=>'N'
,p_prompt=>'Show Completed'
,p_source=>'N'
,p_source_type=>'STATIC'
,p_display_as=>'NATIVE_YES_NO'
,p_begin_on_new_line=>'N'
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_warn_on_unsaved_changes=>'I'
,p_attribute_01=>'APPLICATION'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348419035279759917)
,p_name=>'P1000_SAVING'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_api.id(15067753064316583255)
,p_use_cache_before_default=>'NO'
,p_display_as=>'NATIVE_HIDDEN'
,p_attribute_01=>'N'
,p_item_comment=>'This is set to a non null value only when the IG is being saved to work around the no data found error when a changed record is moved outside the result set given by a hard coded where clause in the IG SQL.'
);
wwv_flow_api.create_page_item(
 p_id=>wwv_flow_api.id(5348420868335759930)
,p_name=>'P1000_NEW_LIST_NAME'
,p_is_required=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_api.id(30319247530579503621)
,p_prompt=>'Name'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>30
,p_field_template=>wwv_flow_api.id(31643838758531161548)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'BOTH'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348421623812759953)
,p_name=>'change list'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P1000_TASK_LIST'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348422103425759959)
,p_event_id=>wwv_flow_api.id(5348421623812759953)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var listName = $v("P1000_TASK_LIST");',
'var tasks = apex.region("tasks");',
'var model = tasks.widget().interactiveGrid("getViews").grid.model;',
'var prevListName = model.getOption("fields").LIST.defaultValue;',
'',
'// If there are changes prompt to save otherwise return to previous list',
'// Note something similar could be done when changing the Show Completed switch',
'if ( model.isChanged() ) {',
'    apex.message.confirm( "There are unsaved changes. Press OK to save them.", function( okPressed ) {',
'         $s("P1000_TASK_LIST", prevListName, null, true); // no change',
'         if( okPressed ) {',
'             tasks.widget().one("interactivegridsave", function() {',
'                 // change the list after the save',
'                 $s("P1000_TASK_LIST", listName);',
'             } );',
'             tasks.widget().interactiveGrid("getActions").invoke("save");',
'         }',
'    });',
'} else {',
'    // change the default value for LIST column for new records inserted',
'    model.getOption("fields").LIST.defaultValue = listName;',
'    // refresh the grid to get task records for this new list',
'    tasks.refresh();    ',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348422499423759963)
,p_name=>'cancel'
,p_event_sequence=>20
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(5348420038651759926)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348423002359759970)
,p_event_id=>wwv_flow_api.id(5348422499423759963)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$("#newListDlg").dialog("close");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348423405539759970)
,p_name=>'create new list'
,p_event_sequence=>30
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(5348420454973759930)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348423884901759971)
,p_event_id=>wwv_flow_api.id(5348423405539759970)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var name = apex.util.escapeHTML($v("P1000_NEW_LIST_NAME"));',
'var list$ = $("#P1000_TASK_LIST");',
'if ( list$.find("[value=''" + apex.util.escapeCSS(name) + "'']").length === 0 ) {',
'    list$.prepend("<option value=''" + name + "''>" + name + "</option>");',
'}',
'$s("P1000_TASK_LIST", name);',
'$("#newListDlg").dialog("close");'))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348424262115759971)
,p_name=>'open new list dialog'
,p_event_sequence=>40
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_api.id(26001370183968700466)
,p_bind_type=>'bind'
,p_bind_event_type=>'click'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348424757647759972)
,p_event_id=>wwv_flow_api.id(5348424262115759971)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'$("#newListDlg").dialog("open");'
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348425230123759972)
,p_name=>'change'
,p_event_sequence=>50
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P1000_SHOW_COMPLETED'
,p_bind_type=>'bind'
,p_bind_event_type=>'change'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348425713444759973)
,p_event_id=>wwv_flow_api.id(5348425230123759972)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_REFRESH'
,p_affected_elements_type=>'REGION'
,p_affected_region_id=>wwv_flow_api.id(15067753064316583255)
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348426063350759973)
,p_name=>'correct default for DONE col'
,p_event_sequence=>60
,p_bind_type=>'bind'
,p_bind_event_type=>'ready'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348426557967759974)
,p_event_id=>wwv_flow_api.id(5348426063350759973)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// work around an IG issue with defaults for columns that have a display value',
'var model = apex.region("tasks").widget().interactiveGrid("getViews").grid.model;',
'var display = apex.item("C_DONE").displayValueFor("N");',
'model.getOption("fields").DONE.defaultValue = {v:"N", d: display};',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_da_event(
 p_id=>wwv_flow_api.id(5348427007282759974)
,p_name=>'after save'
,p_event_sequence=>70
,p_triggering_element_type=>'REGION'
,p_triggering_region_id=>wwv_flow_api.id(15067753064316583255)
,p_bind_type=>'bind'
,p_bind_event_type=>'custom'
,p_bind_event_type_custom=>'interactivegridsave'
);
wwv_flow_api.create_page_da_action(
 p_id=>wwv_flow_api.id(5348427496757759975)
,p_event_id=>wwv_flow_api.id(5348427007282759974)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>wwv_flow_string.join(wwv_flow_t_varchar2(
'// If show complete is no (only showing not completed tasks) and any rows were marked',
'// completed they should not be shown. No easy way to filter them out after save',
'// so just refresh.',
'$s("P1000_SAVING", "");',
'if ( $v("P1000_SHOW_COMPLETED") === "N") {',
'   apex.region("tasks").refresh();',
'}',
''))
,p_stop_execution_on_error=>'Y'
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(5348419395656759920)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(15067753064316583255)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>'Tasks - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/pages/page_01001
begin
wwv_flow_api.create_page(
 p_id=>1001
,p_user_interface_id=>wwv_flow_api.id(31643850075908161574)
,p_name=>'Copy Down (old)'
,p_step_title=>'Copy Down (old)'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.header-button.t-Button {',
'    margin: 0;',
'    background-color: transparent;',
'    box-shadow: none;',
'    border-radius: 0;',
'    min-width: 16px;',
'    padding: 8px 4px;',
'}',
'',
'.header-button.t-Button:focus,',
'.header-button.t-Button:hover',
'{',
'    background-color: rgba(0,0,0,.1);',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_last_updated_by=>'JSNYDERS'
,p_last_upd_yyyymmddhh24miss=>'20181005172506'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(31410571717007588500)
,p_plug_name=>'Notes'
,p_region_template_options=>'#DEFAULT#:js-useLocalStorage:is-collapsed:t-Region--scrollBody'
,p_plug_template=>wwv_flow_api.id(31643811190226161507)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>A few people have asked how to copy a value in a column down to fill in other values below it.',
'See this <a href=''https://community.oracle.com/thread/4019020'' target=''_blank''>thread</a> for example.',
'Select multiple rows and click the Copy Down button. The value in the corresponding',
'column of the first row is copied to all the rows in the selection.',
'The plan is to have built-in support for copy down in a future release of APEX.',
'</p>',
'<p>Demonstrates:<br>',
'Adding a button in a column header that invokes an action and defining a copy down action.',
'The action uses the model API to set the values. Because valuse are set in the model',
'dynamic actions and cascading LOVs do not run.',
'<br>Customizations:<br>',
'To add a button to the header see the column Heading attribute.',
'Whenever the Heading attribute has markup define the alternative label that gets shown in menus and dialogs.',
'Use column Advanced JavaScript Code to add the has-button class to the header cell.',
'See inline CSS for some styles for the heading buttons.',
'See IG Advanced JavaScript Code for the copy down action.',
'<br>Issues:<br>',
'Because the button in the header takes focus there is no way to open the header',
'popup menu with the keyboard; the mouse must be used.',
'</p>'))
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(34498730447803400783)
,p_plug_name=>'Copy Down (old)'
,p_region_name=>'emp'
,p_region_template_options=>'#DEFAULT#'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(31643816495903161512)
,p_plug_display_sequence=>20
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       ONLEAVE,',
'       NOTES,',
'       DEPTNO,',
'       FLEX1,',
'       FLEX2,',
'       FLEX3,',
'       FLEX4,',
'       RATING',
'  from EBA_DEMO_IG_EMP'))
,p_plug_source_type=>'NATIVE_IG'
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498731628051400786)
,p_name=>'APEX$ROW_SELECTOR'
,p_item_type=>'NATIVE_ROW_SELECTOR'
,p_display_sequence=>10
,p_attribute_01=>'Y'
,p_attribute_02=>'Y'
,p_attribute_03=>'N'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498732195922400787)
,p_name=>'APEX$ROW_ACTION'
,p_item_type=>'NATIVE_ROW_ACTION'
,p_label=>'Actions'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>20
,p_value_alignment=>'CENTER'
,p_enable_hide=>true
,p_is_primary_key=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498732787767400791)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>30
,p_attribute_01=>'Y'
,p_enable_filter=>false
,p_enable_hide=>true
,p_is_primary_key=>true
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498733352215400793)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXT_FIELD'
,p_heading=>'Name'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>40
,p_value_alignment=>'LEFT'
,p_attribute_05=>'BOTH'
,p_is_required=>false
,p_max_length=>60
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498733932980400794)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Job'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>50
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_api.id(28066362110306461822)
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498734593957400794)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Manager'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>60
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select ENAME, EMPNO from EBA_DEMO_IG_EMP where JOB = ''MANAGER'' or JOB = ''PRESIDENT'''
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498735160757400795)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_is_query_only=>false
,p_item_type=>'NATIVE_DATE_PICKER'
,p_heading=>'Hire Date'
,p_heading_alignment=>'CENTER'
,p_display_sequence=>70
,p_value_alignment=>'CENTER'
,p_attribute_04=>'button'
,p_attribute_05=>'N'
,p_attribute_07=>'NONE'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_date_ranges=>'ALL'
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498735781643400796)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button>Salary'
,p_label=>'Salary'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>80
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498736325332400796)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_NUMBER_FIELD'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button> Commission'
,p_label=>'Commission'
,p_heading_alignment=>'RIGHT'
,p_display_sequence=>90
,p_value_alignment=>'RIGHT'
,p_attribute_03=>'right'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498736987266400797)
,p_name=>'ONLEAVE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ONLEAVE'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_YES_NO'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button> On Leave'
,p_label=>'On Leave'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>100
,p_value_alignment=>'LEFT'
,p_attribute_01=>'APPLICATION'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'DISTINCT'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498737540758400798)
,p_name=>'NOTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'NOTES'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_TEXTAREA'
,p_heading=>'Notes'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>110
,p_value_alignment=>'LEFT'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
,p_is_required=>false
,p_max_length=>1000
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498738182951400799)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'NATIVE_SELECT_LIST'
,p_heading=>'Department'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>120
,p_value_alignment=>'LEFT'
,p_is_required=>false
,p_lov_type=>'SQL_QUERY'
,p_lov_source=>'select DNAME, DEPTNO from EBA_DEMO_IG_DEPT'
,p_lov_display_extra=>true
,p_lov_display_null=>true
,p_enable_filter=>true
,p_filter_operators=>'C:S:CASE_INSENSITIVE:REGEXP'
,p_filter_is_required=>false
,p_filter_text_case=>'MIXED'
,p_filter_exact_match=>true
,p_filter_lov_type=>'LOV'
,p_use_as_row_header=>false
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498738710508400799)
,p_name=>'FLEX1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX1'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>130
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498739341057400800)
,p_name=>'FLEX2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX2'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>140
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498739925127400801)
,p_name=>'FLEX3'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX3'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>150
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498740531734400801)
,p_name=>'FLEX4'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'FLEX4'
,p_data_type=>'VARCHAR2'
,p_is_query_only=>false
,p_item_type=>'NATIVE_HIDDEN'
,p_display_sequence=>160
,p_attribute_01=>'Y'
,p_filter_is_required=>false
,p_use_as_row_header=>false
,p_enable_sort_group=>false
,p_enable_control_break=>false
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>false
);
wwv_flow_api.create_region_column(
 p_id=>wwv_flow_api.id(34498741098194400802)
,p_name=>'RATING'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'RATING'
,p_data_type=>'NUMBER'
,p_is_query_only=>false
,p_item_type=>'PLUGIN_COM.ORACLE.APEX.STARRATING_MODERN'
,p_heading=>'<button type=''button'' class=''t-Button t-Button--icon t-Button--noLabel header-button js-actionButton'' data-action=''my-selection-copy-down'' title=''Copy Down''><span class=''fa fa-clone fam-arrow-down''></span></button> Rating'
,p_label=>'Rating'
,p_heading_alignment=>'LEFT'
,p_display_sequence=>170
,p_value_alignment=>'LEFT'
,p_attribute_01=>'5'
,p_attribute_03=>'Y'
,p_attribute_06=>'Rating: #VALUE#'
,p_is_required=>false
,p_enable_filter=>true
,p_filter_is_required=>false
,p_filter_lov_type=>'NONE'
,p_use_as_row_header=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    // This doesn''t work until 5.1.1',
'    config.defaultGridColumnOptions = {',
'        headingCssClasses: "has-button"',
'    }',
'    return config;',
'}'))
,p_enable_sort_group=>true
,p_enable_control_break=>true
,p_enable_hide=>true
,p_enable_pivot=>false
,p_is_primary_key=>false
,p_duplicate_value=>true
,p_include_in_export=>true
);
wwv_flow_api.create_interactive_grid(
 p_id=>wwv_flow_api.id(34498730923065400784)
,p_internal_uid=>34073694934795615127
,p_is_editable=>true
,p_edit_operations=>'i:u:d'
,p_lost_update_check_type=>'VALUES'
,p_add_row_if_empty=>true
,p_submit_checked_rows=>false
,p_lazy_loading=>false
,p_requires_filter=>false
,p_max_row_count=>100000
,p_show_nulls_as=>'-'
,p_select_first_row=>true
,p_fixed_row_height=>true
,p_pagination_type=>'SCROLL'
,p_show_total_row_count=>true
,p_show_toolbar=>true
,p_toolbar_buttons=>'SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:SEARCH_COLUMN:SEARCH_FIELD:ACTIONS_MENU:RESET:SAVE'
,p_enable_save_public_report=>false
,p_enable_subscriptions=>true
,p_enable_flashback=>true
,p_define_chart_view=>true
,p_enable_download=>true
,p_enable_mail_download=>true
,p_fixed_header=>'PAGE'
,p_show_icon_view=>false
,p_show_detail_view=>false
,p_javascript_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'function(config) {',
'    config.initActions = function(actions) {',
'        actions.add({',
'            name: "my-selection-copy-down",',
'            label: "Copy Down", // todo use message key',
'            action: function(event, el) {',
'                var i, col, sel, model, val, colName,',
'                    colHeader$ = $(el).closest(".a-GV-header"),',
'                    ig$ = $(actions.context),',
'                    view = ig$.interactiveGrid("getCurrentView");',
'',
'                if ( view.internalIdentifier === "grid" ) {',
'                    // get the column associated with the header the button is in',
'                    col = view.view$.grid("getColumns")[colHeader$.attr("data-idx")];',
'                    sel = view.view$.grid("getSelectedRecords");',
'                    if ( sel.length > 1) {',
'                        colName = col.property;',
'                        model = view.model;',
'                        val = model.getValue(sel[0], colName);',
'                        console.log(">> copy down ", colName, val);                        ',
'                        for( i = 1; i < sel.length; i++) {',
'                            // other variations: check that the column or cell is not readonly or disabled or check that the value is empty',
'                            if ( model.allowEdit( sel[i]) ) {',
'                                model.setValue(sel[i], colName, val);',
'                            }',
'                        }',
'                    }',
'                }                ',
'            }',
'        })',
'    }',
'    return config;',
'}'))
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(34498731354401400785)
,p_interactive_grid_id=>wwv_flow_api.id(34498730923065400784)
,p_type=>'PRIMARY'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(34498731435599400785)
,p_report_id=>wwv_flow_api.id(34498731354401400785)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498732585079400789)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34498732195922400787)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498733153115400793)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34498732787767400791)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498733746728400794)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34498733352215400793)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498734378576400794)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34498733932980400794)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>89
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498734919709400795)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34498734593957400794)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498735506476400795)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34498735160757400795)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498736109840400796)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34498735781643400796)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>80
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498736697956400797)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34498736325332400796)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>110
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498737306286400798)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34498736987266400797)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>111
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498737943787400799)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34498737540758400798)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498738506863400799)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34498738182951400799)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498739119062400800)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34498738710508400799)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498739731655400801)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34498739341057400800)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498740309585400801)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34498739925127400801)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498740988938400802)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34498740531734400801)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(34498741571288400802)
,p_view_id=>wwv_flow_api.id(34498731435599400785)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34498741098194400802)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>105
);
wwv_flow_api.create_ig_report(
 p_id=>wwv_flow_api.id(40102155620442674988)
,p_interactive_grid_id=>wwv_flow_api.id(34498730923065400784)
,p_name=>'Sort on Manager'
,p_type=>'ALTERNATIVE'
,p_default_view=>'GRID'
,p_show_row_number=>false
,p_settings_area_expanded=>true
);
wwv_flow_api.create_ig_report_view(
 p_id=>wwv_flow_api.id(40102155701640674988)
,p_report_id=>wwv_flow_api.id(40102155620442674988)
,p_view_type=>'GRID'
,p_stretch_columns=>true
,p_srv_exclude_null_values=>false
,p_srv_only_display_columns=>true
,p_edit_mode=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102156851120674992)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>0
,p_column_id=>wwv_flow_api.id(34498732195922400787)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102157419156674996)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>2
,p_column_id=>wwv_flow_api.id(34498732787767400791)
,p_is_visible=>true
,p_is_frozen=>true
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102158012769674997)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>3
,p_column_id=>wwv_flow_api.id(34498733352215400793)
,p_is_visible=>true
,p_is_frozen=>true
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102158644617674997)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>4
,p_column_id=>wwv_flow_api.id(34498733932980400794)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>97
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102159185750674998)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>5
,p_column_id=>wwv_flow_api.id(34498734593957400794)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>94
,p_sort_order=>1
,p_sort_direction=>'ASC'
,p_sort_nulls=>'LAST'
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102159772517674998)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>6
,p_column_id=>wwv_flow_api.id(34498735160757400795)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>113
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102160375881674999)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>7
,p_column_id=>wwv_flow_api.id(34498735781643400796)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>96
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102160963997675000)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>8
,p_column_id=>wwv_flow_api.id(34498736325332400796)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>130
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102161572327675001)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>9
,p_column_id=>wwv_flow_api.id(34498736987266400797)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>71
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102162209828675002)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>11
,p_column_id=>wwv_flow_api.id(34498737540758400798)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>87
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102162772904675002)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>12
,p_column_id=>wwv_flow_api.id(34498738182951400799)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>76
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102163385103675003)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>13
,p_column_id=>wwv_flow_api.id(34498738710508400799)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102163997696675004)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>14
,p_column_id=>wwv_flow_api.id(34498739341057400800)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102164575626675004)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>15
,p_column_id=>wwv_flow_api.id(34498739925127400801)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102165254979675005)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>16
,p_column_id=>wwv_flow_api.id(34498740531734400801)
,p_is_visible=>true
,p_is_frozen=>false
);
wwv_flow_api.create_ig_report_column(
 p_id=>wwv_flow_api.id(40102165837329675005)
,p_view_id=>wwv_flow_api.id(40102155701640674988)
,p_display_seq=>10
,p_column_id=>wwv_flow_api.id(34498741098194400802)
,p_is_visible=>true
,p_is_frozen=>false
,p_width=>106
);
wwv_flow_api.create_page_process(
 p_id=>wwv_flow_api.id(430793279648389105)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_region_id=>wwv_flow_api.id(34498730447803400783)
,p_process_type=>'NATIVE_IG_DML'
,p_process_name=>' - Save Interactive Grid Data'
,p_attribute_01=>'REGION_SOURCE'
,p_attribute_05=>'Y'
,p_attribute_06=>'Y'
,p_attribute_08=>'Y'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
);
end;
/
prompt --application/deployment/definition
begin
wwv_flow_api.create_install(
 p_id=>wwv_flow_api.id(28056376107514862185)
,p_deinstall_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'----------------------------------------------------------------',
'-- Remove Procedure',
'----------------------------------------------------------------',
'drop function striphtml;',
'',
'----------------------------------------------------------------',
'-- Remove Tables',
'---------------------------------------------------------------',
'drop table igcb_tasks    cascade constraints purge;',
'',
'----------------------------------------------------------------',
'-- Remove sequences',
'----------------------------------------------------------------',
'drop sequence igcb_tasks_seq;',
'  '))
,p_required_free_kb=>100
,p_required_sys_privs=>'CREATE PROCEDURE:CREATE TABLE:CREATE TRIGGER:CREATE VIEW'
);
end;
/
prompt --application/deployment/install/install_install
begin
wwv_flow_api.create_install_script(
 p_id=>wwv_flow_api.id(26000628846100583031)
,p_install_id=>wwv_flow_api.id(28056376107514862185)
,p_name=>'install'
,p_sequence=>10
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'CREATE SEQUENCE IGCB_TASKS_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 50 NOORDER  NOCYCLE;',
'',
'CREATE TABLE "IGCB_TASKS"',
'   (',
'    "ID" NUMBER,',
'    "LIST" VARCHAR2(60),',
'    "SEQ"  NUMBER,',
'    "TASK" VARCHAR2(120),',
'    "NAME" VARCHAR2(120),',
'    "DESCRIPTION" VARCHAR2(1000),',
'    "DONE" VARCHAR2(1) NOT NULL ENABLE,',
'    CONSTRAINT "IGCB_DONE_CK" CHECK (DONE in (''Y'', ''N'')) ENABLE,',
'    PRIMARY KEY ("ID")',
'  USING INDEX  ENABLE',
'   )',
'/',
'',
'CREATE INDEX IGCB_TASKS_LIST_IDX on IGCB_TASKS(LIST);',
'/',
'',
'CREATE OR REPLACE TRIGGER "BI_IGCB_TASKS"',
'    before insert on IGCB_TASKS',
'    for each row',
'    begin',
'      if :new.id is null then',
'          select igcb_tasks_seq.nextval into :new.id from sys.dual;',
'     end if;',
'    end;',
'/',
'ALTER TRIGGER "BI_IGCB_TASKS" ENABLE',
'/',
'',
'create or replace function striphtml(',
'    p_html in varchar2)',
'    return varchar2',
'is',
'    l_html varchar2(32767);',
'    l_pos pls_integer;',
'begin',
'    if length(p_html) > 0 then',
'        l_html := p_html;',
'        loop',
'            l_pos := regexp_instr(l_html, ''<[^<>]*>'');',
'            if l_pos > 0 then',
'                l_html := regexp_replace(l_html, ''<[^<>]*>'', null, l_pos);',
'            else',
'                exit;',
'            end if;',
'        end loop;',
'    end if;',
'',
'   return l_html;',
'end striphtml;',
''))
);
end;
/
prompt --application/deployment/checks
begin
wwv_flow_api.create_install_check(
 p_id=>wwv_flow_api.id(656733703917929056)
,p_install_id=>wwv_flow_api.id(28056376107514862185)
,p_name=>'Check for sample data tables'
,p_sequence=>10
,p_check_type=>'FUNCTION_BODY'
,p_check_condition=>wwv_flow_string.join(wwv_flow_t_varchar2(
'declare',
'  c number;',
'begin',
'  select count(*) into c from user_objects where object_type = ''TABLE'' and object_name in (',
'      ''EBA_DEMO_IG_EMP'', ''EBA_DEMO_IG_DEPT'' );',
'  return c = 2;',
'end;',
''))
,p_failure_message=>'This app relies on sample data provided in the Sample Interactive Grids app. Install that app from App Gallery first.'
);
end;
/
prompt --application/deployment/buildoptions
begin
null;
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
